
/* A Bison parser, made by GNU Bison 2.4.1.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (yyin)
				fclose(yyin);
			if (yyout)
				fclose(yyout);

			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
				fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = (name[0] == ':' ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}


/* Line 189 of yacc.c  */
#line 637 "preproc.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     SQL_ALLOCATE = 258,
     SQL_AUTOCOMMIT = 259,
     SQL_BOOL = 260,
     SQL_BREAK = 261,
     SQL_CALL = 262,
     SQL_CARDINALITY = 263,
     SQL_CONNECT = 264,
     SQL_COUNT = 265,
     SQL_DATETIME_INTERVAL_CODE = 266,
     SQL_DATETIME_INTERVAL_PRECISION = 267,
     SQL_DESCRIBE = 268,
     SQL_DESCRIPTOR = 269,
     SQL_DISCONNECT = 270,
     SQL_FOUND = 271,
     SQL_FREE = 272,
     SQL_GET = 273,
     SQL_GO = 274,
     SQL_GOTO = 275,
     SQL_IDENTIFIED = 276,
     SQL_INDICATOR = 277,
     SQL_KEY_MEMBER = 278,
     SQL_LENGTH = 279,
     SQL_LONG = 280,
     SQL_NULLABLE = 281,
     SQL_OCTET_LENGTH = 282,
     SQL_OPEN = 283,
     SQL_OUTPUT = 284,
     SQL_REFERENCE = 285,
     SQL_RETURNED_LENGTH = 286,
     SQL_RETURNED_OCTET_LENGTH = 287,
     SQL_SCALE = 288,
     SQL_SECTION = 289,
     SQL_SHORT = 290,
     SQL_SIGNED = 291,
     SQL_SQL = 292,
     SQL_SQLERROR = 293,
     SQL_SQLPRINT = 294,
     SQL_SQLWARNING = 295,
     SQL_START = 296,
     SQL_STOP = 297,
     SQL_STRUCT = 298,
     SQL_UNSIGNED = 299,
     SQL_VAR = 300,
     SQL_WHENEVER = 301,
     S_ADD = 302,
     S_AND = 303,
     S_ANYTHING = 304,
     S_AUTO = 305,
     S_CONST = 306,
     S_DEC = 307,
     S_DIV = 308,
     S_DOTPOINT = 309,
     S_EQUAL = 310,
     S_EXTERN = 311,
     S_INC = 312,
     S_LSHIFT = 313,
     S_MEMPOINT = 314,
     S_MEMBER = 315,
     S_MOD = 316,
     S_MUL = 317,
     S_NEQUAL = 318,
     S_OR = 319,
     S_REGISTER = 320,
     S_RSHIFT = 321,
     S_STATIC = 322,
     S_SUB = 323,
     S_VOLATILE = 324,
     S_TYPEDEF = 325,
     CSTRING = 326,
     CVARIABLE = 327,
     CPP_LINE = 328,
     IP = 329,
     DOLCONST = 330,
     ECONST = 331,
     NCONST = 332,
     UCONST = 333,
     UIDENT = 334,
     IDENT = 335,
     FCONST = 336,
     SCONST = 337,
     BCONST = 338,
     XCONST = 339,
     Op = 340,
     ICONST = 341,
     PARAM = 342,
     TYPECAST = 343,
     DOT_DOT = 344,
     COLON_EQUALS = 345,
     ABORT_P = 346,
     ABSOLUTE_P = 347,
     ACCESS = 348,
     ACTION = 349,
     ADD_P = 350,
     ADMIN = 351,
     AFTER = 352,
     AGGREGATE = 353,
     ALL = 354,
     ALSO = 355,
     ALTER = 356,
     ALWAYS = 357,
     ANALYSE = 358,
     ANALYZE = 359,
     AND = 360,
     ANY = 361,
     ARRAY = 362,
     AS = 363,
     ASC = 364,
     ASSERTION = 365,
     ASSIGNMENT = 366,
     ASYMMETRIC = 367,
     AT = 368,
     ATTRIBUTE = 369,
     AUTHORIZATION = 370,
     BACKWARD = 371,
     BEFORE = 372,
     BEGIN_P = 373,
     BETWEEN = 374,
     BIGINT = 375,
     BINARY = 376,
     BIT = 377,
     BOOLEAN_P = 378,
     BOTH = 379,
     BY = 380,
     CACHE = 381,
     CALLED = 382,
     CASCADE = 383,
     CASCADED = 384,
     CASE = 385,
     CAST = 386,
     CATALOG_P = 387,
     CHAIN = 388,
     CHAR_P = 389,
     CHARACTER = 390,
     CHARACTERISTICS = 391,
     CHECK = 392,
     CHECKPOINT = 393,
     CLASS = 394,
     CLOSE = 395,
     CLUSTER = 396,
     COALESCE = 397,
     COLLATE = 398,
     COLLATION = 399,
     COLUMN = 400,
     COMMENT = 401,
     COMMENTS = 402,
     COMMIT = 403,
     COMMITTED = 404,
     CONCURRENTLY = 405,
     CONFIGURATION = 406,
     CONNECTION = 407,
     CONSTRAINT = 408,
     CONSTRAINTS = 409,
     CONTENT_P = 410,
     CONTINUE_P = 411,
     CONVERSION_P = 412,
     COPY = 413,
     COST = 414,
     CREATE = 415,
     CROSS = 416,
     CSV = 417,
     CURRENT_P = 418,
     CURRENT_CATALOG = 419,
     CURRENT_DATE = 420,
     CURRENT_ROLE = 421,
     CURRENT_SCHEMA = 422,
     CURRENT_TIME = 423,
     CURRENT_TIMESTAMP = 424,
     CURRENT_USER = 425,
     CURSOR = 426,
     CYCLE = 427,
     DATA_P = 428,
     DATABASE = 429,
     DAY_P = 430,
     DEALLOCATE = 431,
     DEC = 432,
     DECIMAL_P = 433,
     DECLARE = 434,
     DEFAULT = 435,
     DEFAULTS = 436,
     DEFERRABLE = 437,
     DEFERRED = 438,
     DEFINER = 439,
     DELETE_P = 440,
     DELIMITER = 441,
     DELIMITERS = 442,
     DESC = 443,
     DICTIONARY = 444,
     DISABLE_P = 445,
     DISCARD = 446,
     DISTINCT = 447,
     DO = 448,
     DOCUMENT_P = 449,
     DOMAIN_P = 450,
     DOUBLE_P = 451,
     DROP = 452,
     EACH = 453,
     ELSE = 454,
     ENABLE_P = 455,
     ENCODING = 456,
     ENCRYPTED = 457,
     END_P = 458,
     ENUM_P = 459,
     ESCAPE = 460,
     EXCEPT = 461,
     EXCLUDE = 462,
     EXCLUDING = 463,
     EXCLUSIVE = 464,
     EXECUTE = 465,
     EXISTS = 466,
     EXPLAIN = 467,
     EXTENSION = 468,
     EXTERNAL = 469,
     EXTRACT = 470,
     FALSE_P = 471,
     FAMILY = 472,
     FETCH = 473,
     FIRST_P = 474,
     FLOAT_P = 475,
     FOLLOWING = 476,
     FOR = 477,
     FORCE = 478,
     FOREIGN = 479,
     FORWARD = 480,
     FREEZE = 481,
     FROM = 482,
     FULL = 483,
     FUNCTION = 484,
     FUNCTIONS = 485,
     GLOBAL = 486,
     GRANT = 487,
     GRANTED = 488,
     GREATEST = 489,
     GROUP_P = 490,
     HANDLER = 491,
     HAVING = 492,
     HEADER_P = 493,
     HOLD = 494,
     HOUR_P = 495,
     IDENTITY_P = 496,
     IF_P = 497,
     ILIKE = 498,
     IMMEDIATE = 499,
     IMMUTABLE = 500,
     IMPLICIT_P = 501,
     IN_P = 502,
     INCLUDING = 503,
     INCREMENT = 504,
     INDEX = 505,
     INDEXES = 506,
     INHERIT = 507,
     INHERITS = 508,
     INITIALLY = 509,
     INLINE_P = 510,
     INNER_P = 511,
     INOUT = 512,
     INPUT_P = 513,
     INSENSITIVE = 514,
     INSERT = 515,
     INSTEAD = 516,
     INT_P = 517,
     INTEGER = 518,
     INTERSECT = 519,
     INTERVAL = 520,
     INTO = 521,
     INVOKER = 522,
     IS = 523,
     ISNULL = 524,
     ISOLATION = 525,
     JOIN = 526,
     KEY = 527,
     LABEL = 528,
     LANGUAGE = 529,
     LARGE_P = 530,
     LAST_P = 531,
     LC_COLLATE_P = 532,
     LC_CTYPE_P = 533,
     LEADING = 534,
     LEAKPROOF = 535,
     LEAST = 536,
     LEFT = 537,
     LEVEL = 538,
     LIKE = 539,
     LIMIT = 540,
     LISTEN = 541,
     LOAD = 542,
     LOCAL = 543,
     LOCALTIME = 544,
     LOCALTIMESTAMP = 545,
     LOCATION = 546,
     LOCK_P = 547,
     MAPPING = 548,
     MATCH = 549,
     MAXVALUE = 550,
     MINUTE_P = 551,
     MINVALUE = 552,
     MODE = 553,
     MONTH_P = 554,
     MOVE = 555,
     NAME_P = 556,
     NAMES = 557,
     NATIONAL = 558,
     NATURAL = 559,
     NCHAR = 560,
     NEXT = 561,
     NO = 562,
     NONE = 563,
     NOT = 564,
     NOTHING = 565,
     NOTIFY = 566,
     NOTNULL = 567,
     NOWAIT = 568,
     NULL_P = 569,
     NULLIF = 570,
     NULLS_P = 571,
     NUMERIC = 572,
     OBJECT_P = 573,
     OF = 574,
     OFF = 575,
     OFFSET = 576,
     OIDS = 577,
     ON = 578,
     ONLY = 579,
     OPERATOR = 580,
     OPTION = 581,
     OPTIONS = 582,
     OR = 583,
     ORDER = 584,
     OUT_P = 585,
     OUTER_P = 586,
     OVER = 587,
     OVERLAPS = 588,
     OVERLAY = 589,
     OWNED = 590,
     OWNER = 591,
     PARSER = 592,
     PARTIAL = 593,
     PARTITION = 594,
     PASSING = 595,
     PASSWORD = 596,
     PLACING = 597,
     PLANS = 598,
     POSITION = 599,
     PRECEDING = 600,
     PRECISION = 601,
     PRESERVE = 602,
     PREPARE = 603,
     PREPARED = 604,
     PRIMARY = 605,
     PRIOR = 606,
     PRIVILEGES = 607,
     PROCEDURAL = 608,
     PROCEDURE = 609,
     QUOTE = 610,
     RANGE = 611,
     READ = 612,
     REAL = 613,
     REASSIGN = 614,
     RECHECK = 615,
     RECURSIVE = 616,
     REF = 617,
     REFERENCES = 618,
     REINDEX = 619,
     RELATIVE_P = 620,
     RELEASE = 621,
     RENAME = 622,
     REPEATABLE = 623,
     REPLACE = 624,
     REPLICA = 625,
     RESET = 626,
     RESTART = 627,
     RESTRICT = 628,
     RETURNING = 629,
     RETURNS = 630,
     REVOKE = 631,
     RIGHT = 632,
     ROLE = 633,
     ROLLBACK = 634,
     ROW = 635,
     ROWS = 636,
     RULE = 637,
     SAVEPOINT = 638,
     SCHEMA = 639,
     SCROLL = 640,
     SEARCH = 641,
     SECOND_P = 642,
     SECURITY = 643,
     SELECT = 644,
     SEQUENCE = 645,
     SEQUENCES = 646,
     SERIALIZABLE = 647,
     SERVER = 648,
     SESSION = 649,
     SESSION_USER = 650,
     SET = 651,
     SETOF = 652,
     SHARE = 653,
     SHOW = 654,
     SIMILAR = 655,
     SIMPLE = 656,
     SMALLINT = 657,
     SNAPSHOT = 658,
     SOME = 659,
     STABLE = 660,
     STANDALONE_P = 661,
     START = 662,
     STATEMENT = 663,
     STATISTICS = 664,
     STDIN = 665,
     STDOUT = 666,
     STORAGE = 667,
     STRICT_P = 668,
     STRIP_P = 669,
     SUBSTRING = 670,
     SYMMETRIC = 671,
     SYSID = 672,
     SYSTEM_P = 673,
     TABLE = 674,
     TABLES = 675,
     TABLESPACE = 676,
     TEMP = 677,
     TEMPLATE = 678,
     TEMPORARY = 679,
     TEXT_P = 680,
     THEN = 681,
     TIME = 682,
     TIMESTAMP = 683,
     TO = 684,
     TRAILING = 685,
     TRANSACTION = 686,
     TREAT = 687,
     TRIGGER = 688,
     TRIM = 689,
     TRUE_P = 690,
     TRUNCATE = 691,
     TRUSTED = 692,
     TYPE_P = 693,
     TYPES_P = 694,
     UNBOUNDED = 695,
     UNCOMMITTED = 696,
     UNENCRYPTED = 697,
     UNION = 698,
     UNIQUE = 699,
     UNKNOWN = 700,
     UNLISTEN = 701,
     UNLOGGED = 702,
     UNTIL = 703,
     UPDATE = 704,
     USER = 705,
     USING = 706,
     VACUUM = 707,
     VALID = 708,
     VALIDATE = 709,
     VALIDATOR = 710,
     VALUE_P = 711,
     VALUES = 712,
     VARCHAR = 713,
     VARIADIC = 714,
     VARYING = 715,
     VERBOSE = 716,
     VERSION_P = 717,
     VIEW = 718,
     VOLATILE = 719,
     WHEN = 720,
     WHERE = 721,
     WHITESPACE_P = 722,
     WINDOW = 723,
     WITH = 724,
     WITHOUT = 725,
     WORK = 726,
     WRAPPER = 727,
     WRITE = 728,
     XML_P = 729,
     XMLATTRIBUTES = 730,
     XMLCONCAT = 731,
     XMLELEMENT = 732,
     XMLEXISTS = 733,
     XMLFOREST = 734,
     XMLPARSE = 735,
     XMLPI = 736,
     XMLROOT = 737,
     XMLSERIALIZE = 738,
     YEAR_P = 739,
     YES_P = 740,
     ZONE = 741,
     NULLS_FIRST = 742,
     NULLS_LAST = 743,
     WITH_TIME = 744,
     POSTFIXOP = 745,
     UMINUS = 746
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 564 "preproc.y"

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;



/* Line 214 of yacc.c  */
#line 1181 "preproc.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 264 of yacc.c  */
#line 1206 "preproc.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   103593

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  511
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  686
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2730
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4945

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   746

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   498,     2,     2,
     503,   504,   496,   494,   506,   495,   505,   497,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   508,   507,
     491,   490,   492,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   501,     2,   502,   499,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   509,     2,   510,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   493,   500
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     7,     9,    11,    13,    15,    17,
      19,    21,    23,    25,    27,    29,    31,    33,    35,    37,
      39,    41,    43,    45,    47,    49,    51,    53,    55,    57,
      59,    61,    63,    65,    67,    69,    71,    73,    75,    77,
      79,    81,    83,    85,    87,    89,    91,    93,    95,    97,
      99,   101,   103,   105,   107,   109,   111,   113,   115,   117,
     119,   121,   123,   125,   127,   129,   131,   133,   135,   137,
     139,   141,   143,   145,   147,   149,   151,   153,   155,   157,
     159,   161,   163,   165,   167,   169,   171,   173,   175,   177,
     179,   181,   183,   185,   187,   189,   191,   193,   195,   197,
     199,   201,   203,   205,   207,   209,   211,   213,   215,   217,
     219,   221,   223,   225,   227,   229,   231,   233,   235,   237,
     239,   241,   243,   245,   247,   249,   251,   253,   255,   257,
     259,   261,   263,   264,   270,   272,   273,   276,   277,   280,
     281,   284,   287,   291,   295,   297,   301,   305,   308,   310,
     312,   315,   318,   321,   325,   329,   335,   341,   342,   346,
     352,   358,   363,   367,   373,   377,   383,   389,   396,   398,
     400,   404,   410,   417,   422,   424,   425,   428,   429,   431,
     433,   435,   437,   439,   441,   444,   448,   452,   455,   461,
     463,   467,   471,   475,   479,   483,   487,   490,   493,   496,
     499,   503,   507,   511,   515,   517,   521,   523,   527,   529,
     531,   534,   537,   540,   542,   544,   546,   548,   550,   552,
     554,   558,   565,   567,   569,   571,   573,   575,   576,   578,
     580,   583,   587,   592,   596,   599,   602,   604,   607,   609,
     613,   618,   624,   629,   632,   637,   639,   641,   643,   645,
     647,   650,   653,   656,   659,   664,   671,   676,   683,   688,
     695,   700,   707,   709,   713,   716,   720,   725,   732,   739,
     746,   752,   758,   765,   772,   777,   786,   791,   794,   798,
     805,   810,   814,   818,   822,   826,   830,   835,   840,   844,
     848,   852,   856,   860,   864,   869,   874,   878,   881,   885,
     888,   891,   895,   899,   902,   905,   907,   911,   914,   916,
     918,   919,   922,   923,   926,   927,   931,   934,   935,   937,
     941,   945,   947,   953,   957,   962,   964,   968,   973,   980,
     985,   994,   997,  1000,  1011,  1018,  1020,  1022,  1024,  1026,
    1028,  1030,  1034,  1037,  1038,  1040,  1042,  1046,  1050,  1052,
    1054,  1058,  1062,  1066,  1070,  1075,  1078,  1080,  1081,  1084,
    1085,  1089,  1090,  1092,  1093,  1095,  1099,  1102,  1104,  1106,
    1108,  1112,  1113,  1115,  1119,  1121,  1133,  1148,  1159,  1173,
    1175,  1177,  1180,  1183,  1186,  1189,  1191,  1192,  1194,  1195,
    1199,  1200,  1202,  1206,  1208,  1212,  1214,  1216,  1218,  1220,
    1222,  1227,  1232,  1235,  1236,  1240,  1242,  1244,  1247,  1250,
    1252,  1256,  1261,  1267,  1270,  1276,  1278,  1281,  1284,  1287,
    1291,  1295,  1299,  1300,  1302,  1304,  1306,  1308,  1310,  1312,
    1316,  1318,  1324,  1332,  1336,  1345,  1350,  1360,  1372,  1375,
    1376,  1380,  1381,  1383,  1387,  1389,  1392,  1395,  1398,  1399,
    1401,  1405,  1409,  1416,  1421,  1422,  1424,  1426,  1429,  1432,
    1433,  1437,  1441,  1444,  1446,  1448,  1451,  1454,  1459,  1460,
    1463,  1466,  1469,  1470,  1474,  1479,  1484,  1485,  1488,  1489,
    1494,  1495,  1499,  1505,  1508,  1512,  1513,  1519,  1524,  1531,
    1533,  1534,  1536,  1539,  1542,  1544,  1547,  1551,  1554,  1557,
    1560,  1563,  1567,  1571,  1573,  1577,  1579,  1580,  1582,  1585,
    1587,  1589,  1593,  1600,  1611,  1613,  1614,  1616,  1619,  1622,
    1623,  1626,  1629,  1631,  1632,  1638,  1646,  1648,  1649,  1656,
    1659,  1660,  1664,  1670,  1676,  1685,  1688,  1689,  1692,  1695,
    1698,  1704,  1707,  1708,  1711,  1719,  1730,  1737,  1744,  1751,
    1758,  1766,  1774,  1784,  1794,  1801,  1808,  1817,  1826,  1835,
    1844,  1851,  1858,  1866,  1875,  1882,  1889,  1897,  1900,  1903,
    1906,  1909,  1911,  1914,  1916,  1917,  1924,  1933,  1941,  1948,
    1953,  1954,  1956,  1960,  1965,  1967,  1971,  1973,  1976,  1979,
    1982,  1985,  1987,  1989,  2000,  2003,  2004,  2007,  2010,  2012,
    2013,  2018,  2025,  2031,  2036,  2041,  2050,  2062,  2066,  2069,
    2071,  2075,  2077,  2083,  2091,  2100,  2102,  2104,  2106,  2114,
    2124,  2133,  2149,  2170,  2172,  2174,  2177,  2179,  2183,  2185,
    2187,  2189,  2193,  2195,  2199,  2200,  2202,  2203,  2205,  2207,
    2212,  2213,  2215,  2219,  2220,  2222,  2224,  2226,  2228,  2231,
    2232,  2233,  2236,  2239,  2241,  2244,  2247,  2250,  2253,  2260,
    2269,  2278,  2283,  2289,  2294,  2299,  2304,  2308,  2316,  2325,
    2332,  2339,  2346,  2353,  2360,  2365,  2371,  2375,  2377,  2381,
    2385,  2387,  2389,  2391,  2393,  2395,  2397,  2401,  2405,  2409,
    2411,  2415,  2419,  2421,  2422,  2424,  2428,  2435,  2444,  2453,
    2467,  2469,  2473,  2479,  2486,  2491,  2499,  2502,  2504,  2505,
    2508,  2509,  2512,  2517,  2518,  2520,  2521,  2528,  2537,  2546,
    2548,  2552,  2558,  2564,  2572,  2582,  2590,  2600,  2606,  2613,
    2620,  2625,  2631,  2639,  2641,  2643,  2645,  2647,  2650,  2652,
    2654,  2656,  2658,  2660,  2662,  2666,  2670,  2674,  2678,  2680,
    2684,  2686,  2689,  2692,  2696,  2702,  2705,  2708,  2709,  2716,
    2724,  2732,  2740,  2749,  2758,  2765,  2774,  2784,  2794,  2802,
    2813,  2821,  2830,  2839,  2848,  2857,  2859,  2861,  2863,  2865,
    2867,  2869,  2871,  2873,  2875,  2877,  2879,  2881,  2883,  2885,
    2888,  2890,  2894,  2896,  2898,  2907,  2917,  2927,  2937,  2947,
    2950,  2951,  2953,  2955,  2958,  2960,  2962,  2964,  2966,  2968,
    2970,  2972,  2974,  2976,  2978,  2981,  2984,  2988,  2993,  2999,
    3004,  3010,  3014,  3019,  3023,  3028,  3030,  3033,  3037,  3041,
    3045,  3049,  3054,  3059,  3063,  3067,  3072,  3077,  3082,  3087,
    3089,  3091,  3093,  3094,  3102,  3110,  3121,  3123,  3125,  3128,
    3133,  3139,  3141,  3145,  3148,  3151,  3154,  3157,  3159,  3162,
    3165,  3170,  3174,  3177,  3180,  3183,  3186,  3190,  3193,  3196,
    3199,  3205,  3211,  3217,  3219,  3223,  3225,  3228,  3232,  3233,
    3235,  3239,  3242,  3249,  3256,  3266,  3270,  3271,  3275,  3276,
    3282,  3285,  3286,  3290,  3294,  3298,  3306,  3314,  3325,  3327,
    3329,  3331,  3333,  3348,  3350,  3351,  3353,  3354,  3356,  3357,
    3360,  3361,  3363,  3367,  3373,  3379,  3387,  3390,  3391,  3393,
    3396,  3397,  3399,  3401,  3402,  3404,  3406,  3407,  3417,  3430,
    3438,  3441,  3442,  3446,  3449,  3451,  3455,  3459,  3462,  3464,
    3468,  3472,  3476,  3479,  3482,  3484,  3486,  3488,  3490,  3493,
    3495,  3497,  3499,  3501,  3506,  3512,  3514,  3518,  3522,  3524,
    3527,  3532,  3538,  3540,  3542,  3544,  3546,  3550,  3554,  3557,
    3560,  3562,  3565,  3568,  3571,  3573,  3576,  3579,  3581,  3583,
    3585,  3589,  3592,  3593,  3596,  3598,  3602,  3608,  3610,  3613,
    3615,  3616,  3622,  3630,  3636,  3644,  3650,  3658,  3662,  3668,
    3674,  3680,  3682,  3686,  3689,  3691,  3694,  3696,  3699,  3711,
    3722,  3733,  3736,  3739,  3740,  3750,  3753,  3754,  3759,  3764,
    3769,  3771,  3773,  3775,  3776,  3784,  3791,  3798,  3805,  3812,
    3821,  3830,  3837,  3844,  3852,  3862,  3872,  3879,  3886,  3893,
    3902,  3909,  3918,  3925,  3934,  3941,  3950,  3958,  3968,  3977,
    3988,  3997,  4007,  4019,  4028,  4035,  4042,  4049,  4055,  4061,
    4070,  4079,  4088,  4097,  4104,  4114,  4116,  4117,  4120,  4121,
    4129,  4136,  4143,  4150,  4157,  4164,  4172,  4182,  4192,  4199,
    4208,  4217,  4226,  4235,  4244,  4251,  4260,  4267,  4276,  4284,
    4294,  4301,  4309,  4316,  4323,  4330,  4337,  4344,  4352,  4360,
    4368,  4378,  4388,  4395,  4402,  4409,  4418,  4427,  4436,  4443,
    4457,  4459,  4461,  4465,  4469,  4471,  4473,  4475,  4477,  4479,
    4481,  4483,  4484,  4486,  4488,  4490,  4492,  4494,  4496,  4497,
    4504,  4513,  4517,  4520,  4521,  4524,  4527,  4530,  4533,  4537,
    4541,  4544,  4547,  4550,  4553,  4557,  4560,  4566,  4571,  4575,
    4579,  4583,  4585,  4587,  4588,  4592,  4595,  4598,  4600,  4603,
    4605,  4609,  4612,  4614,  4615,  4625,  4637,  4641,  4646,  4651,
    4652,  4655,  4661,  4664,  4665,  4669,  4673,  4677,  4681,  4685,
    4689,  4693,  4697,  4701,  4705,  4709,  4713,  4717,  4722,  4726,
    4730,  4732,  4733,  4739,  4746,  4751,  4754,  4755,  4760,  4764,
    4770,  4777,  4782,  4789,  4796,  4802,  4810,  4820,  4827,  4829,
    4830,  4837,  4849,  4861,  4873,  4887,  4897,  4909,  4920,  4925,
    4928,  4934,  4937,  4938,  4943,  4949,  4955,  4960,  4967,  4969,
    4973,  4975,  4977,  4979,  4981,  4984,  4989,  4991,  4993,  4995,
    4996,  4998,  4999,  5001,  5002,  5006,  5007,  5010,  5015,  5019,
    5025,  5027,  5029,  5031,  5033,  5035,  5037,  5039,  5041,  5045,
    5048,  5050,  5052,  5054,  5056,  5058,  5059,  5065,  5070,  5074,
    5075,  5077,  5079,  5081,  5083,  5088,  5098,  5102,  5103,  5110,
    5112,  5117,  5120,  5122,  5126,  5129,  5133,  5134,  5142,  5145,
    5146,  5152,  5156,  5157,  5160,  5163,  5166,  5170,  5172,  5176,
    5178,  5181,  5183,  5184,  5193,  5195,  5199,  5201,  5203,  5207,
    5213,  5216,  5218,  5222,  5230,  5232,  5234,  5235,  5239,  5242,
    5245,  5248,  5249,  5252,  5255,  5257,  5259,  5263,  5267,  5269,
    5272,  5277,  5282,  5285,  5289,  5295,  5301,  5303,  5305,  5315,
    5317,  5320,  5325,  5330,  5335,  5338,  5342,  5344,  5348,  5355,
    5357,  5358,  5361,  5363,  5364,  5368,  5372,  5377,  5382,  5387,
    5392,  5396,  5399,  5401,  5403,  5404,  5406,  5408,  5409,  5411,
    5417,  5419,  5420,  5422,  5423,  5427,  5429,  5433,  5438,  5442,
    5445,  5448,  5450,  5452,  5454,  5455,  5458,  5463,  5469,  5472,
    5476,  5478,  5480,  5482,  5484,  5488,  5489,  5491,  5493,  5495,
    5497,  5499,  5503,  5504,  5507,  5508,  5510,  5514,  5516,  5517,
    5519,  5522,  5527,  5532,  5535,  5536,  5539,  5543,  5546,  5547,
    5549,  5553,  5555,  5558,  5560,  5563,  5569,  5576,  5582,  5584,
    5587,  5589,  5594,  5598,  5603,  5609,  5614,  5620,  5625,  5631,
    5634,  5639,  5641,  5644,  5647,  5650,  5652,  5654,  5655,  5660,
    5663,  5665,  5668,  5671,  5676,  5678,  5682,  5684,  5687,  5691,
    5693,  5696,  5697,  5700,  5705,  5706,  5708,  5709,  5711,  5715,
    5719,  5722,  5726,  5732,  5739,  5742,  5746,  5750,  5755,  5756,
    5758,  5760,  5762,  5764,  5766,  5769,  5775,  5777,  5779,  5781,
    5783,  5786,  5790,  5794,  5795,  5797,  5799,  5801,  5803,  5805,
    5808,  5811,  5814,  5817,  5820,  5822,  5826,  5827,  5829,  5831,
    5833,  5835,  5841,  5844,  5846,  5848,  5850,  5852,  5858,  5861,
    5864,  5867,  5869,  5873,  5877,  5880,  5882,  5883,  5887,  5888,
    5894,  5897,  5903,  5906,  5908,  5911,  5915,  5916,  5918,  5920,
    5922,  5924,  5926,  5928,  5932,  5936,  5940,  5944,  5948,  5952,
    5956,  5957,  5959,  5964,  5966,  5970,  5974,  5980,  5983,  5986,
    5990,  5994,  5998,  6002,  6006,  6010,  6014,  6018,  6022,  6026,
    6029,  6032,  6036,  6040,  6043,  6047,  6053,  6058,  6065,  6069,
    6075,  6080,  6087,  6092,  6099,  6105,  6113,  6117,  6120,  6125,
    6128,  6132,  6136,  6141,  6145,  6150,  6154,  6159,  6165,  6172,
    6179,  6187,  6194,  6202,  6209,  6217,  6221,  6226,  6231,  6238,
    6241,  6245,  6250,  6252,  6256,  6259,  6262,  6266,  6270,  6274,
    6278,  6282,  6286,  6290,  6294,  6298,  6302,  6305,  6308,  6314,
    6321,  6328,  6336,  6340,  6345,  6347,  6349,  6352,  6357,  6359,
    6361,  6363,  6366,  6369,  6372,  6375,  6377,  6382,  6388,  6395,
    6404,  6411,  6419,  6427,  6433,  6439,  6441,  6443,  6448,  6450,
    6455,  6457,  6462,  6464,  6469,  6471,  6473,  6475,  6477,  6479,
    6481,  6488,  6493,  6498,  6503,  6508,  6515,  6521,  6527,  6533,
    6538,  6545,  6550,  6555,  6560,  6565,  6571,  6579,  6587,  6597,
    6603,  6608,  6615,  6621,  6629,  6637,  6645,  6648,  6652,  6656,
    6660,  6665,  6666,  6671,  6673,  6677,  6681,  6683,  6685,  6687,
    6690,  6693,  6694,  6697,  6702,  6707,  6714,  6717,  6718,  6720,
    6724,  6728,  6731,  6734,  6735,  6742,  6744,  6745,  6749,  6750,
    6753,  6756,  6757,  6759,  6764,  6767,  6770,  6773,  6776,  6779,
    6784,  6788,  6794,  6796,  6798,  6800,  6802,  6804,  6806,  6808,
    6810,  6812,  6814,  6816,  6818,  6820,  6822,  6824,  6829,  6831,
    6836,  6838,  6843,  6845,  6848,  6850,  6853,  6855,  6859,  6861,
    6865,  6867,  6871,  6873,  6877,  6881,  6885,  6888,  6890,  6894,
    6898,  6899,  6901,  6903,  6905,  6907,  6909,  6911,  6913,  6915,
    6920,  6924,  6927,  6931,  6932,  6936,  6940,  6943,  6946,  6948,
    6949,  6952,  6955,  6959,  6962,  6964,  6966,  6970,  6976,  6978,
    6981,  6986,  6989,  6990,  6992,  6993,  6995,  6998,  7001,  7004,
    7008,  7014,  7016,  7019,  7020,  7023,  7025,  7026,  7028,  7030,
    7032,  7036,  7040,  7042,  7046,  7050,  7053,  7055,  7057,  7059,
    7063,  7065,  7068,  7070,  7074,  7076,  7078,  7080,  7082,  7084,
    7086,  7088,  7091,  7093,  7095,  7097,  7099,  7101,  7104,  7110,
    7113,  7117,  7124,  7126,  7128,  7130,  7132,  7134,  7136,  7138,
    7140,  7142,  7145,  7148,  7150,  7152,  7154,  7156,  7158,  7160,
    7162,  7164,  7166,  7168,  7170,  7172,  7174,  7176,  7178,  7180,
    7182,  7184,  7186,  7188,  7190,  7192,  7194,  7196,  7198,  7200,
    7202,  7204,  7206,  7208,  7210,  7212,  7214,  7216,  7218,  7220,
    7222,  7224,  7226,  7228,  7230,  7232,  7234,  7236,  7238,  7240,
    7242,  7244,  7246,  7248,  7250,  7252,  7254,  7256,  7258,  7260,
    7262,  7264,  7266,  7268,  7270,  7272,  7274,  7276,  7278,  7280,
    7282,  7284,  7286,  7288,  7290,  7292,  7294,  7296,  7298,  7300,
    7302,  7304,  7306,  7308,  7310,  7312,  7314,  7316,  7318,  7320,
    7322,  7324,  7326,  7328,  7330,  7332,  7334,  7336,  7338,  7340,
    7342,  7344,  7346,  7348,  7350,  7352,  7354,  7356,  7358,  7360,
    7362,  7364,  7366,  7368,  7370,  7372,  7374,  7376,  7378,  7380,
    7382,  7384,  7386,  7388,  7390,  7392,  7394,  7396,  7398,  7400,
    7402,  7404,  7406,  7408,  7410,  7412,  7414,  7416,  7418,  7420,
    7422,  7424,  7426,  7428,  7430,  7432,  7434,  7436,  7438,  7440,
    7442,  7444,  7446,  7448,  7450,  7452,  7454,  7456,  7458,  7460,
    7462,  7464,  7466,  7468,  7470,  7472,  7474,  7476,  7478,  7480,
    7482,  7484,  7486,  7488,  7490,  7492,  7494,  7496,  7498,  7500,
    7502,  7504,  7506,  7508,  7510,  7512,  7514,  7516,  7518,  7520,
    7522,  7524,  7526,  7528,  7530,  7532,  7534,  7536,  7538,  7540,
    7542,  7544,  7546,  7548,  7550,  7552,  7554,  7556,  7558,  7560,
    7562,  7564,  7566,  7568,  7570,  7572,  7574,  7576,  7578,  7580,
    7582,  7584,  7586,  7588,  7590,  7592,  7594,  7596,  7598,  7600,
    7602,  7604,  7606,  7608,  7610,  7612,  7614,  7616,  7618,  7620,
    7622,  7624,  7626,  7628,  7630,  7632,  7634,  7636,  7638,  7640,
    7642,  7644,  7646,  7648,  7650,  7652,  7654,  7656,  7658,  7660,
    7662,  7664,  7666,  7668,  7670,  7672,  7674,  7676,  7678,  7680,
    7682,  7684,  7686,  7688,  7690,  7692,  7694,  7696,  7698,  7700,
    7702,  7704,  7706,  7708,  7710,  7712,  7714,  7716,  7718,  7720,
    7722,  7724,  7726,  7728,  7730,  7732,  7734,  7736,  7738,  7740,
    7742,  7744,  7746,  7748,  7750,  7752,  7754,  7756,  7758,  7760,
    7762,  7764,  7766,  7768,  7770,  7772,  7774,  7776,  7778,  7780,
    7782,  7784,  7786,  7788,  7790,  7792,  7794,  7796,  7798,  7800,
    7802,  7804,  7806,  7808,  7810,  7812,  7814,  7816,  7818,  7820,
    7822,  7824,  7826,  7828,  7830,  7832,  7834,  7836,  7838,  7840,
    7842,  7844,  7846,  7848,  7850,  7852,  7854,  7856,  7858,  7860,
    7862,  7864,  7866,  7868,  7870,  7872,  7874,  7876,  7878,  7880,
    7882,  7884,  7886,  7888,  7890,  7892,  7894,  7896,  7898,  7900,
    7902,  7904,  7906,  7908,  7910,  7912,  7913,  7916,  7921,  7925,
    7928,  7930,  7932,  7934,  7936,  7938,  7939,  7948,  7951,  7957,
    7961,  7964,  7967,  7971,  7979,  7981,  7983,  7985,  7986,  7989,
    7992,  7994,  7995,  7997,  8001,  8003,  8006,  8007,  8010,  8011,
    8014,  8015,  8017,  8021,  8026,  8030,  8032,  8034,  8036,  8038,
    8041,  8042,  8045,  8050,  8051,  8054,  8057,  8060,  8062,  8064,
    8072,  8076,  8078,  8080,  8082,  8084,  8087,  8088,  8090,  8094,
    8098,  8102,  8106,  8107,  8112,  8118,  8124,  8125,  8127,  8129,
    8131,  8134,  8137,  8139,  8142,  8143,  8151,  8152,  8158,  8159,
    8164,  8167,  8170,  8171,  8174,  8176,  8178,  8180,  8182,  8184,
    8186,  8188,  8190,  8192,  8194,  8196,  8202,  8205,  8207,  8211,
    8214,  8217,  8221,  8222,  8228,  8230,  8231,  8237,  8240,  8243,
    8245,  8247,  8249,  8252,  8255,  8259,  8261,  8264,  8267,  8271,
    8275,  8280,  8283,  8285,  8288,  8290,  8292,  8295,  8298,  8302,
    8304,  8306,  8308,  8310,  8311,  8313,  8317,  8323,  8324,  8327,
    8328,  8330,  8333,  8337,  8340,  8342,  8344,  8346,  8347,  8349,
    8351,  8353,  8355,  8357,  8360,  8363,  8367,  8368,  8370,  8373,
    8375,  8380,  8384,  8389,  8393,  8396,  8398,  8402,  8404,  8406,
    8408,  8410,  8413,  8416,  8418,  8421,  8424,  8426,  8428,  8430,
    8435,  8440,  8445,  8450,  8455,  8457,  8458,  8462,  8466,  8471,
    8473,  8477,  8481,  8486,  8488,  8492,  8496,  8498,  8500,  8502,
    8509,  8511,  8515,  8519,  8526,  8528,  8532,  8536,  8538,  8540,
    8543,  8546,  8548,  8550,  8552,  8554,  8556,  8558,  8560,  8562,
    8564,  8566,  8568,  8570,  8572,  8574,  8576,  8578,  8583,  8588,
    8590,  8592,  8597,  8602,  8606,  8607,  8615,  8617,  8618,  8619,
    8627,  8631,  8636,  8640,  8642,  8644,  8646,  8649,  8653,  8659,
    8662,  8668,  8671,  8673,  8675,  8677,  8679,  8681,  8683,  8685,
    8687,  8689,  8691,  8693,  8695,  8697,  8699,  8701,  8703,  8705,
    8707,  8709,  8711,  8713,  8715,  8717,  8719,  8721,  8723,  8725,
    8727,  8729,  8731,  8733,  8735,  8737,  8739,  8741,  8743,  8745,
    8747,  8749,  8751,  8753,  8755,  8757,  8759,  8761,  8763,  8765,
    8767,  8769,  8771,  8773,  8775,  8777,  8779,  8781,  8783,  8785,
    8787,  8789,  8791,  8793,  8795,  8797,  8799,  8801,  8803,  8805,
    8807,  8809,  8811,  8813,  8815,  8817,  8819,  8821,  8823,  8825,
    8827,  8829,  8831,  8833,  8835,  8837,  8839,  8841,  8843,  8845,
    8847,  8849,  8851,  8853,  8855,  8857,  8859,  8861,  8863,  8865,
    8867,  8871,  8873,  8874,  8876,  8879,  8881,  8884,  8886,  8888,
    8890,  8893,  8896,  8898,  8900,  8902,  8904,  8906,  8908,  8910,
    8912,  8914,  8916,  8918,  8920,  8922,  8924,  8926,  8928,  8931,
    8935,  8937,  8940,  8942,  8946,  8948,  8952,  8954,  8956,  8958,
    8960,  8962,  8964,  8966,  8968,  8970,  8972,  8974,  8976,  8978,
    8980,  8982,  8984,  8986,  8988,  8990,  8992,  8994,  8996,  8998,
    9000,  9002,  9004,  9006,  9008,  9010,  9012,  9014,  9016,  9018,
    9020,  9022,  9024,  9026,  9028,  9030,  9032,  9034,  9036,  9038,
    9040,  9042,  9044,  9046,  9048,  9050,  9052,  9054,  9056,  9058,
    9060,  9062,  9064,  9066,  9068,  9070,  9072,  9074,  9077,  9081,
    9084,  9088,  9090,  9094,  9098,  9102,  9106,  9110,  9114,  9116,
    9118,  9119,  9122,  9125,  9127,  9129,  9132,  9134,  9136,  9138,
    9139
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     512,     0,    -1,  1048,    -1,   838,    -1,   839,    -1,   756,
      -1,   844,    -1,   707,    -1,   647,    -1,   650,    -1,   656,
      -1,   670,    -1,   675,    -1,   791,    -1,   529,    -1,   812,
      -1,   813,    -1,   626,    -1,   556,    -1,   567,    -1,   523,
      -1,   521,    -1,   847,    -1,   846,    -1,   679,    -1,   525,
      -1,   524,    -1,   854,    -1,   554,    -1,   570,    -1,   849,
      -1,   730,    -1,   551,    -1,   571,    -1,  1050,    -1,   694,
      -1,   802,    -1,   848,    -1,   843,    -1,   644,    -1,   651,
      -1,   665,    -1,   671,    -1,   772,    -1,   528,    -1,   708,
      -1,   715,    -1,   716,    -1,   633,    -1,   532,    -1,   625,
      -1,   586,    -1,   641,    -1,   680,    -1,   514,    -1,   520,
      -1,   676,    -1,   834,    -1,  1191,    -1,   889,    -1,   696,
      -1,   876,    -1,   555,    -1,   799,    -1,   695,    -1,   804,
      -1,   655,    -1,   669,    -1,   531,    -1,   719,    -1,   720,
      -1,   721,    -1,   639,    -1,   821,    -1,   723,    -1,   643,
      -1,   693,    -1,   526,    -1,   527,    -1,   678,    -1,   842,
      -1,   869,    -1,   860,    -1,   737,    -1,   741,    -1,   752,
      -1,   761,    -1,   871,    -1,   824,    -1,   833,    -1,   878,
      -1,   822,    -1,   866,    -1,   722,    -1,   806,    -1,   795,
      -1,   794,    -1,   796,    -1,   809,    -1,   742,    -1,   753,
      -1,   814,    -1,   733,    -1,   893,    -1,   826,    -1,   728,
      -1,   825,    -1,   882,    -1,   851,    -1,   547,    -1,   536,
      -1,   550,    -1,   831,    -1,  1127,    -1,  1053,    -1,  1070,
      -1,  1128,    -1,  1110,    -1,  1125,    -1,  1111,    -1,  1071,
      -1,  1115,    -1,  1137,    -1,  1129,    -1,  1116,    -1,  1145,
      -1,  1147,    -1,  1140,    -1,  1132,    -1,  1148,    -1,  1151,
      -1,  1153,    -1,    -1,   160,   378,  1042,   515,   516,    -1,
     469,    -1,    -1,   516,   519,    -1,    -1,   517,   518,    -1,
      -1,   341,  1181,    -1,   341,   314,    -1,   202,   341,  1181,
      -1,   442,   341,  1181,    -1,   252,    -1,   152,   285,  1043,
      -1,   453,   448,  1181,    -1,   450,  1032,    -1,  1183,    -1,
     518,    -1,   417,  1041,    -1,    96,  1032,    -1,   378,  1032,
      -1,   247,   378,  1032,    -1,   247,   235,  1032,    -1,   160,
     450,  1042,   515,   516,    -1,   101,   378,  1042,   515,   517,
      -1,    -1,   247,   174,  1034,    -1,   101,   378,  1042,   522,
     548,    -1,   101,   450,  1042,   515,   517,    -1,   101,   450,
    1042,   548,    -1,   197,   378,  1032,    -1,   197,   378,   242,
     211,  1032,    -1,   197,   450,  1032,    -1,   197,   450,   242,
     211,  1032,    -1,   160,   235,  1042,   515,   516,    -1,   101,
     235,  1042,   530,   450,  1032,    -1,    95,    -1,   197,    -1,
     197,   235,  1032,    -1,   197,   235,   242,   211,  1032,    -1,
     160,   384,   533,   115,  1042,   534,    -1,   160,   384,  1161,
     534,    -1,  1161,    -1,    -1,   534,   535,    -1,    -1,   586,
      -1,   761,    -1,   625,    -1,   680,    -1,   741,    -1,   831,
      -1,   396,   537,    -1,   396,   288,   537,    -1,   396,   394,
     537,    -1,   431,   829,    -1,   394,   136,   108,   431,   829,
      -1,   538,    -1,   539,   429,   540,    -1,   539,   490,   540,
      -1,   539,   429,   180,    -1,   539,   490,   180,    -1,   539,
     227,   163,    -1,   427,   486,   544,    -1,   132,  1181,    -1,
     384,  1181,    -1,   302,   545,    -1,   378,   546,    -1,   394,
     115,   546,    -1,   394,   115,   180,    -1,   474,   326,   979,
      -1,   431,   403,  1181,    -1,  1160,    -1,   539,   505,  1161,
      -1,   541,    -1,   540,   506,   541,    -1,   543,    -1,   631,
      -1,   357,   441,    -1,   357,   149,    -1,   368,   357,    -1,
     392,    -1,   435,    -1,   216,    -1,   323,    -1,   546,    -1,
    1181,    -1,  1183,    -1,   966,  1181,   968,    -1,   966,   503,
    1041,   504,  1181,   968,    -1,   631,    -1,   180,    -1,   288,
      -1,  1181,    -1,   180,    -1,    -1,  1161,    -1,  1181,    -1,
     371,   539,    -1,   371,   427,   486,    -1,   371,   431,   270,
     283,    -1,   371,   394,   115,    -1,   371,    99,    -1,   396,
     537,    -1,   547,    -1,   396,   538,    -1,   547,    -1,   399,
     539,  1194,    -1,   399,   427,   486,  1194,    -1,   399,   431,
     270,   283,  1194,    -1,   399,   394,   115,  1194,    -1,   399,
      99,    -1,   396,   154,   552,   553,    -1,    99,    -1,  1030,
      -1,   183,    -1,   244,    -1,   138,    -1,   191,    99,    -1,
     191,   422,    -1,   191,   424,    -1,   191,   343,    -1,   101,
     419,   937,   557,    -1,   101,   419,   242,   211,   937,   557,
      -1,   101,   250,  1031,   557,    -1,   101,   250,   242,   211,
    1031,   557,    -1,   101,   390,  1031,   557,    -1,   101,   390,
     242,   211,  1031,   557,    -1,   101,   463,  1031,   557,    -1,
     101,   463,   242,   211,  1031,   557,    -1,   558,    -1,   557,
     506,   558,    -1,    95,   594,    -1,    95,   145,   594,    -1,
     101,   810,  1161,   559,    -1,   101,   810,  1161,   197,   309,
     314,    -1,   101,   810,  1161,   396,   309,   314,    -1,   101,
     810,  1161,   396,   409,  1043,    -1,   101,   810,  1161,   396,
     563,    -1,   101,   810,  1161,   371,   563,    -1,   101,   810,
    1161,   396,   412,  1161,    -1,   197,   810,   242,   211,  1161,
     560,    -1,   197,   810,  1161,   560,    -1,   101,   810,  1161,
     811,   438,   946,   561,   562,    -1,   101,   810,  1161,   659,
      -1,    95,   603,    -1,   454,   153,  1033,    -1,   197,   153,
     242,   211,  1033,   560,    -1,   197,   153,  1033,   560,    -1,
     396,   469,   322,    -1,   396,   470,   322,    -1,   141,   323,
    1033,    -1,   396,   470,   141,    -1,   200,   433,  1033,    -1,
     200,   102,   433,  1033,    -1,   200,   370,   433,  1033,    -1,
     200,   433,    99,    -1,   200,   433,   450,    -1,   190,   433,
    1033,    -1,   190,   433,    99,    -1,   190,   433,   450,    -1,
     200,   382,  1033,    -1,   200,   102,   382,  1033,    -1,   200,
     370,   382,  1033,    -1,   190,   382,  1033,    -1,   252,  1031,
      -1,   307,   252,  1031,    -1,   319,   726,    -1,   309,   319,
      -1,   336,   429,  1042,    -1,   396,   421,  1033,    -1,   396,
     563,    -1,   371,   563,    -1,   659,    -1,   396,   180,   970,
      -1,   197,   180,    -1,   128,    -1,   373,    -1,    -1,   143,
     726,    -1,    -1,   451,   970,    -1,    -1,   503,   565,   504,
      -1,   469,   563,    -1,    -1,   566,    -1,   565,   506,   566,
      -1,  1163,   490,   700,    -1,  1163,    -1,  1163,   505,  1163,
     490,   700,    -1,  1163,   505,  1163,    -1,   101,   438,   726,
     568,    -1,   569,    -1,   568,   506,   569,    -1,    95,   114,
     945,   560,    -1,   197,   114,   242,   211,  1161,   560,    -1,
     197,   114,  1161,   560,    -1,   101,   114,  1161,   811,   438,
     946,   561,   560,    -1,   140,   890,    -1,   140,    99,    -1,
     158,   577,  1031,   606,   578,   572,   573,   579,   515,   574,
      -1,   158,   894,   429,   573,   515,   574,    -1,   227,    -1,
     429,    -1,  1181,    -1,   410,    -1,   411,    -1,   575,    -1,
     503,   581,   504,    -1,   575,   576,    -1,    -1,   121,    -1,
     322,    -1,   186,   845,  1181,    -1,   314,   845,  1181,    -1,
     162,    -1,   238,    -1,   355,   845,  1181,    -1,   205,   845,
    1181,    -1,   223,   355,   607,    -1,   223,   355,   496,    -1,
     223,   309,   314,   607,    -1,   201,  1181,    -1,   121,    -1,
      -1,   469,   322,    -1,    -1,   580,   187,  1181,    -1,    -1,
     451,    -1,    -1,   582,    -1,   581,   506,   582,    -1,  1163,
     583,    -1,   543,    -1,   631,    -1,   496,    -1,   503,   584,
     504,    -1,    -1,   585,    -1,   584,   506,   585,    -1,   543,
      -1,   160,   587,   419,  1031,   503,   588,   504,   617,   618,
     619,   620,    -1,   160,   587,   419,   242,   309,   211,  1031,
     503,   588,   504,   617,   618,   619,   620,    -1,   160,   587,
     419,  1031,   319,   726,   589,   618,   619,   620,    -1,   160,
     587,   419,   242,   309,   211,  1031,   319,   726,   589,   618,
     619,   620,    -1,   424,    -1,   422,    -1,   288,   424,    -1,
     288,   422,    -1,   231,   424,    -1,   231,   422,    -1,   447,
      -1,    -1,   590,    -1,    -1,   503,   591,   504,    -1,    -1,
     592,    -1,   590,   506,   592,    -1,   593,    -1,   591,   506,
     593,    -1,   594,    -1,   600,    -1,   603,    -1,   595,    -1,
     603,    -1,  1161,   946,   657,   596,    -1,  1161,   469,   327,
     596,    -1,   596,   597,    -1,    -1,   153,  1033,   598,    -1,
     598,    -1,   599,    -1,   143,   726,    -1,   309,   314,    -1,
     314,    -1,   444,   788,   621,    -1,   350,   272,   788,   621,
      -1,   137,   503,   970,   504,   605,    -1,   180,   971,    -1,
     363,  1031,   606,   609,   613,    -1,   182,    -1,   309,   182,
      -1,   254,   183,    -1,   254,   244,    -1,   284,  1031,   601,
      -1,   601,   248,   602,    -1,   601,   208,   602,    -1,    -1,
     181,    -1,   154,    -1,   251,    -1,   412,    -1,   147,    -1,
      99,    -1,   153,  1033,   604,    -1,   604,    -1,   137,   503,
     970,   504,   691,    -1,   444,   503,   607,   504,   788,   621,
     691,    -1,   444,   622,   691,    -1,   350,   272,   503,   607,
     504,   788,   621,   691,    -1,   350,   272,   622,   691,    -1,
     207,   765,   503,   610,   504,   788,   621,   612,   691,    -1,
     224,   272,   503,   607,   504,   363,  1031,   606,   609,   613,
     691,    -1,   307,   252,    -1,    -1,   503,   607,   504,    -1,
      -1,   608,    -1,   607,   506,   608,    -1,  1161,    -1,   294,
     228,    -1,   294,   338,    -1,   294,   401,    -1,    -1,   611,
      -1,   610,   506,   611,    -1,   767,   469,   798,    -1,   767,
     469,   325,   503,   798,   504,    -1,   466,   503,   970,   504,
      -1,    -1,   614,    -1,   615,    -1,   614,   615,    -1,   615,
     614,    -1,    -1,   323,   449,   616,    -1,   323,   185,   616,
      -1,   307,    94,    -1,   373,    -1,   128,    -1,   396,   314,
      -1,   396,   180,    -1,   253,   503,  1030,   504,    -1,    -1,
     469,   563,    -1,   469,   322,    -1,   470,   322,    -1,    -1,
     323,   148,   197,    -1,   323,   148,   185,   381,    -1,   323,
     148,   347,   381,    -1,    -1,   421,  1033,    -1,    -1,   451,
     250,   421,  1033,    -1,    -1,   451,   250,  1037,    -1,  1031,
     606,   618,   619,   620,    -1,   469,   173,    -1,   469,   307,
     173,    -1,    -1,   160,   587,   390,  1031,   627,    -1,   101,
     390,  1031,   628,    -1,   101,   390,   242,   211,  1031,   628,
      -1,   628,    -1,    -1,   629,    -1,   628,   629,    -1,   126,
     631,    -1,   172,    -1,   307,   172,    -1,   249,   630,   631,
      -1,   295,   631,    -1,   297,   631,    -1,   307,   295,    -1,
     307,   297,    -1,   335,   125,   726,    -1,   407,   515,   631,
      -1,   372,    -1,   372,   515,   631,    -1,   125,    -1,    -1,
    1180,    -1,   495,  1180,    -1,  1043,    -1,   631,    -1,   632,
     506,   631,    -1,   160,   773,   634,   640,   274,   546,    -1,
     160,   773,   634,   640,   274,   546,   236,   635,   636,   638,
      -1,   437,    -1,    -1,  1033,    -1,  1033,   727,    -1,   255,
     635,    -1,    -1,   455,   635,    -1,   307,   455,    -1,   637,
      -1,    -1,   197,   640,   274,   546,   560,    -1,   197,   640,
     274,   242,   211,   546,   560,    -1,   353,    -1,    -1,   160,
     421,  1033,   642,   291,  1181,    -1,   336,  1033,    -1,    -1,
     197,   421,  1033,    -1,   197,   421,   242,   211,  1033,    -1,
     160,   213,  1033,   515,   645,    -1,   160,   213,   242,   309,
     211,  1033,   515,   645,    -1,   645,   646,    -1,    -1,   384,
    1033,    -1,   462,   546,    -1,   227,   546,    -1,   101,   213,
    1033,   449,   648,    -1,   648,   649,    -1,    -1,   429,   546,
      -1,   101,   213,  1033,   530,    98,  1039,   701,    -1,   101,
     213,  1033,   530,   131,   503,   946,   108,   946,   504,    -1,
     101,   213,  1033,   530,   144,   726,    -1,   101,   213,  1033,
     530,   157,   726,    -1,   101,   213,  1033,   530,   195,   726,
      -1,   101,   213,  1033,   530,   229,   751,    -1,   101,   213,
    1033,   530,   640,   274,  1033,    -1,   101,   213,  1033,   530,
     325,   798,   797,    -1,   101,   213,  1033,   530,   325,   139,
     726,   451,  1035,    -1,   101,   213,  1033,   530,   325,   217,
     726,   451,  1035,    -1,   101,   213,  1033,   530,   384,  1033,
      -1,   101,   213,  1033,   530,   419,   726,    -1,   101,   213,
    1033,   530,   425,   386,   337,   726,    -1,   101,   213,  1033,
     530,   425,   386,   189,   726,    -1,   101,   213,  1033,   530,
     425,   386,   423,   726,    -1,   101,   213,  1033,   530,   425,
     386,   151,   726,    -1,   101,   213,  1033,   530,   390,   726,
      -1,   101,   213,  1033,   530,   463,   726,    -1,   101,   213,
    1033,   530,   224,   419,   726,    -1,   101,   213,  1033,   530,
     224,   173,   472,  1033,    -1,   101,   213,  1033,   530,   393,
    1033,    -1,   101,   213,  1033,   530,   438,   726,    -1,   160,
     224,   173,   472,  1033,   654,   657,    -1,   236,   635,    -1,
     307,   236,    -1,   455,   635,    -1,   307,   455,    -1,   652,
      -1,   653,   652,    -1,   653,    -1,    -1,   197,   224,   173,
     472,  1033,   560,    -1,   197,   224,   173,   472,   242,   211,
    1033,   560,    -1,   101,   224,   173,   472,  1033,   654,   659,
      -1,   101,   224,   173,   472,  1033,   653,    -1,   327,   503,
     658,   504,    -1,    -1,   662,    -1,   658,   506,   662,    -1,
     327,   503,   660,   504,    -1,   661,    -1,   660,   506,   661,
      -1,   662,    -1,   396,   662,    -1,    95,   662,    -1,   197,
     663,    -1,   663,   664,    -1,  1163,    -1,  1181,    -1,   160,
     393,  1033,   666,   668,   224,   173,   472,  1033,   657,    -1,
     438,  1181,    -1,    -1,   462,  1181,    -1,   462,   314,    -1,
     667,    -1,    -1,   197,   393,  1033,   560,    -1,   197,   393,
     242,   211,  1033,   560,    -1,   101,   393,  1033,   667,   659,
      -1,   101,   393,  1033,   667,    -1,   101,   393,  1033,   659,
      -1,   160,   224,   419,  1031,   672,   393,  1033,   657,    -1,
     160,   224,   419,   242,   309,   211,  1031,   672,   393,  1033,
     657,    -1,   503,   673,   504,    -1,   503,   504,    -1,   674,
      -1,   673,   506,   674,    -1,   594,    -1,   101,   224,   419,
     937,   557,    -1,   101,   224,   419,   242,   211,   937,   557,
      -1,   160,   450,   293,   222,   677,   393,  1033,   657,    -1,
     170,    -1,   450,    -1,  1042,    -1,   197,   450,   293,   222,
     677,   393,  1033,    -1,   197,   450,   293,   242,   211,   222,
     677,   393,  1033,    -1,   101,   450,   293,   222,   677,   393,
    1033,   659,    -1,   160,   433,  1033,   681,   682,   323,  1031,
     684,   687,   210,   354,  1039,   503,   688,   504,    -1,   160,
     153,   433,  1033,    97,   682,   323,  1031,   690,   691,   222,
     198,   380,   687,   210,   354,  1039,   503,   688,   504,    -1,
     117,    -1,    97,    -1,   261,   319,    -1,   683,    -1,   682,
     328,   683,    -1,   260,    -1,   185,    -1,   449,    -1,   449,
     319,   607,    -1,   436,    -1,   222,   685,   686,    -1,    -1,
     198,    -1,    -1,   380,    -1,   408,    -1,   465,   503,   970,
     504,    -1,    -1,   689,    -1,   688,   506,   689,    -1,    -1,
    1041,    -1,  1180,    -1,  1181,    -1,  1163,    -1,   227,  1031,
      -1,    -1,    -1,   691,   692,    -1,   309,   182,    -1,   182,
      -1,   254,   244,    -1,   254,   183,    -1,   309,   453,    -1,
     307,   252,    -1,   197,   433,  1033,   323,   726,   560,    -1,
     197,   433,   242,   211,  1033,   323,   726,   560,    -1,   160,
     110,  1033,   137,   503,   970,   504,   691,    -1,   197,   110,
    1033,   560,    -1,   160,    98,  1039,   701,   697,    -1,   160,
      98,  1039,   702,    -1,   160,   325,   798,   697,    -1,   160,
     438,   726,   697,    -1,   160,   438,   726,    -1,   160,   438,
     726,   108,   503,   943,   504,    -1,   160,   438,   726,   108,
     204,   503,   705,   504,    -1,   160,   438,   726,   108,   356,
     697,    -1,   160,   425,   386,   337,   726,   697,    -1,   160,
     425,   386,   189,   726,   697,    -1,   160,   425,   386,   423,
     726,   697,    -1,   160,   425,   386,   151,   726,   697,    -1,
     160,   144,   726,   697,    -1,   160,   144,   726,   227,   726,
      -1,   503,   698,   504,    -1,   699,    -1,   698,   506,   699,
      -1,  1163,   490,   700,    -1,  1163,    -1,   782,    -1,  1047,
      -1,   997,    -1,   631,    -1,  1181,    -1,   503,  1002,   504,
      -1,   503,   496,   504,    -1,   503,   703,   504,    -1,   704,
      -1,   703,   506,   704,    -1,  1183,   490,   700,    -1,   706,
      -1,    -1,  1181,    -1,   706,   506,  1181,    -1,   101,   438,
     726,    95,   456,  1181,    -1,   101,   438,   726,    95,   456,
    1181,   117,  1181,    -1,   101,   438,   726,    95,   456,  1181,
      97,  1181,    -1,   160,   325,   139,   726,   711,   222,   438,
     946,   451,  1035,   712,   108,   709,    -1,   710,    -1,   709,
     506,   710,    -1,   325,  1041,   798,   713,   714,    -1,   325,
    1041,   798,   797,   713,   714,    -1,   229,  1041,  1039,   774,
      -1,   229,  1041,   503,  1002,   504,  1039,   774,    -1,   412,
     946,    -1,   180,    -1,    -1,   217,   726,    -1,    -1,   222,
     386,    -1,   222,   329,   125,   726,    -1,    -1,   360,    -1,
      -1,   160,   325,   217,   726,   451,  1035,    -1,   101,   325,
     217,   726,   451,  1035,    95,   709,    -1,   101,   325,   217,
     726,   451,  1035,   197,   717,    -1,   718,    -1,   717,   506,
     718,    -1,   325,  1041,   503,  1002,   504,    -1,   229,  1041,
     503,  1002,   504,    -1,   197,   325,   139,   726,   451,  1035,
     560,    -1,   197,   325,   139,   242,   211,   726,   451,  1035,
     560,    -1,   197,   325,   217,   726,   451,  1035,   560,    -1,
     197,   325,   217,   242,   211,   726,   451,  1035,   560,    -1,
     197,   335,   125,  1032,   560,    -1,   359,   335,   125,  1032,
     429,  1033,    -1,   197,   724,   242,   211,   725,   560,    -1,
     197,   724,   725,   560,    -1,   197,   250,   150,   725,   560,
      -1,   197,   250,   150,   242,   211,   725,   560,    -1,   419,
      -1,   390,    -1,   463,    -1,   250,    -1,   224,   419,    -1,
     438,    -1,   195,    -1,   144,    -1,   157,    -1,   384,    -1,
     213,    -1,   425,   386,   337,    -1,   425,   386,   189,    -1,
     425,   386,   423,    -1,   425,   386,   151,    -1,   726,    -1,
     725,   506,   726,    -1,  1161,    -1,  1161,   727,    -1,   505,
    1036,    -1,   727,   505,  1036,    -1,   436,   904,   938,   729,
     560,    -1,   156,   241,    -1,   372,   241,    -1,    -1,   146,
     323,   731,   726,   268,   732,    -1,   146,   323,    98,  1039,
     701,   268,   732,    -1,   146,   323,   229,  1039,   774,   268,
     732,    -1,   146,   323,   325,   798,   797,   268,   732,    -1,
     146,   323,   153,  1033,   323,   726,   268,   732,    -1,   146,
     323,   382,  1033,   323,   726,   268,   732,    -1,   146,   323,
     382,  1033,   268,   732,    -1,   146,   323,   433,  1033,   323,
     726,   268,   732,    -1,   146,   323,   325,   139,   726,   451,
    1035,   268,   732,    -1,   146,   323,   325,   217,   726,   451,
    1035,   268,   732,    -1,   146,   323,   275,   318,   631,   268,
     732,    -1,   146,   323,   131,   503,   946,   108,   946,   504,
     268,   732,    -1,   146,   323,   640,   274,   726,   268,   732,
      -1,   146,   323,   425,   386,   337,   726,   268,   732,    -1,
     146,   323,   425,   386,   189,   726,   268,   732,    -1,   146,
     323,   425,   386,   423,   726,   268,   732,    -1,   146,   323,
     425,   386,   151,   726,   268,   732,    -1,   145,    -1,   174,
      -1,   384,    -1,   250,    -1,   390,    -1,   419,    -1,   195,
      -1,   438,    -1,   463,    -1,   144,    -1,   157,    -1,   421,
      -1,   213,    -1,   378,    -1,   224,   419,    -1,   393,    -1,
     224,   173,   472,    -1,  1181,    -1,   314,    -1,   388,   273,
     734,   323,   735,   726,   268,   736,    -1,   388,   273,   734,
     323,    98,  1039,   701,   268,   736,    -1,   388,   273,   734,
     323,   229,  1039,   774,   268,   736,    -1,   388,   273,   734,
     323,   275,   318,   631,   268,   736,    -1,   388,   273,   734,
     323,   640,   274,   726,   268,   736,    -1,   222,   546,    -1,
      -1,   145,    -1,   174,    -1,   224,   419,    -1,   384,    -1,
     390,    -1,   419,    -1,   195,    -1,   378,    -1,   421,    -1,
     438,    -1,   463,    -1,  1181,    -1,   314,    -1,   218,   738,
      -1,   300,   738,    -1,   218,   738,  1195,    -1,   218,   225,
     890,  1196,    -1,   218,   225,   739,   890,  1196,    -1,   218,
     116,   890,  1196,    -1,   218,   116,   739,   890,  1196,    -1,
     300,   225,   890,    -1,   300,   225,   739,   890,    -1,   300,
     116,   890,    -1,   300,   116,   739,   890,    -1,   890,    -1,
     739,   890,    -1,   306,   740,   890,    -1,   351,   740,   890,
      -1,   219,   740,   890,    -1,   276,   740,   890,    -1,    92,
    1043,   740,   890,    -1,   365,  1043,   740,   890,    -1,  1043,
     740,   890,    -1,    99,   740,   890,    -1,   225,  1043,   740,
     890,    -1,   225,    99,   740,   890,    -1,   116,  1043,   740,
     890,    -1,   116,    99,   740,   890,    -1,   227,    -1,   247,
      -1,   739,    -1,    -1,   232,   743,   323,   746,   429,   747,
     749,    -1,   376,   743,   323,   746,   227,   747,   560,    -1,
     376,   232,   326,   222,   743,   323,   746,   227,   747,   560,
      -1,   744,    -1,    99,    -1,    99,   352,    -1,    99,   503,
     607,   504,    -1,    99,   352,   503,   607,   504,    -1,   745,
      -1,   744,   506,   745,    -1,   389,   606,    -1,   363,   606,
      -1,   160,   606,    -1,  1161,   606,    -1,  1030,    -1,   419,
    1030,    -1,   390,  1030,    -1,   224,   173,   472,  1032,    -1,
     224,   393,  1032,    -1,   229,   750,    -1,   174,  1032,    -1,
     195,   725,    -1,   274,  1032,    -1,   275,   318,   632,    -1,
     384,  1032,    -1,   421,  1032,    -1,   438,   725,    -1,    99,
     420,   247,   384,  1032,    -1,    99,   391,   247,   384,  1032,
      -1,    99,   230,   247,   384,  1032,    -1,   748,    -1,   747,
     506,   748,    -1,  1042,    -1,   235,  1042,    -1,   469,   232,
     326,    -1,    -1,   751,    -1,   750,   506,   751,    -1,  1039,
     774,    -1,   232,   744,   429,  1032,   754,   755,    -1,   376,
     744,   227,  1032,   755,   560,    -1,   376,    96,   326,   222,
     744,   227,  1032,   755,   560,    -1,   469,    96,   326,    -1,
      -1,   233,   125,  1042,    -1,    -1,   101,   180,   352,   757,
     759,    -1,   757,   758,    -1,    -1,   247,   384,  1032,    -1,
     222,   378,  1032,    -1,   222,   450,  1032,    -1,   232,   743,
     323,   760,   429,   747,   749,    -1,   376,   743,   323,   760,
     227,   747,   560,    -1,   376,   232,   326,   222,   743,   323,
     760,   227,   747,   560,    -1,   420,    -1,   230,    -1,   391,
      -1,   439,    -1,   160,   762,   250,   763,   764,   323,  1031,
     765,   503,   766,   504,   564,   620,   941,    -1,   444,    -1,
      -1,   150,    -1,    -1,  1037,    -1,    -1,   451,  1035,    -1,
      -1,   767,    -1,   766,   506,   767,    -1,  1161,   768,   769,
     770,   771,    -1,   973,   768,   769,   770,   771,    -1,   503,
     970,   504,   768,   769,   770,   771,    -1,   143,   726,    -1,
      -1,   726,    -1,   451,   726,    -1,    -1,   109,    -1,   188,
      -1,    -1,   487,    -1,   488,    -1,    -1,   160,   773,   229,
    1039,   776,   375,   781,   784,   788,    -1,   160,   773,   229,
    1039,   776,   375,   419,   503,   790,   504,   784,   788,    -1,
     160,   773,   229,  1039,   776,   784,   788,    -1,   328,   369,
      -1,    -1,   503,   775,   504,    -1,   503,   504,    -1,   778,
      -1,   775,   506,   778,    -1,   503,   777,   504,    -1,   503,
     504,    -1,   783,    -1,   777,   506,   783,    -1,   779,   780,
     782,    -1,   780,   779,   782,    -1,   780,   782,    -1,   779,
     782,    -1,   782,    -1,   247,    -1,   330,    -1,   257,    -1,
     247,   330,    -1,   459,    -1,  1162,    -1,   782,    -1,   946,
      -1,  1162,   727,   498,   438,    -1,   397,  1162,   727,   498,
     438,    -1,   778,    -1,   778,   180,   970,    -1,   778,   490,
     970,    -1,   786,    -1,   784,   786,    -1,   127,   323,   314,
     258,    -1,   375,   314,   323,   314,   258,    -1,   413,    -1,
     245,    -1,   405,    -1,   464,    -1,   214,   388,   184,    -1,
     214,   388,   267,    -1,   388,   184,    -1,   388,   267,    -1,
     280,    -1,   309,   280,    -1,   159,   631,    -1,   381,   631,
      -1,   549,    -1,   108,   787,    -1,   274,   546,    -1,   468,
      -1,   785,    -1,  1181,    -1,  1181,   506,  1181,    -1,   469,
     697,    -1,    -1,   780,   782,    -1,   789,    -1,   790,   506,
     789,    -1,   101,   229,   751,   792,   793,    -1,   785,    -1,
     792,   785,    -1,   373,    -1,    -1,   197,   229,  1039,   774,
     560,    -1,   197,   229,   242,   211,  1039,   774,   560,    -1,
     197,    98,  1039,   701,   560,    -1,   197,    98,   242,   211,
    1039,   701,   560,    -1,   197,   325,   798,   797,   560,    -1,
     197,   325,   242,   211,   798,   797,   560,    -1,   503,   946,
     504,    -1,   503,   946,   506,   946,   504,    -1,   503,   308,
     506,   946,   504,    -1,   503,   946,   506,   308,   504,    -1,
     994,    -1,  1161,   505,   798,    -1,   193,   800,    -1,   801,
      -1,   800,   801,    -1,  1181,    -1,   274,   546,    -1,   160,
     131,   503,   946,   108,   946,   504,   469,   229,   751,   803,
      -1,   160,   131,   503,   946,   108,   946,   504,   470,   229,
     803,    -1,   160,   131,   503,   946,   108,   946,   504,   469,
     257,   803,    -1,   108,   246,    -1,   108,   111,    -1,    -1,
     197,   131,   805,   503,   946,   108,   946,   504,   560,    -1,
     242,   211,    -1,    -1,   364,   807,  1031,   808,    -1,   364,
     418,  1033,   808,    -1,   364,   174,  1033,   808,    -1,   250,
      -1,   419,    -1,   223,    -1,    -1,   101,    98,  1039,   701,
     367,   429,  1033,    -1,   101,   144,   726,   367,   429,  1033,
      -1,   101,   157,   726,   367,   429,  1033,    -1,   101,   174,
    1034,   367,   429,  1034,    -1,   101,   195,   726,   367,   429,
    1033,    -1,   101,   195,   726,   367,   153,  1033,   429,  1033,
      -1,   101,   224,   173,   472,  1033,   367,   429,  1033,    -1,
     101,   229,   751,   367,   429,  1033,    -1,   101,   235,  1042,
     367,   429,  1042,    -1,   101,   640,   274,  1033,   367,   429,
    1033,    -1,   101,   325,   139,   726,   451,  1035,   367,   429,
    1033,    -1,   101,   325,   217,   726,   451,  1035,   367,   429,
    1033,    -1,   101,   384,  1033,   367,   429,  1033,    -1,   101,
     393,  1033,   367,   429,  1033,    -1,   101,   419,   937,   367,
     429,  1033,    -1,   101,   419,   242,   211,   937,   367,   429,
    1033,    -1,   101,   390,  1031,   367,   429,  1033,    -1,   101,
     390,   242,   211,  1031,   367,   429,  1033,    -1,   101,   463,
    1031,   367,   429,  1033,    -1,   101,   463,   242,   211,  1031,
     367,   429,  1033,    -1,   101,   250,  1031,   367,   429,  1033,
      -1,   101,   250,   242,   211,  1031,   367,   429,  1033,    -1,
     101,   224,   419,   937,   367,   429,  1033,    -1,   101,   224,
     419,   242,   211,   937,   367,   429,  1033,    -1,   101,   419,
     937,   367,   810,  1033,   429,  1033,    -1,   101,   419,   242,
     211,   937,   367,   810,  1033,   429,  1033,    -1,   101,   419,
     937,   367,   153,  1033,   429,  1033,    -1,   101,   224,   419,
     937,   367,   810,  1033,   429,  1033,    -1,   101,   224,   419,
     242,   211,   937,   367,   810,  1033,   429,  1033,    -1,   101,
     433,  1033,   323,  1031,   367,   429,  1033,    -1,   101,   378,
    1042,   367,   429,  1042,    -1,   101,   450,  1042,   367,   429,
    1042,    -1,   101,   421,  1033,   367,   429,  1033,    -1,   101,
     421,  1033,   396,   563,    -1,   101,   421,  1033,   371,   563,
      -1,   101,   425,   386,   337,   726,   367,   429,  1033,    -1,
     101,   425,   386,   189,   726,   367,   429,  1033,    -1,   101,
     425,   386,   423,   726,   367,   429,  1033,    -1,   101,   425,
     386,   151,   726,   367,   429,  1033,    -1,   101,   438,   726,
     367,   429,  1033,    -1,   101,   438,   726,   367,   114,  1033,
     429,  1033,   560,    -1,   145,    -1,    -1,   396,   173,    -1,
      -1,   101,    98,  1039,   701,   396,   384,  1033,    -1,   101,
     144,   726,   396,   384,  1033,    -1,   101,   157,   726,   396,
     384,  1033,    -1,   101,   195,   726,   396,   384,  1033,    -1,
     101,   213,   726,   396,   384,  1033,    -1,   101,   229,   751,
     396,   384,  1033,    -1,   101,   325,   798,   797,   396,   384,
    1033,    -1,   101,   325,   139,   726,   451,  1035,   396,   384,
    1033,    -1,   101,   325,   217,   726,   451,  1035,   396,   384,
    1033,    -1,   101,   419,   937,   396,   384,  1033,    -1,   101,
     419,   242,   211,   937,   396,   384,  1033,    -1,   101,   425,
     386,   337,   726,   396,   384,  1033,    -1,   101,   425,   386,
     189,   726,   396,   384,  1033,    -1,   101,   425,   386,   423,
     726,   396,   384,  1033,    -1,   101,   425,   386,   151,   726,
     396,   384,  1033,    -1,   101,   390,  1031,   396,   384,  1033,
      -1,   101,   390,   242,   211,  1031,   396,   384,  1033,    -1,
     101,   463,  1031,   396,   384,  1033,    -1,   101,   463,   242,
     211,  1031,   396,   384,  1033,    -1,   101,   224,   419,   937,
     396,   384,  1033,    -1,   101,   224,   419,   242,   211,   937,
     396,   384,  1033,    -1,   101,   438,   726,   396,   384,  1033,
      -1,   101,    98,  1039,   701,   336,   429,  1042,    -1,   101,
     144,   726,   336,   429,  1042,    -1,   101,   157,   726,   336,
     429,  1042,    -1,   101,   174,  1034,   336,   429,  1042,    -1,
     101,   195,   726,   336,   429,  1042,    -1,   101,   229,   751,
     336,   429,  1042,    -1,   101,   640,   274,  1033,   336,   429,
    1042,    -1,   101,   275,   318,   631,   336,   429,  1042,    -1,
     101,   325,   798,   797,   336,   429,  1042,    -1,   101,   325,
     139,   726,   451,  1035,   336,   429,  1042,    -1,   101,   325,
     217,   726,   451,  1035,   336,   429,  1042,    -1,   101,   384,
    1033,   336,   429,  1042,    -1,   101,   438,   726,   336,   429,
    1042,    -1,   101,   421,  1033,   336,   429,  1042,    -1,   101,
     425,   386,   189,   726,   336,   429,  1042,    -1,   101,   425,
     386,   151,   726,   336,   429,  1042,    -1,   101,   224,   173,
     472,  1033,   336,   429,  1042,    -1,   101,   393,  1033,   336,
     429,  1042,    -1,   160,   773,   382,  1033,   108,   323,   819,
     429,  1031,   941,   193,   820,   815,    -1,   310,    -1,   817,
      -1,   503,   816,   504,    -1,   816,   507,   818,    -1,   818,
      -1,   893,    -1,   871,    -1,   882,    -1,   876,    -1,   822,
      -1,   817,    -1,    -1,   389,    -1,   449,    -1,   185,    -1,
     260,    -1,   261,    -1,   100,    -1,    -1,   197,   382,  1033,
     323,   726,   560,    -1,   197,   382,   242,   211,  1033,   323,
     726,   560,    -1,   311,  1161,   823,    -1,   506,  1181,    -1,
      -1,   286,  1161,    -1,   446,  1161,    -1,   446,   496,    -1,
      91,   827,    -1,   118,   827,   830,    -1,   407,   431,   830,
      -1,   148,   827,    -1,   203,   827,    -1,   379,   827,    -1,
     383,  1161,    -1,   366,   383,  1161,    -1,   366,  1161,    -1,
     379,   827,   429,   383,  1161,    -1,   379,   827,   429,  1161,
      -1,   348,   431,  1181,    -1,   148,   349,  1181,    -1,   379,
     349,  1181,    -1,   471,    -1,   431,    -1,    -1,   270,   283,
     542,    -1,   357,   324,    -1,   357,   473,    -1,   182,    -1,
     309,   182,    -1,   828,    -1,   829,   506,   828,    -1,   829,
     828,    -1,   829,    -1,    -1,   160,   587,   463,  1031,   606,
     564,   108,   893,   832,    -1,   160,   328,   369,   587,   463,
    1031,   606,   564,   108,   893,   832,    -1,   469,   137,   326,
      -1,   469,   129,   137,   326,    -1,   469,   288,   137,   326,
      -1,    -1,   287,  1038,    -1,   160,   174,  1034,   515,   835,
      -1,   835,   836,    -1,    -1,   421,   837,  1033,    -1,   421,
     837,   180,    -1,   291,   837,  1181,    -1,   291,   837,   180,
      -1,   423,   837,  1033,    -1,   423,   837,   180,    -1,   201,
     837,  1181,    -1,   201,   837,  1041,    -1,   201,   837,   180,
      -1,   277,   837,  1181,    -1,   277,   837,   180,    -1,   278,
     837,  1181,    -1,   278,   837,   180,    -1,   152,   285,   837,
    1043,    -1,   336,   837,  1033,    -1,   336,   837,   180,    -1,
     490,    -1,    -1,   101,   174,  1034,   515,   840,    -1,   101,
     174,  1034,   396,   421,  1033,    -1,   101,   174,  1034,   548,
      -1,   840,   841,    -1,    -1,   152,   285,   837,  1043,    -1,
     197,   174,  1034,    -1,   197,   174,   242,   211,  1034,    -1,
     160,   195,   726,   845,   946,   596,    -1,   101,   195,   726,
     559,    -1,   101,   195,   726,   197,   309,   314,    -1,   101,
     195,   726,   396,   309,   314,    -1,   101,   195,   726,    95,
     603,    -1,   101,   195,   726,   197,   153,  1033,   560,    -1,
     101,   195,   726,   197,   153,   242,   211,  1033,   560,    -1,
     101,   195,   726,   454,   153,  1033,    -1,   108,    -1,    -1,
     101,   425,   386,   189,   726,   697,    -1,   101,   425,   386,
     151,   726,    95,   293,   222,  1032,   469,   725,    -1,   101,
     425,   386,   151,   726,   101,   293,   222,  1032,   469,   725,
      -1,   101,   425,   386,   151,   726,   101,   293,   369,   726,
     469,   726,    -1,   101,   425,   386,   151,   726,   101,   293,
     222,  1032,   369,   726,   469,   726,    -1,   101,   425,   386,
     151,   726,   197,   293,   222,  1032,    -1,   101,   425,   386,
     151,   726,   197,   293,   242,   211,   222,  1032,    -1,   160,
     711,   157,   726,   222,  1181,   429,  1181,   227,   726,    -1,
     141,   856,  1031,   850,    -1,   141,   856,    -1,   141,   856,
    1037,   323,  1031,    -1,   451,  1037,    -1,    -1,   452,   857,
     858,   856,    -1,   452,   857,   858,   856,  1031,    -1,   452,
     857,   858,   856,   854,    -1,   452,   503,   852,   504,    -1,
     452,   503,   852,   504,  1031,   859,    -1,   853,    -1,   852,
     506,   853,    -1,   855,    -1,   461,    -1,   226,    -1,   228,
      -1,   855,   856,    -1,   855,   856,  1031,   859,    -1,   104,
      -1,   103,    -1,   461,    -1,    -1,   228,    -1,    -1,   226,
      -1,    -1,   503,  1032,   504,    -1,    -1,   212,   861,    -1,
     212,   855,   856,   861,    -1,   212,   461,   861,    -1,   212,
     503,   862,   504,   861,    -1,   893,    -1,   871,    -1,   882,
      -1,   876,    -1,   889,    -1,  1050,    -1,   869,    -1,   863,
      -1,   862,   506,   863,    -1,   864,   865,    -1,  1161,    -1,
     855,    -1,   461,    -1,   543,    -1,   631,    -1,    -1,   348,
    1069,   867,   108,   868,    -1,   348,  1069,   227,  1114,    -1,
     503,  1002,   504,    -1,    -1,   893,    -1,   871,    -1,   882,
      -1,   876,    -1,   210,  1069,   870,  1193,    -1,   160,   587,
     419,   623,   108,   210,  1033,   870,   624,    -1,   503,   999,
     504,    -1,    -1,   901,   260,   266,  1031,   872,   875,    -1,
     893,    -1,   503,   873,   504,   893,    -1,   180,   457,    -1,
     874,    -1,   873,   506,   874,    -1,  1161,  1023,    -1,   374,
    1028,  1194,    -1,    -1,   901,   185,   227,   939,   877,   942,
     875,    -1,   451,   930,    -1,    -1,   292,   904,   938,   879,
     881,    -1,   247,   880,   298,    -1,    -1,    93,   398,    -1,
     380,   398,    -1,   380,   209,    -1,   398,   449,   209,    -1,
     398,    -1,   398,   380,   209,    -1,   209,    -1,    93,   209,
      -1,   313,    -1,    -1,   901,   449,   939,   396,   883,   929,
     942,   875,    -1,   884,    -1,   883,   506,   884,    -1,   885,
      -1,   886,    -1,   887,   490,  1025,    -1,   503,   888,   504,
     490,  1027,    -1,  1161,  1023,    -1,   887,    -1,   888,   506,
     887,    -1,   179,   890,   891,   171,   892,   222,   893,    -1,
    1033,    -1,  1174,    -1,    -1,   891,   307,   385,    -1,   891,
     385,    -1,   891,   121,    -1,   891,   259,    -1,    -1,   469,
     239,    -1,   470,   239,    -1,   895,    -1,   894,    -1,   503,
     895,   504,    -1,   503,   894,   504,    -1,   897,    -1,   896,
     908,    -1,   896,   907,   923,   912,    -1,   896,   907,   911,
     924,    -1,   898,   896,    -1,   898,   896,   908,    -1,   898,
     896,   907,   923,   912,    -1,   898,   896,   907,   911,   924,
      -1,   897,    -1,   894,    -1,   389,   906,  1028,   902,   929,
     941,   921,   922,   982,    -1,   928,    -1,   419,   937,    -1,
     896,   443,   905,   896,    -1,   896,   264,   905,   896,    -1,
     896,   206,   905,   896,    -1,   469,   899,    -1,   469,   361,
     899,    -1,   900,    -1,   899,   506,   900,    -1,  1033,   859,
     108,   503,   868,   504,    -1,   898,    -1,    -1,   266,   903,
      -1,  1194,    -1,    -1,   424,   904,  1031,    -1,   422,   904,
    1031,    -1,   288,   424,   904,  1031,    -1,   288,   422,   904,
    1031,    -1,   231,   424,   904,  1031,    -1,   231,   422,   904,
    1031,    -1,   447,   904,  1031,    -1,   419,  1031,    -1,  1031,
      -1,   419,    -1,    -1,    99,    -1,   192,    -1,    -1,   192,
      -1,   192,   323,   503,   999,   504,    -1,    99,    -1,    -1,
     908,    -1,    -1,   329,   125,   909,    -1,   910,    -1,   909,
     506,   910,    -1,   970,   451,   997,   771,    -1,   970,   770,
     771,    -1,   913,   914,    -1,   914,   913,    -1,   913,    -1,
     914,    -1,   911,    -1,    -1,   285,   915,    -1,   285,   915,
     506,   916,    -1,   218,   920,   917,   919,   324,    -1,   321,
     916,    -1,   321,   918,   919,    -1,   970,    -1,    99,    -1,
     970,    -1,  1043,    -1,   503,   970,   504,    -1,    -1,   972,
      -1,   380,    -1,   381,    -1,   219,    -1,   306,    -1,   235,
     125,   999,    -1,    -1,   237,   970,    -1,    -1,   925,    -1,
     222,   357,   324,    -1,   923,    -1,    -1,   926,    -1,   925,
     926,    -1,   222,   449,   927,   881,    -1,   222,   398,   927,
     881,    -1,   319,  1030,    -1,    -1,   457,  1027,    -1,   928,
     506,  1027,    -1,   227,   930,    -1,    -1,   931,    -1,   930,
     506,   931,    -1,   937,    -1,   937,   933,    -1,   940,    -1,
     940,   933,    -1,   940,   108,   503,   944,   504,    -1,   940,
     108,  1161,   503,   944,   504,    -1,   940,  1161,   503,   944,
     504,    -1,   894,    -1,   894,   933,    -1,   932,    -1,   503,
     932,   504,   933,    -1,   503,   932,   504,    -1,   931,   161,
     271,   931,    -1,   931,   934,   271,   931,   936,    -1,   931,
     271,   931,   936,    -1,   931,   304,   934,   271,   931,    -1,
     931,   304,   271,   931,    -1,   108,  1161,   503,  1032,   504,
      -1,   108,  1161,    -1,  1161,   503,  1032,   504,    -1,  1161,
      -1,   228,   935,    -1,   282,   935,    -1,   377,   935,    -1,
     256,    -1,   331,    -1,    -1,   451,   503,  1032,   504,    -1,
     323,   970,    -1,  1031,    -1,  1031,   496,    -1,   324,  1031,
      -1,   324,   503,  1031,   504,    -1,   937,    -1,   938,   506,
     937,    -1,   937,    -1,   937,  1161,    -1,   937,   108,  1161,
      -1,   973,    -1,   466,   970,    -1,    -1,   466,   970,    -1,
     466,   163,   319,   890,    -1,    -1,   944,    -1,    -1,   945,
      -1,   944,   506,   945,    -1,  1161,   946,   561,    -1,   948,
     947,    -1,   397,   948,   947,    -1,   948,   107,   501,  1041,
     502,    -1,   397,   948,   107,   501,  1041,   502,    -1,   948,
     107,    -1,   397,   948,   107,    -1,   947,   501,   502,    -1,
     947,   501,  1192,   502,    -1,    -1,   950,    -1,   952,    -1,
     954,    -1,   958,    -1,   965,    -1,   966,   968,    -1,   966,
     503,  1041,   504,   968,    -1,   952,    -1,   955,    -1,   959,
      -1,   965,    -1,  1162,   951,    -1,  1162,   727,   951,    -1,
     503,   999,   504,    -1,    -1,   262,    -1,   263,    -1,   402,
      -1,   120,    -1,   358,    -1,   220,   953,    -1,   196,   346,
      -1,   178,   951,    -1,   177,   951,    -1,   317,   951,    -1,
     123,    -1,   503,  1041,   504,    -1,    -1,   956,    -1,   957,
      -1,   956,    -1,   957,    -1,   122,   963,   503,   999,   504,
      -1,   122,   963,    -1,   960,    -1,   961,    -1,   960,    -1,
     961,    -1,   962,   503,  1041,   504,   964,    -1,   962,   964,
      -1,   135,   963,    -1,   134,   963,    -1,   458,    -1,   303,
     135,   963,    -1,   303,   134,   963,    -1,   305,   963,    -1,
     460,    -1,    -1,   135,   396,  1161,    -1,    -1,   428,   503,
    1041,   504,   967,    -1,   428,   967,    -1,   427,   503,  1041,
     504,   967,    -1,   427,   967,    -1,   265,    -1,   489,   486,
      -1,   470,   427,   486,    -1,    -1,   484,    -1,   299,    -1,
     175,    -1,   240,    -1,   296,    -1,   969,    -1,   484,   429,
     299,    -1,   175,   429,   240,    -1,   175,   429,   296,    -1,
     175,   429,   969,    -1,   240,   429,   296,    -1,   240,   429,
     969,    -1,   296,   429,   969,    -1,    -1,   387,    -1,   387,
     503,  1041,   504,    -1,   972,    -1,   970,    88,   946,    -1,
     970,   143,   726,    -1,   970,   113,   427,   486,   970,    -1,
     494,   970,    -1,   495,   970,    -1,   970,   494,   970,    -1,
     970,   495,   970,    -1,   970,   496,   970,    -1,   970,   497,
     970,    -1,   970,   498,   970,    -1,   970,   499,   970,    -1,
     970,   491,   970,    -1,   970,   492,   970,    -1,   970,   490,
     970,    -1,   970,   996,   970,    -1,   996,   970,    -1,   970,
     996,    -1,   970,   105,   970,    -1,   970,   328,   970,    -1,
     309,   970,    -1,   970,   284,   970,    -1,   970,   284,   970,
     205,   970,    -1,   970,   309,   284,   970,    -1,   970,   309,
     284,   970,   205,   970,    -1,   970,   243,   970,    -1,   970,
     243,   970,   205,   970,    -1,   970,   309,   243,   970,    -1,
     970,   309,   243,   970,   205,   970,    -1,   970,   400,   429,
     970,    -1,   970,   400,   429,   970,   205,   970,    -1,   970,
     309,   400,   429,   970,    -1,   970,   309,   400,   429,   970,
     205,   970,    -1,   970,   268,   314,    -1,   970,   269,    -1,
     970,   268,   309,   314,    -1,   970,   312,    -1,   992,   333,
     992,    -1,   970,   268,   435,    -1,   970,   268,   309,   435,
      -1,   970,   268,   216,    -1,   970,   268,   309,   216,    -1,
     970,   268,   445,    -1,   970,   268,   309,   445,    -1,   970,
     268,   192,   227,   970,    -1,   970,   268,   309,   192,   227,
     970,    -1,   970,   268,   319,   503,  1002,   504,    -1,   970,
     268,   309,   319,   503,  1002,   504,    -1,   970,   119,  1024,
     971,   105,   971,    -1,   970,   309,   119,  1024,   971,   105,
     971,    -1,   970,   119,   416,   971,   105,   971,    -1,   970,
     309,   119,   416,   971,   105,   971,    -1,   970,   247,  1014,
      -1,   970,   309,   247,  1014,    -1,   970,   998,   993,   894,
      -1,   970,   998,   993,   503,   970,   504,    -1,   444,   894,
      -1,   970,   268,   194,    -1,   970,   268,   309,   194,    -1,
     972,    -1,   971,    88,   946,    -1,   494,   971,    -1,   495,
     971,    -1,   971,   494,   971,    -1,   971,   495,   971,    -1,
     971,   496,   971,    -1,   971,   497,   971,    -1,   971,   498,
     971,    -1,   971,   499,   971,    -1,   971,   491,   971,    -1,
     971,   492,   971,    -1,   971,   490,   971,    -1,   971,   996,
     971,    -1,   996,   971,    -1,   971,   996,    -1,   971,   268,
     192,   227,   971,    -1,   971,   268,   309,   192,   227,   971,
      -1,   971,   268,   319,   503,  1002,   504,    -1,   971,   268,
     309,   319,   503,  1002,   504,    -1,   971,   268,   194,    -1,
     971,   268,   309,   194,    -1,  1020,    -1,  1040,    -1,  1178,
    1023,    -1,   503,   970,   504,  1023,    -1,  1015,    -1,   973,
      -1,   894,    -1,   894,  1022,    -1,   211,   894,    -1,   107,
     894,    -1,   107,  1003,    -1,   992,    -1,  1039,   503,   504,
     985,    -1,  1039,   503,  1000,   504,   985,    -1,  1039,   503,
     459,  1001,   504,   985,    -1,  1039,   503,  1000,   506,   459,
    1001,   504,   985,    -1,  1039,   503,  1000,   908,   504,   985,
      -1,  1039,   503,    99,  1000,   907,   504,   985,    -1,  1039,
     503,   192,  1000,   907,   504,   985,    -1,  1039,   503,   496,
     504,   985,    -1,   144,   222,   503,   970,   504,    -1,   165,
      -1,   168,    -1,   168,   503,  1041,   504,    -1,   169,    -1,
     169,   503,  1041,   504,    -1,   289,    -1,   289,   503,  1041,
     504,    -1,   290,    -1,   290,   503,  1041,   504,    -1,   166,
      -1,   170,    -1,   395,    -1,   450,    -1,   164,    -1,   167,
      -1,   131,   503,   970,   108,   946,   504,    -1,   215,   503,
    1005,   504,    -1,   334,   503,  1007,   504,    -1,   344,   503,
    1009,   504,    -1,   415,   503,  1010,   504,    -1,   432,   503,
     970,   108,   946,   504,    -1,   434,   503,   124,  1013,   504,
      -1,   434,   503,   279,  1013,   504,    -1,   434,   503,   430,
    1013,   504,    -1,   434,   503,  1013,   504,    -1,   315,   503,
     970,   506,   970,   504,    -1,   142,   503,   999,   504,    -1,
     234,   503,   999,   504,    -1,   281,   503,   999,   504,    -1,
     476,   503,   999,   504,    -1,   477,   503,   301,  1163,   504,
      -1,   477,   503,   301,  1163,   506,   976,   504,    -1,   477,
     503,   301,  1163,   506,   999,   504,    -1,   477,   503,   301,
    1163,   506,   976,   506,   999,   504,    -1,   478,   503,   972,
     981,   504,    -1,   479,   503,   977,   504,    -1,   480,   503,
     979,   970,   980,   504,    -1,   481,   503,   301,  1163,   504,
      -1,   481,   503,   301,  1163,   506,   970,   504,    -1,   482,
     503,   970,   506,   974,   975,   504,    -1,   483,   503,   979,
     970,   108,   948,   504,    -1,   462,   970,    -1,   462,   307,
     456,    -1,   506,   406,   485,    -1,   506,   406,   307,    -1,
     506,   406,   307,   456,    -1,    -1,   475,   503,   977,   504,
      -1,   978,    -1,   977,   506,   978,    -1,   970,   108,  1163,
      -1,   970,    -1,   194,    -1,   155,    -1,   347,   467,    -1,
     414,   467,    -1,    -1,   340,   972,    -1,   340,   972,   125,
     362,    -1,   340,   125,   362,   972,    -1,   340,   125,   362,
     972,   125,   362,    -1,   468,   983,    -1,    -1,   984,    -1,
     983,   506,   984,    -1,  1161,   108,   986,    -1,   332,   986,
      -1,   332,  1161,    -1,    -1,   503,   987,   988,   907,   989,
     504,    -1,  1161,    -1,    -1,   339,   125,   999,    -1,    -1,
     356,   990,    -1,   381,   990,    -1,    -1,   991,    -1,   119,
     991,   105,   991,    -1,   440,   345,    -1,   440,   221,    -1,
     163,   380,    -1,   970,   345,    -1,   970,   221,    -1,   380,
     503,   999,   504,    -1,   380,   503,   504,    -1,   503,   999,
     506,   970,   504,    -1,   106,    -1,   404,    -1,    99,    -1,
      85,    -1,   995,    -1,   494,    -1,   495,    -1,   496,    -1,
     497,    -1,   498,    -1,   499,    -1,   491,    -1,   492,    -1,
     490,    -1,    85,    -1,   325,   503,   798,   504,    -1,   994,
      -1,   325,   503,   798,   504,    -1,   994,    -1,   325,   503,
     798,   504,    -1,   284,    -1,   309,   284,    -1,   243,    -1,
     309,   243,    -1,   970,    -1,   999,   506,   970,    -1,  1001,
      -1,  1000,   506,  1001,    -1,   970,    -1,   780,    90,   970,
      -1,   946,    -1,  1002,   506,   946,    -1,   501,   999,   502,
      -1,   501,  1004,   502,    -1,   501,   502,    -1,  1003,    -1,
    1004,   506,  1003,    -1,  1006,   227,   970,    -1,    -1,  1183,
      -1,   484,    -1,   299,    -1,   175,    -1,   240,    -1,   296,
      -1,   387,    -1,  1181,    -1,   970,  1008,  1011,  1012,    -1,
     970,  1008,  1011,    -1,   342,   970,    -1,   971,   247,   971,
      -1,    -1,   970,  1011,  1012,    -1,   970,  1012,  1011,    -1,
     970,  1011,    -1,   970,  1012,    -1,   999,    -1,    -1,   227,
     970,    -1,   222,   970,    -1,   970,   227,   999,    -1,   227,
     999,    -1,   999,    -1,   894,    -1,   503,   999,   504,    -1,
     130,  1019,  1016,  1018,   203,    -1,  1017,    -1,  1016,  1017,
      -1,   465,   970,   426,   970,    -1,   199,   970,    -1,    -1,
     970,    -1,    -1,  1161,    -1,  1161,  1022,    -1,   505,  1036,
      -1,   505,   496,    -1,   501,   970,   502,    -1,   501,   970,
     508,   970,   502,    -1,  1021,    -1,  1022,  1021,    -1,    -1,
    1023,  1021,    -1,   112,    -1,    -1,   970,    -1,   180,    -1,
    1025,    -1,  1026,   506,  1025,    -1,   503,  1026,   504,    -1,
    1029,    -1,  1028,   506,  1029,    -1,   970,   108,  1163,    -1,
     970,  1183,    -1,   970,    -1,   496,    -1,  1031,    -1,  1030,
     506,  1031,    -1,  1161,    -1,  1161,  1022,    -1,  1033,    -1,
    1032,   506,  1033,    -1,  1161,    -1,  1161,    -1,  1161,    -1,
    1163,    -1,  1161,    -1,  1181,    -1,  1162,    -1,  1161,  1022,
      -1,  1041,    -1,  1180,    -1,  1181,    -1,  1179,    -1,    84,
      -1,  1039,  1181,    -1,  1039,   503,  1000,   504,  1181,    -1,
     949,  1181,    -1,   966,  1181,   968,    -1,   966,   503,  1041,
     504,  1181,   968,    -1,   435,    -1,   216,    -1,   314,    -1,
    1175,    -1,  1173,    -1,    86,    -1,  1161,    -1,  1041,    -1,
    1175,    -1,   494,  1041,    -1,   495,  1041,    -1,    91,    -1,
      92,    -1,    93,    -1,    94,    -1,    95,    -1,    96,    -1,
      97,    -1,    98,    -1,   100,    -1,   101,    -1,   102,    -1,
     110,    -1,   111,    -1,   113,    -1,   114,    -1,   116,    -1,
     117,    -1,   118,    -1,   125,    -1,   126,    -1,   127,    -1,
     128,    -1,   129,    -1,   132,    -1,   133,    -1,   136,    -1,
     138,    -1,   139,    -1,   140,    -1,   141,    -1,   146,    -1,
     147,    -1,   148,    -1,   149,    -1,   151,    -1,   154,    -1,
     155,    -1,   156,    -1,   157,    -1,   158,    -1,   159,    -1,
     162,    -1,   171,    -1,   172,    -1,   173,    -1,   174,    -1,
     176,    -1,   179,    -1,   181,    -1,   183,    -1,   184,    -1,
     185,    -1,   186,    -1,   187,    -1,   189,    -1,   190,    -1,
     191,    -1,   194,    -1,   195,    -1,   196,    -1,   197,    -1,
     198,    -1,   200,    -1,   201,    -1,   202,    -1,   204,    -1,
     205,    -1,   207,    -1,   208,    -1,   209,    -1,   210,    -1,
     212,    -1,   213,    -1,   214,    -1,   217,    -1,   219,    -1,
     221,    -1,   223,    -1,   225,    -1,   229,    -1,   230,    -1,
     231,    -1,   233,    -1,   236,    -1,   238,    -1,   239,    -1,
     241,    -1,   242,    -1,   244,    -1,   245,    -1,   246,    -1,
     248,    -1,   249,    -1,   250,    -1,   251,    -1,   252,    -1,
     253,    -1,   255,    -1,   259,    -1,   260,    -1,   261,    -1,
     267,    -1,   270,    -1,   272,    -1,   273,    -1,   274,    -1,
     275,    -1,   276,    -1,   277,    -1,   278,    -1,   280,    -1,
     283,    -1,   286,    -1,   287,    -1,   288,    -1,   291,    -1,
     292,    -1,   293,    -1,   294,    -1,   295,    -1,   297,    -1,
     298,    -1,   300,    -1,   301,    -1,   302,    -1,   306,    -1,
     307,    -1,   310,    -1,   311,    -1,   313,    -1,   316,    -1,
     318,    -1,   319,    -1,   320,    -1,   322,    -1,   325,    -1,
     326,    -1,   327,    -1,   335,    -1,   336,    -1,   337,    -1,
     338,    -1,   339,    -1,   340,    -1,   341,    -1,   343,    -1,
     345,    -1,   348,    -1,   349,    -1,   347,    -1,   351,    -1,
     352,    -1,   353,    -1,   354,    -1,   355,    -1,   356,    -1,
     357,    -1,   359,    -1,   360,    -1,   361,    -1,   362,    -1,
     364,    -1,   365,    -1,   366,    -1,   367,    -1,   368,    -1,
     369,    -1,   370,    -1,   371,    -1,   372,    -1,   373,    -1,
     375,    -1,   376,    -1,   378,    -1,   379,    -1,   381,    -1,
     382,    -1,   383,    -1,   384,    -1,   385,    -1,   386,    -1,
     388,    -1,   390,    -1,   391,    -1,   392,    -1,   393,    -1,
     394,    -1,   396,    -1,   398,    -1,   399,    -1,   401,    -1,
     403,    -1,   405,    -1,   406,    -1,   407,    -1,   408,    -1,
     409,    -1,   410,    -1,   411,    -1,   412,    -1,   413,    -1,
     414,    -1,   417,    -1,   418,    -1,   420,    -1,   421,    -1,
     422,    -1,   423,    -1,   424,    -1,   425,    -1,   431,    -1,
     433,    -1,   436,    -1,   437,    -1,   438,    -1,   439,    -1,
     440,    -1,   441,    -1,   442,    -1,   445,    -1,   446,    -1,
     447,    -1,   448,    -1,   449,    -1,   452,    -1,   453,    -1,
     454,    -1,   455,    -1,   456,    -1,   460,    -1,   462,    -1,
     463,    -1,   464,    -1,   467,    -1,   470,    -1,   471,    -1,
     472,    -1,   473,    -1,   474,    -1,   485,    -1,   486,    -1,
     119,    -1,   120,    -1,   122,    -1,   123,    -1,   135,    -1,
     142,    -1,   177,    -1,   178,    -1,   211,    -1,   215,    -1,
     220,    -1,   234,    -1,   257,    -1,   263,    -1,   265,    -1,
     281,    -1,   303,    -1,   305,    -1,   308,    -1,   315,    -1,
     317,    -1,   330,    -1,   334,    -1,   344,    -1,   346,    -1,
     358,    -1,   380,    -1,   397,    -1,   402,    -1,   415,    -1,
     427,    -1,   428,    -1,   432,    -1,   434,    -1,   458,    -1,
     475,    -1,   476,    -1,   477,    -1,   478,    -1,   479,    -1,
     480,    -1,   481,    -1,   482,    -1,   483,    -1,   115,    -1,
     121,    -1,   144,    -1,   150,    -1,   161,    -1,   167,    -1,
     226,    -1,   228,    -1,   243,    -1,   256,    -1,   268,    -1,
     269,    -1,   271,    -1,   282,    -1,   284,    -1,   304,    -1,
     312,    -1,   331,    -1,   332,    -1,   333,    -1,   377,    -1,
     400,    -1,   461,    -1,    99,    -1,   103,    -1,   104,    -1,
     105,    -1,   106,    -1,   107,    -1,   108,    -1,   109,    -1,
     112,    -1,   124,    -1,   130,    -1,   131,    -1,   137,    -1,
     143,    -1,   145,    -1,   153,    -1,   160,    -1,   164,    -1,
     165,    -1,   166,    -1,   168,    -1,   169,    -1,   170,    -1,
     180,    -1,   182,    -1,   188,    -1,   192,    -1,   193,    -1,
     199,    -1,   203,    -1,   206,    -1,   216,    -1,   218,    -1,
     222,    -1,   224,    -1,   227,    -1,   232,    -1,   235,    -1,
     237,    -1,   247,    -1,   254,    -1,   264,    -1,   266,    -1,
     279,    -1,   285,    -1,   289,    -1,   290,    -1,   309,    -1,
     314,    -1,   321,    -1,   323,    -1,   324,    -1,   328,    -1,
     329,    -1,   342,    -1,   350,    -1,   363,    -1,   374,    -1,
     389,    -1,   395,    -1,   404,    -1,   416,    -1,   419,    -1,
     426,    -1,   430,    -1,   435,    -1,   444,    -1,   450,    -1,
     451,    -1,   459,    -1,   465,    -1,   466,    -1,   468,    -1,
     469,    -1,    -1,  1048,  1049,    -1,  1170,  1052,   513,   507,
      -1,  1170,   513,   507,    -1,  1170,  1072,    -1,  1077,    -1,
    1189,    -1,    73,    -1,   509,    -1,   510,    -1,    -1,   160,
     587,   419,   623,   108,  1051,   893,   624,    -1,   113,  1113,
      -1,     9,   429,  1054,  1061,  1062,    -1,     9,   429,   180,
      -1,     9,  1063,    -1,   174,  1054,    -1,  1055,  1058,  1060,
      -1,  1056,   508,  1057,  1060,   497,  1055,  1066,    -1,  1065,
      -1,  1181,    -1,  1034,    -1,    -1,  1183,  1177,    -1,    85,
    1059,    -1,  1057,    -1,    -1,  1161,    -1,  1161,   505,  1059,
      -1,    74,    -1,   508,  1041,    -1,    -1,   108,  1113,    -1,
      -1,   450,  1063,    -1,    -1,  1064,    -1,  1064,   497,  1064,
      -1,  1064,    21,   125,  1064,    -1,  1064,   451,  1064,    -1,
    1042,    -1,  1181,    -1,  1175,    -1,  1177,    -1,    85,  1067,
      -1,    -1,  1161,  1068,    -1,  1161,  1068,    85,  1067,    -1,
      -1,   490,  1041,    -1,   490,  1183,    -1,   490,  1175,    -1,
    1033,    -1,  1065,    -1,   179,   890,   891,   171,   892,   222,
    1069,    -1,   210,   244,  1114,    -1,  1073,    -1,  1084,    -1,
    1086,    -1,   631,    -1,   506,   631,    -1,    -1,   968,    -1,
     484,   429,   296,    -1,   484,   429,   387,    -1,   175,   429,
     175,    -1,   299,   429,   299,    -1,    -1,  1079,  1078,  1081,
    1080,    -1,  1170,   118,   179,    34,   507,    -1,  1170,   203,
     179,    34,   507,    -1,    -1,  1082,    -1,  1073,    -1,    73,
      -1,  1082,  1073,    -1,  1082,    73,    -1,  1086,    -1,  1083,
    1086,    -1,    -1,    70,  1085,  1093,  1109,  1165,   947,   507,
      -1,    -1,  1090,  1093,  1087,  1106,   507,    -1,    -1,  1093,
    1088,  1106,   507,    -1,  1096,   507,    -1,   508,  1041,    -1,
      -1,  1091,  1092,    -1,  1091,    -1,  1092,    -1,    56,    -1,
      67,    -1,    65,    -1,    50,    -1,    51,    -1,    69,    -1,
    1102,    -1,  1098,    -1,  1094,    -1,  1165,   503,  1074,  1075,
     504,    -1,  1165,  1076,    -1,  1100,    -1,   204,  1159,  1095,
      -1,   204,  1095,    -1,   204,  1159,    -1,   509,  1187,   510,
      -1,    -1,  1100,  1097,   509,  1083,   510,    -1,  1096,    -1,
      -1,  1101,  1099,   509,  1083,   510,    -1,    43,  1159,    -1,
     443,  1159,    -1,    43,    -1,   443,    -1,  1103,    -1,  1105,
    1104,    -1,    44,    35,    -1,    44,    35,   262,    -1,    44,
      -1,    44,   262,    -1,    44,    25,    -1,    44,    25,   262,
      -1,    44,    25,    25,    -1,    44,    25,    25,   262,    -1,
      44,   134,    -1,    35,    -1,    35,   262,    -1,   262,    -1,
      25,    -1,    25,   262,    -1,    25,    25,    -1,    25,    25,
     262,    -1,     5,    -1,   134,    -1,   196,    -1,    36,    -1,
      -1,  1107,    -1,  1106,   506,  1107,    -1,  1109,  1164,   947,
    1089,  1108,    -1,    -1,   490,  1188,    -1,    -1,   496,    -1,
     496,   496,    -1,   179,   408,  1183,    -1,    15,  1112,    -1,
    1113,    -1,   163,    -1,    99,    -1,    -1,  1034,    -1,   180,
      -1,  1065,    -1,  1065,    -1,    71,    -1,    17,   890,    -1,
      17,    99,    -1,    28,   890,  1117,    -1,    -1,  1118,    -1,
     451,  1122,    -1,  1119,    -1,   451,    37,    14,  1184,    -1,
     451,    14,  1033,    -1,   266,    37,    14,  1184,    -1,   266,
      14,  1033,    -1,   266,  1033,    -1,  1123,    -1,  1123,   506,
    1122,    -1,  1124,    -1,  1175,    -1,  1173,    -1,  1041,    -1,
     494,  1041,    -1,   495,  1041,    -1,  1180,    -1,   494,  1180,
      -1,   495,  1180,    -1,  1181,    -1,  1179,    -1,  1182,    -1,
      13,   258,  1069,  1119,    -1,    13,  1126,  1069,  1119,    -1,
      13,  1126,  1069,  1120,    -1,    13,   258,  1069,  1121,    -1,
      13,  1126,  1069,  1121,    -1,    29,    -1,    -1,     3,    14,
    1184,    -1,   176,    14,  1184,    -1,    18,    14,  1184,  1130,
      -1,  1131,    -1,  1130,   506,  1131,    -1,  1177,   490,  1136,
      -1,   396,    14,  1184,  1133,    -1,  1134,    -1,  1133,   506,
    1134,    -1,  1136,   490,  1135,    -1,  1041,    -1,  1177,    -1,
      10,    -1,    18,    14,  1184,   456,  1135,  1138,    -1,  1139,
      -1,  1138,   506,  1139,    -1,  1177,   490,  1144,    -1,   396,
      14,  1184,   456,  1135,  1141,    -1,  1142,    -1,  1141,   506,
    1142,    -1,  1144,   490,  1143,    -1,  1180,    -1,  1135,    -1,
     495,  1180,    -1,   495,  1041,    -1,  1181,    -1,     8,    -1,
     173,    -1,    11,    -1,    12,    -1,    22,    -1,    23,    -1,
      24,    -1,   301,    -1,    26,    -1,    27,    -1,   346,    -1,
      31,    -1,    32,    -1,    33,    -1,   438,    -1,   396,     4,
     490,  1146,    -1,   396,     4,   429,  1146,    -1,   323,    -1,
     320,    -1,   396,   152,   429,  1113,    -1,   396,   152,   490,
    1113,    -1,   396,   152,  1113,    -1,    -1,   438,  1149,  1165,
     268,  1093,   947,  1150,    -1,    30,    -1,    -1,    -1,    45,
    1152,  1163,   268,  1093,   947,  1150,    -1,    46,    38,  1154,
      -1,    46,   309,    16,  1154,    -1,    46,    40,  1154,    -1,
     156,    -1,    39,    -1,    42,    -1,    20,  1033,    -1,    19,
     429,  1033,    -1,   193,  1033,   503,  1171,   504,    -1,   193,
       6,    -1,     7,  1033,   503,  1171,   504,    -1,     7,  1033,
      -1,  1156,    -1,  1157,    -1,     6,    -1,     7,    -1,     8,
      -1,    10,    -1,    11,    -1,    12,    -1,    16,    -1,    19,
      -1,    20,    -1,    21,    -1,    22,    -1,    23,    -1,    24,
      -1,    26,    -1,    27,    -1,    31,    -1,    32,    -1,    33,
      -1,    34,    -1,    37,    -1,    38,    -1,    39,    -1,    40,
      -1,    42,    -1,     9,    -1,    13,    -1,    15,    -1,    28,
      -1,    45,    -1,    46,    -1,     5,    -1,    25,    -1,    29,
      -1,    35,    -1,    43,    -1,    36,    -1,    44,    -1,  1163,
      -1,  1183,    -1,  1044,    -1,  1045,    -1,  1168,    -1,  1155,
      -1,  1166,    -1,   134,    -1,   457,    -1,  1183,    -1,  1167,
      -1,  1045,    -1,  1155,    -1,  1166,    -1,   134,    -1,   457,
      -1,  1183,    -1,  1167,    -1,  1046,    -1,  1155,    -1,  1166,
      -1,  1158,    -1,  1164,    -1,  1158,    -1,   134,    -1,   163,
      -1,   258,    -1,   262,    -1,   429,    -1,   443,    -1,   457,
      -1,  1166,    -1,  1168,    -1,  1165,    -1,  1044,    -1,  1047,
      -1,  1157,    -1,   152,    -1,  1183,    -1,  1045,    -1,  1046,
      -1,  1156,    -1,    50,    -1,    51,    -1,    56,    -1,    65,
      -1,    67,    -1,    70,    -1,    69,    -1,  1044,    -1,  1168,
      -1,   152,    -1,   175,    -1,   240,    -1,   296,    -1,   299,
      -1,   387,    -1,   484,    -1,  1172,    -1,  1169,   506,  1172,
      -1,    41,    -1,    -1,  1187,    -1,  1177,  1176,    -1,  1177,
      -1,  1177,  1176,    -1,  1065,    -1,  1177,    -1,  1177,    -1,
      22,  1177,    -1,    22,  1033,    -1,    72,    -1,    87,    -1,
      83,    -1,    81,    -1,    82,    -1,    76,    -1,    77,    -1,
      78,    -1,    75,    -1,    84,    -1,    80,    -1,    71,    -1,
      79,    -1,  1033,    -1,  1065,    -1,  1190,    -1,   503,   504,
      -1,   503,  1186,   504,    -1,  1185,    -1,  1186,  1185,    -1,
    1188,    -1,  1187,   506,  1188,    -1,  1186,    -1,   509,  1187,
     510,    -1,  1190,    -1,   503,    -1,   504,    -1,   506,    -1,
     507,    -1,  1183,    -1,  1041,    -1,  1180,    -1,  1181,    -1,
     496,    -1,   494,    -1,   495,    -1,   497,    -1,   498,    -1,
     314,    -1,    47,    -1,    48,    -1,    49,    -1,    50,    -1,
      51,    -1,    52,    -1,    53,    -1,    54,    -1,    55,    -1,
      56,    -1,    57,    -1,    58,    -1,    60,    -1,    59,    -1,
      61,    -1,    62,    -1,    63,    -1,    64,    -1,    65,    -1,
      66,    -1,    67,    -1,    68,    -1,    70,    -1,    69,    -1,
       5,    -1,   204,    -1,   240,    -1,   262,    -1,    25,    -1,
     296,    -1,   299,    -1,   387,    -1,    35,    -1,    36,    -1,
      43,    -1,    44,    -1,   484,    -1,   134,    -1,   220,    -1,
     429,    -1,   443,    -1,   458,    -1,   501,    -1,   502,    -1,
     490,    -1,   508,    -1,   176,  1069,    -1,   176,   348,  1069,
      -1,   176,    99,    -1,   176,   348,    99,    -1,  1041,    -1,
     503,  1192,   504,    -1,  1192,   494,  1192,    -1,  1192,   495,
    1192,    -1,  1192,   496,  1192,    -1,  1192,   497,  1192,    -1,
    1192,   498,  1192,    -1,  1181,    -1,  1161,    -1,    -1,  1118,
    1194,    -1,  1194,  1118,    -1,  1118,    -1,  1194,    -1,   266,
    1169,    -1,  1120,    -1,  1194,    -1,  1119,    -1,    -1,  1195,
      -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1464,  1464,  1467,  1469,  1471,  1473,  1475,  1477,  1479,
    1481,  1483,  1485,  1487,  1489,  1491,  1493,  1495,  1497,  1499,
    1501,  1503,  1505,  1507,  1509,  1511,  1513,  1515,  1517,  1519,
    1537,  1539,  1541,  1543,  1545,  1547,  1549,  1551,  1553,  1555,
    1557,  1559,  1561,  1563,  1565,  1567,  1569,  1571,  1573,  1575,
    1577,  1579,  1581,  1583,  1585,  1587,  1589,  1591,  1593,  1597,
    1599,  1601,  1603,  1605,  1607,  1609,  1611,  1613,  1615,  1617,
    1619,  1621,  1623,  1625,  1627,  1629,  1631,  1633,  1635,  1637,
    1639,  1641,  1643,  1645,  1647,  1649,  1651,  1653,  1655,  1657,
    1659,  1661,  1663,  1670,  1672,  1674,  1676,  1678,  1680,  1682,
    1684,  1686,  1688,  1690,  1692,  1698,  1700,  1702,  1704,  1706,
    1708,  1710,  1712,  1714,  1720,  1730,  1734,  1740,  1744,  1754,
    1764,  1765,  1779,  1786,  1792,  1803,  1809,  1818,  1825,  1831,
    1840,  1847,  1855,  1860,  1868,  1873,  1879,  1884,  1890,  1895,
    1901,  1905,  1909,  1913,  1917,  1921,  1925,  1929,  1933,  1941,
    1945,  1949,  1953,  1957,  1961,  1969,  1977,  1986,  1988,  1996,
    2004,  2012,  2020,  2024,  2032,  2036,  2044,  2052,  2060,  2064,
    2072,  2076,  2084,  2088,  2096,  2101,  2107,  2112,  2118,  2122,
    2126,  2130,  2134,  2138,  2146,  2150,  2154,  2162,  2166,  2170,
    2178,  2182,  2186,  2190,  2194,  2198,  2202,  2207,  2211,  2215,
    2219,  2223,  2227,  2231,  2239,  2243,  2251,  2255,  2263,  2267,
    2281,  2285,  2289,  2293,  2301,  2305,  2309,  2313,  2321,  2325,
    2329,  2333,  2337,  2341,  2345,  2353,  2357,  2362,  2368,  2372,
    2380,  2384,  2388,  2392,  2396,  2404,  2408,  2416,  2420,  2428,
    2432,  2436,  2440,  2444,  2453,  2461,  2465,  2473,  2477,  2485,
    2493,  2497,  2501,  2505,  2513,  2517,  2521,  2525,  2529,  2533,
    2537,  2541,  2549,  2553,  2561,  2565,  2569,  2573,  2577,  2581,
    2585,  2589,  2593,  2597,  2601,  2605,  2609,  2613,  2617,  2621,
    2625,  2629,  2633,  2637,  2641,  2645,  2649,  2653,  2657,  2661,
    2665,  2669,  2673,  2677,  2681,  2685,  2689,  2693,  2697,  2701,
    2705,  2709,  2713,  2717,  2721,  2725,  2733,  2737,  2745,  2749,
    2754,  2760,  2765,  2771,  2776,  2782,  2790,  2795,  2801,  2805,
    2813,  2817,  2821,  2825,  2833,  2841,  2845,  2853,  2857,  2861,
    2865,  2873,  2878,  2886,  2897,  2908,  2912,  2920,  2924,  2928,
    2936,  2940,  2948,  2953,  2959,  2963,  2967,  2971,  2975,  2979,
    2983,  2987,  2991,  2995,  2999,  3003,  3011,  3016,  3022,  3027,
    3033,  3038,  3044,  3049,  3055,  3059,  3067,  3075,  3079,  3083,
    3087,  3092,  3098,  3102,  3110,  3118,  3122,  3126,  3130,  3138,
    3142,  3146,  3150,  3154,  3158,  3162,  3167,  3173,  3178,  3184,
    3189,  3195,  3199,  3207,  3211,  3219,  3223,  3227,  3235,  3239,
    3247,  3255,  3263,  3268,  3274,  3278,  3282,  3286,  3294,  3298,
    3302,  3306,  3310,  3314,  3318,  3326,  3330,  3334,  3338,  3346,
    3354,  3358,  3363,  3369,  3373,  3377,  3381,  3385,  3389,  3397,
    3401,  3409,  3413,  3417,  3421,  3425,  3429,  3433,  3441,  3446,
    3452,  3457,  3463,  3467,  3475,  3483,  3487,  3492,  3497,  3503,
    3507,  3515,  3519,  3527,  3532,  3538,  3542,  3546,  3550,  3555,
    3561,  3569,  3577,  3581,  3585,  3589,  3593,  3601,  3606,  3612,
    3616,  3620,  3625,  3631,  3635,  3639,  3644,  3650,  3655,  3661,
    3666,  3672,  3680,  3688,  3692,  3697,  3703,  3711,  3715,  3723,
    3728,  3734,  3738,  3746,  3750,  3754,  3758,  3762,  3766,  3770,
    3774,  3778,  3782,  3786,  3790,  3798,  3803,  3809,  3813,  3817,
    3825,  3829,  3837,  3841,  3849,  3854,  3860,  3864,  3872,  3877,
    3883,  3887,  3895,  3900,  3906,  3910,  3918,  3923,  3929,  3937,
    3942,  3948,  3952,  3960,  3964,  3972,  3977,  3983,  3987,  3991,
    3999,  4007,  4012,  4018,  4026,  4030,  4034,  4038,  4042,  4046,
    4050,  4054,  4058,  4062,  4066,  4070,  4074,  4078,  4082,  4086,
    4090,  4094,  4098,  4102,  4106,  4110,  4118,  4126,  4130,  4134,
    4138,  4146,  4150,  4158,  4163,  4169,  4173,  4181,  4185,  4193,
    4198,  4204,  4208,  4216,  4224,  4228,  4236,  4240,  4244,  4248,
    4256,  4264,  4272,  4280,  4288,  4293,  4299,  4303,  4311,  4316,
    4322,  4326,  4334,  4338,  4342,  4350,  4354,  4362,  4366,  4374,
    4378,  4386,  4394,  4398,  4406,  4414,  4418,  4422,  4430,  4434,
    4442,  4450,  4454,  4462,  4466,  4470,  4478,  4482,  4490,  4494,
    4498,  4502,  4506,  4514,  4519,  4525,  4530,  4536,  4540,  4548,
    4553,  4559,  4563,  4568,  4574,  4578,  4582,  4586,  4594,  4599,
    4606,  4608,  4616,  4620,  4624,  4628,  4632,  4636,  4644,  4648,
    4656,  4665,  4674,  4678,  4682,  4686,  4690,  4694,  4698,  4702,
    4706,  4710,  4714,  4718,  4722,  4726,  4734,  4742,  4746,  4754,
    4758,  4766,  4770,  4774,  4778,  4782,  4790,  4794,  4802,  4810,
    4814,  4822,  4830,  4835,  4841,  4845,  4853,  4857,  4861,  4869,
    4877,  4881,  4889,  4893,  4897,  4901,  4905,  4913,  4918,  4924,
    4929,  4935,  4939,  4944,  4950,  4956,  4962,  4970,  4974,  4982,
    4986,  4994,  4998,  5006,  5010,  5018,  5022,  5030,  5038,  5046,
    5050,  5054,  5058,  5066,  5070,  5074,  5078,  5082,  5086,  5090,
    5094,  5098,  5102,  5106,  5110,  5114,  5118,  5122,  5130,  5134,
    5142,  5146,  5154,  5158,  5166,  5174,  5178,  5183,  5189,  5193,
    5197,  5201,  5205,  5209,  5213,  5217,  5221,  5225,  5229,  5233,
    5237,  5241,  5245,  5249,  5253,  5261,  5265,  5269,  5273,  5277,
    5281,  5285,  5289,  5293,  5297,  5301,  5305,  5309,  5313,  5317,
    5321,  5325,  5333,  5337,  5345,  5349,  5353,  5357,  5361,  5369,
    5374,  5380,  5384,  5388,  5392,  5396,  5400,  5404,  5408,  5412,
    5416,  5420,  5428,  5432,  5440,  5444,  5448,  5452,  5458,  5464,
    5470,  5476,  5482,  5488,  5494,  5504,  5515,  5526,  5537,  5548,
    5559,  5570,  5586,  5602,  5618,  5629,  5645,  5656,  5672,  5687,
    5691,  5699,  5704,  5710,  5718,  5722,  5730,  5734,  5738,  5742,
    5746,  5754,  5758,  5766,  5770,  5774,  5778,  5786,  5790,  5794,
    5798,  5802,  5806,  5810,  5814,  5818,  5822,  5826,  5830,  5834,
    5838,  5842,  5846,  5854,  5858,  5866,  5870,  5878,  5883,  5889,
    5893,  5901,  5909,  5917,  5921,  5929,  5934,  5940,  5945,  5951,
    5959,  5964,  5970,  5974,  5978,  5986,  5990,  5994,  6002,  6006,
    6010,  6014,  6022,  6030,  6035,  6041,  6046,  6052,  6057,  6063,
    6068,  6074,  6078,  6086,  6090,  6094,  6102,  6107,  6113,  6117,
    6122,  6128,  6132,  6137,  6143,  6147,  6152,  6158,  6162,  6166,
    6174,  6179,  6185,  6189,  6197,  6201,  6209,  6213,  6221,  6225,
    6233,  6237,  6241,  6245,  6249,  6257,  6261,  6265,  6269,  6273,
    6281,  6289,  6297,  6301,  6305,  6313,  6317,  6321,  6329,  6333,
    6341,  6345,  6349,  6353,  6357,  6361,  6365,  6369,  6373,  6377,
    6381,  6385,  6389,  6393,  6397,  6405,  6409,  6413,  6417,  6425,
    6429,  6437,  6442,  6448,  6456,  6460,  6468,  6476,  6480,  6488,
    6493,  6499,  6503,  6511,  6515,  6523,  6527,  6535,  6539,  6543,
    6547,  6555,  6559,  6567,  6575,  6579,  6587,  6591,  6599,  6603,
    6607,  6615,  6619,  6624,  6630,  6638,  6643,  6649,  6653,  6657,
    6665,  6669,  6677,  6682,  6688,  6692,  6696,  6700,  6704,  6708,
    6712,  6716,  6720,  6724,  6728,  6732,  6736,  6740,  6744,  6748,
    6752,  6756,  6760,  6764,  6768,  6772,  6776,  6780,  6784,  6788,
    6792,  6796,  6800,  6804,  6808,  6812,  6816,  6820,  6824,  6828,
    6832,  6836,  6840,  6844,  6848,  6856,  6861,  6867,  6872,  6878,
    6882,  6886,  6890,  6894,  6898,  6902,  6906,  6910,  6914,  6918,
    6922,  6926,  6930,  6934,  6938,  6942,  6946,  6950,  6954,  6958,
    6962,  6970,  6974,  6978,  6982,  6986,  6990,  6994,  6998,  7002,
    7006,  7010,  7014,  7018,  7022,  7026,  7030,  7034,  7038,  7046,
    7054,  7058,  7062,  7070,  7074,  7082,  7086,  7090,  7094,  7098,
    7106,  7111,  7117,  7121,  7125,  7129,  7137,  7141,  7146,  7152,
    7156,  7164,  7172,  7177,  7183,  7191,  7195,  7203,  7207,  7211,
    7215,  7219,  7223,  7227,  7231,  7235,  7239,  7243,  7247,  7251,
    7255,  7263,  7267,  7272,  7278,  7282,  7286,  7290,  7294,  7302,
    7306,  7310,  7318,  7323,  7329,  7333,  7341,  7346,  7351,  7357,
    7363,  7371,  7379,  7384,  7390,  7394,  7398,  7402,  7406,  7410,
    7414,  7418,  7422,  7426,  7430,  7434,  7438,  7442,  7446,  7450,
    7458,  7463,  7469,  7473,  7481,  7489,  7494,  7500,  7508,  7512,
    7520,  7528,  7532,  7536,  7540,  7544,  7548,  7552,  7560,  7565,
    7571,  7579,  7583,  7587,  7591,  7595,  7599,  7607,  7615,  7619,
    7623,  7631,  7636,  7642,  7646,  7650,  7654,  7658,  7666,  7670,
    7678,  7682,  7686,  7690,  7698,  7702,  7710,  7714,  7722,  7727,
    7733,  7738,  7744,  7749,  7755,  7760,  7766,  7770,  7774,  7778,
    7786,  7790,  7794,  7798,  7802,  7806,  7810,  7818,  7822,  7830,
    7838,  7842,  7846,  7854,  7858,  7863,  7869,  7875,  7885,  7890,
    7896,  7900,  7904,  7908,  7916,  7918,  7926,  7931,  7937,  7945,
    7949,  7953,  7961,  7965,  7973,  7981,  7986,  7992,  8000,  8005,
    8011,  8019,  8024,  8030,  8034,  8038,  8042,  8046,  8050,  8054,
    8058,  8066,  8071,  8077,  8085,  8089,  8097,  8101,  8109,  8117,
    8125,  8133,  8137,  8145,  8198,  8202,  8215,  8217,  8221,  8225,
    8229,  8238,  8244,  8248,  8256,  8260,  8268,  8272,  8280,  8284,
    8288,  8292,  8296,  8300,  8304,  8308,  8316,  8320,  8328,  8332,
    8336,  8340,  8344,  8348,  8356,  8360,  8368,  8372,  8380,  8388,
    8393,  8399,  8404,  8406,  8412,  8416,  8420,  8424,  8428,  8432,
    8436,  8440,  8444,  8452,  8457,  8463,  8467,  8472,  8478,  8482,
    8486,  8491,  8497,  8502,  8508,  8516,  8520,  8528,  8532,  8540,
    8544,  8548,  8552,  8560,  8565,  8571,  8575,  8580,  8588,  8592,
    8600,  8604,  8612,  8620,  8624,  8629,  8635,  8643,  8647,  8655,
    8659,  8667,  8672,  8678,  8683,  8689,  8693,  8701,  8706,  8712,
    8716,  8724,  8728,  8736,  8741,  8747,  8751,  8759,  8764,  8770,
    8774,  8782,  8786,  8790,  8794,  8798,  8802,  8806,  8810,  8816,
    8820,  8824,  8832,  8836,  8840,  8844,  8848,  8852,  8860,  8864,
    8868,  8872,  8880,  8884,  8888,  8892,  8900,  8905,  8911,  8915,
    8923,  8927,  8931,  8935,  8943,  8947,  8955,  8959,  8963,  8971,
    8979,  8984,  8990,  8994,  9000,  9006,  9011,  9017,  9021,  9029,
    9037,  9039,  9041,  9045,  9049,  9053,  9061,  9071,  9082,  9091,
    9095,  9099,  9103,  9107,  9111,  9115,  9123,  9127,  9131,  9135,
    9143,  9147,  9155,  9160,  9166,  9170,  9174,  9178,  9182,  9186,
    9190,  9194,  9198,  9202,  9206,  9214,  9219,  9225,  9229,  9237,
    9241,  9249,  9257,  9265,  9269,  9277,  9281,  9289,  9297,  9305,
    9309,  9313,  9317,  9321,  9325,  9333,  9338,  9344,  9349,  9355,
    9359,  9363,  9367,  9375,  9383,  9387,  9392,  9398,  9402,  9406,
    9410,  9414,  9418,  9422,  9426,  9430,  9434,  9438,  9442,  9446,
    9451,  9457,  9461,  9469,  9473,  9477,  9481,  9485,  9489,  9493,
    9497,  9501,  9505,  9509,  9513,  9517,  9521,  9525,  9529,  9533,
    9537,  9541,  9545,  9549,  9553,  9557,  9561,  9565,  9569,  9573,
    9577,  9581,  9585,  9589,  9593,  9597,  9601,  9605,  9609,  9613,
    9617,  9621,  9625,  9629,  9633,  9637,  9641,  9645,  9649,  9653,
    9657,  9661,  9665,  9669,  9673,  9677,  9681,  9685,  9689,  9693,
    9698,  9702,  9710,  9714,  9718,  9722,  9726,  9730,  9734,  9738,
    9742,  9746,  9750,  9754,  9758,  9762,  9766,  9770,  9774,  9778,
    9782,  9786,  9790,  9794,  9802,  9806,  9810,  9814,  9818,  9822,
    9826,  9830,  9834,  9838,  9842,  9846,  9854,  9858,  9862,  9866,
    9870,  9874,  9878,  9882,  9886,  9890,  9894,  9898,  9902,  9906,
    9910,  9914,  9918,  9922,  9926,  9930,  9934,  9938,  9942,  9946,
    9950,  9954,  9958,  9962,  9966,  9970,  9974,  9978,  9982,  9986,
    9990,  9994,  9998, 10002, 10006, 10010, 10014, 10018, 10022, 10026,
   10030, 10034, 10038, 10042, 10046, 10050, 10058, 10062, 10070, 10074,
   10078, 10083, 10089, 10097, 10101, 10109, 10113, 10121, 10125, 10133,
   10137, 10142, 10148, 10152, 10156, 10160, 10168, 10173, 10179, 10183,
   10191, 10199, 10203, 10208, 10214, 10222, 10226, 10233, 10238, 10244,
   10249, 10254, 10260, 10264, 10272, 10276, 10280, 10284, 10288, 10296,
   10300, 10304, 10312, 10316, 10320, 10328, 10332, 10340, 10344, 10348,
   10352, 10356, 10360, 10364, 10368, 10372, 10380, 10384, 10392, 10396,
   10404, 10408, 10412, 10416, 10420, 10424, 10432, 10436, 10444, 10448,
   10456, 10460, 10468, 10472, 10480, 10484, 10488, 10496, 10500, 10508,
   10513, 10519, 10523, 10527, 10531, 10535, 10539, 10543, 10547, 10555,
   10559, 10567, 10575, 10580, 10586, 10590, 10594, 10598, 10602, 10607,
   10613, 10621, 10629, 10633, 10637, 10645, 10649, 10657, 10665, 10669,
   10677, 10685, 10690, 10696, 10701, 10707, 10711, 10719, 10723, 10727,
   10731, 10739, 10743, 10752, 10754, 10762, 10767, 10773, 10777, 10785,
   10789, 10797, 10805, 10809, 10817, 10821, 10825, 10829, 10837, 10841,
   10849, 10853, 10861, 10865, 10873, 10881, 10889, 10897, 10905, 10913,
   10921, 10925, 10933, 10937, 10941, 10945, 10949, 10953, 10957, 10961,
   10965, 10969, 10973, 10977, 10981, 10985, 10986, 10991, 10997, 11005,
   11009, 11010, 11014, 11022, 11026, 11030, 11034, 11038, 11042, 11046,
   11050, 11054, 11058, 11062, 11066, 11070, 11074, 11078, 11082, 11086,
   11090, 11094, 11098, 11102, 11106, 11110, 11114, 11118, 11122, 11126,
   11130, 11134, 11138, 11142, 11146, 11150, 11154, 11158, 11162, 11166,
   11170, 11174, 11178, 11182, 11186, 11190, 11194, 11198, 11202, 11206,
   11210, 11214, 11218, 11222, 11226, 11230, 11234, 11238, 11242, 11246,
   11250, 11254, 11258, 11262, 11266, 11270, 11274, 11278, 11282, 11286,
   11290, 11294, 11298, 11302, 11306, 11310, 11314, 11318, 11322, 11326,
   11330, 11334, 11338, 11342, 11346, 11350, 11354, 11358, 11362, 11366,
   11370, 11374, 11378, 11382, 11386, 11390, 11394, 11398, 11402, 11406,
   11410, 11414, 11418, 11422, 11426, 11430, 11434, 11438, 11442, 11446,
   11450, 11454, 11458, 11462, 11466, 11470, 11474, 11478, 11482, 11486,
   11490, 11494, 11498, 11502, 11506, 11510, 11514, 11518, 11522, 11526,
   11530, 11534, 11538, 11542, 11546, 11550, 11554, 11558, 11562, 11566,
   11570, 11574, 11578, 11582, 11586, 11590, 11594, 11598, 11602, 11606,
   11610, 11614, 11618, 11622, 11626, 11630, 11634, 11638, 11642, 11646,
   11650, 11654, 11658, 11662, 11666, 11670, 11674, 11678, 11682, 11686,
   11690, 11694, 11698, 11702, 11706, 11710, 11714, 11718, 11722, 11726,
   11730, 11734, 11738, 11742, 11746, 11750, 11754, 11758, 11762, 11766,
   11770, 11774, 11778, 11782, 11786, 11790, 11794, 11798, 11802, 11806,
   11810, 11814, 11818, 11822, 11826, 11830, 11834, 11838, 11842, 11846,
   11850, 11854, 11858, 11862, 11866, 11870, 11874, 11878, 11882, 11886,
   11890, 11894, 11898, 11902, 11906, 11910, 11914, 11918, 11922, 11926,
   11930, 11934, 11938, 11942, 11946, 11950, 11954, 11958, 11962, 11966,
   11970, 11974, 11978, 11982, 11990, 11994, 11998, 12002, 12006, 12010,
   12014, 12018, 12022, 12026, 12030, 12034, 12038, 12042, 12046, 12050,
   12054, 12058, 12062, 12066, 12070, 12074, 12078, 12082, 12086, 12090,
   12094, 12098, 12102, 12106, 12110, 12114, 12118, 12122, 12126, 12130,
   12134, 12138, 12142, 12146, 12150, 12154, 12158, 12162, 12170, 12174,
   12178, 12182, 12186, 12190, 12194, 12198, 12202, 12206, 12210, 12214,
   12218, 12222, 12226, 12230, 12234, 12238, 12242, 12246, 12250, 12254,
   12258, 12266, 12270, 12274, 12278, 12282, 12286, 12290, 12294, 12298,
   12302, 12306, 12310, 12314, 12318, 12322, 12326, 12330, 12334, 12338,
   12342, 12346, 12350, 12354, 12358, 12362, 12366, 12370, 12374, 12378,
   12382, 12386, 12390, 12394, 12398, 12402, 12406, 12410, 12414, 12418,
   12422, 12426, 12430, 12434, 12438, 12442, 12446, 12450, 12454, 12458,
   12462, 12466, 12470, 12474, 12478, 12482, 12486, 12490, 12494, 12498,
   12502, 12506, 12510, 12514, 12518, 12522, 12526, 12530, 12534, 12538,
   12542, 12546, 12550, 12554, 12558, 12568, 12569, 12572, 12573, 12574,
   12580, 12581, 12582, 12583, 12584, 12597, 12597, 12606, 12621, 12623,
   12626, 12628, 12632, 12644, 12660, 12664, 12675, 12676, 12679, 12691,
   12700, 12701, 12704, 12705, 12706, 12709, 12710, 12713, 12714, 12717,
   12718, 12721, 12723, 12725, 12727, 12731, 12738, 12745, 12761, 12795,
   12805, 12808, 12812, 12825, 12826, 12828, 12830, 12834, 12848, 12855,
   12916, 12925, 12927, 12928, 12931, 12933, 12934, 12937, 12938, 12939,
   12940, 12941, 12948, 12947, 12957, 12959, 12961, 12962, 12965, 12966,
   12967, 12968, 12971, 12972, 12976, 12975, 12992, 12990, 13006, 13005,
   13019, 13025, 13026, 13029, 13031, 13032, 13035, 13036, 13037, 13038,
   13041, 13042, 13045, 13053, 13070, 13078, 13101, 13207, 13241, 13243,
   13245, 13249, 13253, 13252, 13303, 13305, 13304, 13319, 13325, 13332,
   13337, 13343, 13344, 13347, 13348, 13349, 13350, 13351, 13352, 13353,
   13361, 13369, 13372, 13373, 13374, 13375, 13376, 13377, 13385, 13393,
   13394, 13395, 13398, 13399, 13402, 13404, 13408, 13496, 13497, 13504,
   13505, 13506, 13512, 13521, 13524, 13525, 13526, 13527, 13530, 13531,
   13532, 13535, 13537, 13545, 13546, 13552, 13560, 13561, 13564, 13565,
   13568, 13573, 13580, 13585, 13592, 13599, 13599, 13601, 13608, 13609,
   13612, 13613, 13614, 13615, 13616, 13617, 13618, 13619, 13620, 13626,
   13633, 13645, 13651, 13658, 13666, 13667, 13679, 13690, 13701, 13705,
   13706, 13709, 13714, 13718, 13719, 13722, 13728, 13736, 13742, 13749,
   13753, 13754, 13757, 13760, 13764, 13765, 13768, 13774, 13783, 13788,
   13798, 13808, 13820, 13821, 13822, 13823, 13824, 13825, 13826, 13827,
   13828, 13829, 13830, 13831, 13832, 13833, 13834, 13841, 13842, 13845,
   13846, 13853, 13854, 13855, 13862, 13861, 13878, 13879, 13886, 13885,
   13955, 13961, 13967, 13975, 13981, 13987, 13993, 13999, 14005, 14011,
   14017, 14023, 14034, 14035, 14038, 14039, 14040, 14041, 14042, 14043,
   14044, 14045, 14046, 14047, 14048, 14049, 14050, 14051, 14052, 14053,
   14054, 14055, 14056, 14057, 14058, 14059, 14060, 14061, 14064, 14065,
   14066, 14067, 14068, 14069, 14073, 14074, 14075, 14076, 14077, 14078,
   14079, 14082, 14085, 14086, 14087, 14088, 14089, 14090, 14091, 14092,
   14105, 14106, 14107, 14108, 14109, 14110, 14111, 14116, 14117, 14118,
   14119, 14120, 14121, 14127, 14128, 14129, 14130, 14131, 14132, 14133,
   14134, 14135, 14136, 14137, 14140, 14141, 14142, 14143, 14144, 14147,
   14148, 14149, 14150, 14153, 14154, 14155, 14156, 14157, 14158, 14159,
   14176, 14177, 14178, 14181, 14182, 14183, 14184, 14185, 14186, 14190,
   14190, 14193, 14199, 14200, 14203, 14205, 14210, 14220, 14231, 14238,
   14239, 14240, 14243, 14276, 14278, 14280, 14283, 14293, 14303, 14313,
   14314, 14317, 14319, 14320, 14321, 14324, 14326, 14334, 14335, 14336,
   14340, 14341, 14345, 14346, 14349, 14350, 14353, 14354, 14355, 14356,
   14357, 14360, 14361, 14362, 14363, 14364, 14365, 14366, 14367, 14368,
   14369, 14370, 14371, 14372, 14373, 14374, 14375, 14376, 14377, 14378,
   14379, 14380, 14381, 14382, 14383, 14384, 14385, 14386, 14387, 14388,
   14389, 14390, 14391, 14392, 14393, 14394, 14395, 14396, 14397, 14398,
   14399, 14400, 14401, 14402, 14403, 14404, 14405, 14406, 14407, 14408,
   14409, 14410, 14411, 14412, 14413, 14414, 14415, 14418, 14419, 14420,
   14421, 14424, 14425, 14426, 14427, 14428, 14429, 14430, 14431, 14432,
   14435, 14436, 14437, 14438, 14439, 14442, 14443, 14446, 14447, 14458,
   14459
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY",
  "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT",
  "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "OUT_P", "OUTER_P", "OVER",
  "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P",
  "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P",
  "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM",
  "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR",
  "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VOLATILE",
  "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'",
  "'{'", "'}'", "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "set_rest_more", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "ColId_or_Sconst", "VariableResetStmt", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateSeqStmt", "AlterSeqStmt",
  "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly",
  "NumericOnly_list", "CreatePLangStmt", "opt_trusted", "handler_name",
  "opt_inline_handler", "validator_clause", "opt_validator",
  "DropPLangStmt", "opt_procedural", "CreateTableSpaceStmt",
  "OptTableSpaceOwner", "DropTableSpaceStmt", "CreateExtensionStmt",
  "create_extension_opt_list", "create_extension_opt_item",
  "AlterExtensionStmt", "alter_extension_opt_list",
  "alter_extension_opt_item", "AlterExtensionContentsStmt",
  "CreateFdwStmt", "fdw_option", "fdw_options", "opt_fdw_options",
  "DropFdwStmt", "AlterFdwStmt", "create_generic_options",
  "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "OptForeignTableElementList", "ForeignTableElementList",
  "ForeignTableElement", "AlterForeignTableStmt", "CreateUserMappingStmt",
  "auth_ident", "DropUserMappingStmt", "AlterUserMappingStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "function_with_argtypes_list",
  "function_with_argtypes", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "SignedIconst", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "statements", "statement", "CreateAsStmt", "$@1", "at", "ECPGConnect",
  "connection_target", "opt_database_name", "db_prefix", "server",
  "opt_server", "server_name", "opt_port", "opt_connection_name",
  "opt_user", "ora_user", "user_name", "char_variable", "opt_options",
  "connect_options", "opt_opt_value", "prepared_name", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@2", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@3", "var_declaration", "$@4", "$@5",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
      61,    60,    62,   745,    43,    45,    42,    47,    37,    94,
     746,    91,    93,    40,    41,    46,    44,    59,    58,   123,
     125
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   511,   512,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   514,   515,   515,   516,   516,   517,   517,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   519,
     519,   519,   519,   519,   519,   520,   521,   522,   522,   523,
     524,   525,   526,   526,   527,   527,   528,   529,   530,   530,
     531,   531,   532,   532,   533,   533,   534,   534,   535,   535,
     535,   535,   535,   535,   536,   536,   536,   537,   537,   537,
     538,   538,   538,   538,   538,   538,   538,   538,   538,   538,
     538,   538,   538,   538,   539,   539,   540,   540,   541,   541,
     542,   542,   542,   542,   543,   543,   543,   543,   544,   544,
     544,   544,   544,   544,   544,   545,   545,   545,   546,   546,
     547,   547,   547,   547,   547,   548,   548,   549,   549,   550,
     550,   550,   550,   550,   551,   552,   552,   553,   553,   554,
     555,   555,   555,   555,   556,   556,   556,   556,   556,   556,
     556,   556,   557,   557,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   559,   559,   560,   560,
     560,   561,   561,   562,   562,   563,   564,   564,   565,   565,
     566,   566,   566,   566,   567,   568,   568,   569,   569,   569,
     569,   570,   570,   571,   571,   572,   572,   573,   573,   573,
     574,   574,   575,   575,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   577,   577,   578,   578,
     579,   579,   580,   580,   581,   581,   582,   583,   583,   583,
     583,   583,   584,   584,   585,   586,   586,   586,   586,   587,
     587,   587,   587,   587,   587,   587,   587,   588,   588,   589,
     589,   590,   590,   591,   591,   592,   592,   592,   593,   593,
     594,   595,   596,   596,   597,   597,   597,   597,   598,   598,
     598,   598,   598,   598,   598,   599,   599,   599,   599,   600,
     601,   601,   601,   602,   602,   602,   602,   602,   602,   603,
     603,   604,   604,   604,   604,   604,   604,   604,   605,   605,
     606,   606,   607,   607,   608,   609,   609,   609,   609,   610,
     610,   611,   611,   612,   612,   613,   613,   613,   613,   613,
     614,   615,   616,   616,   616,   616,   616,   617,   617,   618,
     618,   618,   618,   619,   619,   619,   619,   620,   620,   621,
     621,   622,   623,   624,   624,   624,   625,   626,   626,   627,
     627,   628,   628,   629,   629,   629,   629,   629,   629,   629,
     629,   629,   629,   629,   629,   630,   630,   631,   631,   631,
     632,   632,   633,   633,   634,   634,   635,   635,   636,   636,
     637,   637,   638,   638,   639,   639,   640,   640,   641,   642,
     642,   643,   643,   644,   644,   645,   645,   646,   646,   646,
     647,   648,   648,   649,   650,   650,   650,   650,   650,   650,
     650,   650,   650,   650,   650,   650,   650,   650,   650,   650,
     650,   650,   650,   650,   650,   650,   651,   652,   652,   652,
     652,   653,   653,   654,   654,   655,   655,   656,   656,   657,
     657,   658,   658,   659,   660,   660,   661,   661,   661,   661,
     662,   663,   664,   665,   666,   666,   667,   667,   668,   668,
     669,   669,   670,   670,   670,   671,   671,   672,   672,   673,
     673,   674,   675,   675,   676,   677,   677,   677,   678,   678,
     679,   680,   680,   681,   681,   681,   682,   682,   683,   683,
     683,   683,   683,   684,   684,   685,   685,   686,   686,   687,
     687,   688,   688,   688,   689,   689,   689,   689,   690,   690,
     691,   691,   692,   692,   692,   692,   692,   692,   693,   693,
     694,   695,   696,   696,   696,   696,   696,   696,   696,   696,
     696,   696,   696,   696,   696,   696,   697,   698,   698,   699,
     699,   700,   700,   700,   700,   700,   701,   701,   702,   703,
     703,   704,   705,   705,   706,   706,   707,   707,   707,   708,
     709,   709,   710,   710,   710,   710,   710,   711,   711,   712,
     712,   713,   713,   713,   714,   714,   715,   716,   716,   717,
     717,   718,   718,   719,   719,   720,   720,   721,   722,   723,
     723,   723,   723,   724,   724,   724,   724,   724,   724,   724,
     724,   724,   724,   724,   724,   724,   724,   724,   725,   725,
     726,   726,   727,   727,   728,   729,   729,   729,   730,   730,
     730,   730,   730,   730,   730,   730,   730,   730,   730,   730,
     730,   730,   730,   730,   730,   731,   731,   731,   731,   731,
     731,   731,   731,   731,   731,   731,   731,   731,   731,   731,
     731,   731,   732,   732,   733,   733,   733,   733,   733,   734,
     734,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   736,   736,   737,   737,   737,   737,   737,   737,
     737,   737,   737,   737,   737,   738,   738,   738,   738,   738,
     738,   738,   738,   738,   738,   738,   738,   738,   738,   739,
     739,   740,   740,   741,   742,   742,   743,   743,   743,   743,
     743,   744,   744,   745,   745,   745,   745,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   747,   747,   748,   748,   749,   749,   750,
     750,   751,   752,   753,   753,   754,   754,   755,   755,   756,
     757,   757,   758,   758,   758,   759,   759,   759,   760,   760,
     760,   760,   761,   762,   762,   763,   763,   764,   764,   765,
     765,   766,   766,   767,   767,   767,   768,   768,   769,   769,
     769,   770,   770,   770,   771,   771,   771,   772,   772,   772,
     773,   773,   774,   774,   775,   775,   776,   776,   777,   777,
     778,   778,   778,   778,   778,   779,   779,   779,   779,   779,
     780,   781,   782,   782,   782,   783,   783,   783,   784,   784,
     785,   785,   785,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   785,   786,   786,   786,   786,   787,
     787,   788,   788,   789,   790,   790,   791,   792,   792,   793,
     793,   794,   794,   795,   795,   796,   796,   797,   797,   797,
     797,   798,   798,   799,   800,   800,   801,   801,   802,   802,
     802,   803,   803,   803,   804,   805,   805,   806,   806,   806,
     807,   807,   808,   808,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   810,   810,   811,   811,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   813,   813,   813,   813,   813,   813,   813,   813,   813,
     813,   813,   813,   813,   813,   813,   813,   813,   813,   814,
     815,   815,   815,   816,   816,   817,   817,   817,   817,   817,
     818,   818,   819,   819,   819,   819,   820,   820,   820,   821,
     821,   822,   823,   823,   824,   825,   825,   826,   826,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   827,   827,   827,   828,   828,   828,   828,   828,   829,
     829,   829,   830,   830,   831,   831,   832,   832,   832,   832,
     833,   834,   835,   835,   836,   836,   836,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   836,   836,
     837,   837,   838,   838,   839,   840,   840,   841,   842,   842,
     843,   844,   844,   844,   844,   844,   844,   844,   845,   845,
     846,   847,   847,   847,   847,   847,   847,   848,   849,   849,
     849,   850,   850,   851,   851,   851,   851,   851,   852,   852,
     853,   853,   853,   853,   854,   854,   855,   855,   856,   856,
     857,   857,   858,   858,   859,   859,   860,   860,   860,   860,
     861,   861,   861,   861,   861,   861,   861,   862,   862,   863,
     864,   864,   864,   865,   865,   865,   866,   866,   867,   867,
     868,   868,   868,   868,   869,   869,   870,   870,   871,   872,
     872,   872,   873,   873,   874,   875,   875,   876,   877,   877,
     878,   879,   879,   880,   880,   880,   880,   880,   880,   880,
     880,   881,   881,   882,   883,   883,   884,   884,   885,   886,
     887,   888,   888,   889,   890,   890,   891,   891,   891,   891,
     891,   892,   892,   892,   893,   893,   894,   894,   895,   895,
     895,   895,   895,   895,   895,   895,   896,   896,   897,   897,
     897,   897,   897,   897,   898,   898,   899,   899,   900,   901,
     901,   902,   902,   902,   903,   903,   903,   903,   903,   903,
     903,   903,   903,   904,   904,   905,   905,   905,   906,   906,
     906,   906,   907,   907,   908,   909,   909,   910,   910,   911,
     911,   911,   911,   912,   912,   913,   913,   913,   914,   914,
     915,   915,   916,   917,   917,   917,   918,   919,   919,   920,
     920,   921,   921,   922,   922,   923,   923,   924,   924,   925,
     925,   926,   926,   927,   927,   928,   928,   929,   929,   930,
     930,   931,   931,   931,   931,   931,   931,   931,   931,   931,
     931,   931,   932,   932,   932,   932,   932,   932,   933,   933,
     933,   933,   934,   934,   934,   934,   935,   935,   936,   936,
     937,   937,   937,   937,   938,   938,   939,   939,   939,   940,
     941,   941,   942,   942,   942,   943,   943,   944,   944,   945,
     946,   946,   946,   946,   946,   946,   947,   947,   947,   948,
     948,   948,   948,   948,   948,   948,   949,   949,   949,   949,
     950,   950,   951,   951,   952,   952,   952,   952,   952,   952,
     952,   952,   952,   952,   952,   953,   953,   954,   954,   955,
     955,   956,   957,   958,   958,   959,   959,   960,   961,   962,
     962,   962,   962,   962,   962,   963,   963,   964,   964,   965,
     965,   965,   965,   966,   967,   967,   967,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   969,   969,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   974,   974,   975,   975,
     975,   975,   976,   977,   977,   978,   978,   979,   979,   980,
     980,   980,   981,   981,   981,   981,   982,   982,   983,   983,
     984,   985,   985,   985,   986,   987,   987,   988,   988,   989,
     989,   989,   990,   990,   991,   991,   991,   991,   991,   992,
     992,   992,   993,   993,   993,   994,   994,   995,   995,   995,
     995,   995,   995,   995,   995,   995,   996,   996,   997,   997,
     998,   998,   998,   998,   998,   998,   999,   999,  1000,  1000,
    1001,  1001,  1002,  1002,  1003,  1003,  1003,  1004,  1004,  1005,
    1005,  1006,  1006,  1006,  1006,  1006,  1006,  1006,  1006,  1007,
    1007,  1008,  1009,  1009,  1010,  1010,  1010,  1010,  1010,  1010,
    1011,  1012,  1013,  1013,  1013,  1014,  1014,  1015,  1016,  1016,
    1017,  1018,  1018,  1019,  1019,  1020,  1020,  1021,  1021,  1021,
    1021,  1022,  1022,  1023,  1023,  1024,  1024,  1025,  1025,  1026,
    1026,  1027,  1028,  1028,  1029,  1029,  1029,  1029,  1030,  1030,
    1031,  1031,  1032,  1032,  1033,  1034,  1035,  1036,  1037,  1038,
    1039,  1039,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1041,  1042,  1043,
    1043,  1043,  1043,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1048,  1048,  1049,  1049,  1049,
    1049,  1049,  1049,  1049,  1049,  1051,  1050,  1052,  1053,  1053,
    1053,  1053,  1054,  1054,  1054,  1054,  1055,  1055,  1056,  1057,
    1058,  1058,  1059,  1059,  1059,  1060,  1060,  1061,  1061,  1062,
    1062,  1063,  1063,  1063,  1063,  1064,  1064,  1064,  1065,  1066,
    1066,  1067,  1067,  1068,  1068,  1068,  1068,  1069,  1069,  1070,
    1071,  1072,  1073,  1073,  1074,  1075,  1075,  1076,  1076,  1076,
    1076,  1076,  1078,  1077,  1079,  1080,  1081,  1081,  1082,  1082,
    1082,  1082,  1083,  1083,  1085,  1084,  1087,  1086,  1088,  1086,
    1086,  1089,  1089,  1090,  1090,  1090,  1091,  1091,  1091,  1091,
    1092,  1092,  1093,  1093,  1093,  1093,  1093,  1093,  1094,  1094,
    1094,  1095,  1097,  1096,  1098,  1099,  1098,  1100,  1100,  1101,
    1101,  1102,  1102,  1103,  1103,  1103,  1103,  1103,  1103,  1103,
    1103,  1103,  1104,  1104,  1104,  1104,  1104,  1104,  1104,  1104,
    1104,  1104,  1105,  1105,  1106,  1106,  1107,  1108,  1108,  1109,
    1109,  1109,  1110,  1111,  1112,  1112,  1112,  1112,  1113,  1113,
    1113,  1114,  1114,  1115,  1115,  1116,  1117,  1117,  1118,  1118,
    1119,  1119,  1120,  1120,  1121,  1122,  1122,  1123,  1123,  1123,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1125,
    1125,  1125,  1125,  1125,  1126,  1126,  1127,  1128,  1129,  1130,
    1130,  1131,  1132,  1133,  1133,  1134,  1135,  1135,  1136,  1137,
    1138,  1138,  1139,  1140,  1141,  1141,  1142,  1143,  1143,  1143,
    1143,  1143,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1145,  1145,  1146,
    1146,  1147,  1147,  1147,  1149,  1148,  1150,  1150,  1152,  1151,
    1153,  1153,  1153,  1154,  1154,  1154,  1154,  1154,  1154,  1154,
    1154,  1154,  1155,  1155,  1156,  1156,  1156,  1156,  1156,  1156,
    1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,
    1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1157,  1157,
    1157,  1157,  1157,  1157,  1158,  1158,  1158,  1158,  1158,  1158,
    1158,  1159,  1160,  1160,  1160,  1160,  1160,  1160,  1160,  1160,
    1161,  1161,  1161,  1161,  1161,  1161,  1161,  1162,  1162,  1162,
    1162,  1162,  1162,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1163,  1163,  1164,  1164,  1164,  1164,  1164,  1165,
    1165,  1165,  1165,  1166,  1166,  1166,  1166,  1166,  1166,  1166,
    1167,  1167,  1167,  1168,  1168,  1168,  1168,  1168,  1168,  1169,
    1169,  1170,  1171,  1171,  1172,  1172,  1173,  1174,  1175,  1176,
    1176,  1176,  1177,  1178,  1179,  1180,  1181,  1181,  1181,  1181,
    1181,  1182,  1183,  1183,  1183,  1184,  1184,  1185,  1185,  1185,
    1186,  1186,  1187,  1187,  1188,  1188,  1189,  1189,  1189,  1189,
    1189,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1191,  1191,  1191,
    1191,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1193,  1193,  1193,  1193,  1193,  1194,  1194,  1195,  1195,  1196,
    1196
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     5,     1,     0,     2,     0,     2,     0,
       2,     2,     3,     3,     1,     3,     3,     2,     1,     1,
       2,     2,     2,     3,     3,     5,     5,     0,     3,     5,
       5,     4,     3,     5,     3,     5,     5,     6,     1,     1,
       3,     5,     6,     4,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     3,     3,     2,     2,     2,     2,
       3,     3,     3,     3,     1,     3,     1,     3,     1,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     6,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     3,     4,     3,     2,     2,     1,     2,     1,     3,
       4,     5,     4,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     4,     6,     4,     6,     4,     6,
       4,     6,     1,     3,     2,     3,     4,     6,     6,     6,
       5,     5,     6,     6,     4,     8,     4,     2,     3,     6,
       4,     3,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     3,     3,     3,     4,     4,     3,     2,     3,     2,
       2,     3,     3,     2,     2,     1,     3,     2,     1,     1,
       0,     2,     0,     2,     0,     3,     2,     0,     1,     3,
       3,     1,     5,     3,     4,     1,     3,     4,     6,     4,
       8,     2,     2,    10,     6,     1,     1,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     3,     3,     1,     1,
       3,     3,     3,     3,     4,     2,     1,     0,     2,     0,
       3,     0,     1,     0,     1,     3,     2,     1,     1,     1,
       3,     0,     1,     3,     1,    11,    14,    10,    13,     1,
       1,     2,     2,     2,     2,     1,     0,     1,     0,     3,
       0,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       4,     4,     2,     0,     3,     1,     1,     2,     2,     1,
       3,     4,     5,     2,     5,     1,     2,     2,     2,     3,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     3,
       1,     5,     7,     3,     8,     4,     9,    11,     2,     0,
       3,     0,     1,     3,     1,     2,     2,     2,     0,     1,
       3,     3,     6,     4,     0,     1,     1,     2,     2,     0,
       3,     3,     2,     1,     1,     2,     2,     4,     0,     2,
       2,     2,     0,     3,     4,     4,     0,     2,     0,     4,
       0,     3,     5,     2,     3,     0,     5,     4,     6,     1,
       0,     1,     2,     2,     1,     2,     3,     2,     2,     2,
       2,     3,     3,     1,     3,     1,     0,     1,     2,     1,
       1,     3,     6,    10,     1,     0,     1,     2,     2,     0,
       2,     2,     1,     0,     5,     7,     1,     0,     6,     2,
       0,     3,     5,     5,     8,     2,     0,     2,     2,     2,
       5,     2,     0,     2,     7,    10,     6,     6,     6,     6,
       7,     7,     9,     9,     6,     6,     8,     8,     8,     8,
       6,     6,     7,     8,     6,     6,     7,     2,     2,     2,
       2,     1,     2,     1,     0,     6,     8,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,     2,     0,     2,     2,     1,     0,
       4,     6,     5,     4,     4,     8,    11,     3,     2,     1,
       3,     1,     5,     7,     8,     1,     1,     1,     7,     9,
       8,    15,    20,     1,     1,     2,     1,     3,     1,     1,
       1,     3,     1,     3,     0,     1,     0,     1,     1,     4,
       0,     1,     3,     0,     1,     1,     1,     1,     2,     0,
       0,     2,     2,     1,     2,     2,     2,     2,     6,     8,
       8,     4,     5,     4,     4,     4,     3,     7,     8,     6,
       6,     6,     6,     6,     4,     5,     3,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     1,
       3,     3,     1,     0,     1,     3,     6,     8,     8,    13,
       1,     3,     5,     6,     4,     7,     2,     1,     0,     2,
       0,     2,     4,     0,     1,     0,     6,     8,     8,     1,
       3,     5,     5,     7,     9,     7,     9,     5,     6,     6,
       4,     5,     7,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     1,     3,
       1,     2,     2,     3,     5,     2,     2,     0,     6,     7,
       7,     7,     8,     8,     6,     8,     9,     9,     7,    10,
       7,     8,     8,     8,     8,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     3,     1,     1,     8,     9,     9,     9,     9,     2,
       0,     1,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     2,     3,     4,     5,     4,
       5,     3,     4,     3,     4,     1,     2,     3,     3,     3,
       3,     4,     4,     3,     3,     4,     4,     4,     4,     1,
       1,     1,     0,     7,     7,    10,     1,     1,     2,     4,
       5,     1,     3,     2,     2,     2,     2,     1,     2,     2,
       4,     3,     2,     2,     2,     2,     3,     2,     2,     2,
       5,     5,     5,     1,     3,     1,     2,     3,     0,     1,
       3,     2,     6,     6,     9,     3,     0,     3,     0,     5,
       2,     0,     3,     3,     3,     7,     7,    10,     1,     1,
       1,     1,    14,     1,     0,     1,     0,     1,     0,     2,
       0,     1,     3,     5,     5,     7,     2,     0,     1,     2,
       0,     1,     1,     0,     1,     1,     0,     9,    12,     7,
       2,     0,     3,     2,     1,     3,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     2,
       4,     5,     1,     1,     1,     1,     3,     3,     2,     2,
       1,     2,     2,     2,     1,     2,     2,     1,     1,     1,
       3,     2,     0,     2,     1,     3,     5,     1,     2,     1,
       0,     5,     7,     5,     7,     5,     7,     3,     5,     5,
       5,     1,     3,     2,     1,     2,     1,     2,    11,    10,
      10,     2,     2,     0,     9,     2,     0,     4,     4,     4,
       1,     1,     1,     0,     7,     6,     6,     6,     6,     8,
       8,     6,     6,     7,     9,     9,     6,     6,     6,     8,
       6,     8,     6,     8,     6,     8,     7,     9,     8,    10,
       8,     9,    11,     8,     6,     6,     6,     5,     5,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       6,     6,     6,     6,     6,     7,     9,     9,     6,     8,
       8,     8,     8,     8,     6,     8,     6,     8,     7,     9,
       6,     7,     6,     6,     6,     6,     6,     7,     7,     7,
       9,     9,     6,     6,     6,     8,     8,     8,     6,    13,
       1,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     0,     1,     1,     1,     1,     1,     1,     0,     6,
       8,     3,     2,     0,     2,     2,     2,     2,     3,     3,
       2,     2,     2,     2,     3,     2,     5,     4,     3,     3,
       3,     1,     1,     0,     3,     2,     2,     1,     2,     1,
       3,     2,     1,     0,     9,    11,     3,     4,     4,     0,
       2,     5,     2,     0,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     4,     3,     3,
       1,     0,     5,     6,     4,     2,     0,     4,     3,     5,
       6,     4,     6,     6,     5,     7,     9,     6,     1,     0,
       6,    11,    11,    11,    13,     9,    11,    10,     4,     2,
       5,     2,     0,     4,     5,     5,     4,     6,     1,     3,
       1,     1,     1,     1,     2,     4,     1,     1,     1,     0,
       1,     0,     1,     0,     3,     0,     2,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     2,
       1,     1,     1,     1,     1,     0,     5,     4,     3,     0,
       1,     1,     1,     1,     4,     9,     3,     0,     6,     1,
       4,     2,     1,     3,     2,     3,     0,     7,     2,     0,
       5,     3,     0,     2,     2,     2,     3,     1,     3,     1,
       2,     1,     0,     8,     1,     3,     1,     1,     3,     5,
       2,     1,     3,     7,     1,     1,     0,     3,     2,     2,
       2,     0,     2,     2,     1,     1,     3,     3,     1,     2,
       4,     4,     2,     3,     5,     5,     1,     1,     9,     1,
       2,     4,     4,     4,     2,     3,     1,     3,     6,     1,
       0,     2,     1,     0,     3,     3,     4,     4,     4,     4,
       3,     2,     1,     1,     0,     1,     1,     0,     1,     5,
       1,     0,     1,     0,     3,     1,     3,     4,     3,     2,
       2,     1,     1,     1,     0,     2,     4,     5,     2,     3,
       1,     1,     1,     1,     3,     0,     1,     1,     1,     1,
       1,     3,     0,     2,     0,     1,     3,     1,     0,     1,
       2,     4,     4,     2,     0,     2,     3,     2,     0,     1,
       3,     1,     2,     1,     2,     5,     6,     5,     1,     2,
       1,     4,     3,     4,     5,     4,     5,     4,     5,     2,
       4,     1,     2,     2,     2,     1,     1,     0,     4,     2,
       1,     2,     2,     4,     1,     3,     1,     2,     3,     1,
       2,     0,     2,     4,     0,     1,     0,     1,     3,     3,
       2,     3,     5,     6,     2,     3,     3,     4,     0,     1,
       1,     1,     1,     1,     2,     5,     1,     1,     1,     1,
       2,     3,     3,     0,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     1,     3,     0,     1,     1,     1,
       1,     5,     2,     1,     1,     1,     1,     5,     2,     2,
       2,     1,     3,     3,     2,     1,     0,     3,     0,     5,
       2,     5,     2,     1,     2,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     3,     3,     3,
       0,     1,     4,     1,     3,     3,     5,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     3,     3,     2,     3,     5,     4,     6,     3,     5,
       4,     6,     4,     6,     5,     7,     3,     2,     4,     2,
       3,     3,     4,     3,     4,     3,     4,     5,     6,     6,
       7,     6,     7,     6,     7,     3,     4,     4,     6,     2,
       3,     4,     1,     3,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     5,     6,
       6,     7,     3,     4,     1,     1,     2,     4,     1,     1,
       1,     2,     2,     2,     2,     1,     4,     5,     6,     8,
       6,     7,     7,     5,     5,     1,     1,     4,     1,     4,
       1,     4,     1,     4,     1,     1,     1,     1,     1,     1,
       6,     4,     4,     4,     4,     6,     5,     5,     5,     4,
       6,     4,     4,     4,     4,     5,     7,     7,     9,     5,
       4,     6,     5,     7,     7,     7,     2,     3,     3,     3,
       4,     0,     4,     1,     3,     3,     1,     1,     1,     2,
       2,     0,     2,     4,     4,     6,     2,     0,     1,     3,
       3,     2,     2,     0,     6,     1,     0,     3,     0,     2,
       2,     0,     1,     4,     2,     2,     2,     2,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     1,     4,
       1,     4,     1,     2,     1,     2,     1,     3,     1,     3,
       1,     3,     1,     3,     3,     3,     2,     1,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       3,     2,     3,     0,     3,     3,     2,     2,     1,     0,
       2,     2,     3,     2,     1,     1,     3,     5,     1,     2,
       4,     2,     0,     1,     0,     1,     2,     2,     2,     3,
       5,     1,     2,     0,     2,     1,     0,     1,     1,     1,
       3,     3,     1,     3,     3,     2,     1,     1,     1,     3,
       1,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     5,     2,
       3,     6,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     2,     4,     3,     2,
       1,     1,     1,     1,     1,     0,     8,     2,     5,     3,
       2,     2,     3,     7,     1,     1,     1,     0,     2,     2,
       1,     0,     1,     3,     1,     2,     0,     2,     0,     2,
       0,     1,     3,     4,     3,     1,     1,     1,     1,     2,
       0,     2,     4,     0,     2,     2,     2,     1,     1,     7,
       3,     1,     1,     1,     1,     2,     0,     1,     3,     3,
       3,     3,     0,     4,     5,     5,     0,     1,     1,     1,
       2,     2,     1,     2,     0,     7,     0,     5,     0,     4,
       2,     2,     0,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     5,     2,     1,     3,     2,
       2,     3,     0,     5,     1,     0,     5,     2,     2,     1,
       1,     1,     2,     2,     3,     1,     2,     2,     3,     3,
       4,     2,     1,     2,     1,     1,     2,     2,     3,     1,
       1,     1,     1,     0,     1,     3,     5,     0,     2,     0,
       1,     2,     3,     2,     1,     1,     1,     0,     1,     1,
       1,     1,     1,     2,     2,     3,     0,     1,     2,     1,
       4,     3,     4,     3,     2,     1,     3,     1,     1,     1,
       1,     2,     2,     1,     2,     2,     1,     1,     1,     4,
       4,     4,     4,     4,     1,     0,     3,     3,     4,     1,
       3,     3,     4,     1,     3,     3,     1,     1,     1,     6,
       1,     3,     3,     6,     1,     3,     3,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     4,     1,
       1,     4,     4,     3,     0,     7,     1,     0,     0,     7,
       3,     4,     3,     1,     1,     1,     2,     3,     5,     2,
       5,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     0,     1,     2,     1,     2,     1,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     3,
       1,     2,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     3,     2,
       3,     1,     3,     3,     3,     3,     3,     3,     1,     1,
       0,     2,     2,     1,     1,     2,     1,     1,     1,     0,
       1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2255,     0,     2,     1,  2685,  2689,  2693,  2694,  2611,  2695,
    2696,  2661,  2662,  2663,  2664,  2665,  2666,  2667,  2668,  2669,
    2670,  2671,  2672,  2674,  2673,  2675,  2676,  2677,  2678,  2679,
    2680,  2681,  2682,  2684,  2683,  2633,  2262,  2630,  2627,  2628,
    2629,  2634,  2632,  2625,  2626,  1867,  2698,  2686,  2699,  2687,
    2688,  2690,  2691,  2660,  2692,  2700,  2701,  2702,  2697,  2705,
    2656,  2657,  2655,  2658,  2659,  2703,  2704,  2647,  2648,  2649,
    2650,  2706,  2263,  2264,  2652,  2256,  2260,  2322,  2393,  2653,
    2654,  2651,  2261,  2646,  2393,     0,  2514,  2515,  2516,     0,
    2517,  2518,  2519,  2445,  2407,  2520,     0,     0,  2521,  2522,
    2523,  2524,  2525,  2526,  2527,  2528,     0,  2529,  2530,  2531,
    2532,  2392,  2533,  2534,  2535,  2536,  2537,  2369,  2375,  2498,
       0,  2349,  2350,  2346,  2348,  2347,  2351,  2334,  1153,   527,
    1237,  1236,     0,  2158,  1153,  2114,  2115,  2159,  2116,  2117,
    2118,   249,     0,  1239,  2119,  2160,     0,  1153,  2161,   357,
     931,  2162,  2163,  2277,     0,  2120,  2121,     0,     0,     0,
     527,  1153,     0,     0,  2122,  1350,  2123,     0,  2124,  2164,
    2165,     0,  2125,  2166,  2167,  2126,  2127,  2128,  2168,  2169,
    2170,  2129,  2171,  2172,     0,     0,  1364,     0,  2130,  2173,
    2131,  2132,     0,  2174,  2133,  2134,  2135,  2175,  2176,  2177,
    2136,  2137,  2138,     0,  2139,     0,     0,     0,     0,     0,
    2178,  1153,  2140,     0,     0,  1371,     0,  2141,     0,  2179,
    2142,     0,  2143,     0,  2144,  2145,  2146,  2147,  1364,  2494,
    2370,     0,  1241,     0,  2148,  2180,     0,  2149,  2150,  2151,
    2152,  2153,  2154,  2155,  2156,  2157,     0,     0,    54,    55,
      21,    20,    26,    25,    77,    78,    44,    14,    68,    49,
     110,   109,   111,    32,    28,    62,    18,    19,    29,    33,
      51,    50,    17,    48,    72,    52,    75,    39,     8,     9,
      40,    66,    10,    41,    67,    11,    42,    12,    56,    79,
      24,    53,    76,    35,    64,    60,     7,    45,    46,    47,
      69,    70,    71,    93,    74,   105,    31,   102,    83,    84,
      99,    85,   100,     5,    86,    43,    13,    96,    95,    97,
      63,    36,    65,    94,    98,    15,    16,   101,    73,    91,
      88,   106,   104,   112,    89,    57,     3,     4,    80,    38,
       6,    23,    22,    37,    30,   108,    27,  1239,    82,    92,
      81,    87,    61,    90,   107,    59,   103,  1337,  1324,  1373,
    1336,  1349,     0,  1339,  2590,  2591,    34,  1350,   114,   115,
     120,  2259,  2311,  2312,  2313,  2393,  2344,  2345,  2338,  2354,
    2364,  2353,  2357,  2365,  2352,  2371,     0,   117,   119,   121,
     124,   118,   113,   116,   123,   128,   122,   127,   125,   126,
     129,   130,   131,  2592,  1550,  2589,    58,  2329,  2328,     0,
    2393,     0,  2538,  2539,  2540,  2541,  2542,  2543,  2593,  2594,
    2595,  2596,  2597,  2599,  2598,  2622,  1873,  1874,  1875,  1876,
    1877,  1878,  1879,  1880,  1881,  1882,  1883,  1884,  1885,  1886,
    1887,  1888,  1889,  1890,  1891,  1892,  1893,  1894,  1895,  1896,
    1897,  2565,  1898,  1899,  1900,  1901,  1902,  1903,  1904,  1905,
    1906,  1907,  2602,  1908,  1909,  1910,  1911,  1912,  1913,  1914,
    1915,  1916,  1917,  1918,  2603,  1919,  1920,  1921,  1922,  1923,
    1924,  1925,  1926,  1927,  1928,  1929,  1930,  1931,  1932,  1933,
    1934,  1935,  1936,  1937,  1938,  1939,  1940,  1941,  1942,  1943,
    1944,  1945,  1946,  1947,  1948,  1949,  1950,  1951,  1952,  1953,
    1954,  1955,  1956,  1957,  1958,  2604,  1959,  1960,  1961,  1962,
    1963,  1964,  1965,  1966,  1967,  1968,  1969,  1970,  1971,  1972,
    1973,  1974,  1975,  1976,  1977,  1978,  1979,  1980,  1981,  1982,
    1983,  1984,  1985,  1986,  1987,  1988,  1989,  1990,  1991,  1992,
    2605,  1993,  1994,  2606,  1995,  1996,  1997,  1998,  1999,  2000,
    2001,  2002,  2003,  2004,  2005,  2006,  2007,  2008,  2009,  2010,
    2011,  2012,  2013,  2014,  2015,  2016,  2017,  2018,  2019,  2022,
    2020,  2021,  2023,  2024,  2025,  2026,  2027,  2028,  2029,  2030,
    2031,  2032,  2033,  2034,  2035,  2036,  2037,  2038,  2039,  2040,
    2041,  2042,  2043,  2044,  2045,  2046,  2047,  2048,  2049,  2050,
    2051,  2052,  2053,  2607,  2054,  2055,  2056,  2057,  2058,  2059,
    2060,  2061,  2062,  2063,  2064,  2065,  2066,  2067,  2068,  2069,
    2070,  2071,  2072,  2073,  2074,  2075,  2076,  2077,  2078,  2079,
    2080,  2081,  2082,  2277,  2083,  2084,  2085,  2086,  2087,  2088,
    2089,  2090,  2091,  2092,  2093,  2094,  2095,  2096,  2097,  2098,
    2099,  2100,  2101,  2566,  2102,  2103,  2104,  2105,  2106,  2107,
    2108,  2109,  2110,  2111,  2608,  2112,  2113,  2295,  2600,  2562,
    2270,  2291,  2563,  2512,  2513,  1868,  2564,  2561,  2601,  2297,
    2618,  2296,  2560,  2444,     0,     0,  2406,  2405,  2409,  2408,
    2410,  2403,  2404,  1845,  2298,  2414,  2413,  1314,  2617,  1844,
    1315,     0,  2416,  2544,  2545,  2546,  2547,  2549,  2548,  2550,
    2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,  2189,  2190,
    2191,  2192,  2575,  2193,  2194,  2195,  2588,  2196,  2197,  2576,
    2198,  2199,  2200,  2201,  2202,  2203,  2204,  2205,  2206,  2207,
    2208,  2209,  2210,  2211,  2212,  2213,  2214,  2215,  2216,  2217,
    2218,  2219,  2220,  2221,  2577,  2578,  2222,  2223,  2224,  2225,
    2226,  2227,  2228,  2229,  2230,  2231,  2232,  2233,  2234,  2235,
    2236,  2237,  2238,  2239,  2240,  2241,  2242,  2243,  2244,  2579,
    2245,  2246,  2580,  2247,  2248,  2249,  2581,  2250,  2251,  2252,
    2253,  2254,  2585,  2586,  2587,  2574,  2367,  2551,  2573,  2584,
    2582,  2583,  2377,  2373,  2381,  2376,     0,     0,     0,     0,
    2393,  1152,  1151,  1137,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   526,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2267,     0,  1163,   332,   331,  1238,  1219,   527,     0,  1140,
     356,     0,     0,     0,     0,     0,     0,     0,     0,   707,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   175,
       0,     0,   380,   379,     0,     0,     0,   903,   385,     0,
       0,     0,     0,   515,  2276,  2271,  2281,     0,  2274,  2275,
    2560,     0,  2709,  2020,  2307,  2308,  2707,  2068,  1316,   250,
     253,   251,   252,     0,  1003,  1004,  1006,     0,     0,  1016,
     740,   741,     0,   739,   743,     0,     0,     0,   736,     0,
       0,     0,     0,   742,   734,     0,   733,     0,     0,     0,
     738,     0,   735,     0,     0,  1141,     0,  2359,  2360,  1961,
    1277,   386,     0,     0,  1350,     0,  1239,  1246,  1256,  1251,
    1253,  1252,  1254,  1250,  1255,  1874,   842,  1888,   842,  1951,
     839,   840,   842,   842,   842,  2035,     0,     0,   814,     0,
     825,  1869,   842,  1870,  2618,   847,   441,   441,   441,     0,
     846,   851,   441,  1134,  1170,  1849,  1363,     0,  1888,  1951,
     815,  1133,  2083,  1269,     0,     0,  1020,     0,  1021,     0,
    2050,  1145,   234,  2558,  2059,  2144,  2083,  2559,   230,  2553,
    2554,  2556,   204,  2557,  2555,  2552,  1878,     0,     0,   846,
       0,  1142,  1143,   800,  1370,  1368,     0,     0,     0,  1896,
       0,  1908,  1987,   227,  2046,  2051,  2059,  2144,  2083,  2111,
     184,   189,     0,   243,  2059,  2144,  2083,     0,  1163,     0,
    1340,  1450,  1840,     0,     0,  2368,  1136,  1135,  1240,     0,
    1243,     0,  1415,  2032,  1344,  1346,  1245,  1337,     0,     0,
    2258,  1234,  1367,  1367,     0,  1367,     0,  1329,  1337,  1332,
    1336,     0,     0,     0,     0,  1153,     0,  2336,  2364,  2343,
    2399,  2340,     0,     0,  2389,  2385,  2382,  2390,  2391,  2384,
    2372,  1539,  1540,  1541,  1538,  1551,  1537,     0,  2317,  1542,
    2356,  2323,     0,  2331,  2330,  2635,  2636,  2446,  2269,  2288,
       0,     0,     0,     0,     0,     0,     0,  2415,  2417,  2419,
    2379,  2378,  2374,     0,     0,     0,     0,  2504,  2505,  2503,
       0,  2500,  2502,     0,  2399,     0,  2569,  2563,  2572,     0,
    1850,  2564,  2561,  2560,     0,   750,     0,   135,   891,     0,
       0,     0,  1844,     0,     0,     0,     0,     0,  1960,     0,
       0,  1745,  1900,  1947,  1755,  1753,  1754,  1747,  1748,  1749,
    1750,  1751,  1752,     0,  1001,  1746,     0,   135,     0,  1960,
       0,     0,  1960,     0,     0,     0,     0,     0,  1990,   135,
    1960,     0,     0,     0,  1157,     0,     0,     0,  1159,  1162,
    1138,  1222,     0,  1840,     0,     0,   784,   775,     0,   785,
     776,   781,   787,     0,     0,   778,     0,     0,   788,     0,
     777,   779,   790,   780,   786,     0,     0,   782,   783,     0,
       0,  1149,   441,     0,     0,     0,     0,     0,     0,   135,
    1209,  1960,   135,     0,     0,   384,   383,   135,   382,   381,
    1900,  1947,     0,   930,   135,     0,   177,   595,   530,     0,
       0,   666,  1990,   135,     0,     0,     0,     0,   906,     0,
       0,   514,   527,     0,  2280,  2286,     0,  2278,  2447,  2710,
    2708,  2402,     0,  1007,   228,   229,  1005,  1960,     0,   310,
       0,     0,  1960,  1198,     0,   737,  1960,     0,  1960,   170,
    1842,     0,  1900,  1947,  1960,     0,     0,  1960,   162,  1960,
       0,  1960,   310,  1960,   531,     0,  1960,     0,  1960,  1990,
     164,     0,  1960,   310,   748,     0,     0,  2640,  2644,     0,
    2642,  2637,  2358,  2412,  2411,  2310,     0,  2720,     0,  1316,
    1248,  2566,  1262,  1261,     0,  1257,  1265,  1260,  1350,   842,
     841,     0,   842,     0,  2729,   842,     0,   842,     0,  2729,
     842,     0,     0,     0,   842,  1871,  1872,     0,     0,  2728,
    2726,  2727,   816,   826,     0,   848,     0,     0,   855,   854,
     853,     0,     0,     0,   856,  1454,  1292,     0,   823,     0,
     821,     0,  1131,  1148,     0,     0,     0,     0,  1023,  1023,
    1023,  1144,   233,   231,     0,     0,     0,     0,     0,     0,
    1150,     0,     0,     0,     0,  2624,  1856,  1756,  2623,     0,
    2115,  2116,  2117,  1814,     0,  2565,  2118,  2119,  2160,  1668,
    1655,  1664,  1669,  1656,  1658,  1665,  2120,  2121,  1932,  2122,
    2123,  1863,  2124,  2125,  1494,  2127,  2128,  2129,  1660,  1662,
    2130,  2131,     0,  1864,  2133,  2134,  2008,  2136,  2137,  2139,
    2140,  1666,  2142,  2143,  2144,  2145,  2146,  2147,  1862,     0,
    1667,  2148,  2150,  2151,  2152,  2153,  2154,  2155,  2156,  2157,
       0,     0,  1837,     0,  1640,     0,  1486,  1487,  1509,  1510,
    1488,  1515,  1516,  1528,  1489,     0,  1836,  1553,  1639,  1645,
       0,  1638,  1634,  1353,  1832,     0,  1635,  1852,  1815,  1866,
    1865,  2618,  1823,  1855,  1853,  1854,     0,     0,     0,   196,
       0,     0,  2493,   245,     0,   246,  1838,  2059,   185,   226,
     198,   225,   199,   197,     0,  1898,   186,     0,     0,   187,
       0,     0,     0,     0,     0,     0,     0,   239,  1139,     0,
    1452,  1451,     0,     0,  1821,  1841,   757,     0,  1232,  1233,
    1231,     0,  1228,  1230,  1242,  1239,  1828,  1827,  1829,     0,
    1345,     0,     0,     0,  1327,  1326,  1245,  1365,  1366,     0,
       0,     0,     0,     0,     0,     0,     0,  1408,  1381,  1382,
    1384,  1405,  1409,     0,  1333,     0,     0,  1456,     0,  1416,
    2257,  2399,  2400,     0,  2394,     0,  2393,  2393,  2387,  2386,
    2383,     0,     0,     0,     0,     0,     0,     0,  2314,   509,
    2316,   507,     0,     0,  2290,     0,  2294,  2292,     0,  2439,
    2442,     0,  2440,  2441,  2443,     0,  2448,  2449,     0,     0,
       0,  2631,     0,     0,  2430,  2418,  2425,  2427,  2429,  2428,
    2437,  2433,  2436,  2438,  2380,  2393,  2511,     0,  2506,  2509,
       0,  2501,     0,     0,     0,  1851,     0,     0,     0,     0,
     751,     0,     0,     0,     0,     0,     0,   134,  1196,   236,
    1194,     0,     0,     0,     0,     0,     0,     0,  1201,     0,
     168,   169,   542,   527,     0,  1960,     0,     0,     0,     0,
     963,   970,     0,     0,     0,     0,     0,     0,     0,   964,
     962,   965,   238,   974,   987,   990,     0,   881,     0,     0,
       0,     0,  1066,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   256,   262,   305,
       0,     0,     0,     0,     0,     0,     0,     0,   139,     0,
       0,     0,     0,     0,   494,   506,     0,     0,     0,     0,
       0,   503,     0,   135,   258,   487,   491,     0,     0,     0,
     604,   603,     0,  1066,     0,   254,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   324,   325,     0,     0,     0,   139,   161,     0,     0,
       0,   260,     0,  2324,     0,  1158,  1155,  1156,     0,  1161,
       0,  1218,     0,     0,     0,     0,     0,   789,     0,     0,
    1900,  1947,     0,     0,     0,     0,     0,     0,   359,   338,
     339,   135,   337,     0,     0,   663,     0,  1497,  1526,  1504,
    1526,  1526,  1493,  1493,  1506,  1495,  1533,     0,  1526,  1493,
    1498,     0,  1496,  1536,  1536,  1521,     0,  1478,  1479,  1480,
    1481,  1507,  1508,  1482,  1513,  1514,  1483,  1550,  2570,  1493,
    2571,  2568,  2567,     0,     0,   674,     0,  1173,  1208,     0,
       0,   536,     0,  1960,     0,   137,   708,     0,   664,     0,
     137,     0,   173,     0,   599,     0,     0,     0,     0,     0,
       0,   624,   623,     0,     0,     0,   665,     0,   137,   490,
    1960,     0,   441,   441,     0,   905,   908,     0,     0,     0,
    2284,  2279,  2282,     0,  2272,  2286,  1319,  1321,  1320,     0,
    1318,     0,   310,   308,   309,   661,  1015,     0,     0,     0,
       0,   310,     0,     0,  1960,   310,  1960,     0,  1960,     0,
       0,   310,   310,     0,     0,     0,     0,   600,     0,   747,
     745,   744,   746,     0,     0,     0,     0,     0,  1960,   310,
       0,     0,   730,  2638,     0,     0,  2641,     0,  2361,  1766,
       0,  2723,  1274,  2724,     0,     0,  1350,     0,   215,   216,
     214,  1263,   217,  1264,  1259,  1247,     0,   834,     0,  2729,
    2730,   819,     0,   829,     0,  2729,   817,     0,   830,   827,
     828,     0,     0,     0,  2725,  2609,  2615,   833,     0,     0,
     442,   444,     0,     0,  1918,  1931,     0,  1952,  1978,  1979,
    2051,  2055,     0,  2078,  2087,     0,   857,   886,   852,     0,
       0,  1302,   824,   822,  1132,  1267,  1772,     0,  1350,     0,
    1022,  1019,  1018,  1017,   232,   205,     0,     0,     0,   888,
    2050,  1147,   799,   527,     0,     0,  1643,  1644,  1525,  1512,
    1813,     0,     0,  1520,  1519,     0,     0,     0,     0,     0,
    1502,  1501,  1500,  1642,  1780,     0,  1499,     0,     0,     0,
       0,  1526,  1526,  1524,  1573,     0,  1503,     0,     0,  1793,
       0,  1799,     0,     0,     0,  1532,     0,  1530,     0,     0,
    1609,     0,     0,     0,     0,     0,     0,     0,     0,  1557,
    1558,  1640,  1766,     0,  1641,  1859,     0,     0,  1518,     0,
    1550,  1756,     0,     0,     0,     0,  1826,     0,  1764,     0,
       0,  1587,  1762,     0,  1589,     0,     0,     0,  1755,  1753,
    1754,  1747,  1748,  1749,  1750,  1751,  1752,  1760,  1570,     0,
    1835,     0,  1569,     0,     0,  1418,  1352,     0,  1857,  1816,
       0,  2616,  2619,  1636,  2490,  2489,  2488,  2487,  2458,     0,
    2452,  2453,     0,  2491,  2492,   247,   248,   244,     0,     0,
     201,   200,     0,   223,   224,   195,   222,     0,   218,   219,
     203,  1708,  1707,   202,   194,   192,   190,   206,   208,   209,
     193,   191,   242,   240,     0,     0,     0,  1818,  1817,  1847,
    1822,     0,     0,   310,  2393,  1226,     0,  1223,  1831,     0,
    1347,     0,     0,  1235,  1343,  1342,  1374,  1375,   923,  1341,
    1399,  1400,  1395,     0,  1414,  1414,  1391,  1385,  1390,  1388,
       0,  1392,  1553,  1407,  1331,  1379,  1380,  1383,  1330,     0,
    1410,  1408,  1384,  1289,     0,     0,  1457,     0,     0,  2401,
    2399,  2339,  1478,  2393,  2332,  2393,  2388,  2320,  1544,  1545,
    1546,  1547,  1548,  1549,  2321,     0,  2318,  1543,  2319,   508,
       0,     0,     0,  2287,     0,  2268,  2293,  2424,  2533,  2456,
       0,  2457,     0,     0,  2421,     0,  2431,  2434,  2432,  2435,
       0,  1478,  2612,  2507,  2612,  1478,     0,     0,     0,     0,
       0,     0,     0,     0,   752,     0,     0,     0,     0,     0,
       0,  2078,   235,  1192,     0,     0,     0,     0,   890,   889,
       0,     0,   910,     0,     0,     0,  1204,   430,     0,   307,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   540,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   574,     0,  1066,     0,
     612,     0,   972,     0,   971,     0,     0,     0,   973,   968,
     969,  2051,  2059,  2083,   237,   989,     0,   988,   986,   945,
     947,   946,     0,   949,   933,     0,   934,     0,     0,   944,
     952,   950,     0,     0,     0,     0,  1940,   264,   277,     0,
    1065,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   297,     0,   300,   299,     0,     0,     0,     0,   304,
       0,     0,     0,   303,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1002,     0,     0,   156,   159,     0,     0,
       0,   493,   505,     0,   497,   498,   495,   499,   500,     0,
       0,     0,     0,     0,     0,   492,     0,     0,   597,   596,
     602,     0,     0,     0,     0,     0,     0,     0,  1058,  1057,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   615,   616,     0,   617,     0,   160,
       0,     0,     0,     0,     0,     0,     0,   213,  1154,  1160,
    1221,  1848,  1220,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   343,     0,   689,  2567,   662,     0,  1478,
       0,  1474,  1470,  1539,  1538,  1537,     0,  1484,  1493,  1490,
     675,     0,   677,   680,     0,  1171,   403,     0,   533,   574,
       0,     0,     0,   166,     0,     0,     0,   133,   177,   386,
       0,   176,   178,   180,   181,   182,   179,   183,   594,   598,
       0,   529,     0,     0,     0,     0,     0,   625,   629,   628,
     632,   630,     0,   626,     0,     0,  1466,     0,   155,   486,
     489,     0,  2265,     0,   388,   472,   317,     0,     0,   907,
       0,     0,     0,     0,     0,  2285,     0,     0,     0,     0,
    1317,     0,   993,     0,  1199,  1960,   310,     0,   991,   171,
    1843,     0,   731,     0,     0,     0,     0,     0,   995,   727,
     163,     0,   310,   310,   532,     0,   310,   165,     0,     0,
       0,   524,   310,   749,  2639,  2645,  2643,  1276,     0,  2721,
    2722,   441,  1321,  1249,  1258,   831,   838,   820,   837,   836,
     818,   835,   832,  2423,     0,     0,  2614,     0,   849,     0,
     440,     0,     0,     0,   863,   864,     0,     0,   862,   879,
     865,     0,   867,   859,   858,   868,   869,     0,     0,   888,
       0,  1299,     0,  1297,     0,  1455,  1301,  1290,  1268,     0,
    1266,  1271,  1273,  1272,  1270,     0,     0,     0,   846,     0,
       0,   310,  1146,     0,   801,   802,   807,     0,     0,     0,
     808,   804,   805,   806,   809,   810,   811,     0,     0,     0,
    1776,     0,  1777,     0,     0,     0,  1812,  1808,     0,     0,
       0,     0,     0,     0,  1784,  1785,  1786,  1783,  1787,  1782,
       0,     0,  1788,  1781,     0,     0,     0,     0,     0,  1523,
    1522,     0,     0,     0,     0,     0,     0,     0,  1612,  1645,
       0,     0,  1740,     0,  1766,  1798,     0,     0,  1534,     0,
       0,     0,     0,     0,     0,     0,  1766,  1804,     0,     0,
       0,     0,  1706,     0,  1703,     0,     0,     0,     0,  1823,
       0,     0,     0,     0,  1860,  1554,  1571,  1834,     0,  1825,
       0,     0,  1555,  1578,     0,  1805,  1605,     0,  1610,  1593,
       0,  1586,     0,  1591,  1595,  1574,  1826,  1765,     0,  1763,
       0,     0,  1572,     0,  1567,  1565,  1566,  1559,  1560,  1561,
    1562,  1563,  1564,  1568,  1744,  1742,  1743,     0,     0,     0,
    1590,  1954,  1987,     0,  1364,  1364,  1364,  1351,  1362,  1833,
       0,  1461,     0,     0,     0,     0,  1723,     0,  1770,     0,
    1768,  1850,  2621,  2620,  1824,     0,     0,     0,  1839,     0,
       0,  1550,     0,   241,  1453,  1819,     0,   755,   756,   754,
    1478,  1245,  1229,  1225,  1224,  1830,  1244,  1350,     0,   921,
     922,     0,   926,     0,     0,  1393,  1406,     0,  1302,  1302,
       0,  1397,  1398,  1389,  1335,  1334,     0,  1464,     0,     0,
    1286,  1279,  1458,     0,  1418,  1304,  1306,  1307,     0,  1823,
    2337,  2395,  2342,  2363,  2333,  2366,  1552,  2315,  2355,     0,
    2289,  2459,  2460,     0,  2450,  2451,  2420,  2426,  2497,     0,
    2613,     0,     0,   687,   686,     0,     0,     0,  1092,  1025,
    1070,   753,  1093,  1026,  1071,  1094,  1027,  1193,     0,  1195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   650,  1960,   310,  1202,  1095,     0,
    1028,   306,  1203,  1072,  1207,  1073,     0,   541,     0,     0,
     546,   547,   548,     0,     0,   549,  1900,  1947,     0,   554,
     560,   564,   555,     0,   565,   561,     0,     0,     0,     0,
       0,     0,   571,   573,     0,     0,     0,     0,     0,     0,
     966,   967,  1096,  1031,     0,  1074,   948,  1493,   932,     0,
       0,   943,     0,   942,  1493,  1493,  1032,   167,     0,   257,
     265,   580,  1068,   283,   296,   291,   292,   290,  1960,   310,
    1960,   310,     0,     0,     0,     0,   293,   288,   289,   285,
     298,  1877,  1933,  2060,     0,   584,   586,     0,   591,   301,
    1044,     0,   318,   321,   302,   281,   284,   282,   278,   263,
       0,     0,  1846,     0,     0,   997,     0,     0,     0,   158,
    1054,     0,     0,   144,     0,     0,     0,     0,   138,   148,
    1102,  1036,     0,     0,   259,   488,   496,   501,  1040,   504,
    1084,   502,  1108,  1037,  1066,     0,   255,     0,  1038,     0,
    1078,  1104,  1056,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1210,     0,     0,     0,     0,     0,   310,     0,
     696,  1068,  1960,   310,  1103,     0,  1063,  1090,     0,   326,
       0,  1055,     0,     0,   261,  1042,  1086,     0,     0,   211,
     210,   212,     0,     0,     0,     0,     0,     0,     0,     0,
     793,   764,   792,     0,     0,     0,     0,     0,     0,     0,
     758,   358,   335,   336,     0,     0,   334,   340,   688,     0,
       0,     0,  1475,  1471,     0,     0,     0,     0,     0,     0,
    1491,   676,     0,     0,     0,     0,  1191,  1191,  1191,  1191,
    1191,  1191,  1191,  1172,  1200,   135,     0,     0,     0,   535,
     573,   580,     0,   608,   611,     0,   609,     0,     0,     0,
       0,     0,   149,   136,     0,   716,   441,   172,     0,     0,
       0,   528,   673,   671,   670,   672,     0,     0,     0,   693,
     669,     0,  1465,  1467,     0,     0,     0,     0,   390,     0,
       0,   387,   391,   395,   396,   397,   444,     0,     0,   476,
       0,     0,     0,     0,   937,     0,   955,   938,     0,     0,
       0,   977,   982,   978,   958,     0,   512,  2283,  2277,  1322,
    1323,     0,   310,     0,     0,   575,   310,   310,     0,   310,
       0,   310,   310,     0,  1129,   601,     0,   658,     0,     0,
     310,   729,  1767,     0,  2422,  2610,   850,   443,     0,     0,
       0,     0,   861,     0,   510,   866,     0,   878,   873,   875,
       0,   882,  1300,  1293,  1295,  1294,     0,     0,  1291,  1773,
     728,     0,     0,   310,     0,   883,     0,   803,     0,     0,
       0,     0,  1369,  1774,  1775,     0,     0,     0,     0,  1809,
       0,     0,  1681,     0,  1657,  1659,  1492,  1671,     0,  1505,
    1682,  1683,  1661,  1663,     0,  1757,     0,     0,  1672,  1614,
    1615,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1627,  1626,  1673,  1739,     0,     0,
    1796,  1797,  1674,  1535,  1536,  1536,     0,     0,  1803,     0,
       0,     0,  1679,  1684,     0,     0,     0,     0,  1690,     0,
    1711,     0,     0,     0,  1637,  1767,  1527,  1528,     0,     0,
       0,     0,     0,     0,     0,     0,  1611,  1594,  1588,     0,
    1592,  1596,     0,     0,     0,     0,  1580,  1606,  1576,     0,
       0,  1582,     0,  1607,  1364,  1364,  1364,  1364,  1361,     0,
       0,     0,     0,  1428,  1417,  1419,  1430,  1421,  1423,  1459,
       0,  1840,     0,  1402,  1373,  1373,     0,  1723,     0,  1646,
       0,  1723,     0,     0,  2472,  2474,  2475,  2476,  2477,  2478,
    2480,  2481,  2483,  2484,  2485,  2473,  2479,  2482,  2486,  2463,
    2464,     0,  2454,  2455,   188,     0,   220,   207,     0,  2497,
    1227,     0,  1376,     0,  1758,   926,   924,   925,  1378,     0,
       0,  1413,  1412,  1411,  1386,  1288,     0,  1286,  1281,     0,
    1282,  1823,     0,  1278,  1311,     0,     0,  1464,     0,  1310,
       0,  2397,  2325,     0,     0,  2496,  2499,  2510,  2508,  2335,
    1091,  1024,  1069,  1191,   893,   894,     0,   892,     0,     0,
       0,   429,   909,     0,     0,     0,   650,     0,     0,   433,
       0,  1205,     0,   543,   544,     0,     0,   562,     0,     0,
     551,     0,     0,     0,     0,   550,   567,   516,   568,   570,
       0,     0,   569,   572,   577,  1066,     0,   613,  1046,     0,
    1088,   960,     0,  1493,   935,   940,   941,     0,     0,     0,
     403,     0,     0,     0,   266,   276,     0,     0,   280,     0,
     274,   294,   286,   295,   287,   588,   589,   587,   583,     0,
     590,   592,   315,     0,     0,     0,  1098,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1099,  1075,
       0,     0,   141,   140,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   327,   312,
       0,     0,     0,     0,     0,   329,     0,     0,     0,     0,
    1097,  1033,   759,     0,     0,   760,   768,     0,     0,   761,
       0,     0,     0,     0,     0,     0,   770,   361,     0,   364,
     371,   344,   348,  1209,     0,  1209,     0,   349,  1209,   345,
    1209,   342,   690,     0,  2008,  1747,  1748,   684,   691,   681,
     683,   682,   685,   650,     0,     0,     0,  1476,     0,  2711,
    2719,  2718,     0,  1550,   678,   679,     0,  1191,  1190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     415,     0,     0,   409,     0,     0,   982,   402,   405,   406,
     536,   539,   537,   538,   566,     0,   607,     0,   580,   151,
       0,     0,   152,   150,     0,   317,   386,     0,     0,   631,
     634,   627,     0,   692,   694,   667,     0,   580,     0,  1277,
     485,     0,   472,   422,   468,     0,   470,   469,   471,     0,
     478,   316,     0,     0,   910,   936,     0,     0,     0,   975,
     979,   976,     0,     0,   951,     0,   959,   929,  1124,  1125,
    1122,  1123,     0,     0,  2300,  1313,  2309,   994,     0,   310,
     992,   732,     0,   723,     0,   725,   996,   310,   310,   618,
       0,   525,     0,     0,     0,     0,   860,   880,     0,   876,
       0,     0,   843,   885,  1298,  1296,   888,     0,   844,   887,
       0,     0,     0,     0,     0,  1778,  1511,     0,  1811,  1807,
       0,  1654,  1779,     0,  1791,  1790,  1613,  1792,     0,  1632,
       0,     0,  1624,  1622,  1623,  1616,  1617,  1618,  1619,  1620,
    1621,  1625,  1801,  1800,  1794,  1795,  1531,  1529,     0,  1676,
    1677,  1678,  1802,  1685,     0,  1891,  1712,  1689,  1705,  1704,
       0,     0,     0,  1692,     0,     0,  1701,     0,  1741,  1517,
    1550,  1556,     0,     0,  1579,  1806,  1597,     0,     0,     0,
    1575,     0,     0,     0,     0,  1584,  1757,     0,     0,     0,
       0,     0,     0,  1355,  1354,  1360,  1337,     0,  1430,     0,
    1429,  1441,     0,     0,  1447,  1445,     0,  1447,     0,  1447,
       0,  1422,     0,  1424,  1441,     0,  1841,  1460,     0,  1404,
       0,     0,  1372,     0,  1723,  1653,  1726,  1721,  1722,  1771,
    1647,  1858,     0,  1769,  1723,     0,     0,     0,  1820,  2495,
    1348,     0,  1377,  1394,  1387,     0,  1462,  1287,     0,     0,
    1284,     0,     0,     0,  1305,  1286,  1308,  2341,     0,  2396,
    2461,  2462,     0,   899,   900,   898,   901,     0,     0,     0,
     650,     0,     0,   449,     0,   917,   917,     0,     0,   435,
     481,   982,   653,     0,     0,     0,   651,   310,  1029,     0,
     563,     0,     0,   559,   557,   556,   558,   517,  1107,  1030,
       0,     0,     0,     0,   961,     0,   953,  1045,     0,   400,
       0,   271,  1067,     0,     0,     0,   270,     0,   310,   310,
     585,   319,   320,   323,     0,     0,     0,     0,     0,     0,
     717,   700,     0,     0,   718,   719,     0,     0,     0,   999,
    1000,   998,   145,   142,   143,   146,  1041,  1085,  1039,     0,
    1079,  1050,  1048,     0,     0,     0,     0,     0,  1106,  1062,
    1083,  1105,  1060,  1081,  1059,  1080,  1061,  1082,  1053,     0,
    1469,   698,   697,     0,   310,   310,   620,  1043,  1087,     0,
     762,     0,     0,   763,   774,   772,   771,   773,   765,   362,
     135,     0,   341,     0,   369,     0,   367,   366,   368,     0,
     355,     0,     0,     0,     0,     0,   660,     0,     0,     0,
    1472,     0,     0,     0,     0,     0,     0,  1477,  1485,   649,
       0,  1182,  1181,  1180,  1184,  1183,  1186,  1185,  1177,  1176,
    1189,  1188,  1175,  1174,  1179,  1178,     0,   407,     0,   413,
     417,   418,   416,   408,   982,   441,   480,   534,     0,   610,
     605,   154,   153,     0,     0,     0,     0,   636,   640,   668,
       0,  1468,   614,     0,   388,   485,     0,  2266,     0,   393,
     398,   399,     0,   476,   419,     0,   472,   392,     0,     0,
     482,  1169,     0,     0,   939,   956,   957,     0,     0,   982,
     981,     0,   519,     0,  2273,   310,   576,   310,   310,  1130,
     659,     0,   872,   871,   870,   511,     0,   874,   310,     0,
       0,     0,     0,     0,   813,   794,   812,  1810,  1670,  1680,
    1789,     0,     0,  1633,     0,     0,  1675,  2149,     0,     0,
       0,     0,  1709,  1710,  1691,     0,  1999,  1696,     0,     0,
       0,  1861,  1603,  1601,  1598,     0,  1599,     0,     0,  1581,
    1577,     0,  1583,  1608,  1359,  1358,  1357,  1356,  1432,  1439,
       0,  1420,     0,  1446,  1442,     0,  1443,     0,     0,  1444,
       0,     0,  1439,     0,     0,     0,     0,  1717,  1723,  1723,
    1648,  1728,  1725,     0,  1650,  2465,     0,  2468,  2466,  2467,
    2471,  1550,     0,     0,  1280,  1283,  1285,     0,  1312,  1303,
    2398,  1197,     0,     0,     0,   431,     0,   982,     0,     0,
       0,   920,   920,     0,   982,   480,   655,   654,   657,   652,
     656,  1206,     0,   552,   553,  1047,     0,  1089,  1051,   954,
       0,   581,   267,   268,   269,   272,   312,   279,   273,     0,
    1100,  1034,  1076,     0,     0,   706,     0,     0,     0,     0,
    1101,  1035,  1077,     0,     0,     0,     0,  1215,     0,   311,
     312,   328,  1064,     0,   766,   767,   343,     0,   365,   374,
       0,   372,   346,   351,     0,   353,   352,   347,   350,  1473,
       0,  1013,  1013,  2712,  2713,  2714,  2715,  2716,  2717,     0,
     650,  1187,     0,     0,   404,   480,   448,     0,   410,     0,
       0,     0,   388,   580,   635,     0,     0,     0,   695,   390,
       0,  1275,   483,     0,   389,     0,     0,   478,     0,     0,
       0,   476,     0,   473,     0,   477,     0,  1164,     0,     0,
     980,     0,   984,     0,   950,   927,  1461,     0,   523,  2299,
    2303,  1014,   724,   726,   619,   877,   884,   310,   795,   796,
     797,   798,  1628,     0,     0,     0,     0,  1686,     0,  1687,
    1714,  1713,  1693,  1697,     0,  1694,  1695,  1600,  1604,  1602,
    1585,  1431,     0,     0,  1433,     0,     0,  1435,  1437,     0,
       0,     0,     0,     0,  1844,  1723,  1401,  1403,     0,  1338,
    1651,  1652,     0,  1373,  1723,  2470,  2469,   221,  1759,  1463,
    1309,   878,     0,   310,   917,   480,   450,  2008,   451,   916,
       0,   918,   923,   923,     0,   480,   650,   545,     0,   579,
       0,   314,   322,     0,     0,   713,   701,     0,     0,   720,
    1049,     0,     0,     0,     0,     0,   310,   769,   333,   360,
     370,     0,   354,  1013,     0,  1010,  1009,   648,     0,   439,
     411,     0,   459,     0,   580,   710,  1169,   593,   637,   638,
     633,     0,     0,   472,   468,   484,   394,   403,   377,   428,
     427,   424,   423,   425,   426,   421,   420,     0,   478,   474,
     475,     0,     0,     0,  1217,     0,   911,   983,     0,     0,
       0,   518,     0,     0,   522,   513,     0,  2301,   845,  1629,
       0,  1630,     0,     0,     0,  1699,  1698,     0,  1440,  1449,
       0,  1436,  1434,  1425,     0,  1427,  1716,  1718,     0,     0,
    1731,  1649,   895,     0,   896,   920,   454,     0,   919,   926,
     926,   441,   650,   432,  1052,   582,     0,   275,     0,   704,
       0,   715,   713,     0,     0,  1211,     0,  1212,  1213,  1216,
     330,   373,  1008,  1012,  1011,     0,     0,   412,   445,   446,
     447,     0,   414,   455,   456,     0,   606,     0,     0,  1165,
       0,     0,   476,   472,   401,   467,   375,     0,  1166,     0,
     317,     0,   982,   985,  1128,   521,   520,  2304,  2306,  2305,
       0,  1631,  1702,  1688,  1715,  1700,  1438,     0,  1426,     0,
       0,  1727,     0,     0,     0,     0,   923,     0,   650,     0,
     914,   913,   448,   434,   313,     0,     0,   711,   714,   702,
     715,   722,   721,     0,     0,   438,     0,     0,     0,   457,
       0,   458,   479,   709,     0,   639,     0,   478,   476,  1167,
    1168,   478,   912,   928,  1127,  1126,  1350,  2302,  1448,  1719,
    1720,  2114,     0,  2089,     0,  1729,  1732,  1730,  1724,   310,
     926,     0,   436,   452,   459,     0,     0,   703,  1214,   640,
     464,     0,   463,     0,   461,   460,   699,   643,   378,   478,
    1461,  1110,  1350,  1109,  1111,  1119,  1116,  1118,  1117,  1115,
       0,  1736,  1735,  1734,  1738,  1737,   897,   915,     0,   650,
     705,   712,     0,   462,   466,   465,     0,   641,   644,   647,
     645,   646,   376,   902,     0,  1120,  1114,  1337,  1324,     0,
     453,   437,     0,   621,     0,  1112,  1350,  1733,     0,   642,
    1113,     0,   643,     0,   622
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   247,   248,  1698,  2593,  2476,  3282,  3283,   249,
     250,  1769,   251,   252,   253,   254,   255,   256,   257,  1713,
     258,   259,  1275,  1912,  2601,   260,  2352,  1051,  1052,  2226,
    2227,  2538,  2228,  2215,  1550,  2012,  1732,  1700,  1733,   262,
     263,  1544,  2207,   264,   265,   266,  1757,  1758,  1708,  1955,
    4180,  4747,  2463,  3321,  3121,  3122,   267,  1811,  1812,   268,
     269,  3234,  1851,  3236,  3237,  3771,   861,  2562,  4200,  4201,
    3758,  3759,  4207,  4480,  4481,   270,  1909,  3310,  3852,  3311,
    4278,  3312,  4279,  3313,  4280,  3264,  3817,  3818,  3819,  3314,
    4284,  4685,  3315,  2367,  4767,  2635,  2042,  2040,  4662,  4082,
    4083,  4818,  4772,  4773,  4774,  4884,  4286,  3319,  3860,  4290,
    4508,  3024,  1931,  4277,   271,   272,  2629,  1785,  1786,  2483,
    3777,  3375,   273,  1292,  3636,  4548,  4704,  4705,   274,   849,
     275,  1916,   276,   277,  2588,  3269,   278,  2379,  3037,   279,
     280,  3062,  3063,  3064,   281,   282,  3660,  4440,  1759,  3114,
    3115,  3116,  3117,  3680,   283,  1914,  1791,  2610,   284,   285,
     286,  2592,  3275,  3276,   287,   288,  2526,   289,   290,   291,
    1924,  2622,  2623,  4268,  4515,  4670,  4517,  4916,  4917,  4500,
    3619,  4096,   292,   293,   294,   295,  1895,  2581,  2582,  3778,
    1684,  1855,  2564,  2565,  3842,  3843,   296,   297,  4140,  4141,
     891,  4778,  4751,  4829,   298,   299,  4144,  4145,   300,   301,
     302,   303,   304,   944,  1343,  1344,  1690,   305,  2243,   306,
    1250,  3221,   307,  1433,  2768,  4325,   308,   978,  1370,  1371,
     309,   310,   989,  2748,   991,  2055,  3377,  3378,  3912,  2718,
    1175,   311,   312,  2729,  2751,   313,  1701,  2358,  2359,  4077,
     314,   892,  1936,  2638,  3019,  4695,  4084,  4421,  4622,  2942,
    3568,   315,   893,  1737,  2425,  2641,  3325,  3326,  2427,  2907,
    3873,  2429,  3327,  3332,  3333,  3334,  3869,  3877,  4542,  4543,
     316,  1735,  2418,   317,   318,   319,  1764,  1193,   320,   914,
     915,   321,  4655,   322,  1311,   323,  1009,  2071,   324,  2441,
    3666,   325,   326,   327,  4893,  4924,  4925,  4926,  3882,  4856,
     328,  4895,  1412,   330,   331,   332,   852,  1218,  1219,  1220,
     333,  4537,   334,   335,  2585,  3263,  3799,   336,   337,  2353,
    3009,   338,   339,   340,  1899,   341,   342,   343,   344,  1831,
     345,  1581,  1582,   346,   347,   856,  1070,  1585,  1593,   348,
     957,  1364,  1365,  1366,  2014,   349,  1416,  2740,   958,  1357,
     959,  2960,  3579,  3580,  3583,   960,  2957,   353,  2061,  2734,
    2737,   961,  2964,  2965,  2966,  2967,  2968,  3585,   962,   980,
    1302,  2649,   963,  1504,   358,   359,   360,  1079,  1074,  1075,
     362,  2185,  2897,   997,  1599,  1036,  1086,  4032,  2256,  2257,
    2277,  2278,  1608,  1609,  2267,  2269,  2944,  2270,  2953,  2262,
    4029,  4387,  2273,  2274,  1611,  1612,  2948,   363,  2901,  3514,
    3515,  3516,  4010,  4020,  4374,  4587,  3517,  1406,  1618,  3518,
    3523,  3577,  3301,  3302,  3303,  2430,  2572,  1877,  1505,  1878,
    2579,  1506,  2106,  1880,  1507,  1508,  1509,  1883,  1510,  1511,
    1512,  1513,  2089,  2148,  1514,  1515,  2125,  1118,  1119,  1999,
    2807,  1517,  1518,  3976,  4349,  4338,  2833,  2834,  2223,  3972,
    3466,  4599,  4726,  4727,  4040,  4037,  4391,  4603,  4814,  4865,
    4866,  1519,  2887,  2177,  1195,  1520,  3780,  2179,  2827,  2909,
    2910,  2337,  2087,  2773,  2790,  2791,  2804,  3427,  2811,  2816,
    3450,  3451,  2828,  2856,  1521,  2776,  2777,  3410,  2091,  1522,
    1574,  1575,  2193,  2851,  1588,  1589,  1072,  1523,  1524,  2056,
    1061,  4583,  1320,   699,  3131,  2238,  1222,   994,  1525,  1526,
    1527,  3379,  1639,   678,   679,  1156,   803,     2,    75,   964,
    3307,   367,   368,   895,   896,   897,  1294,  1295,  1941,  1944,
    1644,  2315,   680,   681,   708,  4304,  4549,  4707,   950,   369,
     370,   371,   372,  1640,  2311,  1120,    76,    84,    77,  1121,
     409,   410,  2293,   373,   820,   374,  1621,  1100,  3591,   375,
     376,   377,   378,   379,   947,   380,  1102,   381,  1103,   382,
     383,   384,   385,  1110,   386,  1623,  1624,  4069,  1625,   387,
     388,   701,   702,  1355,   389,   390,  1137,  1138,  1389,  1390,
    1650,  1665,  1666,  1667,   391,   695,   392,   393,   394,  1656,
    1657,   395,  2200,  2201,  2320,  2202,   396,  2981,  2982,   397,
    3549,  3550,  4398,  3551,   398,  2196,   399,   400,  1064,  3596,
     401,   816,   402,  1151,   682,   683,   684,  1158,   806,  1022,
     709,  1160,  3118,   808,   809,   686,   687,   688,  2034,    78,
    2989,  2035,  1529,   710,  1530,  2191,  1531,  1532,  1533,  1534,
    1535,  1673,   692,  1127,  1347,  1348,  2990,  1350,    82,  1351,
     406,  3792,  2002,  1391,  2020,  2021
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -4323
static const int yypact[] =
{
   -4323,   341, 13871, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, 22624, -4323,
   -4323, -4323, -4323, -4323,101198,   343, -4323, -4323, -4323, 61756,
   -4323, -4323, -4323,   261, 67047, -4323, 70414,   373, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, 74262, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, 54529,  1513, -4323,
     752, -4323, -4323, -4323, -4323, -4323, -4323, -4323,  1045,  8897,
   -4323, -4323, 70895, -4323,   207, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, 71376,   -18, -4323, -4323,   624,  1211, -4323,   100,
   11354, -4323, -4323, 62718, 68009, -4323, -4323, 74743,   457,  1996,
    7405,  1045, 22140, 75224, -4323,  2103, -4323, 51120, -4323, -4323,
   -4323, 67528, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, 82439,  2239,    33, 51610, -4323, -4323,
   -4323, -4323, 82439, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, 75705, -4323,   710,   715, 82920, 83401, 64642,
   -4323,  1241, -4323, 82439,   816,  1032, 53565, -4323, 83882, -4323,
   -4323,   693, -4323, 76186, -4323, -4323, -4323, -4323,    33, -4323,
   54529, 48686,    36,   687, -4323, -4323, 84363, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323,  1734,   660, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323,   -18, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323,   563, -4323,   663,
     584,  1792,   239,   789, -4323, -4323, -4323, 13119, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323,102632,  2001, -4323, -4323, -4323,
     867, -4323,   888, -4323, -4323, -4323,  1776, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323,   688, -4323, -4323, -4323, -4323,  1386,
  101676, 74262, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, 62237, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323,   183, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, 74262, 74262, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, 74262,  1009, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323,   245,  1294, -4323, -4323, 54529,  1928,  1928,  1570,
  102632, -4323, -4323, -4323, 55493, 82439, 82439, 82439,  1532, 82439,
   82439,   278, 55493, 82439, 84844,  1314, 44263, -4323, 82439, 82439,
   85325, 82439, 76667, 82439,  1543, 82439, 82439, 85806, 86287,  1665,
   -4323,  1955,  1238, -4323, -4323, -4323, 82439,  5524,  2239, -4323,
   -4323, 82439,  1569, 55493, 82439,  1545, 82439,  1632, 82439, -4323,
   82439, 86768,   293,  1609, 82439,  1949, 44757,  1723, 82439, 82439,
   82439, 82439, -4323, -4323,  1713, 82439, 82439, -4323, -4323, 87249,
    1500,  2051,  1864,   645, -4323, -4323,  2138,  1735, -4323, -4323,
    2159, 74262, -4323, 71857, -4323, -4323, -4323,  2068, -4323, -4323,
   -4323, -4323, -4323, 65123,  1996, -4323, -4323, 55975, 82439,  2016,
   -4323, -4323, 87730, -4323, -4323,   315, 56457, 88211,  2146, 45251,
    2194, 88692, 89173, -4323, -4323, 89654, -4323, 90135,  1940, 90616,
   -4323, 91097, -4323,  2062, 91578, -4323, 14213, -4323,  1840,  2071,
    1852,  1459, 74262, 74262,  1207, 39889,   -18, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323,   179,  1761, 52100,   982, 52590,
   -4323, -4323,   989,  1121,  1179,   179,  2275,  2275,   527, 74262,
   -4323, -4323,  1761, -4323,   573,   578,  1884,  1884,  1884,  2070,
     779, -4323,  1884, -4323, -4323, -4323, -4323, 76186, 52100, 52590,
   -4323,  1906,  2239,   203,  2284, 82439, -4323, 82439, -4323, 82439,
   82439, -4323, -4323, -4323,  2308,  1941,  2161, -4323,  1946, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323,  2129,  2139,  2162,     8,
    2239,  2069, -4323,  2267, -4323,  2178, 27539,   -92, 74262,  2239,
   53080, 77148, 98793,   172, 65123,  2239, 92059,  2028,  1576,  2191,
   -4323, -4323,   243, -4323,  2410,  2063,  2288,   -10,  1238, 41829,
   -4323,  2056,  1619, 76186,103110, -4323, -4323, -4323, -4323,   163,
    2344, 28038, -4323, 82439,  2087, -4323,  2091,  2093,  2097,  1792,
   -4323, 82439,  1153,  1153,  2473,  1153,  1804,  1927, -4323,  2065,
   -4323,  2382,  2348, 76186,   687,  1045,  2126, -4323, -4323, -4323,
    2145, -4323,  2137,  2141, -4323,   785,  2385, -4323, -4323, -4323,
   -4323,  2228,  2248,  2249,  2255,  2207,  2264,   191, -4323, -4323,
   -4323, -4323,  2497, -4323, -4323, -4323, -4323, -4323, -4323,  2606,
    2593, 62718, 62718,   605,   625,   146,   403, -4323, -4323, -4323,
    2463, -4323, -4323,  2454, 82439,  2303, 82439, -4323, -4323, -4323,
   92540, -4323, -4323,  1928,  2145,  2225, -4323,   248, -4323,  1619,
   -4323,   372,   415,   426,  1094,  2230,  1888,  1616, -4323,   944,
    2343,   197,   748,  2272, 77629,  3328,  2246,   581,  2555,  3856,
     191, -4323, 82439, 82439, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323,  2291, -4323, -4323,  2280,  1392,  1266,  2586,
    6700,  1369,  2591,  4307,  1869,   936,  2483,   568,  2587,  1692,
    2603,  4972, 82439,  2312, -4323,  2544,  2636,   -27, -4323,   120,
   -4323,  2379,  2508,   907, 55493,  2332, -4323, -4323, 82439, -4323,
   -4323, -4323, -4323,   365, 55493, -4323,  2525, 45745, -4323, 82439,
   -4323, -4323, -4323, -4323, -4323,  2469, 82439, -4323, -4323,  2572,
   82439, -4323,  1884,   705,  2355,  2724, 58867,   246, 82439,  2400,
    2762,  2567,  2400,  2405, 93021, -4323, -4323,  2400, -4323, -4323,
   82439, 82439,  2393,  1431,  2400,  2773,  2782,  2470,  2595,   946,
    1134,   104,  2681,  2400, 82439, 93502, 82439, 82439,  2765, 55493,
   82439, -4323,  2568, 78110, -4323,  2414,  2138, -4323, -4323, -4323,
   -4323, -4323,   714, -4323, -4323, -4323, -4323,  2728,  2225,   668,
    2735,  2432,  2747, -4323,  2501, -4323,  2758,  2246,  2768,  2479,
   -4323, 93983, 94464, 94945,  2778,  2291, 82439,  2781,  2479,  2789,
    2683,  2799,   668,  2805, -4323,  1248,  2814,  2712,  2823,  1853,
    2479, 65604,  2835,   103, -4323, 20891, 14213, -4323, 23566,  1421,
   -4323, -4323, -4323, -4323, -4323, -4323, 31531,   653,  2574, -4323,
   -4323,   687, -4323, -4323,  1684, -4323, 50630, -4323,  1207,  1761,
   -4323, 74262,  1761, 74262,   527,  1761, 74262,  1761, 74262,   527,
    1761, 74262, 74262, 74262,  1761, -4323, -4323,  1962,   926, -4323,
   -4323, -4323, -4323, -4323, 74262,  2547, 82439, 82439, -4323, -4323,
   -4323, 68490, 82439, 68971, -4323, -4323,    12, 74262, -4323, 74262,
   -4323,  2239, -4323, -4323,  2071, 58867,  2949, 82439,  2846,  2846,
    2846, -4323, -4323, -4323,  2790, 82439,  2867,  2870, 68490, 82439,
   -4323, 95426, 65123,  2770,  2596, -4323, -4323, -4323, -4323,  1915,
    2314,   452,  2705, 31531,  2614,   286,   286,  2625,  2874, -4323,
   -4323, -4323,   435,  2630,  2638, -4323,   465,   465,  2802,  2646,
    2647, -4323,   473,  2648, -4323,  2984,   482,  2653,  2654,  2665,
    2140,   286, 31531, -4323,  2666,   465,  2668,  2671,  2679,  3026,
    2680, -4323,  3049,  2687,   198,   338,  2688,  2690, -4323,  2646,
   -4323,   271,  2691,  2692,  2693,  2694,  2696,  2701,  2702,  2703,
   31531, 31531, -4323, 26541,  1619,  2239, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323,    95, -4323,   495,  2532, -4323, -4323,  2840,
   31531, -4323, -4323,     3, -4323,   512, -4323, -4323,  1619, -4323,
   -4323,  1588, -4323, -4323, -4323, -4323,  1879,  1879,   200, -4323,
   70895, 70895, -4323, -4323,   175,  2707, -4323,  1878, -4323, -4323,
   -4323, -4323, -4323, -4323, 63199,  3077, -4323,  1106,  2239,   120,
     652,  3023, 49650, 50140,  2932,  2932,  2924, -4323, -4323, 82439,
   -4323, -4323, 31531, 47722, -4323,  1619,   102,  2940, -4323, -4323,
   -4323,  1948, -4323, -4323, -4323,   -18, -4323, 12243, -4323,  1998,
    2087, 82439, 82439,  3106, -4323, -4323,  2091, -4323, -4323,  1792,
    1792, 31531,  1792,  1197,   906, 28537, 31531,  2997,  2899,   126,
    1488,  2999, -4323,  1804,  1927, 76186, 82439, 95907,  2826, -4323,
   -4323,  2145,  2727,  1774, -4323, 60794,102154,102154,  2962, -4323,
   -4323,   970,  1154,  2838,  2927,  2275,  1108,   259, -4323, -4323,
    2722, -4323,  3050, 70895,  2780, 62718, -4323, -4323, 82439, -4323,
   -4323, 78591, -4323, -4323, -4323,  1676,  2725, -4323,  2742, 82439,
    3220, -4323,   259,   259, -4323, -4323,  2729, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323,102632,  2736, 82439, -4323,  2737,
    2739, -4323,103110, 48204,  1905,  1619,  2819,  2820,  2859, 54529,
    2749,  2827,  2830,  2868,  2831,  2833, 99274, -4323, -4323, -4323,
   -4323,  1552,  1351,  1212,  2834,   281,   862,  3102, -4323,  2880,
   -4323, -4323, -4323,  3503, 82439,  3054,  5497,  2943,   191,  2881,
   -4323, -4323,  2991,  2844,  2845,  2961,   191,   171, 99755, -4323,
   -4323, -4323, -4323, -4323, -4323,  4495, 25070, -4323,  2847,  2832,
   82439, 63680,  3132,  2957,  1245,  1596,   199, 82439,  3029,  2964,
   82439,  2784,  2856,  2872,  2785,  1359,  3143,  2797, -4323, -4323,
    2968,  2855,  2857, 57903,  1073, 46239,  3133,  2882, -4323,  1495,
    2884,  2886, 82439,   191, -4323,  3184,   191,   191,  1447,  3185,
    2887,   141,  1960,  2400,  2797,  1170, -4323,  2890,  2891,  1980,
   -4323,  2994, 76186,   153,  2027,  2797,  2897,  2902,  2785,  2785,
   82439, 82439, 82439, 82439, 82439,   118,  3219,  3223,  2909,   123,
    2955,  2837, -4323, 72338,  2911, 98793, -4323, -4323, 82439,  2915,
    2179,  2797,  1508, -4323,  1554, -4323, -4323, -4323,  1238, -4323,
   82439, -4323, 82439,  2225, 58867,  3025,  2878, -4323,  2246,   191,
   82439, 82439,  2291,  1200,  1270,  3030, 82439,  3084,  2885, -4323,
   -4323,  2400, -4323, 48204,  2393, -4323,  2853, -4323,  2898, -4323,
    2898,  2898,  2854,  2854,  2858, -4323, -4323,  2140,  2898,  2854,
   -4323, 59831, -4323,  1799,  1850, -4323,  3251,  3253, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323,   863, -4323,  2007,
   -4323, -4323, -4323, 82439, 54529, -4323,  3265, -4323, -4323, 58867,
    3152, -4323, 82439,  3056,  2865, -4323,  3190,  2921, -4323,  2910,
   -4323, 82439,   173,  2239,  2914, 82439,  3087, 82439, 82439, 82439,
   82439, -4323, -4323,  3060,   553,    41, -4323, 72338, -4323,  1170,
    3071,  3273,   -32,  1884,  3161, -4323, 82439,  2883,  3276,  3114,
   -4323, -4323,  2888,  2275, -4323,  2414, -4323,  1871, -4323,  3005,
   -4323, 55493,   668, -4323, -4323, -4323, -4323, 58867, 82439, 96388,
   55493,   668, 82439, 82439,  3180,   103,  3181,  2947,  3188,  2951,
   46239,   668,   110, 82439, 82439, 82439, 82439, -4323, 82439, -4323,
   -4323, -4323, -4323, 82439, 82439, 82439, 72338,  3189,  3192,   668,
   82439, 82439, -4323, -4323, 21010,  1719, -4323, 14213, -4323, 12243,
    2020,  2932, -4323,  1009, 82439,   795,  1207, 69452, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, 74262, -4323, 74262,   527,
   -4323, -4323, 74262, -4323, 74262,   527, -4323, 74262, -4323, -4323,
   -4323, 74262, 82439,  3390,  2907, -4323,  1588, -4323, 82439,  2040,
   -4323, -4323,  2050,   664, 82439, 82439,   272, 55493, 82439,  3090,
   82439, 82439, 82439, 82439, 82439,  2976,  2707,  1374, -4323,   250,
   76186,  3104, -4323, -4323, -4323, -4323, -4323,  2055,  1734,   947,
   -4323, -4323, -4323, -4323, -4323, -4323, 68971, 67528,  3193,   149,
   82439, -4323, -4323,  2094, 31531, 27040, -4323, -4323, -4323,  2912,
   12243,  2956, 31531, -4323, -4323, 31531,  2920,  2275,  2275, 31531,
   -4323, -4323, -4323, -4323,   874,  2275, -4323, 31531, 31531,  2275,
    2275,  2898,  2898, -4323,  6734, 31531, -4323, 46239, 31531, 33028,
   24570, 31531,  2998,  2941,  2275, -4323,  2275, -4323, 31531, 26042,
   -4323, 31531,  3127, 34026, 31531,   652,  3130, 31531,   652,  3344,
    3344,  2711,  4356,  2937,  1619, -4323,  3048,  2275, -4323,  2275,
     734,   233, 58867, 31531, 54529,  3018,   209, 82439, 31531,  2945,
    2038, -4323, 31531,  1333, -4323,  2946, 31531,  3021, 31531, 31531,
   31531, 31531, 31531, 31531, 31531, 31531, 31531, -4323, 34996,   294,
   -4323,   534,  1323, 69933, 27539,  3224, -4323, 24070, -4323,   236,
   74262, -4323, -4323,  1619, -4323, -4323, -4323, -4323, -4323,  1676,
    2950, -4323,  2963, -4323, -4323, -4323, -4323, -4323, 82439,  3077,
   -4323, -4323,  3027, -4323, -4323, -4323, -4323,   627, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323,  2954, -4323, -4323, -4323,
   -4323,  2954, -4323, -4323,  2932,  2948,  3930, -4323, -4323, -4323,
   -4323,  3216,  3221,   668,102632, 82439,   163, 72819, -4323, 28038,
   -4323,  2061,  2958, -4323,  3200, -4323,  2965, -4323,  9663,  3200,
   -4323, -4323,   148,  3144,  3151,  3151, -4323,  2969, 12243, -4323,
    2060, 12243,  2095, -4323, -4323, -4323, -4323, -4323, -4323,  1311,
   -4323,  2997,  1488,  3022,  1417, 82439, -4323, 42314,  1973, -4323,
    2145, -4323, -4323, 21614, -4323, 23102, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323,  2970, -4323, -4323, -4323, -4323,
     191,  2975,  3450, -4323, 62718, -4323, -4323, -4323,  3390, -4323,
    2159, -4323,  2159,  3475, -4323, 74262, -4323, -4323, -4323, -4323,
    1074, -4323, 14213, -4323, 14213, -4323,  2985,  2076,  3059,  3065,
    3111, 82439, 82439, 82439, -4323, 54529, 82439, 82439, 82439, 82439,
   82439, 82439, -4323,  3351,     7, 67528,  3112, 66085, -4323, -4323,
    3011, 82439,  3062,  3243,  3244,   469, -4323, -4323, 96869, -4323,
    3204, 82439, 82439, 82439, 31531,  3205, 82439, 82439, 82439,  3092,
   55493,  3019, 82439, 82439, 82439,   392, 55493, 46733, 82439, 82439,
   82439, 82439,  3137, 82439, 82439,  3250,  1449, 76186,   221,  2221,
    2797,  3211, -4323,  1511, -4323, 82439, 82439,  3203, -4323, -4323,
   -4323, 65123,  3412,  3126, -4323, -4323,100236, -4323, -4323,  3201,
   -4323, -4323, 59831, -4323, -4323,  2077, -4323, 59349, 56939, -4323,
   -4323,   722, 82439, 82439,  8456, 82439,  1021, -4323, -4323, 58867,
   -4323, 82439, 82439, 82439, 73300, 97350, 97831,  1331,  1432, 82439,
   73781, -4323, 82439, -4323, -4323, 55011, 82439, 82439, 54529, -4323,
   82439,  3213,   176, -4323, 82439,  1650,  3107, 82439, 82439,  3032,
    2086,  3110,  3149, -4323, 82439, 82439,   807, -4323, 82439, 82439,
    8094, -4323, -4323,   191, -4323, -4323, -4323, -4323, -4323, 82439,
   82439,   191, 82439,   191,  1621, -4323, 82439, 82439, -4323, -4323,
   -4323,  8771, 82439, 82439, 82439, 82439, 82439, 82439, -4323, -4323,
     772,  1307,   904,  1614,  3176, 82439,  2239, 82439, 98312, 82439,
   82439, 82439, 82439,  1835, -4323, -4323,  3153, -4323, 82439,   807,
    9943, 82439, 82439,  3115,  3116,    92,  3191, -4323, -4323, -4323,
   -4323, -4323, -4323,  3282,  3444, 82439, -4323,  3285,  3286,  3108,
    3113,  3287,  2119, 82439, 82439, 82439, 82439, 82439, 82439,  3290,
    2119,  3240,   657,  3063,  2098, -4323,  3075, -4323, 31531,  3462,
   58867,  3069,  3070,  3146, -4323,  3148,  2275, -4323,  2110, -4323,
   -4323,  2112, -4323,  3082,   553,  1687, -4323, 82439,   699,   618,
    3367, 38420,  3186,  1957,  3359, 82439, 82439,  1957, -4323,  1617,
   67528, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
    3358, -4323,  2239,  2393,  2393,  2393,  2393, -4323, -4323, -4323,
   -4323,  3268,  1818, -4323,  3085,  2393, 82439,  3196,  1957, -4323,
    1170,  3379,  3381, 82439, 64161,  2037,  3123,  2239,  3270, -4323,
   25556,  3751,  3271, 65123, 78110, -4323,  3098,  3357,  3360,  3375,
   -4323,  2225, -4323,  3490, -4323,  3391,   668,  2246, -4323,  2479,
   -4323, 82439, -4323, 82439, 82439, 82439, 82439,  2291, -4323, -4323,
    2479,  3280,   668,   668, -4323,  3281,   668,  2479,  3212,  3384,
   65123, -4323,   103, -4323, -4323, -4323, -4323, -4323, 31531, -4323,
   -4323,  1884,  1871, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, 74262,  2159, -4323,  2130, -4323, 82439,
   -4323,  3362,  3363,  3365,  2479,  3101,  3141, 82439,  3118, -4323,
    2479,   191,  2479,  2707,  2707,  2479,  3101, 79072,  3520,  3385,
     667, -4323,   679,  1377,  3319, -4323, -4323, -4323, -4323, 58867,
   -4323, -4323, -4323, -4323, -4323, 82439,   109,  3297,  3121, 79072,
    3504,   668, -4323, 55493, -4323, -4323, -4323,  3214, 55493,  3312,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323,  3361, 82439,  2149,
   -4323,  1784, -4323,  1831, 31531, 31531,   202, -4323, 10488,  2170,
   31531,  3128,  3135,  2181, -4323, -4323, -4323, -4323, -4323, -4323,
    3136,  3409, -4323, -4323,  3139,  2190,  2193,  3142,  3145, -4323,
   -4323,  4868,  3147, 10590,  3150, 33028, 33028,  1813, -4323, -4323,
   33028,  3154, -4323,  2197,  9969,  3155,  3158,  3166, -4323,  3162,
    3163, 10911, 29036, 31531, 29036, 29036, 10921,  3155,  3164,  2205,
   54529,  3301, 11583,  2213, -4323, 31531, 54529,  5066, 31531, -4323,
   31531, 82439,  3165,  3167, -4323, -4323,  6734, -4323,  3170, -4323,
   33028, 33028, -4323,  4822, 26541, -4323, -4323,  3426, -4323, -4323,
    1666, -4323,  3156, -4323, -4323,  6337,   266, 31531,  2945, 31531,
    3228, 46239,  6140, 31531,  5904,  3010,  3010,   509,   509,   222,
     222,   222,  1750,  1323, -4323, -4323, -4323,  3171,  2680, 31531,
   -4323,  2010,  2299, 82439, 12246, 12301, 12445, -4323, -4323, -4323,
   36479,  3199, 31531, 31531, 31531,  3169,  3338,  3585, 12243,   808,
   -4323,  3586, -4323, -4323, -4323,   348,  3475,  1676, -4323,  1238,
    2275,   734, 50630, -4323, -4323, -4323, 31531, -4323, -4323, -4323,
   -4323,  2091, -4323, -4323, -4323, -4323, -4323,  1734, 31531, -4323,
   -4323,   706,  2047, 31531,  2060, -4323, -4323, 82439,  3104,  3104,
   31531, -4323, -4323, -4323, -4323, -4323, 36479,  3218,  3222, 41344,
    3304, -4323, -4323, 82439,   127, -4323, -4323, -4323,  3195, -4323,
   -4323, -4323,  1568, -4323, -4323, -4323, -4323, -4323, -4323,  3179,
   -4323,  3183, -4323,  3197, -4323, -4323, -4323, -4323,   178,  3187,
    3194,  3198,  1528, -4323, -4323, 82439, 82439, 82439, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,  3405, -4323,
   82439, 82439,  3370, 82439,  3371,  3373, 31531,   185, 82439,  3207,
    3209,  1280,  3454, 82439, -4323,  3496,   668, -4323, -4323,  3279,
   -4323, 12243, -4323, -4323, -4323, -4323, 65123, -4323,  2225, 58867,
   -4323, -4323, -4323,  3241, 82439, -4323, 82439, 82439,  2291, -4323,
   -4323, -4323, -4323,  1330, -4323, -4323, 82439, 82439,   608,  3289,
    3291, 82439, -4323,   812,  2994, 10203, 82439, 82439, 82439,  3456,
   -4323, -4323, -4323, -4323,  3407, -4323, -4323,  2007, -4323, 56939,
   59349, -4323, 59349, -4323,  2007,  1794, -4323,  2479,  3293,  2797,
   -4323,  3392,  1419, -4323, -4323, -4323, -4323, -4323,  3512,   668,
    3515,   668, 82439, 82439, 82439, 82439, -4323, -4323, -4323, -4323,
   -4323, 54529, 54529, 54529,  2223, -4323, -4323,  2239, -4323, -4323,
   -4323,  2261, -4323,  1501, -4323, -4323, -4323, -4323, -4323, -4323,
   82439,  1910, -4323,  1242, 58867, -4323, 58385, 82439, 82439, -4323,
   -4323,  3443,  3388, -4323,  2384,  3389, 82439,  3292, -4323, -4323,
   -4323, -4323,  3305,  2235,  2797,  1170, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323,   296,  2238,  2797,  3309, -4323,  3310,
   -4323, -4323, -4323,  3449,  3452,  3453,  3314,  3318,  3364,  3320,
    3321,  3368, -4323,  3322,  3372,  3329,  3376,  3332,   668, 58867,
    1990,  3366,  3546,   668, -4323,  3335, -4323, -4323,  3656, -4323,
   82439, -4323,  3342,  2322,  2797, -4323, -4323, 82439, 82439, -4323,
   -4323, -4323,  2119, 58867,  3506,  2119,  2119, 82439, 82439,  2119,
   -4323, -4323, -4323,  3510,  3511,  3513,  3514,  3517,  3522,  2119,
   -4323, -4323, -4323, -4323,   705, 54529, -4323,  2733, -4323,  2068,
   43769,  5150,  3294,  3070,  3284,  2275, 39404,  1206,  3473,  3295,
   -4323, -4323, 54529, 43769,  1929,  3495,  3303,  3303,  3303,  3303,
    3303,  3303,  3303, -4323,  2631,  2400, 65123, 82439, 65123, -4323,
     618,  3392, 82439, -4323, -4323,  2265, -4323, 82439, 82439,   894,
   82439,  2275, -4323, -4323,  3356, -4323,  1884,   173,  3428,  1584,
    3625, -4323, -4323, -4323, -4323, -4323, 82439, 82439,   553,  2239,
   -4323,  3296,  3298, -4323, 82439, 82439, 82439,  1734,  3299, 82439,
    3302,  3306, -4323, -4323, -4323, -4323, 58867,   490,  3479,  3480,
    2785,  3697,  3380, 82439, -4323,  2282,    64, -4323,  2239, 65123,
   57421, -4323,  3267, -4323, -4323,  1096,  3572, -4323, 82439, -4323,
   -4323, 40859,   668, 58867, 82439, -4323,   668,   103,  3369,   668,
    3378,   668,   668, 82439, -4323, -4323, 82439, -4323, 82439, 72338,
     668, -4323, 12243,  3588, -4323, -4323, -4323, -4323,  3427,  3431,
    3432, 82439,  2479, 55493, -4323,  3311, 82439,  1402, -4323, -4323,
    3492, -4323, -4323, -4323, -4323, -4323,  3610,  3612, -4323, -4323,
   -4323, 82439, 68490,   133, 82439, -4323,  2225, -4323,  2246,   191,
   82439,  3554, -4323, -4323, -4323,  3323,  2289, 11512, 31531, -4323,
    3620, 58867, -4323,  5482, -4323, -4323, -4323, -4323, 31531, -4323,
   -4323, -4323, -4323, -4323, 31531, -4323, 31531,  3599, -4323,  3742,
    3742, 58867, 33028,  1483,  2668, 33028, 33028, 33028, 33028, 33028,
   33028, 33028, 33028, 33028, 35495,   811, -4323, -4323, 31531, 31531,
    3617,  3599, -4323, -4323,  1555,  1555, 58867,  3336,  3155,  3337,
    3340, 31531, -4323, -4323,  2301, 34511,  3345, 54529, -4323, 31531,
    9987,  2306,  3386, 11944,  1619,  5850, -4323,  3711,  2239, 31531,
    2133,  2174, 31531,  2311, 31531,  3615, -4323, -4323, -4323,  3347,
   -4323, -4323, 58867, 31531, 33028, 33028,  6446, -4323,  8666, 31531,
    3348,  9172, 26541, -4323,    33,    33,    33,    33, -4323, 82439,
   82439, 82439, 35994, 79553,  3349,  2460, -4323, 79553, 80034, -4323,
    3350,  1619, 31531,  3616,   689,   689,  3353,  3338, 42799, -4323,
   31531,  1536, 29535,  3354, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,  3382,
   -4323,  3383, -4323, -4323,   120,  3377, -4323, -4323,  5285,   178,
   -4323,  3387, -4323,  3394, -4323,  2047, -4323, -4323, -4323,  6200,
    3530,  2707, -4323, -4323, -4323,  3349, 30034,  3304, -4323,  2320,
   -4323, -4323, 27539, -4323, -4323,  2336, 42314,  3218, 28038,  1619,
    2275,  3396, -4323,  2159,   348, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323,  3303,  2479,  2479,   879,  2479,  3638,   879,
    7214, -4323, -4323, 36964, 82439, 82439, -4323, 82439,  2347,  1759,
   82439, -4323, 82439, -4323, -4323,  3754, 82439, -4323,  3417,  3418,
   -4323, 82439, 82439, 82439, 82439, -4323, -4323,  2230, -4323, -4323,
   82439, 82439, -4323, -4323, -4323,   313,  2329,  2797, -4323,  3441,
   -4323, -4323,  3614,  1877, -4323, -4323, -4323,  3436, 82439,  3395,
   -4323,   662,  2785,   686, -4323, -4323,  3437, 82439, -4323, 82439,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, 55011,
   -4323, -4323, -4323, 54529, 43769, 54529, -4323,  3447,  3460,  3508,
     991,    98,  3461,  3466,  3518,  3397,  3399,  3400, -4323, -4323,
     179,  2239, -4323, -4323,  2239,  2479,  2239, 82439, 82439, 82439,
   82439, 82439, 82439, 82439,  3657,    87,  1958, 82439, 82439, 82439,
   82439, 82439, 82439, 82439, 82439, 82439, 82439, 82439, -4323,  3756,
    2239,  2239,  3732,  3469, 82439, -4323, 82439,  2994, 82439, 82439,
   -4323, -4323, -4323,  3404,  2119, -4323, -4323,  3641,  3643, -4323,
    2119,  2119,  2119,  2119,  2119,  2119, -4323,   537,  2377, -4323,
   38906, -4323, -4323,  2762,  2239,  2762,   538, -4323,  2762, -4323,
    2762, -4323, -4323,  3075,  3394,  2275,   259, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323,  2275,  2073,  3413, -4323, 40374, -4323,
   -4323, -4323,  2682,   734, -4323, -4323, 82439,  3303, -4323,  2926,
    2670,  2967,  3009, 80515, 80996, 81477,  3411, 82439, 82439, 33028,
   -4323,  1343,   750, -4323,  3644, 82439,  3455, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323,  2865, -4323, 82439,  3392,  2479,
   82439, 82439,  2479, -4323, 58867,  3123,  1459, 93502,  3446,  3420,
    3701, -4323,  3423,  3425, -4323, -4323, 82439,  3392,   602,  1852,
    3463, 66566,  2037, -4323,  3676, 64161, -4323, -4323, -4323,  3786,
    3519, -4323,  1734,  2239,  3062, -4323, 56939, 31531, 31531, -4323,
    3429, -4323,  3433,  3753, -4323,  2393, -4323, -4323, -4323, -4323,
   -4323, -4323,  3509, 82439,  3854, -4323, -4323, -4323,  3439,   668,
   -4323, -4323, 82439, -4323, 82439, -4323, -4323,   668,   668, -4323,
    3551, -4323,  1734, 82439, 82439, 82439,  2479, -4323,   191, -4323,
    3713, 79072, -4323, -4323, -4323, -4323,   149,  3720, -4323, -4323,
    3680,  3681,  3682,  3684,  2585, -4323, -4323, 31531, 12243, -4323,
    3451, -4323, 12243,  7485, 12243,  3617, -4323,   743,  3726, -4323,
    1533,  3457,   743,  1868,  1868,   231,   231,   129,   129,   129,
    3742,   811, 12243, 12243, -4323, -4323, -4323, -4323,  3459, -4323,
   -4323, -4323,  3155, -4323, 32030,  3592,  3831, -4323, -4323, -4323,
    3494,  3497,  3464, -4323, 31531, 32529,  3465, 59831, -4323, -4323,
     734,  1766, 33028, 33028,  2465, -4323,  1155, 31531, 58867,  2380,
    2465,  2263,  2415, 31531, 31531,  9212,   304, 31531,  7686, 82439,
   82439, 82439, 82439, -4323, -4323, -4323, 37934,  2460,  3470, 82439,
   -4323,  3467, 36479,  3688,  3645, -4323, 36479,  3645,  1254,  3645,
    3698, -4323, 43284, -4323,  3476, 24070,  1903, 12243,  3853,  3752,
   31531,  3484, -4323,  3486,  3338, -4323,100717, -4323, -4323, 12243,
   -4323, -4323, 31531, -4323,  3338,   348,   350,  2239, -4323, -4323,
   -4323, 46239, -4323, -4323, -4323,  3674, 12243, -4323,  1734, 82439,
    1619,   427,  3516, 82439, -4323,  3304, -4323, -4323, 14213, -4323,
   -4323, -4323,   179, -4323, -4323, -4323, -4323,  3565, 67528,  3772,
   -4323, 31531,  2387, -4323,  3531,  3858,   112,  2388,  2412,  1759,
   -4323,  3455, -4323,  1478,  3750,   290, -4323,   668, -4323, 58867,
   -4323, 82439, 82439, -4323, -4323, -4323, -4323,  2749, -4323, -4323,
   82439, 82439, 82439, 82439, -4323,  3567, -4323, -4323, 54529,  2631,
    3689, -4323, -4323,  3690,   179, 82439, -4323, 58867,   668,   668,
   -4323, -4323, -4323,  3523, 82439, 82439, 82439,  2275,  2275, 58867,
    3502, -4323,  2275,  2275,  3526, -4323, 82439, 82439, 82439, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,  3580,
   -4323, -4323, -4323, 82439, 82439, 82439, 82439,  3801, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, 82439,
   -4323, -4323, -4323, 58867,   668,   668, -4323, -4323, -4323,  3748,
   -4323,  2119,  2119, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
    2400,  3830, -4323, 54529, -4323, 61275, -4323, -4323, -4323,  2239,
   -4323,  2239,  3705, 49168,  2239,  2239,  1759,  3524,  1525,  3791,
   -4323,  2043, 40374, 40374, 40374, 40374, 40374, -4323, -4323,  3794,
     179, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, 31531, -4323,  1426,   743,
   -4323, -4323, -4323, -4323,  3455,  1884,  3571,   699,  3631, -4323,
   -4323,  2479,  2479,  3578,  3926,   615, 82439,  3838,  3573, -4323,
    2239, -4323, -4323, 82439, 64161,  3463,   899, -4323,  2421, -4323,
   -4323, -4323,  3568,  3480,  1484,  3536,  2037, -4323,  1494, 82439,
   -4323,  3575,  3814,  3539, -4323, 12243, 12243,  2239, 60313,  3267,
   -4323, 82439,  3790, 82439, -4323,   668, -4323,   668,   668, -4323,
   -4323, 82439,  2479,  2479,  2479, -4323,  3721, -4323,   668, 79072,
    2585,  2585,  2585,  2585, -4323, -4323, -4323, 12243, -4323, -4323,
   -4323, 33028,  3821, -4323,  3547, 58867, -4323,  3548,  2424,  2438,
   34026,  3699, -4323, -4323, -4323,  7806,  3596, 12243,  3653,  3561,
    3563, -4323,  1035,  1035,  1155,  2443, -4323, 33028, 33028,  2465,
    2465, 31531,  2465, -4323, -4323, -4323, -4323, -4323, 79553,  3569,
   82439,  2460, 36479, -4323, -4323,  2695, -4323, 36479,  3797, -4323,
   36479, 82439,  3574, 82439,   950, 31531, 31531,  3602,  3338,  3338,
   -4323,  3735, -4323,  3581, -4323, -4323,   259, -4323, -4323, -4323,
   -4323,   734,  3582, 74262, -4323, -4323, -4323,   687, -4323, -4323,
   -4323, -4323, 79072,  3755, 79072,  1759,  8083,  3455, 36964, 47227,
   82439, 81958, 81958,  3708,  3455,  3571, -4323, -4323, -4323, -4323,
   -4323, -4323,  3583, -4323, -4323, -4323,  3647, -4323, -4323, -4323,
    2446, -4323, -4323, -4323, -4323, -4323,  3756, -4323, -4323, 43769,
   -4323, -4323, -4323, 37449, 46239, -4323,   991,  3587,  3589,    98,
   -4323, -4323, -4323, 82439,  1407,   994,  3619,  2479,  3862, -4323,
    3756, -4323, -4323,  2119, -4323, -4323,  3063,  2239, -4323, -4323,
    2451, -4323, -4323, -4323, 82439, -4323,  3420, -4323, -4323, -4323,
   55493,  3981,  3981, -4323,  1972,  1972, -4323, -4323, -4323, 82439,
   -4323, -4323,  8448,  3777, -4323,  3571,  3799,  3844, -4323, 82439,
   82439,  1734, 64161,  3392, -4323,  1622,  3593,  3885, -4323,  3299,
    3594, -4323, -4323,  3927, -4323, 66566,  3774,  3519,   993,   993,
   82439,  3480,  3718, -4323,  3723, -4323,  1285, -4323, 82439, 36964,
   -4323, 59349, -4323,  2461, -4323, -4323,  3199, 82439,   639, -4323,
    3621, -4323, -4323, -4323, -4323, -4323, -4323,   133, -4323, -4323,
   -4323, -4323,  1055, 33028, 58867,  2468, 31531, -4323, 31531, -4323,
    3977, -4323, -4323, -4323,   632, -4323, -4323, -4323,  1035,  1035,
    2465, -4323, 82439,  2472, -4323, 31531,  3603, -4323, -4323, 36479,
    2695,  2478, 82439,  2482, 58867,  3338,  3155, 12243, 82439, -4323,
   -4323, -4323,  3980,  3778,  3338, -4323, -4323, -4323, -4323, -4323,
   -4323,  1402,   879,   133,  3858,  3571, -4323,  3607, -4323, -4323,
   82439, -4323,   267,   267, 82439,  3571, -4323, -4323, 82439, -4323,
   54529,  3661, -4323, 58867,  2246,    73, -4323, 58867, 58867, -4323,
   -4323, 82439, 82439, 82439, 82439, 82439,   668, -4323, -4323, -4323,
   -4323, 61275,  3420,  3981,   223, -4323, -4323, -4323,  1605,  3806,
   -4323,   569,  3792,  3693,  3392,  3900,  3575, -4323, -4323, -4323,
   -4323, 31531,  3764,  2037,  3676, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323,  2505,  3519, -4323,
   -4323,  3982,  3795,  3983, -4323,  2509, -4323, -4323,  3753, 60313,
    3938, -4323,  3678, 82439, -4323, -4323,  2148,  4050, -4323,  1055,
    2513, -4323,  2535,  2550,  3780,  3692, -4323,  2559, -4323, 12243,
   82439, -4323, -4323, -4323,  2570, -4323,  3630, -4323,  4032, 31531,
    1626, -4323, -4323,  3917, -4323, 81958,  3679, 46239, -4323,  2047,
    2047,  1884, -4323,  1759, -4323, -4323, 31531, -4323,  2575, -4323,
    1089,  3793,  3932,  2601,  2608,  3101,  3683,  3101, -4323,  2479,
   -4323, -4323, -4323, -4323, -4323,  3957,  3905, -4323, -4323, -4323,
   -4323,   157, -4323,  3836,  3837, 82439, -4323, 82439,  4053, -4323,
    8774, 55493,  3480,  2037,  2631, -4323, -4323,  3841, -4323,  3842,
    3123, 36964,  3267, -4323,   675, -4323, -4323, -4323, -4323, -4323,
   82439, -4323, -4323, -4323, -4323, -4323, -4323,  2609, -4323, 82439,
    3659,  3155, 30533, 30533,  3665, 79072,   267,  3667, -4323,  3668,
   -4323, -4323,  3799,  1759, 12243, 55493,  4046, -4323, -4323, -4323,
    3793, -4323, -4323, 82439,  3796, -4323,   670,   670,  3989, -4323,
    3729, -4323, -4323, -4323,   991, -4323,  3677,  3519,  3480, -4323,
   -4323,  3519, -4323, -4323, -4323, -4323,  2579, -4323, -4323, -4323,
   -4323, 33527,  3802,   911, 10037, -4323, -4323, -4323, -4323,   133,
    2047, 31531,  1759, -4323,  3792,  2246, 82439, -4323, -4323,  3573,
   -4323,  4085, -4323,  1014, -4323, -4323,  3502, 54047, -4323,  3519,
    3199, -4323,  2564, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
    4079, -4323, -4323, -4323, -4323, -4323, -4323, -4323,  9363, -4323,
   -4323, -4323,  3975, -4323, -4323, -4323,  2612, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323,  1746, -4323, -4323,  1838,  2097, 31032,
   -4323,  1759,  3832, -4323, 54047, -4323,  2564, -4323, 55493, -4323,
   -4323,  3685, 54047,  2632, -4323
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4323, -4323,  3820, -4323, -1162,   205,  2373, -1255, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,  3013,
   -4323, -4323, -4323,  1593, -4323, -4323,   -52, -1559,   893,  2637,
    1272, -4323, -1358, -4323, -4323,  -847,     2, -1011, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -1046,  1730,  1111,  3566,
   -2597, -4323, -1620, -3680, -4323,   521, -4323, -4323,  1682, -4323,
   -4323, -4323,   972,  -267, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323,    10, -4323, -4323,  -441, -1825,  -111,   -58,  -308, -4323,
   -4323,   363,  -305, -1683, -4323, -3513, -4323,   -26, -4323, -4323,
   -4323,  -304, -1653,  1209, -4323,  -958, -1354,  1519,  -591, -4323,
    -188, -4323,  -642,  -541,  -539,  -601,  -437, -3693, -4087, -4074,
   -3041,  1217, -4323,   -35, -1816, -4323, -4323, -1749, -1668, -4323,
    -971, -4323, -4323, -4323, -2983, -4323, -4323, -4323, -4323,   -93,
   -4323, -4323, -4323, -4323,   421, -4323, -4323, -4323, -4323, -4323,
   -4323, -2291,  1654,  1656, -4323, -4323, -3181, -4323, -1168, -4323,
     567, -2982,  1135, -4323, -4323, -4323,  2334, -4323, -4323, -4323,
   -4323,   424, -4323,   423, -4323, -4323, -1813, -4323, -4323, -1809,
   -4323,  1667,   955, -4323, -4323, -4323,  -625,  -686,  -677, -4323,
   -3484, -4323, -4323, -4323, -4323, -4323, -1236, -4323,  1008, -3118,
   -1213, -4323, -4323,  1022, -4323, -4323, -4323, -4323,  -582,  -193,
    2358, -4323,  -487,  -564, -4323, -4323, -4323,  -192, -4323, -4323,
   -4323, -4323, -4323, -4323, -1309, 14874, -1800, -4323, -4323, -4323,
   -4323, -2462, -4323, -4323, -4323, -1877, -4323,  4081,    14,   428,
   -1808, -4323,  -178,  -103,  2866, -1368, -2675,   359,  -340, -4323,
   -2009, -4323, -4323, -4323, -2592, -4323, -4323, -4323, -4323, -3459,
   -1801, -4323, -4323, -4323,   408, -4323, -4137, -3899, -4182, -3758,
   -3438, -4323, -4323, -1307, -4323, -4323, -4323, -1637,  1845, -1709,
   -4323, -2363,   410, -3697,  -973, -3248, -4323, -3654,  -422, -4323,
   -4323, -4323, -4323, -4323, -4323, -4323, -1305,  -870, -4323, -4323,
    3398, -4323, -4185, -4323, -4323, -4323, -4323,  1156, -4323, -1684,
    1087, -4323, -4323, -4323, -4323, -4323,  -577,  -654, -4323, -4323,
   -4323,   155, -4323, -4323, -4323, -4323,  1951, -1175,  -979,  3225,
   -1794,  -385, -4323, -4323, -4323, -4323, -2976, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -1247, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323,  2039,  2042,  -112,  -224, -4323, -4323, -1474, -4323,
    -793, -4323,  2277, -4323, -4323, -4323, -4323,  1350,   165,   441,
     -64, -4323, -4323,   232, -3374,   -63, -4323, -4323, -4323, -4323,
    -363,   -59, -4323,   713, -4323, -4323, -2818, -4323,   211,   -56,
    2942,  1608,   -71,   418,  -244,  -217,  -209,   -74,  3229,  2713,
   -4323, -4323, -4323,  -215,  2054, -4323, -1086,  -354, -4323,  1365,
    -893,  2029,  2704,  2706, -4323,  1366, -4323, -4323,  1371, -4323,
   -4323, -4323,  -891,  2036, -4323,  2708,  2053, -4323,  1358,  1367,
   -3320,   814, -3351,   306,  -877,  -262,  -171,  3269,  2716, -4323,
   -4322,   747, -4323, -3480, -2395,  4237, -2106, -1823, -4323, -4323,
   -1402, 14995, -4323, -4323, -4323, 16585, 16679, -4323, -4323, 17034,
   17049, -4323, -1256,   858, 17564,  8711, -1439, -1850, -1539, 15735,
    1807,  -277, -2837, -4323, -4323, -4323,  -230,   868,   265, -4323,
   -4323, -4323, -4323,  -470, -2827,  -469, -4323, -4323, -4323,  -473,
   -3599,  1644, -4323,  -804, -4323, 15899,  1401, -4323, -1085, -2760,
   -2766, -1392, -1957, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -1400, -3245,  -608,  1475, -4323, -4323,  1572, -4323, -4323, -4323,
   -1549, -1116, -2664,  1479, -2141, -4323, -1083,   762,  2165, -1032,
    8125,  1578, 12830,  -128, -2335, -1507, -1753, -4323,   611, -4323,
    2420,  3707,  -166,   642,   -60,    32, -3100, -4323, -4323,   213,
   -4323, -4323, -4323,  3703,  1012, -4323,  3055, -4323,  1710,  2413,
   -4323, -4323,  2046,  -932,   125, -4323,  -443, -4323,  -132, -4323,
   -4323, -4323,   169, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
   -4323, -4323,  2734, -4323, -4323, -1442, -4323, -4323, -4323, -4323,
   -4323,  3986,  -300, -4323,  3416,  -294, -4323, -4323, -4323, -4323,
   -4323, -4323, -4323, -4323, -4323,  2744,  2078, -4323,  3215, -4323,
   -4323, -4323,   -49,  2952, -4323, -4323, -4323, -1169,  -588,  3233,
    3237,  2044, -4323, -4323, -4323, -4323, -4323, -4323, -4323, -4323,
    2057, -4323, -4323,  1456, -2129,  2058, -4323, -4323,   780, -4323,
   -4323,   331, -4323,   783, -4323,  2848, -4323, -4323, -4323,   823,
   -4323, -4323, -4323,  -592, 10205,    90,     9,   234,  1349, -4323,
    5010,  8310,  -100,  2761,    29,  7861, 14270,  2048, -4323,  3978,
    2064,  1683,  -997, -4323,  5774,  2353, 14463, -4323,  -995,   161,
      83, -4323,    -2,  -655, -1157,  3045,  -735, -1946, -4323,  4389,
   -4323, -3565, -4323, -1041,  3414, -1202
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2572
static const yytype_int16 yytable[] =
{
      81,   982,  1078,  1613,   361,  1087,  1272,   356,  2011,  1545,
    1961,  1619,  1965,  1063,   351,   352,  1567,   807,   364,   354,
    1971,   982,   906,  2067,   364,   894,  2240,  2428,  1398,  1399,
    1400,  1028,  1194,  1790,  1404,  1768,  1908,  2577,  2719,   890,
     706,  1854,  2039,  1685,  1829,  1926,  2127,  1816,  2569,  2366,
     712,  2686,  1060,   956,  2100,  2101,  1135,   364,  2437,  1325,
    2078,  2446,   807,  3519,  3081,  3083,  1303,   943,   990,  1559,
    2915,  1003,  1194,  2116,  3393,  1097,   405,  2540,  3642,  3529,
     261,  1098,   405,   850,  3876,    80,   854,  2602,  2438,  2578,
    3824,   361,  2300,  2302,  2303,  1952,  2603,  1897,  3230,  2426,
    1901,   908,   364,  2604,  2605,  1905,  1029,   404,  2935,  2504,
     365,  2606,  1910,   404,  2627,   405,   365,  2495,  2607,  3519,
    3188,  1928,  2253,  1081,  1139,  1194,   804,  4052,  2772,  3675,
     807,  3677,  4089,  3133,  2459,  3795,  2240,  3381,  3526,  1668,
    3781,  1670,  3524,  3525,  1089,  3584,  1638,  4119,  1020,   365,
    4079,   900,  1090,  3781,  1784,  4264,  1020,  1795,  1020,  4283,
     405,  1360,  4256,    79,  1050,  1821,  4021,  4023,   403,  2414,
     364,   804,   691,  2678,   403,  3474,  4299,  2026,  2508,  2509,
    2630,   979,  2344,  2639,  2294,  2294,  2972,  4422,  2001,  2093,
    2094,  1996,  4007,  1607,   365,  1610,  4527,  1552,  1817,  1646,
    1647,   979,  1734,  4057,  1130,  3954,  1025,   403,  3595,  1760,
    2198,  1349,  1925,  -135,  1025,  2113,  1025,  3431,   425,   700,
     425,   860,  -135,  4221,  4700,  2988,  1152,  -135,   405,  2992,
    2146,  1953,  2515,   329,    45,  1429,   899,  2520,  1953,   804,
    4623,  3209,   916,   350,  3867,  2624,  1298,    37,    38,    39,
      40,   425,   403,   408,    44,  4420,  1387,   700,  2241,  2059,
    3285,  1953,   365,   425,  1068,    45,   130,   131,   995,  2183,
    1140,  2000,    43, -1536, -1536, -1536, -1536,    45,   898,   905,
   -1536,  3800,  3801,  3802,  3803,  3804,  3805,  2633,   905,   355,
     693,   366,  1710,   361,  1848,  4750,   356,  1826,  2440,  4216,
    2844,  2447,  1214,   351,   352,  3589,  2502,  4656,   354,  4164,
    2152, -1851, -1851, -1851, -1851,   364,  2003,  3126, -1851,  3431,
     403,  2849,  2360, -2570, -2570, -2570, -2570,  4142,   905,  3349,
   -2570,  3351, -1745,  2599,  4763,  2155,  3391,  1536, -2570, -1745,
      43,     3,  4836,  2730,  1603,    45, -1521, -1521, -1521, -1521,
     364,   805,  1549, -1521,  2900,  2409,  3534,   411,  2205,  3535,
    3536, -1526, -1526, -1526, -1526,  2157,  2440,  1842, -1526,   261,
    3537,  3538,  3539,   405,  3540,  3541,  2939,  3045,  2849,  3542,
    3543,  3544,  2750,  1538,  1829,  3010,   851,   711,  2144,  1578,
    1215,  1579,  2362,  2884,  1711,  2013,   805,  2625,  1537, -1997,
    2885,  3408,  4696, -1761,   404,  2600, -1521,   365,   405,  2363,
   -1761,  1605,  2189, -1536, -1536, -1536, -1536,  1659,  2143,  2206,
   -1536, -1526,   425,  4143,  1091,    37,    38,    39,    40,  1216,
    1414,    43,    44,  1194,  2372,  2127,    45,  4425,  2410,   404,
    1660,  2440,   365,   855,  4688,  2716,  1827, -2571, -2571, -2571,
   -2571,  1173,   996,  4678, -2571,  2940,  4165,  3011,  2440,  2731,
    2100,  2101, -2571,  3243,   805,   403,  1263,  2116,  4762,  4764,
    1561,  2634,  4429,  1893,  2242,   425,  1954,  1217,    37,    38,
      39,    40,  2186,  1954,    43,    44,  1435,  1661,  1314,    45,
   -2568, -2568, -2568, -2568,  1989,  1425,   357, -2568,  3127,  1092,
     403, -2567, -2567, -2567, -2567, -2568,  1954,  1141, -2567,  2184,
   -2163, -2163, -2163, -2163,  1403,   894, -2567, -2163,  2060,   694,
    1154,  3545,   329,  2232,  2233, -2163,  1098, -1526, -1526, -1526,
   -1526,  2547,   350,  3210, -1526,  2364,  1126,  2551,  1836,  1069,
   -1493, -1493, -1493, -1493,  2626,  1649,  1652, -1493, -1506, -1506,
   -1506, -1506,  2521,  4816,  3868, -1506,   909, -1533, -1533, -1533,
   -1533,  1681,  1133,  1134, -1533,  3043,  4132,   862,  4923,  2448,
      37,    38,    39,    40,  2516,  2015,  1763,    44,   355,  1124,
     366,  2449,  2503,   357,  3781,  2082,  2216,    37,    38,    39,
      40,  2229,  2229,  4531,    44,  2240,  4415,  2152,  2147,  2569,
    4505, -1997,  1655,   246,  2093,  2094,  4837,  1894,  2060,  1991,
    1697,  1995,  2113,  1572,  4786,  1403,  1963,  1573,  2567,  2491,
    2543,  2493,  2155,  2500,  1580,  2850,  1828,  4072,  3443,  2365,
    2732,  3085,  2450,  3586,  1131,  -135,  -135, -1745,   821,  3911,
    2240,   900,   976,   977,  2914,  4545,  1712,  4260,  2733,  3546,
    3066,  2943,  2157,  2539,  4852,  1963,  2199,  4494,  4495,  4496,
    4497,  4498, -1997,  1805,  1077,  2717,  4272,  2775,  2122,  1806,
    2400,  1203,  1562,   976,   977,  3519,  1710, -1997,   822,  3246,
    1132,  2682,  3494,  3612,  2707,   976,  1637,  2123,  1093,  2563,
    4330,  4409,  4371,  1387,  3547,  4847,  4375,  1174,  2886,  1167,
    4035,  2124,    37,    38,    39,    40,  1415,  2211, -1761,    44,
    2373,  1078,  1264,  2316,  3067,  4735,  1143,  3655,  3080,  3656,
    2281,  2176,  2282, -1325,  -363,  3709,   899,  3440,  3441,  3442,
    3443,  3155,  1368,  1563,  1315,  1614,  2715,  1572,  2618, -1851,
    1259,  1573,  4110,  4430, -1328,  2726,  2088,  2402,  1425,  1894,
    3742, -2570,  3090,  3745,  3746,  2408,   364,  3749,  2477,   802,
     364,  4889,  2417,  4615,  1249,  1807,  4043,  3756,   898,  1139,
    4625,  1300,  3643,  4888, -1521,  4854,  4085,  4890,  1711,  1088,
      37,    38,    39,    40,  1837,   357,  3548,    44,  3553, -1526,
     817,  1181,   818,  1387,  1313, -1325,  1953,  4768,  4880,  1369,
     910,  1375,  2481,  1380,   802,  2484,  2485,  2221,  2122,  1384,
    1628,  3044,  3856,  2619,   405,  4922, -1328,  2697,   405,   905,
     905,  4230,  1163,  2700,  3559,   804,  1405,  2123,  1437, -1493,
    1163,  3431,  1375,  1380,  2690,  1946,  1126,  1996,  3001, -2298,
    1358,  2126,  2369,  1363,  3638,  4396,  2222,  4212,   365,   404,
    1019,  2974,   365,  2974,  3057,  2799,  2800,  2414,  1019,  4122,
    1019,  1163,  1089,  1111,  4739,  4740,  2374,  3173,  2548,  1082,
    1090,  1648,   802,  3174,  1289, -2571,  3382,  3779,    35,   911,
     361,   912,  3747,  3748,  3232,  1947,    41,    42,  3384,  1005,
    3779,  1651,  1405,  4213,  2711,  2473,  1359,  1662,  1663,  3431,
    4302,  4591, -1493,  4593,  1808,  1301,   403,  4769,  3274,  2573,
     403,  1374,  2088,  1379,  2888,  1163,  1946,  4060, -2568,  1387,
    3022,  4273,  1617,  1393,  1163,  3058,  3266,  1083,  1112, -2567,
    1395,  2428,  4252,  2184,  2633,  1809,  4855, -1325, -2163,  4715,
    1659,  1251,  1408,  1410,    81,    35,  4702,   857,  1738,    37,
      38,    39,    40,    41,    42, -1526,    44,  1583, -1328,  3141,
    2689,  1194,  2495,  1660,  1810,  1006,  2692,  3874,  2099,  3175,
    4770,  4120,  3023,  1948,  1112,  2636,  2105,  4881,  1388,  3643,
    4782,  1373,  1020,  1378,  1113, -1533,  1020,  1114,  4199,  2620,
    1548,  1542,  1084,  2458,  1556,  4123,  1305,   916,  2149,  2769,
    2771,  4792,  2621,  1716,   364,  2173,  2174,  2175,  2176,  3142,
    2779,  3433,  1407,  1409,  2783,  2187,  4658,  4581,  1084,  2723,
    2724,  1949,  2795,  2796, -2298,  2144,  1126,  1290,   905,    80,
    1113,  3563, -1325,  2574,  1163,  2813,  2815,  2889,  2573,  1702,
    1025,  1954,  2374,  4882,  1025,  1004,  2829,  1629,  3057,  2784,
     805,  3876,  4584, -1328,  1948,  2712,  1388,  4588,  4870,  3143,
    4590,   819,   405,  3639,  4253,  3383,  4883, -1325,  3434,  1163,
   -1325,  3556,  4522,  3061,  1354,  1115,  1388,  3385,   905,  3433,
   -2298,  1396,  1291,  3267,  2713,  1413,  3233,  1800, -1328,  1033,
    4848, -1328,  4679,  1577,  4703,  4124,   365,  1917,  4125,  1950,
    2667,  1018,  1949,  1112,  1136,  4274,  1085,    79,  3176,  4073,
    4851,  1057,  4724,  1430,  2785,  1849,  1850,  4716,  4512,  3058,
    1437,  1115,  1539,  3431,  1058,  1801,  1551,  1305,  1553,  3830,
    2920,  1034,  4902,  1007,  1008,  1918,  4441,  1084,  4853,  3177,
    4680,  1703,  4743,  3431,  -750,  2297,   425,  4681,  3144,    37,
      38,    39,    40,  4733,   403,    43,    44,  1435,  1661,  1113,
      45,  3268,  2574,  1126,  4784,   700,  1194,  1080,  3178,  1699,
    2786,  2375,  1116,  2787,  4682,  3519,  3250,    35,   425,  3519,
    1950,    37,    38,    39,    40,    41,    42,    43,    44,  2458,
    1071,  1117,    45,  2923,  4914,  4030,  1184,  1185,  1186,  1939,
    1187,  1188,  1189,  1190,  1191,  1192,  4523,  4390,  1402,   970,
    2298,  1699, -1493,  2693,   691,   691,   970,  4394,  2575,  1672,
    4137,  3148,  1163, -1493,  1035,  2099, -1493,  1689, -1493,   971,
   -1848,  1921,  1163,  3435,  3436,  3437,   971,  3438,  3439,  3440,
    3441,  3442,  3443,  2152,  4683,  4408,  2376,  2802, -1948,  3145,
    1115,  1922,  1597,  1689,  1892, -1980,  4903,  3146,  4823,  1078,
    3147,  2788,  4900,  2263,  4043,  4384,  2299,  3061,  2155,  4721,
    4074,  3183,  3831,  1802,  3148,  3182,  4393,  3653,  1641,  1084,
    1704,  3878,  4190,  1919,  3085,  1403,  2213,  1163,  4193,  4194,
    4195,  4196,  4197,  4198,   361,  1094,  1773,  1671,  2157,  4075,
    3184,  4820,  4821,  3433,  2264,  3438,  3439,  3440,  3441,  3442,
    3443,  1705,  3531,  1194,  3532,  2017,  4138,  2019,  4076,  -578,
    2023,  3779,  2025, -2572,  4318,  2028,  2029,  2030,  4915,  2272,
    4937,  4632,  4667,  1668,  4872,  1670,  1852,  3690,  2037,  2977,
    1706,  1641,  1774,    81,    81,  1598,    81,  2575,   970,  3781,
    3346,  2062,  3347,  2063,  1163,  2265,  3879,  1115,  2789,  1803,
    3434,  2247,  3352,  4642,  3907,  2368,  2576,   951,   971,  1920,
    2428,  1866,   357,  1077,  1101,  2331,  2745,  3292,  3293,  3294,
    3295,  1098,  2254,  2255,  4626,  2259,   952, -1998,  3089,  3300,
    1090,  1090,  2369,  1090,  2214,  1923,  1376, -2362,  1707,  1979,
    1381,  1382,  1383,  4139,  2306,  4684,   970,  2307,  1572,  2471,
    1394,  2152,  1573,  1892,  4691,  1139,  2260,   953,  4826,  1775,
    1214,  2554,  4692, -2572,  1305,  4931,   971,     8,    80,    80,
    1686,    80,  4907, -1948,  3154,  1155,  2155,  1980,  3342,  3691,
   -1980,  1163,  3654,  1176,  1617, -2023,  2298,  4066,  3925,  1305,
    2301,  4271,  2866,  1963,  4595,  3166,  3532,  3560,   802,  2555,
    1136,  1687,  2602,  4643,  4660,  1776,  2157,  1777,  2552,  2472,
    1163,  2603,  3018,  2239,  1254,  4827,   821,  2494,  2604,  2605,
    3710,  3631,  4014,  4776,  3204,  3880,  2606,  2495,  2360, -1948,
    1688,  2203,  2204,  2607,  2064,  2308, -1980,  1088,  1163,  1163,
    1963,  1163,  2299,  2261,  2361,  1779,    79,    79,  1215,    79,
    4015,   948,  3156,   364,  2180,  1305,   822,  3048,  1163,  3632,
    3159,  2370,  3161,  2553,  -910,  4377,  4250,  1641,  1308,  3438,
    3439,  3440,  3441,  3442,  3443,  3519,  4017,  1317,   812,  1354,
    3519,  1115,  1781,  3519,  3876,  3881,  3900,  1216,   813,  3438,
    3439,  3440,  3441,  3442,  3443,  2219,  1142,  4307,  2362,  4308,
     858,  4600,  4601,  3806,  4701,   364,   364,   364,  1662,  1663,
    1163,   405, -1998,  4693,  4736,  2363,  2867,  1783,  3692,  1065,
    2868,  4085,   804,  1194,  4742,  1981,  1153,  4251,  2145,  2239,
    1030,  2160,  2161,  1115,  2313,  1217,   215,  2958,  2150,  1163,
     976,  1637,  1770,  1163,  1163,   365,  3809,  2556,  2188,  3693,
    2190,    37,    38,    39,    40,   364,  3661,  2869,    44,  2486,
    2395,  2501,   364,   405,   405,   405,   223,  2443, -1998,   364,
   -2023,  4019,  1180,  1771,   804,  2164,  1020,  1305,  3694,  1766,
    2218,  2220,   821,  3179,  4557,  1305,  1305,   814,  4745,  2171,
    2172,  2173,  2174,  2175,  2176,   404,   404,   365,   365,   365,
     425,  4426,   873,   403,   233,   700,   700,  3633,  1020,  3618,
    2986,  1982,   821,   405,  3180,  3938,   236,  3939,  2444,  4532,
     405,  1892,   822,  3250,  1019,  3057, -2023,   405,  1019,  3406,
     873,  4533,  4528,  2557,  1025,  3070,  1751,  3857,   804,  2452,
    3861,  2364,  4085,  3181,   404,  1787,  1603,   365,  2300,  2264,
     246,  2335,   822,  3102,   365,   403,   403,   403,  1641,   875,
    4796,   365,  4427,  1641,  1641,  4332,  1025,  4333,   691,  4474,
    4475,  3022,  4529,  2870,  1892,  4503,  1788,  4611,  3458,  4613,
    3813,  2440,  2487,  3630,  2488,  1741,  1751,   875,   425,  2445,
    3374,  1742,  3519,  3634,  4490,  1020,  3058,  3386,  1214,  1767,
    2265,  1892,    45,  -157,  3103,   403,  4433,  4434,   700,  3483,
     867,  1699,   403,  1605,  2354,   815,  3814,  4731,  3071,   403,
    2460,  1104,  4491,  3615,  2355,  3059,   357,  4092,  -157,  3815,
    3662,  1743,  3940,  2486,  2583,  2365,  3336,  2016,  2309,  2356,
    2018,  1105,  3941,  2022,  2143,  2024,   215,   805,  2027,  1606,
    1894,  1106,  2031,  1025,  3104,  3663,  3060,  2171,  2172,  2173,
    2174,  2175,  2176,  2327,  2329,  3624,  3387,  4765,  2461,  2462,
    2654,  1789,  1892,  3360,   364,  1833,   223,  4107,  2152,  3255,
    1744,  4534,  2808,  2728,  2533,  1838,  1215,  1745,   873,  4631,
    1746,  2566,  4334,   882,  2152,   883,  2831,  2086,  3485,  4093,
    3486,  1697,  2458,  2155,  4090,  3105,   208,  -904,  3528,  1892,
    3816,  3910,  2499,  4646,   233,  2534,  4641,  2103,   888,  1641,
    1963,   882,  3487,   883,  1168,  1216,   236,  1641,  3256,  2735,
    1284,  1815,   405,  2157,  -386,  1363,  3644,  1892,  1437,  2747,
    1937,  3431,  1747,   804,  3061,   875,   888,  2130,  3911,  2157,
    1107,  2535,  4094,  1963,  4095,  3571,  2487,  4397,  2488,  1285,
    2959,  2141,  2536,   805,  3665,  2914,   365,  1997,  2357,  1205,
    3198,  1998,   361,  1217,  1641,  1144,  1806,  1641,  1641,  1212,
    3554,  4092,  3839,  4228,  2930,  3288,  2537,  1145,  1146,  1163,
    1098,  2229,  1694,  1437,  4085,  1892,  3431,  1748,  1163,  1749,
    2695,  4111,  2696,  1286,  3257,  3258,  2698,  1147,  2699,  1750,
    1148,  2701,  1108,  2746,  1284,  2702,  2032,  1751,  3259,  1558,
    3488,  3185,  4812,  1695,   403,  3489,  1752,   208,   970,  1213,
    2767,  3684,    81,  1554,   361,    81,  2608,  2744,  1253,  2033,
    1641,  3500,  4668,  3837,  2741,  2742,  3685,  4813,   971,  2743,
    3186,  4647,  1696,  4093,  2209,  3956,  3957,  1088,  1088,  3647,
    1088,  1754,  1603,  3260,  3917,  2122,  1604,  3935,    35,  3246,
    4669,  1265,  1807,  1266,   425,  3599,    41,    42,  1109,   882,
    2914,   883,  4121,  4126,  2123,  1163,  1755,  1286,  1256,  3364,
     885,  3955,   122,  3278,  2847,    37,    38,    39,    40,  1814,
    3432,   887,    44,   208,   888,  1258,  4094,  1194,  4095,  3246,
     126,    37,    38,    39,    40,  1986,  3590,    80,    44,   823,
      80,  3433,  1163,  1163,  1149,  1697,  3779,  3730,  1815,  1605,
    1163,  3921,  1273,  1163,   364,  1987,  2945,  1163,   859,  1279,
    3989,  3490,  2793,  3820,  1756,  1163,  1163,  3731,  3261,  3141,
    3262,  3491,   945,  1163,  1288,  2597,  1163,  1163,  1163,  1163,
    1572,  1150,  4410,   215,  1573,  1606,  1163,  1163,   805,  1163,
    4351,  1163,  1163,  2628,  1583,  1163,  3433,  3564,  3434,    35,
    4869,  3297,  1353,   425,  3274, -1372,  3298,    41,    42, -1372,
    1892,  1163,   405,   223,  4350,    79,  1163,  2428,    79,  3142,
    1163,  1697,  1031,   804,  1163,   811,  1163,  1163,  1163,  1163,
    1163,  1163,  1163,  1163,  1163,  4665,  1163,  3012,  4697,  3015,
    4166,   215,  1163,  3920,   364,  1163,   365,  2792,  2006,  3623,
    2007,   233,  2753,  3434,    37,    38,    39,    40,  4281,  2194,
    4167,    44,  2195,   236,  3279,  1796,   130,   131,  1287,  3143,
     811,   223, -1372,  2961,  3457,   802,  3459,  3460,  1437,    35,
     425,  3431,  3006,  1293,  1691,  1997,  3065,    41,    42,  2685,
    2857,   425,  2858,   364,    45,   364,  1797,   246,  3982,  2754,
    1798,  2338,   405,  1296,   403,  2239,  3687,  1163, -1372,   233,
    4935,  3250,  3796,  4936,  2859,  1692,  1024,  3298,  1310,  1437,
    4087,  4088,  3431,   951,  1024,  1799,  1024,   802,  2755,  2122,
     913,  1082,  2339,   404,  2111,  2112,   365,  3688,   811,  3983,
    2290,  2291,   952, -1373,  1693,   364,  3403, -1373,  2123,  2756,
    2688,   405,  3657,   405,  2498,   246,  1321,  2099,  3144,  2345,
    2921,  2340,  2124,  3435,  3436,  3437,  3689,  3438,  3439,  3440,
    3441,  3442,  3443,   953,    37,    38,    39,    40,  2757,  1326,
    2122,    44,   404,  2758,   404,   365,  1335,   365,  3835,  1083,
      81,   802,    81,  3404,   403,  3280,  1341,  3405,  1019,  2123,
    2647,  2648,  1594,   405,  2492, -1325,  3139,  2860,  1437,   946,
   -1373,  3431,  2861,  2126,   804,  1356,  1020,  2862,  3123, -2572,
   -2572,    45,  3438,  3439,  3440,  3441,  3442,  3443,  4357,  2759,
    1019,  1268,  1163,  1269,  3281,  4115,  3962,   365,  1163,  1829,
    2099,  2460,  2345,   403,  1163,   403, -1373,  1397,   805, -1497,
   -1497, -1497, -1497,  1401,  1084,   364, -1497,   691,   364,  3145,
    2835,  3433,  4206,  2838,  1572,  4026, -1851,  3146,  1573,  1417,
    3147,  2505,  1411,  1672,  1025,    80,  2085,    80,   246,  3821,
    1892,  3823,    74,  1422,   357,  1892,  1892,  1423,  3922,  2461,
    2462,  1424,  3504,  3220,  3505,   403,  3564,  1892,  4031,  4033,
    2951,  2952,  3433,  4558,  4559,  4560,  4561,   837,  2460,  3564,
    1126,  1425,  2245,   405,  2246,  1426,   405,  1019,  3434,    37,
      38,    39,    40,  2458,   804,  1427,    44,   804,  4224,  4225,
    4226,  1641,  2760,  2863,  3149, -1396, -1396,  2240,  2761,  2290,
    2970,  4653,  3871,  2864,  2762,  1428,   357,   365,  3289,  1432,
     365,  1671,   215,    79,  1553,    79,  2461,  2462,  1431,  3434,
    1437,  1434,  2248,  3431,  2249,  1319,  3317,  3318,  1085,  1328,
    2099,  2914,  1689,  2763,  1557,  2764,  4209,  1560,  4211,  1340,
    4358,  4214,   223,  4215,  2687,  1564,  2688,  3149,  2808,  2808,
    2458,  3433,  2765,  2808,  3566,  3567,   802,  4222,  4223,  4224,
    4225,  4226,  4218,  4219,  2708,   403,  2709,  4493,   403,  1565,
    2151,  4607,  1571,  2152,  2710,  3533,  2709,  2766,  1566,  2738,
     233,  2739,  2651,  2532,   954,  2936,  1163,  1963,  1892,  4186,
    1584,  2657,   236,  2808,  2808,  2072,  2073,  2855,  2155,   805,
    2994,  3078,  2739,  3079,  2156,  3572,  3573,   981,  3434,  4541,
    3135,  3149,  3136,  1591,  1592,  3149,  4355,  1594,  1601,  3190,
    2460,  1595,  3238,    35,  3239,  3068,   955,   981,  2157,  1615,
    1078,    41,    42,  2099,  1616,  2345,  3251,  2151,  3252,  3708,
    2152,  4013,  3711,  3435,  3436,  3437,  3149,  3438,  3439,  3440,
    3441,  3442,  3443,  1620,  3366,  3222,  2709,  2153,  1892,  4300,
    2154,  1622,  2460,  3222,  1641,  2155,  1626,  1630,  2461,  2462,
    1627,  2156,  1641,  3402,  1641,  2688,  2460,  1631,  1176,  2460,
      37,    38,    39,    40,  3435,  3436,  3437,    44,  3438,  3439,
    3440,  3441,  3442,  3443,  3412,  2157,  2688,  1632,  1633,  3509,
    3510,  3511,  2458,  3433,  1634,  3416,  1163,  2688,  4014,   805,
    2461,  2462,   805,  1636,  3420,  3291,  2688,  3421,  3702,  2688,
    1642,  3447,   357,  2688,  2461,  2462,  3739,  2461,  2462,  3463,
    1635,  2688,  2159,  4112,  1643,  1078,  4015,  3468,  1645,  3469,
    3322,  3506,  1675,  3507,  2458,  1674,  1305,  3678,  1683,  3679,
    3464,  4016,  1677,  2160,  2161,  1689,  3471,  1892,  2458,  1709,
    3434,  2458,  4017,  2460,  1714,    37,    38,    39,    40,  1736,
    2460,  1163,    44,  3435,  3436,  3437,  1163,  3438,  3439,  3440,
    3441,  3442,  3443,  1305,  4018,  3682,  1740,  3683,  3806,  3826,
     364,  3827,  1163,  1163,  3807,  2158,   364,  2164,  1163,  2159,
   -1504, -1504, -1504, -1504,  3808,  1765,  3865, -1504,  3866,  4208,
    2165,  2461,  2462,  3926,  1763,  2688,   802,  1772,  2461,  2462,
    2160,  2161,  1792,  1163,  1163,  3963,  1804,  3964,  1163,  1813,
    3973,  3809,  3974,  3810,  1818,  3985,  2162,  2688,  1825,  1823,
    1163,  1163,  1163,  1163,  4058,  2458,  4059,  1824,   405,  1126,
    1830,  1832,  2458,  1163,   405,  1834,  1163,  4019,  1163,   804,
    4062,  2163,  4063,  1839,  2164,   804,  1846,  4479,  1163,  1163,
    4234,  4091,  1163,  2709,  3761,  1844,  4013,  2165,  1853,  4486,
    2166,  1856,   365,   361,   811,  1163,  2744,  1163,   365,  1697,
    1898,  1163,  4281,  2741,  2742,   192,  1900,  1902,  2743,  4339,
    3564,  4202,  1641,  4203,  4356,  3811,  2739,  1163,  1911,  4891,
     192,  4417,  4423,  4418,  2709,  3762,  1894,  -174,  1163,  4324,
    1163,  1163,  1163,  1927,  1972,  3435,  3436,  3437,  1913,  3438,
    3439,  3440,  3441,  3442,  3443,  1935,  4424, -1337,  2709,  3763,
     403,   837,  1943,  4014,  1163,  4524,   403,  4525,  4567, -1337,
    4568,  1915,  2167, -1337,  3764,  1957,  1163,  4315,  3765,  1951,
    3812,  1163,  4569,  4565,  2688,  3813,  1956,  4577,  1163,  2739,
    4629,  4015,  4630,   215,  1163,  4650,  3766,  4651,  1958,  2171,
    2172,  2173,  2174,  2175,  2176,  4698,  4016,  4699,   215,  1960,
    1685,  3767,  4711,  1959,  2739, -1337,  4718,  4017,  1963,  1962,
    2057,  3814,  4723,   223,  3846,  1963,  4725,   802,  3846,  1970,
    4541,  3038,  1973,  2004,  3815,  2069, -1337,  1176,   223,  4018,
    1974,    37,    38,    39,    40,  1305,  1975,  2079,    44,  4785,
    1976,  2208,    45,  4790,  1163,  4791,  1978,  4801,  4585,  2739,
    4406,   233,  2168,  2169,  2170,  1983,  2171,  2172,  2173,  2174,
    2175,  2176, -1337,   236,  1985,  1984,   233,  1892,  4476,  4802,
   -1337,  3469,    37,    38,    39,    40,  1990,  3768,   236,    44,
    2038,   364,   364,   364,  4803,  3769,  2688,  2068,  1019, -1495,
   -1495, -1495, -1495,  4806,   805,  1963, -1495,   246, -1121,  2070,
     805, -1121,  4019,  2074,  4808,  3816,  3846,  1892,  1892,  4825,
    1892,  2739,  4892,  1641,    37,    38,    39,    40,  3770,  2076,
    1024,    44,  2077,  2083,  1024,  2151,  2096,   802,  2152,  2084,
     802, -1498, -1498, -1498, -1498,  4831,  4231,  2739, -1498,   405,
     405,   405,  4832,  4858,  2739,  1963,  4933,  2092,  4934,  1305,
     804,   804,   804,  2155, -1496, -1496, -1496, -1496,  2095,  2156,
    4652, -1496,  1892,  2097,  1892,  3760,  4944,  1600,  4934,  1602,
    4376,  2098,  4379,   365,   365,   365,  4586,  4236,  2102,   246,
    2104,  2107,  2583,  2157, -1337,  2808,  2108,  2109,  2808,  2808,
    2808,  2808,  2808,  2808,  2808,  2808,  2808,  2808,  2110,  2115,
    2251,  2117,  4710,  2181,  2118,   364,  4222,  4223,  4224,  4225,
    4226,  4402,  2119,  2120,  4227,  2212,  2224,  1892,  3966,  4238,
    2121,  2128,   364,  2129,  2131,  2132,  2133,  2134,  1387,  2135,
    3681,   403,   403,   403,  2136,  2137,  2138,  2234,  2244,  3886,
     894,  1892,  1572,  2208,  2252,  1594,  1573,  2808,  2808,  1604,
    1606,  2279,  2287,  2289,  2296,  1115,  2304,  3703,  2310,  2312,
    2314,  2322,  2323,   405,  2325,  2330,  3850,  3773,  1892,  2332,
   -2514,  4748,  2334,  2343,   804,  4753,  4754,  1194,  2341,  2342,
     405,  1892,  2348,  2158,  2345,  2377,  2346,  2159,  1078,  2347,
    2349,   804,  2350,  2371,  2378,  2397,  2401,   365,  1078,  2403,
    3885,  2404,  2141,  2405,  2406,  2407,  2432,  2440,  2160,  2161,
    2442,  2452,  2433,  2453,   365,  2456,  2855,  2455,  2458,  3999,
    4000,  4001,  4002,  4479,  2162,  3222,  2464,  4506,  3222,  3222,
    4596,  2457,  3222,  2465,  2466,  3503,  2467,  2474,  2468,  2482,
    2489,  2475,  3222,  2478,  1892,  2479,  2490,  1852,  3513,  2496,
    2497,  1751,  2164,  3782,  4610,   403,  2506,  4749,  1892,  3791,
    4752,  2507,  4755,  2517,  4757,  2165,  3782,  2518,  2519,  2522,
    2528,  1892,   403,  2523,  2531,   805,   805,   805,  2545,  1305,
    2546,  1305,  2560,  2558,  2561,   357,  2568,  2099,  2088,  2570,
    2571,  2105,  2584,  2587,  3396,  2590,    74,  3968,  2591,  3398,
     869,  1163,  2595,  2596,  3513,  3328,  1789,  1077,  2612,  2617,
    2631,  2632,  3844,  2637,  2642,   981,  2640,   981,  2643,   981,
    2650,  2661,  2663,  2644,  1717,   981,  1385,  1386,  2664,  2665,
    2679,  1641,  2666,  2680,  2704,  2727,  1163,   364,  2721,  1892,
    2167,  3870,  1305,  2705,  1641,  2774,  1163,  2736,   981,   981,
    2749,  2775,  1163,  2780,  1163,  2817,  1718,  2818,  2830,  1892,
    1163,  2836,  2152,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1163,  2840,  2841,  2848,  1163,  1163,  2854,  2871,
    2873,  2900,  2924,  2917,  1892,  1717,  2916,  2927,  2919,  1163,
    2922,  2937,  2928,  1163,  1083,   405,   905,  1163,  2946,   805,
    2947,  2938,   802,  2956,  2976,  2950,   804,  1163,   802,  2978,
    1163,  1719,  1163,  4713,  2979,  2198,   805,  1718,  2995,  2993,
    1892,  1163,  1163,  1163,  2996,  2997,  3013,  1163,  4687,   365,
    1163, -2572, -2572,  3008,  2171,  2172,  2173,  2174,  2175,  2176,
    1163,  3520,  1720,  3018,  3016,  3020,  3021,  4730,  3027,  3032,
    1163,  3036,  3039,  3053,  3056,  3069,  3074,  1554,  1163,  1558,
    1163,  3076,  2808,  3138,  4152,  3125,  3130,   981,  3134,  3137,
    2659,  3329,  1719,  3187,  3207,  3208,  3200,  1721,  3211,  4618,
    3212,  2670,  3213,  3215,  3216,  3219,  1664,   403,  3229,  3217,
    1641,  3980,  3231,  2677,  3218,  3240,  3235,  3520,  4910,  3242,
    3245,  3246,  3253,  1720,  1163,  3247,  1722,  3248,  3272,  3277,
    1163,  3284,  3290,  3123,  4635,  4133,  1163,  3296,  3299,  3304,
    3305,  3306,  3320,  3323,  3335,  3338,  3339,  3341,  3343,  3340,
     981,  2380,  3344,  3353,  3356,  3358,  3359,  1991,  1721,  3368,
    3369,  1163,  3370,  3371,  4041,  1194,  3380,  3388,  2750,   364,
    3392,   811,  2714,   364,  3373,   364,  2720,  1403,  2722,  3394,
    3399,  2725,  3414,  3397,  2381,  3400,  3418,  1722,   208,  3415,
    3417,  3465,  1725,  3419,  4811,  3564,  3422,  2382,  1726,  3423,
    1194,  3425,  3453,  3484,  3428,  1727,  3479,  3499,  3446,  3492,
    2383,  2688,  3452,  2416,  1723,  3522,  3454,  3455,  3462,  3477,
    3528,  3478,  1729,  3527,  3502,  3530,  -950,   405,  3582,  3578,
    1730,   405,  1892,   405,  3576,  3588,  3592,  3594,   804,  3593,
    3603,  3597,   804,  3606,   804,  1724,  3609,  3608,  2384,   208,
    1997,   805,  3598,  1725,  3617,  2808,  2808,  3620,  3622,  1726,
    3613,   365,  3614,  3626,  3651,   365,  1727,   365,  3640,  3659,
    3641,  3652,  3658,  3667,  1728,   357,  3669,  2385,  3700,  3701,
    3704,  1731,  2386,  1729,  3707,  3331,  3875,   811,  3712,  3713,
    3706,  1730,  3714,  3717,  1024,  3715,  3716,  3718,  3719,  3720,
    3721,  3723,  3722,   802,   802,   802,  3724,  3734,  3725,   357,
    3726,  3727,  3732,  2809,  3736,    74,    74,  3782,    74,   403,
    2515,  3738,  2307,   403,  3744,   403,  1024,  2809,  3750,  3751,
    3797,  3752,  3753,  4822,  4153,  3754,   981,  4154,  3785,  4155,
    3755,  4291,  1731,  3798,  3834,  3784,   677,  3836,  3838,  3793,
    3845,  3858,  3851,  3859,  3846,  3862,  3854,  1163,  3883,  3863,
    3902,  3903,  3855,  4181,  4182,  3904,  3905,  3908,  3913,  3914,
    3892,  3915,  3924,  3929,  2085,  2890,  3449,  3222,  2387,  3894,
    3431,  3885,  1892,  3222,  3222,  3222,  3222,  3222,  3222,  3448,
    3959,  3960,  3987,  1305,  3961,  1641,  2146,  4210,  3975,  3967,
    3988,  4028,  3996,  4025,  4054,  4012,   837,  4034,  4044,  3328,
    4078,  3328,  4099,  1024,  1892,  1163,  1163,  4819,  4101,  4102,
    4113,  3791,  4114,  4046,  4116,  4127,  4134,   802,  1717,  4163,
    1717,  4047,  4233,  4235,  4237,  4239,  4068,  2388,  4045,  4135,
    4146,  4050,  4136,  2389,   802,  4147,  2390,  4051,  4118,  4179,
    4413,  4149,  4148,  4150,  4151,  4122,  4411,  4183,  4189,  4191,
    1718,  4192,  1718,   805,  4246,  4220,  4254,   805,  4266,   805,
    2141,  1641,  2391,  4267,  3875,  1163,  2709,  4269,  2392,  4285,
    4006,  4270,  4276,  1194,  4288,  4297,  4298,  2309,  4301,  4303,
    4289,  2393,   811,  4305,  4311,  4316,  4292,  4319,  4320,  4321,
    4322,  1741,  4323,  4331,  4340,  4328,  4341,  1742,  4444,  4372,
    4335,  4342,  1163,  4336,  4343,  1719,  2394,  1719,  4344,  4380,
    4370,  4348,  1163,  1163,  4368,  1892,  4373,   981,  4385,  4383,
    1163,  1163,   981,   981,  1176,  1163,  1892,  4404,  4388,  4386,
    4389,  1163,  1163,  4403,  4412,  1163,  1720,  1743,  1720,  4414,
    4419,  4420,  4428,  4442,  4443,  4439,  4407,  4326,  4456,  4463,
    1163,  3087,  4468,  4449,  1163,  2151,  4473,  4477,  2152,  4484,
    4492,  4499,  4507,  1163,  4509,  3329,  4489,  3329,  1163,  4510,
    3533,  1721,  4459,  1721,  4511,  2153,  4514,  4526,  4516,  4530,
    1163,  4538,  4539,  2155,  4536,  4547,  1744,  4555,  4563,  2156,
    4564,  4566,  4573,  1745,  2808,  2305,  1746,  1386,   364,  4574,
    1722,  4571,  1722,  4570,  4501,  4575,    81,  4576,  4589,  1641,
    4598,  4624,  4582,  2157,  4602,  2319,  4628,  4592,  4612,  1163,
    2808,  2808,  2326,  2328,  4645,  4604,  4608,  4627,  4644,  4654,
    4637,  4253,  4638,  4661,  4663,  4672,  4671,  1892,  4674,  4689,
    4675,  4677,  4714,  3760,  4690,  4729,  4720,  1084,  1747,   802,
    4737,  4706,  4746,  4766,  4775,  4771,   405,  4777,  4781,  4787,
    4789,  4788,   208,  3520,   208,  1892,  3330,   804,  1725,  4400,
    4401,  4794,  1726,  4795,  1726,  4800,  4809,  1892,   981,  1727,
    4810,  1727,  4804,   364,  4815,  4817,   981,  2416,  4805,  2416,
     365,    80,  4833,  4828,  4750,  4834,  1729,  4835,  1729,  4838,
    4840,  4844,  4036,  1748,  1730,  1749,  1730,  4849,  4850,  4868,
    4871,  4876,  4873,  2158,  4836,  1750,  4879,  2159,  4837,  4913,
    4887,  1892,  4901,  1751,  4929,  4932,  4938,  1096,  4942,  2529,
    1739,  3287,  1752,   981,  3557,  3129,   981,   981,  2160,  2161,
    2231,   405,   811,  3664,  4131,  3199,  3757,  4399,   403,  4648,
    4761,  4673,   804,  4478,  2162,  1731,  4520,  1731,  4287,  3331,
    4676,  3331,  4504,  1753,  3520,  4686,  3611,  1754,  3367,    79,
    4616,  4874,  4909,  4841,  4839,   365,  4885,  4783,  3616,  2163,
    4521,  4257,  2164,  3270,  1163,  3271,  4130,  3676,  2609,  4258,
    4259,  3254,  1755,  3841,  4912,  2165,  4943,  4939,  2166,   981,
    3794,  3772,  4886,  4636,  2594,  4830,  4877,  4639,  1000,  2058,
    4317,  4732,  4293,  3082,  3222,  3222,  4294,  4793,  3733,  4894,
     357,  4779,  4940,  1568,  2694,  2932,  2808,  3561,  1305,  2933,
    4275,  4405,  4482,   403,  4483,  3372,  1892,  4487,  4488,  4064,
    3363,  2005,  1590,  3562,  2250,  3791,  3791,  3791,  3791,  3791,
    1756,  2955,  1306,  2276,  2275,  3570,  3574,  2954,  2949,  2280,
     357,   802,  3587,  3575,  4378,   802,  4008,   802,  4722,  1163,
    2167,  2283,  1576,  1892,  4065,  3979,  4712,  3969,  1163,  4859,
    4867,  4860,  3565,  3497,  4061,  3495,  1129,  4609,  3409,  2899,
    3884,  1945,   805,  4518,  3337,  1163,  1163,  4857,  2646,  1163,
    2980,  2295,  1099,  2645,  1352,  2288,  2065,  1653,  2971,  1682,
    1163,  1654,  3552,  4070,  2987,  1163,  4395,  4071,  1163,  2984,
    4540,  2985,  4049,  1163,  1163,  2197,  2292,  1122,  3365,  2706,
    1994,    83,  1392,   811,     0,     0,     0,     0,  2991,     0,
       0,     0,  1741,  4326,  4326,  4326,  4326,     0,  1742,     0,
       0,     0,     0,     0,    74,     0,  1163,    74,     0,     0,
    2168,  2169,  2170,     0,  2171,  2172,  2173,  2174,  2175,  2176,
    3513,     0,  2925,     0,  3513,     0,     0,   805,  2926,     0,
    4666,  2151,     0,     0,  2152,     0,     0,  1892,  1743,  2809,
    2809,  1163,     0,     0,  2809,     0,     0,     0,     0,     0,
       0,  2153,     0,     0,  1024,     0,     0,     0,     0,  2155,
       0,     0,     0,     0,     0,  2156,   357,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1163,     0,
       0,     0,     0,     0,  2809,  2809,     0,  1744,     0,  2157,
       0,     0,     0,   811,  1745,     0,   811,  1746,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2781,  2782,     0,
       0,     0,     0,     0,     0,  2794,     0,     0,     0,  2797,
    2798,     0,  3782,     0,     0,     0,     0,  1163,     0,  1892,
    1177,     0,     0,     0,  2819,  1197,  2820,     0,     0,     0,
       0,     0,     0,     0,  1209,     0,  3222,  4606,     0,  1747,
    4649,  1163,  1892,     0,  1163,     0,  1163,  2842,     0,  2843,
     364,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1267,     0,  1163,     0,  1274,     0,  1163,  3604,  3605,
       0,  3607,  1892,     0,     0,     0,  1283,     0,     0,  2158,
       0,     0,     0,  2159,     0,     0,     0,     0,     0,     0,
    1641,     0,  3429,  3430,  1748,     0,  1749,  3445,     0,  2319,
       0,     0,  1717,  3520,  2160,  2161,  1750,  3520,   405,     0,
       0,  1892,     0,     0,  1751,  1892,  1892,     0,     0,   804,
    2162,     0,     0,  1752,     0,     0,     0,     0,  4928,     0,
       0,     0,     0,     0,  1718,     0,     0,  3480,  3481,     0,
       0,     0,   365,     0,     0,  2163,     0,     0,  2164,  1163,
       0,     0,     0,     0,  1793,     0,     0,     0,  1754,     0,
       0,  2165,   981,     0,  2166,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1892,     0,     0,
       0,     0,     0,  1794,  4799,     0,     0,     0,     0,  1719,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     403,     0,     0,     0,  3705,     0,     0,  1163,     0,     0,
     981,     0,     0,     0,  1305,     0,     0,     0,     0,     0,
    1720,     0,     0,     0,  1163,     0,     0,     0,     0,     0,
    1664,     0,    74,     0,    74,     0,  2167,     0,     0,     0,
     802,  1756,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1721,     0,     0,     0,  1163,
       0,     0,   361,     0,     0,  4899,     0,  4919,     0,  1163,
    3513,     0,  4896,  4897,     0,  3513,     0,  4898,  3513,     0,
       0,     0,     0,     0,  1722,     0,     0,     0,     0,     0,
    1163,  1163,     0,     0,     0,     0,     0,     0,   361,     0,
       0,  4899,     0,  1163,     0,     0,     0,   364,  4896,  4897,
       0,     0,     0,  4898,  4919,     0,     0,     0,   677,   677,
       0,     0,  4919,     0,     0,   802,  2168,  2169,  2170,     0,
    2171,  2172,  2173,  2174,  2175,  2176,  3829,     0,  3832,  1163,
    2839,     0,   361,     0,   805,  4899,   208,     0,  2415,  1163,
    1725,     0,  4896,  4897,   364,     0,  1726,  4898,   811,     0,
       0,     0,   364,  1727,   811,   405,     0,     0,     0,     0,
       0,  2416,     0,     0,     0,     0,   804,     0,  1977,     0,
    1729,     0,     0,   981,     0,     0,     0,  2151,  1730,  1992,
    2152,   981,     0,   981,     0,     0,     0,     0,     0,   365,
       0,     0,     0,     0,     0,     0,     0,  1163,     0,   357,
       0,     0,   405,     0,     0,  2155,  1163,     0,     0,     0,
     405,  2156,     0,   804,     0,     0,     0,     0,     0,  3906,
       0,   804,     0,  2151,     0,     0,  2152,     0,     0,  1731,
       0,     0,     0,     0,     0,  2157,   365,     0,     0,  3916,
    4921,     0,     0,  2153,   365,     0,     0,   403,     0,     0,
       0,  2155,     0,  3520,     0,     0,     0,  2156,  3520,     0,
       0,  3520,     0,     0,     0,     0,  3249,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3513,     0,     0,
       0,  2157,     0,     0,     0,     0,     0,  4921,     0,     0,
       0,     0,     0,     0,   403,  4921,     0,  3482,     0,  3520,
       0,     0,   403,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4920,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4634, -2572,     0,  1741,     0,  2159,
       0,     0,     0,  1742,     0,     0,  2809,     0,     0,  2809,
    2809,  2809,  2809,  2809,  2809,  2809,  2809,  2809,  2809,     0,
    2160,  2161,     0,     0,     0,  4920,     0,     0,     0,   685,
       0,  1176,     0,  4920,   703,     0, -2572,     0,     0,  2809,
       0,  2158,     0,  1743,     0,  2159,     0,     0,     0,     0,
       0,   805,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2164,     0,  2160,  2161,  2809,  2809,
       0,   981,   703,     0,     0,     0,     0,  2165,     0,     0,
    3520,  2151,  2162,     0,  2152,     0,     0,     0,     0,   811,
     811,   811,  1744,   703,     0,     0,     0,     0,   805,  1745,
       0,  2153,  1746,     0,     0,     0,   805,  2163,     0,  2155,
    2164,   992,     0,     0,     0,  2156,     0,     0,     0,     0,
       0,     0,     0,  2165,   993,     0,  2166,     0,     0,     0,
    3520,     0,  1001,     0,     0,     0,     0,     0,     0,  2157,
       0,     0,     0,     0,     0,     0,     0,  1011,     0,   992,
       0,     0, -2572,  1032,  1747,     0,     0,     0,     0,     0,
       0,     0,     0,  1062,     0,  2151,     0,     0,  2152,  3937,
       0,  1067,  3942,  3943,  3944,  3945,  3946,  3947,  3948,  3949,
    3950,  3951,     0,     0,     0,  2153,     0,     0,     0,     0,
       0,     0,     0,  2155,     0,     0,     0,     0,  2167,  2156,
       0,     0,   802,     0,   357,     0,     0,     0,     0,  1748,
       0,  1749,     0,   811,     0,     0,     0,     0,     0,     0,
       0,  1750,     0,  2157,     0,     0,     0,     0,     0,  1751,
     811,  3991,  3992,     0,     0,     0,     0,     0,  1752,  2158,
    4927,     0,     0,  2159,     0,     0,  2171,  2172,  2173,  2174,
    2175,  2176,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2160,  2161,     0,  2319,     0,  1819,
    3555,     0,   981,  1754,     0,     0,     0,     0,     0,     0,
    2162,     0,   677,     0,   357,     0,     0,     0,  2168,  2169,
    2170,     0,  2171,  2172,  2173,  2174,  2175,  2176,  1820,     0,
    2151,     0,     0,  2152,  3424,  2163,     0,     0,  2164,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2153,  2165,  4846,  2158,  2166,     0,     0,  2159,  2155,     0,
       0,     0,  3520,     0,  2156,     0,     0,     0,  4261,  4262,
       0,     0,     0,     0,     0,     0,     0,     0,  2160,  2161,
       0,     0,     0,     0,     0,     0,  1756,     0,  2157,     0,
       0,     0,     0,     0,  2162,     0,  4875,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2809,     0,     0,     0,     0,     0,  2163,
       0,     0,  2164,     0,     0,     0,  2167,     0,     0,     0,
       0,     0,     0,     0,     0,  2165,     0,     0,  2166,     0,
       0,  4312,  4313,  4314,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1876,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   811,     0,     0,  2652,     0,
    2527,     0,     0,     0,     0,     0,     0,  2658,  2158,   802,
       0,  2662,  2159,     0,     0,     0,     0,  2668,  2669,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4941,
    2167,     0,     0,  2160,  2161,  2681,  2168,  2169,  2170,     0,
    2171,  2172,  2173,  2174,  2175,  2176,     0,  2151,     0,  2162,
    2152,     0,  3472,     0,     0,     0,   802,     0,     0,     0,
       0,     0,     0,     0,   802,     0,     0,  2153,     0,     0,
       0,     0,  1741,     0,  2163,  2155,     0,  2164,  1742,     0,
       0,  2156,     0,     0,     0,     0,     0,     0,     0,     0,
    2165,     0,     0,  2166,     0,     0,  4249,     0,  2598,     0,
       0,     0,  1224,     0,     0,  2157,  2809,  2809,     0,     0,
       0,     0,     0,     0,  2527,     0,     0,     0,  1743,     0,
    2168,  2169,  2170,     0,  2171,  2172,  2173,  2174,  2175,  2176,
       0,     0,  2066,   703,  3783,  1225,     0,     0,     0,     0,
     981,     0,     0,     0,     0,  3786,  3789,     0,  1226,  1227,
       0,     0,     0,   981,     0,     0,     0,  1228,     0,     0,
       0,  1229,     0,     0,     0,  2167,     0,  1744,     0,     0,
       0,     0,     0,  2527,  1745,     0,     0,  1746,  1230,     0,
       0,  3833,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,     0,     0,     0,  2158,     0,   811,     0,  2159,
       0,   811,     0,   811,     0,     0,     0,  1232,     0,     0,
       0,  4464,  4465,     0,  4467,     0,     0,     0,  1233,  1747,
    2160,  2161,     0,  1234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2162,     0,     0,     0,
       0,     0,     0,     0,  1235,  2168,  2169,  2170,     0,  2171,
    2172,  2173,  2174,  2175,  2176,     0,     0,  4048,     0,  4352,
    4353,  2163,     0,     0,  2164,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,  1748,     0,  1749,  2165,     0,  2929,
    2166,     0,     0,     0,     0,     0,  1750,     0,     0,   981,
       0,     0,     0,     0,  1751,     0,     0,     0,     0,     0,
       0,     0,     0,  1752,  1159,  1165,  1165,   703,     0,  1165,
    1172,     0,  1159,   685,  1062,     0,  1196,     0,   685,  1237,
    1062,     0,  1062,     0,     0,     0,  1165,   685,  1062,     0,
       0,     0,     0,   689,  2398,     0,  1223,     0,  1754,     0,
       0,  1062,     0,  1159,     0,     0,  1165,   837,   703,     0,
    1165,     0,  2167,     0,   685,     0,  1196,     0,   685,  1276,
       0,     0,     0,  2399,     0,     0,  1165,     0,     0,   685,
       0,     0,  1238,     0,     0,     0,  1239,     0,  1240,     0,
       0,     0,     0,     0,  1241,     0,     0,  1242,     0,     0,
    2066,     0,     0,  1304,     0,     0,     0,  1159,     0,     0,
       0,     0,   703,     0,     0,  2151,  1159,     0,  2152,  1196,
       0,   983,     0,  1243,     0,  1244,     0,     0,     0,  1245,
       0,  1756,     0,     0,  1165,  2153,     0,  1246,     0,     0,
       0,   983,  1247,  2155,     0,  1367,     0,     0,     0,  2156,
       0,     0,  2168,  2169,  2170,  2809,  2171,  2172,  2173,  2174,
    2175,  2176,     0,     0,  2809,     0,  3931,  1248,     0,  2151,
       0,     0,  2152,  2157,     0,     0,     0,     0,     0,     0,
    2470,  2809,  2809,     0,     0,     0,     0,  1062,     0,     0,
    4067,     0,     0,     0,     0,     0,     0,  2155,     0,  1062,
    1421,   677,     0,  2156,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1528,  2157,  2998,     0,
     703,  1062,     0,  3002,  1304,     0,  3005,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1062,
       0,  2544,     0,  1062,     0,     0,     0,     0,  3028,     0,
       0,  1528,     0,     0,     0,     0,     0,     0,     0,     0,
    2066,  1062,     0,  2158,     0,     0,     0,  2159,     0,     0,
       0,     0,     0,  1062,   981,     0,     0,     0,     0,     0,
       0,     0,  3072,     0,     0,     0,     0,     0,  2160,  2161,
     981,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2162,     0,  2586,     0,  4562,  3086,
       0,   685,   685,     0,     0,     0,     0,  2158,     0,     0,
       0,  2159,     0,     0,     0,     0,     0,     0,     0,  2163,
    4717,     0,  2164,  3119,  4578,  4579,   811,     0,     0,     0,
    4717,     0,  2160,  2161,     0,  2165,     0,     0,  2166,     0,
     981,     0,  3140,     0,  1062,  3150,     0,     0,  2162,     0,
       0,     0,  1165,  1165,  2653,  1385,  1386,     0,     0,     0,
       0,     0,     0,  3162,  4217,     0,     0,  2809,  3789,     0,
       0,     0,     0,  3171,     0,     0,  2164,     0,     0,  4232,
       0,     0,  3345,  4759,     0,  2151,  3194,     0,  2152,  2165,
       0,     0,     0,     0,  1159,  3201,     0,     0,  3354,  3355,
       0,     0,  3357,     0,  1159,  2153,     0,  1196,  3361,     0,
    2167,   811,     0,  2155,     0,     0,     0,     0,     0,  2156,
    1165,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1062,     0,     0,     0,     0,     0,
    1165,  1165,     0,  2157,     0,  2151,     0,     0,  2152,     0,
       0,     0,     0,     0,  1062,  1062,  1062,  1165,  4807,  1159,
       0,     0,     0,  1942,  2167,  2153,     0,     0,     0,     0,
       0,     0,     0,  2155,     0,     0,     0,  3395,     0,  2156,
       0,     0,     0,     0,     0,     0,     0,     0,   981,     0,
       0,  1165,  1165,  1165,     0,     0,     0,     0,     0,     0,
    2168,  2169,  2170,  2157,  2171,  2172,  2173,  2174,  2175,  2176,
       0,  1304,     0,     0,  3978,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1528,     0,     0,     0,
    4709,     0,     0,     0,     0,     0,  1304,     0,     0,     0,
       0,     0,     0,  2158,     0,     0,     0,  2159,     0,  2845,
       0,     0,     0,     0,  2168,  2169,  2170,     0,  2171,  2172,
    2173,  2174,  2175,  2176,     0,     0,  2041,  2041,  2160,  2161,
       0,  1062,     0,   992,     0,     0,     0,     0,     0,     0,
       0,     0,  2151,     0,  2162,  2152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2075,     0,     0,  1062,     0,
       0,  2081,  1304,  2158,     0,     0,     0,  2159,     0,  2163,
    2155,     0,  2164,  1528,     0,     0,  2156,     0,     0,     0,
       0,     0,     0,     0,     0,  2165,  2319,     0,  2160,  2161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2157,     0,  1528,     0,  2162,     0,     0,     0,    74,     0,
       0,     0,   981,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2163,
    1528,  1528,  2164,  1528,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2165,     0,     0,  2166,     0,
    1528,  2151,     0,     0,  2152,     0,     0,     0,     0,     0,
    2167,     0,  3493,     0,   981,     0,     0,     0,     0,     0,
     703,   703,     0,     0,     0,     0,     0,  4453,  4454,  2155,
       0,     0,  4457,  4458,  1304,  2156,     0,     0,     0,     0,
       0,     0,  1304,  1304,     0,     0,     0,     0,     0,  1062,
   -2572,     0,  1528,     0,  2159,     0,     0,     0,     0,  2157,
       0,     0,  3621,     0,     0,     0,     0,     0,     0,     0,
    2167,     0,     0,     0,     0,  2160,  2161,     0,     0,     0,
       0,  1528,     0,     0,     0,  1528,  1528,     0,     0,     0,
       0, -2572,     0,     0,     0,  1062,  1062,  2286,     0,     0,
    2168,  2169,  2170,     0,  2171,  2172,  2173,  2174,  2175,  2176,
       0,     0,  3789,  3789,  3789,  3789,  3789,     0,     0,  2164,
     981,  3993,     0,   703,     0,   685,     0,     0,     0,     0,
       0,     0,  2165,     0,     0,  3668,     0,  3670,     0,     0,
       0,     0,     0,     0,     0,     0,  3091,     0,   811,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2572,
    2168,  2169,  2170,  2159,  2171,  2172,  2173,  2174,  2175,  2176,
       0,     0,  3600,     0,  4053,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2160,  2161,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2572,     0,     0,     0,     0,     0,     0, -2572,     0,   983,
       0,   983,     0,   983,     0,     0,     0,     0,     0,   983,
    1062,  2439,     0,     0,  3728,     0,     0,  1062,  2164,  3735,
    1165,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2165,   983,   983,     0,  1196,     0,     0,     0,     0,
       0,     0,  1062,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1741,     0,     0,     0,     0,
       0,  1742,  1062,     0,     0,     0,     0,  3244,     0,     0,
    1165,  1165,  1165,  1165,  1062,     0,  4605,     0,     0,  2151,
       0,     0,  2152,   685,     0,     0,  1773,     0,  1062,     0,
       0,  2171,  2172,  2173,  2174,  2175,  2176,  3686,     0,     0,
    2541,  1743,  1062,     0,  3698,     0, -2572,  2155,     0,     0,
    1165,  1165,     0,  2156,     0,     0,  1165,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   981,
       0,     0,  1774,     0,     0,     0,     0,  2157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1744,   983,     0,     0,     0,     0,     0,  1745,     0,     0,
    1746,     0,     0,  1165,     0,   689,   689,     0,  3887,     0,
    1669,     0,  3890,  3891,  3740,  3893,     0,  3895,  3896,     0,
       0,   685,     0,     0,     0,     0,  3901,  1165,  1165,  1165,
    1165,     0,     0,     0,     0,   811,     0,   685,     0,     0,
    2171,  2172,  2173,  2174,  2175,  2176,  2541,     0,     0,  1775,
       0,     0,  1747,     0,   983,     0,     0,     0,     0,  3918,
       0,  1159,     0,     0,     0,     0,     0,     0,   703,     0,
    1159,     0,     0,     0,     0,     0,  3389,  2158,     0,     0,
    1196,  2159,   811,     0,     0,  1165,     0,     0,     0,     0,
     811,     0,     0,     0,  1165,  1776,   685,  1777,     0,     0,
    1165,  1165,  2160,  2161,     0,     0,     0,  1778,     0,  1749,
       0,     0,     0,     0,  1062,     0,     0,  1367,  2162,  1750,
       0,     0,     0,     0,     0,     0,     0,  1751,     0,     0,
       0,     0,     0,     0,     0,  1779,  1752,     0,     0,     0,
       0,     0,     0,  2163,     0,     0,  2164,     0,  2041,     0,
       0,     0,     0,     0,     0,  1165,     0,  1159,     0,  2165,
       0,  1062,  1062,     0,  1165,     0,  2527,  1780,     0,     0,
    1062,  1754,  1781,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3909,     0,     0,   992,   992,     0,     0,
    2752,     0,     0,     0,  1528,  1528,  1782,     0,     0,     0,
       0,  3919,  1528,     0,     0,  1528,     0,  1783,     0,  1528,
       0,     0,     0,     0,     0,     0,     0,  1528,  1528,     0,
       0,     0,     0,     0,     0,  1528,  4797,  1196,  1528,  1528,
    1528,  1528,     0,     0,  2167,     0,     0,     0,  1528,  1528,
     983,  1528,     0,  1528,  1528,     0,     0,  1528,     0,     0,
       0,     0,     0,     0,  1756,     0,     0,     0,     0,     0,
       0,     0,     0,  1528,     0,     0,     0,  1165,  1528,     0,
       0,     0,  1528,     0,     0,     0,  1528,     0,  1528,  1528,
    1528,  1528,  1528,  1528,  1528,  1528,  1528,     0,  1528,     0,
       0,     0,     0,  1062,  1528,     0,     0,  1528,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1062,     0,
       0,     0,     0,     0,  2168,  2169,  2170,     0,  2171,  2172,
    2173,  2174,  2175,  2176,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1062,     0,  1062,     0,  1528,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3625,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2962,     0,  2969,     0,  2151,
       0,     0,  2152,     0,     0,     0,     0,  4918,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2153,
       0,     0,     0,     0,   685,     0,     0,  2155,     0,     0,
       0,   983,     0,  2156,     0,     0,   983,   983,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4108,     0,     0,
       0,   685,     0,     0,  4918,     0,   685,  2157,     0,   685,
     703,     0,  4918,     0,     0,   992,     0,   992,     0,     0,
       0,  3695,     0,  3697,     0,     0,     0,     0,     0,     0,
       0,   685,     0,     0,  1528,     0,     0,     0,     0,     0,
    1159,     0,  1165,  1165,  1165,     0,  1159,  1196,     0,  1165,
       0,  1165,     0,  1165,  1165,     0,     0,  1062,     0,     0,
       0,     0,     0,     0,     0,   685,     0,     0,     0,   689,
       0,     0,     0,     0,  4168,     0,  3729,  4171,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   685,     0,     0,  2439,     0,     0,     0,     0,
    3743,  3092,     0,     0,     0,  4306,  3101,  2158,     0,     0,
       0,  2159,  1062,  4309,  4310,     0,   685,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3132,  3132,     0,
       0,     0,  2160,  2161,   703,   685,     0,     0,   685,     0,
       0,     0,   983,     0,     0,     0,     0,     0,  2162,  1165,
     983,     0,     0,   917,     0,     0,   685,     0,     0,     0,
       0,     0,     0,     0,     0,   918,   685,     0,     0,     0,
       0,     0,     0,  2163,     0,  3189,  2164,  3191,  3193,   685,
       0,     0,     0,     0,     0,     0,   919,     0,   685,  2165,
       0,     0,  2166,     0,     0,     0,     0,   983,     0,   920,
     983,   983,     0,  3091,     0,  1165,     0,     0,     0,     0,
       0,     0,   921,  1165,  1165,  1165,  1165,  1165,  1165,     0,
    2151,     0,     0,  2152,     0,     0,     0,     0,  1528,   922,
    3888,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2153,     0,     0,     0,     0,     0,     0,     0,  2155,     0,
     923,  2439,     0,     0,  2156,  3132,  1062,     0,     0,     0,
     992,     0,     0,   983,  2167,     0,     0,     0,   924,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2157,   925,
       0,     0,     0,     0,   926,     0,  3189,     0,     0,     0,
     927,     0,     0,  1165,  3316,     0,     0,     0,  3930,     0,
       0,     0,     0,  1304,  1942,   928,     0,     0,     0,     0,
       0,     0,     0,  4431,     0,     0,     0,     0,  3936,     0,
       0,  1165,     0,  1165,  3132,  1165,  3132,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1304,     0,     0,  3958,  4447,  4448,     0,     0,  1528,     0,
       0,     0,     0,     0,  2168,  2169,  2170,     0,  2171,  2172,
    2173,  2174,  2175,  2176,     0,     0,     0,     0,  4080,  2041,
       0,     0,     0,     0,     0,     0,     0,     0,  2158,  2066,
     929,     0,  2159,     0,     0,     0,     0,   685,     0,     0,
     930,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4471,  4472,     0,  2160,  2161,     0,     0,     0,   837,   685,
       0,     0,     0,  1159,     0,     0,     0,     0,  1159,  2162,
       0,  2151,     0,     0,  2152,     0,     0,     0,  1165,     0,
       0,     0,     0,   931,  1528,  1528,     0,   932,     0,   933,
    1528,  2153,     0,     0,  2163,   934,     0,  2164,   935,  2155,
       0,     0,     0,     0,     0,  2156,     0,     0,     0,     0,
    2165,     0,     0,  2166,     0,  1528,  1528,     0,     0,     0,
    1528,     0,     0,     0,   936,     0,   937,     0,     0,  2157,
     938,     0,  1528,  1528,  1528,  1528,     0,     0,   939,     0,
       0,  4450,     0,   940,     0,  1528,     0,     0,  1528,     0,
    1528,  3476,     0,  4460,     0,   941,     0,     0,     0,     0,
    1528,  1528,     0,     0,  1528,     0,     0,     0,   942,     0,
       0,  4551,     0,  4552,  4553,     0,     0,  1528,     0,  1528,
       0,  1196,     0,  1528,  4556,  2167,     0,     0,     0,     0,
       0,  2151,     0,     0,  2152,     0,     0,     0,     0,  1528,
       0,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
    3521,  2153,  1528,  1528,  1528,     0,     0,     0,     0,  2155,
       0,     0,     0,     0,     0,  2156,     0,     0,     0,  2158,
       0,     0,  1304,  2159,     0,     0,  1528,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1528,  2157,
       0,     0,     0,  1528,  2160,  2161,     0,  1062,     0,     0,
    1528,     0,     0,     0,     0,     0,  3521,     0,     0,  3581,
    2162,     0,     0,  2969,     0,  2168,  2169,  2170,   810,  2171,
    2172,  2173,  2174,  2175,  2176,     0,     0,     0,     0,  4329,
       0,     0,     0,     0,     0,  2163,     0,     0,  2164,     0,
       0,     0,     0,     0,     0,   685,     0,     0,     0,     0,
       0,  2165,     0,     0,  2166,     0,     0,     0,     0,     0,
       0,     0,     0,   810,     0,     0,  1528,     0,  3132,     0,
       0,     0,     0,  2041,     0,     0,   983,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1304,     0,     0,  2158,
       0,     0,     0,  2159,  1165,     0,  1165,  1165,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1023,
       0,  4263,     0,     0,  2160,  2161,     0,  1023,     0,  1023,
       0,     0,     0,     0,   983,     0,  2167,     0,   689,     0,
    2162,   810,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1669,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2163,     0,     0,  2164,     0,
       0,     0,     0,  4708,     0,     0,     0,     0,     0,     0,
       0,  2165,     0,     0,  2166,     0,     0,     0,     0,     0,
     685,     0,     0,     0,     0,     0,     0,   685,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2151,     0,
       0,  2152,     0,     0,     0,     0,  2168,  2169,  2170,  4734,
    2171,  2172,  2173,  2174,  2175,  2176,     0,     0,  2153,  1741,
    4363,     0,     0,     0,     0,  1742,  2155,     0,     0,     0,
       0,     0,  2156,     0,     0,     0,  2167,     0,     0,     0,
       0,     0,  4760,     0,     0,     0,     0,   685,     0,     0,
    1773,     0,     0,     0,     0,  2066,  2157,  3132,  3132,     0,
       0,     0,     0,     0,     0,  1743,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3790,   983,     0,     0,
       0,     0,     0,     0,     0,   983,  1774,   983,     0,     0,
       0,     0,     0,     0,     0,     0,  1304,     0,  1304,     0,
       0,     0,  1062,     0,  1744,     0,     0,     0,     0,     0,
       0,  1745,     0,     0,  1746,     0,  2168,  2169,  2170,     0,
    2171,  2172,  2173,  2174,  2175,  2176,  2041,  1062,     0,     0,
    4572,     0,     0,     0,     0,  1062,     0,     0,     0,  1062,
       0,     0,     0,     0,     0,     0,  2158,     0,     0,     0,
    2159,     0,     0,  1062,     0,     0,  4432,     0,     0,  1304,
       0,     0,     0,  1775,     0,     0,  1747,     0,   703,     0,
       0,  2160,  2161,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1165,  4446,     0,  1165,  2162,     0,   685,
       0,     0,     0,     0,     0,     0,  4455,     0,     0,     0,
       0,     0,     0,  1159,     0,     0,   685,     0,     0,  1776,
       0,  1777,  2163,     0,     0,  2164,     0,     0,     0,     0,
       0,  1778,  1062,  1749,   685,     0,     0,     0,  2165,     0,
    1165,  2166,     0,  1750,     0,     0,     0,     0,  1528,     0,
    4470,  1751,     0,     0,     0,     0,     0,     0,  1528,  1779,
    1752,     0,     0,     0,  1528,  4906,  1528,     0,     0,     0,
       0,     0,  1528,     0,     0,  1528,  1528,  1528,  1528,  1528,
    1528,  1528,  1528,  1528,  1528,     0,     0,     0,  1528,  1528,
       0,  3152,     0,     0,     0,  1754,  1781,     0,     0,     0,
       0,  1528,     0,     0,     0,  1528,     0,     0,     0,  1528,
       0,     0,     0,  2167,     0,     0,     0,     0,     0,  1528,
    3153,     0,  1528,     0,  1528,   983,     0,     0,     0,     0,
       0,  1783,     0,  1528,  1528,  1528,     0,     0,     0,  1528,
       0,     0,  1528,     0,     0,     0,     0,     0,     0,  1062,
    1062,  1062,  3521,  4011,     0,     0,     0,  4011,  4024,     0,
       0,     0,  1528,  2151,     0,     0,  2152,     0,  4038,     0,
    1528,     0,  1528,     0,     0,     0,     0,     0,  1756,     0,
       0,  1741,     0,  2153,     0,     0,     0,  1742,     0,     0,
       0,  2155,     0,     0,     0,     0,     0,  2156,     0,     0,
       0,     0,  2066,  2168,  2169,  2170,     0,  2171,  2172,  2173,
    2174,  2175,  2176,     0,     0,     0,  1528,  4614,     0,     0,
       0,  2157,  1528,     0,     0,     0,  2969,  1743,  1528,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4086,  2041,  2041,     0,  2541,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1165,  1165,  1165,  1165,     0,  1744,     0,     0,     0,
     685,     0,     0,  1745,     0,     0,  1746,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   810,     0,  4129,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,     0,
       0,  2158,     0,  1161,     0,  2159,   983,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1747,     0,
       0,     0,     0,     0,     0,     0,  2160,  2161,     0,     0,
       0,     0,     0,     0,  1161,     0,     0,   685,     0,     0,
     685,     0,  2162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4184,     0,     0,     0,     0,     0,
       0,  2151,     0,     0,  2152,     0,     0,  2163,     0,     0,
    2164,     0,     0,  1748,     0,  1749,     0,     0,     0,     0,
    1304,     0,     0,  2165,     0,  1750,  2166,     0,  1161,  2155,
       0,     0,     0,  1751,     0,  2156,     0,  1161,     0,     0,
       0,     0,  1752,     0,     0,     0,     0,     0,  3790,     0,
       0,  2066,     0,     0,     0,     0,  1062,     0,     0,  2157,
       0,     0,     0,     0,     0,     0,     0,  1165,     0,  1528,
       0,     0,     0,  3088,     0,  1062,     0,  1754,     0,     0,
       0,  3729,     0,     0,     0,     0,     0,  2439,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1062,  2167,     0,
       0,     0,  1755,     0,     0,     0,  3189,     0,     0,  2151,
       0,  4282,  2152,     0,     0,  2439,  1741,     0,     0,     0,
    2066,  3994,  1742,     0,  2066,  2066,     0,  1528,  1528,  2153,
       0,     0,     0,     0,     0,     0,     0,  2155,     0,     0,
       0,     0,     0,  2156,     0,     0,     0,  1161,     0,     0,
       0,     0,  3132,  1023,  3132,     0,     0,  1023,     0, -2572,
    1756,     0,  1743,  2159,     0,     0,     0,  2157,     0,     0,
       0,   685,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,     0,  2160,  2161,     0,  1528,  2168,  2169,
    2170,     0,  2171,  2172,  2173,  2174,  2175,  2176,     0,     0,
   -2572,     0,  4659,     0,     0,     0,     0,     0,     0,  1179,
       0,  1744,     0,     0,     0,  1200,     0,     0,  1745,     0,
       0,  1746,     0,  1211,  1528,     0,     0,     0,  2164,     0,
       0,  1221,     0,     0,  1528,  1528,  1252,     0,     0,     0,
       0,  2165,  1528,  1528,     0,   824,     0,  1528,     0,     0,
       0,     0,     0,  1528,  1528,     0,     0,  1528,     0,  1062,
    1062,  1062,  1062,     0,   983,     0,  4011,  2158,     0,  4369,
       0,  2159,  3521,  1747,     0,     0,  3521,   983,     0,     0,
       0,     0,  4382,     0,     0,  1528,     0,     0,     0,     0,
    1528,   825,  2160,  2161,     0,     0,  4392,     0,     0,     0,
       0,     0,  1528,     0,   826,     0,     0,     0,  2162,     0,
       0,  1196,     0,     0,     0,     0, -2572,     0,     0,  3581,
       0,   827,     0,  2969,     0,     0,     0,   828,  1748,     0,
    1749,     0,     0,  2163,     0,  1161,  2164,     0,   992,     0,
    1750,  1528,   829,     0,     0,  1161,     0,     0,  1751,  2165,
       0,     0,  2166,     0,     0,     0,     0,  1752,     0,     0,
     830,  3132,  3132,     0,     0,     0,     0,  1890,     0,     0,
       0,   831,     0,     0,     0,     0,   832,     0,     0,     0,
       0,     0,   833,     0,  1420,  4445,     0,     0,  3164,     0,
       0,     0,  1754,     0,   685,     0,     0,   834,     0,     0,
    1161,     0,     0,     0,     0,     0,   685,     0,     0,     0,
    2171,  2172,  2173,  2174,  2175,  2176,  1546,  3165,     0,     0,
       0,     0,   835,   983,  2167,  1165,     0,     0,     0,     0,
       0,     0,     0,     0,  1570,     0,     0,     0,     0,  1165,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1596,     0,     0,     0,
       0,     0,     0,     0,     0,  1304,     0,  1161,     0,     0,
       0,     0,   836,  2041,     0,  1756,     0,     0,     0,     0,
       0,     0,  3790,  3790,  3790,  3790,  3790,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     837,     0,     0,     0,     0,     0,  1528,  2151,     0,     0,
    2152,     0,     0,     0,  2168,  2169,  2170,     0,  2171,  2172,
    2173,  2174,  2175,  2176,     0,   838,  1890,     0,  4845,     0,
       0,   839,     0,  1165,  2439,  2155,     0,   840,     0,     0,
     841,  2156,     0,     0,     0,     0,     0,  2151,     0,     0,
    2152,     0,     0,     0,  1161,     0,     0,     0,     0,     0,
       0,  1062,     0,  4550,     0,  2157,   842,     0,   843,     0,
       0,     0,   844,     0,     0,  2155,     0,     0,     0,   685,
     845,  2156,     0,  1161,     0,   846,     0,     0,     0,     0,
       0,  1528,     0,     0,     0,     0,     0,   847,     0,     0,
    1528,     0,     0,     0,     0,  2157,     0,     0,     0,     0,
     848,  1161,  1161,     0,  1161,     0,     0,  1528,  1528,     0,
       0,  1528,     0,     0,     0,     0,     0,  3997,  4011,     0,
       0,  1161,  3521,     0,     0,     0,     0,  3521,     0,  1904,
    3521,  3189,     0,  4594,     0,  1528,  1528,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1929,
    1932,  1933,     0,     0,     0, -2572,     0,  4361,     0,  2159,
       0,     0,   685,     0,   685,     0,     0,     0,  4086,  1196,
    1165,  1165,  1165,  1161,   810,     0,     0,     0,     0,     0,
    2160,  2161,     0,     0,     0,     0,     0,     0,  2151,     0,
       0,  2152,     0,     0,     0, -2572, -2572,     0,   983,  2159,
       0,     0,  1161,  1159,  1196,     0,  1161,  1161,  2153,     0,
       0,     0,     0,     0,   983,     0,  2155,     0,     0,     0,
    2160,  2161,  2156,     0,  2164,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2041,     0, -2572,  2165,     0,     0,
    1159,     0,     0,     0,     0,     0,  2157,     0,     0,  1062,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3132,     0,  2439,     0,  2164,     0,  1546,     0,     0,     0,
       0,     0,     0,     0,   983,  4282,     0,  2165,     0,     0,
    1062,     0,     0,     0,  1890,     0,     0,     0,  1165,  4086,
     810,     0,     0,  1546,     0,     0,     0,  1023,     0,     0,
       0,     0,     0,     0,     0,     0,  1889,     0,     0,     0,
       0,     0, -2572,  1528,     0,     0,  1528,     0,  1528,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1023,
       0,     0,     0,     0,     0,  1528,     0,  1890,     0,  3521,
       0,     0,  4594,     0,     0,     0,  2158,     0,  4728,     0,
    2159,     0, -2572,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1890,     0,     0,     0,     0,     0,
    1165,  2160,  2161,     0,  1062,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2162,     0,     0,
       0,  1165,  1165,  1165,  1165,     0,     0,     0,     0,     0,
       0,  1304,     0,     0,     0,     0,  2171,  2172,  2173,  2174,
    2175,  2176,  2163,     0,     0,  2164,  1023,     0,     0,     0,
       0,  1528,   983,     0,     0,     0,     0,     0,  2165,     0,
       0,  2166,     0,     0,  2235,  1890,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2171,  2172,  2173,  2174,
    2175,  2176,     0,     0,  1890,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1889,     0,     0,     0,     0,
       0,     0,  1890,     0,     0,     0,     0,     0,     0,  1528,
       0,  2284,     0,     0,     0,  1165,     0,  1196,  2151,     0,
       0,  2152,     0,     0,     0,   810,  1528,     0,     0,     0,
    1890,     0,     0,  2167,     0,     0,     0,     0,  2153,     0,
       0,     0,  2939,     0,     0,     0,  2155,     0,     0,     0,
       0,     0,  2156,     0,     0,     0,     0,  1165,     0,     0,
       0,  1159,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4086,     0,     0,     0,     0,  2157,     0,     0,     0,
    4550,     0,  1161,     0,     0,     0,     0,     0,  1890,  4728,
       0,  1161,  1528,  1528,     0,   685,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1159,     0,     0,     0,     0,
       0,     0,     0,  1165,     0,     0,   983,     0,     0,     0,
       0,  2940,     0,  2168,  2169,  2170,     0,  2171,  2172,  2173,
    2174,  2175,  2176,     0,     0,  2434,     0,  4930,     0,     0,
       0,  1528,  2451,     0,     0,     0,     0,     0,     0,     0,
       0,  1528,     0,     0,     0,     0,  1165,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2480,   983,     0,
       0,     0,     0,     0,     0,     0,  2158,     0,  1161,     0,
    2159,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2514,
       0,  2160,  2161,     0,     0,     0,     0,     0,     0,  1528,
       0,     0,     0,  2530,     0,  1161,  1161,  2162,  1159,     0,
       0,     0,     0,  1161,     0,     0,  1161,  2542,     0,     0,
    1161,     0,     0,     0,     0,     0,     0,  1887,  1161,  1161,
       0,     0,  2163,     0,     0,  2164,  1161,     0,     0,  1161,
    1161,  1161,  1161,     0,     0,     0,     0,     0,  2165,  1161,
    1161,  2166,  1161,  1889,  1161,  1161,     0,     0,  1161,     0,
       0,     0,     0,     0,   983,     0,     0,     0,     0,     0,
       0,     0,     0,  1890,  1161,   810,     0,     0,     0,  1161,
       0,     0,     0,  1161,     0,     0,     0,  1161,     0,  1161,
    1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1741,  1161,
       0,     0,     0,     0,  1742,  1161,  2431,     0,  1161,     0,
       0,     0,     0,     0,  2151,     0,     0,  2152,     0,     0,
       0,     0,     0,  2167,     0,     0,     0,     0,     0,     0,
       0,     0,  2151,  1889,  2153,  2152,     0,     0,     0,     0,
       0,     0,  2155,     0,  1743,     0,     0,     0,  2156,     0,
       0,     0,  2153,     0,     0,     0,     0,     0,     0,     0,
    2155,     0,     0,     0,     0,     0,  2156,     0,     0,     0,
    1161,     0,  2157,     0,  2941,     0,     0,     0,     0,     0,
       0,     0,  2151,     0,     0,  2152,  1887,     0,     0,  2691,
    2157,     0,     0,  1744,     0,     0,     0,     0,     0,     0,
    1745,     0,  2153,  1746,  1889,     0,     0,     0,     0,     0,
    2155,     0,     0,  2168,  2169,  2170,  2156,  2171,  2172,  2173,
    2174,  2175,  2176,  1889,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1546,  1546,     0,     0,
    2157,  1889,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3448,     0,     0,     0,  1747,  3449,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   810,     0,     0,  1889,
       0,     0,  2158,     0,     0,     0,  2159,     0,     0,     0,
       0,     0,     0,   983,     0,     0,     0,     0,     0,     0,
    2158,     0,     0,     0,  2159,  1161,     0,  2160,  2161,     0,
       0,  1161,     0,     0,     0,     0,     0,  1161,     0,     0,
    1748,     0,  1749,  2162,     0,  2160,  2161,     0,  4904,     0,
       0,     0,  1750,     0,     0,     0,     0,  1889,  2217,     0,
    1751,  2162,     0,     0,     0,     0,     0,  1023,  2163,  1752,
    2158,  2164,     0,  1890,  2159,     0,     0,     0,  1890,  1890,
       0,     0,     0,     0,  2165,     0,  2163,  2166,  1741,  2164,
    1890,     0,     0,     0,  1742,  2160,  2161,     0,  2898,     0,
    3202,     0,  2165,     0,  1754,  2166,   810,     0,     0,   810,
       0,  2162,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2918,  3970,     0,     0,     0,     0,  3203,
       0,     0,     0,     0,  1743,     0,  2163,     0,     0,  2164,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2165,     0,     0,  2166,     0,     0,     0,  2167,
    2931,     0,  2934,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4905,     0,     0,     0,     0,  2167,     0,     0,
       0,     0,     0,  1744,  1887,     0,     0,  1756,     0,     0,
    1745,  3971,     0,  1746,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1021,     0,     0,     0,     0,     0,     0,
       0,  1021,     0,  1021,     0,     0,     0,     0,     0,  1161,
       0,  1890,     0,     0,     0,     0,     0,  2167,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1887,     0,     0,
       0,     0,     0,     0,     0,  1747,     0,     0,     0,  2168,
    2169,  2170,  1889,  2171,  2172,  2173,  2174,  2175,  2176,     0,
       0,     0,     0,     0,  1887,     0,     0,  2168,  2169,  2170,
    4798,  2171,  2172,  2173,  2174,  2175,  2176,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2911,     0,     0,
       0,  1890,     0,     0,     0,     0,     0,     0,     0,     0,
    1748,     0,  1749,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1750,     0,     0,     0,     0,  2168,  2169,  2170,
    1751,  2171,  2172,  2173,  2174,  2175,  2176,     0,     0,  1752,
       0,     0,     0,     0,     0,  1887,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1887,     0,     0,     0,     0,     0,
    3645,     0,     0,  2151,  1754,     0,  2152,  3110,     0,     0,
       0,     0,  1887,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2153,     0,     0,  3411,     0,     0,  3646,
    1890,  2155,     0,     0,     0,     0,     0,  2156,     0,     0,
    1887,     0,     0,     0,  1161,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2157,     0,     0,     0,  1161,  1161,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1756,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,  1161,  1887,     0,
       0,  1161,     0,     0,     0,  2151,     0,     0,  2152,     0,
       0,     0,     0,  1161,  1161,  1161,  1161,     0,     0,     0,
       0,   810,     0,     0,     0,  2153,  1161,   810,     0,  1161,
       0,  1161,     0,  2155,     0,     0,     0,     0,     0,  2156,
       0,  1161,  1161,     0,     0,  1161,     0,     0,     0,     0,
       0,  3286,     0,     0,     0,     0,     0,     0,  1161,     0,
    1161,  2158,  3077,  2157,  1161,  2159,     0,  2431,  3084,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1889,
    1161,     0,     0,     0,     0,     0,  2160,  2161,     0,     0,
       0,  1161,     0,  1161,  1161,  1161,     0,     0,     0,     0,
       0,     0,  2162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2163,     0,  1161,
    2164,     0,     0,     0,  1161,     0,     0,     0,     0,     0,
       0,  1161,     0,  2165,     0,     0,  2166,  1161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2158,     0,     0,     0,  2159,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2160,  2161,
       0,     0,     0,  1887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2162,     0,     0,  1161,     0,     0,
    1889,     0,     0,     0,     0,     0,     0,     0,  2167,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2163,
    1890,     0,  2164,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2165,     0,     0,  2166,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3426,     0,     0,     0,     0,     0,     0,     0,
    1890,  1890,     0,  1890,     0,     0,     0,     0,     0,     0,
    2431,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   810,   810,   810,     0,     0,     0,  2168,  2169,
    2170,     0,  2171,  2172,  2173,  2174,  2175,  2176,     0,     0,
    2167,     0,     0,     0,     0,  1890,  2151,  1890,     0,  2152,
       0,     0,     0,     0,     0,     0,  2151,     0,     0,  2152,
       0,     0,     0,     0,     0,     0,  2153,     0,  3508,  3456,
       0,     0,     0,     0,  2155,     0,  2153,     0,     0,  1157,
    2156,     0,     0,     0,  2155,     0,     0,  1157,     0,     0,
    2156,     0,     0,     0,     0,     0,     0,     0,     0,  1889,
    1890,     0,     0,     0,  2157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2157,     0,     0,     0,  1157,     0,
       0,     0,  1546,     0,  1890,     0,     0,     0,     0,     0,
    2168,  2169,  2170,     0,  2171,  2172,  2173,  2174,  2175,  2176,
       0,     0,     0,     0,     0,     0,   810,     0,     0,     0,
       0,  1890,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   810,  1890,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,  1887,     0,     0,     0,     0,  1887,  1887,
       0,     0,     0,     0,     0,     0,     0,     0,  3461,     0,
    1887,     0,     0,     0,  2158,     0,     0,     0,  2159,     0,
       0,     0,     0,     0,  2158,     0,     0,     0,  2159,     0,
       0,     0,     0,     0,     0,     0,     0,  1890,     0,  2160,
    2161,     0,     0,     0,     0,     0,     0,     0,     0,  2160,
    2161,  1890,     0,     0,     0,  2162,     0,     0,     0,     0,
       0,     0,     0,     0,  1890,  2162,     0,     0,     0,     0,
       0,     0,  2911,  2911,  2911,     0,     0,     0,     0,     0,
    2163,     0,     0,  2164,     0,     0,     0,     0,     0,     0,
    2163,     0,     0,  2164,  1161,     0,  2165,     0,     0,  2166,
       0,  1157,     0,     0,     0,     0,  2165,  1021,     0,  2166,
       0,  1021,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,  1890,     0,     0,     0,  1157,     0,     0,  1161,
       0,  1887,     0,     0,     0,  1161,     0,  1161,     0,     0,
       0,     0,  1890,  1161,     0,     0,  1161,  1161,  1161,  1161,
    1161,  1161,  1161,  1161,  1161,  1161,     0,     0,     0,  1161,
    1161,  2167,     0,     0,     0,     0,     0,  1890,     0,     0,
       0,  2167,  1161,     0,     0,     0,  1161,     0,   810,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1161,     0,     0,  1161,     0,  1161,     0,     0,     0,  1889,
       0,  1887,     0,  1890,  1161,  1161,  1161,     0,     0,     0,
    1161,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,  2431,
    3084,  1161,  3084,  1161,     0,     0,     0,  3825,     0,     0,
       0,  2168,  2169,  2170,     0,  2171,  2172,  2173,  2174,  2175,
    2176,  2168,  2169,  2170,     0,  2171,  2172,  2173,  2174,  2175,
    2176,     0,  3840,     0,     0,     0,     0,     0,     0,  1157,
    3848,     0,     0,     0,  3853,     0,     0,  1161,     0,  1157,
       0,     0,     0,  1161,  1889,     0,  1889,     0,  3864,  1161,
    1887,     0,   863,     0,     0,     0,     0,     0,     0,     0,
       0,  1888,     0,     0,   864,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   865,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,     0,   866,  1889,
       0,     0,     0,     0,     0,     0,     0,   867,     0,     0,
       0,  -708,     0,     0,     0,     0,     0,  1546,     0,     0,
       0,     0,     0,  1889,     0,     0,     0,     0,   868,     0,
       0,     0,     0,     0,   869,     0,     0,     0,     0,     0,
     810,     0,     0,     0,   810,  1890,   810,     0,     0,   870,
    3084,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,  3084,     0,     0,     0,   871,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   872,     0,
       0,     0,     0,     0,     0,   873,     0,     0,     0,   874,
       0,     0,     0,     0,     0,     0,     0,  2151,     0,     0,
    2152,     0,     0,     0,  -904,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2153,     0,     0,
    1888,     0,     0,     0,     0,  2155,  1889,     0,     0,     0,
       0,  2156,     0,     0,  4003,  4004,  4005,     0,     0,     0,
    3084,     0,   875,     0,     0,     0,     0,     0,  1157,     0,
       0,     0,     0,  1889,     0,  2157,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2151,     0,
    1161,  2152,     0,     0,     0,     0,     0,  1157,     0,   876,
       0,     0,   877,     0,     0,     0,     0,     0,  2153,     0,
       0,  3467,     0,     0,     0,  1890,  2155,     0,     0,     0,
       0,     0,  2156,     0,     0,  1157,  1157,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1889,     0,     0,     0,  1157,  2157,  1890,  1161,  1161,
       0,     0,   878,     0,     0,     0,     0,     0,   879,     0,
       0,  1889,     0,     0,  -386,     0,     0,   880,     0,     0,
    1887,     0,     0,     0,     0,  2158,     0,     0,     0,  2159,
       0,     0,     0,     0,     0,     0,  1889,     0,     0,     0,
       0,     0,     0,  -386,     0,   881,   882,  1157,   883,   884,
    2160,  2161,     0,     0,     0,     0,     0,   885,  1161,     0,
    1887,  1887,   886,  1887,     0,     0,  2162,     0,   887,     0,
       0,   888,  1889,     0,   889,     0,  1157,     0,     0,     0,
    1157,  1157,     0,     0,     0,     0,     0,  -386,     0,     0,
       0,  2163,     0,     0,  2164,  1161,  2158,     0,     0,     0,
    2159,     0,     0,     0,     0,  1161,  1161,  2165,  1890,     0,
    2166,     0,  2911,  1161,  1161,  1887,     0,  1887,  1161,  1890,
       0,  2160,  2161,     0,  1161,  1161,     0,     0,  1161,     0,
       0,     0,     0,     0,     0,     0,     0,  2162,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,  1161,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,     0,  1888,     0,
       0,  1161,  2163,     0,     0,  2164,     0,     0,     0,     0,
    1887,  1021,     0,  1161,     0,     0,     0,     0,  2165,     0,
       0,  2166,  2167,     0,     0,     0,     0,     0,     0,     0,
       0,  4229,     0,     0,  1887,     0,     0,     0,     0,     0,
       0,     0,     0,  1021,     0,     0,     0,     0,  3927,     0,
    4255,  1888,  1161,     0,     0,     0,     0,     0,     0,     0,
       0,  1887,     0,     0,     0,     0,     0,     0,     0,     0,
    1890,     0,  4265,     0,  1887,     0,     0,     0,  1888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   810,
       0,     0,     0,  2167,     0,     0,     0,     0,  1890,     0,
       0,     0,     0,     0,  3084,     0,     0,     0,     0,     0,
    1890,     0,  2168,  2169,  2170,     0,  2171,  2172,  2173,  2174,
    2175,  2176,     0,     0,     0,     0,     0,     0,     0,     0,
    1021,     0,     0,     0,     0,     0,     0,  1887,     0,  2151,
       0,     0,  2152,     0,     0,     0,     0,     0,     0,  1888,
       0,  1887,     0,     0,  1890,     0,     0,     0,     0,  2153,
       0,     0,  3977,     0,  1887,     0,     0,  2155,  1888,     0,
       0,     0,     0,  2156,   810,     0,     0,     0,     0,     0,
       0,     0,     0,  2168,  2169,  2170,  1888,  2171,  2172,  2173,
    2174,  2175,  2176,     0,     0,     0,     0,  2157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1888,     0,     0,  1161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1887,     0,  4364,  4365,  4366,  4367,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1887,     0,  1889,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,  1890,
       0,     0,  1888,     0,     0,  1157,     0,  1887,     0,     0,
       0,     0,     0,     0,     0,     0,  2431,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2158,     0,     0,
       0,  2159,  1161,     0,     0,     0,  1890,     0,     0,     0,
       0,  1161,     0,  1887,     0,     0,     0,     0,     0,     0,
       0,     0,  2160,  2161,     0,     0,     0,     0,  1161,  1161,
       0,     0,  1161,     0,     0,     0,     0,     0,  2162,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,  1161,     0,
       0,  1161,     0,     0,     0,     0,  1161,  1161,     0,     0,
       0,     0,  1157,  2163,     0,     0,  2164,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2165,
       0,     0,  2166,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,     0,  1889,     0,  1157,
    1157,     0,     0,     0,     0,     0,     0,  1157,  1889,     0,
    1157,     0,     0,     0,  1157,     0,     0,     0,     0,     0,
    1890,     0,  1157,  1157,  1161,     0,     0,     0,     0,     0,
    1157,     0,     0,  1157,  1157,  1157,  1157,     0,  2151,     0,
       0,  2152,     0,  1157,  1157,  2911,  1157,     0,  1157,  1157,
    2911,     0,  1157,     0,  2167,     0,     0,     0,  2153,     0,
       0,  1161,  2911,     0,     0,     0,  2155,  1888,  1157,     0,
       0,     0,  2156,  1157,     0,     0,     0,  1157,     0,     0,
       0,  1157,     0,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,     0,  1157,     0,     0,  2157,     0,     0,  1157,
       0,     0,  1157,     0,     0,  1887,     0,     0,     0,     0,
    1161,     0,  1890,     0,     0,     0, -2079,     0,     0,  1889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1161,  1890,  4546,  1161,     0,  1161,
       0,     0,     0,     0,  2168,  2169,  2170,  1889,  2171,  2172,
    2173,  2174,  2175,  2176,     0,     0,  1161,     0,     0,  1889,
    1161,     0, -2079,     0,  1157,  1890,     0,     0,     0,     0,
       0, -2081,     0,     0, -2079,     0,     0,     0, -2079,     0,
       0,     0,     0, -2079,     0,     0,     0,     0, -2079,     0,
       0, -2079,     0, -2079,     0,     0,  2158,     0,     0,     0,
    2159,   810,     0,  1889,  1890,     0,     0,     0,  1890,  1890,
       0,     0,     0,     0,     0,     0,     0, -2081,     0,     0,
   -2079,  2160,  2161,     0,     0,     0,     0,     0,     0, -2081,
       0,     0,     0, -2081,     0,     0,     0,  2162, -2081,     0,
       0, -2079,  1161, -2081,     0,     0, -2081,     0, -2081,     0,
       0,     0,     0,     0,     0,  1887,     0,     0,     0,     0,
       0,     0,  2163,     0,     0,  2164,     0,     0,     0,     0,
    1890,     0,     0,     0,     0, -2081,     0, -2079,  2165,     0,
       0,  2166,     0,     0,     0, -2079,     0,  1887,     0,  1157,
       0,     0,     0,     0,     0,  1157, -2081,     0,     0,     0,
    1161,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2094,     0,  1161,  4544,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2079,  1021, -2081,     0,  4657,     0,     0,  1888,     0,     0,
   -2081,     0,  1888,  1888,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,  2167,  1888,  1889,     0,     0,     0,     0,
       0, -2094,  1161,     0,     0,  1546,     0,     0,     0,     0,
       0,     0,     0, -2094,     0,   996,     0, -2094,     0,     0,
       0,     0, -2094,  1161,  1161, -2081,     0, -2094,     0,     0,
   -2094,     0, -2094,     0,     0,     0,  1161,     0,  1887, -2079,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1887,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2094,
       0,     0, -2079,     0, -2079, -2079,     0,     0,     0,     0,
     996,     0,  1161,     0,     0,     0,     0,     0,     0,     0,
   -2094,     0,  1161,  2168,  2169,  2170,     0,  2171,  2172,  2173,
    2174,  2175,  2176,     0, -2081,     0,     0, -2079,   810,  4741,
   -2079, -2079,     0, -2079,     0,     0,     0,     0,     0,  3084,
       0,     0,     0,     0,     0,     0, -2094, -2081,     0, -2081,
   -2081,     0,     0,  1157, -2094,  1888,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1161,     0,     0,     0,     0,   810,     0,     0,     0,  1161,
       0,     0, -2081,   810,     0, -2081, -2081,     0, -2081,     0,
    1887,     0,     0,     0,     0,     0,     0,     0,     0, -2094,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1887,     0,
       0,     0,     0,     0,     0,  1888,     0,     0,     0,     0,
    1887,  3084,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   996,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1889,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2094,     0,
       0,     0,     0,  1157,  1887,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1889,     0,     0,     0,     0,     0,
       0, -2094,     0, -2094, -2094,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   707,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   707,     0,     0,     0,
       0,     0,     0,  1889,  1888,     0, -2094,  1889,  1889, -2094,
   -2094,     0, -2094,     0,     0,     0,     0,     0,  1157,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,   707,     0,     0,     0,     0,     0,     0,  1157,
    1157,     0,     0,     0,   904,  1157,     0,   707,     0,     0,
       0,     0,     0,   904,     0,     0,     0,   707,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4544,
    1157,  1157,     0,     0,     0,  1157,     0,   707,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1157,  1157,  1157,
    1157,     0,     0,   904,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,  1157,     0,  1157,  1887,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,  1157,     0,     0,  1157,
       0,     0,     0,     0,     0,     0,  1076,     0,     0,     0,
       0,     0,  1157,     0,  1157,     0,     0,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,     0,  1157,  1157,  1157,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    85,     0,     0,     0,     0,     0,    89,     0,
       0,  1157,    93,     0,    94,     0,    96,    97,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,   106,  1157,     0,
       0,     0,     0,     0,     0,  1157,     0,     0,     0,     0,
    1887,  1157,     0,     0,   119,   120,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     128,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     129,  1157,   130,   131,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1095,     0,     0,
       0,  1125,     0,     0,  1888,     0,     0,     0,     0,     0,
       0,     0,  1887,     0,     0,     0,     0,   141,     0,   142,
     143,     0,     0,     0,     0,   146,     0,   147,     0,     0,
       0,     0,     0,     0,     0,  1887,     0,   149,     0,   150,
       0,     0,     0,     0,  1888,  1888,     0,  1888,     0,     0,
       0,     0,     0,   153,     0,   154,     0,     0,   157,     0,
       0,     0,     0,     0,     0,  1887,     0,     0,     0,     0,
     158,     0,   159,     0,     0,     0,   160,     0,     0,     0,
       0,     0,   161,     0,     0,     0,     0,     0,     0,   163,
       0,   165,     0,     0,     0,     0,     0,   167,     0,  1888,
       0,  1888,     0,     0,  1887,     0,     0,     0,  1887,  1887,
       0,   171,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1888,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   184,   185,     0,     0,     0,
       0,   186,     0,     0,     0,     0,     0,     0,  1888,   187,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1888,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1888,     0,
       0,     0,     0,     0,     0,     0,     0,   203,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   205,     0,
       0,     0,     0,   206,     0,   207,     0,     0,     0,     0,
     208,     0,     0,     0,     0,   209,     0,     0,   211,     0,
       0,     0,   213,     0,     0,     0,     0,   214,   215,     0,
       0,     0,     0,     0,     0,   216,     0,     0,   218,     0,
       0,  1888,     0,     0,   904,   904,   221,     0,     0,     0,
       0,     0,     0,     0,     0,  1888,     0,     0,   223,     0,
       0,  1125,     0,     0,     0,     0,     0,     0,  1888,     0,
       0,     0,     0,     0,     0,   228,     0,   229,     0,     0,
       0,     0,     0,     0,     0,   231,     0,     0,     0,     0,
       0,   232,     0,     0,     0,     0,   233,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,  1888,     0,     0,     0,
       0,     0,   246,  1157,     0,     0,  -132,     0,     0,  1157,
       0,  1157,     0,     0,     0,     0,  1888,  1157,     0,     0,
    1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
       0,     0,     0,  1157,  1157,     0,     0,     0,     0,     0,
    1171,  1888,     0,     0,     0,     0,  1157,     0,     0,  1198,
    1157,  1201,     0,  1204,  1157,  1206,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,  1157,     0,  1157,
       0,     0,     0,     0,  1255,     0,     0,  1888,  1157,  1157,
    1157,  1262,     0,     0,  1157,     0,     0,  1157,     0,     0,
    1277,  1278,     0,     0,     0,  1280,     0,  1157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1157,     0,     0,
       0,  1125,     0,   904,     0,  1157,     0,  1157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1309,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1330,     0,     0,  1332,     0,  1334,     0,  1337,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,   707,   904,     0,     0,     0,  1157,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,   707,     0,   707,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   707,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   707,   707,
       0,     0,     0,     0,     0,  1418,     0,  1419,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1125,     0,
       0,     0,     0,     0,     0,     0,     4,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1888,
       0,     0,     0,     0,     0,     0,     5,     0,     0,     0,
       0,     0,     0,  1076,     0,     0,     6,     7,     0,     0,
       0,     0,     8,     0,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,    36,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1676,     0,  1678,     0,     0,     0,
    1680,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    46,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1888,
       0,     0,  1822,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1835,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1843,
       0,  1888,  1157,  1157,     0,    47,  1845,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1896,     0,
       0,    48,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    49,     0,     0,     0,     0,     0,     0,     0,     0,
    1938,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,    50,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    51,     0,  1157,
      52,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
    1157,     0,  1888,     0,     0,    53,     0,  1157,  1157,     0,
       0,     0,  1157,  1888,     0,     0,     0,     0,  1157,  1157,
       0,   707,  1157,   707,     0,     0,   707,     0,   707,     0,
       0,   707,   707,   707,     0,     0,     0,  1157,     4,     0,
       0,  1157,     0,     0,   707,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,     0,  1157,     0,   707,     5,   707,
       0,     0,     0,     0,     0,     0,     0,  1157,     6,     7,
       0,     0,     0,     0,     0,     0,     9,    10,    54,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,  1157,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
      55,     0,     0,     0,  1888,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    56,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    57,
       0,     0,  1888,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1888,     0,     0,    46,     0,     0,
       0,     0,     0,     0,     0,    58,     0,     0,     0,     0,
       0,    59,     0,     0,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,    67,    68,     0,    69,    70,    71,
      72,    73,     0,     0,     0,     0,     0,     0,  1888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,     0,     0,
       0,  1076,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    48,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,    49,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    50,     0,     0,  2317,     0,
       0,  2317,     0,     0,     0,     0,     0,     0,     0,  2324,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1888,     0,     0,     0,  2333,     0,    51,
       0,     0,    52,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    53,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
    1888,     0,     0,     0,  2396,  1157,     0,     0,     0,     0,
       0,     0,   690,     0,     0,     0,     0,   704,     0,   704,
       0,     0,  1157,  1157,     0,     0,  1157,     0,     0,   704,
       0,     0,     0,     0,     0,     0,     0,  1157,     0,     0,
       0,     0,  1157,     0,     0,  1157,     0,     0,     0,     0,
    1157,  1157,     0,     0,     0,   704,     0,     0,     0,     0,
      54,     0,     0,     0,     0,   704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   704,   704,     0,     0,
     704,     0,     0,  1157,     0,     0,   704,     0,     0,     0,
     984,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    55,     0,     0,     0,     0,     0,     0,     0,
     984,     0,     0,     0,  1888,     0,    56,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,   704,     0,     0,     0,
       0,    57,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,     0,    58,     0,     0,
       0,     0,     0,    59,     0,     0,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1345,     0,     0,     0,
       0,    71,  1346,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2589,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,  2611,  1888,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,  1888,
       0,  1157,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2656,
    1157,     0,     0,  2660,  1157,     0,     0,     0,     0,  1888,
       0,     0,     0,     0,  2671,     0,  2673,     0,  2674,     0,
       0,     0,     0,  2675,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1888,     0,
       0,     0,  1888,  1888,     0,     0,   707,     0,   707,     0,
       0,     0,   707,     0,   707,     0,     0,   707,     0,     0,
       0,   707,  2703,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   704,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1888,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1157,  1157,     0,
    2912,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,     0,     0,   704,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1125,     0,   704,   704,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2999,  3000,   704,     0,     0,  3003,  3004,     0,
       0,  3007,     0,     0,     0,     0,     0,  1162,     0,     0,
       0,  3017,     0,     0,     0,     0,  1162,     0,  3026,     0,
       0,     0,  3029,  3030,     0,     0,  3033,  3034,  3035,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3049,     0,
    3051,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3073,     0,     0,     0,
       0,  3075,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3093,  3094,  3097,  3099,     0,     0,     0,  3106,
    3109,     0,     0,     0,     0,     0,     0,  3120,     0,     0,
    3124,     0,     0,     0,  3128,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,  3151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3158,     0,  3160,     0,     0,     0,     0,  3163,     0,     0,
       0,     0,  3167,  3168,  3169,  3170,     0,  3172,     0,     0,
       0,  1162,     0,     0,     0,     0,     0,     0,     0,     0,
    3195,  3196,  3197,     0,     0,     0,     0,     0,     0,     0,
       0,  3205,  3206,  1297,   704,     0,   704,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   704,     0,     0,   704,   704,  3265,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   690,     0,
     984,     0,   984,     0,     0,     0,     0,     0,   690,     0,
       0,     0,   704,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   984,   984,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,     0,     0,     0,     0,     0,
       0,   704,     0,   704,  1162,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,     0,
       0,     0,     0,     0,  1125,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3390,     0,     0,     0,     0,
     690,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   690,   690,     0,     0,  1658,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   690,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1891,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1164,
    1166,     0,     0,  1169,  1170,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,     0,     0,     0,     0,     0,     0,
    1207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,  1162,     0,  1260,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1281,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,  1162,     0,  1162,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3601,  3602,     0,   690,
       0,     0,     0,     0,   704,     0,   704,     0,     0,   704,
       0,   704,  1162,     0,   704,   704,   704,     0,     0,     0,
    2036,     0,     0,     0,     0,     0,     0,   704,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     704,  1162,   704,     0,     0,  1162,  1162,   704,     0,     0,
       0,     0,     0,     0,     0,     0,  3635,  3637,     0,     0,
       0,  3637,     0,     0,     0,     0,  3648,  3649,  3650,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3671,  3672,  3673,  3674,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1891,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3699,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2192,     0,     0,     0,     0,     0,
       0,     0,     0,   704,   704,     0,  1891,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     690,     0,     0,     0,     0,   690,   690,     0,     0,     0,
    3737,     0,     0,  1891,     0,     0,     0,     0,  3741,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1761,  1762,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3822,     0,     0,
       0,     0,     0,     0,  1891,     0,   704,  3828,   690,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2321,     0,
       0,     0,     0,  1891,  1847,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3847,     0,  3849,     0,     0,     0,
       0,  1891,     0,     0,  1906,  1907,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1934,     0,     0,     0,     0,     0,     0,     0,  1891,
       0,   904,     0,     0,  3889,     0,     0,     0,     0,     0,
       0,   690,     0,     0,     0,     0,     0,     0,  3899,   690,
       0,     0,     0,     0,     0,     0,  1967,  1969,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,     0,     0,     0,     0,  1891,     0,     0,
    1162,     0,     0,     0,     0,     0,   690,     0,     0,   690,
     690,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1879,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   690,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,  1162,     0,     0,     0,     0,
       0,     0,  1162,     0,     0,  1162,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,  1162,  1162,     0,
       0,     0,     0,     0,     0,  1162,     0,     0,  1162,  1162,
    1162,  1162,     0,     0,     0,     0,     0,     0,  1162,  1162,
       0,  1162,     0,  1162,  1162,     0,     0,  1162,     0,     0,
    1879,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1891,  1162,     0,     0,     0,     0,  1162,     0,
       0,     0,  1162,     0,     0,     0,  1162,     0,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,     0,  1162,     0,
    4097,     0,  4098,     0,  1162,     0,  4100,  1162,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4109,     0,     0,     0,     0,     0,     0,     0,   704,
       0,   704,     0,     0,     0,   704,     0,   704,  4117,     0,
     704,     0,     0,     0,   704,     0,     0,  4128,     0,  2192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4156,  4157,  4158,
    4159,  4160,  4161,  4162,     0,     0,     0,     0,  4169,  4170,
       0,  4172,  4173,  4174,  4175,  4176,  4177,  4178,     0,     0,
       0,     0,     0,     0,     0,     0,  4185,     0,  4187,  4188,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2454,     0,     0,     0,     0,     0,
       0,     0,     0,  4241,  4243,  4245,     0,     0,  4248,     0,
       0,     0,     0,     0,  1162,     0,  2036,     0,     0,     0,
    1162,     0,     0,  2913,     0,     0,  1162,     0,     0,     0,
       0,     0,  2321,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2510,  2511,  2512,  2513,  1879,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1891,     0,     0,     0,     0,  1891,  1891,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1891,
       0,     0,     0,  3637,  2549,  2550,     0,     0,     0,     0,
    2559,     0,     0,     0,     0,   690,     0,     0,     0,     0,
       0,  1879,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1879,     0,
       0,     0,     0,     0,     0,     0,     0,  2580,     0,     0,
       0,  1516,     0,   690,     0,     0,     0,   690,     0,     0,
       0,     0,     0,  2983,     0,  1658,     0,     0,   704,     0,
       0,  2613,  2614,  2615,  2616,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1587,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1879,
       0,     0,     0,     0,     0,     0,     0,     0,  1162,     0,
    1891,     0,     0,     0,     0,     0,     0,     0,  1879,  2672,
       0,     0,     0,     0,     0,     0,     0,     0,  2676,     0,
       0,     0,     0,     0,     0,  2683,  1879,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1879,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1891,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4435,  4436,  4437,  4438,     0,     0,   690,     0,     0,     0,
       0,     0,  1879,     0,   690,     0,   690,     0,  1162,     0,
       0,     0,     0,     0,     0,  4451,  4452,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4461,  4462,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1891,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,     0,     0,     0,     0,  1162,     0,
       0,  2852,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,  1162,     0,     0,     0,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1162,  1162,     0,     0,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,  1162,  1162,  1162,  4513,     0,     0,     0,
       0,     0,     0,     0,     0,  1162,     0,     0,  1162,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,  4535,
    1162,  1162,     0,     0,  1162,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,  1162,
       0,  4554,     0,  1162,     0,     0,     0,  1879,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,   704,  2036,     0,
    1162,     0,  1162,  1162,  1162,     0,     0,     0,  2090,     0,
       0,     0,     0,     0,   690,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2114,  1162,     0,
       0,     0,     0,  1162,     0,     0,     0,     0,     0,     0,
    1162,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
       0,     0,     0,   707,     0,  2139,  2140,     0,  2142,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2182,  3040,  3041,  3042,     0,
       0,     0,     0,  3050,     0,  3052,     0,  3054,  3055,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
       0,     0,     0,  4640,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2236,     0,  1891,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2258,     0,     0,  4664,
    2268,  2271,     0,     0,     0,     0,     0,     0,     0,  1891,
    1891,     0,  1891,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3637,     0,     0,
    2321,     0,     0,     0,     0,   690,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1891,     0,  1891,     0,     0,     0,
       0,     0,     0,     0,     0,  2178,     0,  1879,     0,  3214,
       0,     0,  1879,  1879,     0,     0,     0,  3223,  3224,  3225,
    3226,  3227,  3228,     0,  1879,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4744,  1891,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1891,     0,     0,  2178,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3308,     0,     0,
    1891,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1891,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3637,     0,     0,     0,  3348,     0,  3350,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1879,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1891,     0,     0,     0,     0,  4842,     0,     0,     0,     0,
       0,     0,     0,  1891,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1879,     0,     0,     0,     0,
       0,     0,  3401,  1162,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1162,     0,
       0,  1891,     0,     0,     0,     0,     0,     0,  1162,     0,
       0,     0,     0,     0,  1162,     0,  1162,     0,     0,     0,
       0,  1891,  1162,   690,     0,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,     0,   690,     0,  1162,  1162,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,     0,
       0,  1162,     0,     0,  1879,  1162,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,  1162,     0,  1162,     0,     0,     0,     0,     0,
       0,     0,  1891,  1162,  1162,  1162,     0,     0,     0,  1162,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,  1162,     0,   704,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2778,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1881,     0,     0,     0,     0,  1162,     0,     0,     0,
    2801,     0,  1162,  2803,     0,     0,  2814,     0,  1162,     0,
       0,     0,   690,  2821,  2826,     0,     0,     0,     0,  2832,
       0,     0,  2837,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,     0,     0,     0,     0,  2846,     0,
       0,     0,     0,  2853,     0,     0,     0,  2865,  2178,     0,
       0,  2872,     0,  2874,  2875,  2876,  2877,  2878,  2879,  2880,
    2881,  2882,     0,  2883,     0,     0,     0,     0,  3627,  1516,
    3628,  3629,  2908,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1882,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1891,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1587,     0,     0,     0,     0,  2178,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1881,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2178,     0,     0,     0,     0,  2810,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1879,     0,     0,     0,  2178,  2178,
       0,  2178,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2983,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1879,  1879,     0,  1879,     0,  1162,
       0,  2178,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1882,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1891,     0,     0,     0,     0,  3031,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1879,
       0,  1879,     0,     0,     0,  2178,  1891,  1162,  1162,     0,
       0,     0,     0,     0,     0,     0,     0,   690,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2178,     0,     0,
       0,     0,     0,   690,     0,     0,     0,  2178,     0,     0,
    2178,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1879,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1879,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   690,     0,     0,     0,  3897,     0,     0,
    3898,     0,     0,     0,  1162,  1879,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,  1162,     0,  1891,  1879,     0,
       0,     0,  1162,  1162,     0,     0,     0,  1162,  1891,     0,
       0,     0,     0,  1162,  1162,     0,     0,  1162,  1881,     0,
       0,     0,     0,     0,  3923,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,     0,     0,  1162,     0,     0,     0,
    1884,     0,     0,     0,     0,  1162,     0,     0,     0,     0,
    1162,     0,     0,  3241,     0,  1885,     0,     0,     0,     0,
       0,  1879,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,  1881,     0,     0,     0,  1879,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1879,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1881,     0,
       0,  1162,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1882,     0,     0,     0,     0,     0,     0,  1891,
       0,   690,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1891,     0,     0,
       0,     0,     0,     0,     0,     0,  1879,     0,     0,  1891,
       0,     0,     0,     0,     0,  1882,     0,     0,     0,  1881,
       0,     0,     0,  3362,     0,     0,  1879,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1881,     0,
       0,     0,  1882,     0,     0,     0,     0,     0,     0,  1884,
       0,  1879,     0,  1891,     0,     0,  1881,     0,     0,     0,
       0,     0,     0,     0,  1885,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1881,     0,     0,  1879,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4103,  4104,  4105,  4106,  2321,
    3407,     0,     0,  1882,     0,  3413,  1162,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1882,     0,     0,   690,     0,     0,     0,     0,
       0,     0,  1881,     0,     0,     0,     0,     0,     0,     0,
    1882,     0,     0,     0,     0,     0,     0,  2826,     0,  2826,
    2826,     0,     0,     0,     0,     0,     0,     0,  1891,     0,
    3470,     0,     0,  3473,     0,  3475,     0,     0,  1882,     0,
       0,     0,     0,     0,     0,     0,     0,   690,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,  3496,     0,  3498,  1891,     0,     0,  3501,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,  1162,     0,
       0,  1162,     0,     0,     0,     0,  1882,  2908,  2908,  2908,
       0,     0,  1162,     0,     0,     0,     0,  1162,     0,     0,
    1162,     0,     0,     0,     0,  1162,  1162,     0,     0,     0,
       0,  3558,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2258,     0,     0,     0,  2178,  3569,  1879,
       0,  4247,     0,     0,     0,  2271,     0,     0,  1162,     0,
       0,     0,     0,   690,     0,     0,     0,     0,     0,     0,
    2178,     0,  2178,     0,  2810,  2810,  3444,     0,     0,  2810,
       0,     0,     0,  2178,     0,     0,     0,  1884,     0,  1891,
    2178,     0,     0,  1162,     0,  2178,     0,     0,     0,     0,
       0,  2178,  1885,     0,     0,     0,  2178,  1881,     0,     0,
       0,     0,     0,     0,     0,  2178,     0,     0,     0,  2810,
    2810,  3610,  2178,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,     0,     0,  2178,     0,     0,     0,     0,     0,
    1884,  2178,     0,  2178,  2178,  2178,  2178,  2178,  2178,  2178,
    2178,  2178,  2178,     0,     0,  1885,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1884,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2178,     0,  1162,
       0,  1891,  1885,     0,     0,     0,     0,     0,     0,     0,
    1886,     0,     0,     0,     0,     0,     0,     0,     0,  1879,
       0,  1882,     0,  1162,  1891,     0,  1162,     0,  1162,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1162,     0,     0,     0,  1162,
       0,  1879,     0,     0,  1891,     0,   704,     0,  1884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1885,     0,     0,     0,  1884,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1885,  1891,     0,  1884,     0,  1891,  1891,     0,
       0,     0,   690,     0,     0,     0,     0,     0,     0,     0,
    1885,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2178,     0,     0,  1884,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,     0,     0,     0,     0,     0,  1885,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1891,
       0,     0,  1879,     0,     0,     0,     0,     0,     0,  1886,
       0,     0,     0,  1879,     0,     0,     0,     0,     0,     0,
       0,  1884,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,  1885,  1881,     0,     0,
       0,     0,  1881,  1881,     0,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,  1881,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4466,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,  4469,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,  1162,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1879,  1162,     0,     0,     0,     0,
       0,  1882,     0,     0,     0,     0,  1882,  1882,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1882,     0,
       0,     0,  1879,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,     0,  1879,     0,     0,     0,     0,     0,
    2178,  1162,     0,  3928,     0,     0,     0,  4519,     0,     0,
       0,     0,     0,  3932,     0,  1881,     0,     0,     0,  3933,
       0,  3934,     0,     0,     0,     0,     0,     0,     0,   690,
       0,     0,     0,     0,     0,     0,     0,     0,  1879,     0,
       0,     0,     0,  3952,  3953,     0,  1884,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,  1885,     0,     0,  2832,     0,     0,     0,  1162,     0,
       0,     0,     0,     0,  3981,     0,     0,  3984,     0,  3986,
       0,     0,     0,     0,     0,  1881,     0,     0,  3990,     0,
       0,     0,     0,     0,  3995,     0,     0,  3998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1886,     0,  1882,
       0,     0,     0,     0,     0,     0,     0,  4027,     0,     0,
       0,  2178,     0,     0,     0,  4039,     0,  2908,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4619,  4621,  4621,     0,     0,     0,
    1886,     0,     0,     0,     0,     0,  2178,     0,     0,     0,
       0,  4056,  2178,     0,     0,     0,     0,  1516,     0,  1882,
       0,     0,     0,  1587,  1881,     0,     0,  1886,  3444,  3444,
    1879,  2810,     0,     0,  2810,  2810,  2810,  2810,  2810,  2810,
    2810,  2810,  2810,  2810,  3444,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2178,
       0,     0,  2178,     0,  2178,     0,     0,     0,     0,  3444,
    3444,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2810,  2810,  2178,     0,  2178,  1886,     0,
    2178,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4694,     0,     0,     0,     0,  1886,  1882,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1886,     0,     0,     0,     0,
       0,     0,     0,     0,  1879,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1884,  2178,     0,     0,
       0,  1884,  1884,  1886,     0,     0,     0,     0,  2178,     0,
       0,  1885,     0,  1884,     0,     0,  1885,  1885,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1885,     0,
       0,     0,     0,     0,  4738,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2178,
       0,     0,     0,     0,     0,     0,  4756,     0,  4758,     0,
       0,  1886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1879,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1879,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1879,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4295,  4296,  1884,     0,     0,     0,     0,  4621,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1885,
       0,     0,     0,     0,  1881,     0,     0,     0,  1879,     0,
       0,     0,  1879,  1879,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4843,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4327,     0,  1881,  1881,     0,  1881,     0,     0,
       0,     0,     0,     0,  1884,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1885,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4878,  2810,  4345,
    4347,     0,     0,     0,     0,     0,  1886,     0,  1882,  1881,
       0,  1881,  4354,     0,     0,     0,     0,     0,  4359,  4360,
       0,     0,  4362,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4911,     0,     0,     0,     0,     0,     0,     0,  1882,  1882,
    2908,  1882,     0,     0,     0,  2908,     0,     0,     0,     0,
       0,     0,     0,  1884,  1881,     0,     0,  2908,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1885,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1881,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1882,     0,  1882,  4416,     0,     0,     0,
       0,     0,     0,     0,     0,  1881,     0,  2178,     0,     0,
       0,  2178,  2178,  2178,     0,     0,  3444,     0,  1881,     0,
       0,  3444,  3444,  3444,  3444,  3444,  3444,  3444,  3444,  3444,
    3444,  2178,  2178,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1882,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2178,  2810,  2810,  2178,     0,  2178,     0,     0,     0,  2178,
    3444,  3444,  1882,     0,  2178,     0,     0,  2178,     0,     0,
       0,  1881,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1881,     0,     0,     0,  1882,
       0,     0,     0,     0,     0,     0,  2178,     0,  1881,     0,
       0,     0,  1882,     0,     0,     0,     0,     0,  2178,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2178,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4502,     0,     0,     0,     0,  1886,     0,     0,     0,
       0,  1886,  1886,     0,     0,  1882,  1881,     0,     0,     0,
       0,     0,     0,  1886,     0,     0,     0,     0,     0,  1882,
       0,     0,     0,     0,     0,     0,  1881,     0,     0,     0,
       0,     0,  1882,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1881,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1884,     0,     0,     0,  1881,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1885,     0,
    1882,     0,     0,     0,     0,     0,  4580,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1882,     0,     0,  1884,  1884,     0,  1884,     0,     0,     0,
       0,  4597,     0,     0,     0,     0,     0,     0,  1885,  1885,
       0,  1885,     0,     0,  1886,  1882,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3444,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1884,     0,
    1884,  1882,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1885,     0,  1885,     0,     0,     0,     0,
       0,     0,     0,     0,  2178,  2178,     0,     0,     0,     0,
       0,     0,     0,     0,  1886,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1884,     0,     0,  2178,     0,     0,     0,
    2810,     0,     0,     0,     0,     0,     0,     0,  1885,     0,
       0,     0,     0,     0,  2178,     0,  2178,  1884,     0,     0,
       0,  3444,  3444,  2178,     0,     0,  2810,  2810,  2178,  2178,
       0,  2178,  1885,     0,     0,     0,     0,     0,     0,  1881,
       0,     0,     0,     0,  1884,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1884,     0,  1885,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2832,  1885,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2178,     0,     0,     0,     0,
    4719,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1884,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1882,  1884,  1885,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1884,     0,  1885,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1885,     0,     0,     0,     0,     0,     0,     0,
       0,  2178,     0,     0,     0,     0,  4780,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1881,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1884,     0,     0,     0,     0,
       0,  1881,     0,     0,     0,     0,     0,     0,     0,     0,
    1885,  3444,  2810,     0,     0,  1884,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3444,  3444,  2178,
    1885,  4824,     0,     0,     0,     0,     0,     0,     0,     0,
    1884,     0,     0,     0,     0,     0,  2178,     0,     0,     0,
       0,     0,     0,     0,     0,  1885,     0,     0,     0,     0,
       0,     0,     0,  1882,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1884,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1885,     0,     0,     0,  1882,     0,  4864,  4864,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1881,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1881,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4864,     0,     0,     0,
       0,     0,     0,  1886,     0,     0,  4908,     0,  3444,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2178,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1886,  1886,     0,  1886,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1882,     0,     0,     0,
       0,     0,     0,     0,  4864,     0,     0,  1882,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2178,
       0,     0,     0,     0,  1881,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1886,     0,
    1886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1881,     0,     0,     0,     0,     0,  1884,     0,
       0,     0,     0,  2178,  1881,     0,     0,     0,     0,     0,
       0,     0,     0,  1885,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2178,     0,     0,     0,     0,  1881,     0,
       0,     0,     0,     0,     0,     0,     0,  1886,  1882,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1886,     0,  1882,  2178,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1886,  1882,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1882,     0,     0,     0,     0,     0,  1884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1886,     0,     0,  1885,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1886,     0,     4,     0,     0,     0,
    1884,     0,     0,     0,     0,     0,     0,  1886,     0,     0,
       0,     0,     0,     0,     0,  1885,     5,     0,     0,     0,
    1881,     0,     0,     0,     0,     0,     6,     7,     0,     0,
       0,     0,     0,     0,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,  1886,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1886,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1884,     0,     0,  1882,     4,     0,     0,     0,     0,
    1886,     0,  1884,     0,     0,    46,  1885,     0,     0,     0,
       0,     0,     0,     0,  1881,     5,     0,  1885,     0,     0,
       0,     0,     0,     0,     0,     6,     7,     0,     0,     0,
       0,     0,     0,     9,    10,     0,  1886,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,    47,    45,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    48,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,     0,  1882,     0,
       0,    49,     0,  1884,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    46,     0,     0,     0,  1885,  1881,
       0,     0,     0,    50,     0,     0,     0,     0,     0,     0,
       0,  1884,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1884,     0,     0,  1885,     0,     0,  1881,
       0,     0,     0,     0,     0,     0,     0,    51,  1885,     0,
      52,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    53,     0,     0,     0,     0,
       0,     0,     0,     0,    47,     0,     0,  1884,  1881,     0,
    1882,     0,  1881,  1881,     0,     0,     0,     0,     0,     0,
      48,     0,  1885,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1882,     0,     0,     0,     0,  1886,     0,
      49,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    50,  1882,     0,     0,     0,     0,    54,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    51,     0,     0,    52,
       0,     0,  1882,     0,     0,     0,  1882,  1882,     0,     0,
      55,     0,     0,     0,    53,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    56,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    57,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1884,
       0,     0,     0,     0,     0,    58,     0,     0,     0,     0,
       0,    59,     0,     0,  1885,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1345,  1993,     0,    54,  1886,    71,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1886,     0,     0,     0,     0,     0,     0,     0,     0,    55,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    56,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    57,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1884,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    58,     0,     0,     0,  1885,     0,
      59,     0,     0,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,  1345,  2684,     0,     0,     0,    71,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1886,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1884,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1885,     0,     0,     0,     0,     0,     0,     0,  1884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1885,     0,     0,     0,     0,     0,     0,
      86,    87,    88,     0,    90,    91,    92,     0,  1884,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,  1885,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115,     0,   116,   117,   118,     0,
       0,     0,     0,  1886,   121,   122,     0,  1884,     0,     0,
     123,  1884,  1884,     0,     0,     0,     0,     0,     0,   124,
       0,   125,  1885,   126,     0,    35,  1885,  1885,     0,     0,
       0,  1886,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   133,
       0,     0,     0,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1886,     0,   140,
       0,     0,     0,     0,     0,     0,   144,     0,   145,     0,
       0,     0,     0,     0,   148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   155,   156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   162,     0,
       0,     0,     0,     0,     0,   164,     0,     0,     0,   166,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   181,   182,     0,   183,  1886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
       0,     0,   191,     0,     0,     0,   193,     0,     0,   194,
       0,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   196,   197,   198,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   210,     0,     0,   212,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   217,     0,  1886,   219,     0,   220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,     0,     0,     0,   226,     0,   227,     0,
       0,     0,     0,     0,     0,     0,     0,   230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,     0,     0,   235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   237,
     238,   239,   240,   241,   242,   243,   244,   245,     0,     0,
       0,     0,     0,     0,     0,  1886,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2973,     0,     0,     0,  1886,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   713,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,  1886,    98,
      99,   100,   101,   102,   103,   714,   104,   105,   415,   715,
       0,   107,   108,   109,   110,   716,   717,   112,   113,   114,
     115,     0,   116,   718,   719,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,  1886,     0,     0,
       0,  1886,  1886,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   720,
     434,   435,   436,   721,   722,   723,   724,   725,   726,   727,
     437,   438,   728,   439,   440,   133,   441,   442,   443,   135,
     136,   137,   138,   139,   729,   444,   445,   446,   447,   448,
     730,   731,   449,   450,   732,   140,   452,   733,   453,   454,
     455,   456,   144,   734,   145,   735,   457,   458,   459,   460,
     148,   461,   736,   737,   463,   464,   465,   466,   467,   468,
     738,   151,   469,   739,   740,   741,   742,   152,   743,   744,
     745,   470,   471,   472,   473,   474,   475,   155,   156,   476,
     746,   477,   747,   478,   479,   480,   481,   482,   748,   483,
     484,   485,   749,   750,   486,   487,   488,   489,   490,   751,
     491,   492,   493,   752,   494,   495,   753,   496,   497,   498,
     499,   164,   500,   501,   502,   166,   754,   503,   755,   504,
     168,   505,   756,   506,   757,   507,   169,   758,   170,   508,
     509,   510,   759,   511,   172,   760,   512,   761,   513,   514,
     515,   516,   517,   173,   518,   519,   520,   762,   521,   522,
     523,   524,   525,   526,   763,   527,   174,   175,   764,   528,
     529,   530,   765,   176,   766,   177,   767,   531,   178,   179,
     532,   180,   533,   534,   535,   536,   537,   538,   539,   768,
     540,   181,   182,   541,   183,   769,   542,   543,   544,   770,
     771,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,   189,   190,   557,   558,   191,   772,
     559,   560,   193,   561,   773,   194,   562,   195,   563,   564,
     565,   774,   566,   775,   776,   567,   568,   569,   777,   778,
     196,   197,   198,   199,   200,   570,   571,   572,   573,   574,
     575,   576,   779,   577,   201,   578,   202,   579,   580,   581,
     780,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,   781,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   782,   603,   604,   210,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,   783,
     615,   616,   617,   618,   619,   784,   620,   217,   621,   622,
     219,   623,   220,   624,   785,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,   786,   635,   636,   787,
     637,   638,   639,   640,   641,   642,   788,   224,   225,   789,
     790,   644,   226,   645,   227,   791,   646,   647,   648,   649,
     650,   651,   652,   792,   793,   653,   654,   655,   656,   657,
     794,   795,   658,   659,   660,   661,   662,   796,   234,   797,
     664,   235,   665,   666,   667,   798,   799,   668,   800,   801,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    85,     0,     0,
      86,    87,    88,    89,    90,    91,    92,    93,     0,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   946,
     104,   105,   106,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115,     0,   116,   117,   118,   119,
     120,     0,     0,     0,   121,   122,     0,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,     0,     0,   124,
       0,   125,     0,   126,   127,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   128,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   129,     0,   130,   131,     0,
       0,     0,     0,     0,     0,     0,     0,   132,     0,   133,
       0,     0,   134,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,   141,     0,   142,   143,   144,     0,   145,     0,
     146,     0,   147,     0,   148,     0,     0,     0,     0,     0,
       0,     0,   149,     0,   150,   151,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,     0,   153,     0,
     154,   155,   156,   157,     0,     0,     0,     0,     0, -1350,
       0,     0,     0,     0,     0,   158,     0,   159,     0,     0,
       0,   160,     0,     0,     0,     0,     0,   161,   162,     0,
       0,     0,     0,     0,   163,   164,   165,     0,     0,   166,
       0,     0,   167,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0, -1350,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   181,   182,     0,   183,     0,
     184,   185,     0,     0,     0,     0,   186,     0,     0,     0,
       0,     0,     0,     0,   187,     0,     0,   188,   189,   190,
       0,     0,   191,     0,     0,   192,   193,     0,     0,   194,
       0,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   196,   197,   198,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,   205,     0,     0,     0,     0,   206,     0,
     207,     0,     0,     0,     0,   208,     0,     0,     0,     0,
     209,   210,     0,   211,   212,     0,     0,   213,     0,     0,
       0,     0,   214,   215,     0,     0,     0,     0,     0,     0,
     216,   217,     0,   218,   219,     0,   220,     0,     0,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,   222,
       0,     0,     0,   223,     0,     0,     0,     0,     0,     0,
       0,   224,   225,     0,     0,     0,   226,     0,   227,     0,
     228,     0,   229,     0,     0,     0,     0,   230,     0,     0,
     231,     0,     0, -1350,     0,     0,   232,     0,     0,     0,
       0,   233,   234,     0,     0,   235,     0,     0,     0,     0,
       0,     0,     0,   236,     0,     0,     0,     0,     0,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   246,   104,   105,
       0,  -132,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115,     0,   116,   117,   118,     0,     0,     0,
       0,     0,   121,   122,     0,     0,     0,     0,   123,     0,
       0,     0,     0,     0,     0,     0,     0,   124,     0,   125,
       0,   126,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,   145,     0,     0,     0,
       0,     0,   148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,   152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   155,
     156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   162,     0,     0,     0,
       0,     0,     0,   164,     0,     0,     0,   166,     0,     0,
       0,     0,   168,     0,     0,     0,     0,     0,   169,     0,
     170,     0,     0,     0,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   174,   175,
       0,     0,     0,     0,     0,   176,     0,   177,     0,     0,
     178,   179,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   210,
       0,     0,   212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   217,
       0,     0,   219,     0,   220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,     0,     0,     0,   226,     0,   227,     0,     0,     0,
       0,     0,     0,     0,     0,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     4,     0,     0,     0,     0,     0,   237,   238,   239,
     240,   241,   242,   243,   244,   245,     0,     0,     0,     0,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,     0,     0,     0,     0,     9,
      10,     0,  2975,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      46,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      47,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    48,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    49,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    51,     0,     0,    52,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      53,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    54,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    55,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    57,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      58,     0,     0,     0,     0,     0,    59,     0,     0,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1345,
       0,     0,     0,     0,    71,   713,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   714,   104,   105,   415,   715,
       0,   107,   108,   109,   110,   716,   717,   112,   113,   114,
     115,     0,   116,   718,   719,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1435,  1436,  1437,    45,  1438,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,  2902,
     434,   435,   436,     0,     0,     0,     0,  1439,     0,     0,
     437,   438,     0,   439,   440,   133,   441,   442,   443,   135,
    1440,   137,  1441,  1442,     0,   444,   445,   446,   447,   448,
    1443,  1444,   449,   450,  1445,  1446,   452,     0,   453,   454,
     455,   456,  1447,     0,  1448,     0,   457,   458,   459,   460,
     148,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   151,   469,     0,  1449,  1450,  1451,  1452,  1453,  1454,
    1455,   470,   471,   472,   473,   474,   475,  1456,  1457,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,  2903,     0,   486,   487,  1458,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,  1459,   500,   501,   502,  1460,  1461,   503,     0,   504,
    1462,   505,     0,   506,     0,   507,   169,     0,   170,   508,
     509,   510,     0,   511,  1463,     0,   512,     0,   513,   514,
     515,   516,   517,   173,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,   174,   175,     0,   528,
     529,   530,  1464,  1465,     0,  1466,     0,   531,   178,   179,
     532,   180,   533,   534,   535,   536,   537,   538,   539,     0,
     540,  1467,   182,   541,   183,     0,   542,   543,   544,  1468,
    1469,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,  1470,   189,  1471,   557,   558,   191,  1472,
     559,   560,   193,   561,  1473,  1474,   562,  1475,   563,   564,
     565,     0,   566,     0,     0,  1476,   568,   569,     0,     0,
     196,   197,   198,   199,  1477,   570,   571,   572,   573,   574,
     575,   576,     0,   577,  1478,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,  1479,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,   210,   605,   606,
    1480,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,  1481,   620,   217,   621,   622,
     219,   623,  1482,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,  1483,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,  1484,  1485,     0,
       0,   644,  1486,   645,  1487,  1488,   646,   647,   648,   649,
     650,   651,   652,     0,  1489,   653,   654,   655,   656,   657,
    1490,     0,   658,   659,   660,   661,   662,   663,  1491,  2904,
     664,   235,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,  1492,  1493,  1494,  1495,
    1496,  1497,  1498,  1499,   674,   675,   676,     0,     0,     0,
       0,     0,     0,     0,  1500,  1501,  2905,     0,     0,     0,
       0,     0,     0,  1503,  2906,   713,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   714,   104,   105,   415,   715,
       0,   107,   108,   109,   110,   716,   717,   112,   113,   114,
     115,     0,   116,   718,   719,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1435,  1436,  1437,    45,  1438,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,  1439,     0,     0,
     437,   438,     0,   439,   440,   133,   441,   442,   443,   135,
    1440,   137,  1441,  1442,     0,   444,   445,   446,   447,   448,
    1443,  1444,   449,   450,  1445,  1446,   452,     0,   453,   454,
     455,   456,  1447,     0,  1448,     0,   457,   458,   459,   460,
     148,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   151,   469,     0,  1449,  1450,  1451,  1452,  1453,  1454,
    1455,   470,   471,   472,   473,   474,   475,  1456,  1457,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,  1458,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,  1459,   500,   501,   502,  1460,  1461,   503,     0,   504,
    1462,   505,     0,   506,     0,   507,   169,     0,   170,   508,
     509,   510,     0,   511,  1463,     0,   512,     0,   513,   514,
     515,   516,   517,   173,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,   174,   175,     0,   528,
     529,   530,  1464,  1465,     0,  1466,     0,   531,   178,   179,
     532,   180,   533,   534,   535,   536,   537,   538,   539,     0,
     540,  1467,   182,   541,   183,     0,   542,   543,   544,  1468,
    1469,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,  1470,   189,  1471,   557,   558,   191,  1472,
     559,   560,   193,   561,  1473,  1474,   562,  1475,   563,   564,
     565,     0,   566,     0,     0,  1476,   568,   569,     0,     0,
     196,   197,   198,   199,  1477,   570,   571,   572,   573,   574,
     575,   576,     0,   577,  1478,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,  1479,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,   210,   605,   606,
    1480,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,  1481,   620,   217,   621,   622,
     219,   623,  1482,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,  1483,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,  1484,  1485,     0,
       0,   644,  1486,   645,  1487,  1488,   646,   647,   648,   649,
     650,   651,   652,     0,  1489,   653,   654,   655,   656,   657,
    1490,     0,   658,   659,   660,   661,   662,   663,  1491,     0,
     664,   235,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,  1492,  1493,  1494,  1495,
    1496,  1497,  1498,  1499,   674,   675,   676,     0,     0,     0,
       0,     0,     0,     0,  1500,  1501,     0,     0,     0,     0,
       0,     0,     0,  1503,  2812,   713,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   714,   104,   105,   415,   715,
       0,   107,   108,   109,   110,   716,   717,   112,   113,   114,
     115,     0,   116,   718,   719,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,   133,   441,   442,   443,     0,
    1857,   137,  1858,  1859,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,  1860,  1861,   452,     0,   453,   454,
     455,   456,     0,     0,   145,     0,   457,   458,   459,   460,
     148,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   151,   469,     0,     0,     0,     0,   152,     0,     0,
       0,   470,   471,   472,   473,   474,   475,  1862,  1863,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,  1458,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,     0,   500,   501,   502,     0,     0,   503,     0,   504,
    1864,   505,     0,   506,     0,   507,   169,     0,   170,   508,
     509,   510,     0,   511,     0,     0,   512,     0,   513,   514,
     515,   516,   517,   173,   518,   519,   520,  2419,   521,   522,
     523,   524,   525,   526,     0,   527,   174,  2420,     0,   528,
     529,   530,  1464,  1865,     0,  1866,     0,   531,   178,   179,
     532,   180,   533,   534,   535,   536,   537,   538,   539,     0,
     540,     0,   182,   541,   183,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,  1867,   189,  1868,   557,   558,     0,     0,
     559,   560,   193,   561,     0,     0,   562,  1869,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
    2421,   197,   198,   199,     0,   570,   571,   572,   573,   574,
     575,   576,     0,   577,     0,   578,     0,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,  1870,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,   210,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,  2422,   621,   622,
     219,   623,  1872,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,     0,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,  1873,  1874,     0,
       0,   644,     0,   645,     0,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,     0,  1875,  2423,
     664,   235,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   674,   675,   676,     0,     0,     0,
       0,   713,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,  2424,    98,    99,   100,   101,   102,
     103,   714,   104,   105,   415,   715,     0,   107,   108,   109,
     110,   716,   717,   112,   113,   114,   115,     0,   116,   718,
     719,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,   133,   441,   442,   443,     0,  1857,   137,  1858,  1859,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
    1860,  1861,   452,     0,   453,   454,   455,   456,     0,     0,
     145,     0,   457,   458,   459,   460,   148,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   151,   469,     0,
       0,     0,     0,   152,     0,     0,     0,   470,   471,   472,
     473,   474,   475,  1862,  1863,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,  1458,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,     0,   500,   501,
     502,     0,     0,   503,     0,   504,  1864,   505,     0,   506,
       0,   507,   169,     0,   170,   508,   509,   510,     0,   511,
       0,     0,   512,     0,   513,   514,   515,   516,   517,   173,
     518,   519,   520,  2419,   521,   522,   523,   524,   525,   526,
       0,   527,   174,  2420,     0,   528,   529,   530,  1464,  1865,
       0,  1866,     0,   531,   178,   179,   532,   180,   533,   534,
     535,   536,   537,   538,   539,     0,   540,     0,   182,   541,
     183,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,  1867,
     189,  1868,   557,   558,     0,     0,   559,   560,   193,   561,
       0,     0,   562,  1869,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,  2421,   197,   198,   199,
       0,   570,   571,   572,   573,   574,   575,   576,     0,   577,
       0,   578,     0,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,  1870,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,   210,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,     0,   620,  2422,   621,   622,   219,   623,  1872,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,     0,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,  1873,  1874,     0,     0,   644,     0,   645,
       0,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,     0,  1875,  2423,   664,   235,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     674,   675,   676,     0,     0,     0,     0,   713,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
    3324,    98,    99,   100,   101,   102,   103,   714,   104,   105,
     415,   715,     0,   107,   108,   109,   110,   716,   717,   112,
     113,   114,   115,     0,   116,   718,   719,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,   425,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1435,  1436,  1437,    45,  1438,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,     0,     0,     0,     0,  1439,
       0,     0,   437,   438,     0,   439,   440,   133,   441,   442,
     443,   135,  1440,   137,  1441,  1442,  2822,   444,   445,   446,
     447,   448,  1443,  1444,   449,   450,  1445,  1446,   452,     0,
     453,   454,   455,   456,  1447,     0,  1448,     0,   457,   458,
     459,   460,   148,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   151,   469,     0,  1449,  1450,  1451,  1452,
    1453,  1454,  1455,   470,   471,   472,   473,   474,   475,  1456,
    1457,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,  1458,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,  1459,   500,   501,   502,  1460,  1461,   503,
       0,   504,  1462,   505,     0,   506,     0,   507,   169,  2823,
     170,   508,   509,   510,     0,   511,  1463,     0,   512,     0,
     513,   514,   515,   516,   517,   173,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,   174,   175,
       0,   528,   529,   530,  1464,  1465,     0,  1466,     0,   531,
     178,   179,   532,   180,   533,   534,   535,   536,   537,   538,
     539,  2824,   540,  1467,   182,   541,   183,     0,   542,   543,
     544,  1468,  1469,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,  1470,   189,  1471,   557,   558,
     191,  1472,   559,   560,   193,   561,  1473,  1474,   562,  1475,
     563,   564,   565,     0,   566,     0,     0,  1476,   568,   569,
       0,     0,   196,   197,   198,   199,  1477,   570,   571,   572,
     573,   574,   575,   576,     0,   577,  1478,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
    1479,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   210,
     605,   606,  1480,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,  1481,   620,   217,
     621,   622,   219,   623,  1482,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,  1483,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,  1484,
    1485,     0,  2825,   644,  1486,   645,  1487,  1488,   646,   647,
     648,   649,   650,   651,   652,     0,  1489,   653,   654,   655,
     656,   657,  1490,     0,   658,   659,   660,   661,   662,   663,
    1491,     0,   664,   235,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,  1492,  1493,
    1494,  1495,  1496,  1497,  1498,  1499,   674,   675,   676,     0,
       0,     0,     0,     0,     0,     0,  1500,  1501,     0,     0,
       0,     0,     0,     0,     0,  1503,   713,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   714,   104,   105,   415,
     715,     0,   107,   108,   109,   110,   716,   717,   112,   113,
     114,   115,     0,   116,   718,   719,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,   425,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1435,  1436,  1437,    45,  1438,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,  1439,     0,
       0,   437,   438,     0,   439,   440,   133,   441,   442,   443,
     135,  1440,   137,  1441,  1442,     0,   444,   445,   446,   447,
     448,  1443,  1444,   449,   450,  1445,  1446,   452,     0,   453,
     454,   455,   456,  1447,     0,  1448,     0,   457,   458,   459,
     460,   148,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   151,   469,     0,  1449,  1450,  1451,  1452,  1453,
    1454,  1455,   470,   471,   472,   473,   474,   475,  1456,  1457,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,  1458,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,  1459,   500,   501,   502,  1460,  1461,   503,     0,
     504,  1462,   505,     0,   506,     0,   507,   169,     0,   170,
     508,   509,   510,     0,   511,  1463,     0,   512,     0,   513,
     514,   515,   516,   517,   173,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,   174,   175,     0,
     528,   529,   530,  1464,  1465,     0,  1466,     0,   531,   178,
     179,   532,   180,   533,   534,   535,   536,   537,   538,   539,
       0,   540,  1467,   182,   541,   183,     0,   542,   543,   544,
    1468,  1469,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,  1470,   189,  1471,   557,   558,   191,
    1472,   559,   560,   193,   561,  1473,  1474,   562,  1475,   563,
     564,   565,     0,   566,     0,     0,  1476,   568,   569,     0,
       0,   196,   197,   198,   199,  1477,   570,   571,   572,   573,
     574,   575,   576,     0,   577,  1478,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,  1479,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,   210,   605,
     606,  1480,   607,   608,   609,   610,   611,   612,   613,   614,
     215,   615,   616,   617,   618,   619,  1481,   620,   217,   621,
     622,   219,   623,  1482,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,  1483,     0,   635,   636,
     223,   637,   638,   639,   640,   641,   642,     0,  1484,  1485,
       0,     0,   644,  1486,   645,  1487,  1488,   646,   647,   648,
     649,   650,   651,   652,     0,  1489,   653,   654,   655,   656,
     657,  1490,     0,   658,   659,   660,   661,   662,  1361,  1491,
       0,   664,   235,   665,   666,   667,     0,     0,   668,     0,
     236,   669,   670,   671,   672,   673,   237,  1492,  1493,  1494,
    1495,  1496,  1497,  1498,  1499,   674,   675,   676,     0,     0,
       0,     0,     0,     0,     0,  1500,  1501,     0,     0,     0,
       0,     0,     0,     0,  1503,   713,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   714,   104,   105,   415,   715,
       0,   107,   108,   109,   110,   716,   717,   112,   113,   114,
     115,     0,   116,   718,   719,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1435,  1436,  1437,    45,  1438,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,  1439,     0,     0,
     437,   438,     0,   439,   440,   133,   441,   442,   443,   135,
    1440,   137,  1441,  1442,     0,   444,   445,   446,   447,   448,
    1443,  1444,   449,   450,  1445,  1446,   452,     0,   453,   454,
     455,   456,  1447,     0,  1448,     0,   457,   458,   459,   460,
     148,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   151,   469,     0,  1449,  1450,  1451,  1452,  1453,  1454,
    1455,   470,   471,   472,   473,   474,   475,  1456,  1457,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,  1458,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,  1459,   500,   501,   502,  1460,  1461,   503,     0,   504,
    1462,   505,     0,   506,     0,   507,   169,     0,   170,   508,
     509,   510,     0,   511,  1463,     0,   512,     0,   513,   514,
     515,   516,   517,   173,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,   174,   175,     0,   528,
     529,   530,  1464,  1465,     0,  1466,     0,   531,   178,   179,
     532,   180,   533,   534,   535,   536,   537,   538,   539,     0,
     540,  1467,   182,   541,   183,     0,   542,   543,   544,  1468,
    1469,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,  1470,   189,  1471,   557,   558,   191,  1472,
     559,   560,   193,   561,  1473,  1474,   562,  1475,   563,   564,
     565,     0,   566,     0,     0,  1476,   568,   569,     0,     0,
     196,   197,   198,   199,  1477,   570,   571,   572,   573,   574,
     575,   576,     0,   577,  1478,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,  1479,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,   210,   605,   606,
    1480,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,  1481,   620,   217,   621,   622,
     219,   623,  1482,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,  1483,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,  1484,  1485,     0,
       0,   644,  1486,   645,  1487,  1488,   646,   647,   648,   649,
     650,   651,   652,     0,  1489,   653,   654,   655,   656,   657,
    1490,     0,   658,   659,   660,   661,   662,   663,  1491,     0,
     664,   235,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,  1492,  1493,  1494,  1495,
    1496,  1497,  1498,  1499,   674,   675,   676,     0,     0,     0,
       0,     0,     0,     0,  1500,  1501,     0,     0,     0,     0,
       0,  2085,  2770,  1503,   713,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   714,   104,   105,   415,   715,     0,
     107,   108,   109,   110,   716,   717,   112,   113,   114,   115,
       0,   116,   718,   719,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,   425,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1435,  1436,  1437,    45,  1438,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,  1439,     0,     0,   437,
     438,     0,   439,   440,   133,   441,   442,   443,   135,  1440,
     137,  1441,  1442,     0,   444,   445,   446,   447,   448,  1443,
    1444,   449,   450,  1445,  1446,   452,     0,   453,   454,   455,
     456,  1447,     0,  1448,     0,   457,   458,   459,   460,   148,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     151,   469,     0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,
     470,   471,   472,   473,   474,   475,  1456,  1457,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,  1458,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
    1459,   500,   501,   502,  1460,  1461,   503,     0,   504,  1462,
     505,     0,   506,     0,   507,   169,     0,   170,   508,   509,
     510,     0,   511,  1463,     0,   512,     0,   513,   514,   515,
     516,   517,   173,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,   174,   175,     0,   528,   529,
     530,  1464,  1465,     0,  1466,     0,   531,   178,   179,   532,
     180,   533,   534,   535,   536,   537,   538,   539,     0,   540,
    1467,   182,   541,   183,     0,   542,   543,   544,  1468,  1469,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,  1470,   189,  1471,   557,   558,   191,  1472,   559,
     560,   193,   561,  1473,  1474,   562,  1475,   563,   564,   565,
       0,   566,     0,     0,  1476,   568,   569,     0,     0,   196,
     197,   198,   199,  1477,   570,   571,   572,   573,   574,   575,
     576,     0,   577,  1478,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,  1479,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,   210,   605,   606,  1480,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,  1481,   620,   217,   621,   622,   219,
     623,  1482,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,  1483,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,  1484,  1485,     0,     0,
     644,  1486,   645,  1487,  1488,   646,   647,   648,   649,   650,
     651,   652,     0,  1489,   653,   654,   655,   656,   657,  1490,
       0,   658,   659,   660,   661,   662,   663,  1491,     0,   664,
     235,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,  1492,  1493,  1494,  1495,  1496,
    1497,  1498,  1499,   674,   675,   676,     0,     0,     0,     0,
       0,     0,     0,  1500,  1501,  1502,     0,     0,     0,     0,
       0,     0,  1503,   713,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   714,   104,   105,   415,   715,     0,   107,
     108,   109,   110,   716,   717,   112,   113,   114,   115,     0,
     116,   718,   719,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
     425,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1435,  1436,  1437,    45,  1438,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,  1439,     0,     0,   437,   438,
       0,   439,   440,   133,   441,   442,   443,   135,  1440,   137,
    1441,  1442,     0,   444,   445,   446,   447,   448,  1443,  1444,
     449,   450,  1445,  1446,   452,     0,   453,   454,   455,   456,
    1447,     0,  1448,     0,   457,   458,   459,   460,   148,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   151,
     469,     0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,   470,
     471,   472,   473,   474,   475,  1456,  1457,   476,  1586,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,  1458,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,  1459,
     500,   501,   502,  1460,  1461,   503,     0,   504,  1462,   505,
       0,   506,     0,   507,   169,     0,   170,   508,   509,   510,
       0,   511,  1463,     0,   512,     0,   513,   514,   515,   516,
     517,   173,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,   174,   175,     0,   528,   529,   530,
    1464,  1465,     0,  1466,     0,   531,   178,   179,   532,   180,
     533,   534,   535,   536,   537,   538,   539,     0,   540,  1467,
     182,   541,   183,     0,   542,   543,   544,  1468,  1469,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,  1470,   189,  1471,   557,   558,   191,  1472,   559,   560,
     193,   561,  1473,  1474,   562,  1475,   563,   564,   565,     0,
     566,     0,     0,  1476,   568,   569,     0,     0,   196,   197,
     198,   199,  1477,   570,   571,   572,   573,   574,   575,   576,
       0,   577,  1478,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,  1479,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,   210,   605,   606,  1480,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,  1481,   620,   217,   621,   622,   219,   623,
    1482,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,  1483,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,  1484,  1485,     0,     0,   644,
    1486,   645,  1487,  1488,   646,   647,   648,   649,   650,   651,
     652,     0,  1489,   653,   654,   655,   656,   657,  1490,     0,
     658,   659,   660,   661,   662,   663,  1491,     0,   664,   235,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,  1492,  1493,  1494,  1495,  1496,  1497,
    1498,  1499,   674,   675,   676,     0,     0,     0,     0,     0,
       0,     0,  1500,  1501,     0,     0,     0,     0,     0,     0,
       0,  1503,   713,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   714,   104,   105,   415,   715,     0,   107,   108,
     109,   110,   716,   717,   112,   113,   114,   115,     0,   116,
     718,   719,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,   425,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1435,  1436,  1437,    45,  1438,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,  2266,   434,   435,   436,
       0,     0,     0,     0,  1439,     0,     0,   437,   438,     0,
     439,   440,   133,   441,   442,   443,   135,  1440,   137,  1441,
    1442,     0,   444,   445,   446,   447,   448,  1443,  1444,   449,
     450,  1445,  1446,   452,     0,   453,   454,   455,   456,  1447,
       0,  1448,     0,   457,   458,   459,   460,   148,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   151,   469,
       0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,   470,   471,
     472,   473,   474,   475,  1456,  1457,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,  1458,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,  1459,   500,
     501,   502,  1460,  1461,   503,     0,   504,  1462,   505,     0,
     506,     0,   507,   169,     0,   170,   508,   509,   510,     0,
     511,  1463,     0,   512,     0,   513,   514,   515,   516,   517,
     173,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,   174,   175,     0,   528,   529,   530,  1464,
    1465,     0,  1466,     0,   531,   178,   179,   532,   180,   533,
     534,   535,   536,   537,   538,   539,     0,   540,  1467,   182,
     541,   183,     0,   542,   543,   544,  1468,  1469,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
    1470,   189,  1471,   557,   558,   191,  1472,   559,   560,   193,
     561,  1473,  1474,   562,  1475,   563,   564,   565,     0,   566,
       0,     0,  1476,   568,   569,     0,     0,   196,   197,   198,
     199,  1477,   570,   571,   572,   573,   574,   575,   576,     0,
     577,  1478,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,  1479,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,   210,   605,   606,  1480,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,  1481,   620,   217,   621,   622,   219,   623,  1482,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,  1483,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,  1484,  1485,     0,     0,   644,  1486,
     645,  1487,  1488,   646,   647,   648,   649,   650,   651,   652,
       0,  1489,   653,   654,   655,   656,   657,  1490,     0,   658,
     659,   660,   661,   662,   663,  1491,     0,   664,   235,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,  1492,  1493,  1494,  1495,  1496,  1497,  1498,
    1499,   674,   675,   676,     0,     0,     0,     0,     0,     0,
       0,  1500,  1501,     0,     0,     0,     0,     0,     0,     0,
    1503,   713,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   714,   104,   105,   415,   715,     0,   107,   108,   109,
     110,   716,   717,   112,   113,   114,   115,     0,   116,   718,
     719,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,   425,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1435,
    1436,  1437,    45,  1438,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,  1439,     0,     0,   437,   438,     0,   439,
     440,   133,   441,   442,   443,   135,  1440,   137,  1441,  1442,
       0,   444,   445,   446,   447,   448,  1443,  1444,   449,   450,
    1445,  1446,   452,     0,   453,   454,   455,   456,  1447,     0,
    1448,     0,   457,   458,   459,   460,   148,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   151,   469,     0,
    1449,  1450,  1451,  1452,  1453,  1454,  1455,   470,   471,   472,
     473,   474,   475,  1456,  1457,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,  1458,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,  1459,   500,   501,
     502,  1460,  1461,   503,     0,   504,  1462,   505,     0,   506,
       0,   507,   169,  2823,   170,   508,   509,   510,     0,   511,
    1463,     0,   512,     0,   513,   514,   515,   516,   517,   173,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,   174,   175,     0,   528,   529,   530,  1464,  1465,
       0,  1466,     0,   531,   178,   179,   532,   180,   533,   534,
     535,   536,   537,   538,   539,     0,   540,  1467,   182,   541,
     183,     0,   542,   543,   544,  1468,  1469,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,  1470,
     189,  1471,   557,   558,   191,  1472,   559,   560,   193,   561,
    1473,  1474,   562,  1475,   563,   564,   565,     0,   566,     0,
       0,  1476,   568,   569,     0,     0,   196,   197,   198,   199,
    1477,   570,   571,   572,   573,   574,   575,   576,     0,   577,
    1478,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,  1479,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,   210,   605,   606,  1480,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,  1481,   620,   217,   621,   622,   219,   623,  1482,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,  1483,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,  1484,  1485,     0,     0,   644,  1486,   645,
    1487,  1488,   646,   647,   648,   649,   650,   651,   652,     0,
    1489,   653,   654,   655,   656,   657,  1490,     0,   658,   659,
     660,   661,   662,   663,  1491,     0,   664,   235,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,  1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,
     674,   675,   676,     0,     0,     0,     0,     0,     0,     0,
    1500,  1501,     0,     0,     0,     0,     0,     0,     0,  1503,
     713,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     714,   104,   105,   415,   715,     0,   107,   108,   109,   110,
     716,   717,   112,   113,   114,   115,     0,   116,   718,   719,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,   425,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1435,  1436,
    1437,    45,  1438,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,  1439,     0,     0,   437,   438,     0,   439,   440,
     133,   441,   442,   443,   135,  1440,   137,  1441,  1442,     0,
     444,   445,   446,   447,   448,  1443,  1444,   449,   450,  1445,
    1446,   452,     0,   453,   454,   455,   456,  1447,     0,  1448,
       0,   457,   458,   459,   460,   148,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   151,   469,     0,  1449,
    1450,  1451,  1452,  1453,  1454,  1455,   470,   471,   472,   473,
     474,   475,  1456,  1457,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,  1458,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,  1459,   500,   501,   502,
    1460,  1461,   503,     0,   504,  1462,   505,     0,   506,     0,
     507,   169,     0,   170,   508,   509,   510,     0,   511,  1463,
       0,   512,     0,   513,   514,   515,   516,   517,   173,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,   174,   175,     0,   528,   529,   530,  1464,  1465,     0,
    1466,     0,   531,   178,   179,   532,   180,   533,   534,   535,
     536,   537,   538,   539,     0,   540,  1467,   182,   541,   183,
       0,   542,   543,   544,  1468,  1469,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,  1470,   189,
    1471,   557,   558,   191,  1472,   559,   560,   193,   561,  1473,
    1474,   562,  1475,   563,   564,   565,     0,   566,     0,     0,
    1476,   568,   569,     0,     0,   196,   197,   198,   199,  1477,
     570,   571,   572,   573,   574,   575,   576,     0,   577,  1478,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,  1479,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   210,   605,   606,  1480,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
    1481,   620,   217,   621,   622,   219,   623,  1482,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
    1483,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,  1484,  1485,     0,     0,   644,  1486,   645,  1487,
    1488,   646,   647,   648,   649,   650,   651,   652,     0,  1489,
     653,   654,   655,   656,   657,  1490,     0,   658,   659,   660,
     661,   662,   663,  1491,  4042,   664,   235,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,  1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,   674,
     675,   676,     0,     0,     0,     0,     0,     0,     0,  1500,
    1501,     0,     0,     0,     0,     0,     0,     0,  1503,   713,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   714,
     104,   105,   415,   715,     0,   107,   108,   109,   110,   716,
     717,   112,   113,   114,   115,     0,   116,   718,   719,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,   425,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1435,  1436,  1437,
      45,  1438,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,  1439,     0,     0,   437,   438,     0,   439,   440,   133,
     441,   442,   443,   135,  1440,   137,  1441,  1442,     0,   444,
     445,   446,   447,   448,  1443,  1444,   449,   450,  1445,  1446,
     452,     0,   453,   454,   455,   456,  1447,     0,  1448,     0,
     457,   458,   459,   460,   148,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   151,   469,  4055,  1449,  1450,
    1451,  1452,  1453,  1454,  1455,   470,   471,   472,   473,   474,
     475,  1456,  1457,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
    1458,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,  1459,   500,   501,   502,  1460,
    1461,   503,     0,   504,  1462,   505,     0,   506,     0,   507,
     169,     0,   170,   508,   509,   510,     0,   511,  1463,     0,
     512,     0,   513,   514,   515,   516,   517,   173,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
     174,   175,     0,   528,   529,   530,  1464,  1465,     0,  1466,
       0,   531,   178,   179,   532,   180,   533,   534,   535,   536,
     537,   538,   539,     0,   540,  1467,   182,   541,   183,     0,
     542,   543,   544,  1468,  1469,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,  1470,   189,  1471,
     557,   558,   191,  1472,   559,   560,   193,   561,  1473,  1474,
     562,  1475,   563,   564,   565,     0,   566,     0,     0,  1476,
     568,   569,     0,     0,   196,   197,   198,   199,  1477,   570,
     571,   572,   573,   574,   575,   576,     0,   577,  1478,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,  1479,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   210,   605,   606,  1480,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,  1481,
     620,   217,   621,   622,   219,   623,  1482,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,  1483,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,  1484,  1485,     0,     0,   644,  1486,   645,  1487,  1488,
     646,   647,   648,   649,   650,   651,   652,     0,  1489,   653,
     654,   655,   656,   657,  1490,     0,   658,   659,   660,   661,
     662,   663,  1491,     0,   664,   235,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
    1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,   674,   675,
     676,     0,     0,     0,     0,     0,     0,     0,  1500,  1501,
       0,     0,     0,     0,     0,     0,     0,  1503,   713,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   714,   104,
     105,   415,   715,     0,   107,   108,   109,   110,   716,   717,
     112,   113,   114,   115,     0,   116,   718,   719,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,   425,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1435,  1436,  1437,    45,
    1438,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
    1439,     0,     0,   437,   438,     0,   439,   440,   133,   441,
     442,   443,  4861,  1440,   137,  1441,  1442,     0,   444,   445,
     446,   447,   448,  1443,  1444,   449,   450,  1445,  1446,   452,
       0,   453,   454,   455,   456,  1447,     0,  1448,     0,   457,
     458,   459,   460,   148,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   151,   469,  4862,  1449,  1450,  1451,
    1452,  1453,  1454,  1455,   470,   471,   472,   473,   474,   475,
    1456,  1457,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,  1458,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,  1459,   500,   501,   502,  1460,  1461,
     503,     0,   504,  1462,   505,     0,   506,     0,   507,   169,
       0,   170,   508,   509,   510,     0,   511,  1463,     0,   512,
       0,   513,   514,   515,   516,   517,   173,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,   174,
     175,     0,   528,   529,   530,  1464,  1465,     0,  1466,     0,
     531,   178,   179,   532,   180,   533,   534,   535,   536,   537,
     538,   539,     0,   540,  1467,   182,   541,   183,     0,   542,
     543,   544,  1468,  1469,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,  1470,   189,  1471,   557,
     558,   191,  1472,   559,   560,   193,   561,  1473,  1474,   562,
    1475,   563,   564,   565,     0,   566,     0,     0,  1476,   568,
     569,     0,     0,   196,   197,   198,   199,  1477,   570,   571,
     572,   573,   574,   575,   576,     0,   577,  1478,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,  1479,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
     210,   605,   606,  1480,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,  1481,   620,
     217,   621,   622,   219,   623,  1482,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,  1483,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
    1484,  1485,     0,     0,   644,  1486,   645,  1487,  1488,   646,
     647,   648,   649,  4863,   651,   652,     0,  1489,   653,   654,
     655,   656,   657,  1490,     0,   658,   659,   660,   661,   662,
     663,  1491,     0,   664,   235,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,  1492,
    1493,  1494,  1495,  1496,  1497,  1498,  1499,   674,   675,   676,
       0,     0,     0,     0,     0,     0,     0,  1500,  1501,     0,
       0,     0,     0,     0,     0,     0,  1503,   713,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   714,   104,   105,
     415,   715,     0,   107,   108,   109,   110,   716,   717,   112,
     113,   114,   115,     0,   116,   718,   719,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,   425,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1435,  1436,  1437,    45,  1438,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,     0,     0,     0,     0,  1439,
       0,     0,   437,   438,     0,   439,   440,   133,   441,   442,
     443,   135,  1440,   137,  1441,  1442,     0,   444,   445,   446,
     447,   448,  1443,  1444,   449,   450,  1445,  1446,   452,     0,
     453,   454,   455,   456,  1447,     0,  1448,     0,   457,   458,
     459,   460,   148,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   151,   469,  4862,  1449,  1450,  1451,  1452,
    1453,  1454,  1455,   470,   471,   472,   473,   474,   475,  1456,
    1457,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,  1458,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,  1459,   500,   501,   502,  1460,  1461,   503,
       0,   504,  1462,   505,     0,   506,     0,   507,   169,     0,
     170,   508,   509,   510,     0,   511,  1463,     0,   512,     0,
     513,   514,   515,   516,   517,   173,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,   174,   175,
       0,   528,   529,   530,  1464,  1465,     0,  1466,     0,   531,
     178,   179,   532,   180,   533,   534,   535,   536,   537,   538,
     539,     0,   540,  1467,   182,   541,   183,     0,   542,   543,
     544,  1468,  1469,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,  1470,   189,  1471,   557,   558,
     191,  1472,   559,   560,   193,   561,  1473,  1474,   562,  1475,
     563,   564,   565,     0,   566,     0,     0,  1476,   568,   569,
       0,     0,   196,   197,   198,   199,  1477,   570,   571,   572,
     573,   574,   575,   576,     0,   577,  1478,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
    1479,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   210,
     605,   606,  1480,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,  1481,   620,   217,
     621,   622,   219,   623,  1482,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,  1483,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,  1484,
    1485,     0,     0,   644,  1486,   645,  1487,  1488,   646,   647,
     648,   649,  4863,   651,   652,     0,  1489,   653,   654,   655,
     656,   657,  1490,     0,   658,   659,   660,   661,   662,   663,
    1491,     0,   664,   235,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,  1492,  1493,
    1494,  1495,  1496,  1497,  1498,  1499,   674,   675,   676,     0,
       0,     0,     0,     0,     0,     0,  1500,  1501,     0,     0,
       0,     0,     0,     0,     0,  1503,   713,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   714,   104,   105,   415,
     715,     0,   107,   108,   109,   110,   716,   717,   112,   113,
     114,   115,     0,   116,   718,   719,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,   425,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1435,  1436,  1437,    45,  1438,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,  1439,     0,
       0,   437,   438,     0,   439,   440,   133,   441,   442,   443,
     135,  1440,   137,  1441,  1442,     0,   444,   445,   446,   447,
     448,  1443,  1444,   449,   450,  1445,  1446,   452,     0,   453,
     454,   455,   456,  1447,     0,  1448,     0,   457,   458,   459,
     460,   148,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   151,   469,     0,  1449,  1450,  1451,  1452,  1453,
    1454,  1455,   470,   471,   472,   473,   474,   475,  1456,  1457,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,  1458,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,  1459,   500,   501,   502,  1460,  1461,   503,     0,
     504,  1462,   505,     0,   506,     0,   507,   169,     0,   170,
     508,   509,   510,     0,   511,  1463,     0,   512,     0,   513,
     514,   515,   516,   517,   173,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,   174,   175,     0,
     528,   529,   530,  1464,  1465,     0,  1466,     0,   531,   178,
     179,   532,   180,   533,   534,   535,   536,   537,   538,   539,
       0,   540,  1467,   182,   541,   183,     0,   542,   543,   544,
    1468,  1469,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,  1470,   189,  1471,   557,   558,   191,
    1472,   559,   560,   193,   561,  1473,  1474,   562,  1475,   563,
     564,   565,     0,   566,     0,     0,  1476,   568,   569,     0,
       0,   196,   197,   198,   199,  1477,   570,   571,   572,   573,
     574,   575,   576,     0,   577,  1478,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,  1479,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,   210,   605,
     606,  1480,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,  1481,   620,   217,   621,
     622,   219,   623,  1482,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,  1483,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,  1484,  1485,
       0,     0,   644,  1486,   645,  1487,  1488,   646,   647,   648,
     649,   650,   651,   652,     0,  1489,   653,   654,   655,   656,
     657,  1490,     0,   658,   659,   660,   661,   662,   663,  1491,
       0,   664,   235,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,  1492,  1493,  1494,
    1495,  1496,  1497,  1498,  1499,   674,   675,   676,     0,     0,
       0,     0,     0,     0,     0,  1500,  1501,     0,     0,     0,
       0,     0,     0,     0,  1503,   713,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   714,   104,   105,   415,   715,
       0,   107,   108,   109,   110,   716,   717,   112,   113,   114,
     115,     0,   116,   718,   719,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1435,  1436,  1437,    45,  1438,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,  1439,     0,     0,
     437,   438,     0,   439,   440,   133,   441,   442,   443,   135,
    1440,   137,  1441,  1442,     0,   444,   445,   446,   447,   448,
    1443,  1444,   449,   450,  1445,  1446,   452,     0,   453,   454,
     455,   456,  1447,     0,  1448,     0,   457,   458,   459,   460,
     148,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   151,   469,     0,  1449,  1450,  1451,  1452,  1453,  1454,
    1455,   470,   471,   472,   473,   474,   475,  1456,  1457,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,  1458,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,  1459,   500,   501,   502,  1460,  1461,   503,     0,   504,
    1462,   505,     0,   506,     0,   507,   169,     0,   170,   508,
     509,   510,     0,   511,  1463,     0,   512,     0,   513,   514,
     515,   516,   517,   173,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,   174,   175,     0,   528,
     529,   530,  1464,  1465,     0,  1466,     0,   531,   178,   179,
     532,   180,   533,   534,   535,   536,   537,   538,   539,     0,
     540,  1467,   182,   541,   183,     0,   542,   543,   544,  1468,
    1469,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,  1470,   189,  1471,   557,   558,   191,  1472,
     559,   560,   193,   561,  1473,  1474,   562,  1475,   563,   564,
     565,     0,   566,     0,     0,  1476,   568,   569,     0,     0,
     196,   197,   198,   199,  1477,   570,   571,   572,   573,   574,
     575,   576,     0,   577,  1478,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,  1479,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,   210,   605,   606,
    1480,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,  1481,   620,   217,   621,   622,
     219,   623,  1482,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,  1483,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,  1484,  1485,     0,
       0,   644,  1486,   645,  1487,  1488,   646,   647,   648,   649,
     650,   651,   652,     0,  1489,   653,   654,   655,   656,   657,
    1490,     0,   658,   659,   660,   661,   662,   663,  1491,     0,
     664,   235,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,  4337,  1492,  1493,  1494,  1495,
    1496,  1497,  1498,  1499,   674,   675,   676,     0,     0,     0,
       0,     0,     0,     0,  1500,  1501,     0,     0,     0,     0,
       0,     0,     0,  1503,   713,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   714,   104,   105,   415,   715,     0,
     107,   108,   109,   110,   716,   717,   112,   113,   114,   115,
       0,   116,   718,   719,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,   425,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1435,  1436,  1437,    45,  1438,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,  1439,     0,     0,   437,
     438,     0,   439,   440,   133,   441,   442,   443,   135,  1440,
     137,  1441,  1442,     0,   444,   445,   446,   447,   448,  1443,
    1444,   449,   450,  1445,  1446,   452,     0,   453,   454,   455,
     456,  1447,     0,  1448,     0,   457,   458,   459,   460,   148,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     151,   469,     0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,
     470,   471,   472,   473,   474,   475,  1456,  1457,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,  1458,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
    1459,   500,   501,   502,  1460,  1461,   503,     0,   504,  1462,
     505,     0,   506,     0,   507,   169,     0,   170,   508,   509,
     510,     0,   511,  1463,     0,   512,     0,   513,   514,   515,
     516,   517,   173,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,   174,   175,     0,   528,   529,
     530,  1464,  1465,     0,  1466,     0,   531,   178,   179,   532,
     180,   533,   534,   535,   536,   537,   538,   539,     0,   540,
    1467,   182,   541,   183,     0,   542,   543,   544,  1468,  1469,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,  1470,   189,  1471,   557,  4346,   191,  1472,   559,
     560,   193,   561,  1473,  1474,   562,  1475,   563,   564,   565,
       0,   566,     0,     0,  1476,   568,   569,     0,     0,   196,
     197,   198,   199,  1477,   570,   571,   572,   573,   574,   575,
     576,     0,   577,  1478,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,  1479,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,   210,   605,   606,  1480,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,  1481,   620,   217,   621,   622,   219,
     623,  1482,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,  1483,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,  1484,  1485,     0,     0,
     644,  1486,   645,  1487,  1488,   646,   647,   648,   649,   650,
     651,   652,     0,  1489,   653,   654,   655,   656,   657,  1490,
       0,   658,   659,   660,   661,   662,   663,  1491,     0,   664,
     235,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,  1492,  1493,  1494,  1495,  1496,
    1497,  1498,  1499,   674,   675,   676,     0,     0,     0,     0,
       0,     0,     0,  1500,  1501,     0,     0,     0,     0,     0,
       0,     0,  1503,   713,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   714,   104,   105,   415,   715,     0,   107,
     108,   109,   110,   716,   717,   112,   113,   114,   115,     0,
     116,   718,   719,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
     425,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1435,  1436,  1437,    45,  1438,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,  1439,     0,     0,   437,   438,
       0,   439,   440,   133,   441,   442,   443,   135,  1440,   137,
    1441,  1442,     0,   444,   445,   446,   447,   448,  1443,  1444,
     449,   450,  1445,  1446,   452,     0,   453,   454,   455,   456,
    1447,     0,  1448,     0,   457,   458,   459,   460,   148,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   151,
     469,     0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,   470,
     471,   472,   473,   474,   475,  1456,  1457,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,  1458,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,  1459,
     500,   501,   502,  1460,  1461,   503,     0,   504,  1462,   505,
       0,   506,     0,   507,   169,     0,   170,   508,   509,   510,
       0,   511,  1463,     0,   512,     0,   513,   514,   515,   516,
     517,   173,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,   174,   175,     0,   528,   529,   530,
    1464,  1465,     0,  1466,     0,   531,   178,   179,   532,   180,
     533,   534,   535,   536,   537,   538,   539,     0,   540,  1467,
     182,   541,   183,     0,   542,   543,   544,  1468,  1469,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,  1470,   189,  1471,   557,   558,   191,     0,   559,   560,
     193,   561,  1473,  1474,   562,  1475,   563,   564,   565,     0,
     566,     0,     0,  1476,   568,   569,     0,     0,   196,   197,
     198,   199,  1477,   570,   571,   572,   573,   574,   575,   576,
       0,   577,  1478,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,  1479,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,   210,   605,   606,  1480,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,  1481,   620,   217,   621,   622,   219,   623,
    1482,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,  1483,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,  1484,  1485,     0,     0,   644,
    1486,   645,  1487,  1488,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,  1490,     0,
     658,   659,   660,   661,   662,   663,  1491,     0,   664,   235,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,  1492,  1493,  1494,  1495,  1496,  1497,
    1498,  1499,   674,   675,   676,     0,     0,     0,     0,     0,
       0,     0,  2805,  2806,     0,     0,     0,     0,     0,     0,
       0,  1503,   713,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   714,   104,   105,   415,   715,     0,   107,   108,
     109,   110,   716,   717,   112,   113,   114,   115,     0,   116,
     718,   719,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,   425,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1435,  1436,  1437,    45,  1438,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,  1439,     0,     0,   437,   438,     0,
     439,   440,   133,   441,   442,   443, -2572,  1440,   137,  1441,
    1442,     0,   444,   445,   446,   447,   448,  1443,  1444,   449,
     450,  1445,  1446,   452,     0,   453,   454,   455,   456,  1447,
       0,  1448,     0,   457,   458,   459,   460,   148,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   151,   469,
    4862,  1449,  1450,  1451,  1452,  1453,  1454,  1455,   470,   471,
     472,   473,   474,   475,  1456,  1457,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,  1458,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,  1459,   500,
     501,   502,  1460,  1461,   503,     0,   504,  1462,   505,     0,
     506,     0,   507,   169,     0,   170,   508,   509,   510,     0,
     511,  1463,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,   174,   175,     0,   528,   529,   530,  1464,
    1465,     0,  1466,     0,   531,   178,   179,   532,   180,   533,
     534,   535,   536,   537,   538,   539,     0,   540,  1467,   182,
     541,     0,     0,   542,   543,   544,  1468,  1469,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
    1470,   189,  1471,   557,   558,   191,     0,   559,   560,   193,
     561,  1473,  1474,   562,  1475,   563,   564,   565,     0,   566,
       0,     0,  1476,   568,   569,     0,     0,   196,   197,   198,
     199,  1477,   570,   571,   572,   573,   574,   575,   576,     0,
     577,  1478,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,  1479,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,   210,   605,   606,  1480,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,  1481,   620,   217,   621,   622,     0,   623,  1482,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,  1483,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,  1484,  1485,     0,     0,   644,  1486,
     645,  1487,  1488,   646,   647,   648,   649,  4863,   651,   652,
       0,  1489,   653,   654,   655,   656,   657,  1490,     0,   658,
     659,   660,   661,   662,   663,  1491,     0,   664,   235,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,  1492,  1493,  1494,  1495,  1496,  1497,  1498,
    1499,   674,   675,   676,     0,     0,     0,     0,     0,     0,
       0,  1500,  1501,     0,     0,     0,     0,     0,     0,     0,
    1503,   713,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   714,   104,   105,   415,   715,     0,   107,   108,   109,
     110,   716,   717,   112,   113,   114,   115,     0,   116,   718,
     719,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,   425,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1435,
    1436,     0,    45,  1438,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,  1439,     0,     0,   437,   438,     0,   439,
     440,   133,   441,   442,   443,   135,  1440,   137,  1441,  1442,
       0,   444,   445,   446,   447,   448,  1443,  1444,   449,   450,
    1445,  1446,   452,     0,   453,   454,   455,   456,  1447,     0,
    1448,     0,   457,   458,   459,   460,   148,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   151,   469,     0,
    1449,  1450,  1451,  1452,  1453,  1454,  1455,   470,   471,   472,
     473,   474,   475,  1456,  1457,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,  1458,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,  1459,   500,   501,
     502,  1460,  1461,   503,     0,   504,  1462,   505,     0,   506,
       0,   507,   169,     0,   170,   508,   509,   510,     0,   511,
    1463,     0,   512,     0,   513,   514,   515,   516,   517,   173,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,   174,   175,     0,   528,   529,   530,  1464,  1465,
       0,  1466,     0,   531,   178,   179,   532,   180,   533,   534,
     535,   536,   537,   538,   539,     0,   540,  1467,   182,   541,
     183,     0,   542,   543,   544,  1468,  1469,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,  1470,
     189,  1471,   557,   558,   191,     0,   559,   560,   193,   561,
    1473,  1474,   562,  1475,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,   197,   198,   199,
    1477,   570,   571,   572,   573,   574,   575,   576,     0,   577,
    1478,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,  1479,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,   210,   605,   606,  1480,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,  1481,   620,   217,   621,   622,   219,   623,  1482,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,  1483,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,  1484,  1485,     0,     0,   644,  1486,   645,
    1487,  1488,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,  1490,     0,   658,   659,
     660,   661,   662,   663,  1491,     0,   664,   235,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,  1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,
     674,   675,   676,     0,     0,     0,   713,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,  1503,
      98,    99,   100,   101,   102,   103,   714,   104,   105,   415,
     715,     0,   107,   108,   109,   110,   716,   717,   112,   113,
     114,   115,     0,   116,   718,   719,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,   425,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1435,  1436,     0,    45,  1438,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,  1439,     0,
       0,   437,   438,     0,   439,   440,   133,   441,   442,   443,
     135,  1440,   137,  1441,  1442,     0,  3965,   445,   446,   447,
     448,  1443,  1444,   449,   450,  1445,  1446,   452,     0,   453,
     454,   455,   456,  1447,     0,  1448,     0,   457,   458,   459,
     460,   148,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   151,   469,     0,  1449,  1450,  1451,  1452,  1453,
    1454,  1455,   470,   471,   472,   473,   474,   475,  1456,  1457,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,  1458,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,  1459,   500,   501,   502,  1460,  1461,   503,     0,
     504,  1462,   505,     0,   506,     0,   507,   169,     0,   170,
     508,   509,   510,     0,   511,  1463,     0,   512,     0,   513,
     514,   515,   516,   517,   173,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,   174,   175,     0,
     528,   529,   530,  1464,  1465,     0,  1466,     0,   531,   178,
     179,   532,   180,   533,   534,   535,   536,   537,   538,   539,
       0,   540,  1467,   182,   541,   183,     0,   542,   543,   544,
    1468,  1469,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,  1470,   189,  1471,   557,   558,   191,
       0,   559,   560,   193,   561,  1473,  1474,   562,  1475,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,   197,   198,   199,  1477,   570,   571,   572,   573,
     574,   575,   576,     0,   577,  1478,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,  1479,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,   210,   605,
     606,  1480,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,  1481,   620,   217,   621,
     622,   219,   623,  1482,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,  1483,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,  1484,  1485,
       0,     0,   644,  1486,   645,  1487,  1488,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,  1490,     0,   658,   659,   660,   661,   662,   663,  1491,
       0,   664,   235,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,  1492,  1493,  1494,
    1495,  1496,  1497,  1498,  1499,   674,   675,   676,     0,     0,
       0,   713,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,  1503,    98,    99,   100,   101,   102,
     103,   714,   104,   105,   415,   715,     0,   107,   108,   109,
     110,   716,   717,   112,   113,   114,   115,     0,   116,   718,
     719,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,   425,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1435,
    1436,  1437,    45,  1438,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,  1439,     0,     0,   437,   438,     0,   439,
     440,   133,   441,   442,   443,     0,  1440,   137,  1441,  1442,
       0,   444,   445,   446,   447,   448,  1443,  1444,   449,   450,
    1445,  1446,   452,     0,   453,   454,   455,   456,  1447,     0,
    1448,     0,   457,   458,   459,   460,   148,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   151,   469,     0,
    1449,  1450,  1451,  1452,  1453,  1454,  1455,   470,   471,   472,
     473,   474,   475,  1456,  1457,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,  1458,   489,   490,     0,   491,   492,   493,     0,
     494,     0,     0,   496,   497,   498,   499,  1459,   500,   501,
     502,  1460,  1461,   503,     0,   504,  1462,   505,     0,   506,
       0,   507,   169,     0,   170,   508,   509,   510,     0,   511,
    1463,     0,   512,     0,   513,   514,   515,   516,   517,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,   174,   175,     0,   528,   529,   530,  1464,  1465,
       0,  1466,     0,   531,   178,   179,   532,   180,   533,   534,
     535,   536,   537,   538,   539,     0,   540,  1467,   182,   541,
       0,     0,   542,   543,   544,  1468,  1469,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,  1470,
     189,  1471,   557,   558,   191,     0,   559,   560,   193,   561,
    1473,  1474,   562,  1475,   563,   564,   565,     0,   566,     0,
       0,  1476,   568,   569,     0,     0,   196,   197,   198,   199,
    1477,   570,   571,   572,   573,   574,   575,   576,     0,   577,
    1478,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,  1479,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,   210,   605,   606,  1480,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,  1481,   620,   217,   621,   622,     0,   623,  1482,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,  1483,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,  1484,  1485,     0,     0,   644,  1486,   645,
    1487,  1488,   646,   647,   648,   649,   650,   651,   652,     0,
    1489,   653,   654,   655,   656,   657,  1490,     0,   658,   659,
     660,   661,   662,   663,  1491,     0,   664,   235,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,  1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,
     674,   675,   676,     0,     0,     0,     0,     0,     0,     0,
    1500,  1501,     0,     0,     0,     0,     0,     0,     0,  1503,
     713,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     714,   104,   105,   415,   715,     0,   107,   108,   109,   110,
     716,   717,   112,   113,   114,   115,     0,   116,   718,   719,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,   425,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1435,  1436,
    1437,    45,  1438,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,  1439,     0,     0,   437,   438,     0,   439,   440,
     133,   441,   442,   443,     0,  1440,   137,  1441,  1442,     0,
     444,   445,   446,   447,   448,  1443,  1444,   449,   450,  1445,
    1446,   452,     0,   453,   454,   455,   456,  1447,     0,  1448,
       0,   457,   458,   459,   460,   148,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   151,   469,     0,  1449,
    1450,  1451,  1452,  1453,  1454,  1455,   470,   471,   472,   473,
     474,   475,  1456,  1457,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,  1458,   489,   490,     0,   491,   492,   493,     0,   494,
       0,     0,   496,   497,   498,   499,  1459,   500,   501,   502,
    1460,  1461,   503,     0,   504,  1462,   505,     0,   506,     0,
     507,   169,     0,   170,   508,   509,   510,     0,   511,  1463,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,   174,   175,     0,   528,   529,   530,  1464,  1465,     0,
    1466,     0,   531,   178,   179,   532,   180,   533,   534,   535,
     536,   537,   538,   539,     0,   540,  1467,   182,   541,     0,
       0,   542,   543,   544,  1468,  1469,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,  1470,   189,
    1471,   557,   558,   191,     0,   559,   560,   193,   561,  1473,
    1474,   562,  1475,   563,   564,   565,     0,   566,     0,     0,
    1476,   568,   569,     0,     0,   196,   197,   198,   199,  1477,
     570,   571,   572,   573,   574,   575,   576,     0,   577,  1478,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,  1479,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   210,   605,   606,  1480,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
    1481,   620,   217,   621,   622,     0,   623,  1482,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
    1483,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,  1484,  1485,     0,     0,   644,  1486,   645,  1487,
    1488,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,  1490,     0,   658,   659,   660,
     661,   662,   663,  1491,     0,   664,   235,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,  1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,   674,
     675,   676,     0,     0,     0,     0,     0,     0,     0,  2805,
    2806,     0,     0,     0,     0,     0,     0,     0,  1503,   713,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   714,
     104,   105,   415,   715,     0,   107,   108,   109,   110,   716,
     717,   112,   113,   114,   115,     0,   116,   718,   719,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,   133,
     441,   442,   443,   135,   136,   137,   138,   139,     0,   444,
     445,   446,   447,   448,     0,  1444,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,  1447,     0,  1448,     0,
     457,   458,   459,   460,   148,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   151,   469,     0,  1449,  1450,
    1451,  1452,  1453,  1454,  1455,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,  1460,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
     169,     0,   170,   508,   509,   510,     0,   511,  1463,     0,
     512,     0,   513,   514,   515,   516,   517,   173,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
     174,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,   178,   179,   532,   180,   533,   534,   535,   536,
     537,   538,   539,     0,   540,  1467,   182,   541,   183,     0,
     542,   543,   544,  1468,  1469,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,   189,   190,
     557,   558,   191,     0,   559,   560,   193,   561,     0,  1474,
     562,   195,   563,   564,   565,     0,   566,     0,  1059,   567,
     568,   569,     0,     0,   196,   197,   198,   199,  1477,   570,
     571,   572,   573,   574,   575,   576,     0,   577,  1478,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   210,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,   215,   615,   616,   617,   618,   619,  1481,
     620,   217,   621,   622,   219,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,  1483,
       0,   635,   636,   223,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,  1486,   645,  1487,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,  1490,     0,   658,   659,   660,   661,
     662,  1361,   234,     0,   664,   235,   665,   666,   667,     0,
       0,   668,     0,   236,   669,   670,   671,   672,   673,   237,
    1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,   674,   675,
     676,     0,     0,     0,   713,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,  3512,    98,    99,
     100,   101,   102,   103,   714,   104,   105,   415,   715,     0,
     107,   108,   109,   110,   716,   717,   112,   113,   114,   115,
       0,   116,   718,   719,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,   133,   441,   442,   443,   135,   136,
     137,   138,   139,     0,   444,   445,   446,   447,   448,     0,
    1444,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,  1447,     0,  1448,     0,   457,   458,   459,   460,   148,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     151,   469,     0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,  1460,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,   169,     0,   170,   508,   509,
     510,     0,   511,  1463,     0,   512,     0,   513,   514,   515,
     516,   517,   173,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,   174,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,   178,   179,   532,
     180,   533,   534,   535,   536,   537,   538,   539,     0,   540,
    1467,   182,   541,   183,     0,   542,   543,   544,  1468,  1469,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,   189,   190,   557,   558,   191,     0,   559,
     560,   193,   561,     0,  1474,   562,   195,   563,   564,   565,
       0,   566,     0,  1059,   567,   568,   569,     0,     0,   196,
     197,   198,   199,  1477,   570,   571,   572,   573,   574,   575,
     576,     0,   577,  1478,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,   210,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,  1481,   620,   217,   621,   622,   219,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,  1483,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,  1486,   645,  1487,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,  1490,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
     235,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,  1492,  1493,  1494,  1495,  1496,
    1497,  1498,  1499,   674,   675,   676,     0,     0,     0,   713,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,  3512,    98,    99,   100,   101,   102,   103,   714,
     104,   105,   415,   715,     0,   107,   108,   109,   110,   716,
     717,   112,   113,   114,   115,     0,   116,   718,   719,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,   133,
     441,   442,   443,   135,   136,   137,   138,   139,     0,   444,
     445,   446,   447,   448,     0,  1444,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,  1447,     0,  1448,     0,
     457,   458,   459,   460,   148,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   151,   469,     0,  1449,  1450,
    1451,  1452,  1453,  1454,  1455,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,  1460,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
     169,     0,   170,   508,   509,   510,     0,   511,  1463,     0,
     512,     0,   513,   514,   515,   516,   517,   173,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
     174,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,   178,   179,   532,   180,   533,   534,   535,   536,
     537,   538,   539,     0,   540,  1467,   182,   541,   183,     0,
     542,   543,   544,  1468,  1469,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,   189,   190,
     557,   558,   191,     0,   559,   560,   193,   561,     0,  1474,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,   197,   198,   199,  1477,   570,
     571,   572,   573,   574,   575,   576,     0,   577,  1478,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   210,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,  1481,
     620,   217,   621,   622,   219,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,  1483,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,  1486,   645,  1487,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,  1490,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,   235,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
    1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,   674,   675,
     676,     0,     0,     0,   713,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,  4081,    98,    99,
     100,   101,   102,   103,   714,   104,   105,   415,   715,     0,
     107,   108,   109,   110,   716,   717,   112,   113,   114,   115,
       0,   116,   718,   719,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,   133,   441,   442,   443,   135,   136,
     137,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,   145,     0,   457,   458,   459,   460,   148,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     151,   469,     0,     0,     0,     0,   152,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,   169,     0,   170,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,   173,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,   174,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,   178,   179,   532,
     180,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,   182,   541,   183,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,   189,   190,   557,   558,   191,     0,   559,
     560,   193,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
     197,   198,   199,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,   210,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,   219,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
     235,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,     0,     0,     0,     0,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,  4633,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,  4009,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0, -1428,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0, -1428,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
   -1428,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532, -1428,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181, -1428,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188, -1428,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604, -1428,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,     0,     0,     0,     0,     0,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,  1594,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,     0,     0,     0,
       0,     0,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,  3273,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,   425,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
     451,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,  2008,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,     0,   512,     0,   513,   514,   515,   516,   517,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,  2009,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,   224,   225,     0,     0,   644,   226,   645,
     227,  2010,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,   663,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,     0,     0,     0,     0,     0,     0,     0,
     976,  1637,  4204,     0,     0,     0,     0,     0,     0,  4205,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
      45,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,     0,     0,     0,     0,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,  3787,  3788,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   130,   131,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,   215,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,   223,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,  1361,   234,     0,   664,
    1362,   665,   666,   667,     0,     0,   668,     0,   236,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,     0,     0,     0,     0,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,   246,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
      45,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,     0,     0,     0,     0,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,  3788,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,   425,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,   215,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,   223,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,  1361,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,   236,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,     0,     0,     0,     0,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,   246,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,   215,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,   223,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,  1361,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,   236,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,     0,     0,     0,     0,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,   246,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,     0,     0,     0,     0,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,  1569,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,     0,     0,     0,     0,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,  2963,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,     0,     0,     0,     0,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,  4036,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,     0,     0,     0,   713,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,  4381,    98,    99,
     100,   101,   102,   103,   714,   104,   105,   415,   715,     0,
     107,   108,   109,   110,   716,   717,   112,   113,   114,   115,
       0,   116,   718,   719,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,   425,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,  1181,    45,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   720,   434,
     435,   436,   721,   722,   723,   724,   725,   726,   727,   437,
     438,   728,   439,   440,   133,   441,   442,   443,     0,  1857,
     137,  1858,  1859,   729,   444,   445,   446,   447,   448,   730,
     731,   449,   450,  1860,  1861,   452,   733,   453,   454,   455,
     456,     0,   734,   145,   735,   457,   458,   459,   460,   148,
     461,   462,   737,   463,   464,   465,   466,   467,   468,   738,
     151,   469,     0,   740,   741,   742,   152,   743,   744,   745,
     470,   471,   472,   473,   474,   475,  1862,  1863,   476,   746,
     477,   747,   478,   479,   480,   481,   482,   748,   483,   484,
     485,   749,   750,   486,   487,  1458,   489,   490,   751,   491,
     492,   493,   752,   494,   495,   753,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   754,   503,   755,   504,  1864,
     505,   756,   506,   757,   507,   169,   758,   170,   508,   509,
     510,   759,   511,     0,   760,   512,   761,   513,   514,   515,
     516,   517,   173,   518,   519,   520,   762,   521,   522,   523,
     524,   525,   526,   763,   527,   174,     0,     0,   528,   529,
     530,  1464,  1865,   766,  1866,   767,   531,   178,   179,   532,
     180,   533,   534,   535,   536,   537,   538,   539,   768,   540,
       0,   182,   541,   183,   769,   542,   543,   544,   770,   771,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,  1867,   189,  1868,   557,   558,     0,   772,   559,
     560,   193,   561,   773,     0,   562,  1869,   563,   564,   565,
     774,   566,   775,   776,  3774,   568,   569,   777,   778,     0,
     197,   198,   199,     0,   570,   571,   572,   573,   574,   575,
     576,   779,   577,     0,   578,     0,   579,   580,   581,   780,
     582,   583,   584,   585,   586,   587,   588,  1870,   589,   590,
     591,   592,   781,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,   782,   603,   604,   210,   605,   606,     0,
     607,   608,   609,   610,   611,   612,   613,   614,   783,   615,
     616,   617,   618,   619,   784,   620,  2422,   621,   622,   219,
     623,  1872,   624,   785,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,     0,   786,   635,   636,   787,   637,
     638,   639,   640,   641,   642,   788,  1873,  1874,     0,   790,
     644,     0,   645,     0,   791,   646,   647,   648,   649,   650,
     651,   652,     0,   793,   653,   654,   655,   656,   657,   794,
     795,   658,   659,   660,   661,   662,     0,  1875,   797,   664,
     235,   665,   666,   667,   798,   799,   668,   800,   801,   669,
     670,   671,   672,   673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   674,   675,   676,     0,     0,     0,  1184,
    1185,  1186,     0,  3775,  3776,  1189,  1190,  1191,  1192,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,  1182,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
    1183,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
       0,     0,     0,  1184,  1185,  1186,     0,  1187,  1188,  1189,
    1190,  1191,  1192,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,  1270,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,  1271,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,     0,     0,     0,  1184,  1185,  1186,
       0,  1187,  1188,  1189,  1190,  1191,  1192,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
    1322,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,  1323,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,  1324,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,     0,     0,
       0,  1184,  1185,  1186,     0,  1187,  1188,  1189,  1190,  1191,
    1192,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1181,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,     0,   453,  1840,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,  1841,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,   644,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,     0,     0,     0,  1184,  1185,  1186,     0,  1187,
    1188,  1189,  1190,  1191,  1192,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,     0,     0,     0,  1184,
    1185,  1186,     0,  1187,  1188,  1189,  1190,  1191,  1192,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,  3046,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
    3047,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
       0,     0,     0,  1184,  1185,  1186,     0,  1187,  1188,  1189,
    1190,  1191,  1192,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,  4617,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,     0,     0,     0,  1184,  1185,  1186,
       0,  1187,  1188,  1189,  1190,  1191,  1192,   713,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   714,   104,   105,
     415,   715,     0,   107,   108,   109,   110,   716,   717,   112,
     113,   114,   115,     0,   116,   718,   719,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   720,   434,   435,   436,   721,   722,   723,   724,   725,
     726,   727,   437,   438,   728,   439,   440,   133,   441,   442,
     443,   135,   136,   137,   138,   139,   729,   444,   445,   446,
     447,   448,   730,   731,   449,   450,   732,   140,   452,   733,
     453,   454,   455,   456,   144,   734,   145,   735,   457,   458,
     459,   460,   148,   461,   736,   737,   463,   464,   465,   466,
     467,   468,   738,   151,   469,   739,   740,   741,   742,   152,
     743,   744,   745,   470,   471,   472,   473,   474,   475,   155,
     156,   476,   746,   477,   747,   478,   479,   480,   481,   482,
     748,   483,   484,   485,   749,   750,   486,   487,   488,   489,
     490,   751,   491,   492,   493,   752,   494,   495,   753,   496,
     497,   498,   499,   164,   500,   501,   502,   166,   754,   503,
     755,   504,   168,   505,   756,   506,   757,   507,   169,   758,
     170,   508,   509,   510,   759,   511,   172,   760,   512,   761,
     513,   514,   515,   516,   517,   173,   518,   519,   520,   762,
     521,   522,   523,   524,   525,   526,   763,   527,   174,   175,
     764,   528,   529,   530,   765,   176,   766,   177,   767,   531,
     178,   179,   532,   180,   533,   534,   535,   536,   537,   538,
     539,   768,   540,   181,   182,   541,   183,   769,   542,   543,
     544,   770,   771,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,   189,   190,   557,   558,
     191,   772,   559,   560,   193,   561,   773,   194,   562,   195,
     563,   564,   565,   774,   566,   775,   776,   567,   568,   569,
     777,   778,   196,   197,   198,   199,   200,   570,   571,   572,
     573,   574,   575,   576,   779,   577,   201,   578,   202,   579,
     580,   581,   780,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,   781,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   782,   603,   604,   210,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,   783,   615,   616,   617,   618,   619,   784,   620,   217,
     621,   622,   219,   623,   220,   624,   785,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,   786,   635,
     636,   787,   637,   638,   639,   640,   641,   642,   788,   224,
     225,   789,   790,   644,   226,   645,   227,   791,   646,   647,
     648,   649,   650,   651,   652,   792,   793,   653,   654,   655,
     656,   657,   794,   795,   658,   659,   660,   661,   662,   796,
     234,   797,   664,   235,   665,   666,   667,   798,   799,   668,
     800,   801,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,   713,
      86,    87,    88,   412,    90,    91,    92,   413,  2237,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   714,
     104,   105,   415,   715,     0,   107,   108,   109,   110,   716,
     717,   112,   113,   114,   115,     0,   116,   718,   719,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,   133,
     441,   442,   443,     0,  1857,   137,  1858,  1859,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,  1860,  1861,
     452,     0,   453,   454,   455,   456,     0,     0,   145,     0,
     457,   458,   459,   460,   148,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   151,   469,     0,     0,     0,
       0,   152,     0,     0,     0,   470,   471,   472,   473,   474,
     475,  1862,  1863,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
    1458,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,     0,   500,   501,   502,     0,
       0,   503,     0,   504,  1864,   505,     0,   506,     0,   507,
     169,     0,   170,   508,   509,   510,     0,   511,     0,     0,
     512,     0,   513,   514,   515,   516,   517,   173,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
     174,     0,     0,   528,   529,   530,  1464,  1865,     0,  1866,
       0,   531,   178,   179,   532,   180,   533,   534,   535,   536,
     537,   538,   539,     0,   540,     0,   182,   541,   183,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,  1867,   189,  1868,
     557,   558,     0,     0,   559,   560,   193,   561,     0,     0,
     562,  1869,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,     0,   197,   198,   199,     0,   570,
     571,   572,   573,   574,   575,   576,     0,   577,     0,   578,
       0,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,  1870,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   210,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,  1871,   621,   622,   219,   623,  1872,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,     0,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,  1873,  1874,     0,     0,   644,     0,   645,     0,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,     0,  1875,     0,   664,   235,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   674,   675,
     676,     0,    86,    87,    88,   412,    90,    91,    92,   413,
    2336,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
     451,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,     0,   512,     0,   513,   514,   515,   516,   517,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,   224,   225,     0,     0,   644,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,   663,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,     0,    86,    87,    88,   412,    90,    91,
      92,   413,  1066,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,     0,    86,    87,    88,   412,
      90,    91,    92,   413,  4485,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
    2225,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,  2008,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,  2009,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,  2010,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,     0,     0,     0,
       0,     0,     0,     0,   976,  1637,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
    2230,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,  2008,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,  2009,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,  2010,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,     0,     0,     0,
       0,     0,     0,     0,   976,  1637,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,  2008,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,  2009,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,  2010,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,     0,     0,     0,
       0,     0,     0,     0,   976,  1637,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,   426,   965,   428,   429,   430,   431,   432,   433,   966,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   967,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   968,
     168,   505,     0,   506,     0,   969,     0,   970,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   971,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   972,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   973,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   974,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   975,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,     0,     0,     0,
       0,     0,     0,     0,   976,   977,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,   426,   965,   428,   429,   430,   431,   432,   433,   966,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   998,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   968,
     168,   505,     0,   506,     0,   999,     0,   970,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   971,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   972,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   973,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   974,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   975,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,     0,     0,     0,
       0,     0,     0,     0,   976,   977,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,  1372,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,   970,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   971,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,     0,     0,     0,
       0,     0,     0,     0,   976,   977,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,  1377,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,   970,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   971,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,     0,     0,     0,
       0,     0,     0,     0,   976,   977,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
     698,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,  1540,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,     0,     0,  1037,
    1541,    86,    87,    88,   412,    90,    91,    92,   413,  1038,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,  1039,   450,  1013,
     140,   452,     0,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,  1040,     0,  1041,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,  1042,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1043,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,  1044,   606,   212,   607,   608,   609,  1045,
     611,   612,   613,   614,     0,   615,   616,   617,   618,  1046,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,  1047,   225,     0,     0,  1048,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,  1017,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,  1049,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,   713,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   714,   104,   105,   415,   715,     0,   107,   108,
     109,   110,   716,   717,   112,   113,   114,   115,     0,   116,
     718,   719,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   720,   434,   435,   436,
     721,   722,   723,   724,   725,   726,   727,   437,   438,   728,
     439,   440,   133,   441,   442,   443,   135,   136,   137,   138,
     139,   729,   444,   445,   446,   447,   448,   730,   731,   449,
     450,   732,   140,   452,   733,   453,   454,   455,   456,   144,
     734,   145,   735,   457,   458,   459,   460,   148,   461,   736,
     737,   463,   464,   465,   466,   467,   468,   738,   151,   469,
     739,   740,   741,   742,   152,   743,   744,   745,   470,   471,
     472,   473,   474,   475,   155,   156,   476,   746,   477,   747,
     478,   479,   480,   481,   482,   748,   483,   484,   485,   749,
     750,   486,   487,   488,   489,   490,   751,   491,   492,   493,
     752,   494,   495,   753,   496,   497,   498,   499,   164,   500,
     501,   502,   166,   754,   503,   755,   504,   168,   505,   756,
     506,   757,   507,   169,   758,   170,   508,   509,   510,   759,
     511,   172,   760,   512,   761,   513,   514,   515,   516,   517,
     173,   518,   519,   520,   762,   521,   522,   523,   524,   525,
     526,   763,   527,   174,   175,   764,   528,   529,   530,   765,
     176,   766,   177,   767,   531,   178,   179,   532,   180,   533,
     534,   535,   536,   537,   538,   539,   768,   540,   181,   182,
     541,   183,   769,   542,   543,   544,   770,   771,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,   189,   190,   557,   558,   191,   772,   559,   560,   193,
     561,   773,   194,   562,   195,   563,   564,   565,   774,   566,
     775,   776,   567,   568,   569,   777,   778,   196,   197,   198,
     199,   200,   570,   571,   572,   573,   574,   575,   576,   779,
     577,   201,   578,   202,   579,   580,   581,   780,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
     781,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,   782,   603,   604,   210,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,   783,   615,   616,   617,
     618,   619,   784,   620,   217,   621,   622,   219,   623,   220,
     624,   785,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,   786,   635,   636,   787,   637,   638,   639,
     640,   641,   642,   788,   224,   225,   789,   790,   644,   226,
     645,   227,   791,   646,   647,   648,   649,   650,   651,   652,
     792,   793,   653,   654,   655,   656,   657,   794,   795,   658,
     659,   660,   661,   662,   796,   234,   797,   664,   235,   665,
     666,   667,   798,   799,   668,   800,   801,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,   713,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   714,   104,   105,   415,   715,     0,
     107,   108,   109,   110,   716,   717,   112,   113,   114,   115,
       0,   116,   718,   719,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   720,   434,
     435,   436,   721,   722,   723,   724,   725,   726,   727,   437,
     438,   728,   439,   440,   133,   441,   442,   443,   135,   136,
     137,   138,   139,   729,   444,   445,   446,   447,   448,   730,
     731,   449,   450,   732,   140,   452,   733,   453,   454,   455,
     456,   144,   734,   145,   735,   457,   458,   459,   460,   148,
     461,   736,   737,   463,   464,   465,   466,   467,   468,   738,
     151,   469,   739,   740,   741,   742,   152,   743,   744,   745,
     470,   471,   472,   473,   474,   475,   155,   156,   476,   746,
     477,   747,   478,   479,   480,   481,   482,   748,   483,   484,
     485,   749,   750,   486,   487,   488,   489,   490,   751,   491,
     492,   493,   752,   494,   495,   753,   496,   497,   498,   499,
     164,   500,   501,   502,   166,   754,   503,   755,   504,   168,
     505,   756,   506,   757,   507,   169,   758,   170,   508,   509,
     510,   759,   511,   172,   760,   512,   761,   513,   514,   515,
     516,   517,   173,   518,   519,   520,   762,   521,   522,   523,
     524,   525,   526,   763,   527,   174,   175,   764,   528,   529,
     530,   765,   176,   766,   177,   767,   531,   178,   179,   532,
     180,   533,   534,   535,   536,   537,   538,   539,   768,   540,
     181,   182,   541,   183,   769,   542,   543,   544,   770,   771,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,   189,   190,   557,   558,   191,   772,   559,
     560,   193,   561,   773,   194,   562,   195,   563,   564,   565,
     774,   566,   775,   776,   567,   568,   569,   777,   778,   196,
     197,   198,   199,   200,   570,   571,   572,   573,   574,   575,
     576,   779,   577,   201,   578,   202,   579,   580,   581,   780,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,   781,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,   782,   603,   604,   210,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,   783,   615,
     616,   617,   618,   619,   784,   620,   217,   621,   622,   219,
     623,   220,   624,   785,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,   786,   635,   636,   787,   637,
     638,   639,   640,   641,   642,   788,   224,   225,   789,   790,
     644,   226,   645,   227,   791,   646,   647,   648,   649,   650,
     651,   652,   792,   793,   653,   654,   655,   656,   657,   794,
     795,   658,   659,   660,   661,   662,   796,   234,   797,   664,
     235,   665,   666,   667,   798,   799,   668,   800,   801,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,   713,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   714,   104,   105,   415,
     715,     0,   107,   108,   109,   110,   716,   717,   112,   113,
     114,   115,     0,   116,   718,   719,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,  3111,   431,   432,   433,
     720,   434,   435,   436,   721,   722,   723,   724,   725,   726,
     727,   437,   438,   728,   439,   440,   133,   441,   442,   443,
     135,   136,   137,   138,   139,   729,   444,   445,   446,   447,
     448,   730,   731,   449,   450,   732,   140,   452,   733,   453,
     454,   455,   456,   144,   734,   145,   735,   457,   458,   459,
     460,   148,   461,   736,   737,   463,   464,   465,   466,   467,
     468,   738,   151,   469,   739,   740,   741,   742,   152,   743,
     744,   745,   470,   471,   472,   473,   474,   475,   155,   156,
     476,   746,   477,   747,   478,   479,   480,   481,   482,   748,
     483,   484,   485,   749,   750,   486,   487,   488,  3112,   490,
     751,   491,   492,   493,   752,   494,   495,   753,   496,   497,
     498,   499,   164,   500,   501,   502,   166,   754,   503,   755,
     504,   168,   505,   756,   506,   757,   507,   169,   758,   170,
     508,   509,   510,   759,   511,   172,   760,   512,   761,   513,
     514,   515,   516,   517,   173,   518,   519,   520,   762,   521,
     522,   523,   524,   525,   526,   763,   527,   174,   175,   764,
     528,   529,   530,   765,   176,   766,   177,   767,   531,   178,
     179,   532,   180,   533,   534,   535,   536,   537,   538,   539,
     768,   540,   181,   182,   541,   183,   769,   542,   543,   544,
     770,   771,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,   189,   190,   557,   558,   191,
     772,   559,   560,   193,   561,   773,   194,   562,   195,   563,
     564,   565,   774,   566,   775,   776,   567,   568,   569,   777,
     778,   196,   197,   198,   199,   200,   570,   571,   572,   573,
     574,   575,   576,   779,   577,   201,   578,   202,   579,   580,
     581,   780,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,   781,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,   782,   603,   604,   210,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
     783,   615,   616,   617,   618,   619,   784,  3113,   217,   621,
     622,   219,   623,   220,   624,   785,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,   786,   635,   636,
     787,   637,   638,   639,   640,   641,   642,   788,   224,   225,
     789,   790,   644,   226,   645,   227,   791,   646,   647,   648,
     649,   650,   651,   652,   792,   793,   653,   654,   655,   656,
     657,   794,   795,   658,   659,   660,   661,   662,   796,   234,
     797,   664,   235,   665,   666,   667,   798,   799,   668,   800,
     801,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,   713,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   714,   104,
     105,   415,   715,     0,   107,   108,   109,   110,   716,   717,
     112,   113,   114,   115,     0,   116,   718,   719,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,   133,   441,
     442,   443,   135,   136,   137,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,   145,     0,   457,
     458,   459,   460,   148,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   151,   469,     0,     0,     0,     0,
     152,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,   169,
       0,   170,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,   173,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,   174,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,   178,   179,   532,   180,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,   182,   541,   183,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,   189,   190,   557,
     558,   191,     0,   559,   560,   193,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,   197,   198,   199,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
     210,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,   219,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,   235,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
     713,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     714,   104,   105,   415,   715,     0,   107,   108,   109,   110,
     716,   717,   112,   113,   114,   115,     0,   116,   718,   719,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
     133,   441,   442,   443,   135,   136,   137,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,     0,   453,   454,   455,   456,   144,     0,   145,
       0,   457,   458,   459,   460,   148,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   151,   469,     0,     0,
       0,     0,   152,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,     0,
     507,   169,     0,   170,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,  1307,   173,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,   174,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,   178,   179,   532,   180,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,   182,   541,   183,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,   189,
     190,   557,   558,   191,     0,   559,   560,   193,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,   197,   198,   199,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   210,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,   219,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,   644,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,   235,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,   713,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   714,   104,   105,   415,   715,     0,   107,   108,
     109,   110,   716,   717,   112,   113,   114,   115,     0,   116,
     718,   719,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,   133,   441,   442,   443,   135,   136,   137,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,   145,     0,   457,   458,   459,   460,   148,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   151,   469,
       0,     0,     0,     0,   152,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,   169,     0,   170,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,  1316,
     173,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,   174,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,   178,   179,   532,   180,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,   182,
     541,   183,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,   189,   190,   557,   558,   191,     0,   559,   560,   193,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,   197,   198,
     199,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,   210,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,   219,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,   235,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,   713,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   714,   104,   105,   415,   715,     0,
     107,   108,   109,   110,   716,   717,   112,   113,   114,   115,
       0,   116,   718,   719,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,   133,   441,   442,   443,     0,  1857,
     137,  1858,  1859,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,  1860,  1861,   452,     0,   453,   454,   455,
     456,     0,     0,   145,     0,   457,   458,   459,   460,   148,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     151,   469,     0,     0,     0,     0,   152,     0,     0,     0,
     470,   471,   472,   473,   474,   475,  1862,  1863,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,  1458,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
       0,   500,   501,   502,     0,     0,   503,     0,   504,  1864,
     505,     0,   506,     0,   507,   169,     0,   170,   508,   509,
     510,     0,   511,     0,     0,   512,     0,   513,   514,   515,
     516,   517,   173,   518,   519,   520,  2419,   521,   522,   523,
     524,   525,   526,     0,   527,   174,  2420,     0,   528,   529,
     530,  1464,  1865,     0,  1866,     0,   531,   178,   179,   532,
     180,   533,   534,   535,   536,   537,   538,   539,     0,   540,
       0,   182,   541,   183,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,  1867,   189,  1868,   557,   558,     0,     0,   559,
     560,   193,   561,     0,     0,   562,  1869,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,  2421,
     197,   198,   199,     0,   570,   571,   572,   573,   574,   575,
     576,     0,   577,     0,   578,     0,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,  1870,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,   210,   605,   606,     0,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,  2422,   621,   622,   219,
     623,  1872,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,     0,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,  1873,  1874,     0,     0,
     644,     0,   645,     0,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,     0,  1875,  2423,   664,
     235,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   674,   675,   676,   713,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   714,   104,   105,   415,
     715,     0,   107,   108,   109,   110,   716,   717,   112,   113,
     114,   115,     0,   116,   718,   719,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,   133,   441,   442,   443,
       0,  1857,   137,  1858,  1859,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,  1860,  1861,   452,     0,   453,
     454,   455,   456,     0,     0,   145,     0,   457,   458,   459,
     460,   148,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   151,   469,     0,     0,     0,     0,   152,     0,
       0,     0,   470,   471,   472,   473,   474,   475,  1862,  1863,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,  1458,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,     0,   500,   501,   502,     0,     0,   503,     0,
     504,  1864,   505,     0,   506,     0,   507,   169,     0,   170,
     508,   509,   510,     0,   511,     0,     0,   512,     0,   513,
     514,   515,   516,   517,   173,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,   174,     0,     0,
     528,   529,   530,  1464,  1865,     0,  1866,     0,   531,   178,
     179,   532,   180,   533,   534,   535,   536,   537,   538,   539,
       0,   540,     0,   182,   541,   183,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,  1867,   189,  1868,   557,   558,     0,
       0,   559,   560,   193,   561,  2407,     0,   562,  1869,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,     0,   197,   198,   199,     0,   570,   571,   572,   573,
     574,   575,   576,     0,   577,     0,   578,     0,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,  1870,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,   210,   605,
     606,     0,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,  2422,   621,
     622,   219,   623,  1872,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,     0,     0,   635,   636,
    3872,   637,   638,   639,   640,   641,   642,     0,  1873,  1874,
       0,     0,   644,     0,   645,     0,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,     0,  1875,
       0,   664,   235,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   674,   675,   676,   713,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   714,   104,
     105,   415,   715,     0,   107,   108,   109,   110,   716,   717,
     112,   113,   114,   115,     0,   116,   718,   719,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,   133,   441,
     442,   443,     0,  1857,   137,  1858,  1859,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,  1860,  1861,   452,
       0,   453,   454,   455,   456,     0,     0,   145,     0,   457,
     458,   459,   460,   148,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   151,   469,     0,     0,     0,     0,
     152,     0,     0,     0,   470,   471,   472,   473,   474,   475,
    1862,  1863,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,  1458,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,     0,   500,   501,   502,     0,     0,
     503,     0,   504,  1864,   505,     0,   506,     0,   507,   169,
       0,   170,   508,   509,   510,     0,   511,     0,     0,   512,
       0,   513,   514,   515,   516,   517,   173,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,   174,
       0,     0,   528,   529,   530,  1464,  1865,     0,  1866,     0,
     531,   178,   179,   532,   180,   533,   534,   535,   536,   537,
     538,   539,     0,   540,     0,   182,   541,   183,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,  1867,   189,  1868,   557,
     558,  2469,     0,   559,   560,   193,   561,     0,     0,   562,
    1869,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,     0,   197,   198,   199,     0,   570,   571,
     572,   573,   574,   575,   576,     0,   577,     0,   578,     0,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,  1870,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
     210,   605,   606,     0,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
    1871,   621,   622,   219,   623,  1872,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,     0,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
    1873,  1874,     0,     0,   644,     0,   645,     0,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
       0,  1875,     0,   664,   235,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   674,   675,   676,
     713,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     714,   104,   105,   415,   715,     0,   107,   108,   109,   110,
     716,   717,   112,   113,   114,   115,     0,   116,   718,   719,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
     133,   441,   442,   443,     0,  1857,   137,  1858,  1859,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,  1860,
    1861,   452,     0,   453,   454,   455,   456,     0,     0,   145,
       0,   457,   458,   459,   460,   148,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   151,   469,     0,     0,
       0,     0,   152,     0,     0,     0,   470,   471,   472,   473,
     474,   475,  1862,  1863,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,  1458,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,     0,   500,   501,   502,
       0,     0,   503,     0,   504,  1864,   505,     0,   506,     0,
     507,   169,     0,   170,   508,   509,   510,     0,   511,     0,
       0,   512,     0,   513,   514,   515,   516,   517,   173,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,   174,     0,     0,   528,   529,   530,  1464,  1865,     0,
    1866,     0,   531,   178,   179,   532,   180,   533,   534,   535,
     536,   537,   538,   539,     0,   540,     0,   182,   541,   183,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,  1867,   189,
    1868,   557,   558,  3696,     0,   559,   560,   193,   561,     0,
       0,   562,  1869,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,     0,   197,   198,   199,     0,
     570,   571,   572,   573,   574,   575,   576,     0,   577,     0,
     578,     0,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,  1870,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   210,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,  1871,   621,   622,   219,   623,  1872,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
       0,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,  1873,  1874,     0,     0,   644,     0,   645,     0,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,     0,  1875,     0,   664,   235,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   674,
     675,   676,   713,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   714,   104,   105,   415,   715,     0,   107,   108,
     109,   110,   716,   717,   112,   113,   114,   115,     0,   116,
     718,   719,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,   133,   441,   442,   443,     0,  1857,   137,  1858,
    1859,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,  1860,  1861,   452,     0,   453,   454,   455,   456,     0,
       0,   145,     0,   457,   458,   459,   460,   148,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   151,   469,
       0,     0,     0,     0,   152,     0,     0,     0,   470,   471,
     472,   473,   474,   475,  1862,  1863,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,  1458,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,     0,   500,
     501,   502,     0,     0,   503,     0,   504,  1864,   505,     0,
     506,     0,   507,   169,     0,   170,   508,   509,   510,     0,
     511,     0,     0,   512,     0,   513,   514,   515,   516,   517,
     173,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,   174,     0,     0,   528,   529,   530,  1464,
    1865,     0,  1866,     0,   531,   178,   179,   532,   180,   533,
     534,   535,   536,   537,   538,   539,     0,   540,     0,   182,
     541,   183,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
    1867,   189,  1868,   557,   558,     0,     0,   559,   560,   193,
     561,     0,     0,   562,  1869,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,     0,   197,   198,
     199,     0,   570,   571,   572,   573,   574,   575,   576,     0,
     577,     0,   578,     0,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,  1870,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,   210,   605,   606,     0,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,  1871,   621,   622,   219,   623,  1872,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,     0,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,  1873,  1874,     0,     0,   644,     0,
     645,     0,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,     0,  1875,     0,   664,   235,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   674,   675,   676,   713,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   714,   104,   105,   415,   715,     0,
     107,   108,   109,   110,   716,   717,   112,   113,   114,   115,
       0,   116,   718,   719,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,   133,   441,   442,   443,     0,  1857,
     137,  1858,  1859,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,  1860,  1861,   452,     0,   453,   454,   455,
     456,     0,     0,   145,     0,   457,   458,   459,   460,   148,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     151,   469,     0,     0,     0,     0,   152,     0,     0,     0,
     470,   471,   472,   473,   474,   475,  1862,  1863,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,  1458,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
       0,   500,   501,   502,     0,     0,   503,     0,   504,  1864,
     505,     0,   506,     0,   507,   169,     0,   170,   508,   509,
     510,     0,   511,     0,     0,   512,     0,   513,   514,   515,
     516,   517,   173,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,   174,     0,     0,   528,   529,
     530,  1464,  1865,     0,  1866,     0,   531,   178,   179,   532,
     180,   533,   534,   535,   536,   537,   538,   539,     0,   540,
       0,   182,   541,   183,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,  1867,   189,  1868,   557,   558,     0,     0,   559,
     560,   193,   561,     0,     0,   562,  1869,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,     0,
     197,   198,   199,     0,   570,   571,   572,   573,   574,   575,
     576,     0,   577,     0,   578,     0,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,  1870,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,   210,   605,   606,     0,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,  2422,   621,   622,   219,
     623,  1872,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,     0,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,  1873,  1874,     0,     0,
     644,     0,   645,     0,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,     0,  1875,     0,   664,
     235,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   674,   675,   676,   713,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   714,   104,   105,   415,
     715,     0,   107,   108,   109,   110,   716,   717,   112,   113,
     114,   115,     0,   116,   718,   719,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,   133,   441,   442,   443,
       0,  1857,   137,  1858,  1859,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,  1860,  1861,   452,     0,   453,
     454,   455,   456,     0,     0,   145,     0,   457,   458,   459,
     460,   148,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   151,   469,     0,     0,     0,     0,   152,     0,
       0,     0,   470,   471,   472,   473,   474,   475,  1862,  1863,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,  1458,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,     0,   500,   501,   502,     0,     0,   503,     0,
     504,  1864,   505,     0,   506,     0,   507,   169,     0,   170,
     508,   509,   510,     0,   511,     0,     0,   512,     0,   513,
     514,   515,   516,   517,   173,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,   174,     0,     0,
     528,   529,   530,  1464,  1865,     0,  1866,     0,   531,   178,
     179,   532,   180,   533,   534,   535,   536,   537,   538,   539,
       0,   540,     0,   182,   541,   183,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,  1867,   189,  1868,   557,   558,     0,
       0,   559,   560,   193,   561,     0,     0,   562,  1869,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,     0,   197,   198,   199,     0,   570,   571,   572,   573,
     574,   575,   576,     0,   577,     0,   578,     0,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,  1870,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,   210,   605,
     606,     0,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,     0,   621,
     622,   219,   623,  1872,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,     0,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,  1873,  1874,
       0,     0,   644,     0,   645,     0,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,     0,  1875,
       0,   664,   235,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   674,   675,   676,   713,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   714,   104,
     105,   415,   715,     0,   107,   108,   109,   110,   716,   717,
     112,   113,   114,   115,     0,   116,   718,   719,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,   133,   441,
     442,   443,     0,     0,   137,     0,     0,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,     0,     0,   452,
       0,   453,   454,   455,   456,     0,     0,   145,     0,   457,
     458,   459,   460,   148,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   151,   469,     0,     0,     0,     0,
     152,     0,     0,     0,   470,   471,   472,   473,   474,   475,
       0,     0,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,     0,   500,   501,   502,     0,     0,
     503,     0,   504,     0,   505,     0,   506,     0,   507,   169,
       0,   170,   508,   509,   510,     0,   511,     0,     0,   512,
       0,   513,   514,   515,   516,   517,   173,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,   174,
       0,     0,   528,   529,   530,     0,     0,     0,     0,     0,
     531,   178,   179,   532,   180,   533,   534,   535,   536,   537,
     538,   539,     0,   540,     0,   182,   541,   183,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,     0,   189,     0,   557,
     558,     0,     0,   559,   560,   193,   561,     0,     0,   562,
       0,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,     0,   197,   198,   199,     0,   570,   571,
     572,   573,   574,   575,   576,     0,   577,     0,   578,     0,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,     0,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
     210,   605,   606,     0,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
       0,   621,   622,   219,   623,     0,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,     0,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
       0,     0,     0,     0,   644,     0,   645,     0,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
       0,     0,     0,   664,   235,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   674,   675,   676,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   720,   434,   435,   436,   721,   722,   723,
     724,   725,   726,   727,   437,   438,   728,   439,   440,   133,
     441,   442,   443,   135,   136,   137,   138,   139,   729,   444,
     445,   446,   447,   448,   730,   731,   449,   450,     0,   140,
     452,   733,   453,   454,   455,   456,   144,   734,   145,   735,
     457,   458,   459,   460,   148,   461,   736,   737,   463,   464,
     465,   466,   467,   468,   738,   151,   469,     0,   740,   741,
     742,   152,   743,   744,   745,   470,   471,   472,   473,     0,
     475,   155,   156,   476,   746,   477,   747,   478,   479,   480,
     481,   482,   748,   483,   484,   485,   749,   750,   486,   487,
     488,   489,   490,   751,   491,   492,   493,   752,   494,   495,
     753,   496,   497,   498,   499,   164,   500,   501,   502,   166,
     754,   503,   755,   504,   168,   505,   756,   506,   757,   507,
     169,   758,   170,   508,   509,   510,   759,   511,   172,   760,
     512,   761,   513,   514,     0,   516,   517,   173,   518,   519,
     520,   762,   521,   522,   523,   524,   525,   526,   763,   527,
     174,   175,     0,   528,   529,   530,     0,   176,   766,   177,
     767,   531,   178,   179,   532,   180,   533,   534,   535,   536,
     537,   538,   539,   768,   540,   181,   182,   541,   183,   769,
     542,   543,   544,   770,   771,   545,   546,   547,   548,   549,
       0,   551,   552,     0,   554,   555,   556,   188,   189,   190,
     557,   558,   191,   772,   559,   560,   193,   561,   773,   194,
     562,   195,   563,   564,   565,   774,   566,   775,   776,   567,
     568,   569,   777,   778,   196,   197,   198,   199,   200,   570,
     571,   572,   573,   574,   575,   576,   779,   577,   201,   578,
     202,   579,   580,   581,   780,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,   781,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   782,   603,
     604,   210,   605,   606,   212,   607,   608,   609,   610,   611,
     612,     0,   614,   783,   615,   616,   617,   618,   619,   784,
     620,   217,   621,   622,   219,   623,   220,   624,   785,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
     786,   635,   636,   787,   637,   638,   639,   640,   641,   642,
     788,   224,   225,     0,   790,   644,   226,   645,   227,   791,
     646,   647,   648,   649,   650,   651,   652,     0,   793,   653,
     654,   655,   656,   657,   794,   795,   658,   659,   660,   661,
     662,     0,   234,   797,   664,   235,   665,   666,   667,   798,
     799,   668,   800,   801,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,     0,   675,
     676,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,     0,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,  2008,   503,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,  2009,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,   644,   226,   645,   227,
    2010,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,   425,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
     451,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,     0,   512,     0,   513,   514,   515,   516,   517,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,   224,   225,   643,     0,   644,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,   663,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,   425,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,  1128,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
     425,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,  2210,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,  2360,   453,   454,
     455,   456,   144,     0,     0,  2435,   457,   458,   459,   460,
       0,   461,   462,  2361,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,  2436,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,  2363,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
    2364,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,  2365,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,  2360,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,  2361,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,  2436,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,  2363,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,  3309,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,  2364,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,  2365,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     415,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,  1026,   432,
     433,   985,   434,   435,   436,     0,     0,     0,     0,     0,
       0,     0,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   135,   136,     0,   138,   139,     0,   444,   445,   446,
     447,   448,     0,     0,   449,   450,   451,   140,   452,     0,
     453,   454,   455,   456,   144,     0,     0,     0,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   986,     0,   469,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   155,
     156,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   164,   500,   501,   502,   166,     0,   503,
       0,   504,   168,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,  1027,   511,   172,     0,   512,     0,
     513,   514,   515,   516,   517,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   175,
       0,   528,   529,   530,     0,   176,     0,   177,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   540,   181,     0,   541,     0,     0,   542,   543,
     544,     0,     0,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,     0,   190,   557,   558,
     191,     0,   559,   560,     0,   561,     0,   194,   562,   195,
     563,   564,   565,     0,   566,     0,     0,   567,   568,   569,
       0,     0,   196,     0,     0,     0,   200,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   201,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,   987,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,     0,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,   988,   615,   616,   617,   618,   619,     0,   620,   217,
     621,   622,     0,   623,   220,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,   224,
     225,     0,     0,   644,   226,   645,   227,     0,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,     0,     0,   658,   659,   660,   661,   662,   663,
     234,     0,   664,     0,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,  1988,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   985,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,     0,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   986,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,  3014,   511,   172,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,   987,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,   988,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,   644,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
     451,   140,   452,  2360,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,   462,  2361,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,  2436,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
    2363,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,     0,   512,     0,   513,   514,   515,   516,   517,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,  2364,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,   224,   225,     0,     0,   644,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
    2365,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,   663,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,   425,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   696,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
     697,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,   698,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   985,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,   986,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,   987,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,   988,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,    86,    87,    88,   412,    90,
      91,    92,   413,   901,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,   425,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   902,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   903,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,  2043,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,  2044,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,  2045,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,  2046,   507,     0,     0,     0,  2047,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,  2048,  2049,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,  2050,   611,   612,   613,   614,     0,
    2051,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,  2052,
     637,  2053,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,  2054,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   986,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,   987,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
     988,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     415,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,   130,   131,     0,     0,     0,
       0,     0,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   135,   136,     0,   138,   139,     0,   444,   445,   446,
     447,   448,     0,     0,   449,   450,   451,   140,   452,     0,
     453,   454,   455,   456,   144,     0,     0,     0,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,     0,   469,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   155,
     156,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   164,   500,   501,   502,   166,     0,   503,
       0,   504,   168,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,     0,   511,   172,     0,   512,     0,
     513,   514,   515,   516,   517,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   175,
       0,   528,   529,   530,     0,   176,     0,   177,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   540,   181,     0,   541,     0,     0,   542,   543,
     544,     0,     0,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,     0,   190,   557,   558,
     191,     0,   559,   560,     0,   561,     0,   194,   562,   195,
     563,   564,   565,     0,   566,     0,     0,   567,   568,   569,
       0,     0,   196,     0,     0,     0,   200,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   201,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,     0,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,     0,   620,   217,
     621,   622,     0,   623,   220,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,   224,
     225,     0,     0,   644,   226,   645,   227,     0,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,     0,     0,   658,   659,   660,   661,   662,   663,
     234,     0,   664,  1362,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,    86,
      87,    88,   412,    90,    91,    92,   413,  2032,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
    2318,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,   425,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,  2891,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,  2892,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,  2893,   637,   638,  2894,   640,  2895,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
    2896,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,   425,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   705,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,   425,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,     0,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,   698,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,   644,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,   425,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   853,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
     451,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,     0,   512,     0,   513,   514,   515,   516,   517,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,   224,   225,     0,     0,   644,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,   663,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,   425,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,  1299,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,  2524,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,  2525,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   130,   131,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,  3095,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
    3096,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
    3107,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,  3108,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     415,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,   425,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,     0,     0,     0,     0,     0,
       0,     0,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   135,   136,     0,   138,   139,     0,   444,   445,   446,
     447,   448,     0,     0,   449,   450,   451,   140,   452,     0,
     453,   454,   455,   456,   144,     0,     0,     0,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,     0,   469,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   155,
     156,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   164,   500,   501,   502,   166,     0,   503,
       0,   504,   168,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,     0,   511,   172,     0,   512,     0,
     513,   514,   515,   516,   517,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   175,
       0,   528,   529,   530,     0,   176,     0,   177,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   540,   181,     0,   541,     0,     0,   542,   543,
     544,     0,     0,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,     0,   190,   557,   558,
     191,     0,   559,   560,     0,   561,     0,   194,   562,   195,
     563,   564,   565,     0,   566,     0,     0,   567,   568,   569,
       0,     0,   196,     0,     0,     0,   200,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   201,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,     0,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,     0,   620,   217,
     621,   622,     0,   623,   220,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,   224,
     225,     0,     0,   644,   226,   645,   227,     0,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,     0,     0,   658,   659,   660,   661,   662,   663,
     234,     0,   664,     0,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,   425,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   907,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,   425,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   949,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,   425,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,     0,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,  1002,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
     451,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,     0,   512,     0,   513,   514,   515,   516,   517,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
    1059,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,   224,   225,     0,     0,   644,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,   663,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,  1202,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,  1059,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,  1543,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,  1715,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,  1059,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,  1940,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    86,    87,    88,
     412,    90,    91,    92,   413,  2032,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,  2318,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     415,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,     0,     0,     0,     0,     0,
       0,     0,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   135,   136,     0,   138,   139,     0,   444,   445,   446,
     447,   448,     0,     0,   449,   450,   451,   140,   452,     0,
     453,   454,   455,   456,   144,     0,     0,     0,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,     0,   469,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   155,
     156,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   164,   500,   501,   502,   166,     0,   503,
       0,   504,   168,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,     0,   511,   172,  3376,   512,     0,
     513,   514,   515,   516,   517,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   175,
       0,   528,   529,   530,     0,   176,     0,   177,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   540,   181,     0,   541,     0,     0,   542,   543,
     544,     0,     0,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,     0,   190,   557,   558,
     191,     0,   559,   560,     0,   561,     0,   194,   562,   195,
     563,   564,   565,     0,   566,     0,     0,   567,   568,   569,
       0,     0,   196,     0,     0,     0,   200,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   201,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,     0,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,     0,   620,   217,
     621,   622,     0,   623,   220,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,   224,
     225,     0,     0,   644,   226,   645,   227,     0,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,     0,     0,   658,   659,   660,   661,   662,   663,
     234,     0,   664,     0,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,  4009,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,  4022,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,     0,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,  4240,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,   644,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
     451,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,  4242,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,     0,   512,     0,   513,   514,   515,   516,   517,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,   224,   225,     0,     0,   644,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,   663,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,  4244,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,  4620,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,  1010,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
    1012,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,  1013,   140,   452,     0,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,     0,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,  1014,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,  1015,   225,
       0,     0,  1016,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,  1017,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     415,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,  1053,   434,   435,   436,     0,     0,     0,     0,     0,
       0,     0,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   135,   136,     0,   138,   139,     0,   444,   445,   446,
     447,   448,     0,     0,   449,   450,  1013,   140,   452,     0,
     453,   454,   455,   456,   144,     0,     0,     0,   457,   458,
     459,   460,     0,   461,     0,     0,   463,   464,   465,   466,
     467,   468,     0,     0,   469,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   155,
     156,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   164,   500,   501,   502,   166,     0,   503,
       0,   504,   168,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,     0,   511,   172,     0,   512,     0,
     513,   514,   515,   516,   517,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   175,
       0,   528,   529,   530,     0,   176,     0,   177,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   540,   181,     0,   541,     0,     0,   542,   543,
     544,     0,     0,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,     0,   190,   557,   558,
     191,     0,   559,   560,     0,   561,     0,   194,   562,   195,
     563,   564,   565,     0,   566,     0,     0,   567,   568,   569,
       0,     0,   196,     0,     0,     0,   200,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   201,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,     0,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,  1054,     0,   620,   217,
     621,   622,     0,   623,   220,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,  1055,
     225,     0,     0,  1056,   226,   645,   227,     0,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,     0,     0,   658,   659,   660,   661,   662,  1017,
     234,     0,   664,     0,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,  1073,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,  1178,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,     0,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,  1199,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,   644,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
     451,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,     0,   512,     0,   513,   514,   515,   516,   517,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,  1208,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,   224,   225,     0,     0,   644,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,   663,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,  1210,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
    1261,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,  1282,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,  1312,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,  1318,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     415,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,     0,     0,     0,     0,     0,
       0,     0,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   135,   136,     0,   138,   139,     0,   444,   445,   446,
     447,   448,     0,     0,   449,   450,   451,   140,   452,     0,
     453,   454,   455,   456,   144,     0,     0,     0,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,     0,   469,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   155,
     156,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   164,   500,   501,   502,   166,     0,   503,
       0,   504,   168,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,     0,   511,   172,     0,   512,     0,
     513,   514,   515,   516,  1327,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   175,
       0,   528,   529,   530,     0,   176,     0,   177,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   540,   181,     0,   541,     0,     0,   542,   543,
     544,     0,     0,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,     0,   190,   557,   558,
     191,     0,   559,   560,     0,   561,     0,   194,   562,   195,
     563,   564,   565,     0,   566,     0,     0,   567,   568,   569,
       0,     0,   196,     0,     0,     0,   200,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   201,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,     0,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,     0,   620,   217,
     621,   622,     0,   623,   220,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,   224,
     225,     0,     0,   644,   226,   645,   227,     0,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,     0,     0,   658,   659,   660,   661,   662,   663,
     234,     0,   664,     0,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,  1329,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,  1331,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,     0,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,  1333,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,   644,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
     451,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,     0,   512,     0,   513,   514,   515,   516,  1336,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,   224,   225,     0,     0,   644,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,   663,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,  1338,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
    1339,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
    1342,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,  1554,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,  1039,   450,  1013,   140,  1555,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,     0,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1043,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,  1044,   606,   212,
     607,   608,   609,  1045,   611,   612,   613,   614,     0,   615,
     616,   617,   618,  1547,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,  1047,   225,     0,     0,
    1048,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,  1017,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,  1049,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,  1679,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,  1903,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     415,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,     0,     0,     0,     0,     0,
       0,     0,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   135,   136,     0,   138,   139,     0,   444,   445,   446,
     447,   448,     0,     0,   449,   450,   451,   140,   452,     0,
     453,   454,   455,   456,   144,     0,     0,     0,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,     0,   469,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   155,
     156,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   164,   500,   501,   502,   166,     0,   503,
       0,   504,   168,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,     0,   511,   172,     0,   512,     0,
     513,   514,   515,   516,  1930,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   175,
       0,   528,   529,   530,     0,   176,     0,   177,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   540,   181,     0,   541,     0,     0,   542,   543,
     544,     0,     0,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,     0,   190,   557,   558,
     191,     0,   559,   560,     0,   561,     0,   194,   562,   195,
     563,   564,   565,     0,   566,     0,     0,   567,   568,   569,
       0,     0,   196,     0,     0,     0,   200,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   201,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,     0,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,     0,   620,   217,
     621,   622,     0,   623,   220,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,   224,
     225,     0,     0,   644,   226,   645,   227,     0,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,     0,     0,   658,   659,   660,   661,   662,   663,
     234,     0,   664,     0,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,  1964,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,  1966,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,     0,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,  1968,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,   644,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
     451,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,     0,   512,     0,   513,   514,   515,   516,   517,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,  2080,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,   224,   225,     0,     0,   644,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,   663,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,  2285,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,     0,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
    2655,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,  3025,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,  3098,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,  3100,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     415,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,     0,     0,     0,     0,     0,
       0,     0,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   135,   136,     0,   138,   139,     0,   444,   445,   446,
     447,   448,     0,     0,   449,   450,   451,   140,   452,     0,
     453,   454,   455,   456,   144,     0,     0,     0,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,     0,   469,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   155,
     156,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   164,   500,   501,   502,   166,     0,   503,
       0,   504,   168,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,     0,   511,   172,     0,   512,     0,
     513,   514,   515,   516,  3192,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   175,
       0,   528,   529,   530,     0,   176,     0,   177,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   540,   181,     0,   541,     0,     0,   542,   543,
     544,     0,     0,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,     0,   190,   557,   558,
     191,     0,   559,   560,     0,   561,     0,   194,   562,   195,
     563,   564,   565,     0,   566,     0,     0,   567,   568,   569,
       0,     0,   196,     0,     0,     0,   200,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   201,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,     0,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,     0,   620,   217,
     621,   622,     0,   623,   220,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,   224,
     225,     0,     0,   644,   226,   645,   227,     0,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,     0,     0,   658,   659,   660,   661,   662,   663,
     234,     0,   664,     0,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,  1039,   450,  1013,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,     0,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1043,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,  1044,   606,   212,   607,   608,   609,  1045,   611,   612,
     613,   614,     0,   615,   616,   617,   618,  1547,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
    1047,   225,     0,     0,  1048,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
    1017,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,  1049,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,  1039,   450,  1013,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,     0,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1043,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,  1044,   606,   212,   607,   608,   609,  1045,   611,
     612,   613,   614,     0,   615,   616,   617,   618,  1547,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,  2351,   639,   640,   641,   642,
       0,  1047,   225,     0,     0,  1048,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,  1017,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,  1049,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,  1039,   450,  1013,
     140,   452,     0,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,     0,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1043,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,  1044,   606,   212,   607,   608,   609,  2411,
     611,   612,   613,   614,     0,   615,   616,   617,   618,  2412,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,  1047,   225,     0,     0,  2413,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,  1017,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,  1049,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,  1039,   450,
    1013,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,     0,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,     0,   512,     0,   513,   514,   515,   516,   517,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1043,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,  1044,   606,   212,   607,   608,   609,
    1045,   611,   612,   613,   614,     0,   615,   616,   617,   618,
    2412,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,  1047,   225,     0,     0,  2413,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,  1017,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
    1049,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,     0,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,     0,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,     0,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,   115, -2326,
     116,   117,   118,     0,     0,     0,     0,     0,   121,   122,
       0,     0,     0,     0,   123,     0,     0,     0,     0,     0,
       0,     0,     0,   124,     0,   125,     0,   126,   127,    35,
       0,   407,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   133,     0,     0,     0,   135,   136,   137,
     138,   139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,     0,     0,     0,     0,     0,
     144,     0,   145,     0,     0,     0,     0,     0,   148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,   152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   155,   156,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   162,     0,     0,     0,     0,     0,     0,   164,
       0,     0,     0,   166,     0,     0,     0,     0,   168,     0,
       0,     0,     0,     0,   169,     0,   170,     0,     0,     0,
       0,     0,   172,     0,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   174,   175,     0,     0,     0,     0,
       0,   176,     0,   177,     0,     0,   178,   179,     0,   180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   181,
     182,     0,   183,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,     0,     0,   191,     0,     0,     0,
     193,     0,     0,   194,     0,   195,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   196,   197,
     198,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   210,     0,     0,   212,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   217,     0,     0,   219,     0,
     220,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,     0,     0,     0,
     226,     0,   227,     0,     0,     0,     0,     0,     0,     0,
       0,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,     0,     0,   235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,   115, -2327,   116,   117,
     118,     0,     0,     0,     0,     0,   121,   122,     0,     0,
       0,     0,   123,     0,     0,     0,     0,     0,     0,     0,
       0,   124,     0,   125,     0,   126,   127,    35,     0,  1123,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
     145,     0,     0,     0,     0,     0,   148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,   152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   155,   156,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     162,     0,     0,     0,     0,     0,     0,   164,     0,     0,
       0,   166,     0,     0,     0,     0,   168,     0,     0,     0,
       0,     0,   169,     0,   170,     0,     0,     0,     0,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,   175,     0,     0,     0,     0,     0,   176,
       0,   177,     0,     0,   178,   179,     0,   180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   181,   182,     0,
     183,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,     0,   193,     0,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   196,   197,   198,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   210,     0,     0,   212,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   217,     0,     0,   219,     0,   220,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,     0,     0,     0,   226,     0,
     227,     0,     0,     0,     0,     0,     0,     0,     0,   230,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,     0,     0,   235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115,     0,   116,   117,   118,     0,
       0,     0,     0,     0,   121,   122,     0,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,     0,     0,   124,
       0,   125,     0,   126,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   133,
       0,     0,     0,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,     0,     0,     0,     0,   144,     0,   145,     0,
       0,     0,     0,     0,   148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   155,   156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   162,     0,
       0,     0,     0,     0,     0,   164,     0,     0,     0,   166,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   181,   182,     0,   183,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
       0,     0,   191,     0,     0,     0,   193,     0,     0,   194,
       0,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   196,   197,   198,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   210,     0,     0,   212,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   217,     0,     0,   219,     0,   220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,     0,     0,     0,   226,     0,   227,     0,
       0,     0,     0,     0,     0,     0,     0,   230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,     0,     0,   235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115,     0,   116,   117,   118,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,   145,     0,     0,     0,
       0,     0,   148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,   152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   155,
     156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   162,     0,     0,     0,
       0,     0,     0,   164,     0,     0,     0,   166,     0,     0,
       0,     0,   168,     0,     0,     0,     0,     0,   169,     0,
     170,     0,     0,     0,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   174,   175,
       0,     0,     0,     0,     0,   176,     0,   177,     0,     0,
     178,   179,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   210,
       0,     0,   212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   217,
       0,     0,   219,     0,   220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,     0,     0,     0,   226,     0,   227,     0,     0,     0,
       0,     0,     0,     0,     0,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,   145,     0,     0,     0,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,   152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   155,   156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   164,     0,     0,     0,   166,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   176,     0,   177,     0,     0,   178,   179,
       0,   180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   181,   182,     0,   183,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,     0,     0,   191,     0,
       0,     0,   193,     0,     0,   194,     0,   195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     196,   197,   198,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   210,     0,     0,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   217,     0,     0,
     219,     0,   220,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,     0,
       0,     0,   226,     0,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,     0,
       0,   235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   237,   238,   239,   240,   241,
     242,   243,   244,   245
};

static const yytype_int16 yycheck[] =
{
       2,   167,   246,  1089,    78,   359,   876,    78,  1366,  1041,
    1317,  1094,  1321,   228,    78,    78,  1057,   117,    78,    78,
    1325,   187,   154,  1415,    84,   153,  1575,  1736,   986,   987,
     988,   209,   836,  1201,   992,  1197,  1272,  1887,  2047,   150,
      96,  1254,  1396,  1159,  1219,  1281,  1485,  1209,  1871,  1702,
     106,  1997,   223,   165,  1456,  1457,   711,   117,  1741,   929,
    1428,  1745,   162,  2900,  2427,  2428,   913,   160,   171,  1048,
    2199,   203,   876,  1475,  2749,   375,    78,  1830,  3061,  2906,
      78,   375,    84,   132,  3332,     2,   142,  1912,  1741,  1889,
    3271,   165,  1631,  1632,  1633,  1308,  1912,  1259,  2560,  1736,
    1262,   157,   162,  1912,  1912,  1267,   209,    78,  2249,  1793,
      78,  1912,  1274,    84,  1927,   117,    84,  1785,  1912,  2956,
    2515,  1283,  1596,   347,   712,   929,   117,  3565,  2085,  3111,
     230,  3113,  3616,  2468,  1754,  3253,  1685,  2729,  2904,  1136,
    3240,  1136,  2902,  2903,   361,  2963,  1117,  3660,   208,   117,
    3609,   153,   361,  3253,  1200,  3835,   216,  1203,   218,  3852,
     162,   954,  3816,     2,   216,  1211,  3517,  3518,    78,  1728,
     230,   162,    89,  1986,    84,  2839,  3873,  1379,  1798,  1799,
    1929,   167,  1689,  1936,  1626,  1627,  2292,  4086,  1357,  1445,
    1446,  1348,  3512,  1086,   162,  1086,  4283,  1044,  1209,  1131,
    1132,   187,  1175,  3577,    21,  3450,   208,   117,    30,  1180,
      10,   946,   108,    72,   216,  1471,   218,    88,    72,    94,
      72,   121,    81,  3788,  4546,  2331,   818,    86,   230,  2335,
     135,   128,   114,    78,    86,   227,   153,   114,   128,   230,
    4422,   149,   159,    78,   180,   204,   901,    75,    76,    77,
      78,    72,   162,    84,    82,   143,   266,   132,   156,   247,
    2595,   128,   230,    72,   228,    86,   103,   104,   185,   266,
      25,  1356,    81,    75,    76,    77,    78,    86,   153,   154,
      82,  3257,  3258,  3259,  3260,  3261,  3262,   319,   163,    78,
      29,    78,    95,   367,  1252,   222,   367,   324,   145,  3783,
    2150,   102,   182,   367,   367,  2969,   153,  4492,   367,   222,
      88,    75,    76,    77,    78,   375,  1357,   141,    82,    88,
     230,   112,   137,    75,    76,    77,    78,   229,   203,  2664,
      82,  2666,    99,   160,   111,   113,   227,   429,    90,   106,
      81,     0,   185,    93,   218,    86,    75,    76,    77,    78,
     410,   117,   180,    82,   227,   184,     8,    14,   183,    11,
      12,    75,    76,    77,    78,   143,   145,  1237,    82,   367,
      22,    23,    24,   375,    26,    27,   109,  2386,   112,    31,
      32,    33,   233,  1038,  1559,   378,   179,    14,  1504,   226,
     270,   228,   207,    99,   197,  1366,   162,   356,   490,   227,
     106,   199,  4539,    99,   375,   232,   135,   375,   410,   224,
     106,   285,  1528,    75,    76,    77,    78,    14,  1503,   244,
      82,   135,    72,   325,   185,    75,    76,    77,    78,   309,
     227,    81,    82,  1237,   153,  1874,    86,  4091,   267,   410,
      37,   145,   410,   461,  4531,   173,   473,    75,    76,    77,
      78,   173,   419,  4527,    82,   188,   369,   450,   145,   209,
    1862,  1863,    90,  2569,   230,   375,   173,  1869,  4653,   246,
     227,   503,   182,   227,   372,    72,   373,   357,    75,    76,
      77,    78,  1523,   373,    81,    82,    83,    84,   173,    86,
      75,    76,    77,    78,  1341,   505,    78,    82,   322,   260,
     410,    75,    76,    77,    78,    90,   373,   262,    82,   506,
      75,    76,    77,    78,   506,   643,    90,    82,   506,   258,
     820,   173,   367,  1564,  1565,    90,   820,    75,    76,    77,
      78,  1838,   367,   441,    82,   350,   411,  1842,   173,   503,
      75,    76,    77,    78,   503,  1133,  1134,    82,    75,    76,
      77,    78,   429,  4735,   490,    82,    99,    75,    76,    77,
      78,  1153,   694,   695,    82,   173,  3684,   149,  4890,   370,
      75,    76,    77,    78,   456,  1368,   503,    82,   367,   410,
     367,   382,   429,   165,  3684,  1432,  1557,    75,    76,    77,
      78,  1562,  1563,  4286,    82,  2144,  4080,    88,   503,  2422,
    4254,   429,   456,   503,  1860,  1861,   449,   503,   506,   506,
     469,  1346,  1868,   501,  4688,   506,   506,   505,  1854,  1781,
    1833,  1783,   113,  1791,   461,   416,   506,  3603,   499,   444,
     380,  2431,   433,   506,   451,   494,   495,   404,   431,   506,
    2189,   643,   494,   495,  2193,  4299,   449,  3828,   398,   301,
     429,   503,   143,  1828,  4791,   506,   456,  4222,  4223,  4224,
    4225,  4226,   490,    95,   246,   393,  3847,   465,   470,   101,
    1716,   842,   429,   494,   495,  3512,    95,   505,   471,   501,
     497,  1990,   416,  3018,  2038,   494,   495,   489,   449,  1851,
    3935,  4065,  4012,   266,   346,  4782,  4016,   419,   404,   827,
    3527,   503,    75,    76,    77,    78,   503,  1554,   404,    82,
     429,   955,   419,  1645,  2398,  4614,   816,  3080,  2427,  3082,
    1613,   499,  1613,   160,   187,   429,   643,   496,   497,   498,
     499,  2480,   956,   490,   419,  1089,  2045,   501,   185,   503,
     868,   505,   429,   453,   160,  2054,   460,  1718,   505,   503,
    3212,   503,  2435,  3215,  3216,  1726,   816,  3219,  1769,   117,
     820,  4848,  1735,  4417,   857,   197,  3532,  3229,   643,  1357,
    4424,   903,  3063,  4847,   503,   100,  3613,  4851,   197,   361,
      75,    76,    77,    78,   419,   367,   438,    82,  2917,   503,
      38,    85,    40,   266,   922,   232,   128,   228,   128,   965,
     343,   967,  1773,   969,   162,  1776,  1777,   155,   470,   975,
      25,   419,   322,   260,   816,  4889,   232,  2019,   820,   694,
     695,  3797,   824,  2025,  2930,   816,   997,   489,    85,   107,
     832,    88,   998,   999,  2003,   121,   711,  1994,  2345,   266,
     951,   503,   180,   955,   236,   495,   194,   309,   816,   820,
     208,  2293,   820,  2295,   236,  2111,  2112,  2416,   216,   173,
     218,   863,  1079,   175,  4622,  4623,   180,    95,  1839,   206,
    1079,   266,   230,   101,   229,   503,   209,  3240,    71,   422,
     954,   424,  3217,  3218,   227,   171,    79,    80,   209,   174,
    3253,   266,  1063,   355,   230,  1765,   952,   494,   495,    88,
    3883,  4381,   180,  4383,   336,   907,   816,   338,  2591,   175,
     820,   967,   460,   969,   380,   917,   121,  3581,   503,   266,
     451,   319,  1093,   979,   926,   307,   227,   264,   240,   503,
     352,  2640,   182,   506,   319,   367,   261,   374,   503,   307,
      14,   858,   998,   999,   946,    71,   307,   323,   367,    75,
      76,    77,    78,    79,    80,   503,    82,  1069,   374,   152,
    2001,  1765,  2630,    37,   396,   250,   171,  3330,   503,   197,
     401,   309,   503,   259,   240,  1933,   503,   307,   451,  3270,
    4673,   967,  1042,   969,   296,   503,  1046,   299,   451,   436,
    1042,  1040,   329,   503,  1046,   309,   913,   914,   503,  2084,
    2085,  4698,   449,  1174,  1064,   496,   497,   498,   499,   202,
    2095,   268,   998,   999,  2099,   503,  4500,  4368,   329,  2051,
    2052,   307,  2107,  2108,   451,  2141,   901,   382,   903,   946,
     296,   325,   469,   299,  1036,  2120,  2121,   503,   175,    95,
    1042,   373,   180,   373,  1046,   335,  2131,   262,   236,   175,
     816,  4299,  4372,   469,   259,   391,   451,  4377,  4816,   252,
    4380,   309,  1064,   455,   314,   398,   396,   504,   325,  1071,
     507,  2921,   173,   455,   949,   387,   451,   398,   953,   268,
     507,   503,   437,   384,   420,  1002,   429,   151,   504,   273,
    4783,   507,    99,  1064,   455,   409,  1064,   151,   412,   385,
    1970,   208,   307,   240,   451,   503,   443,   946,   336,   230,
    4790,   218,  4592,  1030,   240,   410,   411,   485,   503,   307,
      85,   387,  1039,    88,   431,   189,  1043,  1044,  1045,   235,
     503,    99,   221,   418,   419,   189,  4118,   329,  4792,   367,
     147,   197,  4626,    88,   396,   175,    72,   154,   341,    75,
      76,    77,    78,  4612,  1064,    81,    82,    83,    84,   296,
      86,   462,   299,  1038,  4677,  1040,  1970,   507,   396,  1167,
     296,   309,   484,   299,   181,  4012,  2578,    71,    72,  4016,
     385,    75,    76,    77,    78,    79,    80,    81,    82,   503,
     503,   503,    86,  2234,   180,   506,   490,   491,   492,  1292,
     494,   495,   496,   497,   498,   499,   307,  4034,   429,   227,
     240,  1209,   490,  2006,  1131,  1132,   227,  4044,   484,  1136,
     229,  2476,  1224,   501,   192,   503,   504,   505,   506,   247,
     323,    97,  1234,   490,   491,   492,   247,   494,   495,   496,
     497,   498,   499,    88,   251,  4063,   384,  2117,   266,   442,
     387,   117,    99,   505,  1256,   266,   345,   450,  4742,  1503,
     453,   387,  4861,   357,  4030,  4025,   296,   455,   113,  4589,
     391,   367,   378,   337,  2529,  2511,  4042,  3077,  1117,   329,
     336,   185,  3744,   337,  3084,   506,   180,  1289,  3750,  3751,
    3752,  3753,  3754,  3755,  1368,   506,   126,  1136,   143,   420,
     396,  4739,  4740,   268,   398,   494,   495,   496,   497,   498,
     499,   367,   504,  2117,   506,  1371,   325,  1373,   439,   507,
    1376,  3684,  1378,   268,  3916,  1381,  1382,  1383,   314,  1606,
    4929,  4449,  4513,  2330,  4818,  2330,  1253,    95,  1394,  2310,
     396,  1180,   172,  1345,  1346,   192,  1348,   484,   227,  4449,
    2657,  1407,  2661,  1409,  1356,   449,   260,   387,   484,   423,
     325,  1585,  2667,   369,  3373,   153,   503,   160,   247,   423,
    3079,   265,   954,   955,   507,  1675,   429,  2613,  2614,  2615,
    2616,  1675,  1599,  1600,  4425,  1602,   179,   266,  2434,  2625,
    1599,  1600,   180,  1602,   288,   261,   968,   509,   454,   151,
     972,   973,   974,   412,   296,   412,   227,   299,   501,   336,
     982,    88,   505,  1415,   129,  2003,   219,   210,   329,   249,
     182,   151,   137,   268,  1341,  4909,   247,    41,  1345,  1346,
     336,  1348,  4870,   451,  2480,   824,   113,   189,  2651,   197,
     451,  1443,  3079,   832,  1615,   266,   240,  3588,  3405,  1366,
     296,  3846,   119,   506,   504,  2501,   506,  2931,   816,   189,
     451,   367,  3287,   469,  4505,   295,   143,   297,   268,   396,
    1472,  3287,   451,  1573,   863,   386,   431,   307,  3287,  3287,
    3164,   151,   228,  4664,  2530,   389,  3287,  3155,   137,   507,
     396,  1540,  1541,  3287,  1411,   387,   507,  1079,  1500,  1501,
     506,  1503,   296,   306,   153,   335,  1345,  1346,   270,  1348,
     256,   162,  2483,  1573,  1516,  1432,   471,  2387,  1520,   189,
    2491,   309,  2493,   323,   503,   271,   183,  1366,   917,   494,
     495,   496,   497,   498,   499,  4372,   282,   926,    25,  1414,
    4377,   387,   372,  4380,  4792,   449,  3359,   309,    35,   494,
     495,   496,   497,   498,   499,  1557,   262,  3892,   207,  3894,
     349,  4388,  4389,   137,  4547,  1625,  1626,  1627,   494,   495,
    1572,  1573,   451,   288,  4615,   224,   243,   407,   336,   230,
     247,  4418,  1573,  2387,  4625,   337,    16,   244,  1505,  1689,
     349,   268,   269,   387,  1643,   357,   389,   180,  1515,  1601,
     494,   495,   336,  1605,  1606,  1573,   180,   337,  1525,   367,
      22,    75,    76,    77,    78,  1675,   197,   284,    82,   172,
    1713,  1792,  1682,  1625,  1626,  1627,   419,   382,   507,  1689,
     451,   377,   318,   367,  1625,   312,  1696,  1554,   396,   247,
    1557,  1558,   431,   336,  4319,  1562,  1563,   134,  4630,   494,
     495,   496,   497,   498,   499,  1626,  1627,  1625,  1626,  1627,
      72,   183,   231,  1573,   457,  1540,  1541,   337,  1728,  3023,
    2325,   423,   431,  1675,   367,   192,   469,   194,   433,   185,
    1682,  1683,   471,  3085,  1042,   236,   507,  1689,  1046,  2774,
     231,   197,   208,   423,  1696,   184,   327,  3317,  1689,   252,
    3320,   350,  4539,   396,  1675,   336,   218,  1675,  3247,   398,
     503,  1682,   471,   382,  1682,  1625,  1626,  1627,  1557,   288,
    4703,  1689,   244,  1562,  1563,   192,  1728,   194,  1645,  4191,
    4192,   451,   248,   400,  1736,   309,   367,  4412,  2823,  4414,
     314,   145,   295,  3048,   297,    95,   327,   288,    72,   153,
    2721,   101,  4589,   423,   229,  1815,   307,   380,   182,   367,
     449,  1763,    86,   371,   433,  1675,  4101,  4102,  1643,  2854,
     153,  1769,  1682,   285,   222,   262,   350,  4604,   267,  1689,
     421,     5,   257,   503,   232,   336,  1368,   182,   396,   363,
     371,   141,   309,   172,  1894,   444,  2643,  1369,  1637,   247,
    1372,    25,   319,  1375,  2889,  1377,   389,  1573,  1380,   321,
     503,    35,  1384,  1815,   382,   396,   367,   494,   495,   496,
     497,   498,   499,  1662,  1663,  3038,   449,   222,   469,   470,
    1958,   462,  1834,  2680,  1894,  1224,   419,  3637,    88,   152,
     190,   347,  2119,   469,   336,  1234,   270,   197,   231,  4446,
     200,  1853,   319,   422,    88,   424,  2133,  1439,   192,   254,
     194,   469,   503,   113,  3617,   433,   371,   250,   332,  1871,
     444,   469,  1789,  4470,   457,   367,   469,  1459,   447,  1718,
     506,   422,   216,   424,   352,   309,   469,  1726,   201,  2060,
     390,   396,  1894,   143,   463,  2007,  3064,  1899,    85,  2077,
    1289,    88,   252,  1894,   455,   288,   447,  1489,   506,   143,
     134,   357,   307,   506,   309,  2947,   295,  4046,   297,   419,
     503,  1503,   368,  1689,  3092,  3474,  1894,   506,   376,   386,
      95,   510,  2006,   357,  1773,     7,   101,  1776,  1777,   274,
    2919,   182,  3296,  3793,  2244,   328,   392,    19,    20,  1951,
    2244,  2922,   336,    85,  4791,  1957,    88,   307,  1960,   309,
    2016,  3645,  2018,   463,   277,   278,  2022,    39,  2024,   319,
      42,  2027,   196,  2076,   390,  2031,    14,   327,   291,   403,
     314,   367,   356,   367,  1894,   319,   336,   371,   227,    34,
    2083,   490,  1994,   115,  2068,  1997,  1913,  2068,   429,    37,
    1839,  2871,   380,   419,  2068,  2068,   505,   381,   247,  2068,
     396,  4473,   396,   254,   136,  3454,  3455,  1599,  1600,  3065,
    1602,   371,   218,   336,  3392,   470,   222,  3427,    71,   501,
     408,   422,   197,   424,    72,   507,    79,    80,   262,   422,
    3589,   424,  3662,  3663,   489,  2047,   396,   463,   503,  2704,
     433,  3451,    51,    96,  2154,    75,    76,    77,    78,   367,
     247,   444,    82,   371,   447,   433,   307,  2871,   309,   501,
      69,    75,    76,    77,    78,   222,   508,  1994,    82,   128,
    1997,   268,  2084,  2085,   156,   469,  4449,    97,   396,   285,
    2092,  3398,   369,  2095,  2154,   242,  2262,  2099,   147,   386,
    3492,   435,  2104,  3265,   454,  2107,  2108,   117,   421,   152,
     423,   445,   161,  2115,   250,  1910,  2118,  2119,  2120,  2121,
     501,   193,  4068,   389,   505,   321,  2128,  2129,  1894,  2131,
    3980,  2133,  2134,  1928,  2246,  2137,   268,  2941,   325,    71,
    4815,   323,    71,    72,  3827,   218,   328,    79,    80,   222,
    2152,  2153,  2154,   419,  3977,  1994,  2158,  3866,  1997,   202,
    2162,   469,   211,  2154,  2166,   117,  2168,  2169,  2170,  2171,
    2172,  2173,  2174,  2175,  2176,  4510,  2178,  2355,  4541,  2357,
     222,   389,  2184,  3396,  2244,  2187,  2154,  2104,   504,  3036,
     506,   457,    98,   325,    75,    76,    77,    78,  3851,   320,
     242,    82,   323,   469,   247,   336,   103,   104,   157,   252,
     162,   419,   285,  2284,  2822,  1573,  2824,  2825,    85,    71,
      72,    88,  2350,    85,   336,   506,  2397,    79,    80,   510,
     192,    72,   194,  2293,    86,  2295,   367,   503,   105,   145,
     371,   336,  2244,   508,  2154,  2345,   336,  2249,   321,   457,
     504,  3653,   323,   507,   216,   367,   208,   328,   242,    85,
    3614,  3615,    88,   160,   216,   396,   218,  1625,   174,   470,
     274,   206,   367,  2244,   134,   135,  2244,   367,   230,   105,
     506,   507,   179,   218,   396,  2345,   502,   222,   489,   195,
     506,  2293,   498,  2295,   314,   503,   150,   503,   341,   505,
    2217,   396,   503,   490,   491,   492,   396,   494,   495,   496,
     497,   498,   499,   210,    75,    76,    77,    78,   224,   125,
     470,    82,  2293,   229,  2295,  2293,   386,  2295,  3286,   264,
    2332,  1689,  2334,   502,  2244,   378,   274,   506,  1696,   489,
     469,   470,   504,  2345,   384,   507,  2474,   309,    85,   509,
     285,    88,   314,   503,  2345,   503,  2416,   319,  2458,   491,
     492,    86,   494,   495,   496,   497,   498,   499,   105,   275,
    1728,   422,  2374,   424,   417,   498,  3461,  2345,  2380,  3554,
     503,   421,   505,  2293,  2386,  2295,   321,   503,  2154,    75,
      76,    77,    78,   323,   329,  2455,    82,  2314,  2458,   442,
    2135,   268,  3760,  2138,   501,  3521,   503,   450,   505,   125,
     453,   384,   506,  2330,  2416,  2332,   501,  2334,   503,  3266,
    2422,  3268,     2,   115,  2006,  2427,  2428,   486,  3399,   469,
     470,   270,   422,   314,   424,  2345,  3240,  2439,  3524,  3525,
     380,   381,   268,  4320,  4321,  4322,  4323,   353,   421,  3253,
    2325,   505,   504,  2455,   506,   326,  2458,  1815,   325,    75,
      76,    77,    78,   503,  2455,   326,    82,  2458,   496,   497,
     498,  2310,   378,   435,  2476,   380,   381,  4026,   384,   506,
     507,  4490,  3329,   445,   390,   323,  2068,  2455,  2599,   222,
    2458,  2330,   389,  2332,  2411,  2334,   469,   470,   429,   325,
      85,   323,   504,    88,   506,   927,   469,   470,   443,   931,
     503,  4060,   505,   419,   486,   421,  3763,   326,  3765,   941,
     105,  3768,   419,  3770,   504,   115,   506,  2529,  2805,  2806,
     503,   268,   438,  2810,   487,   488,  1894,   494,   495,   496,
     497,   498,   469,   470,   504,  2455,   506,   504,  2458,   486,
      85,  4401,   496,    88,   504,  2909,   506,   463,   270,   504,
     457,   506,  1951,   384,   461,   504,  2568,   506,  2570,  3737,
     226,  1960,   469,  2850,  2851,  1419,  1420,  2159,   113,  2345,
     504,   504,   506,   506,   119,  2948,  2949,   167,   325,  4298,
     504,  2593,   506,   506,   503,  2597,  3988,   504,   125,  2516,
     421,   504,   504,    71,   506,   384,   503,   187,   143,   227,
    2854,    79,    80,   503,   266,   505,   504,    85,   506,   384,
      88,   161,   384,   490,   491,   492,  2628,   494,   495,   496,
     497,   498,   499,   507,   504,  2552,   506,   105,  2640,  3875,
     108,   496,   421,  2560,  2483,   113,   509,   262,   469,   470,
     509,   119,  2491,   504,  2493,   506,   421,   429,  2047,   421,
      75,    76,    77,    78,   490,   491,   492,    82,   494,   495,
     496,   497,   498,   499,   504,   143,   506,   429,   429,  2894,
    2895,  2896,   503,   268,   429,   504,  2688,   506,   228,  2455,
     469,   470,  2458,   429,   504,  2612,   506,   504,   314,   506,
     203,   504,  2284,   506,   469,   470,   384,   469,   470,   504,
     503,   506,   247,   384,   108,  2959,   256,   504,   125,   506,
    2637,   422,   268,   424,   503,   262,  2643,   504,   503,   506,
    2830,   271,   429,   268,   269,   505,  2836,  2739,   503,   396,
     325,   503,   282,   421,   472,    75,    76,    77,    78,   503,
     421,  2753,    82,   490,   491,   492,  2758,   494,   495,   496,
     497,   498,   499,  2680,   304,   504,   211,   506,   137,   504,
    2830,   506,  2774,  2775,   143,   243,  2836,   312,  2780,   247,
      75,    76,    77,    78,   153,   505,   504,    82,   506,  3760,
     325,   469,   470,   504,   503,   506,  2154,   211,   469,   470,
     268,   269,   211,  2805,  2806,   504,   323,   506,  2810,   222,
     504,   180,   506,   182,   211,   504,   284,   506,   182,   507,
    2822,  2823,  2824,  2825,   504,   503,   506,   283,  2830,  2704,
     451,   323,   503,  2835,  2836,   503,  2838,   377,  2840,  2830,
     504,   309,   506,   318,   312,  2836,   274,  4205,  2850,  2851,
     180,   504,  2854,   506,   121,   386,   161,   325,   503,  4213,
     328,   137,  2830,  2937,   816,  2867,  2937,  2869,  2836,   469,
     108,  2873,  4525,  2937,  2937,   311,   309,   472,  2937,  3964,
    3684,   504,  2721,   506,   504,   254,   506,  2889,   115,   310,
     311,   504,   504,   506,   506,   162,   503,   115,  2900,   314,
    2902,  2903,  2904,   222,  1326,   490,   491,   492,   438,   494,
     495,   496,   497,   498,   499,   150,   504,   206,   506,   186,
    2830,   353,   508,   228,  2926,   504,  2836,   506,   504,   218,
     506,   336,   400,   222,   201,   503,  2938,  3908,   205,   211,
     309,  2943,   504,  4335,   506,   314,   211,   504,  2950,   506,
     504,   256,   506,   389,  2956,   504,   223,   506,   211,   494,
     495,   496,   497,   498,   499,   504,   271,   506,   389,   211,
    4086,   238,   504,   472,   506,   264,   504,   282,   506,   211,
    1402,   350,   504,   419,   506,   506,   504,  2345,   506,   211,
    4699,  2380,   211,   419,   363,  1417,   285,  2386,   419,   304,
     211,    75,    76,    77,    78,  2922,   323,  1429,    82,   504,
     211,   506,    86,   504,  3016,   506,   211,   504,   323,   506,
    4061,   457,   490,   491,   492,   211,   494,   495,   496,   497,
     498,   499,   321,   469,   211,   323,   457,  3039,  4200,   504,
     329,   506,    75,    76,    77,    78,   211,   314,   469,    82,
     503,  3111,  3112,  3113,   504,   322,   506,   108,  2416,    75,
      76,    77,    78,   504,  2830,   506,    82,   503,   504,   223,
    2836,   507,   377,   283,   504,   444,   506,  3079,  3080,   504,
    3082,   506,   503,  2922,    75,    76,    77,    78,   355,   222,
    1042,    82,   222,   323,  1046,    85,   222,  2455,    88,   503,
    2458,    75,    76,    77,    78,   504,   180,   506,    82,  3111,
    3112,  3113,   504,   504,   506,   506,   504,   503,   506,  3036,
    3111,  3112,  3113,   113,    75,    76,    77,    78,   503,   119,
    4484,    82,  3134,   503,  3136,  3235,   504,  1083,   506,  1085,
    4017,   503,  4019,  3111,  3112,  3113,   451,   180,   346,   503,
     503,   503,  3252,   143,   443,  3432,   503,   503,  3435,  3436,
    3437,  3438,  3439,  3440,  3441,  3442,  3443,  3444,   503,   503,
    1592,   503,  4564,   333,   503,  3235,   494,   495,   496,   497,
     498,  4051,   503,   503,   502,   108,   163,  3189,  3465,   180,
     503,   503,  3252,   503,   503,   503,   503,   503,   266,   503,
    3117,  3111,  3112,  3113,   503,   503,   503,   283,   268,  3341,
    3338,  3213,   501,   506,   108,   504,   505,  3494,  3495,   222,
     321,   222,   396,   496,   262,   387,   299,  3144,   506,   179,
     450,   506,   490,  3235,    14,   506,  3307,  3239,  3240,   503,
     503,  4633,   503,   384,  3235,  4637,  4638,  4051,   429,   429,
    3252,  3253,   384,   243,   505,   153,   429,   247,  3502,   429,
     429,  3252,   429,   429,   384,   211,   323,  3235,  3512,   388,
    3341,   280,  2854,   429,   429,   314,   429,   145,   268,   269,
     323,   252,   450,   319,  3252,   429,  2868,   503,   503,  3504,
    3505,  3506,  3507,  4651,   284,  3212,   153,  4255,  3215,  3216,
    4385,   429,  3219,   506,   336,  2887,   451,   174,   451,   125,
     125,   429,  3229,   429,  3316,   429,   429,  3234,  2900,   429,
     429,   327,   312,  3240,  4407,  3235,   429,  4634,  3330,  3246,
    4635,   429,  4641,   114,  4643,   325,  3253,   114,   429,   384,
     429,  3343,  3252,   506,   429,  3111,  3112,  3113,   323,  3266,
     472,  3268,   268,   323,   469,  2937,   503,   503,   460,   108,
     107,   503,    97,   211,  2753,   309,   946,  3467,   503,  2758,
     180,  3373,   451,   463,  2956,   108,   462,  2959,   291,   319,
     309,   108,  3299,   222,   108,   965,   503,   967,   274,   969,
     385,   211,   211,   505,   127,   975,   976,   977,   451,   211,
     211,  3240,   451,   211,    14,   429,  3408,  3467,   318,  3411,
     400,  3328,  3329,   506,  3253,   503,  3418,   313,   998,   999,
     227,   465,  3424,   503,  3426,   427,   159,   486,   301,  3431,
    3432,   301,    88,  3435,  3436,  3437,  3438,  3439,  3440,  3441,
    3442,  3443,  3444,   506,   396,   427,  3448,  3449,   503,   503,
     429,   227,   504,   490,  3456,   127,   506,   241,   431,  3461,
     506,   503,   241,  3465,   264,  3467,  3341,  3469,   324,  3235,
     319,   506,  2830,   451,   504,   506,  3467,  3479,  2836,   504,
    3482,   214,  3484,  4568,    34,    10,  3252,   159,   429,   504,
    3492,  3493,  3494,  3495,   429,   384,   384,  3499,  4530,  3467,
    3502,   491,   492,   152,   494,   495,   496,   497,   498,   499,
    3512,  2900,   245,   451,   503,   272,   272,  4603,   314,   314,
    3522,   429,   503,   386,   274,   314,   323,   115,  3530,   403,
    3532,   330,  3809,   384,  3700,   322,   429,  1117,   506,   429,
    1962,   274,   214,   367,   429,   429,   393,   280,   357,  4419,
     268,  1973,   108,   268,   268,   268,  1136,  3467,   268,   451,
    3399,  3478,   322,  1985,   451,   490,   503,  2956,  4875,   107,
     501,   501,   490,   245,  3576,   429,   309,   429,   211,   393,
    3582,   222,   224,  3683,  4454,  3685,  3588,   319,   503,   393,
     211,   210,   469,   323,   323,   497,   239,   222,   108,   239,
    1180,    98,   211,   323,   323,   393,   222,   506,   280,   247,
     247,  3613,   247,   472,  3531,  4419,    96,   298,   233,  3679,
     323,  1573,  2044,  3683,   506,  3685,  2048,   506,  2050,   125,
     318,  2053,   504,   419,   131,   274,   227,   309,   371,   504,
     504,   340,   375,   504,  4729,  4449,   504,   144,   381,   504,
    4454,   504,   486,   227,   504,   388,   486,   429,   504,   503,
     157,   506,   504,   396,   336,   466,   504,   504,   504,   504,
     332,   504,   405,   504,   503,    90,    90,  3679,   374,   457,
     413,  3683,  3684,  3685,   466,   490,   507,   490,  3679,   506,
     285,   504,  3683,   323,  3685,   367,   323,   326,   195,   371,
     506,  3467,   504,   375,   250,  3982,  3983,   211,   429,   381,
     503,  3679,   503,   472,   258,  3683,   388,  3685,   429,   327,
     429,   314,   429,   211,   396,  3307,   211,   224,   285,   341,
     341,   464,   229,   405,   429,   468,   469,  1689,   429,   429,
     448,   413,   293,   429,  1696,   293,   293,   429,   384,   429,
     429,   429,   384,  3111,  3112,  3113,   384,   211,   429,  3341,
     384,   429,   396,  2119,   429,  1345,  1346,  3684,  1348,  3679,
     114,   429,   299,  3683,   268,  3685,  1728,  2133,   268,   268,
     285,   268,   268,  4741,  3701,   268,  1366,  3704,   504,  3706,
     268,  3862,   464,   490,   438,   501,    89,   369,   173,   504,
     504,   322,   503,   323,   506,   108,   504,  3809,   236,   429,
     222,   384,   506,  3730,  3731,   384,   384,   506,   326,   209,
     451,   209,   268,   203,   501,  2181,   227,  3744,   325,   451,
      88,  3902,  3834,  3750,  3751,  3752,  3753,  3754,  3755,   222,
     504,   504,   227,  3760,   504,  3684,   135,  3764,   462,   504,
     503,   235,   504,   503,   324,   506,   353,   504,   504,   108,
     222,   108,   108,  1815,  3866,  3867,  3868,  4737,   451,   451,
     429,  3788,   258,   490,   438,   438,   429,  3235,   127,   222,
     127,   504,  3799,  3800,  3801,  3802,   490,   384,   506,   429,
     429,   504,   384,   390,  3252,   429,   393,   503,   503,   143,
    4078,   504,   384,   504,   504,   173,  4072,   438,   504,   268,
     159,   268,   159,  3679,   503,   502,   272,  3683,   472,  3685,
    3502,  3760,   419,   222,   469,  3927,   506,   504,   425,   253,
    3512,   506,   469,  4737,   148,   506,   503,  3776,   429,    85,
     421,   438,  1894,   504,   393,   232,  3863,   227,   268,   268,
     268,    95,   268,   227,   362,   504,   125,   101,  4124,   271,
     503,   467,  3964,   504,   467,   214,   463,   214,   504,   271,
     503,   506,  3974,  3975,   504,  3977,   331,  1557,   125,   503,
    3982,  3983,  1562,  1563,  3373,  3987,  3988,  4058,   504,   237,
     504,  3993,  3994,   319,   429,  3997,   245,   141,   245,   227,
     469,   143,   252,   314,   314,   438,   490,  3924,   506,   429,
    4012,  2433,   211,   490,  4016,    85,   268,   187,    88,   314,
     229,   227,   451,  4025,   393,   274,   502,   274,  4030,   451,
    4384,   280,   506,   280,   108,   105,   198,   469,   465,   503,
    4042,   227,   503,   113,   469,   255,   190,   326,   227,   119,
     503,   503,   456,   197,  4331,  1635,   200,  1637,  4118,   406,
     309,   362,   309,  4340,  4230,   504,  4068,   504,   271,  3908,
     468,   363,   503,   143,   339,  1655,   429,   503,   323,  4081,
    4357,  4358,  1662,  1663,   222,   504,   504,   504,   469,   108,
     503,   314,   503,   294,   250,   210,   503,  4099,   504,   381,
     173,   327,   125,  4203,   381,   125,   503,   329,   252,  3467,
     503,   490,   451,   307,   421,   323,  4118,   217,   354,   137,
     137,   326,   371,  3512,   371,  4127,   375,  4118,   375,  4046,
    4047,   193,   381,   455,   381,    85,   506,  4139,  1718,   388,
     108,   388,   362,  4203,   227,   466,  1726,   396,   456,   396,
    4118,  4068,   469,   360,   222,   198,   405,   252,   405,   323,
     323,   108,   503,   307,   413,   309,   413,   326,   326,   504,
     503,   125,   504,   243,   185,   319,   380,   247,   449,    94,
     503,  4183,   380,   327,   105,   210,   354,   367,   503,  1816,
    1177,  2598,   336,  1773,  2922,  2465,  1776,  1777,   268,   269,
    1563,  4203,  2154,  3092,  3683,  2523,  3234,  4046,  4118,  4476,
    4651,  4519,  4203,  4203,   284,   464,  4274,   464,  3855,   468,
    4525,   468,  4248,   367,  3613,  4529,  3017,   371,  2709,  4068,
    4418,  4822,  4874,  4774,  4773,  4203,  4837,  4674,  3021,   309,
    4275,  3820,   312,  2589,  4246,  2589,  3679,  3112,  1914,  3825,
    3827,  2584,   396,  3298,  4879,   325,  4942,  4934,   328,  1839,
    3252,  3239,  4844,  4456,  1906,  4752,  4830,  4459,   187,  1403,
    3911,  4611,  3864,  2428,  4191,  4192,  3866,  4699,  3191,  4856,
    3862,  4666,  4936,  1058,  2007,  2246,  4563,  2937,  4205,  2247,
    3849,  4059,  4209,  4203,  4211,  2717,  4298,  4214,  4215,  3586,
    2692,  1359,  1073,  2938,  1591,  4222,  4223,  4224,  4225,  4226,
     454,  2282,   914,  1609,  1608,  2944,  2950,  2281,  2265,  1611,
    3902,  3679,  2964,  2956,  4018,  3683,  3512,  3685,  4590,  4331,
     400,  1615,  1063,  4335,  3587,  3477,  4566,  3469,  4340,  4809,
    4813,  4810,  2941,  2868,  3582,  2866,   643,  4403,  2776,  2184,
    3338,  1296,  4118,  4270,  2644,  4357,  4358,  4800,  1945,  4361,
    2314,  1627,   376,  1943,   948,  1621,  1414,  1134,  2290,  1154,
    4372,  1134,  2916,  3593,  2330,  4377,  4045,  3594,  4380,  2322,
    4297,  2323,  3559,  4385,  4386,  1537,  1625,   409,  2705,  2036,
    1345,     2,   978,  2345,    -1,    -1,    -1,    -1,  2334,    -1,
      -1,    -1,    95,  4320,  4321,  4322,  4323,    -1,   101,    -1,
      -1,    -1,    -1,    -1,  1994,    -1,  4418,  1997,    -1,    -1,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
    4012,    -1,   502,    -1,  4016,    -1,    -1,  4203,   508,    -1,
    4511,    85,    -1,    -1,    88,    -1,    -1,  4449,   141,  2805,
    2806,  4453,    -1,    -1,  2810,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,  2416,    -1,    -1,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,  4058,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4490,    -1,
      -1,    -1,    -1,    -1,  2850,  2851,    -1,   190,    -1,   143,
      -1,    -1,    -1,  2455,   197,    -1,  2458,   200,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2097,  2098,    -1,
      -1,    -1,    -1,    -1,    -1,  2105,    -1,    -1,    -1,  2109,
    2110,    -1,  4449,    -1,    -1,    -1,    -1,  4539,    -1,  4541,
     833,    -1,    -1,    -1,  2124,   838,  2126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   847,    -1,  4473,  4396,    -1,   252,
    4477,  4563,  4564,    -1,  4566,    -1,  4568,  2147,    -1,  2149,
    4630,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   874,    -1,  4585,    -1,   878,    -1,  4589,  3010,  3011,
      -1,  3013,  4594,    -1,    -1,    -1,   889,    -1,    -1,   243,
      -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,
    4449,    -1,  2805,  2806,   307,    -1,   309,  2810,    -1,  2199,
      -1,    -1,   127,  4012,   268,   269,   319,  4016,  4630,    -1,
      -1,  4633,    -1,    -1,   327,  4637,  4638,    -1,    -1,  4630,
     284,    -1,    -1,   336,    -1,    -1,    -1,    -1,  4892,    -1,
      -1,    -1,    -1,    -1,   159,    -1,    -1,  2850,  2851,    -1,
      -1,    -1,  4630,    -1,    -1,   309,    -1,    -1,   312,  4671,
      -1,    -1,    -1,    -1,   367,    -1,    -1,    -1,   371,    -1,
      -1,   325,  2262,    -1,   328,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4699,    -1,    -1,
      -1,    -1,    -1,   396,  4706,    -1,    -1,    -1,    -1,   214,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4630,    -1,    -1,    -1,  3146,    -1,    -1,  4729,    -1,    -1,
    2310,    -1,    -1,    -1,  4651,    -1,    -1,    -1,    -1,    -1,
     245,    -1,    -1,    -1,  4746,    -1,    -1,    -1,    -1,    -1,
    2330,    -1,  2332,    -1,  2334,    -1,   400,    -1,    -1,    -1,
    4118,   454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   280,    -1,    -1,    -1,  4781,
      -1,    -1,  4856,    -1,    -1,  4856,    -1,  4887,    -1,  4791,
    4372,    -1,  4856,  4856,    -1,  4377,    -1,  4856,  4380,    -1,
      -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,
    4812,  4813,    -1,    -1,    -1,    -1,    -1,    -1,  4892,    -1,
      -1,  4892,    -1,  4825,    -1,    -1,    -1,  4887,  4892,  4892,
      -1,    -1,    -1,  4892,  4934,    -1,    -1,    -1,  1131,  1132,
      -1,    -1,  4942,    -1,    -1,  4203,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,  3278,    -1,  3280,  4861,
     504,    -1,  4936,    -1,  4630,  4936,   371,    -1,   373,  4871,
     375,    -1,  4936,  4936,  4934,    -1,   381,  4936,  2830,    -1,
      -1,    -1,  4942,   388,  2836,  4887,    -1,    -1,    -1,    -1,
      -1,   396,    -1,    -1,    -1,    -1,  4887,    -1,  1332,    -1,
     405,    -1,    -1,  2483,    -1,    -1,    -1,    85,   413,  1343,
      88,  2491,    -1,  2493,    -1,    -1,    -1,    -1,    -1,  4887,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4929,    -1,  4511,
      -1,    -1,  4934,    -1,    -1,   113,  4938,    -1,    -1,    -1,
    4942,   119,    -1,  4934,    -1,    -1,    -1,    -1,    -1,  3371,
      -1,  4942,    -1,    85,    -1,    -1,    88,    -1,    -1,   464,
      -1,    -1,    -1,    -1,    -1,   143,  4934,    -1,    -1,  3391,
    4887,    -1,    -1,   105,  4942,    -1,    -1,  4887,    -1,    -1,
      -1,   113,    -1,  4372,    -1,    -1,    -1,   119,  4377,    -1,
      -1,  4380,    -1,    -1,    -1,    -1,  2576,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4589,    -1,    -1,
      -1,   143,    -1,    -1,    -1,    -1,    -1,  4934,    -1,    -1,
      -1,    -1,    -1,    -1,  4934,  4942,    -1,   205,    -1,  4418,
      -1,    -1,  4942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4453,   243,    -1,    95,    -1,   247,
      -1,    -1,    -1,   101,    -1,    -1,  3432,    -1,    -1,  3435,
    3436,  3437,  3438,  3439,  3440,  3441,  3442,  3443,  3444,    -1,
     268,   269,    -1,    -1,    -1,  4934,    -1,    -1,    -1,    89,
      -1,  4490,    -1,  4942,    94,    -1,   284,    -1,    -1,  3465,
      -1,   243,    -1,   141,    -1,   247,    -1,    -1,    -1,    -1,
      -1,  4887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   312,    -1,   268,   269,  3494,  3495,
      -1,  2721,   132,    -1,    -1,    -1,    -1,   325,    -1,    -1,
    4539,    85,   284,    -1,    88,    -1,    -1,    -1,    -1,  3111,
    3112,  3113,   190,   153,    -1,    -1,    -1,    -1,  4934,   197,
      -1,   105,   200,    -1,    -1,    -1,  4942,   309,    -1,   113,
     312,   171,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   325,   184,    -1,   328,    -1,    -1,    -1,
    4589,    -1,   192,    -1,    -1,    -1,    -1,    -1,    -1,   143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   207,    -1,   209,
      -1,    -1,   400,   213,   252,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   223,    -1,    85,    -1,    -1,    88,  3432,
      -1,   231,  3435,  3436,  3437,  3438,  3439,  3440,  3441,  3442,
    3443,  3444,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,   400,   119,
      -1,    -1,  4630,    -1,  4856,    -1,    -1,    -1,    -1,   307,
      -1,   309,    -1,  3235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   319,    -1,   143,    -1,    -1,    -1,    -1,    -1,   327,
    3252,  3494,  3495,    -1,    -1,    -1,    -1,    -1,   336,   243,
    4892,    -1,    -1,   247,    -1,    -1,   494,   495,   496,   497,
     498,   499,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   268,   269,    -1,  2917,    -1,   367,
    2920,    -1,  2922,   371,    -1,    -1,    -1,    -1,    -1,    -1,
     284,    -1,  1645,    -1,  4936,    -1,    -1,    -1,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   396,    -1,
      85,    -1,    -1,    88,   506,   309,    -1,    -1,   312,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   325,  4781,   243,   328,    -1,    -1,   247,   113,    -1,
      -1,    -1,  4791,    -1,   119,    -1,    -1,    -1,  3830,  3831,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,   269,
      -1,    -1,    -1,    -1,    -1,    -1,   454,    -1,   143,    -1,
      -1,    -1,    -1,    -1,   284,    -1,  4825,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3809,    -1,    -1,    -1,    -1,    -1,   309,
      -1,    -1,   312,    -1,    -1,    -1,   400,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,   328,    -1,
      -1,  3903,  3904,  3905,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1256,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3467,    -1,    -1,  1952,    -1,
    1813,    -1,    -1,    -1,    -1,    -1,    -1,  1961,   243,  4887,
      -1,  1965,   247,    -1,    -1,    -1,    -1,  1971,  1972,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4938,
     400,    -1,    -1,   268,   269,  1989,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,    -1,    85,    -1,   284,
      88,    -1,   506,    -1,    -1,    -1,  4934,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4942,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    95,    -1,   309,   113,    -1,   312,   101,    -1,
      -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     325,    -1,    -1,   328,    -1,    -1,  3809,    -1,  1911,    -1,
      -1,    -1,    98,    -1,    -1,   143,  3982,  3983,    -1,    -1,
      -1,    -1,    -1,    -1,  1927,    -1,    -1,    -1,   141,    -1,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
      -1,    -1,  1415,   643,   504,   131,    -1,    -1,    -1,    -1,
    3240,    -1,    -1,    -1,    -1,  3245,  3246,    -1,   144,   145,
      -1,    -1,    -1,  3253,    -1,    -1,    -1,   153,    -1,    -1,
      -1,   157,    -1,    -1,    -1,   400,    -1,   190,    -1,    -1,
      -1,    -1,    -1,  1986,   197,    -1,    -1,   200,   174,    -1,
      -1,  3281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   195,
      -1,    -1,    -1,    -1,    -1,   243,    -1,  3679,    -1,   247,
      -1,  3683,    -1,  3685,    -1,    -1,    -1,   213,    -1,    -1,
      -1,  4163,  4164,    -1,  4166,    -1,    -1,    -1,   224,   252,
     268,   269,    -1,   229,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   284,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   250,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,    -1,    -1,   502,    -1,  3982,
    3983,   309,    -1,    -1,   312,    -1,    -1,    -1,    -1,   275,
      -1,    -1,    -1,    -1,   307,    -1,   309,   325,    -1,  2243,
     328,    -1,    -1,    -1,    -1,    -1,   319,    -1,    -1,  3399,
      -1,    -1,    -1,    -1,   327,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   336,   824,   825,   826,   827,    -1,   829,
     830,    -1,   832,   833,   834,    -1,   836,    -1,   838,   325,
     840,    -1,   842,    -1,    -1,    -1,   846,   847,   848,    -1,
      -1,    -1,    -1,    89,   367,    -1,   856,    -1,   371,    -1,
      -1,   861,    -1,   863,    -1,    -1,   866,   353,   868,    -1,
     870,    -1,   400,    -1,   874,    -1,   876,    -1,   878,   879,
      -1,    -1,    -1,   396,    -1,    -1,   886,    -1,    -1,   889,
      -1,    -1,   378,    -1,    -1,    -1,   382,    -1,   384,    -1,
      -1,    -1,    -1,    -1,   390,    -1,    -1,   393,    -1,    -1,
    1683,    -1,    -1,   913,    -1,    -1,    -1,   917,    -1,    -1,
      -1,    -1,   922,    -1,    -1,    85,   926,    -1,    88,   929,
      -1,   167,    -1,   419,    -1,   421,    -1,    -1,    -1,   425,
      -1,   454,    -1,    -1,   944,   105,    -1,   433,    -1,    -1,
      -1,   187,   438,   113,    -1,   955,    -1,    -1,    -1,   119,
      -1,    -1,   490,   491,   492,  4331,   494,   495,   496,   497,
     498,   499,    -1,    -1,  4340,    -1,   504,   463,    -1,    85,
      -1,    -1,    88,   143,    -1,    -1,    -1,    -1,    -1,    -1,
    1763,  4357,  4358,    -1,    -1,    -1,    -1,   997,    -1,    -1,
    3590,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,  1009,
    1010,  2314,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1036,   143,  2341,    -1,
    1040,  1041,    -1,  2346,  1044,    -1,  2349,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1059,
      -1,  1834,    -1,  1063,    -1,    -1,    -1,    -1,  2371,    -1,
      -1,  1071,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1853,  1081,    -1,   243,    -1,    -1,    -1,   247,    -1,    -1,
      -1,    -1,    -1,  1093,  3684,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2405,    -1,    -1,    -1,    -1,    -1,   268,   269,
    3700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,    -1,  1899,    -1,  4331,  2432,
      -1,  1131,  1132,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
    4582,    -1,   312,  2456,  4357,  4358,  4118,    -1,    -1,    -1,
    4592,    -1,   268,   269,    -1,   325,    -1,    -1,   328,    -1,
    3760,    -1,  2475,    -1,  1174,  2478,    -1,    -1,   284,    -1,
      -1,    -1,  1182,  1183,  1957,  3775,  3776,    -1,    -1,    -1,
      -1,    -1,    -1,  2496,  3784,    -1,    -1,  4563,  3788,    -1,
      -1,    -1,    -1,  2506,    -1,    -1,   312,    -1,    -1,  3799,
      -1,    -1,  2656,  4645,    -1,    85,  2519,    -1,    88,   325,
      -1,    -1,    -1,    -1,  1224,  2528,    -1,    -1,  2672,  2673,
      -1,    -1,  2676,    -1,  1234,   105,    -1,  1237,  2682,    -1,
     400,  4203,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,
    1250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1264,    -1,    -1,    -1,    -1,    -1,
    1270,  1271,    -1,   143,    -1,    85,    -1,    -1,    88,    -1,
      -1,    -1,    -1,    -1,  1284,  1285,  1286,  1287,  4720,  1289,
      -1,    -1,    -1,  1293,   400,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,    -1,    -1,  2751,    -1,   119,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3908,    -1,
      -1,  1321,  1322,  1323,    -1,    -1,    -1,    -1,    -1,    -1,
     490,   491,   492,   143,   494,   495,   496,   497,   498,   499,
      -1,  1341,    -1,    -1,   504,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1356,    -1,    -1,    -1,
    4563,    -1,    -1,    -1,    -1,    -1,  1366,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,  2152,
      -1,    -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,    -1,    -1,  1396,  1397,   268,   269,
      -1,  1401,    -1,  1403,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,    -1,   284,    88,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1425,    -1,    -1,  1428,    -1,
      -1,  1431,  1432,   243,    -1,    -1,    -1,   247,    -1,   309,
     113,    -1,   312,  1443,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   325,  4046,    -1,   268,   269,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,  1472,    -1,   284,    -1,    -1,    -1,  4068,    -1,
      -1,    -1,  4072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
    1500,  1501,   312,  1503,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,   328,    -1,
    1520,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
     400,    -1,   205,    -1,  4124,    -1,    -1,    -1,    -1,    -1,
    1540,  1541,    -1,    -1,    -1,    -1,    -1,  4137,  4138,   113,
      -1,    -1,  4142,  4143,  1554,   119,    -1,    -1,    -1,    -1,
      -1,    -1,  1562,  1563,    -1,    -1,    -1,    -1,    -1,  1569,
     243,    -1,  1572,    -1,   247,    -1,    -1,    -1,    -1,   143,
      -1,    -1,  3026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     400,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,    -1,
      -1,  1601,    -1,    -1,    -1,  1605,  1606,    -1,    -1,    -1,
      -1,   284,    -1,    -1,    -1,  1615,  1616,  1617,    -1,    -1,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
      -1,    -1,  4222,  4223,  4224,  4225,  4226,    -1,    -1,   312,
    4230,   205,    -1,  1643,    -1,  1645,    -1,    -1,    -1,    -1,
      -1,    -1,   325,    -1,    -1,  3099,    -1,  3101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2439,    -1,  4630,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,
     490,   491,   492,   247,   494,   495,   496,   497,   498,   499,
      -1,    -1,  2995,    -1,   504,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   268,   269,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     284,    -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,   965,
      -1,   967,    -1,   969,    -1,    -1,    -1,    -1,    -1,   975,
    1740,  1741,    -1,    -1,  3188,    -1,    -1,  1747,   312,  3193,
    1750,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   325,   998,   999,    -1,  1765,    -1,    -1,    -1,    -1,
      -1,    -1,  1772,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,
      -1,   101,  1792,    -1,    -1,    -1,    -1,  2570,    -1,    -1,
    1800,  1801,  1802,  1803,  1804,    -1,  4396,    -1,    -1,    85,
      -1,    -1,    88,  1813,    -1,    -1,   126,    -1,  1818,    -1,
      -1,   494,   495,   496,   497,   498,   499,  3130,    -1,    -1,
    1830,   141,  1832,    -1,  3137,    -1,   400,   113,    -1,    -1,
    1840,  1841,    -1,   119,    -1,    -1,  1846,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4449,
      -1,    -1,   172,    -1,    -1,    -1,    -1,   143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     190,  1117,    -1,    -1,    -1,    -1,    -1,   197,    -1,    -1,
     200,    -1,    -1,  1893,    -1,  1131,  1132,    -1,  3342,    -1,
    1136,    -1,  3346,  3347,  3207,  3349,    -1,  3351,  3352,    -1,
      -1,  1911,    -1,    -1,    -1,    -1,  3360,  1917,  1918,  1919,
    1920,    -1,    -1,    -1,    -1,  4887,    -1,  1927,    -1,    -1,
     494,   495,   496,   497,   498,   499,  1936,    -1,    -1,   249,
      -1,    -1,   252,    -1,  1180,    -1,    -1,    -1,    -1,  3393,
      -1,  1951,    -1,    -1,    -1,    -1,    -1,    -1,  1958,    -1,
    1960,    -1,    -1,    -1,    -1,    -1,  2739,   243,    -1,    -1,
    1970,   247,  4934,    -1,    -1,  1975,    -1,    -1,    -1,    -1,
    4942,    -1,    -1,    -1,  1984,   295,  1986,   297,    -1,    -1,
    1990,  1991,   268,   269,    -1,    -1,    -1,   307,    -1,   309,
      -1,    -1,    -1,    -1,  2004,    -1,    -1,  2007,   284,   319,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   327,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   335,   336,    -1,    -1,    -1,
      -1,    -1,    -1,   309,    -1,    -1,   312,    -1,  2038,    -1,
      -1,    -1,    -1,    -1,    -1,  2045,    -1,  2047,    -1,   325,
      -1,  2051,  2052,    -1,  2054,    -1,  3359,   367,    -1,    -1,
    2060,   371,   372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3376,    -1,    -1,  2076,  2077,    -1,    -1,
    2080,    -1,    -1,    -1,  2084,  2085,   396,    -1,    -1,    -1,
      -1,  3394,  2092,    -1,    -1,  2095,    -1,   407,    -1,  2099,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2107,  2108,    -1,
      -1,    -1,    -1,    -1,    -1,  2115,  4706,  2117,  2118,  2119,
    2120,  2121,    -1,    -1,   400,    -1,    -1,    -1,  2128,  2129,
    1366,  2131,    -1,  2133,  2134,    -1,    -1,  2137,    -1,    -1,
      -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2153,    -1,    -1,    -1,  2157,  2158,    -1,
      -1,    -1,  2162,    -1,    -1,    -1,  2166,    -1,  2168,  2169,
    2170,  2171,  2172,  2173,  2174,  2175,  2176,    -1,  2178,    -1,
      -1,    -1,    -1,  2183,  2184,    -1,    -1,  2187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2208,    -1,
      -1,    -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2245,    -1,  2247,    -1,  2249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3039,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2285,    -1,  2287,    -1,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,  4887,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,    -1,  2314,    -1,    -1,   113,    -1,    -1,
      -1,  1557,    -1,   119,    -1,    -1,  1562,  1563,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3640,    -1,    -1,
      -1,  2341,    -1,    -1,  4934,    -1,  2346,   143,    -1,  2349,
    2350,    -1,  4942,    -1,    -1,  2355,    -1,  2357,    -1,    -1,
      -1,  3134,    -1,  3136,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2371,    -1,    -1,  2374,    -1,    -1,    -1,    -1,    -1,
    2380,    -1,  2382,  2383,  2384,    -1,  2386,  2387,    -1,  2389,
      -1,  2391,    -1,  2393,  2394,    -1,    -1,  2397,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2405,    -1,    -1,    -1,  1645,
      -1,    -1,    -1,    -1,  3717,    -1,  3189,  3720,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2432,    -1,    -1,  2435,    -1,    -1,    -1,    -1,
    3213,  2441,    -1,    -1,    -1,  3889,  2446,   243,    -1,    -1,
      -1,   247,  2452,  3897,  3898,    -1,  2456,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2467,  2468,    -1,
      -1,    -1,   268,   269,  2474,  2475,    -1,    -1,  2478,    -1,
      -1,    -1,  1718,    -1,    -1,    -1,    -1,    -1,   284,  2489,
    1726,    -1,    -1,    98,    -1,    -1,  2496,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,  2506,    -1,    -1,    -1,
      -1,    -1,    -1,   309,    -1,  2515,   312,  2517,  2518,  2519,
      -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,  2528,   325,
      -1,    -1,   328,    -1,    -1,    -1,    -1,  1773,    -1,   144,
    1776,  1777,    -1,  3316,    -1,  2545,    -1,    -1,    -1,    -1,
      -1,    -1,   157,  2553,  2554,  2555,  2556,  2557,  2558,    -1,
      85,    -1,    -1,    88,    -1,    -1,    -1,    -1,  2568,   174,
    3343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
     195,  2591,    -1,    -1,   119,  2595,  2596,    -1,    -1,    -1,
    2600,    -1,    -1,  1839,   400,    -1,    -1,    -1,   213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,   224,
      -1,    -1,    -1,    -1,   229,    -1,  2626,    -1,    -1,    -1,
     235,    -1,    -1,  2633,  2634,    -1,    -1,    -1,  3411,    -1,
      -1,    -1,    -1,  2643,  2644,   250,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4097,    -1,    -1,    -1,    -1,  3431,    -1,
      -1,  2661,    -1,  2663,  2664,  2665,  2666,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2680,    -1,    -1,  3456,  4128,  4129,    -1,    -1,  2688,    -1,
      -1,    -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,    -1,    -1,    -1,    -1,   504,  2709,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,  3492,
     325,    -1,   247,    -1,    -1,    -1,    -1,  2727,    -1,    -1,
     335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4184,  4185,    -1,   268,   269,    -1,    -1,    -1,   353,  2749,
      -1,    -1,    -1,  2753,    -1,    -1,    -1,    -1,  2758,   284,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,  2768,    -1,
      -1,    -1,    -1,   378,  2774,  2775,    -1,   382,    -1,   384,
    2780,   105,    -1,    -1,   309,   390,    -1,   312,   393,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
     325,    -1,    -1,   328,    -1,  2805,  2806,    -1,    -1,    -1,
    2810,    -1,    -1,    -1,   419,    -1,   421,    -1,    -1,   143,
     425,    -1,  2822,  2823,  2824,  2825,    -1,    -1,   433,    -1,
      -1,  4134,    -1,   438,    -1,  2835,    -1,    -1,  2838,    -1,
    2840,  2841,    -1,  4146,    -1,   450,    -1,    -1,    -1,    -1,
    2850,  2851,    -1,    -1,  2854,    -1,    -1,    -1,   463,    -1,
      -1,  4305,    -1,  4307,  4308,    -1,    -1,  2867,    -1,  2869,
      -1,  2871,    -1,  2873,  4318,   400,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,  2889,
      -1,    -1,    -1,  2893,    -1,    -1,    -1,    -1,    -1,    -1,
    2900,   105,  2902,  2903,  2904,    -1,    -1,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,   243,
      -1,    -1,  2922,   247,    -1,    -1,  2926,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2938,   143,
      -1,    -1,    -1,  2943,   268,   269,    -1,  2947,    -1,    -1,
    2950,    -1,    -1,    -1,    -1,    -1,  2956,    -1,    -1,  2959,
     284,    -1,    -1,  2963,    -1,   490,   491,   492,   117,   494,
     495,   496,   497,   498,   499,    -1,    -1,    -1,    -1,   504,
      -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,   312,    -1,
      -1,    -1,    -1,    -1,    -1,  2995,    -1,    -1,    -1,    -1,
      -1,   325,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   162,    -1,    -1,  3016,    -1,  3018,    -1,
      -1,    -1,    -1,  3023,    -1,    -1,  2262,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3036,    -1,    -1,   243,
      -1,    -1,    -1,   247,  3044,    -1,  3046,  3047,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   208,
      -1,  3834,    -1,    -1,   268,   269,    -1,   216,    -1,   218,
      -1,    -1,    -1,    -1,  2310,    -1,   400,    -1,  2314,    -1,
     284,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,   312,    -1,
      -1,    -1,    -1,  4557,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   325,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,
    3130,    -1,    -1,    -1,    -1,    -1,    -1,  3137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,    -1,    -1,   490,   491,   492,  4613,
     494,   495,   496,   497,   498,   499,    -1,    -1,   105,    95,
     504,    -1,    -1,    -1,    -1,   101,   113,    -1,    -1,    -1,
      -1,    -1,   119,    -1,    -1,    -1,   400,    -1,    -1,    -1,
      -1,    -1,  4646,    -1,    -1,    -1,    -1,  3207,    -1,    -1,
     126,    -1,    -1,    -1,    -1,  3988,   143,  3217,  3218,    -1,
      -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3246,  2483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2491,   172,  2493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3266,    -1,  3268,    -1,
      -1,    -1,  3272,    -1,   190,    -1,    -1,    -1,    -1,    -1,
      -1,   197,    -1,    -1,   200,    -1,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,  3296,  3297,    -1,    -1,
     504,    -1,    -1,    -1,    -1,  3305,    -1,    -1,    -1,  3309,
      -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,
     247,    -1,    -1,  3323,    -1,    -1,  4099,    -1,    -1,  3329,
      -1,    -1,    -1,   249,    -1,    -1,   252,    -1,  3338,    -1,
      -1,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3353,  4127,    -1,  3356,   284,    -1,  3359,
      -1,    -1,    -1,    -1,    -1,    -1,  4139,    -1,    -1,    -1,
      -1,    -1,    -1,  3373,    -1,    -1,  3376,    -1,    -1,   295,
      -1,   297,   309,    -1,    -1,   312,    -1,    -1,    -1,    -1,
      -1,   307,  3392,   309,  3394,    -1,    -1,    -1,   325,    -1,
    3400,   328,    -1,   319,    -1,    -1,    -1,    -1,  3408,    -1,
    4183,   327,    -1,    -1,    -1,    -1,    -1,    -1,  3418,   335,
     336,    -1,    -1,    -1,  3424,  4869,  3426,    -1,    -1,    -1,
      -1,    -1,  3432,    -1,    -1,  3435,  3436,  3437,  3438,  3439,
    3440,  3441,  3442,  3443,  3444,    -1,    -1,    -1,  3448,  3449,
      -1,   367,    -1,    -1,    -1,   371,   372,    -1,    -1,    -1,
      -1,  3461,    -1,    -1,    -1,  3465,    -1,    -1,    -1,  3469,
      -1,    -1,    -1,   400,    -1,    -1,    -1,    -1,    -1,  3479,
     396,    -1,  3482,    -1,  3484,  2721,    -1,    -1,    -1,    -1,
      -1,   407,    -1,  3493,  3494,  3495,    -1,    -1,    -1,  3499,
      -1,    -1,  3502,    -1,    -1,    -1,    -1,    -1,    -1,  3509,
    3510,  3511,  3512,  3513,    -1,    -1,    -1,  3517,  3518,    -1,
      -1,    -1,  3522,    85,    -1,    -1,    88,    -1,  3528,    -1,
    3530,    -1,  3532,    -1,    -1,    -1,    -1,    -1,   454,    -1,
      -1,    95,    -1,   105,    -1,    -1,    -1,   101,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,
      -1,    -1,  4335,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,    -1,    -1,    -1,  3576,   504,    -1,    -1,
      -1,   143,  3582,    -1,    -1,    -1,  3586,   141,  3588,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3613,  3614,  3615,    -1,  3617,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3631,  3632,  3633,  3634,    -1,   190,    -1,    -1,    -1,
    3640,    -1,    -1,   197,    -1,    -1,   200,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   816,    -1,  3669,
      -1,    -1,    -1,    -1,    -1,   824,    -1,    -1,    -1,    -1,
      -1,   243,    -1,   832,    -1,   247,  2922,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,
      -1,    -1,    -1,    -1,   863,    -1,    -1,  3717,    -1,    -1,
    3720,    -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3734,    -1,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    88,    -1,    -1,   309,    -1,    -1,
     312,    -1,    -1,   307,    -1,   309,    -1,    -1,    -1,    -1,
    3760,    -1,    -1,   325,    -1,   319,   328,    -1,   917,   113,
      -1,    -1,    -1,   327,    -1,   119,    -1,   926,    -1,    -1,
      -1,    -1,   336,    -1,    -1,    -1,    -1,    -1,  3788,    -1,
      -1,  4564,    -1,    -1,    -1,    -1,  3796,    -1,    -1,   143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3807,    -1,  3809,
      -1,    -1,    -1,   367,    -1,  3815,    -1,   371,    -1,    -1,
      -1,  4594,    -1,    -1,    -1,    -1,    -1,  3827,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3837,   400,    -1,
      -1,    -1,   396,    -1,    -1,    -1,  3846,    -1,    -1,    85,
      -1,  3851,    88,    -1,    -1,  3855,    95,    -1,    -1,    -1,
    4633,   205,   101,    -1,  4637,  4638,    -1,  3867,  3868,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,  1036,    -1,    -1,
      -1,    -1,  3892,  1042,  3894,    -1,    -1,  1046,    -1,   243,
     454,    -1,   141,   247,    -1,    -1,    -1,   143,    -1,    -1,
      -1,  3911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1071,    -1,   268,   269,    -1,  3927,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,    -1,    -1,
     284,    -1,   504,    -1,    -1,    -1,    -1,    -1,    -1,   834,
      -1,   190,    -1,    -1,    -1,   840,    -1,    -1,   197,    -1,
      -1,   200,    -1,   848,  3964,    -1,    -1,    -1,   312,    -1,
      -1,   856,    -1,    -1,  3974,  3975,   861,    -1,    -1,    -1,
      -1,   325,  3982,  3983,    -1,    98,    -1,  3987,    -1,    -1,
      -1,    -1,    -1,  3993,  3994,    -1,    -1,  3997,    -1,  3999,
    4000,  4001,  4002,    -1,  3240,    -1,  4006,   243,    -1,  4009,
      -1,   247,  4012,   252,    -1,    -1,  4016,  3253,    -1,    -1,
      -1,    -1,  4022,    -1,    -1,  4025,    -1,    -1,    -1,    -1,
    4030,   144,   268,   269,    -1,    -1,  4036,    -1,    -1,    -1,
      -1,    -1,  4042,    -1,   157,    -1,    -1,    -1,   284,    -1,
      -1,  4051,    -1,    -1,    -1,    -1,   400,    -1,    -1,  4059,
      -1,   174,    -1,  4063,    -1,    -1,    -1,   180,   307,    -1,
     309,    -1,    -1,   309,    -1,  1224,   312,    -1,  4078,    -1,
     319,  4081,   195,    -1,    -1,  1234,    -1,    -1,   327,   325,
      -1,    -1,   328,    -1,    -1,    -1,    -1,   336,    -1,    -1,
     213,  4101,  4102,    -1,    -1,    -1,    -1,  1256,    -1,    -1,
      -1,   224,    -1,    -1,    -1,    -1,   229,    -1,    -1,    -1,
      -1,    -1,   235,    -1,  1009,  4125,    -1,    -1,   367,    -1,
      -1,    -1,   371,    -1,  4134,    -1,    -1,   250,    -1,    -1,
    1289,    -1,    -1,    -1,    -1,    -1,  4146,    -1,    -1,    -1,
     494,   495,   496,   497,   498,   499,  1041,   396,    -1,    -1,
      -1,    -1,   275,  3399,   400,  4165,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1059,    -1,    -1,    -1,    -1,  4179,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1081,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4205,    -1,  1356,    -1,    -1,
      -1,    -1,   325,  4213,    -1,   454,    -1,    -1,    -1,    -1,
      -1,    -1,  4222,  4223,  4224,  4225,  4226,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     353,    -1,    -1,    -1,    -1,    -1,  4246,    85,    -1,    -1,
      88,    -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,    -1,   378,  1415,    -1,   504,    -1,
      -1,   384,    -1,  4273,  4274,   113,    -1,   390,    -1,    -1,
     393,   119,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,  1443,    -1,    -1,    -1,    -1,    -1,
      -1,  4301,    -1,  4303,    -1,   143,   419,    -1,   421,    -1,
      -1,    -1,   425,    -1,    -1,   113,    -1,    -1,    -1,  4319,
     433,   119,    -1,  1472,    -1,   438,    -1,    -1,    -1,    -1,
      -1,  4331,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,
    4340,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
     463,  1500,  1501,    -1,  1503,    -1,    -1,  4357,  4358,    -1,
      -1,  4361,    -1,    -1,    -1,    -1,    -1,   205,  4368,    -1,
      -1,  1520,  4372,    -1,    -1,    -1,    -1,  4377,    -1,  1264,
    4380,  4381,    -1,  4383,    -1,  4385,  4386,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1284,
    1285,  1286,    -1,    -1,    -1,   243,    -1,   205,    -1,   247,
      -1,    -1,  4412,    -1,  4414,    -1,    -1,    -1,  4418,  4419,
    4420,  4421,  4422,  1572,  1573,    -1,    -1,    -1,    -1,    -1,
     268,   269,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,    -1,   243,   284,    -1,  3684,   247,
      -1,    -1,  1601,  4453,  4454,    -1,  1605,  1606,   105,    -1,
      -1,    -1,    -1,    -1,  3700,    -1,   113,    -1,    -1,    -1,
     268,   269,   119,    -1,   312,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4484,    -1,   284,   325,    -1,    -1,
    4490,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,  4499,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4510,    -1,  4512,    -1,   312,    -1,  1401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3760,  4525,    -1,   325,    -1,    -1,
    4530,    -1,    -1,    -1,  1683,    -1,    -1,    -1,  4538,  4539,
    1689,    -1,    -1,  1428,    -1,    -1,    -1,  1696,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1256,    -1,    -1,    -1,
      -1,    -1,   400,  4563,    -1,    -1,  4566,    -1,  4568,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1728,
      -1,    -1,    -1,    -1,    -1,  4585,    -1,  1736,    -1,  4589,
      -1,    -1,  4592,    -1,    -1,    -1,   243,    -1,  4598,    -1,
     247,    -1,   400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1763,    -1,    -1,    -1,    -1,    -1,
    4620,   268,   269,    -1,  4624,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,    -1,    -1,
      -1,  4641,  4642,  4643,  4644,    -1,    -1,    -1,    -1,    -1,
      -1,  4651,    -1,    -1,    -1,    -1,   494,   495,   496,   497,
     498,   499,   309,    -1,    -1,   312,  1815,    -1,    -1,    -1,
      -1,  4671,  3908,    -1,    -1,    -1,    -1,    -1,   325,    -1,
      -1,   328,    -1,    -1,  1569,  1834,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,   495,   496,   497,
     498,   499,    -1,    -1,  1853,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1415,    -1,    -1,    -1,    -1,
      -1,    -1,  1871,    -1,    -1,    -1,    -1,    -1,    -1,  4729,
      -1,  1616,    -1,    -1,    -1,  4735,    -1,  4737,    85,    -1,
      -1,    88,    -1,    -1,    -1,  1894,  4746,    -1,    -1,    -1,
    1899,    -1,    -1,   400,    -1,    -1,    -1,    -1,   105,    -1,
      -1,    -1,   109,    -1,    -1,    -1,   113,    -1,    -1,    -1,
      -1,    -1,   119,    -1,    -1,    -1,    -1,  4777,    -1,    -1,
      -1,  4781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4791,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,
    4800,    -1,  1951,    -1,    -1,    -1,    -1,    -1,  1957,  4809,
      -1,  1960,  4812,  4813,    -1,  4815,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4825,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4833,    -1,    -1,  4072,    -1,    -1,    -1,
      -1,   188,    -1,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,    -1,    -1,  1740,    -1,   504,    -1,    -1,
      -1,  4861,  1747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4871,    -1,    -1,    -1,    -1,  4876,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1772,  4124,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,  2047,    -1,
     247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1804,
      -1,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,  4929,
      -1,    -1,    -1,  1818,    -1,  2084,  2085,   284,  4938,    -1,
      -1,    -1,    -1,  2092,    -1,    -1,  2095,  1832,    -1,    -1,
    2099,    -1,    -1,    -1,    -1,    -1,    -1,  1256,  2107,  2108,
      -1,    -1,   309,    -1,    -1,   312,  2115,    -1,    -1,  2118,
    2119,  2120,  2121,    -1,    -1,    -1,    -1,    -1,   325,  2128,
    2129,   328,  2131,  1683,  2133,  2134,    -1,    -1,  2137,    -1,
      -1,    -1,    -1,    -1,  4230,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2152,  2153,  2154,    -1,    -1,    -1,  2158,
      -1,    -1,    -1,  2162,    -1,    -1,    -1,  2166,    -1,  2168,
    2169,  2170,  2171,  2172,  2173,  2174,  2175,  2176,    95,  2178,
      -1,    -1,    -1,    -1,   101,  2184,  1736,    -1,  2187,    -1,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    -1,   400,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,  1763,   105,    88,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,   141,    -1,    -1,    -1,   119,    -1,
      -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
    2249,    -1,   143,    -1,   451,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    88,  1415,    -1,    -1,  2004,
     143,    -1,    -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,
     197,    -1,   105,   200,  1834,    -1,    -1,    -1,    -1,    -1,
     113,    -1,    -1,   490,   491,   492,   119,   494,   495,   496,
     497,   498,   499,  1853,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2051,  2052,    -1,    -1,
     143,  1871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   222,    -1,    -1,    -1,   252,   227,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2345,    -1,    -1,  1899,
      -1,    -1,   243,    -1,    -1,    -1,   247,    -1,    -1,    -1,
      -1,    -1,    -1,  4449,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,   247,  2374,    -1,   268,   269,    -1,
      -1,  2380,    -1,    -1,    -1,    -1,    -1,  2386,    -1,    -1,
     307,    -1,   309,   284,    -1,   268,   269,    -1,   221,    -1,
      -1,    -1,   319,    -1,    -1,    -1,    -1,  1957,  1557,    -1,
     327,   284,    -1,    -1,    -1,    -1,    -1,  2416,   309,   336,
     243,   312,    -1,  2422,   247,    -1,    -1,    -1,  2427,  2428,
      -1,    -1,    -1,    -1,   325,    -1,   309,   328,    95,   312,
    2439,    -1,    -1,    -1,   101,   268,   269,    -1,  2183,    -1,
     367,    -1,   325,    -1,   371,   328,  2455,    -1,    -1,  2458,
      -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2208,   347,    -1,    -1,    -1,    -1,   396,
      -1,    -1,    -1,    -1,   141,    -1,   309,    -1,    -1,   312,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   325,    -1,    -1,   328,    -1,    -1,    -1,   400,
    2245,    -1,  2247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   345,    -1,    -1,    -1,    -1,   400,    -1,    -1,
      -1,    -1,    -1,   190,  1683,    -1,    -1,   454,    -1,    -1,
     197,   414,    -1,   200,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   208,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   216,    -1,   218,    -1,    -1,    -1,    -1,    -1,  2568,
      -1,  2570,    -1,    -1,    -1,    -1,    -1,   400,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1736,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,   490,
     491,   492,  2152,   494,   495,   496,   497,   498,   499,    -1,
      -1,    -1,    -1,    -1,  1763,    -1,    -1,   490,   491,   492,
    4706,   494,   495,   496,   497,   498,   499,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2187,    -1,    -1,
      -1,  2640,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     307,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   319,    -1,    -1,    -1,    -1,   490,   491,   492,
     327,   494,   495,   496,   497,   498,   499,    -1,    -1,   336,
      -1,    -1,    -1,    -1,    -1,  1834,    -1,    -1,    -1,  2688,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1853,    -1,    -1,    -1,    -1,    -1,
     367,    -1,    -1,    85,   371,    -1,    88,  2452,    -1,    -1,
      -1,    -1,  1871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,    -1,    -1,   108,    -1,    -1,   396,
    2739,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,
    1899,    -1,    -1,    -1,  2753,    -1,    -1,    -1,    -1,  2758,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,    -1,    -1,  2774,  2775,    -1,    -1,    -1,
      -1,  2780,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2805,  2806,  1957,    -1,
      -1,  2810,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,
      -1,    -1,    -1,  2822,  2823,  2824,  2825,    -1,    -1,    -1,
      -1,  2830,    -1,    -1,    -1,   105,  2835,  2836,    -1,  2838,
      -1,  2840,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,
      -1,  2850,  2851,    -1,    -1,  2854,    -1,    -1,    -1,    -1,
      -1,  2596,    -1,    -1,    -1,    -1,    -1,    -1,  2867,    -1,
    2869,   243,  2422,   143,  2873,   247,    -1,  2427,  2428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2439,
    2889,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,
      -1,  2900,    -1,  2902,  2903,  2904,    -1,    -1,    -1,    -1,
      -1,    -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2926,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,  2938,
     312,    -1,    -1,    -1,  2943,    -1,    -1,    -1,    -1,    -1,
      -1,  2950,    -1,   325,    -1,    -1,   328,  2956,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,   269,
      -1,    -1,    -1,  2152,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,    -1,    -1,  3016,    -1,    -1,
    2570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
    3039,    -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,   328,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3079,  3080,    -1,  3082,    -1,    -1,    -1,    -1,    -1,    -1,
    2640,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3111,  3112,  3113,    -1,    -1,    -1,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,    -1,    -1,
     400,    -1,    -1,    -1,    -1,  3134,    85,  3136,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,  2893,   108,
      -1,    -1,    -1,    -1,   113,    -1,   105,    -1,    -1,   824,
     119,    -1,    -1,    -1,   113,    -1,    -1,   832,    -1,    -1,
     119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2739,
    3189,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,   863,    -1,
      -1,    -1,  2947,    -1,  3213,    -1,    -1,    -1,    -1,    -1,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
      -1,    -1,    -1,    -1,    -1,    -1,  3235,    -1,    -1,    -1,
      -1,  3240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3252,  3253,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   926,    -1,  2422,    -1,    -1,    -1,    -1,  2427,  2428,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   227,    -1,
    2439,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3316,    -1,   268,
     269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,
     269,  3330,    -1,    -1,    -1,   284,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3343,   284,    -1,    -1,    -1,    -1,
      -1,    -1,  2902,  2903,  2904,    -1,    -1,    -1,    -1,    -1,
     309,    -1,    -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,
     309,    -1,    -1,   312,  3373,    -1,   325,    -1,    -1,   328,
      -1,  1036,    -1,    -1,    -1,    -1,   325,  1042,    -1,   328,
      -1,  1046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3408,
      -1,    -1,  3411,    -1,    -1,    -1,  1071,    -1,    -1,  3418,
      -1,  2570,    -1,    -1,    -1,  3424,    -1,  3426,    -1,    -1,
      -1,    -1,  3431,  3432,    -1,    -1,  3435,  3436,  3437,  3438,
    3439,  3440,  3441,  3442,  3443,  3444,    -1,    -1,    -1,  3448,
    3449,   400,    -1,    -1,    -1,    -1,    -1,  3456,    -1,    -1,
      -1,   400,  3461,    -1,    -1,    -1,  3465,    -1,  3467,    -1,
    3469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3479,    -1,    -1,  3482,    -1,  3484,    -1,    -1,    -1,  3039,
      -1,  2640,    -1,  3492,  3493,  3494,  3495,    -1,    -1,    -1,
    3499,    -1,    -1,  3502,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3522,    -1,    -1,    -1,    -1,    -1,  3079,
    3080,  3530,  3082,  3532,    -1,    -1,    -1,  3272,    -1,    -1,
      -1,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,    -1,  3297,    -1,    -1,    -1,    -1,    -1,    -1,  1224,
    3305,    -1,    -1,    -1,  3309,    -1,    -1,  3576,    -1,  1234,
      -1,    -1,    -1,  3582,  3134,    -1,  3136,    -1,  3323,  3588,
    2739,    -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1256,    -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3613,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1289,    -1,    -1,    -1,   144,  3189,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,
      -1,   157,    -1,    -1,    -1,    -1,    -1,  3392,    -1,    -1,
      -1,    -1,    -1,  3213,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,    -1,    -1,
    3679,    -1,    -1,    -1,  3683,  3684,  3685,    -1,    -1,   195,
    3240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1356,    -1,  3253,    -1,    -1,    -1,   213,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,
      -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,   235,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,   250,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,
    1415,    -1,    -1,    -1,    -1,   113,  3316,    -1,    -1,    -1,
      -1,   119,    -1,    -1,  3509,  3510,  3511,    -1,    -1,    -1,
    3330,    -1,   288,    -1,    -1,    -1,    -1,    -1,  1443,    -1,
      -1,    -1,    -1,  3343,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,
    3809,    88,    -1,    -1,    -1,    -1,    -1,  1472,    -1,   325,
      -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,   108,    -1,    -1,    -1,  3834,   113,    -1,    -1,    -1,
      -1,    -1,   119,    -1,    -1,  1500,  1501,    -1,  1503,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3411,    -1,    -1,    -1,  1520,   143,  3866,  3867,  3868,
      -1,    -1,   378,    -1,    -1,    -1,    -1,    -1,   384,    -1,
      -1,  3431,    -1,    -1,   390,    -1,    -1,   393,    -1,    -1,
    3039,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,
      -1,    -1,    -1,    -1,    -1,    -1,  3456,    -1,    -1,    -1,
      -1,    -1,    -1,   419,    -1,   421,   422,  1572,   424,   425,
     268,   269,    -1,    -1,    -1,    -1,    -1,   433,  3927,    -1,
    3079,  3080,   438,  3082,    -1,    -1,   284,    -1,   444,    -1,
      -1,   447,  3492,    -1,   450,    -1,  1601,    -1,    -1,    -1,
    1605,  1606,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,
      -1,   309,    -1,    -1,   312,  3964,   243,    -1,    -1,    -1,
     247,    -1,    -1,    -1,    -1,  3974,  3975,   325,  3977,    -1,
     328,    -1,  3532,  3982,  3983,  3134,    -1,  3136,  3987,  3988,
      -1,   268,   269,    -1,  3993,  3994,    -1,    -1,  3997,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,    -1,    -1,
      -1,    -1,    -1,  4012,    -1,    -1,    -1,  4016,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4025,    -1,  1683,    -1,
      -1,  4030,   309,    -1,    -1,   312,    -1,    -1,    -1,    -1,
    3189,  1696,    -1,  4042,    -1,    -1,    -1,    -1,   325,    -1,
      -1,   328,   400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3796,    -1,    -1,  3213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1728,    -1,    -1,    -1,    -1,   426,    -1,
    3815,  1736,  4081,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4099,    -1,  3837,    -1,  3253,    -1,    -1,    -1,  1763,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4118,
      -1,    -1,    -1,   400,    -1,    -1,    -1,    -1,  4127,    -1,
      -1,    -1,    -1,    -1,  3684,    -1,    -1,    -1,    -1,    -1,
    4139,    -1,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1815,    -1,    -1,    -1,    -1,    -1,    -1,  3316,    -1,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,  1834,
      -1,  3330,    -1,    -1,  4183,    -1,    -1,    -1,    -1,   105,
      -1,    -1,   108,    -1,  3343,    -1,    -1,   113,  1853,    -1,
      -1,    -1,    -1,   119,  4203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   490,   491,   492,  1871,   494,   495,   496,
     497,   498,   499,    -1,    -1,    -1,    -1,   143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1899,    -1,    -1,  4246,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3411,    -1,  3999,  4000,  4001,  4002,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3431,    -1,  3834,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1951,    -1,    -1,  4298,
      -1,    -1,  1957,    -1,    -1,  1960,    -1,  3456,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3866,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,   247,  4331,    -1,    -1,    -1,  4335,    -1,    -1,    -1,
      -1,  4340,    -1,  3492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   268,   269,    -1,    -1,    -1,    -1,  4357,  4358,
      -1,    -1,  4361,    -1,    -1,    -1,    -1,    -1,   284,    -1,
      -1,    -1,    -1,  4372,    -1,    -1,    -1,    -1,  4377,    -1,
      -1,  4380,    -1,    -1,    -1,    -1,  4385,  4386,    -1,    -1,
      -1,    -1,  2047,   309,    -1,    -1,   312,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,
      -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,  4418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3977,    -1,  2084,
    2085,    -1,    -1,    -1,    -1,    -1,    -1,  2092,  3988,    -1,
    2095,    -1,    -1,    -1,  2099,    -1,    -1,    -1,    -1,    -1,
    4449,    -1,  2107,  2108,  4453,    -1,    -1,    -1,    -1,    -1,
    2115,    -1,    -1,  2118,  2119,  2120,  2121,    -1,    85,    -1,
      -1,    88,    -1,  2128,  2129,  4025,  2131,    -1,  2133,  2134,
    4030,    -1,  2137,    -1,   400,    -1,    -1,    -1,   105,    -1,
      -1,  4490,  4042,    -1,    -1,    -1,   113,  2152,  2153,    -1,
      -1,    -1,   119,  2158,    -1,    -1,    -1,  2162,    -1,    -1,
      -1,  2166,    -1,  2168,  2169,  2170,  2171,  2172,  2173,  2174,
    2175,  2176,    -1,  2178,    -1,    -1,   143,    -1,    -1,  2184,
      -1,    -1,  2187,    -1,    -1,  3684,    -1,    -1,    -1,    -1,
    4539,    -1,  4541,    -1,    -1,    -1,   160,    -1,    -1,  4099,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4563,  4564,  4301,  4566,    -1,  4568,
      -1,    -1,    -1,    -1,   490,   491,   492,  4127,   494,   495,
     496,   497,   498,   499,    -1,    -1,  4585,    -1,    -1,  4139,
    4589,    -1,   206,    -1,  2249,  4594,    -1,    -1,    -1,    -1,
      -1,   160,    -1,    -1,   218,    -1,    -1,    -1,   222,    -1,
      -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,   232,    -1,
      -1,   235,    -1,   237,    -1,    -1,   243,    -1,    -1,    -1,
     247,  4630,    -1,  4183,  4633,    -1,    -1,    -1,  4637,  4638,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,
     264,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,   218,
      -1,    -1,    -1,   222,    -1,    -1,    -1,   284,   227,    -1,
      -1,   285,  4671,   232,    -1,    -1,   235,    -1,   237,    -1,
      -1,    -1,    -1,    -1,    -1,  3834,    -1,    -1,    -1,    -1,
      -1,    -1,   309,    -1,    -1,   312,    -1,    -1,    -1,    -1,
    4699,    -1,    -1,    -1,    -1,   264,    -1,   321,   325,    -1,
      -1,   328,    -1,    -1,    -1,   329,    -1,  3866,    -1,  2374,
      -1,    -1,    -1,    -1,    -1,  2380,   285,    -1,    -1,    -1,
    4729,  2386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   160,    -1,  4746,  4298,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     374,  2416,   321,    -1,  4499,    -1,    -1,  2422,    -1,    -1,
     329,    -1,  2427,  2428,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4781,   400,  2439,  4335,    -1,    -1,    -1,    -1,
      -1,   206,  4791,    -1,    -1,  4530,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   218,    -1,   419,    -1,   222,    -1,    -1,
      -1,    -1,   227,  4812,  4813,   374,    -1,   232,    -1,    -1,
     235,    -1,   237,    -1,    -1,    -1,  4825,    -1,  3977,   443,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3988,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   264,
      -1,    -1,   466,    -1,   468,   469,    -1,    -1,    -1,    -1,
     419,    -1,  4861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     285,    -1,  4871,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,    -1,   443,    -1,    -1,   501,  4887,  4624,
     504,   505,    -1,   507,    -1,    -1,    -1,    -1,    -1,  4449,
      -1,    -1,    -1,    -1,    -1,    -1,   321,   466,    -1,   468,
     469,    -1,    -1,  2568,   329,  2570,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4929,    -1,    -1,    -1,    -1,  4934,    -1,    -1,    -1,  4938,
      -1,    -1,   501,  4942,    -1,   504,   505,    -1,   507,    -1,
    4099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   374,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4127,    -1,
      -1,    -1,    -1,    -1,    -1,  2640,    -1,    -1,    -1,    -1,
    4139,  4541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   419,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4564,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   443,    -1,
      -1,    -1,    -1,  2688,  4183,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4594,    -1,    -1,    -1,    -1,    -1,
      -1,   466,    -1,   468,   469,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    96,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   106,    -1,    -1,    -1,
      -1,    -1,    -1,  4633,  2739,    -1,   501,  4637,  4638,   504,
     505,    -1,   507,    -1,    -1,    -1,    -1,    -1,  2753,    -1,
      -1,    -1,    -1,  2758,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,  2774,
    2775,    -1,    -1,    -1,   154,  2780,    -1,   157,    -1,    -1,
      -1,    -1,    -1,   163,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4699,
    2805,  2806,    -1,    -1,    -1,  2810,    -1,   187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2822,  2823,  2824,
    2825,    -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,
    2835,    -1,    -1,  2838,    -1,  2840,  4335,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2850,  2851,    -1,    -1,  2854,
      -1,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,
      -1,    -1,  2867,    -1,  2869,    -1,    -1,    -1,  2873,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2889,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2900,    -1,  2902,  2903,  2904,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,     9,    -1,
      -1,  2926,    13,    -1,    15,    -1,    17,    18,    -1,    -1,
      -1,    -1,    -1,  2938,    -1,    -1,    -1,    28,  2943,    -1,
      -1,    -1,    -1,    -1,    -1,  2950,    -1,    -1,    -1,    -1,
    4449,  2956,    -1,    -1,    45,    46,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     101,  3016,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,
      -1,   411,    -1,    -1,  3039,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4541,    -1,    -1,    -1,    -1,   138,    -1,   140,
     141,    -1,    -1,    -1,    -1,   146,    -1,   148,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4564,    -1,   158,    -1,   160,
      -1,    -1,    -1,    -1,  3079,  3080,    -1,  3082,    -1,    -1,
      -1,    -1,    -1,   174,    -1,   176,    -1,    -1,   179,    -1,
      -1,    -1,    -1,    -1,    -1,  4594,    -1,    -1,    -1,    -1,
     191,    -1,   193,    -1,    -1,    -1,   197,    -1,    -1,    -1,
      -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,   210,
      -1,   212,    -1,    -1,    -1,    -1,    -1,   218,    -1,  3134,
      -1,  3136,    -1,    -1,  4633,    -1,    -1,    -1,  4637,  4638,
      -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3189,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   286,   287,    -1,    -1,    -1,
      -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,  3213,   300,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3240,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3253,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   348,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   359,    -1,
      -1,    -1,    -1,   364,    -1,   366,    -1,    -1,    -1,    -1,
     371,    -1,    -1,    -1,    -1,   376,    -1,    -1,   379,    -1,
      -1,    -1,   383,    -1,    -1,    -1,    -1,   388,   389,    -1,
      -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,   399,    -1,
      -1,  3316,    -1,    -1,   694,   695,   407,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3330,    -1,    -1,   419,    -1,
      -1,   711,    -1,    -1,    -1,    -1,    -1,    -1,  3343,    -1,
      -1,    -1,    -1,    -1,    -1,   436,    -1,   438,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   446,    -1,    -1,    -1,    -1,
      -1,   452,    -1,    -1,    -1,    -1,   457,    -1,  3373,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3408,    -1,    -1,  3411,    -1,    -1,    -1,
      -1,    -1,   503,  3418,    -1,    -1,   507,    -1,    -1,  3424,
      -1,  3426,    -1,    -1,    -1,    -1,  3431,  3432,    -1,    -1,
    3435,  3436,  3437,  3438,  3439,  3440,  3441,  3442,  3443,  3444,
      -1,    -1,    -1,  3448,  3449,    -1,    -1,    -1,    -1,    -1,
     830,  3456,    -1,    -1,    -1,    -1,  3461,    -1,    -1,   839,
    3465,   841,    -1,   843,  3469,   845,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3479,    -1,    -1,  3482,    -1,  3484,
      -1,    -1,    -1,    -1,   864,    -1,    -1,  3492,  3493,  3494,
    3495,   871,    -1,    -1,  3499,    -1,    -1,  3502,    -1,    -1,
     880,   881,    -1,    -1,    -1,   885,    -1,  3512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3522,    -1,    -1,
      -1,   901,    -1,   903,    -1,  3530,    -1,  3532,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   918,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   932,    -1,    -1,   935,    -1,   937,    -1,   939,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3576,   952,   953,    -1,    -1,    -1,  3582,    -1,    -1,
      -1,    -1,    -1,  3588,    -1,    -1,    -1,   967,    -1,   969,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   979,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3613,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   998,   999,
      -1,    -1,    -1,    -1,    -1,  1005,    -1,  1007,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1038,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3684,
      -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,
      -1,    -1,    -1,  1073,    -1,    -1,    35,    36,    -1,    -1,
      -1,    -1,    41,    -1,    43,    44,    -1,    -1,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1144,    -1,  1146,    -1,    -1,    -1,
    1150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3809,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3834,
      -1,    -1,  1212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1239,
      -1,  3866,  3867,  3868,    -1,   204,  1246,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1258,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3927,   262,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,  3964,
     299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3974,
    3975,    -1,  3977,    -1,    -1,   314,    -1,  3982,  3983,    -1,
      -1,    -1,  3987,  3988,    -1,    -1,    -1,    -1,  3993,  3994,
      -1,  1371,  3997,  1373,    -1,    -1,  1376,    -1,  1378,    -1,
      -1,  1381,  1382,  1383,    -1,    -1,    -1,  4012,     5,    -1,
      -1,  4016,    -1,    -1,  1394,    -1,    -1,    -1,    -1,    -1,
    4025,    -1,    -1,    -1,    -1,  4030,    -1,  1407,    25,  1409,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4042,    35,    36,
      -1,    -1,    -1,    -1,    -1,    -1,    43,    44,   387,    -1,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,  4081,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    86,
     429,    -1,    -1,    -1,  4099,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,
      -1,    -1,  4127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4139,    -1,    -1,   134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   484,    -1,    -1,    -1,    -1,
      -1,   490,    -1,    -1,    -1,   494,   495,   496,   497,   498,
      -1,    -1,   501,   502,   503,   504,    -1,   506,   507,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,  4183,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,  1591,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4246,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   262,    -1,    -1,  1648,    -1,
      -1,  1651,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1659,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4298,    -1,    -1,    -1,  1677,    -1,   296,
      -1,    -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4331,    -1,    -1,    -1,
    4335,    -1,    -1,    -1,  1714,  4340,    -1,    -1,    -1,    -1,
      -1,    -1,    89,    -1,    -1,    -1,    -1,    94,    -1,    96,
      -1,    -1,  4357,  4358,    -1,    -1,  4361,    -1,    -1,   106,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4372,    -1,    -1,
      -1,    -1,  4377,    -1,    -1,  4380,    -1,    -1,    -1,    -1,
    4385,  4386,    -1,    -1,    -1,   132,    -1,    -1,    -1,    -1,
     387,    -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   153,   154,    -1,    -1,
     157,    -1,    -1,  4418,    -1,    -1,   163,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     187,    -1,    -1,    -1,  4449,    -1,   443,    -1,  4453,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,
      -1,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4490,    -1,   484,    -1,    -1,
      -1,    -1,    -1,   490,    -1,    -1,    -1,   494,   495,   496,
     497,   498,    -1,    -1,   501,   502,   503,    -1,    -1,    -1,
      -1,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4539,  1915,  4541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4563,  4564,
      -1,  4566,    -1,  4568,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1959,
    4585,    -1,    -1,  1963,  4589,    -1,    -1,    -1,    -1,  4594,
      -1,    -1,    -1,    -1,  1974,    -1,  1976,    -1,  1978,    -1,
      -1,    -1,    -1,  1983,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4633,    -1,
      -1,    -1,  4637,  4638,    -1,    -1,  2016,    -1,  2018,    -1,
      -1,    -1,  2022,    -1,  2024,    -1,    -1,  2027,    -1,    -1,
      -1,  2031,  2032,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   411,    -1,  4671,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4699,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4729,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4746,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4781,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4791,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4812,  4813,    -1,
    2190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4861,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4871,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   824,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   832,    -1,    -1,    -1,   643,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   863,  4929,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4938,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2325,    -1,   694,   695,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2342,  2343,   711,    -1,    -1,  2347,  2348,    -1,
      -1,  2351,    -1,    -1,    -1,    -1,    -1,   917,    -1,    -1,
      -1,  2361,    -1,    -1,    -1,    -1,   926,    -1,  2368,    -1,
      -1,    -1,  2372,  2373,    -1,    -1,  2376,  2377,  2378,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2388,    -1,
    2390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2406,    -1,    -1,    -1,
      -1,  2411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2442,  2443,  2444,  2445,    -1,    -1,    -1,  2449,
    2450,    -1,    -1,    -1,    -1,    -1,    -1,  2457,    -1,    -1,
    2460,    -1,    -1,    -1,  2464,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1036,    -1,    -1,  2479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2490,    -1,  2492,    -1,    -1,    -1,    -1,  2497,    -1,    -1,
      -1,    -1,  2502,  2503,  2504,  2505,    -1,  2507,    -1,    -1,
      -1,  1071,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2520,  2521,  2522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2531,  2532,   900,   901,    -1,   903,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   949,    -1,    -1,   952,   953,  2587,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   965,    -1,
     967,    -1,   969,    -1,    -1,    -1,    -1,    -1,   975,    -1,
      -1,    -1,   979,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   998,   999,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1224,    -1,    -1,    -1,    -1,    -1,
      -1,  1038,    -1,  1040,  1234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1256,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2704,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1289,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2745,    -1,    -1,    -1,    -1,
    1117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1131,  1132,    -1,    -1,  1135,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1356,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1180,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1415,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   825,
     826,    -1,    -1,   829,   830,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1443,    -1,    -1,    -1,    -1,    -1,    -1,
     846,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     866,    -1,  1472,    -1,   870,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1500,  1501,    -1,  1503,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2996,  2997,    -1,  1366,
      -1,    -1,    -1,    -1,  1371,    -1,  1373,    -1,    -1,  1376,
      -1,  1378,  1572,    -1,  1381,  1382,  1383,    -1,    -1,    -1,
    1387,    -1,    -1,    -1,    -1,    -1,    -1,  1394,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1407,  1601,  1409,    -1,    -1,  1605,  1606,  1414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3056,  3057,    -1,    -1,
      -1,  3061,    -1,    -1,    -1,    -1,  3066,  3067,  3068,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3102,  3103,  3104,  3105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1683,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3138,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1531,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1540,  1541,    -1,  1736,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1557,    -1,    -1,    -1,    -1,  1562,  1563,    -1,    -1,    -1,
    3200,    -1,    -1,  1763,    -1,    -1,    -1,    -1,  3208,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1182,  1183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3267,    -1,    -1,
      -1,    -1,    -1,    -1,  1834,    -1,  1643,  3277,  1645,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1655,    -1,
      -1,    -1,    -1,  1853,  1250,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3304,    -1,  3306,    -1,    -1,    -1,
      -1,  1871,    -1,    -1,  1270,  1271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1899,
      -1,  3341,    -1,    -1,  3344,    -1,    -1,    -1,    -1,    -1,
      -1,  1718,    -1,    -1,    -1,    -1,    -1,    -1,  3358,  1726,
      -1,    -1,    -1,    -1,    -1,    -1,  1322,  1323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1951,    -1,    -1,    -1,    -1,    -1,  1957,    -1,    -1,
    1960,    -1,    -1,    -1,    -1,    -1,  1773,    -1,    -1,  1776,
    1777,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1839,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2047,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2084,  2085,    -1,    -1,    -1,    -1,
      -1,    -1,  2092,    -1,    -1,  2095,    -1,    -1,    -1,  2099,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2107,  2108,    -1,
      -1,    -1,    -1,    -1,    -1,  2115,    -1,    -1,  2118,  2119,
    2120,  2121,    -1,    -1,    -1,    -1,    -1,    -1,  2128,  2129,
      -1,  2131,    -1,  2133,  2134,    -1,    -1,  2137,    -1,    -1,
    1415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2152,  2153,    -1,    -1,    -1,    -1,  2158,    -1,
      -1,    -1,  2162,    -1,    -1,    -1,  2166,    -1,  2168,  2169,
    2170,  2171,  2172,  2173,  2174,  2175,  2176,    -1,  2178,    -1,
    3620,    -1,  3622,    -1,  2184,    -1,  3626,  2187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3641,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2016,
      -1,  2018,    -1,    -1,    -1,  2022,    -1,  2024,  3658,    -1,
    2027,    -1,    -1,    -1,  2031,    -1,    -1,  3667,    -1,  2036,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3707,  3708,  3709,
    3710,  3711,  3712,  3713,    -1,    -1,    -1,    -1,  3718,  3719,
      -1,  3721,  3722,  3723,  3724,  3725,  3726,  3727,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3736,    -1,  3738,  3739,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1750,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3803,  3804,  3805,    -1,    -1,  3808,    -1,
      -1,    -1,    -1,    -1,  2374,    -1,  2183,    -1,    -1,    -1,
    2380,    -1,    -1,  2190,    -1,    -1,  2386,    -1,    -1,    -1,
      -1,    -1,  2199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1800,  1801,  1802,  1803,  1683,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2422,    -1,    -1,    -1,    -1,  2427,  2428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2439,
      -1,    -1,    -1,  3883,  1840,  1841,    -1,    -1,    -1,    -1,
    1846,    -1,    -1,    -1,    -1,  2262,    -1,    -1,    -1,    -1,
      -1,  1736,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1763,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1893,    -1,    -1,
      -1,  1036,    -1,  2310,    -1,    -1,    -1,  2314,    -1,    -1,
      -1,    -1,    -1,  2320,    -1,  2322,    -1,    -1,  2325,    -1,
      -1,  1917,  1918,  1919,  1920,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1071,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1834,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2568,    -1,
    2570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1853,  1975,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1984,    -1,
      -1,    -1,    -1,    -1,    -1,  1991,  1871,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1899,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2640,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4110,  4111,  4112,  4113,    -1,    -1,  2483,    -1,    -1,    -1,
      -1,    -1,  1957,    -1,  2491,    -1,  2493,    -1,  2688,    -1,
      -1,    -1,    -1,    -1,    -1,  4135,  4136,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4147,  4148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2739,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2753,    -1,    -1,    -1,    -1,  2758,    -1,
      -1,  2157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2774,  2775,    -1,    -1,    -1,    -1,
    2780,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2805,  2806,    -1,    -1,    -1,
    2810,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2822,  2823,  2824,  2825,  4266,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2835,    -1,    -1,  2838,    -1,
    2840,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4289,
    2850,  2851,    -1,    -1,  2854,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2867,    -1,  2869,
      -1,  4311,    -1,  2873,    -1,    -1,    -1,  2152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2889,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2704,  2705,    -1,
    2900,    -1,  2902,  2903,  2904,    -1,    -1,    -1,  1443,    -1,
      -1,    -1,    -1,    -1,  2721,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2926,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1472,  2938,    -1,
      -1,    -1,    -1,  2943,    -1,    -1,    -1,    -1,    -1,    -1,
    2950,    -1,    -1,    -1,    -1,    -1,  2956,    -1,    -1,    -1,
      -1,    -1,    -1,  4403,    -1,  1500,  1501,    -1,  1503,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1520,  2382,  2383,  2384,    -1,
      -1,    -1,    -1,  2389,    -1,  2391,    -1,  2393,  2394,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3016,    -1,    -1,    -1,
      -1,    -1,    -1,  4463,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1572,    -1,  3039,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1601,    -1,    -1,  4509,
    1605,  1606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3079,
    3080,    -1,  3082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2489,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4547,    -1,    -1,
    2917,    -1,    -1,    -1,    -1,  2922,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3134,    -1,  3136,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1516,    -1,  2422,    -1,  2545,
      -1,    -1,  2427,  2428,    -1,    -1,    -1,  2553,  2554,  2555,
    2556,  2557,  2558,    -1,  2439,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4628,  3189,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3213,    -1,    -1,  1587,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2633,    -1,    -1,
    3240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3253,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4703,    -1,    -1,    -1,  2663,    -1,  2665,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2570,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3316,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3330,    -1,    -1,    -1,    -1,  4775,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3343,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2640,    -1,    -1,    -1,    -1,
      -1,    -1,  2768,  3373,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3408,    -1,
      -1,  3411,    -1,    -1,    -1,    -1,    -1,    -1,  3418,    -1,
      -1,    -1,    -1,    -1,  3424,    -1,  3426,    -1,    -1,    -1,
      -1,  3431,  3432,  3240,    -1,  3435,  3436,  3437,  3438,  3439,
    3440,  3441,  3442,  3443,  3444,    -1,  3253,    -1,  3448,  3449,
      -1,    -1,    -1,    -1,    -1,    -1,  3456,    -1,    -1,    -1,
      -1,  3461,    -1,    -1,  2739,  3465,    -1,    -1,    -1,  3469,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3479,
      -1,    -1,  3482,    -1,  3484,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3492,  3493,  3494,  3495,    -1,    -1,    -1,  3499,
      -1,    -1,  3502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3530,    -1,  3532,    -1,  3341,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2092,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1256,    -1,    -1,    -1,    -1,  3576,    -1,    -1,    -1,
    2115,    -1,  3582,  2118,    -1,    -1,  2121,    -1,  3588,    -1,
      -1,    -1,  3399,  2128,  2129,    -1,    -1,    -1,    -1,  2134,
      -1,    -1,  2137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3613,    -1,    -1,    -1,    -1,  2153,    -1,
      -1,    -1,    -1,  2158,    -1,    -1,    -1,  2162,  1999,    -1,
      -1,  2166,    -1,  2168,  2169,  2170,  2171,  2172,  2173,  2174,
    2175,  2176,    -1,  2178,    -1,    -1,    -1,    -1,  3044,  2184,
    3046,  3047,  2187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3684,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2249,    -1,    -1,    -1,    -1,  2090,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2114,    -1,    -1,    -1,    -1,  2119,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3039,    -1,    -1,    -1,  2139,  2140,
      -1,  2142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3593,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3079,  3080,    -1,  3082,    -1,  3809,
      -1,  2182,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1415,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3834,    -1,    -1,    -1,    -1,  2374,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3134,
      -1,  3136,    -1,    -1,    -1,  2236,  3866,  3867,  3868,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3684,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2258,    -1,    -1,
      -1,    -1,    -1,  3700,    -1,    -1,    -1,  2268,    -1,    -1,
    2271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3189,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3927,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3760,    -1,    -1,    -1,  3353,    -1,    -1,
    3356,    -1,    -1,    -1,  3964,  3240,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3974,  3975,    -1,  3977,  3253,    -1,
      -1,    -1,  3982,  3983,    -1,    -1,    -1,  3987,  3988,    -1,
      -1,    -1,    -1,  3993,  3994,    -1,    -1,  3997,  1683,    -1,
      -1,    -1,    -1,    -1,  3400,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4012,    -1,    -1,    -1,  4016,    -1,    -1,    -1,
    1256,    -1,    -1,    -1,    -1,  4025,    -1,    -1,    -1,    -1,
    4030,    -1,    -1,  2568,    -1,  1256,    -1,    -1,    -1,    -1,
      -1,  3316,  4042,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1736,    -1,    -1,    -1,  3330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3343,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1763,    -1,
      -1,  4081,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1683,    -1,    -1,    -1,    -1,    -1,    -1,  4099,
      -1,  3908,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4127,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3411,    -1,    -1,  4139,
      -1,    -1,    -1,    -1,    -1,  1736,    -1,    -1,    -1,  1834,
      -1,    -1,    -1,  2688,    -1,    -1,  3431,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1853,    -1,
      -1,    -1,  1763,    -1,    -1,    -1,    -1,    -1,    -1,  1415,
      -1,  3456,    -1,  4183,    -1,    -1,  1871,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1415,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1899,    -1,    -1,  3492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3631,  3632,  3633,  3634,  4046,
    2775,    -1,    -1,  1834,    -1,  2780,  4246,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1853,    -1,    -1,  4072,    -1,    -1,    -1,    -1,
      -1,    -1,  1957,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1871,    -1,    -1,    -1,    -1,    -1,    -1,  2822,    -1,  2824,
    2825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4298,    -1,
    2835,    -1,    -1,  2838,    -1,  2840,    -1,    -1,  1899,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4124,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4331,  2867,    -1,  2869,  4335,    -1,    -1,  2873,    -1,
    4340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4357,  4358,    -1,
      -1,  4361,    -1,    -1,    -1,    -1,  1957,  2902,  2903,  2904,
      -1,    -1,  4372,    -1,    -1,    -1,    -1,  4377,    -1,    -1,
    4380,    -1,    -1,    -1,    -1,  4385,  4386,    -1,    -1,    -1,
      -1,  2926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2938,    -1,    -1,    -1,  2778,  2943,  3684,
      -1,  3807,    -1,    -1,    -1,  2950,    -1,    -1,  4418,    -1,
      -1,    -1,    -1,  4230,    -1,    -1,    -1,    -1,    -1,    -1,
    2801,    -1,  2803,    -1,  2805,  2806,  2807,    -1,    -1,  2810,
      -1,    -1,    -1,  2814,    -1,    -1,    -1,  1683,    -1,  4449,
    2821,    -1,    -1,  4453,    -1,  2826,    -1,    -1,    -1,    -1,
      -1,  2832,  1683,    -1,    -1,    -1,  2837,  2152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2846,    -1,    -1,    -1,  2850,
    2851,  3016,  2853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4490,    -1,    -1,    -1,  2865,    -1,    -1,    -1,    -1,    -1,
    1736,  2872,    -1,  2874,  2875,  2876,  2877,  2878,  2879,  2880,
    2881,  2882,  2883,    -1,    -1,  1736,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1763,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2908,    -1,  4539,
      -1,  4541,  1763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3834,
      -1,  2152,    -1,  4563,  4564,    -1,  4566,    -1,  4568,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4585,    -1,    -1,    -1,  4589,
      -1,  3866,    -1,    -1,  4594,    -1,  4403,    -1,  1834,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1834,    -1,    -1,    -1,  1853,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1853,  4633,    -1,  1871,    -1,  4637,  4638,    -1,
      -1,    -1,  4449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3031,    -1,    -1,  1899,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4671,    -1,    -1,    -1,    -1,    -1,    -1,  1899,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4699,
      -1,    -1,  3977,    -1,    -1,    -1,    -1,    -1,    -1,  1415,
      -1,    -1,    -1,  3988,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1957,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4729,
      -1,    -1,    -1,    -1,    -1,    -1,  1957,  2422,    -1,    -1,
      -1,    -1,  2427,  2428,    -1,    -1,  4746,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2439,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4165,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4781,    -1,  4179,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4812,  4813,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4099,  4825,    -1,    -1,    -1,    -1,
      -1,  2422,    -1,    -1,    -1,    -1,  2427,  2428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2439,    -1,
      -1,    -1,  4127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4861,    -1,    -1,  4139,    -1,    -1,    -1,    -1,    -1,
    3241,  4871,    -1,  3408,    -1,    -1,    -1,  4273,    -1,    -1,
      -1,    -1,    -1,  3418,    -1,  2570,    -1,    -1,    -1,  3424,
      -1,  3426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4706,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4183,    -1,
      -1,    -1,    -1,  3448,  3449,    -1,  2152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4929,
      -1,  2152,    -1,    -1,  3469,    -1,    -1,    -1,  4938,    -1,
      -1,    -1,    -1,    -1,  3479,    -1,    -1,  3482,    -1,  3484,
      -1,    -1,    -1,    -1,    -1,  2640,    -1,    -1,  3493,    -1,
      -1,    -1,    -1,    -1,  3499,    -1,    -1,  3502,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1683,    -1,  2570,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3522,    -1,    -1,
      -1,  3362,    -1,    -1,    -1,  3530,    -1,  3532,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4420,  4421,  4422,    -1,    -1,    -1,
    1736,    -1,    -1,    -1,    -1,    -1,  3407,    -1,    -1,    -1,
      -1,  3576,  3413,    -1,    -1,    -1,    -1,  3582,    -1,  2640,
      -1,    -1,    -1,  3588,  2739,    -1,    -1,  1763,  3429,  3430,
    4335,  3432,    -1,    -1,  3435,  3436,  3437,  3438,  3439,  3440,
    3441,  3442,  3443,  3444,  3445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3470,
      -1,    -1,  3473,    -1,  3475,    -1,    -1,    -1,    -1,  3480,
    3481,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3494,  3495,  3496,    -1,  3498,  1834,    -1,
    3501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4538,    -1,    -1,    -1,    -1,  1853,  2739,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1871,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4449,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2422,  3558,    -1,    -1,
      -1,  2427,  2428,  1899,    -1,    -1,    -1,    -1,  3569,    -1,
      -1,  2422,    -1,  2439,    -1,    -1,  2427,  2428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2439,    -1,
      -1,    -1,    -1,    -1,  4620,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3610,
      -1,    -1,    -1,    -1,    -1,    -1,  4642,    -1,  4644,    -1,
      -1,  1957,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4564,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4594,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3867,  3868,  2570,    -1,    -1,    -1,    -1,  4735,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2570,
      -1,    -1,    -1,    -1,  3039,    -1,    -1,    -1,  4633,    -1,
      -1,    -1,  4637,  4638,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4777,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3927,    -1,  3079,  3080,    -1,  3082,    -1,    -1,
      -1,    -1,    -1,    -1,  2640,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2640,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4833,  3809,  3974,
    3975,    -1,    -1,    -1,    -1,    -1,  2152,    -1,  3039,  3134,
      -1,  3136,  3987,    -1,    -1,    -1,    -1,    -1,  3993,  3994,
      -1,    -1,  3997,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4876,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3079,  3080,
    4025,  3082,    -1,    -1,    -1,  4030,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2739,  3189,    -1,    -1,  4042,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2739,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3134,    -1,  3136,  4081,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3240,    -1,  3928,    -1,    -1,
      -1,  3932,  3933,  3934,    -1,    -1,  3937,    -1,  3253,    -1,
      -1,  3942,  3943,  3944,  3945,  3946,  3947,  3948,  3949,  3950,
    3951,  3952,  3953,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3189,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3981,  3982,  3983,  3984,    -1,  3986,    -1,    -1,    -1,  3990,
    3991,  3992,  3213,    -1,  3995,    -1,    -1,  3998,    -1,    -1,
      -1,  3316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3330,    -1,    -1,    -1,  3240,
      -1,    -1,    -1,    -1,    -1,    -1,  4027,    -1,  3343,    -1,
      -1,    -1,  3253,    -1,    -1,    -1,    -1,    -1,  4039,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4056,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4246,    -1,    -1,    -1,    -1,  2422,    -1,    -1,    -1,
      -1,  2427,  2428,    -1,    -1,  3316,  3411,    -1,    -1,    -1,
      -1,    -1,    -1,  2439,    -1,    -1,    -1,    -1,    -1,  3330,
      -1,    -1,    -1,    -1,    -1,    -1,  3431,    -1,    -1,    -1,
      -1,    -1,  3343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3456,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3039,    -1,    -1,    -1,  3492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3039,    -1,
    3411,    -1,    -1,    -1,    -1,    -1,  4361,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3431,    -1,    -1,  3079,  3080,    -1,  3082,    -1,    -1,    -1,
      -1,  4386,    -1,    -1,    -1,    -1,    -1,    -1,  3079,  3080,
      -1,  3082,    -1,    -1,  2570,  3456,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4249,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3134,    -1,
    3136,  3492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3134,    -1,  3136,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4295,  4296,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2640,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3189,    -1,    -1,  4327,    -1,    -1,    -1,
    4331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3189,    -1,
      -1,    -1,    -1,    -1,  4345,    -1,  4347,  3213,    -1,    -1,
      -1,  4352,  4353,  4354,    -1,    -1,  4357,  4358,  4359,  4360,
      -1,  4362,  3213,    -1,    -1,    -1,    -1,    -1,    -1,  3684,
      -1,    -1,    -1,    -1,  3240,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3253,    -1,  3240,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4566,  3253,  2739,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4416,    -1,    -1,    -1,    -1,
    4585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3684,  3330,  3316,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3343,    -1,  3330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4502,    -1,    -1,    -1,    -1,  4671,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3834,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3411,    -1,    -1,    -1,    -1,
      -1,  3866,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3411,  4562,  4563,    -1,    -1,  3431,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4578,  4579,  4580,
    3431,  4746,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3456,    -1,    -1,    -1,    -1,    -1,  4597,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3456,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3834,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3492,    -1,    -1,    -1,  3866,    -1,  4812,  4813,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3977,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3988,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4861,    -1,    -1,    -1,
      -1,    -1,    -1,  3039,    -1,    -1,  4871,    -1,  4709,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4719,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3079,  3080,    -1,  3082,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3977,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4929,    -1,    -1,  3988,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4780,
      -1,    -1,    -1,    -1,  4099,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3134,    -1,
    3136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4127,    -1,    -1,    -1,    -1,    -1,  3684,    -1,
      -1,    -1,    -1,  4824,  4139,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3684,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3189,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4864,    -1,    -1,    -1,    -1,  4183,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3213,  4099,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3240,    -1,  4127,  4908,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3253,  4139,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4183,    -1,    -1,    -1,    -1,    -1,  3834,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3316,    -1,    -1,  3834,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3330,    -1,     5,    -1,    -1,    -1,
    3866,    -1,    -1,    -1,    -1,    -1,    -1,  3343,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3866,    25,    -1,    -1,    -1,
    4335,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,
      -1,    -1,    -1,    -1,    43,    44,    -1,    -1,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,  3411,    -1,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3431,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3977,    -1,    -1,  4335,     5,    -1,    -1,    -1,    -1,
    3456,    -1,  3988,    -1,    -1,   134,  3977,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4449,    25,    -1,  3988,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,
      -1,    -1,    -1,    43,    44,    -1,  3492,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,   204,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4541,    -1,  4449,    -1,
      -1,   240,    -1,  4099,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,  4099,  4564,
      -1,    -1,    -1,   262,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4139,    -1,    -1,  4127,    -1,    -1,  4594,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,  4139,    -1,
     299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   314,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,  4183,  4633,    -1,
    4541,    -1,  4637,  4638,    -1,    -1,    -1,    -1,    -1,    -1,
     220,    -1,  4183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4564,    -1,    -1,    -1,    -1,  3684,    -1,
     240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   262,  4594,    -1,    -1,    -1,    -1,   387,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,   299,
      -1,    -1,  4633,    -1,    -1,    -1,  4637,  4638,    -1,    -1,
     429,    -1,    -1,    -1,   314,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4335,
      -1,    -1,    -1,    -1,    -1,   484,    -1,    -1,    -1,    -1,
      -1,   490,    -1,    -1,  4335,   494,   495,   496,   497,   498,
      -1,    -1,   501,   502,   503,   504,    -1,   387,  3834,   508,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3866,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   429,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4449,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,    -1,    -1,    -1,  4449,    -1,
     490,    -1,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,    -1,    -1,    -1,   508,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3977,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4541,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4564,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4564,    -1,    -1,    -1,    -1,    -1,    -1,
       6,     7,     8,    -1,    10,    11,    12,    -1,  4594,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,  4594,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,  4099,    50,    51,    -1,  4633,    -1,    -1,
      56,  4637,  4638,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,  4633,    69,    -1,    71,  4637,  4638,    -1,    -1,
      -1,  4127,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4139,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4183,    -1,   135,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,
      -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,    -1,   215,
      -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,
     226,    -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,   257,    -1,    -1,    -1,    -1,    -1,   263,    -1,   265,
      -1,    -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   281,   282,    -1,   284,  4335,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,   304,   305,
      -1,    -1,   308,    -1,    -1,    -1,   312,    -1,    -1,   315,
      -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,   331,   332,   333,   334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
     346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   377,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   397,    -1,  4449,   400,    -1,   402,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,   432,    -1,   434,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   458,    -1,    -1,   461,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4541,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   510,    -1,    -1,    -1,  4564,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,  4594,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,  4633,    -1,    -1,
      -1,  4637,  4638,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     3,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,   509,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   101,    -1,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,   115,
      -1,    -1,   118,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,   138,    -1,   140,   141,   142,    -1,   144,    -1,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   158,    -1,   160,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,
     176,   177,   178,   179,    -1,    -1,    -1,    -1,    -1,   185,
      -1,    -1,    -1,    -1,    -1,   191,    -1,   193,    -1,    -1,
      -1,   197,    -1,    -1,    -1,    -1,    -1,   203,   204,    -1,
      -1,    -1,    -1,    -1,   210,   211,   212,    -1,    -1,   215,
      -1,    -1,   218,    -1,   220,    -1,    -1,    -1,    -1,    -1,
     226,    -1,   228,    -1,    -1,    -1,   232,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,   257,    -1,    -1,   260,    -1,    -1,   263,    -1,   265,
      -1,    -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   281,   282,    -1,   284,    -1,
     286,   287,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   300,    -1,    -1,   303,   304,   305,
      -1,    -1,   308,    -1,    -1,   311,   312,    -1,    -1,   315,
      -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,   331,   332,   333,   334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
     346,    -1,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   358,   359,    -1,    -1,    -1,    -1,   364,    -1,
     366,    -1,    -1,    -1,    -1,   371,    -1,    -1,    -1,    -1,
     376,   377,    -1,   379,   380,    -1,    -1,   383,    -1,    -1,
      -1,    -1,   388,   389,    -1,    -1,    -1,    -1,    -1,    -1,
     396,   397,    -1,   399,   400,    -1,   402,    -1,    -1,    -1,
      -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,
      -1,    -1,    -1,   419,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,   432,    -1,   434,    -1,
     436,    -1,   438,    -1,    -1,    -1,    -1,   443,    -1,    -1,
     446,    -1,    -1,   449,    -1,    -1,   452,    -1,    -1,    -1,
      -1,   457,   458,    -1,    -1,   461,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   469,    -1,    -1,    -1,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,   503,    26,    27,
      -1,   507,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,
      -1,    -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,
     268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   281,   282,    -1,   284,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   303,   304,   305,    -1,    -1,
     308,    -1,    -1,    -1,   312,    -1,    -1,   315,    -1,   317,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,   331,   332,   333,   334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,
      -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   397,
      -1,    -1,   400,    -1,   402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,    -1,    -1,    -1,   432,    -1,   434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     458,    -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,
      44,    -1,   510,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   240,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   296,    -1,    -1,   299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   429,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   443,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     484,    -1,    -1,    -1,    -1,    -1,   490,    -1,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
      -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
     450,    -1,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,   496,    -1,    -1,    -1,
      -1,    -1,    -1,   503,   504,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
     450,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   503,   504,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,    -1,    -1,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,    -1,   345,    -1,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,    -1,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,   458,   459,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,   485,   486,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   504,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
      -1,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,   283,
     284,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
      -1,    -1,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
      -1,   345,    -1,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,    -1,   433,
      -1,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,   458,   459,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     484,   485,   486,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     504,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,   450,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,   450,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
     450,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,
      -1,   501,   502,   503,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,   450,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,   496,    -1,    -1,    -1,    -1,
      -1,    -1,   503,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,    -1,   444,   445,   446,   447,   448,   449,   450,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
      -1,   444,   445,   446,   447,   448,   449,   450,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,   450,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,   449,   450,    -1,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,   450,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,   450,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,   450,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,   450,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
     450,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   503,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,   450,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,   450,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,    -1,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
      -1,   444,   445,   446,   447,   448,   449,   450,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    -1,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,   450,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   503,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,   450,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   503,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,    -1,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
      -1,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,   450,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
      -1,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,   450,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,   324,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,   450,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   503,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,    -1,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,   324,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,   450,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   503,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,   450,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   503,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,    -1,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   503,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   504,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   504,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     494,   495,   496,    -1,    -1,    -1,    -1,    -1,    -1,   503,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,   502,   503,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   503,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   503,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   503,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   503,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   503,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   503,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   503,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   503,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,   433,    -1,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,    -1,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   484,   485,   486,    -1,    -1,    -1,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,    -1,    -1,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,    -1,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,    -1,    -1,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     5,
       6,     7,     8,     9,    10,    11,    12,    13,   496,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,    -1,    -1,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,    -1,   345,
      -1,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,    -1,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,
     486,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
     496,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,   496,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,   496,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,     4,
     490,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,    -1,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,    -1,   310,   311,   312,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
     311,   312,   313,    -1,    -1,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,    -1,   345,    -1,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,    -1,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,   458,   459,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   484,   485,   486,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
      -1,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,    -1,   345,    -1,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,    -1,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   484,   485,   486,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,    -1,   310,   311,   312,   313,    -1,    -1,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,    -1,   345,    -1,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,    -1,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,    -1,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,   312,   313,    -1,
      -1,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,    -1,
     345,    -1,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,    -1,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,
     485,   486,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,    -1,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,    -1,   310,   311,   312,
     313,    -1,    -1,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,    -1,   345,    -1,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,    -1,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   484,   485,   486,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
     311,   312,   313,    -1,    -1,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,    -1,   345,    -1,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,    -1,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   484,   485,   486,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
      -1,   310,   311,   312,   313,    -1,    -1,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,    -1,   345,    -1,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,    -1,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,    -1,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   484,   485,   486,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,    -1,   121,    -1,    -1,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,    -1,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
      -1,    -1,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,    -1,   219,    -1,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,    -1,   259,   260,   261,    -1,    -1,    -1,    -1,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,    -1,   306,
     307,    -1,    -1,   310,   311,   312,   313,    -1,    -1,   316,
      -1,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,    -1,   345,    -1,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
      -1,   398,   399,   400,   401,    -1,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
      -1,    -1,    -1,    -1,   431,    -1,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,    -1,    -1,   145,   146,   147,   148,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,   160,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,   232,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,   160,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,   232,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
     163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,   160,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,   160,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,   450,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
     450,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,   450,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
     324,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,   324,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,   324,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    74,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,   235,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,    -1,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,   211,
      -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,   220,    -1,
      -1,    -1,    -1,    -1,   226,    -1,   228,    -1,    -1,    -1,
      -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   256,   257,    -1,    -1,    -1,    -1,
      -1,   263,    -1,   265,    -1,    -1,   268,   269,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   281,
     282,    -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   303,   304,   305,    -1,    -1,   308,    -1,    -1,    -1,
     312,    -1,    -1,   315,    -1,   317,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,   331,
     332,   333,   334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,    -1,   346,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   377,    -1,    -1,   380,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   397,    -1,    -1,   400,    -1,
     402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   415,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,
     432,    -1,   434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,   461,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
     144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,
      -1,   215,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,
      -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,   263,
      -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   281,   282,    -1,
     284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,
     304,   305,    -1,    -1,   308,    -1,    -1,    -1,   312,    -1,
      -1,   315,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   330,   331,   332,   333,
     334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     344,    -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   377,    -1,    -1,   380,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   397,    -1,    -1,   400,    -1,   402,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,   428,    -1,    -1,    -1,   432,    -1,
     434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   443,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   458,    -1,    -1,   461,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,
      -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,    -1,   215,
      -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,
     226,    -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,   257,    -1,    -1,    -1,    -1,    -1,   263,    -1,   265,
      -1,    -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   281,   282,    -1,   284,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,   304,   305,
      -1,    -1,   308,    -1,    -1,    -1,   312,    -1,    -1,   315,
      -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,   331,   332,   333,   334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
     346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   377,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   397,    -1,    -1,   400,    -1,   402,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,   432,    -1,   434,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   458,    -1,    -1,   461,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,
      -1,    -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,
     268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   281,   282,    -1,   284,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   303,   304,   305,    -1,    -1,
     308,    -1,    -1,    -1,   312,    -1,    -1,   315,    -1,   317,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,   331,   332,   333,   334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,
      -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   397,
      -1,    -1,   400,    -1,   402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,    -1,    -1,    -1,   432,    -1,   434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     458,    -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   211,    -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,
     220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,    -1,
      -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,    -1,
      -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,   269,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   281,   282,    -1,   284,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   303,   304,   305,    -1,    -1,   308,    -1,
      -1,    -1,   312,    -1,    -1,   315,    -1,   317,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     330,   331,   332,   333,   334,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   344,    -1,   346,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,    -1,
     380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   397,    -1,    -1,
     400,    -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,
      -1,    -1,   432,    -1,   434,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,
      -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   512,  1048,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   220,   240,
     262,   296,   299,   314,   387,   429,   443,   458,   484,   490,
     494,   495,   496,   497,   498,   501,   502,   503,   504,   506,
     507,   508,   509,   510,  1041,  1049,  1077,  1079,  1170,  1180,
    1181,  1183,  1189,  1190,  1078,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   144,   146,   148,   150,   158,
     160,   161,   167,   174,   176,   177,   178,   179,   191,   193,
     197,   203,   204,   210,   211,   212,   215,   218,   220,   226,
     228,   232,   234,   243,   256,   257,   263,   265,   268,   269,
     271,   281,   282,   284,   286,   287,   292,   300,   303,   304,
     305,   308,   311,   312,   315,   317,   330,   331,   332,   333,
     334,   344,   346,   348,   358,   359,   364,   366,   371,   376,
     377,   379,   380,   383,   388,   389,   396,   397,   399,   400,
     402,   407,   415,   419,   427,   428,   432,   434,   436,   438,
     443,   446,   452,   457,   458,   461,   469,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   503,   513,   514,   520,
     521,   523,   524,   525,   526,   527,   528,   529,   531,   532,
     536,   547,   550,   551,   554,   555,   556,   567,   570,   571,
     586,   625,   626,   633,   639,   641,   643,   644,   647,   650,
     651,   655,   656,   665,   669,   670,   671,   675,   676,   678,
     679,   680,   693,   694,   695,   696,   707,   708,   715,   716,
     719,   720,   721,   722,   723,   728,   730,   733,   737,   741,
     742,   752,   753,   756,   761,   772,   791,   794,   795,   796,
     799,   802,   804,   806,   809,   812,   813,   814,   821,   822,
     824,   825,   826,   831,   833,   834,   838,   839,   842,   843,
     844,   846,   847,   848,   849,   851,   854,   855,   860,   866,
     869,   871,   876,   878,   882,   889,   893,   894,   895,   896,
     897,   898,   901,   928,  1045,  1046,  1050,  1052,  1053,  1070,
    1071,  1072,  1073,  1084,  1086,  1090,  1091,  1092,  1093,  1094,
    1096,  1098,  1100,  1101,  1102,  1103,  1105,  1110,  1111,  1115,
    1116,  1125,  1127,  1128,  1129,  1132,  1137,  1140,  1145,  1147,
    1148,  1151,  1153,  1156,  1165,  1183,  1191,    73,  1073,  1081,
    1082,    14,     9,    13,    15,    28,    45,    46,    50,    51,
      56,    65,    67,    69,    70,    72,    91,    92,    93,    94,
      95,    96,    97,    98,   100,   101,   102,   110,   111,   113,
     114,   116,   117,   118,   125,   126,   127,   128,   129,   132,
     133,   134,   136,   138,   139,   140,   141,   146,   147,   148,
     149,   151,   152,   154,   155,   156,   157,   158,   159,   162,
     171,   172,   173,   174,   175,   176,   179,   181,   183,   184,
     185,   186,   187,   189,   190,   191,   194,   195,   196,   197,
     198,   200,   201,   202,   204,   205,   207,   208,   209,   210,
     212,   213,   214,   217,   219,   221,   223,   225,   229,   230,
     231,   233,   236,   238,   239,   240,   241,   242,   244,   245,
     246,   248,   249,   250,   251,   252,   253,   255,   259,   260,
     261,   267,   270,   272,   273,   274,   275,   276,   277,   278,
     280,   283,   286,   287,   288,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   306,   307,   310,
     311,   313,   316,   318,   319,   320,   322,   325,   326,   327,
     335,   336,   337,   338,   339,   340,   341,   343,   345,   347,
     348,   349,   351,   352,   353,   354,   355,   356,   357,   359,
     360,   361,   362,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   375,   376,   378,   379,   381,   382,   383,
     384,   385,   386,   387,   388,   390,   391,   392,   393,   394,
     396,   398,   399,   401,   403,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   417,   418,   420,   421,   422,
     423,   424,   425,   429,   431,   433,   436,   437,   438,   439,
     440,   441,   442,   445,   446,   447,   448,   449,   452,   453,
     454,   455,   456,   457,   460,   462,   463,   464,   467,   470,
     471,   472,   473,   474,   484,   485,   486,  1042,  1044,  1045,
    1063,  1064,  1155,  1156,  1157,  1161,  1166,  1167,  1168,  1175,
    1177,  1181,  1183,    29,   258,  1126,    99,   163,   180,  1034,
    1065,  1112,  1113,  1161,  1177,    99,   890,  1033,  1065,  1161,
    1174,    14,   890,     5,    25,    29,    35,    36,    43,    44,
      99,   103,   104,   105,   106,   107,   108,   109,   112,   124,
     130,   131,   134,   137,   143,   145,   152,   153,   160,   163,
     164,   165,   166,   168,   169,   170,   180,   182,   188,   192,
     193,   199,   203,   206,   216,   218,   222,   224,   227,   232,
     235,   237,   247,   254,   258,   262,   264,   266,   279,   285,
     289,   290,   309,   314,   321,   323,   324,   328,   329,   342,
     350,   363,   374,   389,   395,   404,   416,   419,   426,   429,
     430,   435,   443,   444,   450,   451,   457,   459,   465,   466,
     468,   469,  1044,  1047,  1157,  1158,  1159,  1163,  1164,  1165,
    1166,  1168,    25,    35,   134,   262,  1152,    38,    40,   309,
    1085,   431,   471,   827,    98,   144,   157,   174,   180,   195,
     213,   224,   229,   235,   250,   275,   325,   353,   378,   384,
     390,   393,   419,   421,   425,   433,   438,   450,   463,   640,
    1113,   179,   827,    99,   890,   461,   856,   323,   349,   827,
     121,   577,   894,    98,   110,   131,   144,   153,   174,   180,
     195,   213,   224,   231,   235,   288,   325,   328,   378,   384,
     393,   421,   422,   424,   425,   433,   438,   444,   447,   450,
     587,   711,   762,   773,  1034,  1054,  1055,  1056,  1065,  1181,
    1183,    14,    99,   348,  1033,  1065,  1069,   408,   890,    99,
     343,   422,   424,   274,   800,   801,  1181,    98,   110,   131,
     144,   157,   174,   195,   213,   224,   229,   235,   250,   325,
     335,   378,   382,   384,   390,   393,   419,   421,   425,   433,
     438,   450,   463,   640,   724,   827,   509,  1095,  1159,   244,
    1069,   160,   179,   210,   461,   503,   855,   861,   869,   871,
     876,   882,   889,   893,  1050,    92,    99,   116,   219,   225,
     227,   247,   276,   306,   351,   365,   494,   495,   738,   739,
     890,  1041,  1043,  1175,  1177,    99,   160,   363,   389,   743,
     744,   745,  1161,  1161,  1038,  1181,   419,   904,   116,   225,
     738,  1161,   431,  1069,   335,   174,   250,   418,   419,   807,
     383,  1161,    99,   134,   394,   427,   431,   457,   539,  1044,
    1045,  1155,  1160,  1166,  1168,  1183,    96,   232,   743,   744,
     349,   827,  1161,   273,    99,   192,   906,     4,    14,   132,
     152,   154,   288,   302,   378,   384,   394,   427,   431,   474,
     537,   538,   539,    99,   394,   427,   431,   539,   431,   324,
     937,  1031,  1161,   904,  1149,  1159,   496,  1161,   228,   503,
     857,   503,  1027,   361,   899,   900,  1033,   894,   895,   898,
     507,   856,   206,   264,   329,   443,   907,   908,   894,   896,
     897,   185,   260,   449,   506,   118,   513,  1093,  1096,  1092,
    1088,   507,  1097,  1099,     5,    25,    35,   134,   196,   262,
    1104,   175,   240,   296,   299,   387,   484,   503,   968,   969,
    1076,  1080,  1170,    73,  1073,  1033,  1065,  1184,   180,  1054,
      21,   451,   497,  1069,  1069,  1184,   451,  1117,  1118,  1119,
      25,   262,   262,  1163,     7,    19,    20,    39,    42,   156,
     193,  1154,  1154,    16,  1093,  1039,  1046,  1155,  1158,  1161,
    1162,  1166,  1167,  1183,   726,  1161,   726,  1034,   352,   726,
     726,  1033,  1161,   173,   419,   751,  1039,  1042,   242,  1031,
     318,    85,   139,   217,   490,   491,   492,   494,   495,   496,
     497,   498,   499,   798,   994,   995,  1161,  1042,  1033,   242,
    1031,  1033,   242,   937,  1033,   386,  1033,   726,   293,  1042,
     242,  1031,   274,    34,   182,   270,   309,   357,   828,   829,
     830,  1031,  1037,  1161,    98,   131,   144,   145,   153,   157,
     174,   195,   213,   224,   229,   250,   275,   325,   378,   382,
     384,   390,   393,   419,   421,   425,   433,   438,   463,   640,
     731,  1181,  1031,   429,  1039,  1033,   503,   726,   433,  1034,
     726,   242,  1033,   173,   419,   422,   424,  1042,   422,   424,
     139,   217,   798,   369,  1042,   533,  1161,  1033,  1033,   386,
    1033,   726,   293,  1042,   390,   419,   463,   157,   250,   229,
     382,   437,   634,    85,  1057,  1058,   508,  1177,  1184,    99,
    1069,  1183,   891,   546,  1161,  1181,   801,   242,  1039,  1033,
     242,   805,   242,  1034,   173,   419,   242,  1039,   242,  1032,
    1033,   150,   139,   217,   242,   798,   125,   242,  1032,   242,
    1033,   242,  1033,   242,  1033,   386,   242,  1033,   242,   293,
    1032,   274,   242,   725,   726,   503,   509,  1185,  1186,  1187,
    1188,  1190,  1095,    71,  1065,  1114,   503,   870,   587,   890,
     861,   457,   461,   855,   862,   863,   864,  1161,   856,  1043,
     739,   740,    99,   739,   890,  1043,   740,    99,   739,   890,
    1043,   740,   740,   740,  1043,  1041,  1041,   266,   451,  1119,
    1120,  1194,  1195,   890,   740,   352,   503,   503,   606,   606,
     606,   323,   429,   506,   606,   937,   938,   739,   890,   739,
     890,   506,   823,  1181,   227,   503,   867,   125,  1033,  1033,
    1031,  1161,   115,   486,   270,   505,   326,   326,   323,   227,
    1181,   429,   222,   734,   323,    83,    84,    85,    87,   107,
     120,   122,   123,   130,   131,   134,   135,   142,   144,   164,
     165,   166,   167,   168,   169,   170,   177,   178,   196,   211,
     215,   216,   220,   234,   262,   263,   265,   281,   289,   290,
     303,   305,   309,   314,   315,   317,   325,   334,   344,   358,
     380,   395,   402,   415,   427,   428,   432,   434,   435,   444,
     450,   458,   476,   477,   478,   479,   480,   481,   482,   483,
     494,   495,   496,   503,   894,   949,   952,   955,   956,   957,
     959,   960,   961,   962,   965,   966,   970,   972,   973,   992,
     996,  1015,  1020,  1028,  1029,  1039,  1040,  1041,  1161,  1173,
    1175,  1177,  1178,  1179,  1180,  1181,   429,   490,  1184,  1181,
     429,   490,  1113,    99,   552,  1030,  1031,   394,   537,   180,
     545,  1181,   546,  1181,   115,   136,   537,   486,   403,   829,
     326,   227,   429,   490,   115,   486,   270,  1194,   830,   503,
    1031,   496,   501,   505,  1021,  1022,   938,  1165,   226,   228,
     461,   852,   853,   855,   226,   858,   180,   970,  1025,  1026,
     899,   506,   503,   859,   504,   504,  1031,    99,   192,   905,
     905,   125,   905,   218,   222,   285,   321,   911,   913,   914,
     923,   925,   926,   907,   908,   227,   266,   937,   939,  1027,
     507,  1087,   496,  1106,  1107,  1109,   509,   509,    25,   262,
     262,   429,   429,   429,   429,   503,   429,   495,   631,  1043,
    1074,  1180,   203,   108,  1061,   125,  1064,  1064,   266,  1119,
    1121,   266,  1119,  1120,  1121,   456,  1130,  1131,  1177,    14,
      37,    84,   494,   495,  1041,  1122,  1123,  1124,  1173,  1175,
    1179,  1180,  1181,  1182,   262,   268,  1033,   429,  1033,     6,
    1033,  1154,  1109,   503,   701,  1022,   336,   367,   396,   505,
     727,   336,   367,   396,   336,   367,   396,   469,   515,   547,
     548,   757,    95,   197,   336,   367,   396,   454,   559,   396,
      95,   197,   449,   530,   472,   242,   937,   127,   159,   214,
     245,   280,   309,   336,   367,   375,   381,   388,   396,   405,
     413,   464,   547,   549,   785,   792,   503,   774,   367,   530,
     211,    95,   101,   141,   190,   197,   200,   252,   307,   309,
     319,   327,   336,   367,   371,   396,   454,   557,   558,   659,
     631,   726,   726,   503,   797,   505,   247,   367,   515,   522,
     336,   367,   211,   126,   172,   249,   295,   297,   307,   335,
     367,   372,   396,   407,   557,   628,   629,   336,   367,   462,
     659,   667,   211,   367,   396,   557,   336,   367,   371,   396,
     151,   189,   337,   423,   323,    95,   101,   197,   336,   367,
     396,   568,   569,   222,   367,   396,   515,   548,   211,   367,
     396,   557,  1033,   507,   283,   182,   324,   473,   506,   828,
     451,   850,   323,  1039,   503,  1033,   173,   419,  1039,   318,
     139,   217,   798,  1033,   386,  1033,   274,   726,   606,   410,
     411,   573,  1181,   503,   701,   702,   137,   120,   122,   123,
     134,   135,   177,   178,   220,   263,   265,   303,   305,   317,
     358,   397,   402,   427,   428,   458,   946,   948,   950,   952,
     954,   956,   957,   958,   960,   961,   965,   966,  1155,  1162,
    1166,  1167,  1183,   227,   503,   697,  1033,   515,   108,   845,
     309,   515,   472,   242,  1031,   515,   726,   726,   697,   587,
     515,   115,   534,   438,   666,   336,   642,   151,   189,   337,
     423,    97,   117,   261,   681,   108,   697,   222,   515,  1031,
     242,   623,  1031,  1031,   726,   150,   763,  1039,  1033,   640,
      74,  1059,  1161,   508,  1060,  1057,   121,   171,   259,   307,
     385,   211,   701,   128,   373,   560,   211,   503,   211,   472,
     211,   774,   211,   506,   242,   725,   242,   726,   242,   726,
     211,   797,  1032,   211,   211,   323,   211,   560,   211,   151,
     189,   337,   423,   211,   323,   211,   222,   242,   242,   546,
     211,   506,   560,   504,  1186,  1187,  1185,   506,   510,   970,
     999,  1118,  1193,  1194,   419,   891,   504,   506,   216,   323,
     435,   543,   546,   631,   865,   861,   740,   890,   740,   890,
    1195,  1196,   740,   890,   740,   890,  1196,   740,   890,   890,
     890,   740,    14,    37,  1169,  1172,  1177,   890,   503,   607,
     608,  1161,   607,    99,   174,   195,   224,   229,   274,   275,
     384,   390,   419,   421,   438,   746,  1030,  1032,   745,   247,
     506,   879,   890,   890,  1181,  1114,   946,  1002,   108,  1032,
     223,   808,   808,   808,   283,  1161,   222,   222,   746,  1032,
     383,  1161,   546,   323,   503,   501,   894,  1003,   460,   963,
     970,  1019,   503,   963,   963,   503,   222,   503,   503,   503,
     951,   951,   346,   894,   503,   503,   953,   503,   503,   503,
     503,   134,   135,   963,   970,   503,   951,   503,   503,   503,
     503,   503,   470,   489,   503,   967,   503,   967,   503,   503,
     894,   503,   503,   503,   503,   503,   503,   503,   503,   970,
     970,   894,   970,   999,  1022,  1181,   135,   503,   964,   503,
    1181,    85,    88,   105,   108,   113,   119,   143,   243,   247,
     268,   269,   284,   309,   312,   325,   328,   400,   490,   491,
     492,   494,   495,   496,   497,   498,   499,   994,   996,   998,
    1183,   333,   970,   266,   506,   902,  1194,   503,  1181,  1022,
      22,  1176,  1177,  1023,   320,   323,  1146,  1146,    10,   456,
    1133,  1134,  1136,  1113,  1113,   183,   244,   553,   506,   136,
     180,   546,   108,   180,   288,   544,   631,   966,  1181,  1183,
    1181,   155,   194,   979,   163,   180,   540,   541,   543,   631,
     180,   540,  1194,  1194,   283,  1031,   970,   496,  1036,  1163,
    1021,   156,   372,   729,   268,   504,   506,   856,   504,   506,
     900,  1032,   108,   859,   896,   896,   909,   910,   970,   896,
     219,   306,   920,   357,   398,   449,    99,   915,   970,   916,
     918,   970,   972,   923,   924,   914,   913,   911,   912,   222,
     926,   911,   923,   939,  1031,   108,  1161,   396,  1106,   496,
     506,   507,  1164,  1083,  1086,  1083,   262,   175,   240,   296,
     969,   296,   969,   969,   299,  1041,   296,   299,   387,  1180,
     506,  1075,   179,  1113,   450,  1062,  1064,  1033,    37,  1041,
    1135,  1177,   506,   490,  1033,    14,  1041,  1180,  1041,  1180,
     506,  1093,   503,  1033,   503,  1165,   496,  1002,   336,   367,
     396,   429,   429,   384,  1036,   505,   429,   429,   384,   429,
     429,   421,   537,   840,   222,   232,   247,   376,   758,   759,
     137,   153,   207,   224,   350,   444,   603,   604,   153,   180,
     309,   429,   153,   429,   180,   309,   384,   153,   384,   648,
      98,   131,   144,   157,   195,   224,   229,   325,   384,   390,
     393,   419,   425,   438,   463,   640,  1033,   211,   367,   396,
     557,   323,   631,   388,   280,   429,   429,   314,   631,   184,
     267,   384,   394,   431,   538,   373,   396,   785,   793,   247,
     257,   330,   397,   459,   504,   775,   778,   779,   780,   782,
     946,  1162,   429,   450,  1031,   145,   207,   594,   603,  1161,
     145,   810,   323,   382,   433,   153,   810,   102,   370,   382,
     433,  1031,   252,   319,   726,   503,   429,   429,   503,   563,
     421,   469,   470,   563,   153,   506,   336,   451,   451,   308,
     946,   336,   396,   798,   174,   429,   517,   548,   429,   429,
    1031,   631,   125,   630,   631,   631,   172,   295,   297,   125,
     429,   515,   384,   515,   307,   629,   429,   429,   314,  1181,
     659,   937,   153,   429,   810,   384,   429,   429,   563,   563,
     726,   726,   726,   726,  1031,   114,   456,   114,   114,   429,
     114,   429,   384,   506,   170,   450,   677,  1042,   429,   517,
    1031,   429,   384,   336,   367,   357,   368,   392,   542,   828,
    1037,  1161,  1031,   701,   946,   323,   472,   774,   631,   726,
     726,   797,   268,   323,   151,   189,   337,   423,   323,   726,
     268,   469,   578,   515,   703,   704,  1183,   697,   503,   948,
     108,   107,   947,   175,   299,   484,   503,   968,   727,   951,
     726,   698,   699,  1163,    97,   835,   946,   211,   645,  1033,
     309,   503,   672,   516,   711,   451,   463,   516,  1042,   160,
     232,   535,   586,   625,   680,   741,   761,   831,  1181,   667,
     668,  1033,   291,   726,   726,   726,   726,   319,   185,   260,
     436,   449,   682,   683,   204,   356,   503,   677,   516,   627,
     628,   309,   108,   319,   503,   606,   606,   222,   764,  1037,
     503,   776,   108,   274,   505,  1041,  1060,   469,   470,   892,
     385,  1039,   560,   946,  1034,   242,  1033,  1039,   560,  1032,
    1033,   211,   560,   211,   451,   211,   451,   798,   560,   560,
    1032,  1033,   726,  1033,  1033,  1033,   726,  1032,   677,   211,
     211,   560,   725,   726,   504,   510,  1188,   504,   506,  1194,
    1118,  1031,   171,   861,   863,   890,   890,  1196,   890,   890,
    1196,   890,   890,  1033,    14,   506,  1176,   607,   504,   506,
     504,   230,   391,   420,  1032,   725,   173,   393,   750,   751,
    1032,   318,  1032,  1030,  1030,  1032,   725,   429,   469,   754,
      93,   209,   380,   398,   880,   937,   313,   881,   504,   506,
     868,   871,   876,   882,   893,   429,   744,   743,   744,   227,
     233,   755,  1161,    98,   145,   174,   195,   224,   229,   275,
     378,   384,   390,   419,   421,   438,   463,   640,   735,   999,
     502,   999,  1003,  1004,   503,   465,  1016,  1017,   970,   999,
     503,  1041,  1041,   999,   175,   240,   296,   299,   387,   484,
    1005,  1006,  1181,  1183,  1041,   999,   999,  1041,  1041,   963,
     963,   970,   798,   970,  1007,   494,   495,   971,   972,   992,
     996,  1009,   504,   999,   970,   999,  1010,   427,   486,  1041,
    1041,   970,   124,   227,   279,   430,   970,   999,  1013,   999,
     301,   972,   970,   977,   978,   979,   301,   970,   979,   504,
     506,   396,  1041,  1041,   968,   946,   970,  1163,   427,   112,
     416,  1024,   726,   970,   503,   894,  1014,   192,   194,   216,
     309,   314,   319,   435,   445,   970,   119,   243,   247,   284,
     400,   503,   970,   429,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,    99,   106,   404,   993,   380,   503,
     992,   231,   288,   419,   422,   424,   447,   903,  1031,  1029,
     227,   929,    99,   192,   459,   496,   504,   780,   970,  1000,
    1001,  1162,  1033,  1177,  1021,  1135,   506,   490,  1031,   431,
     503,  1181,   506,  1194,   504,   502,   508,   241,   241,   560,
    1093,  1031,   853,   854,  1031,  1025,   504,   503,   506,   109,
     188,   451,   770,   503,   917,  1043,   324,   319,   927,   927,
     506,   380,   381,   919,   924,   912,   451,   877,   180,   503,
     872,   893,  1161,   503,   883,   884,   885,   886,   887,  1161,
     507,  1107,   947,   510,  1086,   510,   504,   631,   504,    34,
    1063,  1138,  1139,  1177,  1131,  1136,  1184,  1122,   947,  1171,
    1187,  1171,   947,   504,   504,   429,   429,   384,  1042,  1033,
    1033,  1036,  1042,  1033,  1033,  1042,  1034,  1033,   152,   841,
     378,   450,   743,   384,   232,   743,   503,  1033,   451,   765,
     272,   272,   451,   503,   622,   242,  1033,   314,  1042,  1033,
    1033,   970,   314,  1033,  1033,  1033,   429,   649,  1039,   503,
     726,   726,   726,   173,   419,   751,   139,   217,   798,  1033,
     726,  1033,   726,   386,   726,   726,   274,   236,   307,   336,
     367,   455,   652,   653,   654,   937,   429,   810,   384,   314,
     184,   267,  1042,  1033,   323,  1033,   330,  1162,   504,   506,
     780,   782,   779,   782,  1162,   727,  1042,  1032,   367,   557,
     594,   946,  1161,  1033,  1033,    99,   450,  1033,   242,  1033,
     242,  1161,   382,   433,   382,   433,  1033,    99,   450,  1033,
    1031,    95,   197,   396,   660,   661,   662,   663,  1163,  1042,
    1033,   565,   566,  1163,  1033,   322,   141,   322,  1033,   558,
     429,  1035,  1161,  1035,   506,   504,   506,   429,   384,  1034,
    1042,   152,   202,   252,   341,   442,   450,   453,   518,  1183,
    1042,  1033,   367,   396,   557,   628,   631,   726,  1033,   631,
    1033,   631,  1042,  1033,   367,   396,   557,  1033,  1033,  1033,
    1033,  1042,  1033,    95,   101,   197,   336,   367,   396,   336,
     367,   396,   697,   367,   396,   367,   396,   367,   945,  1161,
    1181,  1161,   242,  1161,  1042,  1033,  1033,  1033,    95,   569,
     393,  1042,   367,   396,   557,  1033,  1033,   429,   429,   149,
     441,   357,   268,   108,   726,   268,   268,   451,   451,   268,
     314,   732,  1181,   726,   726,   726,   726,   726,   726,   268,
     732,   322,   227,   429,   572,   503,   574,   575,   504,   506,
     490,   970,   107,   947,   946,   501,   501,   429,   429,  1041,
     951,   504,   506,   490,   682,   152,   201,   277,   278,   291,
     336,   421,   423,   836,   596,  1033,   227,   384,   462,   646,
     653,   654,   211,   504,   594,   673,   674,   393,    96,   247,
     378,   417,   518,   519,   222,  1035,  1031,   534,   328,   587,
     224,  1181,   697,   697,   697,   697,   319,   323,   328,   503,
     697,   943,   944,   945,   393,   211,   210,  1051,   726,   284,
     588,   590,   592,   594,   600,   603,  1161,   469,   470,   618,
     469,   564,  1181,   323,   504,   777,   778,   783,   108,   274,
     375,   468,   784,   785,   786,   323,   546,  1059,   497,   239,
     239,   222,   701,   108,   211,   560,   774,   725,   726,  1035,
     726,  1035,   797,   323,   560,   560,   323,   560,   393,   222,
     546,   560,   970,   892,  1184,  1172,   504,   608,   247,   247,
     247,   472,  1032,   506,   631,   632,   235,   747,   748,  1042,
      96,   755,   209,   398,   209,   398,   380,   449,   298,   946,
    1033,   227,   323,   747,   125,   560,  1039,   419,  1039,   318,
     274,   726,   504,   502,   502,   506,   999,   970,   199,  1017,
    1018,   108,   504,   970,   504,   504,   504,   504,   227,   504,
     504,   504,   504,   504,   506,   504,   342,  1008,   504,   971,
     971,    88,   247,   268,   325,   490,   491,   492,   494,   495,
     496,   497,   498,   499,   996,   971,   504,   504,   222,   227,
    1011,  1012,   504,   486,   504,   504,   108,  1013,   999,  1013,
    1013,   227,   504,   504,  1163,   340,   981,   108,   504,   506,
     970,  1163,   506,   970,  1023,   970,  1161,   504,   504,   486,
     971,   971,   205,   999,   227,   192,   194,   216,   314,   319,
     435,   445,   503,   205,   416,  1024,   970,  1014,   970,   429,
     798,   970,   503,   894,   422,   424,   422,   424,  1031,   904,
     904,   904,   503,   894,   930,   931,   932,   937,   940,   973,
    1039,  1161,   466,   941,  1000,  1000,  1001,   504,   332,   985,
      90,   504,   506,   908,     8,    11,    12,    22,    23,    24,
      26,    27,    31,    32,    33,   173,   301,   346,   438,  1141,
    1142,  1144,  1134,  1135,   829,  1041,   968,   541,   970,   947,
     859,   868,   910,   325,   994,   997,   487,   488,   771,   970,
     919,  1030,   881,   881,   916,   930,   466,   942,   457,   873,
     874,  1161,   374,   875,   887,   888,   506,   929,   490,  1023,
     508,  1089,   507,   506,   490,    30,  1150,   504,   504,   507,
    1042,  1033,  1033,   285,  1032,  1032,   323,  1032,   326,   323,
     970,   604,  1035,   503,   503,   503,   622,   250,   607,   691,
     211,   560,   429,   546,   701,   946,   472,   726,   726,   726,
     797,   151,   189,   337,   423,  1033,   635,  1033,   236,   455,
     429,   429,   635,   652,   659,   367,   396,   557,  1033,  1033,
    1033,   258,   314,   727,   778,   782,   782,   498,   429,   327,
     657,   197,   371,   396,   559,   659,   811,   211,   560,   211,
     560,  1033,  1033,  1033,  1033,   662,   663,   662,   504,   506,
     664,  1181,   504,   506,   490,   505,  1042,   336,   367,   396,
      95,   197,   336,   367,   396,   946,   308,   946,  1042,  1033,
     285,   341,   314,  1181,   341,  1032,   448,   429,   384,   429,
     810,   384,   429,   429,   293,   293,   293,   429,   429,   384,
     429,   429,   384,   429,   384,   429,   384,   429,   560,   946,
      97,   117,   396,   811,   211,   560,   429,  1033,   429,   384,
    1042,  1033,   732,   946,   268,   732,   732,  1035,  1035,   732,
     268,   268,   268,   268,   268,   268,   732,   573,   581,   582,
    1163,   121,   162,   186,   201,   205,   223,   238,   314,   322,
     355,   576,   704,  1183,   325,   494,   495,   631,   700,   782,
     997,  1047,  1181,   504,   501,   504,  1041,   502,   503,  1041,
    1161,  1181,  1192,   504,   699,   700,   323,   285,   490,   837,
     837,   837,   837,   837,   837,   837,   137,   143,   153,   180,
     182,   254,   309,   314,   350,   363,   444,   597,   598,   599,
     515,   546,  1033,   546,   657,  1031,   504,   506,  1033,  1032,
     235,   378,  1032,  1041,   438,   606,   369,   419,   173,   607,
    1031,   683,   705,   706,  1181,   504,   506,  1033,  1031,  1033,
     893,   503,   589,  1031,   504,   506,   322,   563,   322,   323,
     619,   563,   108,   429,  1031,   504,   506,   180,   490,   787,
    1181,   546,   419,   781,   782,   469,   786,   788,   185,   260,
     389,   449,   819,   236,  1055,   893,  1069,   560,   946,  1033,
     560,   560,   451,   560,   451,   560,   560,   726,   726,  1033,
     677,   560,   222,   384,   384,   384,  1032,   751,   506,  1042,
     469,   506,   749,   326,   209,   209,  1032,   746,   560,  1042,
     701,   774,   631,   726,   268,  1003,   504,   426,   970,   203,
     946,   504,   970,   970,   970,  1011,   946,   971,   192,   194,
     309,   319,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   970,   970,  1012,  1011,   967,   967,   946,   504,
     504,   504,   999,   504,   506,   125,   972,   504,  1163,   978,
     347,   414,   980,   504,   506,   462,   974,   108,   504,   964,
    1181,   970,   105,   105,   970,   504,   970,   227,   503,  1002,
     970,   971,   971,   205,   205,   970,   504,   205,   970,   904,
     904,   904,   904,  1031,  1031,  1031,   894,   931,   932,   108,
     933,  1161,   506,   161,   228,   256,   271,   282,   304,   377,
     934,   933,   108,   933,  1161,   503,  1022,   970,   235,   921,
     506,   907,   908,   907,   504,   985,   503,   986,  1161,   970,
     985,  1181,   459,  1001,   504,   506,   490,   504,   502,  1150,
     504,   503,   771,   504,   324,   163,   970,   875,   504,   506,
    1023,  1028,   504,   506,   884,   942,  1025,  1041,   490,  1108,
    1139,  1144,   837,   230,   391,   420,   439,   760,   222,   760,
     504,   503,   610,   611,   767,   973,  1161,   607,   607,   691,
    1037,   504,   182,   254,   307,   309,   692,  1033,  1033,   108,
    1033,   451,   451,   726,   726,   726,   726,   727,  1042,  1033,
     429,   810,   384,   429,   258,   498,   438,  1033,   503,   596,
     309,   563,   173,   309,   409,   412,   563,   438,  1033,  1161,
     661,   566,   700,  1163,   429,   429,   384,   229,   325,   412,
     709,   710,   229,   325,   717,   718,   429,   429,   384,   504,
     504,   504,  1043,  1181,  1181,  1181,  1033,  1033,  1033,  1033,
    1033,  1033,  1033,   222,   222,   369,   222,   242,  1042,  1033,
    1033,  1042,  1033,  1033,  1033,  1033,  1033,  1033,  1033,   143,
     561,  1181,  1181,   438,  1161,  1033,   659,  1033,  1033,   504,
     732,   268,   268,   732,   732,   732,   732,   732,   732,   451,
     579,   580,   504,   506,   496,   503,   543,   583,   631,   845,
    1181,   845,   309,   355,   845,   845,   691,  1041,   469,   470,
     502,  1192,   494,   495,   496,   497,   498,   502,   968,  1031,
     837,   180,  1041,  1181,   180,  1181,   180,  1181,   180,  1181,
     180,  1033,   180,  1033,   180,  1033,   503,   726,  1033,   971,
     183,   244,   182,   314,   272,  1031,   788,   645,   672,   674,
     657,  1032,  1032,   946,   564,  1031,   472,   222,   684,   504,
     506,   945,   657,   319,   503,   870,   469,   624,   591,   593,
     595,   603,  1161,   618,   601,   253,   617,   592,   148,   421,
     620,   893,  1181,   765,   783,   970,   970,   506,   503,   784,
     697,   429,   635,    85,  1066,   504,   560,  1035,  1035,   560,
     560,   393,  1032,  1032,  1032,   631,   232,   748,   755,   227,
     268,   268,   268,   268,   314,   736,  1181,   970,   504,   504,
    1012,   227,   192,   194,   319,   503,   504,   475,   976,   999,
     362,   125,   467,   467,   504,   970,   307,   970,   506,   975,
     948,   968,   971,   971,   970,  1002,   504,   105,   105,   970,
     970,   205,   970,   504,  1031,  1031,  1031,  1031,   504,  1161,
     503,   931,   271,   331,   935,   931,   935,   271,   934,   935,
     271,   503,  1161,   503,  1000,   125,   237,   922,   504,   504,
     985,   987,  1161,  1001,   985,  1142,   495,  1135,  1143,  1180,
    1181,  1181,   798,   319,   893,   874,  1194,   490,   887,   875,
    1188,  1043,   429,   743,   227,   691,   970,   504,   506,   469,
     143,   768,   768,   504,   504,   788,   183,   244,   252,   182,
     453,   560,   946,  1035,  1035,  1033,  1033,  1033,  1033,   438,
     658,   662,   314,   314,  1043,  1161,   946,   560,   560,   490,
    1042,  1033,  1033,  1041,  1041,   946,   506,  1041,  1041,   506,
    1042,  1033,  1033,   429,  1032,  1032,   726,  1032,   211,   726,
     946,   560,   560,   268,   732,   732,   515,   187,   582,   543,
     584,   585,  1181,  1181,   314,   496,   607,  1181,  1181,   502,
     229,   257,   229,   504,  1192,  1192,  1192,  1192,  1192,   227,
     690,  1043,   970,   309,   598,   788,   606,   451,   621,   393,
     451,   108,   503,  1033,   198,   685,   465,   687,  1181,   726,
     588,   624,   173,   307,   504,   506,   469,   619,   208,   248,
     503,   618,   185,   197,   347,  1033,   469,   832,   227,   503,
    1181,   780,   789,   790,  1162,   788,  1031,   255,   636,  1067,
    1161,   560,   560,   560,  1033,   326,   560,   747,   736,   736,
     736,   736,   971,   227,   503,  1002,   503,   504,   506,   504,
     972,   362,   504,   456,   406,   504,   504,   504,   971,   971,
     970,   933,   503,  1032,   931,   323,   451,   936,   931,   271,
     931,   944,   503,   944,  1161,   504,   999,   970,   468,   982,
     985,   985,   339,   988,   504,  1041,  1180,   968,   504,   890,
    1027,   747,   323,   747,   504,   788,   611,   325,   798,   726,
     451,   726,   769,   769,   363,   788,   621,   504,   429,   504,
     506,   561,   700,   503,  1039,   798,   710,   503,   503,   718,
    1033,   469,   369,   469,   469,   222,   561,   732,   574,  1181,
     504,   506,   607,   751,   108,   803,   803,  1031,   691,   504,
     621,   294,   609,   250,  1033,  1035,   893,   657,   380,   408,
     686,   503,   210,   589,   504,   173,   593,   327,   620,    99,
     147,   154,   181,   251,   412,   602,   602,  1030,   619,   381,
     381,   129,   137,   288,   726,   766,   767,   782,   504,   506,
     941,   635,   307,   455,   637,   638,   490,  1068,   560,   971,
    1002,   504,   977,   999,   125,   307,   485,  1032,   504,   970,
     503,   931,   936,   504,   944,   504,   983,   984,  1161,   125,
     907,   985,   749,   760,   560,   768,   621,   503,   726,   770,
     770,  1031,   621,   691,  1033,   662,   451,   562,  1002,   774,
     222,   713,   797,  1002,  1002,   725,   726,   725,   726,  1032,
     560,   585,   803,   111,   246,   222,   307,   605,   228,   338,
     401,   323,   613,   614,   615,   421,   657,   217,   712,   832,
     970,   354,   618,   617,   596,   504,   620,   137,   326,   137,
     504,   506,   784,   789,   193,   455,   635,  1041,  1175,  1183,
      85,   504,   504,   504,   362,   456,   504,  1032,   504,   506,
     108,   999,   356,   381,   989,   227,   769,   466,   612,   798,
     771,   771,   606,   691,   970,   504,   329,   386,   360,   714,
     713,   504,   504,   469,   198,   252,   185,   449,   323,   615,
     323,   614,  1033,   726,   108,   504,  1039,   619,   618,   326,
     326,   564,   767,   788,   100,   261,   820,  1067,   504,   984,
     986,   119,   163,   440,   970,   990,   991,   990,   504,   747,
     770,   503,   691,   504,   609,  1039,   125,   714,   726,   380,
     128,   307,   373,   396,   616,   616,   709,   503,   620,   619,
     620,   310,   503,   815,   817,   822,   871,   876,   882,   893,
     991,   380,   221,   345,   221,   345,   560,   771,   970,   613,
     774,   726,   687,    94,   180,   314,   688,   689,  1041,  1163,
    1180,  1181,   620,   941,   816,   817,   818,   894,   895,   105,
     504,   691,   210,   504,   506,   504,   507,   991,   354,   689,
     818,  1039,   503,   688,   504
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;



/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{


    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[2];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:

/* Line 1455 of yacc.c  */
#line 1468 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 4:

/* Line 1455 of yacc.c  */
#line 1470 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 5:

/* Line 1455 of yacc.c  */
#line 1472 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 6:

/* Line 1455 of yacc.c  */
#line 1474 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 7:

/* Line 1455 of yacc.c  */
#line 1476 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 8:

/* Line 1455 of yacc.c  */
#line 1478 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 9:

/* Line 1455 of yacc.c  */
#line 1480 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 10:

/* Line 1455 of yacc.c  */
#line 1482 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 11:

/* Line 1455 of yacc.c  */
#line 1484 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 12:

/* Line 1455 of yacc.c  */
#line 1486 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 13:

/* Line 1455 of yacc.c  */
#line 1488 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 14:

/* Line 1455 of yacc.c  */
#line 1490 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 15:

/* Line 1455 of yacc.c  */
#line 1492 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 16:

/* Line 1455 of yacc.c  */
#line 1494 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 17:

/* Line 1455 of yacc.c  */
#line 1496 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 18:

/* Line 1455 of yacc.c  */
#line 1498 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 19:

/* Line 1455 of yacc.c  */
#line 1500 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 20:

/* Line 1455 of yacc.c  */
#line 1502 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 21:

/* Line 1455 of yacc.c  */
#line 1504 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 22:

/* Line 1455 of yacc.c  */
#line 1506 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 23:

/* Line 1455 of yacc.c  */
#line 1508 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 24:

/* Line 1455 of yacc.c  */
#line 1510 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 25:

/* Line 1455 of yacc.c  */
#line 1512 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 26:

/* Line 1455 of yacc.c  */
#line 1514 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 27:

/* Line 1455 of yacc.c  */
#line 1516 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 28:

/* Line 1455 of yacc.c  */
#line 1518 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 29:

/* Line 1455 of yacc.c  */
#line 1520 "preproc.y"
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[(1) - (1)].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[(1) - (1)].str));
				break;
			}
		}

		output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal);
	;}
    break;

  case 30:

/* Line 1455 of yacc.c  */
#line 1538 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 31:

/* Line 1455 of yacc.c  */
#line 1540 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 32:

/* Line 1455 of yacc.c  */
#line 1542 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 33:

/* Line 1455 of yacc.c  */
#line 1544 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 34:

/* Line 1455 of yacc.c  */
#line 1546 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 35:

/* Line 1455 of yacc.c  */
#line 1548 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 36:

/* Line 1455 of yacc.c  */
#line 1550 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 37:

/* Line 1455 of yacc.c  */
#line 1552 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 38:

/* Line 1455 of yacc.c  */
#line 1554 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 39:

/* Line 1455 of yacc.c  */
#line 1556 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 40:

/* Line 1455 of yacc.c  */
#line 1558 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 41:

/* Line 1455 of yacc.c  */
#line 1560 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 42:

/* Line 1455 of yacc.c  */
#line 1562 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 43:

/* Line 1455 of yacc.c  */
#line 1564 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 44:

/* Line 1455 of yacc.c  */
#line 1566 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 45:

/* Line 1455 of yacc.c  */
#line 1568 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 46:

/* Line 1455 of yacc.c  */
#line 1570 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 47:

/* Line 1455 of yacc.c  */
#line 1572 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 48:

/* Line 1455 of yacc.c  */
#line 1574 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 49:

/* Line 1455 of yacc.c  */
#line 1576 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 50:

/* Line 1455 of yacc.c  */
#line 1578 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 51:

/* Line 1455 of yacc.c  */
#line 1580 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 52:

/* Line 1455 of yacc.c  */
#line 1582 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 53:

/* Line 1455 of yacc.c  */
#line 1584 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 54:

/* Line 1455 of yacc.c  */
#line 1586 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 55:

/* Line 1455 of yacc.c  */
#line 1588 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 56:

/* Line 1455 of yacc.c  */
#line 1590 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 57:

/* Line 1455 of yacc.c  */
#line 1592 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 58:

/* Line 1455 of yacc.c  */
#line 1594 "preproc.y"
    {
		output_deallocate_prepare_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 59:

/* Line 1455 of yacc.c  */
#line 1598 "preproc.y"
    { output_simple_statement((yyvsp[(1) - (1)].str)); ;}
    break;

  case 60:

/* Line 1455 of yacc.c  */
#line 1600 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 61:

/* Line 1455 of yacc.c  */
#line 1602 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 62:

/* Line 1455 of yacc.c  */
#line 1604 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 63:

/* Line 1455 of yacc.c  */
#line 1606 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 64:

/* Line 1455 of yacc.c  */
#line 1608 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 65:

/* Line 1455 of yacc.c  */
#line 1610 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 66:

/* Line 1455 of yacc.c  */
#line 1612 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 67:

/* Line 1455 of yacc.c  */
#line 1614 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 68:

/* Line 1455 of yacc.c  */
#line 1616 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 69:

/* Line 1455 of yacc.c  */
#line 1618 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 70:

/* Line 1455 of yacc.c  */
#line 1620 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 71:

/* Line 1455 of yacc.c  */
#line 1622 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 72:

/* Line 1455 of yacc.c  */
#line 1624 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 73:

/* Line 1455 of yacc.c  */
#line 1626 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 74:

/* Line 1455 of yacc.c  */
#line 1628 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 75:

/* Line 1455 of yacc.c  */
#line 1630 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 76:

/* Line 1455 of yacc.c  */
#line 1632 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 77:

/* Line 1455 of yacc.c  */
#line 1634 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 78:

/* Line 1455 of yacc.c  */
#line 1636 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 79:

/* Line 1455 of yacc.c  */
#line 1638 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 80:

/* Line 1455 of yacc.c  */
#line 1640 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 81:

/* Line 1455 of yacc.c  */
#line 1642 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_execute); ;}
    break;

  case 82:

/* Line 1455 of yacc.c  */
#line 1644 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 83:

/* Line 1455 of yacc.c  */
#line 1646 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 84:

/* Line 1455 of yacc.c  */
#line 1648 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 85:

/* Line 1455 of yacc.c  */
#line 1650 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 86:

/* Line 1455 of yacc.c  */
#line 1652 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 87:

/* Line 1455 of yacc.c  */
#line 1654 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 88:

/* Line 1455 of yacc.c  */
#line 1656 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 89:

/* Line 1455 of yacc.c  */
#line 1658 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 90:

/* Line 1455 of yacc.c  */
#line 1660 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 91:

/* Line 1455 of yacc.c  */
#line 1662 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 92:

/* Line 1455 of yacc.c  */
#line 1664 "preproc.y"
    {
		if ((yyvsp[(1) - (1)].prep).type == NULL || strlen((yyvsp[(1) - (1)].prep).type) == 0)
			output_prepare_statement((yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).type, mm_strdup("as"), (yyvsp[(1) - (1)].prep).stmt), 0, ECPGst_normal);
	;}
    break;

  case 93:

/* Line 1455 of yacc.c  */
#line 1671 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 94:

/* Line 1455 of yacc.c  */
#line 1673 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 95:

/* Line 1455 of yacc.c  */
#line 1675 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 96:

/* Line 1455 of yacc.c  */
#line 1677 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 97:

/* Line 1455 of yacc.c  */
#line 1679 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 98:

/* Line 1455 of yacc.c  */
#line 1681 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 99:

/* Line 1455 of yacc.c  */
#line 1683 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 100:

/* Line 1455 of yacc.c  */
#line 1685 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 101:

/* Line 1455 of yacc.c  */
#line 1687 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 102:

/* Line 1455 of yacc.c  */
#line 1689 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 103:

/* Line 1455 of yacc.c  */
#line 1691 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 104:

/* Line 1455 of yacc.c  */
#line 1693 "preproc.y"
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 105:

/* Line 1455 of yacc.c  */
#line 1699 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 106:

/* Line 1455 of yacc.c  */
#line 1701 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 107:

/* Line 1455 of yacc.c  */
#line 1703 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 108:

/* Line 1455 of yacc.c  */
#line 1705 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 109:

/* Line 1455 of yacc.c  */
#line 1707 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 110:

/* Line 1455 of yacc.c  */
#line 1709 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 111:

/* Line 1455 of yacc.c  */
#line 1711 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 112:

/* Line 1455 of yacc.c  */
#line 1713 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 113:

/* Line 1455 of yacc.c  */
#line 1715 "preproc.y"
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 114:

/* Line 1455 of yacc.c  */
#line 1721 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[(1) - (1)].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 115:

/* Line 1455 of yacc.c  */
#line 1731 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 116:

/* Line 1455 of yacc.c  */
#line 1735 "preproc.y"
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 117:

/* Line 1455 of yacc.c  */
#line 1741 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 118:

/* Line 1455 of yacc.c  */
#line 1745 "preproc.y"
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[(1) - (1)].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 119:

/* Line 1455 of yacc.c  */
#line 1755 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[(1) - (1)].str) ? (yyvsp[(1) - (1)].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 120:

/* Line 1455 of yacc.c  */
#line 1764 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_exec_immediate); ;}
    break;

  case 121:

/* Line 1455 of yacc.c  */
#line 1766 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[(1) - (1)].str), "all") == 0)
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[(1) - (1)].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[(1) - (1)].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[(1) - (1)].str));

		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 122:

/* Line 1455 of yacc.c  */
#line 1780 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_get_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	;}
    break;

  case 123:

/* Line 1455 of yacc.c  */
#line 1787 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_get_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 124:

/* Line 1455 of yacc.c  */
#line 1793 "preproc.y"
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[(1) - (1)].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	;}
    break;

  case 125:

/* Line 1455 of yacc.c  */
#line 1804 "preproc.y"
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[(1) - (1)].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 126:

/* Line 1455 of yacc.c  */
#line 1810 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 127:

/* Line 1455 of yacc.c  */
#line 1819 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_set_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	;}
    break;

  case 128:

/* Line 1455 of yacc.c  */
#line 1826 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_set_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 129:

/* Line 1455 of yacc.c  */
#line 1832 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
		output_line_number();
	;}
    break;

  case 130:

/* Line 1455 of yacc.c  */
#line 1841 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 131:

/* Line 1455 of yacc.c  */
#line 1848 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 132:

/* Line 1455 of yacc.c  */
#line 1855 "preproc.y"
    { (yyval.str) = NULL; ;}
    break;

  case 133:

/* Line 1455 of yacc.c  */
#line 1861 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 134:

/* Line 1455 of yacc.c  */
#line 1869 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
;}
    break;

  case 135:

/* Line 1455 of yacc.c  */
#line 1873 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 136:

/* Line 1455 of yacc.c  */
#line 1880 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 137:

/* Line 1455 of yacc.c  */
#line 1884 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 138:

/* Line 1455 of yacc.c  */
#line 1891 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 139:

/* Line 1455 of yacc.c  */
#line 1895 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 140:

/* Line 1455 of yacc.c  */
#line 1902 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 141:

/* Line 1455 of yacc.c  */
#line 1906 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password null");
;}
    break;

  case 142:

/* Line 1455 of yacc.c  */
#line 1910 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 143:

/* Line 1455 of yacc.c  */
#line 1914 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 144:

/* Line 1455 of yacc.c  */
#line 1918 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
;}
    break;

  case 145:

/* Line 1455 of yacc.c  */
#line 1922 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 146:

/* Line 1455 of yacc.c  */
#line 1926 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 147:

/* Line 1455 of yacc.c  */
#line 1930 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 148:

/* Line 1455 of yacc.c  */
#line 1934 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 149:

/* Line 1455 of yacc.c  */
#line 1942 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 150:

/* Line 1455 of yacc.c  */
#line 1946 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 151:

/* Line 1455 of yacc.c  */
#line 1950 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 152:

/* Line 1455 of yacc.c  */
#line 1954 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 153:

/* Line 1455 of yacc.c  */
#line 1958 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 154:

/* Line 1455 of yacc.c  */
#line 1962 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 155:

/* Line 1455 of yacc.c  */
#line 1970 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 156:

/* Line 1455 of yacc.c  */
#line 1978 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 157:

/* Line 1455 of yacc.c  */
#line 1986 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 158:

/* Line 1455 of yacc.c  */
#line 1989 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 159:

/* Line 1455 of yacc.c  */
#line 1997 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 160:

/* Line 1455 of yacc.c  */
#line 2005 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 161:

/* Line 1455 of yacc.c  */
#line 2013 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 162:

/* Line 1455 of yacc.c  */
#line 2021 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 163:

/* Line 1455 of yacc.c  */
#line 2025 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 164:

/* Line 1455 of yacc.c  */
#line 2033 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 165:

/* Line 1455 of yacc.c  */
#line 2037 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 166:

/* Line 1455 of yacc.c  */
#line 2045 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 167:

/* Line 1455 of yacc.c  */
#line 2053 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("user"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 168:

/* Line 1455 of yacc.c  */
#line 2061 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
;}
    break;

  case 169:

/* Line 1455 of yacc.c  */
#line 2065 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
;}
    break;

  case 170:

/* Line 1455 of yacc.c  */
#line 2073 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 171:

/* Line 1455 of yacc.c  */
#line 2077 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 172:

/* Line 1455 of yacc.c  */
#line 2085 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[(3) - (6)].str),mm_strdup("authorization"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 173:

/* Line 1455 of yacc.c  */
#line 2089 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 174:

/* Line 1455 of yacc.c  */
#line 2097 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 175:

/* Line 1455 of yacc.c  */
#line 2101 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 176:

/* Line 1455 of yacc.c  */
#line 2108 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 177:

/* Line 1455 of yacc.c  */
#line 2112 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 178:

/* Line 1455 of yacc.c  */
#line 2119 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 179:

/* Line 1455 of yacc.c  */
#line 2123 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 180:

/* Line 1455 of yacc.c  */
#line 2127 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 181:

/* Line 1455 of yacc.c  */
#line 2131 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 182:

/* Line 1455 of yacc.c  */
#line 2135 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 183:

/* Line 1455 of yacc.c  */
#line 2139 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 184:

/* Line 1455 of yacc.c  */
#line 2147 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 185:

/* Line 1455 of yacc.c  */
#line 2151 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 186:

/* Line 1455 of yacc.c  */
#line 2155 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 187:

/* Line 1455 of yacc.c  */
#line 2163 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 188:

/* Line 1455 of yacc.c  */
#line 2167 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 189:

/* Line 1455 of yacc.c  */
#line 2171 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 190:

/* Line 1455 of yacc.c  */
#line 2179 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 191:

/* Line 1455 of yacc.c  */
#line 2183 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 192:

/* Line 1455 of yacc.c  */
#line 2187 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("to default"));
;}
    break;

  case 193:

/* Line 1455 of yacc.c  */
#line 2191 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("= default"));
;}
    break;

  case 194:

/* Line 1455 of yacc.c  */
#line 2195 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("from current"));
;}
    break;

  case 195:

/* Line 1455 of yacc.c  */
#line 2199 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 196:

/* Line 1455 of yacc.c  */
#line 2203 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 197:

/* Line 1455 of yacc.c  */
#line 2208 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 198:

/* Line 1455 of yacc.c  */
#line 2212 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 199:

/* Line 1455 of yacc.c  */
#line 2216 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 200:

/* Line 1455 of yacc.c  */
#line 2220 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 201:

/* Line 1455 of yacc.c  */
#line 2224 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session authorization default");
;}
    break;

  case 202:

/* Line 1455 of yacc.c  */
#line 2228 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 203:

/* Line 1455 of yacc.c  */
#line 2232 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 204:

/* Line 1455 of yacc.c  */
#line 2240 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 205:

/* Line 1455 of yacc.c  */
#line 2244 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 206:

/* Line 1455 of yacc.c  */
#line 2252 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 207:

/* Line 1455 of yacc.c  */
#line 2256 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 208:

/* Line 1455 of yacc.c  */
#line 2264 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 209:

/* Line 1455 of yacc.c  */
#line 2268 "preproc.y"
    { 
		if ((yyvsp[(1) - (1)].str)[0] == '$')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 210:

/* Line 1455 of yacc.c  */
#line 2282 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read uncommitted");
;}
    break;

  case 211:

/* Line 1455 of yacc.c  */
#line 2286 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read committed");
;}
    break;

  case 212:

/* Line 1455 of yacc.c  */
#line 2290 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable read");
;}
    break;

  case 213:

/* Line 1455 of yacc.c  */
#line 2294 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
;}
    break;

  case 214:

/* Line 1455 of yacc.c  */
#line 2302 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 215:

/* Line 1455 of yacc.c  */
#line 2306 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 216:

/* Line 1455 of yacc.c  */
#line 2310 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
;}
    break;

  case 217:

/* Line 1455 of yacc.c  */
#line 2314 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 218:

/* Line 1455 of yacc.c  */
#line 2322 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 219:

/* Line 1455 of yacc.c  */
#line 2326 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 220:

/* Line 1455 of yacc.c  */
#line 2330 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 221:

/* Line 1455 of yacc.c  */
#line 2334 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 222:

/* Line 1455 of yacc.c  */
#line 2338 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 223:

/* Line 1455 of yacc.c  */
#line 2342 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 224:

/* Line 1455 of yacc.c  */
#line 2346 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
;}
    break;

  case 225:

/* Line 1455 of yacc.c  */
#line 2354 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 226:

/* Line 1455 of yacc.c  */
#line 2358 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 227:

/* Line 1455 of yacc.c  */
#line 2362 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 228:

/* Line 1455 of yacc.c  */
#line 2369 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 229:

/* Line 1455 of yacc.c  */
#line 2373 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 230:

/* Line 1455 of yacc.c  */
#line 2381 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 231:

/* Line 1455 of yacc.c  */
#line 2385 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset time zone");
;}
    break;

  case 232:

/* Line 1455 of yacc.c  */
#line 2389 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset transaction isolation level");
;}
    break;

  case 233:

/* Line 1455 of yacc.c  */
#line 2393 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset session authorization");
;}
    break;

  case 234:

/* Line 1455 of yacc.c  */
#line 2397 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset all");
;}
    break;

  case 235:

/* Line 1455 of yacc.c  */
#line 2405 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 236:

/* Line 1455 of yacc.c  */
#line 2409 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 237:

/* Line 1455 of yacc.c  */
#line 2417 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 238:

/* Line 1455 of yacc.c  */
#line 2421 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 239:

/* Line 1455 of yacc.c  */
#line 2429 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[(2) - (3)].str));
;}
    break;

  case 240:

/* Line 1455 of yacc.c  */
#line 2433 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show time zone");
;}
    break;

  case 241:

/* Line 1455 of yacc.c  */
#line 2437 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
;}
    break;

  case 242:

/* Line 1455 of yacc.c  */
#line 2441 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show session authorization");
;}
    break;

  case 243:

/* Line 1455 of yacc.c  */
#line 2445 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	;}
    break;

  case 244:

/* Line 1455 of yacc.c  */
#line 2454 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 245:

/* Line 1455 of yacc.c  */
#line 2462 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 246:

/* Line 1455 of yacc.c  */
#line 2466 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 247:

/* Line 1455 of yacc.c  */
#line 2474 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
;}
    break;

  case 248:

/* Line 1455 of yacc.c  */
#line 2478 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
;}
    break;

  case 249:

/* Line 1455 of yacc.c  */
#line 2486 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
;}
    break;

  case 250:

/* Line 1455 of yacc.c  */
#line 2494 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard all");
;}
    break;

  case 251:

/* Line 1455 of yacc.c  */
#line 2498 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temp");
;}
    break;

  case 252:

/* Line 1455 of yacc.c  */
#line 2502 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temporary");
;}
    break;

  case 253:

/* Line 1455 of yacc.c  */
#line 2506 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard plans");
;}
    break;

  case 254:

/* Line 1455 of yacc.c  */
#line 2514 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 255:

/* Line 1455 of yacc.c  */
#line 2518 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 256:

/* Line 1455 of yacc.c  */
#line 2522 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 257:

/* Line 1455 of yacc.c  */
#line 2526 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 258:

/* Line 1455 of yacc.c  */
#line 2530 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 259:

/* Line 1455 of yacc.c  */
#line 2534 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 260:

/* Line 1455 of yacc.c  */
#line 2538 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 261:

/* Line 1455 of yacc.c  */
#line 2542 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 262:

/* Line 1455 of yacc.c  */
#line 2550 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 263:

/* Line 1455 of yacc.c  */
#line 2554 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 264:

/* Line 1455 of yacc.c  */
#line 2562 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 265:

/* Line 1455 of yacc.c  */
#line 2566 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 266:

/* Line 1455 of yacc.c  */
#line 2570 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 267:

/* Line 1455 of yacc.c  */
#line 2574 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
;}
    break;

  case 268:

/* Line 1455 of yacc.c  */
#line 2578 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
;}
    break;

  case 269:

/* Line 1455 of yacc.c  */
#line 2582 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set statistics"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 270:

/* Line 1455 of yacc.c  */
#line 2586 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 271:

/* Line 1455 of yacc.c  */
#line 2590 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 272:

/* Line 1455 of yacc.c  */
#line 2594 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set storage"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 273:

/* Line 1455 of yacc.c  */
#line 2598 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 274:

/* Line 1455 of yacc.c  */
#line 2602 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 275:

/* Line 1455 of yacc.c  */
#line 2606 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[(2) - (8)].str),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 276:

/* Line 1455 of yacc.c  */
#line 2610 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 277:

/* Line 1455 of yacc.c  */
#line 2614 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 278:

/* Line 1455 of yacc.c  */
#line 2618 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 279:

/* Line 1455 of yacc.c  */
#line 2622 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 280:

/* Line 1455 of yacc.c  */
#line 2626 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 281:

/* Line 1455 of yacc.c  */
#line 2630 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set with oids");
;}
    break;

  case 282:

/* Line 1455 of yacc.c  */
#line 2634 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without oids");
;}
    break;

  case 283:

/* Line 1455 of yacc.c  */
#line 2638 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 284:

/* Line 1455 of yacc.c  */
#line 2642 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without cluster");
;}
    break;

  case 285:

/* Line 1455 of yacc.c  */
#line 2646 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 286:

/* Line 1455 of yacc.c  */
#line 2650 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 287:

/* Line 1455 of yacc.c  */
#line 2654 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 288:

/* Line 1455 of yacc.c  */
#line 2658 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger all");
;}
    break;

  case 289:

/* Line 1455 of yacc.c  */
#line 2662 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger user");
;}
    break;

  case 290:

/* Line 1455 of yacc.c  */
#line 2666 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 291:

/* Line 1455 of yacc.c  */
#line 2670 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger all");
;}
    break;

  case 292:

/* Line 1455 of yacc.c  */
#line 2674 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger user");
;}
    break;

  case 293:

/* Line 1455 of yacc.c  */
#line 2678 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 294:

/* Line 1455 of yacc.c  */
#line 2682 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 295:

/* Line 1455 of yacc.c  */
#line 2686 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 296:

/* Line 1455 of yacc.c  */
#line 2690 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 297:

/* Line 1455 of yacc.c  */
#line 2694 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 298:

/* Line 1455 of yacc.c  */
#line 2698 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 299:

/* Line 1455 of yacc.c  */
#line 2702 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 300:

/* Line 1455 of yacc.c  */
#line 2706 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not of");
;}
    break;

  case 301:

/* Line 1455 of yacc.c  */
#line 2710 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 302:

/* Line 1455 of yacc.c  */
#line 2714 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 303:

/* Line 1455 of yacc.c  */
#line 2718 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 304:

/* Line 1455 of yacc.c  */
#line 2722 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 305:

/* Line 1455 of yacc.c  */
#line 2726 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 306:

/* Line 1455 of yacc.c  */
#line 2734 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 307:

/* Line 1455 of yacc.c  */
#line 2738 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop default");
;}
    break;

  case 308:

/* Line 1455 of yacc.c  */
#line 2746 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 309:

/* Line 1455 of yacc.c  */
#line 2750 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 310:

/* Line 1455 of yacc.c  */
#line 2754 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 311:

/* Line 1455 of yacc.c  */
#line 2761 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 312:

/* Line 1455 of yacc.c  */
#line 2765 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 313:

/* Line 1455 of yacc.c  */
#line 2772 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 314:

/* Line 1455 of yacc.c  */
#line 2776 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 315:

/* Line 1455 of yacc.c  */
#line 2783 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 316:

/* Line 1455 of yacc.c  */
#line 2791 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 317:

/* Line 1455 of yacc.c  */
#line 2795 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 318:

/* Line 1455 of yacc.c  */
#line 2802 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 319:

/* Line 1455 of yacc.c  */
#line 2806 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 320:

/* Line 1455 of yacc.c  */
#line 2814 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 321:

/* Line 1455 of yacc.c  */
#line 2818 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 322:

/* Line 1455 of yacc.c  */
#line 2822 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("."),(yyvsp[(3) - (5)].str),mm_strdup("="),(yyvsp[(5) - (5)].str));
;}
    break;

  case 323:

/* Line 1455 of yacc.c  */
#line 2826 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 324:

/* Line 1455 of yacc.c  */
#line 2834 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 325:

/* Line 1455 of yacc.c  */
#line 2842 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 326:

/* Line 1455 of yacc.c  */
#line 2846 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 327:

/* Line 1455 of yacc.c  */
#line 2854 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 328:

/* Line 1455 of yacc.c  */
#line 2858 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 329:

/* Line 1455 of yacc.c  */
#line 2862 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 330:

/* Line 1455 of yacc.c  */
#line 2866 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 331:

/* Line 1455 of yacc.c  */
#line 2874 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(2) - (2)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(2) - (2)].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	;}
    break;

  case 332:

/* Line 1455 of yacc.c  */
#line 2879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close all");
;}
    break;

  case 333:

/* Line 1455 of yacc.c  */
#line 2887 "preproc.y"
    { 
			if (strcmp((yyvsp[(6) - (10)].str), "to") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdout") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY FROM STDOUT is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(10,mm_strdup("copy"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 334:

/* Line 1455 of yacc.c  */
#line 2898 "preproc.y"
    { 
			if (strcmp((yyvsp[(4) - (6)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");

 (yyval.str) = cat_str(6,mm_strdup("copy"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 335:

/* Line 1455 of yacc.c  */
#line 2909 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 336:

/* Line 1455 of yacc.c  */
#line 2913 "preproc.y"
    { 
 (yyval.str) = mm_strdup("to");
;}
    break;

  case 337:

/* Line 1455 of yacc.c  */
#line 2921 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 338:

/* Line 1455 of yacc.c  */
#line 2925 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
;}
    break;

  case 339:

/* Line 1455 of yacc.c  */
#line 2929 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
;}
    break;

  case 340:

/* Line 1455 of yacc.c  */
#line 2937 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 341:

/* Line 1455 of yacc.c  */
#line 2941 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 342:

/* Line 1455 of yacc.c  */
#line 2949 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 343:

/* Line 1455 of yacc.c  */
#line 2953 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 344:

/* Line 1455 of yacc.c  */
#line 2960 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 345:

/* Line 1455 of yacc.c  */
#line 2964 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
;}
    break;

  case 346:

/* Line 1455 of yacc.c  */
#line 2968 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 347:

/* Line 1455 of yacc.c  */
#line 2972 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 348:

/* Line 1455 of yacc.c  */
#line 2976 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
;}
    break;

  case 349:

/* Line 1455 of yacc.c  */
#line 2980 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
;}
    break;

  case 350:

/* Line 1455 of yacc.c  */
#line 2984 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 351:

/* Line 1455 of yacc.c  */
#line 2988 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 352:

/* Line 1455 of yacc.c  */
#line 2992 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 353:

/* Line 1455 of yacc.c  */
#line 2996 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force quote *");
;}
    break;

  case 354:

/* Line 1455 of yacc.c  */
#line 3000 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 355:

/* Line 1455 of yacc.c  */
#line 3004 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 356:

/* Line 1455 of yacc.c  */
#line 3012 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 357:

/* Line 1455 of yacc.c  */
#line 3016 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 358:

/* Line 1455 of yacc.c  */
#line 3023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
;}
    break;

  case 359:

/* Line 1455 of yacc.c  */
#line 3027 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 360:

/* Line 1455 of yacc.c  */
#line 3034 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("delimiters"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 361:

/* Line 1455 of yacc.c  */
#line 3038 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 362:

/* Line 1455 of yacc.c  */
#line 3045 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
;}
    break;

  case 363:

/* Line 1455 of yacc.c  */
#line 3049 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 364:

/* Line 1455 of yacc.c  */
#line 3056 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 365:

/* Line 1455 of yacc.c  */
#line 3060 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 366:

/* Line 1455 of yacc.c  */
#line 3068 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 367:

/* Line 1455 of yacc.c  */
#line 3076 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 368:

/* Line 1455 of yacc.c  */
#line 3080 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 369:

/* Line 1455 of yacc.c  */
#line 3084 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 370:

/* Line 1455 of yacc.c  */
#line 3088 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 371:

/* Line 1455 of yacc.c  */
#line 3092 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 372:

/* Line 1455 of yacc.c  */
#line 3099 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 373:

/* Line 1455 of yacc.c  */
#line 3103 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 374:

/* Line 1455 of yacc.c  */
#line 3111 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 375:

/* Line 1455 of yacc.c  */
#line 3119 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (11)].str),mm_strdup("table"),(yyvsp[(4) - (11)].str),mm_strdup("("),(yyvsp[(6) - (11)].str),mm_strdup(")"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 376:

/* Line 1455 of yacc.c  */
#line 3123 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
;}
    break;

  case 377:

/* Line 1455 of yacc.c  */
#line 3127 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("table"),(yyvsp[(4) - (10)].str),mm_strdup("of"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 378:

/* Line 1455 of yacc.c  */
#line 3131 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (13)].str),mm_strdup("of"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
;}
    break;

  case 379:

/* Line 1455 of yacc.c  */
#line 3139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
;}
    break;

  case 380:

/* Line 1455 of yacc.c  */
#line 3143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
;}
    break;

  case 381:

/* Line 1455 of yacc.c  */
#line 3147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temporary");
;}
    break;

  case 382:

/* Line 1455 of yacc.c  */
#line 3151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temp");
;}
    break;

  case 383:

/* Line 1455 of yacc.c  */
#line 3155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temporary");
;}
    break;

  case 384:

/* Line 1455 of yacc.c  */
#line 3159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temp");
;}
    break;

  case 385:

/* Line 1455 of yacc.c  */
#line 3163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
;}
    break;

  case 386:

/* Line 1455 of yacc.c  */
#line 3167 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 387:

/* Line 1455 of yacc.c  */
#line 3174 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 388:

/* Line 1455 of yacc.c  */
#line 3178 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 389:

/* Line 1455 of yacc.c  */
#line 3185 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 390:

/* Line 1455 of yacc.c  */
#line 3189 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 391:

/* Line 1455 of yacc.c  */
#line 3196 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 392:

/* Line 1455 of yacc.c  */
#line 3200 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 393:

/* Line 1455 of yacc.c  */
#line 3208 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 394:

/* Line 1455 of yacc.c  */
#line 3212 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 395:

/* Line 1455 of yacc.c  */
#line 3220 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 396:

/* Line 1455 of yacc.c  */
#line 3224 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 397:

/* Line 1455 of yacc.c  */
#line 3228 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 398:

/* Line 1455 of yacc.c  */
#line 3236 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 399:

/* Line 1455 of yacc.c  */
#line 3240 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 400:

/* Line 1455 of yacc.c  */
#line 3248 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 401:

/* Line 1455 of yacc.c  */
#line 3256 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("with options"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 402:

/* Line 1455 of yacc.c  */
#line 3264 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 403:

/* Line 1455 of yacc.c  */
#line 3268 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 404:

/* Line 1455 of yacc.c  */
#line 3275 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 405:

/* Line 1455 of yacc.c  */
#line 3279 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 406:

/* Line 1455 of yacc.c  */
#line 3283 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 407:

/* Line 1455 of yacc.c  */
#line 3287 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 408:

/* Line 1455 of yacc.c  */
#line 3295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not null");
;}
    break;

  case 409:

/* Line 1455 of yacc.c  */
#line 3299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 410:

/* Line 1455 of yacc.c  */
#line 3303 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 411:

/* Line 1455 of yacc.c  */
#line 3307 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 412:

/* Line 1455 of yacc.c  */
#line 3311 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 413:

/* Line 1455 of yacc.c  */
#line 3315 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 414:

/* Line 1455 of yacc.c  */
#line 3319 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 415:

/* Line 1455 of yacc.c  */
#line 3327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 416:

/* Line 1455 of yacc.c  */
#line 3331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 417:

/* Line 1455 of yacc.c  */
#line 3335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
;}
    break;

  case 418:

/* Line 1455 of yacc.c  */
#line 3339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
;}
    break;

  case 419:

/* Line 1455 of yacc.c  */
#line 3347 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 420:

/* Line 1455 of yacc.c  */
#line 3355 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("including"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 421:

/* Line 1455 of yacc.c  */
#line 3359 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("excluding"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 422:

/* Line 1455 of yacc.c  */
#line 3363 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 423:

/* Line 1455 of yacc.c  */
#line 3370 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
;}
    break;

  case 424:

/* Line 1455 of yacc.c  */
#line 3374 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
;}
    break;

  case 425:

/* Line 1455 of yacc.c  */
#line 3378 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
;}
    break;

  case 426:

/* Line 1455 of yacc.c  */
#line 3382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
;}
    break;

  case 427:

/* Line 1455 of yacc.c  */
#line 3386 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
;}
    break;

  case 428:

/* Line 1455 of yacc.c  */
#line 3390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 429:

/* Line 1455 of yacc.c  */
#line 3398 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 430:

/* Line 1455 of yacc.c  */
#line 3402 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 431:

/* Line 1455 of yacc.c  */
#line 3410 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 432:

/* Line 1455 of yacc.c  */
#line 3414 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[(3) - (7)].str),mm_strdup(")"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 433:

/* Line 1455 of yacc.c  */
#line 3418 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 434:

/* Line 1455 of yacc.c  */
#line 3422 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[(4) - (8)].str),mm_strdup(")"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 435:

/* Line 1455 of yacc.c  */
#line 3426 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 436:

/* Line 1455 of yacc.c  */
#line 3430 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[(2) - (9)].str),mm_strdup("("),(yyvsp[(4) - (9)].str),mm_strdup(")"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 437:

/* Line 1455 of yacc.c  */
#line 3434 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[(4) - (11)].str),mm_strdup(") references"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 438:

/* Line 1455 of yacc.c  */
#line 3442 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
;}
    break;

  case 439:

/* Line 1455 of yacc.c  */
#line 3446 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 440:

/* Line 1455 of yacc.c  */
#line 3453 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 441:

/* Line 1455 of yacc.c  */
#line 3457 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 442:

/* Line 1455 of yacc.c  */
#line 3464 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 443:

/* Line 1455 of yacc.c  */
#line 3468 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 444:

/* Line 1455 of yacc.c  */
#line 3476 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 445:

/* Line 1455 of yacc.c  */
#line 3484 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match full");
;}
    break;

  case 446:

/* Line 1455 of yacc.c  */
#line 3488 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
;}
    break;

  case 447:

/* Line 1455 of yacc.c  */
#line 3493 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match simple");
;}
    break;

  case 448:

/* Line 1455 of yacc.c  */
#line 3497 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 449:

/* Line 1455 of yacc.c  */
#line 3504 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 450:

/* Line 1455 of yacc.c  */
#line 3508 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 451:

/* Line 1455 of yacc.c  */
#line 3516 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("with"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 452:

/* Line 1455 of yacc.c  */
#line 3520 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("with operator ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 453:

/* Line 1455 of yacc.c  */
#line 3528 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 454:

/* Line 1455 of yacc.c  */
#line 3532 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 455:

/* Line 1455 of yacc.c  */
#line 3539 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 456:

/* Line 1455 of yacc.c  */
#line 3543 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 457:

/* Line 1455 of yacc.c  */
#line 3547 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 458:

/* Line 1455 of yacc.c  */
#line 3551 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 459:

/* Line 1455 of yacc.c  */
#line 3555 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 460:

/* Line 1455 of yacc.c  */
#line 3562 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 461:

/* Line 1455 of yacc.c  */
#line 3570 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 462:

/* Line 1455 of yacc.c  */
#line 3578 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no action");
;}
    break;

  case 463:

/* Line 1455 of yacc.c  */
#line 3582 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 464:

/* Line 1455 of yacc.c  */
#line 3586 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 465:

/* Line 1455 of yacc.c  */
#line 3590 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set null");
;}
    break;

  case 466:

/* Line 1455 of yacc.c  */
#line 3594 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set default");
;}
    break;

  case 467:

/* Line 1455 of yacc.c  */
#line 3602 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 468:

/* Line 1455 of yacc.c  */
#line 3606 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 469:

/* Line 1455 of yacc.c  */
#line 3613 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 470:

/* Line 1455 of yacc.c  */
#line 3617 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
;}
    break;

  case 471:

/* Line 1455 of yacc.c  */
#line 3621 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without oids");
;}
    break;

  case 472:

/* Line 1455 of yacc.c  */
#line 3625 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 473:

/* Line 1455 of yacc.c  */
#line 3632 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit drop");
;}
    break;

  case 474:

/* Line 1455 of yacc.c  */
#line 3636 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
;}
    break;

  case 475:

/* Line 1455 of yacc.c  */
#line 3640 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
;}
    break;

  case 476:

/* Line 1455 of yacc.c  */
#line 3644 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 477:

/* Line 1455 of yacc.c  */
#line 3651 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 478:

/* Line 1455 of yacc.c  */
#line 3655 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 479:

/* Line 1455 of yacc.c  */
#line 3662 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 480:

/* Line 1455 of yacc.c  */
#line 3666 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 481:

/* Line 1455 of yacc.c  */
#line 3673 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 482:

/* Line 1455 of yacc.c  */
#line 3681 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 483:

/* Line 1455 of yacc.c  */
#line 3689 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with data");
;}
    break;

  case 484:

/* Line 1455 of yacc.c  */
#line 3693 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with no data");
;}
    break;

  case 485:

/* Line 1455 of yacc.c  */
#line 3697 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 486:

/* Line 1455 of yacc.c  */
#line 3704 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[(2) - (5)].str),mm_strdup("sequence"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 487:

/* Line 1455 of yacc.c  */
#line 3712 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 488:

/* Line 1455 of yacc.c  */
#line 3716 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 489:

/* Line 1455 of yacc.c  */
#line 3724 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 490:

/* Line 1455 of yacc.c  */
#line 3728 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 491:

/* Line 1455 of yacc.c  */
#line 3735 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 492:

/* Line 1455 of yacc.c  */
#line 3739 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 493:

/* Line 1455 of yacc.c  */
#line 3747 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 494:

/* Line 1455 of yacc.c  */
#line 3751 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
;}
    break;

  case 495:

/* Line 1455 of yacc.c  */
#line 3755 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no cycle");
;}
    break;

  case 496:

/* Line 1455 of yacc.c  */
#line 3759 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 497:

/* Line 1455 of yacc.c  */
#line 3763 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 498:

/* Line 1455 of yacc.c  */
#line 3767 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 499:

/* Line 1455 of yacc.c  */
#line 3771 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no maxvalue");
;}
    break;

  case 500:

/* Line 1455 of yacc.c  */
#line 3775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no minvalue");
;}
    break;

  case 501:

/* Line 1455 of yacc.c  */
#line 3779 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 502:

/* Line 1455 of yacc.c  */
#line 3783 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 503:

/* Line 1455 of yacc.c  */
#line 3787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
;}
    break;

  case 504:

/* Line 1455 of yacc.c  */
#line 3791 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 505:

/* Line 1455 of yacc.c  */
#line 3799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
;}
    break;

  case 506:

/* Line 1455 of yacc.c  */
#line 3803 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 507:

/* Line 1455 of yacc.c  */
#line 3810 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 508:

/* Line 1455 of yacc.c  */
#line 3814 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 509:

/* Line 1455 of yacc.c  */
#line 3818 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 510:

/* Line 1455 of yacc.c  */
#line 3826 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 511:

/* Line 1455 of yacc.c  */
#line 3830 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 512:

/* Line 1455 of yacc.c  */
#line 3838 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("language"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 513:

/* Line 1455 of yacc.c  */
#line 3842 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("language"),(yyvsp[(6) - (10)].str),mm_strdup("handler"),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 514:

/* Line 1455 of yacc.c  */
#line 3850 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
;}
    break;

  case 515:

/* Line 1455 of yacc.c  */
#line 3854 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 516:

/* Line 1455 of yacc.c  */
#line 3861 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 517:

/* Line 1455 of yacc.c  */
#line 3865 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 518:

/* Line 1455 of yacc.c  */
#line 3873 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 519:

/* Line 1455 of yacc.c  */
#line 3877 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 520:

/* Line 1455 of yacc.c  */
#line 3884 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 521:

/* Line 1455 of yacc.c  */
#line 3888 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
;}
    break;

  case 522:

/* Line 1455 of yacc.c  */
#line 3896 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 523:

/* Line 1455 of yacc.c  */
#line 3900 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 524:

/* Line 1455 of yacc.c  */
#line 3907 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (5)].str),mm_strdup("language"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 525:

/* Line 1455 of yacc.c  */
#line 3911 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (7)].str),mm_strdup("language if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 526:

/* Line 1455 of yacc.c  */
#line 3919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
;}
    break;

  case 527:

/* Line 1455 of yacc.c  */
#line 3923 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 528:

/* Line 1455 of yacc.c  */
#line 3930 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create tablespace"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("location"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 529:

/* Line 1455 of yacc.c  */
#line 3938 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 530:

/* Line 1455 of yacc.c  */
#line 3942 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 531:

/* Line 1455 of yacc.c  */
#line 3949 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 532:

/* Line 1455 of yacc.c  */
#line 3953 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 533:

/* Line 1455 of yacc.c  */
#line 3961 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 534:

/* Line 1455 of yacc.c  */
#line 3965 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 535:

/* Line 1455 of yacc.c  */
#line 3973 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 536:

/* Line 1455 of yacc.c  */
#line 3977 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 537:

/* Line 1455 of yacc.c  */
#line 3984 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 538:

/* Line 1455 of yacc.c  */
#line 3988 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 539:

/* Line 1455 of yacc.c  */
#line 3992 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 540:

/* Line 1455 of yacc.c  */
#line 4000 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (5)].str),mm_strdup("update"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 541:

/* Line 1455 of yacc.c  */
#line 4008 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 542:

/* Line 1455 of yacc.c  */
#line 4012 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 543:

/* Line 1455 of yacc.c  */
#line 4019 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 544:

/* Line 1455 of yacc.c  */
#line 4027 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("aggregate"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 545:

/* Line 1455 of yacc.c  */
#line 4031 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("cast ("),(yyvsp[(7) - (10)].str),mm_strdup("as"),(yyvsp[(9) - (10)].str),mm_strdup(")"));
;}
    break;

  case 546:

/* Line 1455 of yacc.c  */
#line 4035 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("collation"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 547:

/* Line 1455 of yacc.c  */
#line 4039 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("conversion"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 548:

/* Line 1455 of yacc.c  */
#line 4043 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("domain"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 549:

/* Line 1455 of yacc.c  */
#line 4047 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("function"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 550:

/* Line 1455 of yacc.c  */
#line 4051 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("language"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 551:

/* Line 1455 of yacc.c  */
#line 4055 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("operator"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 552:

/* Line 1455 of yacc.c  */
#line 4059 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator class"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 553:

/* Line 1455 of yacc.c  */
#line 4063 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator family"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 554:

/* Line 1455 of yacc.c  */
#line 4067 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 555:

/* Line 1455 of yacc.c  */
#line 4071 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("table"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 556:

/* Line 1455 of yacc.c  */
#line 4075 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search parser"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 557:

/* Line 1455 of yacc.c  */
#line 4079 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search dictionary"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 558:

/* Line 1455 of yacc.c  */
#line 4083 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search template"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 559:

/* Line 1455 of yacc.c  */
#line 4087 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search configuration"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 560:

/* Line 1455 of yacc.c  */
#line 4091 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("sequence"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 561:

/* Line 1455 of yacc.c  */
#line 4095 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("view"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 562:

/* Line 1455 of yacc.c  */
#line 4099 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("foreign table"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 563:

/* Line 1455 of yacc.c  */
#line 4103 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("foreign data wrapper"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 564:

/* Line 1455 of yacc.c  */
#line 4107 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("server"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 565:

/* Line 1455 of yacc.c  */
#line 4111 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("type"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 566:

/* Line 1455 of yacc.c  */
#line 4119 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 567:

/* Line 1455 of yacc.c  */
#line 4127 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 568:

/* Line 1455 of yacc.c  */
#line 4131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no handler");
;}
    break;

  case 569:

/* Line 1455 of yacc.c  */
#line 4135 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 570:

/* Line 1455 of yacc.c  */
#line 4139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
;}
    break;

  case 571:

/* Line 1455 of yacc.c  */
#line 4147 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 572:

/* Line 1455 of yacc.c  */
#line 4151 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 573:

/* Line 1455 of yacc.c  */
#line 4159 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 574:

/* Line 1455 of yacc.c  */
#line 4163 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 575:

/* Line 1455 of yacc.c  */
#line 4170 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 576:

/* Line 1455 of yacc.c  */
#line 4174 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 577:

/* Line 1455 of yacc.c  */
#line 4182 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 578:

/* Line 1455 of yacc.c  */
#line 4186 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 579:

/* Line 1455 of yacc.c  */
#line 4194 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 580:

/* Line 1455 of yacc.c  */
#line 4198 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 581:

/* Line 1455 of yacc.c  */
#line 4205 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 582:

/* Line 1455 of yacc.c  */
#line 4209 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 583:

/* Line 1455 of yacc.c  */
#line 4217 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 584:

/* Line 1455 of yacc.c  */
#line 4225 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 585:

/* Line 1455 of yacc.c  */
#line 4229 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 586:

/* Line 1455 of yacc.c  */
#line 4237 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 587:

/* Line 1455 of yacc.c  */
#line 4241 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 588:

/* Line 1455 of yacc.c  */
#line 4245 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 589:

/* Line 1455 of yacc.c  */
#line 4249 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 590:

/* Line 1455 of yacc.c  */
#line 4257 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 591:

/* Line 1455 of yacc.c  */
#line 4265 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 592:

/* Line 1455 of yacc.c  */
#line 4273 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 593:

/* Line 1455 of yacc.c  */
#line 4281 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),mm_strdup("foreign data wrapper"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 594:

/* Line 1455 of yacc.c  */
#line 4289 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 595:

/* Line 1455 of yacc.c  */
#line 4293 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 596:

/* Line 1455 of yacc.c  */
#line 4300 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 597:

/* Line 1455 of yacc.c  */
#line 4304 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version null");
;}
    break;

  case 598:

/* Line 1455 of yacc.c  */
#line 4312 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 599:

/* Line 1455 of yacc.c  */
#line 4316 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 600:

/* Line 1455 of yacc.c  */
#line 4323 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 601:

/* Line 1455 of yacc.c  */
#line 4327 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 602:

/* Line 1455 of yacc.c  */
#line 4335 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 603:

/* Line 1455 of yacc.c  */
#line 4339 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 604:

/* Line 1455 of yacc.c  */
#line 4343 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 605:

/* Line 1455 of yacc.c  */
#line 4351 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table"),(yyvsp[(4) - (8)].str),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 606:

/* Line 1455 of yacc.c  */
#line 4355 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table if not exists"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),mm_strdup("server"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 607:

/* Line 1455 of yacc.c  */
#line 4363 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 608:

/* Line 1455 of yacc.c  */
#line 4367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
;}
    break;

  case 609:

/* Line 1455 of yacc.c  */
#line 4375 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 610:

/* Line 1455 of yacc.c  */
#line 4379 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 611:

/* Line 1455 of yacc.c  */
#line 4387 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 612:

/* Line 1455 of yacc.c  */
#line 4395 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 613:

/* Line 1455 of yacc.c  */
#line 4399 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 614:

/* Line 1455 of yacc.c  */
#line 4407 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 615:

/* Line 1455 of yacc.c  */
#line 4415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 616:

/* Line 1455 of yacc.c  */
#line 4419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 617:

/* Line 1455 of yacc.c  */
#line 4423 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 618:

/* Line 1455 of yacc.c  */
#line 4431 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[(5) - (7)].str),mm_strdup("server"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 619:

/* Line 1455 of yacc.c  */
#line 4435 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[(7) - (9)].str),mm_strdup("server"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 620:

/* Line 1455 of yacc.c  */
#line 4443 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 621:

/* Line 1455 of yacc.c  */
#line 4451 "preproc.y"
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[(3) - (15)].str),(yyvsp[(4) - (15)].str),(yyvsp[(5) - (15)].str),mm_strdup("on"),(yyvsp[(7) - (15)].str),(yyvsp[(8) - (15)].str),(yyvsp[(9) - (15)].str),mm_strdup("execute procedure"),(yyvsp[(12) - (15)].str),mm_strdup("("),(yyvsp[(14) - (15)].str),mm_strdup(")"));
;}
    break;

  case 622:

/* Line 1455 of yacc.c  */
#line 4455 "preproc.y"
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[(4) - (20)].str),mm_strdup("after"),(yyvsp[(6) - (20)].str),mm_strdup("on"),(yyvsp[(8) - (20)].str),(yyvsp[(9) - (20)].str),(yyvsp[(10) - (20)].str),mm_strdup("for each row"),(yyvsp[(14) - (20)].str),mm_strdup("execute procedure"),(yyvsp[(17) - (20)].str),mm_strdup("("),(yyvsp[(19) - (20)].str),mm_strdup(")"));
;}
    break;

  case 623:

/* Line 1455 of yacc.c  */
#line 4463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
;}
    break;

  case 624:

/* Line 1455 of yacc.c  */
#line 4467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
;}
    break;

  case 625:

/* Line 1455 of yacc.c  */
#line 4471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead of");
;}
    break;

  case 626:

/* Line 1455 of yacc.c  */
#line 4479 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 627:

/* Line 1455 of yacc.c  */
#line 4483 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 628:

/* Line 1455 of yacc.c  */
#line 4491 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 629:

/* Line 1455 of yacc.c  */
#line 4495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 630:

/* Line 1455 of yacc.c  */
#line 4499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 631:

/* Line 1455 of yacc.c  */
#line 4503 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 632:

/* Line 1455 of yacc.c  */
#line 4507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
;}
    break;

  case 633:

/* Line 1455 of yacc.c  */
#line 4515 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 634:

/* Line 1455 of yacc.c  */
#line 4519 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 635:

/* Line 1455 of yacc.c  */
#line 4526 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
;}
    break;

  case 636:

/* Line 1455 of yacc.c  */
#line 4530 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 637:

/* Line 1455 of yacc.c  */
#line 4537 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 638:

/* Line 1455 of yacc.c  */
#line 4541 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
;}
    break;

  case 639:

/* Line 1455 of yacc.c  */
#line 4549 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 640:

/* Line 1455 of yacc.c  */
#line 4553 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 641:

/* Line 1455 of yacc.c  */
#line 4560 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 642:

/* Line 1455 of yacc.c  */
#line 4564 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 643:

/* Line 1455 of yacc.c  */
#line 4568 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 644:

/* Line 1455 of yacc.c  */
#line 4575 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 645:

/* Line 1455 of yacc.c  */
#line 4579 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 646:

/* Line 1455 of yacc.c  */
#line 4583 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 647:

/* Line 1455 of yacc.c  */
#line 4587 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 648:

/* Line 1455 of yacc.c  */
#line 4595 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 649:

/* Line 1455 of yacc.c  */
#line 4599 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 650:

/* Line 1455 of yacc.c  */
#line 4606 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 651:

/* Line 1455 of yacc.c  */
#line 4609 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 652:

/* Line 1455 of yacc.c  */
#line 4617 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 653:

/* Line 1455 of yacc.c  */
#line 4621 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 654:

/* Line 1455 of yacc.c  */
#line 4625 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
;}
    break;

  case 655:

/* Line 1455 of yacc.c  */
#line 4629 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
;}
    break;

  case 656:

/* Line 1455 of yacc.c  */
#line 4633 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not valid");
;}
    break;

  case 657:

/* Line 1455 of yacc.c  */
#line 4637 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
;}
    break;

  case 658:

/* Line 1455 of yacc.c  */
#line 4645 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 659:

/* Line 1455 of yacc.c  */
#line 4649 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 660:

/* Line 1455 of yacc.c  */
#line 4657 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[(3) - (8)].str),mm_strdup("check ("),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 661:

/* Line 1455 of yacc.c  */
#line 4666 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 662:

/* Line 1455 of yacc.c  */
#line 4675 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 663:

/* Line 1455 of yacc.c  */
#line 4679 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 664:

/* Line 1455 of yacc.c  */
#line 4683 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 665:

/* Line 1455 of yacc.c  */
#line 4687 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 666:

/* Line 1455 of yacc.c  */
#line 4691 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 667:

/* Line 1455 of yacc.c  */
#line 4695 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (7)].str),mm_strdup("as ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 668:

/* Line 1455 of yacc.c  */
#line 4699 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (8)].str),mm_strdup("as enum ("),(yyvsp[(7) - (8)].str),mm_strdup(")"));
;}
    break;

  case 669:

/* Line 1455 of yacc.c  */
#line 4703 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[(3) - (6)].str),mm_strdup("as range"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 670:

/* Line 1455 of yacc.c  */
#line 4707 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 671:

/* Line 1455 of yacc.c  */
#line 4711 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 672:

/* Line 1455 of yacc.c  */
#line 4715 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 673:

/* Line 1455 of yacc.c  */
#line 4719 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 674:

/* Line 1455 of yacc.c  */
#line 4723 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 675:

/* Line 1455 of yacc.c  */
#line 4727 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[(3) - (5)].str),mm_strdup("from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 676:

/* Line 1455 of yacc.c  */
#line 4735 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 677:

/* Line 1455 of yacc.c  */
#line 4743 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 678:

/* Line 1455 of yacc.c  */
#line 4747 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 679:

/* Line 1455 of yacc.c  */
#line 4755 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 680:

/* Line 1455 of yacc.c  */
#line 4759 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 681:

/* Line 1455 of yacc.c  */
#line 4767 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 682:

/* Line 1455 of yacc.c  */
#line 4771 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 683:

/* Line 1455 of yacc.c  */
#line 4775 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 684:

/* Line 1455 of yacc.c  */
#line 4779 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 685:

/* Line 1455 of yacc.c  */
#line 4783 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 686:

/* Line 1455 of yacc.c  */
#line 4791 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 687:

/* Line 1455 of yacc.c  */
#line 4795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( * )");
;}
    break;

  case 688:

/* Line 1455 of yacc.c  */
#line 4803 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 689:

/* Line 1455 of yacc.c  */
#line 4811 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 690:

/* Line 1455 of yacc.c  */
#line 4815 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 691:

/* Line 1455 of yacc.c  */
#line 4823 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 692:

/* Line 1455 of yacc.c  */
#line 4831 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 693:

/* Line 1455 of yacc.c  */
#line 4835 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 694:

/* Line 1455 of yacc.c  */
#line 4842 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 695:

/* Line 1455 of yacc.c  */
#line 4846 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 696:

/* Line 1455 of yacc.c  */
#line 4854 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("add value"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 697:

/* Line 1455 of yacc.c  */
#line 4858 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[(3) - (8)].str),mm_strdup("add value"),(yyvsp[(6) - (8)].str),mm_strdup("before"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 698:

/* Line 1455 of yacc.c  */
#line 4862 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[(3) - (8)].str),mm_strdup("add value"),(yyvsp[(6) - (8)].str),mm_strdup("after"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 699:

/* Line 1455 of yacc.c  */
#line 4870 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[(4) - (13)].str),(yyvsp[(5) - (13)].str),mm_strdup("for type"),(yyvsp[(8) - (13)].str),mm_strdup("using"),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),mm_strdup("as"),(yyvsp[(13) - (13)].str));
;}
    break;

  case 700:

/* Line 1455 of yacc.c  */
#line 4878 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 701:

/* Line 1455 of yacc.c  */
#line 4882 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 702:

/* Line 1455 of yacc.c  */
#line 4890 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 703:

/* Line 1455 of yacc.c  */
#line 4894 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 704:

/* Line 1455 of yacc.c  */
#line 4898 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 705:

/* Line 1455 of yacc.c  */
#line 4902 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[(2) - (7)].str),mm_strdup("("),(yyvsp[(4) - (7)].str),mm_strdup(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 706:

/* Line 1455 of yacc.c  */
#line 4906 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 707:

/* Line 1455 of yacc.c  */
#line 4914 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 708:

/* Line 1455 of yacc.c  */
#line 4918 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 709:

/* Line 1455 of yacc.c  */
#line 4925 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 710:

/* Line 1455 of yacc.c  */
#line 4929 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 711:

/* Line 1455 of yacc.c  */
#line 4936 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for search");
;}
    break;

  case 712:

/* Line 1455 of yacc.c  */
#line 4940 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 713:

/* Line 1455 of yacc.c  */
#line 4944 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 714:

/* Line 1455 of yacc.c  */
#line 4951 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
;}
    break;

  case 715:

/* Line 1455 of yacc.c  */
#line 4956 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 716:

/* Line 1455 of yacc.c  */
#line 4963 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[(4) - (6)].str),mm_strdup("using"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 717:

/* Line 1455 of yacc.c  */
#line 4971 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("add"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 718:

/* Line 1455 of yacc.c  */
#line 4975 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("drop"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 719:

/* Line 1455 of yacc.c  */
#line 4983 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 720:

/* Line 1455 of yacc.c  */
#line 4987 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 721:

/* Line 1455 of yacc.c  */
#line 4995 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 722:

/* Line 1455 of yacc.c  */
#line 4999 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 723:

/* Line 1455 of yacc.c  */
#line 5007 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 724:

/* Line 1455 of yacc.c  */
#line 5011 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 725:

/* Line 1455 of yacc.c  */
#line 5019 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 726:

/* Line 1455 of yacc.c  */
#line 5023 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 727:

/* Line 1455 of yacc.c  */
#line 5031 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 728:

/* Line 1455 of yacc.c  */
#line 5039 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[(4) - (6)].str),mm_strdup("to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 729:

/* Line 1455 of yacc.c  */
#line 5047 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 730:

/* Line 1455 of yacc.c  */
#line 5051 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 731:

/* Line 1455 of yacc.c  */
#line 5055 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 732:

/* Line 1455 of yacc.c  */
#line 5059 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 733:

/* Line 1455 of yacc.c  */
#line 5067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 734:

/* Line 1455 of yacc.c  */
#line 5071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 735:

/* Line 1455 of yacc.c  */
#line 5075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 736:

/* Line 1455 of yacc.c  */
#line 5079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 737:

/* Line 1455 of yacc.c  */
#line 5083 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 738:

/* Line 1455 of yacc.c  */
#line 5087 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 739:

/* Line 1455 of yacc.c  */
#line 5091 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 740:

/* Line 1455 of yacc.c  */
#line 5095 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 741:

/* Line 1455 of yacc.c  */
#line 5099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 742:

/* Line 1455 of yacc.c  */
#line 5103 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 743:

/* Line 1455 of yacc.c  */
#line 5107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 744:

/* Line 1455 of yacc.c  */
#line 5111 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
;}
    break;

  case 745:

/* Line 1455 of yacc.c  */
#line 5115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
;}
    break;

  case 746:

/* Line 1455 of yacc.c  */
#line 5119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
;}
    break;

  case 747:

/* Line 1455 of yacc.c  */
#line 5123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
;}
    break;

  case 748:

/* Line 1455 of yacc.c  */
#line 5131 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 749:

/* Line 1455 of yacc.c  */
#line 5135 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 750:

/* Line 1455 of yacc.c  */
#line 5143 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 751:

/* Line 1455 of yacc.c  */
#line 5147 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 752:

/* Line 1455 of yacc.c  */
#line 5155 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
;}
    break;

  case 753:

/* Line 1455 of yacc.c  */
#line 5159 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 754:

/* Line 1455 of yacc.c  */
#line 5167 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 755:

/* Line 1455 of yacc.c  */
#line 5175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue identity");
;}
    break;

  case 756:

/* Line 1455 of yacc.c  */
#line 5179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart identity");
;}
    break;

  case 757:

/* Line 1455 of yacc.c  */
#line 5183 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 758:

/* Line 1455 of yacc.c  */
#line 5190 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 759:

/* Line 1455 of yacc.c  */
#line 5194 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 760:

/* Line 1455 of yacc.c  */
#line 5198 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 761:

/* Line 1455 of yacc.c  */
#line 5202 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 762:

/* Line 1455 of yacc.c  */
#line 5206 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 763:

/* Line 1455 of yacc.c  */
#line 5210 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 764:

/* Line 1455 of yacc.c  */
#line 5214 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 765:

/* Line 1455 of yacc.c  */
#line 5218 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 766:

/* Line 1455 of yacc.c  */
#line 5222 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 767:

/* Line 1455 of yacc.c  */
#line 5226 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 768:

/* Line 1455 of yacc.c  */
#line 5230 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 769:

/* Line 1455 of yacc.c  */
#line 5234 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[(5) - (10)].str),mm_strdup("as"),(yyvsp[(7) - (10)].str),mm_strdup(") is"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 770:

/* Line 1455 of yacc.c  */
#line 5238 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[(3) - (7)].str),mm_strdup("language"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 771:

/* Line 1455 of yacc.c  */
#line 5242 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search parser"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 772:

/* Line 1455 of yacc.c  */
#line 5246 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search dictionary"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 773:

/* Line 1455 of yacc.c  */
#line 5250 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search template"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 774:

/* Line 1455 of yacc.c  */
#line 5254 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search configuration"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 775:

/* Line 1455 of yacc.c  */
#line 5262 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 776:

/* Line 1455 of yacc.c  */
#line 5266 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
;}
    break;

  case 777:

/* Line 1455 of yacc.c  */
#line 5270 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 778:

/* Line 1455 of yacc.c  */
#line 5274 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 779:

/* Line 1455 of yacc.c  */
#line 5278 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 780:

/* Line 1455 of yacc.c  */
#line 5282 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 781:

/* Line 1455 of yacc.c  */
#line 5286 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 782:

/* Line 1455 of yacc.c  */
#line 5290 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 783:

/* Line 1455 of yacc.c  */
#line 5294 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 784:

/* Line 1455 of yacc.c  */
#line 5298 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 785:

/* Line 1455 of yacc.c  */
#line 5302 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 786:

/* Line 1455 of yacc.c  */
#line 5306 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
;}
    break;

  case 787:

/* Line 1455 of yacc.c  */
#line 5310 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 788:

/* Line 1455 of yacc.c  */
#line 5314 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
;}
    break;

  case 789:

/* Line 1455 of yacc.c  */
#line 5318 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 790:

/* Line 1455 of yacc.c  */
#line 5322 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
;}
    break;

  case 791:

/* Line 1455 of yacc.c  */
#line 5326 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
;}
    break;

  case 792:

/* Line 1455 of yacc.c  */
#line 5334 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 793:

/* Line 1455 of yacc.c  */
#line 5338 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 794:

/* Line 1455 of yacc.c  */
#line 5346 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 795:

/* Line 1455 of yacc.c  */
#line 5350 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on aggregate"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 796:

/* Line 1455 of yacc.c  */
#line 5354 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on function"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 797:

/* Line 1455 of yacc.c  */
#line 5358 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on large object"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 798:

/* Line 1455 of yacc.c  */
#line 5362 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on"),(yyvsp[(5) - (9)].str),mm_strdup("language"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 799:

/* Line 1455 of yacc.c  */
#line 5370 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 800:

/* Line 1455 of yacc.c  */
#line 5374 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 801:

/* Line 1455 of yacc.c  */
#line 5381 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 802:

/* Line 1455 of yacc.c  */
#line 5385 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
;}
    break;

  case 803:

/* Line 1455 of yacc.c  */
#line 5389 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 804:

/* Line 1455 of yacc.c  */
#line 5393 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 805:

/* Line 1455 of yacc.c  */
#line 5397 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 806:

/* Line 1455 of yacc.c  */
#line 5401 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 807:

/* Line 1455 of yacc.c  */
#line 5405 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 808:

/* Line 1455 of yacc.c  */
#line 5409 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
;}
    break;

  case 809:

/* Line 1455 of yacc.c  */
#line 5413 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
;}
    break;

  case 810:

/* Line 1455 of yacc.c  */
#line 5417 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 811:

/* Line 1455 of yacc.c  */
#line 5421 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 812:

/* Line 1455 of yacc.c  */
#line 5429 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 813:

/* Line 1455 of yacc.c  */
#line 5433 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 814:

/* Line 1455 of yacc.c  */
#line 5441 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 815:

/* Line 1455 of yacc.c  */
#line 5445 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 816:

/* Line 1455 of yacc.c  */
#line 5449 "preproc.y"
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[(2) - (3)].str));
	;}
    break;

  case 817:

/* Line 1455 of yacc.c  */
#line 5453 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	;}
    break;

  case 818:

/* Line 1455 of yacc.c  */
#line 5459 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	;}
    break;

  case 819:

/* Line 1455 of yacc.c  */
#line 5465 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	;}
    break;

  case 820:

/* Line 1455 of yacc.c  */
#line 5471 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	;}
    break;

  case 821:

/* Line 1455 of yacc.c  */
#line 5477 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	;}
    break;

  case 822:

/* Line 1455 of yacc.c  */
#line 5483 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	;}
    break;

  case 823:

/* Line 1455 of yacc.c  */
#line 5489 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	;}
    break;

  case 824:

/* Line 1455 of yacc.c  */
#line 5495 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	;}
    break;

  case 825:

/* Line 1455 of yacc.c  */
#line 5505 "preproc.y"
    { 
		add_additional_variables((yyvsp[(1) - (1)].str), false);
		if ((yyvsp[(1) - (1)].str)[0] == ':')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 826:

/* Line 1455 of yacc.c  */
#line 5516 "preproc.y"
    { 
		add_additional_variables((yyvsp[(2) - (2)].str), false);
		if ((yyvsp[(2) - (2)].str)[0] == ':')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 827:

/* Line 1455 of yacc.c  */
#line 5527 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 828:

/* Line 1455 of yacc.c  */
#line 5538 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 829:

/* Line 1455 of yacc.c  */
#line 5549 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 830:

/* Line 1455 of yacc.c  */
#line 5560 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 831:

/* Line 1455 of yacc.c  */
#line 5571 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 832:

/* Line 1455 of yacc.c  */
#line 5587 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 833:

/* Line 1455 of yacc.c  */
#line 5603 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(1) - (3)].str)[0] == '$')
		{
			free((yyvsp[(1) - (3)].str));
			(yyvsp[(1) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 834:

/* Line 1455 of yacc.c  */
#line 5619 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 835:

/* Line 1455 of yacc.c  */
#line 5630 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 836:

/* Line 1455 of yacc.c  */
#line 5646 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 837:

/* Line 1455 of yacc.c  */
#line 5657 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 838:

/* Line 1455 of yacc.c  */
#line 5673 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 839:

/* Line 1455 of yacc.c  */
#line 5688 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 840:

/* Line 1455 of yacc.c  */
#line 5692 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 841:

/* Line 1455 of yacc.c  */
#line 5700 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 842:

/* Line 1455 of yacc.c  */
#line 5704 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 843:

/* Line 1455 of yacc.c  */
#line 5711 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 844:

/* Line 1455 of yacc.c  */
#line 5719 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 845:

/* Line 1455 of yacc.c  */
#line 5723 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 846:

/* Line 1455 of yacc.c  */
#line 5731 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 847:

/* Line 1455 of yacc.c  */
#line 5735 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 848:

/* Line 1455 of yacc.c  */
#line 5739 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all privileges");
;}
    break;

  case 849:

/* Line 1455 of yacc.c  */
#line 5743 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 850:

/* Line 1455 of yacc.c  */
#line 5747 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 851:

/* Line 1455 of yacc.c  */
#line 5755 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 852:

/* Line 1455 of yacc.c  */
#line 5759 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 853:

/* Line 1455 of yacc.c  */
#line 5767 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 854:

/* Line 1455 of yacc.c  */
#line 5771 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 855:

/* Line 1455 of yacc.c  */
#line 5775 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 856:

/* Line 1455 of yacc.c  */
#line 5779 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 857:

/* Line 1455 of yacc.c  */
#line 5787 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 858:

/* Line 1455 of yacc.c  */
#line 5791 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 859:

/* Line 1455 of yacc.c  */
#line 5795 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 860:

/* Line 1455 of yacc.c  */
#line 5799 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 861:

/* Line 1455 of yacc.c  */
#line 5803 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 862:

/* Line 1455 of yacc.c  */
#line 5807 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 863:

/* Line 1455 of yacc.c  */
#line 5811 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 864:

/* Line 1455 of yacc.c  */
#line 5815 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 865:

/* Line 1455 of yacc.c  */
#line 5819 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 866:

/* Line 1455 of yacc.c  */
#line 5823 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 867:

/* Line 1455 of yacc.c  */
#line 5827 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 868:

/* Line 1455 of yacc.c  */
#line 5831 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 869:

/* Line 1455 of yacc.c  */
#line 5835 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 870:

/* Line 1455 of yacc.c  */
#line 5839 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 871:

/* Line 1455 of yacc.c  */
#line 5843 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 872:

/* Line 1455 of yacc.c  */
#line 5847 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 873:

/* Line 1455 of yacc.c  */
#line 5855 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 874:

/* Line 1455 of yacc.c  */
#line 5859 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 875:

/* Line 1455 of yacc.c  */
#line 5867 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 876:

/* Line 1455 of yacc.c  */
#line 5871 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 877:

/* Line 1455 of yacc.c  */
#line 5879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with grant option");
;}
    break;

  case 878:

/* Line 1455 of yacc.c  */
#line 5883 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 879:

/* Line 1455 of yacc.c  */
#line 5890 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 880:

/* Line 1455 of yacc.c  */
#line 5894 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 881:

/* Line 1455 of yacc.c  */
#line 5902 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 882:

/* Line 1455 of yacc.c  */
#line 5910 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 883:

/* Line 1455 of yacc.c  */
#line 5918 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[(2) - (6)].str),mm_strdup("from"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 884:

/* Line 1455 of yacc.c  */
#line 5922 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[(5) - (9)].str),mm_strdup("from"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 885:

/* Line 1455 of yacc.c  */
#line 5930 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with admin option");
;}
    break;

  case 886:

/* Line 1455 of yacc.c  */
#line 5934 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 887:

/* Line 1455 of yacc.c  */
#line 5941 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 888:

/* Line 1455 of yacc.c  */
#line 5945 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 889:

/* Line 1455 of yacc.c  */
#line 5952 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 890:

/* Line 1455 of yacc.c  */
#line 5960 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 891:

/* Line 1455 of yacc.c  */
#line 5964 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 892:

/* Line 1455 of yacc.c  */
#line 5971 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 893:

/* Line 1455 of yacc.c  */
#line 5975 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 894:

/* Line 1455 of yacc.c  */
#line 5979 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 895:

/* Line 1455 of yacc.c  */
#line 5987 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 896:

/* Line 1455 of yacc.c  */
#line 5991 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 897:

/* Line 1455 of yacc.c  */
#line 5995 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 898:

/* Line 1455 of yacc.c  */
#line 6003 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
;}
    break;

  case 899:

/* Line 1455 of yacc.c  */
#line 6007 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
;}
    break;

  case 900:

/* Line 1455 of yacc.c  */
#line 6011 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
;}
    break;

  case 901:

/* Line 1455 of yacc.c  */
#line 6015 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
;}
    break;

  case 902:

/* Line 1455 of yacc.c  */
#line 6023 "preproc.y"
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("index"),(yyvsp[(4) - (14)].str),(yyvsp[(5) - (14)].str),mm_strdup("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),mm_strdup("("),(yyvsp[(10) - (14)].str),mm_strdup(")"),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
;}
    break;

  case 903:

/* Line 1455 of yacc.c  */
#line 6031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
;}
    break;

  case 904:

/* Line 1455 of yacc.c  */
#line 6035 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 905:

/* Line 1455 of yacc.c  */
#line 6042 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
;}
    break;

  case 906:

/* Line 1455 of yacc.c  */
#line 6046 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 907:

/* Line 1455 of yacc.c  */
#line 6053 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 908:

/* Line 1455 of yacc.c  */
#line 6057 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 909:

/* Line 1455 of yacc.c  */
#line 6064 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 910:

/* Line 1455 of yacc.c  */
#line 6068 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 911:

/* Line 1455 of yacc.c  */
#line 6075 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 912:

/* Line 1455 of yacc.c  */
#line 6079 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 913:

/* Line 1455 of yacc.c  */
#line 6087 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 914:

/* Line 1455 of yacc.c  */
#line 6091 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 915:

/* Line 1455 of yacc.c  */
#line 6095 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[(2) - (7)].str),mm_strdup(")"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 916:

/* Line 1455 of yacc.c  */
#line 6103 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 917:

/* Line 1455 of yacc.c  */
#line 6107 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 918:

/* Line 1455 of yacc.c  */
#line 6114 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 919:

/* Line 1455 of yacc.c  */
#line 6118 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 920:

/* Line 1455 of yacc.c  */
#line 6122 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 921:

/* Line 1455 of yacc.c  */
#line 6129 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
;}
    break;

  case 922:

/* Line 1455 of yacc.c  */
#line 6133 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
;}
    break;

  case 923:

/* Line 1455 of yacc.c  */
#line 6137 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 924:

/* Line 1455 of yacc.c  */
#line 6144 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls first");
;}
    break;

  case 925:

/* Line 1455 of yacc.c  */
#line 6148 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls last");
;}
    break;

  case 926:

/* Line 1455 of yacc.c  */
#line 6152 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 927:

/* Line 1455 of yacc.c  */
#line 6159 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("function"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),mm_strdup("returns"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 928:

/* Line 1455 of yacc.c  */
#line 6163 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("function"),(yyvsp[(4) - (12)].str),(yyvsp[(5) - (12)].str),mm_strdup("returns table ("),(yyvsp[(9) - (12)].str),mm_strdup(")"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
;}
    break;

  case 929:

/* Line 1455 of yacc.c  */
#line 6167 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (7)].str),mm_strdup("function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 930:

/* Line 1455 of yacc.c  */
#line 6175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or replace");
;}
    break;

  case 931:

/* Line 1455 of yacc.c  */
#line 6179 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 932:

/* Line 1455 of yacc.c  */
#line 6186 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 933:

/* Line 1455 of yacc.c  */
#line 6190 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
;}
    break;

  case 934:

/* Line 1455 of yacc.c  */
#line 6198 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 935:

/* Line 1455 of yacc.c  */
#line 6202 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 936:

/* Line 1455 of yacc.c  */
#line 6210 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 937:

/* Line 1455 of yacc.c  */
#line 6214 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
;}
    break;

  case 938:

/* Line 1455 of yacc.c  */
#line 6222 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 939:

/* Line 1455 of yacc.c  */
#line 6226 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 940:

/* Line 1455 of yacc.c  */
#line 6234 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 941:

/* Line 1455 of yacc.c  */
#line 6238 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 942:

/* Line 1455 of yacc.c  */
#line 6242 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 943:

/* Line 1455 of yacc.c  */
#line 6246 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 944:

/* Line 1455 of yacc.c  */
#line 6250 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 945:

/* Line 1455 of yacc.c  */
#line 6258 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 946:

/* Line 1455 of yacc.c  */
#line 6262 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
;}
    break;

  case 947:

/* Line 1455 of yacc.c  */
#line 6266 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
;}
    break;

  case 948:

/* Line 1455 of yacc.c  */
#line 6270 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in out");
;}
    break;

  case 949:

/* Line 1455 of yacc.c  */
#line 6274 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
;}
    break;

  case 950:

/* Line 1455 of yacc.c  */
#line 6282 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 951:

/* Line 1455 of yacc.c  */
#line 6290 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 952:

/* Line 1455 of yacc.c  */
#line 6298 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 953:

/* Line 1455 of yacc.c  */
#line 6302 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),mm_strdup("% type"));
;}
    break;

  case 954:

/* Line 1455 of yacc.c  */
#line 6306 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("% type"));
;}
    break;

  case 955:

/* Line 1455 of yacc.c  */
#line 6314 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 956:

/* Line 1455 of yacc.c  */
#line 6318 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("default"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 957:

/* Line 1455 of yacc.c  */
#line 6322 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 958:

/* Line 1455 of yacc.c  */
#line 6330 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 959:

/* Line 1455 of yacc.c  */
#line 6334 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 960:

/* Line 1455 of yacc.c  */
#line 6342 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called on null input");
;}
    break;

  case 961:

/* Line 1455 of yacc.c  */
#line 6346 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns null on null input");
;}
    break;

  case 962:

/* Line 1455 of yacc.c  */
#line 6350 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
;}
    break;

  case 963:

/* Line 1455 of yacc.c  */
#line 6354 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
;}
    break;

  case 964:

/* Line 1455 of yacc.c  */
#line 6358 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
;}
    break;

  case 965:

/* Line 1455 of yacc.c  */
#line 6362 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
;}
    break;

  case 966:

/* Line 1455 of yacc.c  */
#line 6366 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security definer");
;}
    break;

  case 967:

/* Line 1455 of yacc.c  */
#line 6370 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security invoker");
;}
    break;

  case 968:

/* Line 1455 of yacc.c  */
#line 6374 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security definer");
;}
    break;

  case 969:

/* Line 1455 of yacc.c  */
#line 6378 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security invoker");
;}
    break;

  case 970:

/* Line 1455 of yacc.c  */
#line 6382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
;}
    break;

  case 971:

/* Line 1455 of yacc.c  */
#line 6386 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not leakproof");
;}
    break;

  case 972:

/* Line 1455 of yacc.c  */
#line 6390 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 973:

/* Line 1455 of yacc.c  */
#line 6394 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 974:

/* Line 1455 of yacc.c  */
#line 6398 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 975:

/* Line 1455 of yacc.c  */
#line 6406 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 976:

/* Line 1455 of yacc.c  */
#line 6410 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 977:

/* Line 1455 of yacc.c  */
#line 6414 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
;}
    break;

  case 978:

/* Line 1455 of yacc.c  */
#line 6418 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 979:

/* Line 1455 of yacc.c  */
#line 6426 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 980:

/* Line 1455 of yacc.c  */
#line 6430 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 981:

/* Line 1455 of yacc.c  */
#line 6438 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 982:

/* Line 1455 of yacc.c  */
#line 6442 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 983:

/* Line 1455 of yacc.c  */
#line 6449 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 984:

/* Line 1455 of yacc.c  */
#line 6457 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 985:

/* Line 1455 of yacc.c  */
#line 6461 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 986:

/* Line 1455 of yacc.c  */
#line 6469 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 987:

/* Line 1455 of yacc.c  */
#line 6477 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 988:

/* Line 1455 of yacc.c  */
#line 6481 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 989:

/* Line 1455 of yacc.c  */
#line 6489 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 990:

/* Line 1455 of yacc.c  */
#line 6493 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 991:

/* Line 1455 of yacc.c  */
#line 6500 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 992:

/* Line 1455 of yacc.c  */
#line 6504 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 993:

/* Line 1455 of yacc.c  */
#line 6512 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 994:

/* Line 1455 of yacc.c  */
#line 6516 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 995:

/* Line 1455 of yacc.c  */
#line 6524 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 996:

/* Line 1455 of yacc.c  */
#line 6528 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 997:

/* Line 1455 of yacc.c  */
#line 6536 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 998:

/* Line 1455 of yacc.c  */
#line 6540 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 999:

/* Line 1455 of yacc.c  */
#line 6544 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1000:

/* Line 1455 of yacc.c  */
#line 6548 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(", none )"));
;}
    break;

  case 1001:

/* Line 1455 of yacc.c  */
#line 6556 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1002:

/* Line 1455 of yacc.c  */
#line 6560 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1003:

/* Line 1455 of yacc.c  */
#line 6568 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1004:

/* Line 1455 of yacc.c  */
#line 6576 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1005:

/* Line 1455 of yacc.c  */
#line 6580 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1006:

/* Line 1455 of yacc.c  */
#line 6588 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1007:

/* Line 1455 of yacc.c  */
#line 6592 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1008:

/* Line 1455 of yacc.c  */
#line 6600 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[(4) - (11)].str),mm_strdup("as"),(yyvsp[(6) - (11)].str),mm_strdup(") with function"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1009:

/* Line 1455 of yacc.c  */
#line 6604 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") without function"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1010:

/* Line 1455 of yacc.c  */
#line 6608 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") with inout"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1011:

/* Line 1455 of yacc.c  */
#line 6616 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as implicit");
;}
    break;

  case 1012:

/* Line 1455 of yacc.c  */
#line 6620 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as assignment");
;}
    break;

  case 1013:

/* Line 1455 of yacc.c  */
#line 6624 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1014:

/* Line 1455 of yacc.c  */
#line 6631 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[(3) - (9)].str),mm_strdup("("),(yyvsp[(5) - (9)].str),mm_strdup("as"),(yyvsp[(7) - (9)].str),mm_strdup(")"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1015:

/* Line 1455 of yacc.c  */
#line 6639 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if exists");
;}
    break;

  case 1016:

/* Line 1455 of yacc.c  */
#line 6643 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1017:

/* Line 1455 of yacc.c  */
#line 6650 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1018:

/* Line 1455 of yacc.c  */
#line 6654 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1019:

/* Line 1455 of yacc.c  */
#line 6658 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1020:

/* Line 1455 of yacc.c  */
#line 6666 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 1021:

/* Line 1455 of yacc.c  */
#line 6670 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 1022:

/* Line 1455 of yacc.c  */
#line 6678 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
;}
    break;

  case 1023:

/* Line 1455 of yacc.c  */
#line 6682 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1024:

/* Line 1455 of yacc.c  */
#line 6689 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1025:

/* Line 1455 of yacc.c  */
#line 6693 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1026:

/* Line 1455 of yacc.c  */
#line 6697 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1027:

/* Line 1455 of yacc.c  */
#line 6701 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1028:

/* Line 1455 of yacc.c  */
#line 6705 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1029:

/* Line 1455 of yacc.c  */
#line 6709 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1030:

/* Line 1455 of yacc.c  */
#line 6713 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1031:

/* Line 1455 of yacc.c  */
#line 6717 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1032:

/* Line 1455 of yacc.c  */
#line 6721 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1033:

/* Line 1455 of yacc.c  */
#line 6725 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1034:

/* Line 1455 of yacc.c  */
#line 6729 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1035:

/* Line 1455 of yacc.c  */
#line 6733 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1036:

/* Line 1455 of yacc.c  */
#line 6737 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1037:

/* Line 1455 of yacc.c  */
#line 6741 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1038:

/* Line 1455 of yacc.c  */
#line 6745 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1039:

/* Line 1455 of yacc.c  */
#line 6749 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1040:

/* Line 1455 of yacc.c  */
#line 6753 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1041:

/* Line 1455 of yacc.c  */
#line 6757 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1042:

/* Line 1455 of yacc.c  */
#line 6761 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1043:

/* Line 1455 of yacc.c  */
#line 6765 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1044:

/* Line 1455 of yacc.c  */
#line 6769 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1045:

/* Line 1455 of yacc.c  */
#line 6773 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1046:

/* Line 1455 of yacc.c  */
#line 6777 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1047:

/* Line 1455 of yacc.c  */
#line 6781 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1048:

/* Line 1455 of yacc.c  */
#line 6785 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1049:

/* Line 1455 of yacc.c  */
#line 6789 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[(5) - (10)].str),mm_strdup("rename"),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),mm_strdup("to"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1050:

/* Line 1455 of yacc.c  */
#line 6793 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1051:

/* Line 1455 of yacc.c  */
#line 6797 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1052:

/* Line 1455 of yacc.c  */
#line 6801 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (11)].str),mm_strdup("rename"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),mm_strdup("to"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1053:

/* Line 1455 of yacc.c  */
#line 6805 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1054:

/* Line 1455 of yacc.c  */
#line 6809 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1055:

/* Line 1455 of yacc.c  */
#line 6813 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1056:

/* Line 1455 of yacc.c  */
#line 6817 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1057:

/* Line 1455 of yacc.c  */
#line 6821 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1058:

/* Line 1455 of yacc.c  */
#line 6825 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1059:

/* Line 1455 of yacc.c  */
#line 6829 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1060:

/* Line 1455 of yacc.c  */
#line 6833 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1061:

/* Line 1455 of yacc.c  */
#line 6837 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1062:

/* Line 1455 of yacc.c  */
#line 6841 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1063:

/* Line 1455 of yacc.c  */
#line 6845 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1064:

/* Line 1455 of yacc.c  */
#line 6849 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("rename attribute"),(yyvsp[(6) - (9)].str),mm_strdup("to"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1065:

/* Line 1455 of yacc.c  */
#line 6857 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 1066:

/* Line 1455 of yacc.c  */
#line 6861 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1067:

/* Line 1455 of yacc.c  */
#line 6868 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set data");
;}
    break;

  case 1068:

/* Line 1455 of yacc.c  */
#line 6872 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1069:

/* Line 1455 of yacc.c  */
#line 6879 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1070:

/* Line 1455 of yacc.c  */
#line 6883 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1071:

/* Line 1455 of yacc.c  */
#line 6887 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1072:

/* Line 1455 of yacc.c  */
#line 6891 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1073:

/* Line 1455 of yacc.c  */
#line 6895 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1074:

/* Line 1455 of yacc.c  */
#line 6899 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1075:

/* Line 1455 of yacc.c  */
#line 6903 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1076:

/* Line 1455 of yacc.c  */
#line 6907 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1077:

/* Line 1455 of yacc.c  */
#line 6911 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1078:

/* Line 1455 of yacc.c  */
#line 6915 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1079:

/* Line 1455 of yacc.c  */
#line 6919 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1080:

/* Line 1455 of yacc.c  */
#line 6923 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1081:

/* Line 1455 of yacc.c  */
#line 6927 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1082:

/* Line 1455 of yacc.c  */
#line 6931 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1083:

/* Line 1455 of yacc.c  */
#line 6935 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1084:

/* Line 1455 of yacc.c  */
#line 6939 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1085:

/* Line 1455 of yacc.c  */
#line 6943 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1086:

/* Line 1455 of yacc.c  */
#line 6947 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1087:

/* Line 1455 of yacc.c  */
#line 6951 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1088:

/* Line 1455 of yacc.c  */
#line 6955 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1089:

/* Line 1455 of yacc.c  */
#line 6959 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1090:

/* Line 1455 of yacc.c  */
#line 6963 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1091:

/* Line 1455 of yacc.c  */
#line 6971 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1092:

/* Line 1455 of yacc.c  */
#line 6975 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1093:

/* Line 1455 of yacc.c  */
#line 6979 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1094:

/* Line 1455 of yacc.c  */
#line 6983 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1095:

/* Line 1455 of yacc.c  */
#line 6987 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1096:

/* Line 1455 of yacc.c  */
#line 6991 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1097:

/* Line 1455 of yacc.c  */
#line 6995 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1098:

/* Line 1455 of yacc.c  */
#line 6999 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1099:

/* Line 1455 of yacc.c  */
#line 7003 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1100:

/* Line 1455 of yacc.c  */
#line 7007 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1101:

/* Line 1455 of yacc.c  */
#line 7011 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1102:

/* Line 1455 of yacc.c  */
#line 7015 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1103:

/* Line 1455 of yacc.c  */
#line 7019 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1104:

/* Line 1455 of yacc.c  */
#line 7023 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1105:

/* Line 1455 of yacc.c  */
#line 7027 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1106:

/* Line 1455 of yacc.c  */
#line 7031 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1107:

/* Line 1455 of yacc.c  */
#line 7035 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1108:

/* Line 1455 of yacc.c  */
#line 7039 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1109:

/* Line 1455 of yacc.c  */
#line 7047 "preproc.y"
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("rule"),(yyvsp[(4) - (13)].str),mm_strdup("as on"),(yyvsp[(7) - (13)].str),mm_strdup("to"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),mm_strdup("do"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
;}
    break;

  case 1110:

/* Line 1455 of yacc.c  */
#line 7055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
;}
    break;

  case 1111:

/* Line 1455 of yacc.c  */
#line 7059 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1112:

/* Line 1455 of yacc.c  */
#line 7063 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1113:

/* Line 1455 of yacc.c  */
#line 7071 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(";"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1114:

/* Line 1455 of yacc.c  */
#line 7075 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1115:

/* Line 1455 of yacc.c  */
#line 7083 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1116:

/* Line 1455 of yacc.c  */
#line 7087 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1117:

/* Line 1455 of yacc.c  */
#line 7091 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1118:

/* Line 1455 of yacc.c  */
#line 7095 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1119:

/* Line 1455 of yacc.c  */
#line 7099 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1120:

/* Line 1455 of yacc.c  */
#line 7107 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1121:

/* Line 1455 of yacc.c  */
#line 7111 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1122:

/* Line 1455 of yacc.c  */
#line 7118 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
;}
    break;

  case 1123:

/* Line 1455 of yacc.c  */
#line 7122 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 1124:

/* Line 1455 of yacc.c  */
#line 7126 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 1125:

/* Line 1455 of yacc.c  */
#line 7130 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 1126:

/* Line 1455 of yacc.c  */
#line 7138 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
;}
    break;

  case 1127:

/* Line 1455 of yacc.c  */
#line 7142 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
;}
    break;

  case 1128:

/* Line 1455 of yacc.c  */
#line 7146 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1129:

/* Line 1455 of yacc.c  */
#line 7153 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1130:

/* Line 1455 of yacc.c  */
#line 7157 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1131:

/* Line 1455 of yacc.c  */
#line 7165 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1132:

/* Line 1455 of yacc.c  */
#line 7173 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1133:

/* Line 1455 of yacc.c  */
#line 7177 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1134:

/* Line 1455 of yacc.c  */
#line 7184 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1135:

/* Line 1455 of yacc.c  */
#line 7192 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1136:

/* Line 1455 of yacc.c  */
#line 7196 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten *");
;}
    break;

  case 1137:

/* Line 1455 of yacc.c  */
#line 7204 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1138:

/* Line 1455 of yacc.c  */
#line 7208 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1139:

/* Line 1455 of yacc.c  */
#line 7212 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1140:

/* Line 1455 of yacc.c  */
#line 7216 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1141:

/* Line 1455 of yacc.c  */
#line 7220 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1142:

/* Line 1455 of yacc.c  */
#line 7224 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1143:

/* Line 1455 of yacc.c  */
#line 7228 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1144:

/* Line 1455 of yacc.c  */
#line 7232 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1145:

/* Line 1455 of yacc.c  */
#line 7236 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1146:

/* Line 1455 of yacc.c  */
#line 7240 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (5)].str),mm_strdup("to savepoint"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1147:

/* Line 1455 of yacc.c  */
#line 7244 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (4)].str),mm_strdup("to"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1148:

/* Line 1455 of yacc.c  */
#line 7248 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1149:

/* Line 1455 of yacc.c  */
#line 7252 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1150:

/* Line 1455 of yacc.c  */
#line 7256 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1151:

/* Line 1455 of yacc.c  */
#line 7264 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
;}
    break;

  case 1152:

/* Line 1455 of yacc.c  */
#line 7268 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
;}
    break;

  case 1153:

/* Line 1455 of yacc.c  */
#line 7272 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1154:

/* Line 1455 of yacc.c  */
#line 7279 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1155:

/* Line 1455 of yacc.c  */
#line 7283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read only");
;}
    break;

  case 1156:

/* Line 1455 of yacc.c  */
#line 7287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read write");
;}
    break;

  case 1157:

/* Line 1455 of yacc.c  */
#line 7291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 1158:

/* Line 1455 of yacc.c  */
#line 7295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 1159:

/* Line 1455 of yacc.c  */
#line 7303 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1160:

/* Line 1455 of yacc.c  */
#line 7307 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1161:

/* Line 1455 of yacc.c  */
#line 7311 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1162:

/* Line 1455 of yacc.c  */
#line 7319 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1163:

/* Line 1455 of yacc.c  */
#line 7323 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1164:

/* Line 1455 of yacc.c  */
#line 7330 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("view"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),mm_strdup("as"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1165:

/* Line 1455 of yacc.c  */
#line 7334 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[(4) - (11)].str),mm_strdup("view"),(yyvsp[(6) - (11)].str),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),mm_strdup("as"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1166:

/* Line 1455 of yacc.c  */
#line 7342 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with check option");
;}
    break;

  case 1167:

/* Line 1455 of yacc.c  */
#line 7347 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with cascaded check option");
;}
    break;

  case 1168:

/* Line 1455 of yacc.c  */
#line 7352 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with local check option");
;}
    break;

  case 1169:

/* Line 1455 of yacc.c  */
#line 7357 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1170:

/* Line 1455 of yacc.c  */
#line 7364 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1171:

/* Line 1455 of yacc.c  */
#line 7372 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1172:

/* Line 1455 of yacc.c  */
#line 7380 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1173:

/* Line 1455 of yacc.c  */
#line 7384 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1174:

/* Line 1455 of yacc.c  */
#line 7391 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1175:

/* Line 1455 of yacc.c  */
#line 7395 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1176:

/* Line 1455 of yacc.c  */
#line 7399 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1177:

/* Line 1455 of yacc.c  */
#line 7403 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1178:

/* Line 1455 of yacc.c  */
#line 7407 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1179:

/* Line 1455 of yacc.c  */
#line 7411 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1180:

/* Line 1455 of yacc.c  */
#line 7415 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1181:

/* Line 1455 of yacc.c  */
#line 7419 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1182:

/* Line 1455 of yacc.c  */
#line 7423 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1183:

/* Line 1455 of yacc.c  */
#line 7427 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1184:

/* Line 1455 of yacc.c  */
#line 7431 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1185:

/* Line 1455 of yacc.c  */
#line 7435 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1186:

/* Line 1455 of yacc.c  */
#line 7439 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1187:

/* Line 1455 of yacc.c  */
#line 7443 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1188:

/* Line 1455 of yacc.c  */
#line 7447 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1189:

/* Line 1455 of yacc.c  */
#line 7451 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1190:

/* Line 1455 of yacc.c  */
#line 7459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
;}
    break;

  case 1191:

/* Line 1455 of yacc.c  */
#line 7463 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1192:

/* Line 1455 of yacc.c  */
#line 7470 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1193:

/* Line 1455 of yacc.c  */
#line 7474 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("set tablespace"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1194:

/* Line 1455 of yacc.c  */
#line 7482 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1195:

/* Line 1455 of yacc.c  */
#line 7490 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1196:

/* Line 1455 of yacc.c  */
#line 7494 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1197:

/* Line 1455 of yacc.c  */
#line 7501 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1198:

/* Line 1455 of yacc.c  */
#line 7509 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1199:

/* Line 1455 of yacc.c  */
#line 7513 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1200:

/* Line 1455 of yacc.c  */
#line 7521 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1201:

/* Line 1455 of yacc.c  */
#line 7529 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1202:

/* Line 1455 of yacc.c  */
#line 7533 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
;}
    break;

  case 1203:

/* Line 1455 of yacc.c  */
#line 7537 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
;}
    break;

  case 1204:

/* Line 1455 of yacc.c  */
#line 7541 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (5)].str),mm_strdup("add"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1205:

/* Line 1455 of yacc.c  */
#line 7545 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (7)].str),mm_strdup("drop constraint"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1206:

/* Line 1455 of yacc.c  */
#line 7549 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (9)].str),mm_strdup("drop constraint if exists"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1207:

/* Line 1455 of yacc.c  */
#line 7553 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("validate constraint"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1208:

/* Line 1455 of yacc.c  */
#line 7561 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
;}
    break;

  case 1209:

/* Line 1455 of yacc.c  */
#line 7565 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1210:

/* Line 1455 of yacc.c  */
#line 7572 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1211:

/* Line 1455 of yacc.c  */
#line 7580 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("add mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1212:

/* Line 1455 of yacc.c  */
#line 7584 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1213:

/* Line 1455 of yacc.c  */
#line 7588 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping replace"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1214:

/* Line 1455 of yacc.c  */
#line 7592 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[(5) - (13)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (13)].str),mm_strdup("replace"),(yyvsp[(11) - (13)].str),mm_strdup("with"),(yyvsp[(13) - (13)].str));
;}
    break;

  case 1215:

/* Line 1455 of yacc.c  */
#line 7596 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (9)].str),mm_strdup("drop mapping for"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1216:

/* Line 1455 of yacc.c  */
#line 7600 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("drop mapping if exists for"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1217:

/* Line 1455 of yacc.c  */
#line 7608 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("conversion"),(yyvsp[(4) - (10)].str),mm_strdup("for"),(yyvsp[(6) - (10)].str),mm_strdup("to"),(yyvsp[(8) - (10)].str),mm_strdup("from"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1218:

/* Line 1455 of yacc.c  */
#line 7616 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1219:

/* Line 1455 of yacc.c  */
#line 7620 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1220:

/* Line 1455 of yacc.c  */
#line 7624 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("on"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1221:

/* Line 1455 of yacc.c  */
#line 7632 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1222:

/* Line 1455 of yacc.c  */
#line 7636 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1223:

/* Line 1455 of yacc.c  */
#line 7643 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1224:

/* Line 1455 of yacc.c  */
#line 7647 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1225:

/* Line 1455 of yacc.c  */
#line 7651 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1226:

/* Line 1455 of yacc.c  */
#line 7655 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1227:

/* Line 1455 of yacc.c  */
#line 7659 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1228:

/* Line 1455 of yacc.c  */
#line 7667 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1229:

/* Line 1455 of yacc.c  */
#line 7671 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1230:

/* Line 1455 of yacc.c  */
#line 7679 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1231:

/* Line 1455 of yacc.c  */
#line 7683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1232:

/* Line 1455 of yacc.c  */
#line 7687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 1233:

/* Line 1455 of yacc.c  */
#line 7691 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 1234:

/* Line 1455 of yacc.c  */
#line 7699 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1235:

/* Line 1455 of yacc.c  */
#line 7703 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1236:

/* Line 1455 of yacc.c  */
#line 7711 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
;}
    break;

  case 1237:

/* Line 1455 of yacc.c  */
#line 7715 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
;}
    break;

  case 1238:

/* Line 1455 of yacc.c  */
#line 7723 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1239:

/* Line 1455 of yacc.c  */
#line 7727 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1240:

/* Line 1455 of yacc.c  */
#line 7734 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 1241:

/* Line 1455 of yacc.c  */
#line 7738 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1242:

/* Line 1455 of yacc.c  */
#line 7745 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 1243:

/* Line 1455 of yacc.c  */
#line 7749 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1244:

/* Line 1455 of yacc.c  */
#line 7756 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1245:

/* Line 1455 of yacc.c  */
#line 7760 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1246:

/* Line 1455 of yacc.c  */
#line 7767 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1247:

/* Line 1455 of yacc.c  */
#line 7771 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1248:

/* Line 1455 of yacc.c  */
#line 7775 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1249:

/* Line 1455 of yacc.c  */
#line 7779 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1250:

/* Line 1455 of yacc.c  */
#line 7787 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1251:

/* Line 1455 of yacc.c  */
#line 7791 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1252:

/* Line 1455 of yacc.c  */
#line 7795 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1253:

/* Line 1455 of yacc.c  */
#line 7799 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1254:

/* Line 1455 of yacc.c  */
#line 7803 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1255:

/* Line 1455 of yacc.c  */
#line 7807 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1256:

/* Line 1455 of yacc.c  */
#line 7811 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1257:

/* Line 1455 of yacc.c  */
#line 7819 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1258:

/* Line 1455 of yacc.c  */
#line 7823 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1259:

/* Line 1455 of yacc.c  */
#line 7831 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1260:

/* Line 1455 of yacc.c  */
#line 7839 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1261:

/* Line 1455 of yacc.c  */
#line 7843 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1262:

/* Line 1455 of yacc.c  */
#line 7847 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1263:

/* Line 1455 of yacc.c  */
#line 7855 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1264:

/* Line 1455 of yacc.c  */
#line 7859 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1265:

/* Line 1455 of yacc.c  */
#line 7863 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1266:

/* Line 1455 of yacc.c  */
#line 7870 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (5)].str);
		(yyval.prep).type = (yyvsp[(3) - (5)].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[(5) - (5)].str), mm_strdup("\""));
	;}
    break;

  case 1267:

/* Line 1455 of yacc.c  */
#line 7876 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (4)].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[(4) - (4)].str);
	;}
    break;

  case 1268:

/* Line 1455 of yacc.c  */
#line 7886 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1269:

/* Line 1455 of yacc.c  */
#line 7890 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1270:

/* Line 1455 of yacc.c  */
#line 7897 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1271:

/* Line 1455 of yacc.c  */
#line 7901 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1272:

/* Line 1455 of yacc.c  */
#line 7905 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1273:

/* Line 1455 of yacc.c  */
#line 7909 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1274:

/* Line 1455 of yacc.c  */
#line 7917 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (4)].str); ;}
    break;

  case 1275:

/* Line 1455 of yacc.c  */
#line 7919 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("table"),(yyvsp[(4) - (9)].str),mm_strdup("as execute"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1276:

/* Line 1455 of yacc.c  */
#line 7927 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1277:

/* Line 1455 of yacc.c  */
#line 7931 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1278:

/* Line 1455 of yacc.c  */
#line 7938 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("insert into"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1279:

/* Line 1455 of yacc.c  */
#line 7946 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1280:

/* Line 1455 of yacc.c  */
#line 7950 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1281:

/* Line 1455 of yacc.c  */
#line 7954 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default values");
;}
    break;

  case 1282:

/* Line 1455 of yacc.c  */
#line 7962 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1283:

/* Line 1455 of yacc.c  */
#line 7966 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1284:

/* Line 1455 of yacc.c  */
#line 7974 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1285:

/* Line 1455 of yacc.c  */
#line 7982 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[(2) - (3)].str));
;}
    break;

  case 1286:

/* Line 1455 of yacc.c  */
#line 7986 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1287:

/* Line 1455 of yacc.c  */
#line 7993 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("delete from"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1288:

/* Line 1455 of yacc.c  */
#line 8001 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1289:

/* Line 1455 of yacc.c  */
#line 8005 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1290:

/* Line 1455 of yacc.c  */
#line 8012 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1291:

/* Line 1455 of yacc.c  */
#line 8020 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[(2) - (3)].str),mm_strdup("mode"));
;}
    break;

  case 1292:

/* Line 1455 of yacc.c  */
#line 8024 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1293:

/* Line 1455 of yacc.c  */
#line 8031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access share");
;}
    break;

  case 1294:

/* Line 1455 of yacc.c  */
#line 8035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row share");
;}
    break;

  case 1295:

/* Line 1455 of yacc.c  */
#line 8039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row exclusive");
;}
    break;

  case 1296:

/* Line 1455 of yacc.c  */
#line 8043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share update exclusive");
;}
    break;

  case 1297:

/* Line 1455 of yacc.c  */
#line 8047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
;}
    break;

  case 1298:

/* Line 1455 of yacc.c  */
#line 8051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share row exclusive");
;}
    break;

  case 1299:

/* Line 1455 of yacc.c  */
#line 8055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
;}
    break;

  case 1300:

/* Line 1455 of yacc.c  */
#line 8059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access exclusive");
;}
    break;

  case 1301:

/* Line 1455 of yacc.c  */
#line 8067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
;}
    break;

  case 1302:

/* Line 1455 of yacc.c  */
#line 8071 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1303:

/* Line 1455 of yacc.c  */
#line 8078 "preproc.y"
    { 
 (yyval.str) = cat_str(8,(yyvsp[(1) - (8)].str),mm_strdup("update"),(yyvsp[(3) - (8)].str),mm_strdup("set"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1304:

/* Line 1455 of yacc.c  */
#line 8086 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1305:

/* Line 1455 of yacc.c  */
#line 8090 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1306:

/* Line 1455 of yacc.c  */
#line 8098 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1307:

/* Line 1455 of yacc.c  */
#line 8102 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1308:

/* Line 1455 of yacc.c  */
#line 8110 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1309:

/* Line 1455 of yacc.c  */
#line 8118 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(") ="),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1310:

/* Line 1455 of yacc.c  */
#line 8126 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1311:

/* Line 1455 of yacc.c  */
#line 8134 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1312:

/* Line 1455 of yacc.c  */
#line 8138 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1313:

/* Line 1455 of yacc.c  */
#line 8146 "preproc.y"
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = ((yyvsp[(2) - (7)].str)[0] == ':' ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
			{
				if ((yyvsp[(2) - (7)].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[(2) - (7)].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for"), (yyvsp[(7) - (7)].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	;}
    break;

  case 1314:

/* Line 1455 of yacc.c  */
#line 8199 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1315:

/* Line 1455 of yacc.c  */
#line 8203 "preproc.y"
    {
			char *curname = mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[(1) - (1)].str));
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = curname;
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 1316:

/* Line 1455 of yacc.c  */
#line 8215 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1317:

/* Line 1455 of yacc.c  */
#line 8218 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("no scroll"));
;}
    break;

  case 1318:

/* Line 1455 of yacc.c  */
#line 8222 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("scroll"));
;}
    break;

  case 1319:

/* Line 1455 of yacc.c  */
#line 8226 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("binary"));
;}
    break;

  case 1320:

/* Line 1455 of yacc.c  */
#line 8230 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("insensitive"));
;}
    break;

  case 1321:

/* Line 1455 of yacc.c  */
#line 8238 "preproc.y"
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	;}
    break;

  case 1322:

/* Line 1455 of yacc.c  */
#line 8245 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with hold");
;}
    break;

  case 1323:

/* Line 1455 of yacc.c  */
#line 8249 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without hold");
;}
    break;

  case 1324:

/* Line 1455 of yacc.c  */
#line 8257 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1325:

/* Line 1455 of yacc.c  */
#line 8261 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1326:

/* Line 1455 of yacc.c  */
#line 8269 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1327:

/* Line 1455 of yacc.c  */
#line 8273 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1328:

/* Line 1455 of yacc.c  */
#line 8281 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1329:

/* Line 1455 of yacc.c  */
#line 8285 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1330:

/* Line 1455 of yacc.c  */
#line 8289 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1331:

/* Line 1455 of yacc.c  */
#line 8293 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1332:

/* Line 1455 of yacc.c  */
#line 8297 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1333:

/* Line 1455 of yacc.c  */
#line 8301 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1334:

/* Line 1455 of yacc.c  */
#line 8305 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1335:

/* Line 1455 of yacc.c  */
#line 8309 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1336:

/* Line 1455 of yacc.c  */
#line 8317 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1337:

/* Line 1455 of yacc.c  */
#line 8321 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1338:

/* Line 1455 of yacc.c  */
#line 8329 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1339:

/* Line 1455 of yacc.c  */
#line 8333 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1340:

/* Line 1455 of yacc.c  */
#line 8337 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1341:

/* Line 1455 of yacc.c  */
#line 8341 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("union"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1342:

/* Line 1455 of yacc.c  */
#line 8345 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("intersect"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1343:

/* Line 1455 of yacc.c  */
#line 8349 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("except"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1344:

/* Line 1455 of yacc.c  */
#line 8357 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1345:

/* Line 1455 of yacc.c  */
#line 8361 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1346:

/* Line 1455 of yacc.c  */
#line 8369 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1347:

/* Line 1455 of yacc.c  */
#line 8373 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1348:

/* Line 1455 of yacc.c  */
#line 8381 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),mm_strdup("as ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1349:

/* Line 1455 of yacc.c  */
#line 8389 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1350:

/* Line 1455 of yacc.c  */
#line 8393 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1351:

/* Line 1455 of yacc.c  */
#line 8400 "preproc.y"
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[(2) - (2)].str));
					;}
    break;

  case 1352:

/* Line 1455 of yacc.c  */
#line 8404 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 1353:

/* Line 1455 of yacc.c  */
#line 8406 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1354:

/* Line 1455 of yacc.c  */
#line 8413 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1355:

/* Line 1455 of yacc.c  */
#line 8417 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1356:

/* Line 1455 of yacc.c  */
#line 8421 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1357:

/* Line 1455 of yacc.c  */
#line 8425 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1358:

/* Line 1455 of yacc.c  */
#line 8429 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1359:

/* Line 1455 of yacc.c  */
#line 8433 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1360:

/* Line 1455 of yacc.c  */
#line 8437 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1361:

/* Line 1455 of yacc.c  */
#line 8441 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1362:

/* Line 1455 of yacc.c  */
#line 8445 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1363:

/* Line 1455 of yacc.c  */
#line 8453 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 1364:

/* Line 1455 of yacc.c  */
#line 8457 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1365:

/* Line 1455 of yacc.c  */
#line 8464 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1366:

/* Line 1455 of yacc.c  */
#line 8468 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 1367:

/* Line 1455 of yacc.c  */
#line 8472 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1368:

/* Line 1455 of yacc.c  */
#line 8479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 1369:

/* Line 1455 of yacc.c  */
#line 8483 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1370:

/* Line 1455 of yacc.c  */
#line 8487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1371:

/* Line 1455 of yacc.c  */
#line 8491 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1372:

/* Line 1455 of yacc.c  */
#line 8498 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1373:

/* Line 1455 of yacc.c  */
#line 8502 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1374:

/* Line 1455 of yacc.c  */
#line 8509 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1375:

/* Line 1455 of yacc.c  */
#line 8517 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1376:

/* Line 1455 of yacc.c  */
#line 8521 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1377:

/* Line 1455 of yacc.c  */
#line 8529 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("using"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1378:

/* Line 1455 of yacc.c  */
#line 8533 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1379:

/* Line 1455 of yacc.c  */
#line 8541 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1380:

/* Line 1455 of yacc.c  */
#line 8545 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1381:

/* Line 1455 of yacc.c  */
#line 8549 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1382:

/* Line 1455 of yacc.c  */
#line 8553 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1383:

/* Line 1455 of yacc.c  */
#line 8561 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1384:

/* Line 1455 of yacc.c  */
#line 8565 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1385:

/* Line 1455 of yacc.c  */
#line 8572 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1386:

/* Line 1455 of yacc.c  */
#line 8576 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[(2) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str));
	;}
    break;

  case 1387:

/* Line 1455 of yacc.c  */
#line 8581 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("only"));
;}
    break;

  case 1388:

/* Line 1455 of yacc.c  */
#line 8589 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1389:

/* Line 1455 of yacc.c  */
#line 8593 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1390:

/* Line 1455 of yacc.c  */
#line 8601 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1391:

/* Line 1455 of yacc.c  */
#line 8605 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1392:

/* Line 1455 of yacc.c  */
#line 8613 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1393:

/* Line 1455 of yacc.c  */
#line 8621 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1394:

/* Line 1455 of yacc.c  */
#line 8625 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1395:

/* Line 1455 of yacc.c  */
#line 8629 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1396:

/* Line 1455 of yacc.c  */
#line 8636 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1397:

/* Line 1455 of yacc.c  */
#line 8644 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 1398:

/* Line 1455 of yacc.c  */
#line 8648 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
;}
    break;

  case 1399:

/* Line 1455 of yacc.c  */
#line 8656 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
;}
    break;

  case 1400:

/* Line 1455 of yacc.c  */
#line 8660 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
;}
    break;

  case 1401:

/* Line 1455 of yacc.c  */
#line 8668 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1402:

/* Line 1455 of yacc.c  */
#line 8672 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1403:

/* Line 1455 of yacc.c  */
#line 8679 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1404:

/* Line 1455 of yacc.c  */
#line 8683 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1405:

/* Line 1455 of yacc.c  */
#line 8690 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1406:

/* Line 1455 of yacc.c  */
#line 8694 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for read only");
;}
    break;

  case 1407:

/* Line 1455 of yacc.c  */
#line 8702 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1408:

/* Line 1455 of yacc.c  */
#line 8706 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1409:

/* Line 1455 of yacc.c  */
#line 8713 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1410:

/* Line 1455 of yacc.c  */
#line 8717 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1411:

/* Line 1455 of yacc.c  */
#line 8725 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for update"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1412:

/* Line 1455 of yacc.c  */
#line 8729 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for share"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1413:

/* Line 1455 of yacc.c  */
#line 8737 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1414:

/* Line 1455 of yacc.c  */
#line 8741 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1415:

/* Line 1455 of yacc.c  */
#line 8748 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1416:

/* Line 1455 of yacc.c  */
#line 8752 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1417:

/* Line 1455 of yacc.c  */
#line 8760 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1418:

/* Line 1455 of yacc.c  */
#line 8764 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1419:

/* Line 1455 of yacc.c  */
#line 8771 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1420:

/* Line 1455 of yacc.c  */
#line 8775 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1421:

/* Line 1455 of yacc.c  */
#line 8783 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1422:

/* Line 1455 of yacc.c  */
#line 8787 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1423:

/* Line 1455 of yacc.c  */
#line 8791 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1424:

/* Line 1455 of yacc.c  */
#line 8795 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1425:

/* Line 1455 of yacc.c  */
#line 8799 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("as ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1426:

/* Line 1455 of yacc.c  */
#line 8803 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("as"),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1427:

/* Line 1455 of yacc.c  */
#line 8807 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1428:

/* Line 1455 of yacc.c  */
#line 8811 "preproc.y"
    { 
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1429:

/* Line 1455 of yacc.c  */
#line 8817 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1430:

/* Line 1455 of yacc.c  */
#line 8821 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1431:

/* Line 1455 of yacc.c  */
#line 8825 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1432:

/* Line 1455 of yacc.c  */
#line 8833 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1433:

/* Line 1455 of yacc.c  */
#line 8837 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("cross join"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1434:

/* Line 1455 of yacc.c  */
#line 8841 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("join"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1435:

/* Line 1455 of yacc.c  */
#line 8845 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("join"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1436:

/* Line 1455 of yacc.c  */
#line 8849 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("natural"),(yyvsp[(3) - (5)].str),mm_strdup("join"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1437:

/* Line 1455 of yacc.c  */
#line 8853 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("natural join"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1438:

/* Line 1455 of yacc.c  */
#line 8861 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1439:

/* Line 1455 of yacc.c  */
#line 8865 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1440:

/* Line 1455 of yacc.c  */
#line 8869 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1441:

/* Line 1455 of yacc.c  */
#line 8873 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1442:

/* Line 1455 of yacc.c  */
#line 8881 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1443:

/* Line 1455 of yacc.c  */
#line 8885 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1444:

/* Line 1455 of yacc.c  */
#line 8889 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1445:

/* Line 1455 of yacc.c  */
#line 8893 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
;}
    break;

  case 1446:

/* Line 1455 of yacc.c  */
#line 8901 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
;}
    break;

  case 1447:

/* Line 1455 of yacc.c  */
#line 8905 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1448:

/* Line 1455 of yacc.c  */
#line 8912 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1449:

/* Line 1455 of yacc.c  */
#line 8916 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1450:

/* Line 1455 of yacc.c  */
#line 8924 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1451:

/* Line 1455 of yacc.c  */
#line 8928 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("*"));
;}
    break;

  case 1452:

/* Line 1455 of yacc.c  */
#line 8932 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1453:

/* Line 1455 of yacc.c  */
#line 8936 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1454:

/* Line 1455 of yacc.c  */
#line 8944 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1455:

/* Line 1455 of yacc.c  */
#line 8948 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1456:

/* Line 1455 of yacc.c  */
#line 8956 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1457:

/* Line 1455 of yacc.c  */
#line 8960 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1458:

/* Line 1455 of yacc.c  */
#line 8964 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1459:

/* Line 1455 of yacc.c  */
#line 8972 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1460:

/* Line 1455 of yacc.c  */
#line 8980 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1461:

/* Line 1455 of yacc.c  */
#line 8984 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1462:

/* Line 1455 of yacc.c  */
#line 8991 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1463:

/* Line 1455 of yacc.c  */
#line 8995 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	;}
    break;

  case 1464:

/* Line 1455 of yacc.c  */
#line 9000 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1465:

/* Line 1455 of yacc.c  */
#line 9007 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1466:

/* Line 1455 of yacc.c  */
#line 9011 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1467:

/* Line 1455 of yacc.c  */
#line 9018 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1468:

/* Line 1455 of yacc.c  */
#line 9022 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1469:

/* Line 1455 of yacc.c  */
#line 9030 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1470:

/* Line 1455 of yacc.c  */
#line 9038 "preproc.y"
    {	(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].index).str); ;}
    break;

  case 1471:

/* Line 1455 of yacc.c  */
#line 9040 "preproc.y"
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].index).str); ;}
    break;

  case 1472:

/* Line 1455 of yacc.c  */
#line 9042 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("array ["),(yyvsp[(4) - (5)].str),mm_strdup("]"));
;}
    break;

  case 1473:

/* Line 1455 of yacc.c  */
#line 9046 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[(2) - (6)].str),mm_strdup("array ["),(yyvsp[(5) - (6)].str),mm_strdup("]"));
;}
    break;

  case 1474:

/* Line 1455 of yacc.c  */
#line 9050 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("array"));
;}
    break;

  case 1475:

/* Line 1455 of yacc.c  */
#line 9054 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[(2) - (3)].str),mm_strdup("array"));
;}
    break;

  case 1476:

/* Line 1455 of yacc.c  */
#line 9062 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (3)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (3)].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[(1) - (3)].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[(1) - (3)].index).str, mm_strdup("[]"));
	;}
    break;

  case 1477:

/* Line 1455 of yacc.c  */
#line 9072 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (4)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (4)].index).index2;
		if (strcmp((yyvsp[(1) - (4)].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[(3) - (4)].str));
		else if (strcmp((yyvsp[(1) - (4)].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[(3) - (4)].str));
		(yyval.index).str = cat_str(4, (yyvsp[(1) - (4)].index).str, mm_strdup("["), (yyvsp[(3) - (4)].str), mm_strdup("]"));
	;}
    break;

  case 1478:

/* Line 1455 of yacc.c  */
#line 9082 "preproc.y"
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	;}
    break;

  case 1479:

/* Line 1455 of yacc.c  */
#line 9092 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1480:

/* Line 1455 of yacc.c  */
#line 9096 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1481:

/* Line 1455 of yacc.c  */
#line 9100 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1482:

/* Line 1455 of yacc.c  */
#line 9104 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1483:

/* Line 1455 of yacc.c  */
#line 9108 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1484:

/* Line 1455 of yacc.c  */
#line 9112 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1485:

/* Line 1455 of yacc.c  */
#line 9116 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1486:

/* Line 1455 of yacc.c  */
#line 9124 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1487:

/* Line 1455 of yacc.c  */
#line 9128 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1488:

/* Line 1455 of yacc.c  */
#line 9132 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1489:

/* Line 1455 of yacc.c  */
#line 9136 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1490:

/* Line 1455 of yacc.c  */
#line 9144 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1491:

/* Line 1455 of yacc.c  */
#line 9148 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1492:

/* Line 1455 of yacc.c  */
#line 9156 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1493:

/* Line 1455 of yacc.c  */
#line 9160 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1494:

/* Line 1455 of yacc.c  */
#line 9167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("int");
;}
    break;

  case 1495:

/* Line 1455 of yacc.c  */
#line 9171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
;}
    break;

  case 1496:

/* Line 1455 of yacc.c  */
#line 9175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
;}
    break;

  case 1497:

/* Line 1455 of yacc.c  */
#line 9179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
;}
    break;

  case 1498:

/* Line 1455 of yacc.c  */
#line 9183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
;}
    break;

  case 1499:

/* Line 1455 of yacc.c  */
#line 9187 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1500:

/* Line 1455 of yacc.c  */
#line 9191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double precision");
;}
    break;

  case 1501:

/* Line 1455 of yacc.c  */
#line 9195 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1502:

/* Line 1455 of yacc.c  */
#line 9199 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1503:

/* Line 1455 of yacc.c  */
#line 9203 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1504:

/* Line 1455 of yacc.c  */
#line 9207 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
;}
    break;

  case 1505:

/* Line 1455 of yacc.c  */
#line 9215 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1506:

/* Line 1455 of yacc.c  */
#line 9219 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1507:

/* Line 1455 of yacc.c  */
#line 9226 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1508:

/* Line 1455 of yacc.c  */
#line 9230 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1509:

/* Line 1455 of yacc.c  */
#line 9238 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1510:

/* Line 1455 of yacc.c  */
#line 9242 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1511:

/* Line 1455 of yacc.c  */
#line 9250 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1512:

/* Line 1455 of yacc.c  */
#line 9258 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1513:

/* Line 1455 of yacc.c  */
#line 9266 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1514:

/* Line 1455 of yacc.c  */
#line 9270 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1515:

/* Line 1455 of yacc.c  */
#line 9278 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1516:

/* Line 1455 of yacc.c  */
#line 9282 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1517:

/* Line 1455 of yacc.c  */
#line 9290 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1518:

/* Line 1455 of yacc.c  */
#line 9298 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1519:

/* Line 1455 of yacc.c  */
#line 9306 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1520:

/* Line 1455 of yacc.c  */
#line 9310 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1521:

/* Line 1455 of yacc.c  */
#line 9314 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
;}
    break;

  case 1522:

/* Line 1455 of yacc.c  */
#line 9318 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1523:

/* Line 1455 of yacc.c  */
#line 9322 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1524:

/* Line 1455 of yacc.c  */
#line 9326 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1525:

/* Line 1455 of yacc.c  */
#line 9334 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
;}
    break;

  case 1526:

/* Line 1455 of yacc.c  */
#line 9338 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1527:

/* Line 1455 of yacc.c  */
#line 9345 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1528:

/* Line 1455 of yacc.c  */
#line 9349 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1529:

/* Line 1455 of yacc.c  */
#line 9356 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1530:

/* Line 1455 of yacc.c  */
#line 9360 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1531:

/* Line 1455 of yacc.c  */
#line 9364 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1532:

/* Line 1455 of yacc.c  */
#line 9368 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1533:

/* Line 1455 of yacc.c  */
#line 9376 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
;}
    break;

  case 1534:

/* Line 1455 of yacc.c  */
#line 9384 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with time zone");
;}
    break;

  case 1535:

/* Line 1455 of yacc.c  */
#line 9388 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without time zone");
;}
    break;

  case 1536:

/* Line 1455 of yacc.c  */
#line 9392 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1537:

/* Line 1455 of yacc.c  */
#line 9399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
;}
    break;

  case 1538:

/* Line 1455 of yacc.c  */
#line 9403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
;}
    break;

  case 1539:

/* Line 1455 of yacc.c  */
#line 9407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
;}
    break;

  case 1540:

/* Line 1455 of yacc.c  */
#line 9411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
;}
    break;

  case 1541:

/* Line 1455 of yacc.c  */
#line 9415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
;}
    break;

  case 1542:

/* Line 1455 of yacc.c  */
#line 9419 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1543:

/* Line 1455 of yacc.c  */
#line 9423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year to month");
;}
    break;

  case 1544:

/* Line 1455 of yacc.c  */
#line 9427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to hour");
;}
    break;

  case 1545:

/* Line 1455 of yacc.c  */
#line 9431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to minute");
;}
    break;

  case 1546:

/* Line 1455 of yacc.c  */
#line 9435 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1547:

/* Line 1455 of yacc.c  */
#line 9439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour to minute");
;}
    break;

  case 1548:

/* Line 1455 of yacc.c  */
#line 9443 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1549:

/* Line 1455 of yacc.c  */
#line 9447 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1550:

/* Line 1455 of yacc.c  */
#line 9451 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1551:

/* Line 1455 of yacc.c  */
#line 9458 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
;}
    break;

  case 1552:

/* Line 1455 of yacc.c  */
#line 9462 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1553:

/* Line 1455 of yacc.c  */
#line 9470 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1554:

/* Line 1455 of yacc.c  */
#line 9474 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1555:

/* Line 1455 of yacc.c  */
#line 9478 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("collate"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1556:

/* Line 1455 of yacc.c  */
#line 9482 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("at time zone"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1557:

/* Line 1455 of yacc.c  */
#line 9486 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1558:

/* Line 1455 of yacc.c  */
#line 9490 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1559:

/* Line 1455 of yacc.c  */
#line 9494 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1560:

/* Line 1455 of yacc.c  */
#line 9498 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1561:

/* Line 1455 of yacc.c  */
#line 9502 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1562:

/* Line 1455 of yacc.c  */
#line 9506 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1563:

/* Line 1455 of yacc.c  */
#line 9510 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1564:

/* Line 1455 of yacc.c  */
#line 9514 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1565:

/* Line 1455 of yacc.c  */
#line 9518 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1566:

/* Line 1455 of yacc.c  */
#line 9522 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1567:

/* Line 1455 of yacc.c  */
#line 9526 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1568:

/* Line 1455 of yacc.c  */
#line 9530 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1569:

/* Line 1455 of yacc.c  */
#line 9534 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1570:

/* Line 1455 of yacc.c  */
#line 9538 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1571:

/* Line 1455 of yacc.c  */
#line 9542 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1572:

/* Line 1455 of yacc.c  */
#line 9546 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1573:

/* Line 1455 of yacc.c  */
#line 9550 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1574:

/* Line 1455 of yacc.c  */
#line 9554 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("like"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1575:

/* Line 1455 of yacc.c  */
#line 9558 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("like"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1576:

/* Line 1455 of yacc.c  */
#line 9562 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not like"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1577:

/* Line 1455 of yacc.c  */
#line 9566 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not like"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1578:

/* Line 1455 of yacc.c  */
#line 9570 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("ilike"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1579:

/* Line 1455 of yacc.c  */
#line 9574 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("ilike"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1580:

/* Line 1455 of yacc.c  */
#line 9578 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not ilike"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1581:

/* Line 1455 of yacc.c  */
#line 9582 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not ilike"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1582:

/* Line 1455 of yacc.c  */
#line 9586 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("similar to"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1583:

/* Line 1455 of yacc.c  */
#line 9590 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("similar to"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1584:

/* Line 1455 of yacc.c  */
#line 9594 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("not similar to"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1585:

/* Line 1455 of yacc.c  */
#line 9598 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not similar to"),(yyvsp[(5) - (7)].str),mm_strdup("escape"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1586:

/* Line 1455 of yacc.c  */
#line 9602 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is null"));
;}
    break;

  case 1587:

/* Line 1455 of yacc.c  */
#line 9606 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("isnull"));
;}
    break;

  case 1588:

/* Line 1455 of yacc.c  */
#line 9610 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not null"));
;}
    break;

  case 1589:

/* Line 1455 of yacc.c  */
#line 9614 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("notnull"));
;}
    break;

  case 1590:

/* Line 1455 of yacc.c  */
#line 9618 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("overlaps"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1591:

/* Line 1455 of yacc.c  */
#line 9622 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is true"));
;}
    break;

  case 1592:

/* Line 1455 of yacc.c  */
#line 9626 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not true"));
;}
    break;

  case 1593:

/* Line 1455 of yacc.c  */
#line 9630 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is false"));
;}
    break;

  case 1594:

/* Line 1455 of yacc.c  */
#line 9634 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not false"));
;}
    break;

  case 1595:

/* Line 1455 of yacc.c  */
#line 9638 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is unknown"));
;}
    break;

  case 1596:

/* Line 1455 of yacc.c  */
#line 9642 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not unknown"));
;}
    break;

  case 1597:

/* Line 1455 of yacc.c  */
#line 9646 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1598:

/* Line 1455 of yacc.c  */
#line 9650 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1599:

/* Line 1455 of yacc.c  */
#line 9654 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1600:

/* Line 1455 of yacc.c  */
#line 9658 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1601:

/* Line 1455 of yacc.c  */
#line 9662 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("between"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1602:

/* Line 1455 of yacc.c  */
#line 9666 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("not between"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1603:

/* Line 1455 of yacc.c  */
#line 9670 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("between symmetric"),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1604:

/* Line 1455 of yacc.c  */
#line 9674 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not between symmetric"),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1605:

/* Line 1455 of yacc.c  */
#line 9678 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1606:

/* Line 1455 of yacc.c  */
#line 9682 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not in"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1607:

/* Line 1455 of yacc.c  */
#line 9686 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1608:

/* Line 1455 of yacc.c  */
#line 9690 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1609:

/* Line 1455 of yacc.c  */
#line 9694 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1610:

/* Line 1455 of yacc.c  */
#line 9699 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
;}
    break;

  case 1611:

/* Line 1455 of yacc.c  */
#line 9703 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
;}
    break;

  case 1612:

/* Line 1455 of yacc.c  */
#line 9711 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1613:

/* Line 1455 of yacc.c  */
#line 9715 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1614:

/* Line 1455 of yacc.c  */
#line 9719 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1615:

/* Line 1455 of yacc.c  */
#line 9723 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1616:

/* Line 1455 of yacc.c  */
#line 9727 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1617:

/* Line 1455 of yacc.c  */
#line 9731 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1618:

/* Line 1455 of yacc.c  */
#line 9735 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1619:

/* Line 1455 of yacc.c  */
#line 9739 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1620:

/* Line 1455 of yacc.c  */
#line 9743 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1621:

/* Line 1455 of yacc.c  */
#line 9747 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1622:

/* Line 1455 of yacc.c  */
#line 9751 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1623:

/* Line 1455 of yacc.c  */
#line 9755 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1624:

/* Line 1455 of yacc.c  */
#line 9759 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1625:

/* Line 1455 of yacc.c  */
#line 9763 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1626:

/* Line 1455 of yacc.c  */
#line 9767 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1627:

/* Line 1455 of yacc.c  */
#line 9771 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1628:

/* Line 1455 of yacc.c  */
#line 9775 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1629:

/* Line 1455 of yacc.c  */
#line 9779 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1630:

/* Line 1455 of yacc.c  */
#line 9783 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1631:

/* Line 1455 of yacc.c  */
#line 9787 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1632:

/* Line 1455 of yacc.c  */
#line 9791 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
;}
    break;

  case 1633:

/* Line 1455 of yacc.c  */
#line 9795 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
;}
    break;

  case 1634:

/* Line 1455 of yacc.c  */
#line 9803 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1635:

/* Line 1455 of yacc.c  */
#line 9807 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1636:

/* Line 1455 of yacc.c  */
#line 9811 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1637:

/* Line 1455 of yacc.c  */
#line 9815 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1638:

/* Line 1455 of yacc.c  */
#line 9819 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1639:

/* Line 1455 of yacc.c  */
#line 9823 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1640:

/* Line 1455 of yacc.c  */
#line 9827 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1641:

/* Line 1455 of yacc.c  */
#line 9831 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1642:

/* Line 1455 of yacc.c  */
#line 9835 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1643:

/* Line 1455 of yacc.c  */
#line 9839 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1644:

/* Line 1455 of yacc.c  */
#line 9843 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1645:

/* Line 1455 of yacc.c  */
#line 9847 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1646:

/* Line 1455 of yacc.c  */
#line 9855 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("( )"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1647:

/* Line 1455 of yacc.c  */
#line 9859 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1648:

/* Line 1455 of yacc.c  */
#line 9863 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( variadic"),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1649:

/* Line 1455 of yacc.c  */
#line 9867 "preproc.y"
    { 
 (yyval.str) = cat_str(7,(yyvsp[(1) - (8)].str),mm_strdup("("),(yyvsp[(3) - (8)].str),mm_strdup(", variadic"),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1650:

/* Line 1455 of yacc.c  */
#line 9871 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1651:

/* Line 1455 of yacc.c  */
#line 9875 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( all"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1652:

/* Line 1455 of yacc.c  */
#line 9879 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( distinct"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1653:

/* Line 1455 of yacc.c  */
#line 9883 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("( * )"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1654:

/* Line 1455 of yacc.c  */
#line 9887 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1655:

/* Line 1455 of yacc.c  */
#line 9891 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
;}
    break;

  case 1656:

/* Line 1455 of yacc.c  */
#line 9895 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
;}
    break;

  case 1657:

/* Line 1455 of yacc.c  */
#line 9899 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1658:

/* Line 1455 of yacc.c  */
#line 9903 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
;}
    break;

  case 1659:

/* Line 1455 of yacc.c  */
#line 9907 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1660:

/* Line 1455 of yacc.c  */
#line 9911 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
;}
    break;

  case 1661:

/* Line 1455 of yacc.c  */
#line 9915 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1662:

/* Line 1455 of yacc.c  */
#line 9919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
;}
    break;

  case 1663:

/* Line 1455 of yacc.c  */
#line 9923 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1664:

/* Line 1455 of yacc.c  */
#line 9927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
;}
    break;

  case 1665:

/* Line 1455 of yacc.c  */
#line 9931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 1666:

/* Line 1455 of yacc.c  */
#line 9935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
;}
    break;

  case 1667:

/* Line 1455 of yacc.c  */
#line 9939 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 1668:

/* Line 1455 of yacc.c  */
#line 9943 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
;}
    break;

  case 1669:

/* Line 1455 of yacc.c  */
#line 9947 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
;}
    break;

  case 1670:

/* Line 1455 of yacc.c  */
#line 9951 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1671:

/* Line 1455 of yacc.c  */
#line 9955 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1672:

/* Line 1455 of yacc.c  */
#line 9959 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1673:

/* Line 1455 of yacc.c  */
#line 9963 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1674:

/* Line 1455 of yacc.c  */
#line 9967 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1675:

/* Line 1455 of yacc.c  */
#line 9971 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1676:

/* Line 1455 of yacc.c  */
#line 9975 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1677:

/* Line 1455 of yacc.c  */
#line 9979 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1678:

/* Line 1455 of yacc.c  */
#line 9983 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1679:

/* Line 1455 of yacc.c  */
#line 9987 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1680:

/* Line 1455 of yacc.c  */
#line 9991 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[(3) - (6)].str),mm_strdup(","),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1681:

/* Line 1455 of yacc.c  */
#line 9995 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1682:

/* Line 1455 of yacc.c  */
#line 9999 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1683:

/* Line 1455 of yacc.c  */
#line 10003 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1684:

/* Line 1455 of yacc.c  */
#line 10007 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1685:

/* Line 1455 of yacc.c  */
#line 10011 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1686:

/* Line 1455 of yacc.c  */
#line 10015 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1687:

/* Line 1455 of yacc.c  */
#line 10019 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1688:

/* Line 1455 of yacc.c  */
#line 10023 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (9)].str),mm_strdup(","),(yyvsp[(6) - (9)].str),mm_strdup(","),(yyvsp[(8) - (9)].str),mm_strdup(")"));
;}
    break;

  case 1689:

/* Line 1455 of yacc.c  */
#line 10027 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1690:

/* Line 1455 of yacc.c  */
#line 10031 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1691:

/* Line 1455 of yacc.c  */
#line 10035 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1692:

/* Line 1455 of yacc.c  */
#line 10039 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1693:

/* Line 1455 of yacc.c  */
#line 10043 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1694:

/* Line 1455 of yacc.c  */
#line 10047 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[(3) - (7)].str),mm_strdup(","),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1695:

/* Line 1455 of yacc.c  */
#line 10051 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("as"),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1696:

/* Line 1455 of yacc.c  */
#line 10059 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1697:

/* Line 1455 of yacc.c  */
#line 10063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version no value");
;}
    break;

  case 1698:

/* Line 1455 of yacc.c  */
#line 10071 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone yes");
;}
    break;

  case 1699:

/* Line 1455 of yacc.c  */
#line 10075 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no");
;}
    break;

  case 1700:

/* Line 1455 of yacc.c  */
#line 10079 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no value");
;}
    break;

  case 1701:

/* Line 1455 of yacc.c  */
#line 10083 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1702:

/* Line 1455 of yacc.c  */
#line 10090 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1703:

/* Line 1455 of yacc.c  */
#line 10098 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1704:

/* Line 1455 of yacc.c  */
#line 10102 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1705:

/* Line 1455 of yacc.c  */
#line 10110 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1706:

/* Line 1455 of yacc.c  */
#line 10114 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1707:

/* Line 1455 of yacc.c  */
#line 10122 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
;}
    break;

  case 1708:

/* Line 1455 of yacc.c  */
#line 10126 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
;}
    break;

  case 1709:

/* Line 1455 of yacc.c  */
#line 10134 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
;}
    break;

  case 1710:

/* Line 1455 of yacc.c  */
#line 10138 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip whitespace");
;}
    break;

  case 1711:

/* Line 1455 of yacc.c  */
#line 10142 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1712:

/* Line 1455 of yacc.c  */
#line 10149 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1713:

/* Line 1455 of yacc.c  */
#line 10153 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[(2) - (4)].str),mm_strdup("by ref"));
;}
    break;

  case 1714:

/* Line 1455 of yacc.c  */
#line 10157 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1715:

/* Line 1455 of yacc.c  */
#line 10161 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[(4) - (6)].str),mm_strdup("by ref"));
;}
    break;

  case 1716:

/* Line 1455 of yacc.c  */
#line 10169 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1717:

/* Line 1455 of yacc.c  */
#line 10173 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1718:

/* Line 1455 of yacc.c  */
#line 10180 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1719:

/* Line 1455 of yacc.c  */
#line 10184 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1720:

/* Line 1455 of yacc.c  */
#line 10192 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1721:

/* Line 1455 of yacc.c  */
#line 10200 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1722:

/* Line 1455 of yacc.c  */
#line 10204 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1723:

/* Line 1455 of yacc.c  */
#line 10208 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1724:

/* Line 1455 of yacc.c  */
#line 10215 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1725:

/* Line 1455 of yacc.c  */
#line 10223 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1726:

/* Line 1455 of yacc.c  */
#line 10227 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1727:

/* Line 1455 of yacc.c  */
#line 10234 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1728:

/* Line 1455 of yacc.c  */
#line 10238 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1729:

/* Line 1455 of yacc.c  */
#line 10245 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1730:

/* Line 1455 of yacc.c  */
#line 10250 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1731:

/* Line 1455 of yacc.c  */
#line 10254 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1732:

/* Line 1455 of yacc.c  */
#line 10261 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1733:

/* Line 1455 of yacc.c  */
#line 10265 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[(2) - (4)].str),mm_strdup("and"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1734:

/* Line 1455 of yacc.c  */
#line 10273 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
;}
    break;

  case 1735:

/* Line 1455 of yacc.c  */
#line 10277 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded following");
;}
    break;

  case 1736:

/* Line 1455 of yacc.c  */
#line 10281 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current row");
;}
    break;

  case 1737:

/* Line 1455 of yacc.c  */
#line 10285 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("preceding"));
;}
    break;

  case 1738:

/* Line 1455 of yacc.c  */
#line 10289 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("following"));
;}
    break;

  case 1739:

/* Line 1455 of yacc.c  */
#line 10297 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1740:

/* Line 1455 of yacc.c  */
#line 10301 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row ( )");
;}
    break;

  case 1741:

/* Line 1455 of yacc.c  */
#line 10305 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1742:

/* Line 1455 of yacc.c  */
#line 10313 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
;}
    break;

  case 1743:

/* Line 1455 of yacc.c  */
#line 10317 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
;}
    break;

  case 1744:

/* Line 1455 of yacc.c  */
#line 10321 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1745:

/* Line 1455 of yacc.c  */
#line 10329 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1746:

/* Line 1455 of yacc.c  */
#line 10333 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1747:

/* Line 1455 of yacc.c  */
#line 10341 "preproc.y"
    { 
 (yyval.str) = mm_strdup("+");
;}
    break;

  case 1748:

/* Line 1455 of yacc.c  */
#line 10345 "preproc.y"
    { 
 (yyval.str) = mm_strdup("-");
;}
    break;

  case 1749:

/* Line 1455 of yacc.c  */
#line 10349 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 1750:

/* Line 1455 of yacc.c  */
#line 10353 "preproc.y"
    { 
 (yyval.str) = mm_strdup("/");
;}
    break;

  case 1751:

/* Line 1455 of yacc.c  */
#line 10357 "preproc.y"
    { 
 (yyval.str) = mm_strdup("%");
;}
    break;

  case 1752:

/* Line 1455 of yacc.c  */
#line 10361 "preproc.y"
    { 
 (yyval.str) = mm_strdup("^");
;}
    break;

  case 1753:

/* Line 1455 of yacc.c  */
#line 10365 "preproc.y"
    { 
 (yyval.str) = mm_strdup("<");
;}
    break;

  case 1754:

/* Line 1455 of yacc.c  */
#line 10369 "preproc.y"
    { 
 (yyval.str) = mm_strdup(">");
;}
    break;

  case 1755:

/* Line 1455 of yacc.c  */
#line 10373 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
;}
    break;

  case 1756:

/* Line 1455 of yacc.c  */
#line 10381 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1757:

/* Line 1455 of yacc.c  */
#line 10385 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1758:

/* Line 1455 of yacc.c  */
#line 10393 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1759:

/* Line 1455 of yacc.c  */
#line 10397 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1760:

/* Line 1455 of yacc.c  */
#line 10405 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1761:

/* Line 1455 of yacc.c  */
#line 10409 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1762:

/* Line 1455 of yacc.c  */
#line 10413 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
;}
    break;

  case 1763:

/* Line 1455 of yacc.c  */
#line 10417 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not like");
;}
    break;

  case 1764:

/* Line 1455 of yacc.c  */
#line 10421 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
;}
    break;

  case 1765:

/* Line 1455 of yacc.c  */
#line 10425 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not ilike");
;}
    break;

  case 1766:

/* Line 1455 of yacc.c  */
#line 10433 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1767:

/* Line 1455 of yacc.c  */
#line 10437 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1768:

/* Line 1455 of yacc.c  */
#line 10445 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1769:

/* Line 1455 of yacc.c  */
#line 10449 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1770:

/* Line 1455 of yacc.c  */
#line 10457 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1771:

/* Line 1455 of yacc.c  */
#line 10461 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(":="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1772:

/* Line 1455 of yacc.c  */
#line 10469 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1773:

/* Line 1455 of yacc.c  */
#line 10473 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1774:

/* Line 1455 of yacc.c  */
#line 10481 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1775:

/* Line 1455 of yacc.c  */
#line 10485 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1776:

/* Line 1455 of yacc.c  */
#line 10489 "preproc.y"
    { 
 (yyval.str) = mm_strdup("[ ]");
;}
    break;

  case 1777:

/* Line 1455 of yacc.c  */
#line 10497 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1778:

/* Line 1455 of yacc.c  */
#line 10501 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1779:

/* Line 1455 of yacc.c  */
#line 10509 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1780:

/* Line 1455 of yacc.c  */
#line 10513 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1781:

/* Line 1455 of yacc.c  */
#line 10520 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1782:

/* Line 1455 of yacc.c  */
#line 10524 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
;}
    break;

  case 1783:

/* Line 1455 of yacc.c  */
#line 10528 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
;}
    break;

  case 1784:

/* Line 1455 of yacc.c  */
#line 10532 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
;}
    break;

  case 1785:

/* Line 1455 of yacc.c  */
#line 10536 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
;}
    break;

  case 1786:

/* Line 1455 of yacc.c  */
#line 10540 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
;}
    break;

  case 1787:

/* Line 1455 of yacc.c  */
#line 10544 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
;}
    break;

  case 1788:

/* Line 1455 of yacc.c  */
#line 10548 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1789:

/* Line 1455 of yacc.c  */
#line 10556 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1790:

/* Line 1455 of yacc.c  */
#line 10560 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1791:

/* Line 1455 of yacc.c  */
#line 10568 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1792:

/* Line 1455 of yacc.c  */
#line 10576 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1793:

/* Line 1455 of yacc.c  */
#line 10580 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1794:

/* Line 1455 of yacc.c  */
#line 10587 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1795:

/* Line 1455 of yacc.c  */
#line 10591 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1796:

/* Line 1455 of yacc.c  */
#line 10595 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1797:

/* Line 1455 of yacc.c  */
#line 10599 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1798:

/* Line 1455 of yacc.c  */
#line 10603 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1799:

/* Line 1455 of yacc.c  */
#line 10607 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1800:

/* Line 1455 of yacc.c  */
#line 10614 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1801:

/* Line 1455 of yacc.c  */
#line 10622 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1802:

/* Line 1455 of yacc.c  */
#line 10630 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1803:

/* Line 1455 of yacc.c  */
#line 10634 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1804:

/* Line 1455 of yacc.c  */
#line 10638 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1805:

/* Line 1455 of yacc.c  */
#line 10646 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1806:

/* Line 1455 of yacc.c  */
#line 10650 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1807:

/* Line 1455 of yacc.c  */
#line 10658 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("end"));
;}
    break;

  case 1808:

/* Line 1455 of yacc.c  */
#line 10666 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1809:

/* Line 1455 of yacc.c  */
#line 10670 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1810:

/* Line 1455 of yacc.c  */
#line 10678 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[(2) - (4)].str),mm_strdup("then"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1811:

/* Line 1455 of yacc.c  */
#line 10686 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1812:

/* Line 1455 of yacc.c  */
#line 10690 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1813:

/* Line 1455 of yacc.c  */
#line 10697 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1814:

/* Line 1455 of yacc.c  */
#line 10701 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1815:

/* Line 1455 of yacc.c  */
#line 10708 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1816:

/* Line 1455 of yacc.c  */
#line 10712 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1817:

/* Line 1455 of yacc.c  */
#line 10720 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1818:

/* Line 1455 of yacc.c  */
#line 10724 "preproc.y"
    { 
 (yyval.str) = mm_strdup(". *");
;}
    break;

  case 1819:

/* Line 1455 of yacc.c  */
#line 10728 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1820:

/* Line 1455 of yacc.c  */
#line 10732 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[(2) - (5)].str),mm_strdup(":"),(yyvsp[(4) - (5)].str),mm_strdup("]"));
;}
    break;

  case 1821:

/* Line 1455 of yacc.c  */
#line 10740 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1822:

/* Line 1455 of yacc.c  */
#line 10744 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1823:

/* Line 1455 of yacc.c  */
#line 10752 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1824:

/* Line 1455 of yacc.c  */
#line 10755 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1825:

/* Line 1455 of yacc.c  */
#line 10763 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
;}
    break;

  case 1826:

/* Line 1455 of yacc.c  */
#line 10767 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1827:

/* Line 1455 of yacc.c  */
#line 10774 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1828:

/* Line 1455 of yacc.c  */
#line 10778 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 1829:

/* Line 1455 of yacc.c  */
#line 10786 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1830:

/* Line 1455 of yacc.c  */
#line 10790 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1831:

/* Line 1455 of yacc.c  */
#line 10798 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1832:

/* Line 1455 of yacc.c  */
#line 10806 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1833:

/* Line 1455 of yacc.c  */
#line 10810 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1834:

/* Line 1455 of yacc.c  */
#line 10818 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1835:

/* Line 1455 of yacc.c  */
#line 10822 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1836:

/* Line 1455 of yacc.c  */
#line 10826 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1837:

/* Line 1455 of yacc.c  */
#line 10830 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 1838:

/* Line 1455 of yacc.c  */
#line 10838 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1839:

/* Line 1455 of yacc.c  */
#line 10842 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1840:

/* Line 1455 of yacc.c  */
#line 10850 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1841:

/* Line 1455 of yacc.c  */
#line 10854 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1842:

/* Line 1455 of yacc.c  */
#line 10862 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1843:

/* Line 1455 of yacc.c  */
#line 10866 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1844:

/* Line 1455 of yacc.c  */
#line 10874 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1845:

/* Line 1455 of yacc.c  */
#line 10882 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1846:

/* Line 1455 of yacc.c  */
#line 10890 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1847:

/* Line 1455 of yacc.c  */
#line 10898 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1848:

/* Line 1455 of yacc.c  */
#line 10906 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1849:

/* Line 1455 of yacc.c  */
#line 10914 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1850:

/* Line 1455 of yacc.c  */
#line 10922 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1851:

/* Line 1455 of yacc.c  */
#line 10926 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1852:

/* Line 1455 of yacc.c  */
#line 10934 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1853:

/* Line 1455 of yacc.c  */
#line 10938 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1854:

/* Line 1455 of yacc.c  */
#line 10942 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1855:

/* Line 1455 of yacc.c  */
#line 10946 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1856:

/* Line 1455 of yacc.c  */
#line 10950 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xconst");
;}
    break;

  case 1857:

/* Line 1455 of yacc.c  */
#line 10954 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1858:

/* Line 1455 of yacc.c  */
#line 10958 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1859:

/* Line 1455 of yacc.c  */
#line 10962 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1860:

/* Line 1455 of yacc.c  */
#line 10966 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1861:

/* Line 1455 of yacc.c  */
#line 10970 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1862:

/* Line 1455 of yacc.c  */
#line 10974 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 1863:

/* Line 1455 of yacc.c  */
#line 10978 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 1864:

/* Line 1455 of yacc.c  */
#line 10982 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 1865:

/* Line 1455 of yacc.c  */
#line 10985 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1866:

/* Line 1455 of yacc.c  */
#line 10986 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1867:

/* Line 1455 of yacc.c  */
#line 10992 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 1868:

/* Line 1455 of yacc.c  */
#line 10998 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1869:

/* Line 1455 of yacc.c  */
#line 11006 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1870:

/* Line 1455 of yacc.c  */
#line 11009 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1871:

/* Line 1455 of yacc.c  */
#line 11011 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1872:

/* Line 1455 of yacc.c  */
#line 11015 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1873:

/* Line 1455 of yacc.c  */
#line 11023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("abort");
;}
    break;

  case 1874:

/* Line 1455 of yacc.c  */
#line 11027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("absolute");
;}
    break;

  case 1875:

/* Line 1455 of yacc.c  */
#line 11031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access");
;}
    break;

  case 1876:

/* Line 1455 of yacc.c  */
#line 11035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("action");
;}
    break;

  case 1877:

/* Line 1455 of yacc.c  */
#line 11039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
;}
    break;

  case 1878:

/* Line 1455 of yacc.c  */
#line 11043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("admin");
;}
    break;

  case 1879:

/* Line 1455 of yacc.c  */
#line 11047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
;}
    break;

  case 1880:

/* Line 1455 of yacc.c  */
#line 11051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("aggregate");
;}
    break;

  case 1881:

/* Line 1455 of yacc.c  */
#line 11055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
;}
    break;

  case 1882:

/* Line 1455 of yacc.c  */
#line 11059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("alter");
;}
    break;

  case 1883:

/* Line 1455 of yacc.c  */
#line 11063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("always");
;}
    break;

  case 1884:

/* Line 1455 of yacc.c  */
#line 11067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assertion");
;}
    break;

  case 1885:

/* Line 1455 of yacc.c  */
#line 11071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assignment");
;}
    break;

  case 1886:

/* Line 1455 of yacc.c  */
#line 11075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("at");
;}
    break;

  case 1887:

/* Line 1455 of yacc.c  */
#line 11079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("attribute");
;}
    break;

  case 1888:

/* Line 1455 of yacc.c  */
#line 11083 "preproc.y"
    { 
 (yyval.str) = mm_strdup("backward");
;}
    break;

  case 1889:

/* Line 1455 of yacc.c  */
#line 11087 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
;}
    break;

  case 1890:

/* Line 1455 of yacc.c  */
#line 11091 "preproc.y"
    { 
 (yyval.str) = mm_strdup("begin");
;}
    break;

  case 1891:

/* Line 1455 of yacc.c  */
#line 11095 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
;}
    break;

  case 1892:

/* Line 1455 of yacc.c  */
#line 11099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cache");
;}
    break;

  case 1893:

/* Line 1455 of yacc.c  */
#line 11103 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called");
;}
    break;

  case 1894:

/* Line 1455 of yacc.c  */
#line 11107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 1895:

/* Line 1455 of yacc.c  */
#line 11111 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascaded");
;}
    break;

  case 1896:

/* Line 1455 of yacc.c  */
#line 11115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("catalog");
;}
    break;

  case 1897:

/* Line 1455 of yacc.c  */
#line 11119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("chain");
;}
    break;

  case 1898:

/* Line 1455 of yacc.c  */
#line 11123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("characteristics");
;}
    break;

  case 1899:

/* Line 1455 of yacc.c  */
#line 11127 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
;}
    break;

  case 1900:

/* Line 1455 of yacc.c  */
#line 11131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("class");
;}
    break;

  case 1901:

/* Line 1455 of yacc.c  */
#line 11135 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close");
;}
    break;

  case 1902:

/* Line 1455 of yacc.c  */
#line 11139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cluster");
;}
    break;

  case 1903:

/* Line 1455 of yacc.c  */
#line 11143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comment");
;}
    break;

  case 1904:

/* Line 1455 of yacc.c  */
#line 11147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
;}
    break;

  case 1905:

/* Line 1455 of yacc.c  */
#line 11151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("commit");
;}
    break;

  case 1906:

/* Line 1455 of yacc.c  */
#line 11155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("committed");
;}
    break;

  case 1907:

/* Line 1455 of yacc.c  */
#line 11159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("configuration");
;}
    break;

  case 1908:

/* Line 1455 of yacc.c  */
#line 11163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
;}
    break;

  case 1909:

/* Line 1455 of yacc.c  */
#line 11167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
;}
    break;

  case 1910:

/* Line 1455 of yacc.c  */
#line 11171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue");
;}
    break;

  case 1911:

/* Line 1455 of yacc.c  */
#line 11175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 1912:

/* Line 1455 of yacc.c  */
#line 11179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("copy");
;}
    break;

  case 1913:

/* Line 1455 of yacc.c  */
#line 11183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cost");
;}
    break;

  case 1914:

/* Line 1455 of yacc.c  */
#line 11187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
;}
    break;

  case 1915:

/* Line 1455 of yacc.c  */
#line 11191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cursor");
;}
    break;

  case 1916:

/* Line 1455 of yacc.c  */
#line 11195 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
;}
    break;

  case 1917:

/* Line 1455 of yacc.c  */
#line 11199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("data");
;}
    break;

  case 1918:

/* Line 1455 of yacc.c  */
#line 11203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
;}
    break;

  case 1919:

/* Line 1455 of yacc.c  */
#line 11207 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deallocate");
;}
    break;

  case 1920:

/* Line 1455 of yacc.c  */
#line 11211 "preproc.y"
    { 
 (yyval.str) = mm_strdup("declare");
;}
    break;

  case 1921:

/* Line 1455 of yacc.c  */
#line 11215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
;}
    break;

  case 1922:

/* Line 1455 of yacc.c  */
#line 11219 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
;}
    break;

  case 1923:

/* Line 1455 of yacc.c  */
#line 11223 "preproc.y"
    { 
 (yyval.str) = mm_strdup("definer");
;}
    break;

  case 1924:

/* Line 1455 of yacc.c  */
#line 11227 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 1925:

/* Line 1455 of yacc.c  */
#line 11231 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiter");
;}
    break;

  case 1926:

/* Line 1455 of yacc.c  */
#line 11235 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiters");
;}
    break;

  case 1927:

/* Line 1455 of yacc.c  */
#line 11239 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dictionary");
;}
    break;

  case 1928:

/* Line 1455 of yacc.c  */
#line 11243 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
;}
    break;

  case 1929:

/* Line 1455 of yacc.c  */
#line 11247 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard");
;}
    break;

  case 1930:

/* Line 1455 of yacc.c  */
#line 11251 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
;}
    break;

  case 1931:

/* Line 1455 of yacc.c  */
#line 11255 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 1932:

/* Line 1455 of yacc.c  */
#line 11259 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double");
;}
    break;

  case 1933:

/* Line 1455 of yacc.c  */
#line 11263 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
;}
    break;

  case 1934:

/* Line 1455 of yacc.c  */
#line 11267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
;}
    break;

  case 1935:

/* Line 1455 of yacc.c  */
#line 11271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
;}
    break;

  case 1936:

/* Line 1455 of yacc.c  */
#line 11275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encoding");
;}
    break;

  case 1937:

/* Line 1455 of yacc.c  */
#line 11279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encrypted");
;}
    break;

  case 1938:

/* Line 1455 of yacc.c  */
#line 11283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enum");
;}
    break;

  case 1939:

/* Line 1455 of yacc.c  */
#line 11287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("escape");
;}
    break;

  case 1940:

/* Line 1455 of yacc.c  */
#line 11291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclude");
;}
    break;

  case 1941:

/* Line 1455 of yacc.c  */
#line 11295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("excluding");
;}
    break;

  case 1942:

/* Line 1455 of yacc.c  */
#line 11299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
;}
    break;

  case 1943:

/* Line 1455 of yacc.c  */
#line 11303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("execute");
;}
    break;

  case 1944:

/* Line 1455 of yacc.c  */
#line 11307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("explain");
;}
    break;

  case 1945:

/* Line 1455 of yacc.c  */
#line 11311 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 1946:

/* Line 1455 of yacc.c  */
#line 11315 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external");
;}
    break;

  case 1947:

/* Line 1455 of yacc.c  */
#line 11319 "preproc.y"
    { 
 (yyval.str) = mm_strdup("family");
;}
    break;

  case 1948:

/* Line 1455 of yacc.c  */
#line 11323 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
;}
    break;

  case 1949:

/* Line 1455 of yacc.c  */
#line 11327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("following");
;}
    break;

  case 1950:

/* Line 1455 of yacc.c  */
#line 11331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
;}
    break;

  case 1951:

/* Line 1455 of yacc.c  */
#line 11335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("forward");
;}
    break;

  case 1952:

/* Line 1455 of yacc.c  */
#line 11339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("function");
;}
    break;

  case 1953:

/* Line 1455 of yacc.c  */
#line 11343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
;}
    break;

  case 1954:

/* Line 1455 of yacc.c  */
#line 11347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global");
;}
    break;

  case 1955:

/* Line 1455 of yacc.c  */
#line 11351 "preproc.y"
    { 
 (yyval.str) = mm_strdup("granted");
;}
    break;

  case 1956:

/* Line 1455 of yacc.c  */
#line 11355 "preproc.y"
    { 
 (yyval.str) = mm_strdup("handler");
;}
    break;

  case 1957:

/* Line 1455 of yacc.c  */
#line 11359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
;}
    break;

  case 1958:

/* Line 1455 of yacc.c  */
#line 11363 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hold");
;}
    break;

  case 1959:

/* Line 1455 of yacc.c  */
#line 11367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("identity");
;}
    break;

  case 1960:

/* Line 1455 of yacc.c  */
#line 11371 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if");
;}
    break;

  case 1961:

/* Line 1455 of yacc.c  */
#line 11375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
;}
    break;

  case 1962:

/* Line 1455 of yacc.c  */
#line 11379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
;}
    break;

  case 1963:

/* Line 1455 of yacc.c  */
#line 11383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("implicit");
;}
    break;

  case 1964:

/* Line 1455 of yacc.c  */
#line 11387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("including");
;}
    break;

  case 1965:

/* Line 1455 of yacc.c  */
#line 11391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("increment");
;}
    break;

  case 1966:

/* Line 1455 of yacc.c  */
#line 11395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 1967:

/* Line 1455 of yacc.c  */
#line 11399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
;}
    break;

  case 1968:

/* Line 1455 of yacc.c  */
#line 11403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
;}
    break;

  case 1969:

/* Line 1455 of yacc.c  */
#line 11407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherits");
;}
    break;

  case 1970:

/* Line 1455 of yacc.c  */
#line 11411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inline");
;}
    break;

  case 1971:

/* Line 1455 of yacc.c  */
#line 11415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insensitive");
;}
    break;

  case 1972:

/* Line 1455 of yacc.c  */
#line 11419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 1973:

/* Line 1455 of yacc.c  */
#line 11423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
;}
    break;

  case 1974:

/* Line 1455 of yacc.c  */
#line 11427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("invoker");
;}
    break;

  case 1975:

/* Line 1455 of yacc.c  */
#line 11431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isolation");
;}
    break;

  case 1976:

/* Line 1455 of yacc.c  */
#line 11435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("key");
;}
    break;

  case 1977:

/* Line 1455 of yacc.c  */
#line 11439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("label");
;}
    break;

  case 1978:

/* Line 1455 of yacc.c  */
#line 11443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("language");
;}
    break;

  case 1979:

/* Line 1455 of yacc.c  */
#line 11447 "preproc.y"
    { 
 (yyval.str) = mm_strdup("large");
;}
    break;

  case 1980:

/* Line 1455 of yacc.c  */
#line 11451 "preproc.y"
    { 
 (yyval.str) = mm_strdup("last");
;}
    break;

  case 1981:

/* Line 1455 of yacc.c  */
#line 11455 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_collate");
;}
    break;

  case 1982:

/* Line 1455 of yacc.c  */
#line 11459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_ctype");
;}
    break;

  case 1983:

/* Line 1455 of yacc.c  */
#line 11463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
;}
    break;

  case 1984:

/* Line 1455 of yacc.c  */
#line 11467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("level");
;}
    break;

  case 1985:

/* Line 1455 of yacc.c  */
#line 11471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("listen");
;}
    break;

  case 1986:

/* Line 1455 of yacc.c  */
#line 11475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("load");
;}
    break;

  case 1987:

/* Line 1455 of yacc.c  */
#line 11479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
;}
    break;

  case 1988:

/* Line 1455 of yacc.c  */
#line 11483 "preproc.y"
    { 
 (yyval.str) = mm_strdup("location");
;}
    break;

  case 1989:

/* Line 1455 of yacc.c  */
#line 11487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lock");
;}
    break;

  case 1990:

/* Line 1455 of yacc.c  */
#line 11491 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mapping");
;}
    break;

  case 1991:

/* Line 1455 of yacc.c  */
#line 11495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match");
;}
    break;

  case 1992:

/* Line 1455 of yacc.c  */
#line 11499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("maxvalue");
;}
    break;

  case 1993:

/* Line 1455 of yacc.c  */
#line 11503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minvalue");
;}
    break;

  case 1994:

/* Line 1455 of yacc.c  */
#line 11507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mode");
;}
    break;

  case 1995:

/* Line 1455 of yacc.c  */
#line 11511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("move");
;}
    break;

  case 1996:

/* Line 1455 of yacc.c  */
#line 11515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("name");
;}
    break;

  case 1997:

/* Line 1455 of yacc.c  */
#line 11519 "preproc.y"
    { 
 (yyval.str) = mm_strdup("names");
;}
    break;

  case 1998:

/* Line 1455 of yacc.c  */
#line 11523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
;}
    break;

  case 1999:

/* Line 1455 of yacc.c  */
#line 11527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no");
;}
    break;

  case 2000:

/* Line 1455 of yacc.c  */
#line 11531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
;}
    break;

  case 2001:

/* Line 1455 of yacc.c  */
#line 11535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notify");
;}
    break;

  case 2002:

/* Line 1455 of yacc.c  */
#line 11539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
;}
    break;

  case 2003:

/* Line 1455 of yacc.c  */
#line 11543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls");
;}
    break;

  case 2004:

/* Line 1455 of yacc.c  */
#line 11547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("object");
;}
    break;

  case 2005:

/* Line 1455 of yacc.c  */
#line 11551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("of");
;}
    break;

  case 2006:

/* Line 1455 of yacc.c  */
#line 11555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("off");
;}
    break;

  case 2007:

/* Line 1455 of yacc.c  */
#line 11559 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
;}
    break;

  case 2008:

/* Line 1455 of yacc.c  */
#line 11563 "preproc.y"
    { 
 (yyval.str) = mm_strdup("operator");
;}
    break;

  case 2009:

/* Line 1455 of yacc.c  */
#line 11567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("option");
;}
    break;

  case 2010:

/* Line 1455 of yacc.c  */
#line 11571 "preproc.y"
    { 
 (yyval.str) = mm_strdup("options");
;}
    break;

  case 2011:

/* Line 1455 of yacc.c  */
#line 11575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owned");
;}
    break;

  case 2012:

/* Line 1455 of yacc.c  */
#line 11579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owner");
;}
    break;

  case 2013:

/* Line 1455 of yacc.c  */
#line 11583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("parser");
;}
    break;

  case 2014:

/* Line 1455 of yacc.c  */
#line 11587 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partial");
;}
    break;

  case 2015:

/* Line 1455 of yacc.c  */
#line 11591 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partition");
;}
    break;

  case 2016:

/* Line 1455 of yacc.c  */
#line 11595 "preproc.y"
    { 
 (yyval.str) = mm_strdup("passing");
;}
    break;

  case 2017:

/* Line 1455 of yacc.c  */
#line 11599 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password");
;}
    break;

  case 2018:

/* Line 1455 of yacc.c  */
#line 11603 "preproc.y"
    { 
 (yyval.str) = mm_strdup("plans");
;}
    break;

  case 2019:

/* Line 1455 of yacc.c  */
#line 11607 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preceding");
;}
    break;

  case 2020:

/* Line 1455 of yacc.c  */
#line 11611 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepare");
;}
    break;

  case 2021:

/* Line 1455 of yacc.c  */
#line 11615 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepared");
;}
    break;

  case 2022:

/* Line 1455 of yacc.c  */
#line 11619 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve");
;}
    break;

  case 2023:

/* Line 1455 of yacc.c  */
#line 11623 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prior");
;}
    break;

  case 2024:

/* Line 1455 of yacc.c  */
#line 11627 "preproc.y"
    { 
 (yyval.str) = mm_strdup("privileges");
;}
    break;

  case 2025:

/* Line 1455 of yacc.c  */
#line 11631 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
;}
    break;

  case 2026:

/* Line 1455 of yacc.c  */
#line 11635 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedure");
;}
    break;

  case 2027:

/* Line 1455 of yacc.c  */
#line 11639 "preproc.y"
    { 
 (yyval.str) = mm_strdup("quote");
;}
    break;

  case 2028:

/* Line 1455 of yacc.c  */
#line 11643 "preproc.y"
    { 
 (yyval.str) = mm_strdup("range");
;}
    break;

  case 2029:

/* Line 1455 of yacc.c  */
#line 11647 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read");
;}
    break;

  case 2030:

/* Line 1455 of yacc.c  */
#line 11651 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reassign");
;}
    break;

  case 2031:

/* Line 1455 of yacc.c  */
#line 11655 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recheck");
;}
    break;

  case 2032:

/* Line 1455 of yacc.c  */
#line 11659 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recursive");
;}
    break;

  case 2033:

/* Line 1455 of yacc.c  */
#line 11663 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ref");
;}
    break;

  case 2034:

/* Line 1455 of yacc.c  */
#line 11667 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reindex");
;}
    break;

  case 2035:

/* Line 1455 of yacc.c  */
#line 11671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("relative");
;}
    break;

  case 2036:

/* Line 1455 of yacc.c  */
#line 11675 "preproc.y"
    { 
 (yyval.str) = mm_strdup("release");
;}
    break;

  case 2037:

/* Line 1455 of yacc.c  */
#line 11679 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rename");
;}
    break;

  case 2038:

/* Line 1455 of yacc.c  */
#line 11683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable");
;}
    break;

  case 2039:

/* Line 1455 of yacc.c  */
#line 11687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replace");
;}
    break;

  case 2040:

/* Line 1455 of yacc.c  */
#line 11691 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replica");
;}
    break;

  case 2041:

/* Line 1455 of yacc.c  */
#line 11695 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset");
;}
    break;

  case 2042:

/* Line 1455 of yacc.c  */
#line 11699 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
;}
    break;

  case 2043:

/* Line 1455 of yacc.c  */
#line 11703 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 2044:

/* Line 1455 of yacc.c  */
#line 11707 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns");
;}
    break;

  case 2045:

/* Line 1455 of yacc.c  */
#line 11711 "preproc.y"
    { 
 (yyval.str) = mm_strdup("revoke");
;}
    break;

  case 2046:

/* Line 1455 of yacc.c  */
#line 11715 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
;}
    break;

  case 2047:

/* Line 1455 of yacc.c  */
#line 11719 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rollback");
;}
    break;

  case 2048:

/* Line 1455 of yacc.c  */
#line 11723 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
;}
    break;

  case 2049:

/* Line 1455 of yacc.c  */
#line 11727 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rule");
;}
    break;

  case 2050:

/* Line 1455 of yacc.c  */
#line 11731 "preproc.y"
    { 
 (yyval.str) = mm_strdup("savepoint");
;}
    break;

  case 2051:

/* Line 1455 of yacc.c  */
#line 11735 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 2052:

/* Line 1455 of yacc.c  */
#line 11739 "preproc.y"
    { 
 (yyval.str) = mm_strdup("scroll");
;}
    break;

  case 2053:

/* Line 1455 of yacc.c  */
#line 11743 "preproc.y"
    { 
 (yyval.str) = mm_strdup("search");
;}
    break;

  case 2054:

/* Line 1455 of yacc.c  */
#line 11747 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security");
;}
    break;

  case 2055:

/* Line 1455 of yacc.c  */
#line 11751 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 2056:

/* Line 1455 of yacc.c  */
#line 11755 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
;}
    break;

  case 2057:

/* Line 1455 of yacc.c  */
#line 11759 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
;}
    break;

  case 2058:

/* Line 1455 of yacc.c  */
#line 11763 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
;}
    break;

  case 2059:

/* Line 1455 of yacc.c  */
#line 11767 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session");
;}
    break;

  case 2060:

/* Line 1455 of yacc.c  */
#line 11771 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set");
;}
    break;

  case 2061:

/* Line 1455 of yacc.c  */
#line 11775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
;}
    break;

  case 2062:

/* Line 1455 of yacc.c  */
#line 11779 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show");
;}
    break;

  case 2063:

/* Line 1455 of yacc.c  */
#line 11783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("simple");
;}
    break;

  case 2064:

/* Line 1455 of yacc.c  */
#line 11787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("snapshot");
;}
    break;

  case 2065:

/* Line 1455 of yacc.c  */
#line 11791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
;}
    break;

  case 2066:

/* Line 1455 of yacc.c  */
#line 11795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("standalone");
;}
    break;

  case 2067:

/* Line 1455 of yacc.c  */
#line 11799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("start");
;}
    break;

  case 2068:

/* Line 1455 of yacc.c  */
#line 11803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
;}
    break;

  case 2069:

/* Line 1455 of yacc.c  */
#line 11807 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statistics");
;}
    break;

  case 2070:

/* Line 1455 of yacc.c  */
#line 11811 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
;}
    break;

  case 2071:

/* Line 1455 of yacc.c  */
#line 11815 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
;}
    break;

  case 2072:

/* Line 1455 of yacc.c  */
#line 11819 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
;}
    break;

  case 2073:

/* Line 1455 of yacc.c  */
#line 11823 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
;}
    break;

  case 2074:

/* Line 1455 of yacc.c  */
#line 11827 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip");
;}
    break;

  case 2075:

/* Line 1455 of yacc.c  */
#line 11831 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sysid");
;}
    break;

  case 2076:

/* Line 1455 of yacc.c  */
#line 11835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("system");
;}
    break;

  case 2077:

/* Line 1455 of yacc.c  */
#line 11839 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
;}
    break;

  case 2078:

/* Line 1455 of yacc.c  */
#line 11843 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
;}
    break;

  case 2079:

/* Line 1455 of yacc.c  */
#line 11847 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
;}
    break;

  case 2080:

/* Line 1455 of yacc.c  */
#line 11851 "preproc.y"
    { 
 (yyval.str) = mm_strdup("template");
;}
    break;

  case 2081:

/* Line 1455 of yacc.c  */
#line 11855 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
;}
    break;

  case 2082:

/* Line 1455 of yacc.c  */
#line 11859 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text");
;}
    break;

  case 2083:

/* Line 1455 of yacc.c  */
#line 11863 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
;}
    break;

  case 2084:

/* Line 1455 of yacc.c  */
#line 11867 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trigger");
;}
    break;

  case 2085:

/* Line 1455 of yacc.c  */
#line 11871 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
;}
    break;

  case 2086:

/* Line 1455 of yacc.c  */
#line 11875 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
;}
    break;

  case 2087:

/* Line 1455 of yacc.c  */
#line 11879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 2088:

/* Line 1455 of yacc.c  */
#line 11883 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
;}
    break;

  case 2089:

/* Line 1455 of yacc.c  */
#line 11887 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded");
;}
    break;

  case 2090:

/* Line 1455 of yacc.c  */
#line 11891 "preproc.y"
    { 
 (yyval.str) = mm_strdup("uncommitted");
;}
    break;

  case 2091:

/* Line 1455 of yacc.c  */
#line 11895 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unencrypted");
;}
    break;

  case 2092:

/* Line 1455 of yacc.c  */
#line 11899 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unknown");
;}
    break;

  case 2093:

/* Line 1455 of yacc.c  */
#line 11903 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten");
;}
    break;

  case 2094:

/* Line 1455 of yacc.c  */
#line 11907 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
;}
    break;

  case 2095:

/* Line 1455 of yacc.c  */
#line 11911 "preproc.y"
    { 
 (yyval.str) = mm_strdup("until");
;}
    break;

  case 2096:

/* Line 1455 of yacc.c  */
#line 11915 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 2097:

/* Line 1455 of yacc.c  */
#line 11919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("vacuum");
;}
    break;

  case 2098:

/* Line 1455 of yacc.c  */
#line 11923 "preproc.y"
    { 
 (yyval.str) = mm_strdup("valid");
;}
    break;

  case 2099:

/* Line 1455 of yacc.c  */
#line 11927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validate");
;}
    break;

  case 2100:

/* Line 1455 of yacc.c  */
#line 11931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validator");
;}
    break;

  case 2101:

/* Line 1455 of yacc.c  */
#line 11935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("value");
;}
    break;

  case 2102:

/* Line 1455 of yacc.c  */
#line 11939 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
;}
    break;

  case 2103:

/* Line 1455 of yacc.c  */
#line 11943 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version");
;}
    break;

  case 2104:

/* Line 1455 of yacc.c  */
#line 11947 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 2105:

/* Line 1455 of yacc.c  */
#line 11951 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
;}
    break;

  case 2106:

/* Line 1455 of yacc.c  */
#line 11955 "preproc.y"
    { 
 (yyval.str) = mm_strdup("whitespace");
;}
    break;

  case 2107:

/* Line 1455 of yacc.c  */
#line 11959 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without");
;}
    break;

  case 2108:

/* Line 1455 of yacc.c  */
#line 11963 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
;}
    break;

  case 2109:

/* Line 1455 of yacc.c  */
#line 11967 "preproc.y"
    { 
 (yyval.str) = mm_strdup("wrapper");
;}
    break;

  case 2110:

/* Line 1455 of yacc.c  */
#line 11971 "preproc.y"
    { 
 (yyval.str) = mm_strdup("write");
;}
    break;

  case 2111:

/* Line 1455 of yacc.c  */
#line 11975 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xml");
;}
    break;

  case 2112:

/* Line 1455 of yacc.c  */
#line 11979 "preproc.y"
    { 
 (yyval.str) = mm_strdup("yes");
;}
    break;

  case 2113:

/* Line 1455 of yacc.c  */
#line 11983 "preproc.y"
    { 
 (yyval.str) = mm_strdup("zone");
;}
    break;

  case 2114:

/* Line 1455 of yacc.c  */
#line 11991 "preproc.y"
    { 
 (yyval.str) = mm_strdup("between");
;}
    break;

  case 2115:

/* Line 1455 of yacc.c  */
#line 11995 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
;}
    break;

  case 2116:

/* Line 1455 of yacc.c  */
#line 11999 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bit");
;}
    break;

  case 2117:

/* Line 1455 of yacc.c  */
#line 12003 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
;}
    break;

  case 2118:

/* Line 1455 of yacc.c  */
#line 12007 "preproc.y"
    { 
 (yyval.str) = mm_strdup("character");
;}
    break;

  case 2119:

/* Line 1455 of yacc.c  */
#line 12011 "preproc.y"
    { 
 (yyval.str) = mm_strdup("coalesce");
;}
    break;

  case 2120:

/* Line 1455 of yacc.c  */
#line 12015 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dec");
;}
    break;

  case 2121:

/* Line 1455 of yacc.c  */
#line 12019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("decimal");
;}
    break;

  case 2122:

/* Line 1455 of yacc.c  */
#line 12023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exists");
;}
    break;

  case 2123:

/* Line 1455 of yacc.c  */
#line 12027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extract");
;}
    break;

  case 2124:

/* Line 1455 of yacc.c  */
#line 12031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("float");
;}
    break;

  case 2125:

/* Line 1455 of yacc.c  */
#line 12035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("greatest");
;}
    break;

  case 2126:

/* Line 1455 of yacc.c  */
#line 12039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
;}
    break;

  case 2127:

/* Line 1455 of yacc.c  */
#line 12043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
;}
    break;

  case 2128:

/* Line 1455 of yacc.c  */
#line 12047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
;}
    break;

  case 2129:

/* Line 1455 of yacc.c  */
#line 12051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("least");
;}
    break;

  case 2130:

/* Line 1455 of yacc.c  */
#line 12055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("national");
;}
    break;

  case 2131:

/* Line 1455 of yacc.c  */
#line 12059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nchar");
;}
    break;

  case 2132:

/* Line 1455 of yacc.c  */
#line 12063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("none");
;}
    break;

  case 2133:

/* Line 1455 of yacc.c  */
#line 12067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nullif");
;}
    break;

  case 2134:

/* Line 1455 of yacc.c  */
#line 12071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("numeric");
;}
    break;

  case 2135:

/* Line 1455 of yacc.c  */
#line 12075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
;}
    break;

  case 2136:

/* Line 1455 of yacc.c  */
#line 12079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlay");
;}
    break;

  case 2137:

/* Line 1455 of yacc.c  */
#line 12083 "preproc.y"
    { 
 (yyval.str) = mm_strdup("position");
;}
    break;

  case 2138:

/* Line 1455 of yacc.c  */
#line 12087 "preproc.y"
    { 
 (yyval.str) = mm_strdup("precision");
;}
    break;

  case 2139:

/* Line 1455 of yacc.c  */
#line 12091 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
;}
    break;

  case 2140:

/* Line 1455 of yacc.c  */
#line 12095 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 2141:

/* Line 1455 of yacc.c  */
#line 12099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("setof");
;}
    break;

  case 2142:

/* Line 1455 of yacc.c  */
#line 12103 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
;}
    break;

  case 2143:

/* Line 1455 of yacc.c  */
#line 12107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("substring");
;}
    break;

  case 2144:

/* Line 1455 of yacc.c  */
#line 12111 "preproc.y"
    { 
 (yyval.str) = mm_strdup("time");
;}
    break;

  case 2145:

/* Line 1455 of yacc.c  */
#line 12115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("timestamp");
;}
    break;

  case 2146:

/* Line 1455 of yacc.c  */
#line 12119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("treat");
;}
    break;

  case 2147:

/* Line 1455 of yacc.c  */
#line 12123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trim");
;}
    break;

  case 2148:

/* Line 1455 of yacc.c  */
#line 12127 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
;}
    break;

  case 2149:

/* Line 1455 of yacc.c  */
#line 12131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlattributes");
;}
    break;

  case 2150:

/* Line 1455 of yacc.c  */
#line 12135 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlconcat");
;}
    break;

  case 2151:

/* Line 1455 of yacc.c  */
#line 12139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlelement");
;}
    break;

  case 2152:

/* Line 1455 of yacc.c  */
#line 12143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlexists");
;}
    break;

  case 2153:

/* Line 1455 of yacc.c  */
#line 12147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlforest");
;}
    break;

  case 2154:

/* Line 1455 of yacc.c  */
#line 12151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlparse");
;}
    break;

  case 2155:

/* Line 1455 of yacc.c  */
#line 12155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlpi");
;}
    break;

  case 2156:

/* Line 1455 of yacc.c  */
#line 12159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlroot");
;}
    break;

  case 2157:

/* Line 1455 of yacc.c  */
#line 12163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlserialize");
;}
    break;

  case 2158:

/* Line 1455 of yacc.c  */
#line 12171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("authorization");
;}
    break;

  case 2159:

/* Line 1455 of yacc.c  */
#line 12175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 2160:

/* Line 1455 of yacc.c  */
#line 12179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 2161:

/* Line 1455 of yacc.c  */
#line 12183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
;}
    break;

  case 2162:

/* Line 1455 of yacc.c  */
#line 12187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cross");
;}
    break;

  case 2163:

/* Line 1455 of yacc.c  */
#line 12191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
;}
    break;

  case 2164:

/* Line 1455 of yacc.c  */
#line 12195 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 2165:

/* Line 1455 of yacc.c  */
#line 12199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 2166:

/* Line 1455 of yacc.c  */
#line 12203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
;}
    break;

  case 2167:

/* Line 1455 of yacc.c  */
#line 12207 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
;}
    break;

  case 2168:

/* Line 1455 of yacc.c  */
#line 12211 "preproc.y"
    { 
 (yyval.str) = mm_strdup("is");
;}
    break;

  case 2169:

/* Line 1455 of yacc.c  */
#line 12215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isnull");
;}
    break;

  case 2170:

/* Line 1455 of yacc.c  */
#line 12219 "preproc.y"
    { 
 (yyval.str) = mm_strdup("join");
;}
    break;

  case 2171:

/* Line 1455 of yacc.c  */
#line 12223 "preproc.y"
    { 
 (yyval.str) = mm_strdup("left");
;}
    break;

  case 2172:

/* Line 1455 of yacc.c  */
#line 12227 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
;}
    break;

  case 2173:

/* Line 1455 of yacc.c  */
#line 12231 "preproc.y"
    { 
 (yyval.str) = mm_strdup("natural");
;}
    break;

  case 2174:

/* Line 1455 of yacc.c  */
#line 12235 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notnull");
;}
    break;

  case 2175:

/* Line 1455 of yacc.c  */
#line 12239 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
;}
    break;

  case 2176:

/* Line 1455 of yacc.c  */
#line 12243 "preproc.y"
    { 
 (yyval.str) = mm_strdup("over");
;}
    break;

  case 2177:

/* Line 1455 of yacc.c  */
#line 12247 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlaps");
;}
    break;

  case 2178:

/* Line 1455 of yacc.c  */
#line 12251 "preproc.y"
    { 
 (yyval.str) = mm_strdup("right");
;}
    break;

  case 2179:

/* Line 1455 of yacc.c  */
#line 12255 "preproc.y"
    { 
 (yyval.str) = mm_strdup("similar");
;}
    break;

  case 2180:

/* Line 1455 of yacc.c  */
#line 12259 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 2181:

/* Line 1455 of yacc.c  */
#line 12267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 2182:

/* Line 1455 of yacc.c  */
#line 12271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
;}
    break;

  case 2183:

/* Line 1455 of yacc.c  */
#line 12275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
;}
    break;

  case 2184:

/* Line 1455 of yacc.c  */
#line 12279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("and");
;}
    break;

  case 2185:

/* Line 1455 of yacc.c  */
#line 12283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
;}
    break;

  case 2186:

/* Line 1455 of yacc.c  */
#line 12287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("array");
;}
    break;

  case 2187:

/* Line 1455 of yacc.c  */
#line 12291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
;}
    break;

  case 2188:

/* Line 1455 of yacc.c  */
#line 12295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
;}
    break;

  case 2189:

/* Line 1455 of yacc.c  */
#line 12299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
;}
    break;

  case 2190:

/* Line 1455 of yacc.c  */
#line 12303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("both");
;}
    break;

  case 2191:

/* Line 1455 of yacc.c  */
#line 12307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("case");
;}
    break;

  case 2192:

/* Line 1455 of yacc.c  */
#line 12311 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cast");
;}
    break;

  case 2193:

/* Line 1455 of yacc.c  */
#line 12315 "preproc.y"
    { 
 (yyval.str) = mm_strdup("check");
;}
    break;

  case 2194:

/* Line 1455 of yacc.c  */
#line 12319 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collate");
;}
    break;

  case 2195:

/* Line 1455 of yacc.c  */
#line 12323 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 2196:

/* Line 1455 of yacc.c  */
#line 12327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraint");
;}
    break;

  case 2197:

/* Line 1455 of yacc.c  */
#line 12331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("create");
;}
    break;

  case 2198:

/* Line 1455 of yacc.c  */
#line 12335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
;}
    break;

  case 2199:

/* Line 1455 of yacc.c  */
#line 12339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
;}
    break;

  case 2200:

/* Line 1455 of yacc.c  */
#line 12343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
;}
    break;

  case 2201:

/* Line 1455 of yacc.c  */
#line 12347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
;}
    break;

  case 2202:

/* Line 1455 of yacc.c  */
#line 12351 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
;}
    break;

  case 2203:

/* Line 1455 of yacc.c  */
#line 12355 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 2204:

/* Line 1455 of yacc.c  */
#line 12359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 2205:

/* Line 1455 of yacc.c  */
#line 12363 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 2206:

/* Line 1455 of yacc.c  */
#line 12367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
;}
    break;

  case 2207:

/* Line 1455 of yacc.c  */
#line 12371 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 2208:

/* Line 1455 of yacc.c  */
#line 12375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("do");
;}
    break;

  case 2209:

/* Line 1455 of yacc.c  */
#line 12379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("else");
;}
    break;

  case 2210:

/* Line 1455 of yacc.c  */
#line 12383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("end");
;}
    break;

  case 2211:

/* Line 1455 of yacc.c  */
#line 12387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("except");
;}
    break;

  case 2212:

/* Line 1455 of yacc.c  */
#line 12391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 2213:

/* Line 1455 of yacc.c  */
#line 12395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("fetch");
;}
    break;

  case 2214:

/* Line 1455 of yacc.c  */
#line 12399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for");
;}
    break;

  case 2215:

/* Line 1455 of yacc.c  */
#line 12403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign");
;}
    break;

  case 2216:

/* Line 1455 of yacc.c  */
#line 12407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 2217:

/* Line 1455 of yacc.c  */
#line 12411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("grant");
;}
    break;

  case 2218:

/* Line 1455 of yacc.c  */
#line 12415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("group");
;}
    break;

  case 2219:

/* Line 1455 of yacc.c  */
#line 12419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("having");
;}
    break;

  case 2220:

/* Line 1455 of yacc.c  */
#line 12423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 2221:

/* Line 1455 of yacc.c  */
#line 12427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially");
;}
    break;

  case 2222:

/* Line 1455 of yacc.c  */
#line 12431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("intersect");
;}
    break;

  case 2223:

/* Line 1455 of yacc.c  */
#line 12435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("into");
;}
    break;

  case 2224:

/* Line 1455 of yacc.c  */
#line 12439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leading");
;}
    break;

  case 2225:

/* Line 1455 of yacc.c  */
#line 12443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("limit");
;}
    break;

  case 2226:

/* Line 1455 of yacc.c  */
#line 12447 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
;}
    break;

  case 2227:

/* Line 1455 of yacc.c  */
#line 12451 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
;}
    break;

  case 2228:

/* Line 1455 of yacc.c  */
#line 12455 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not");
;}
    break;

  case 2229:

/* Line 1455 of yacc.c  */
#line 12459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 2230:

/* Line 1455 of yacc.c  */
#line 12463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("offset");
;}
    break;

  case 2231:

/* Line 1455 of yacc.c  */
#line 12467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
;}
    break;

  case 2232:

/* Line 1455 of yacc.c  */
#line 12471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("only");
;}
    break;

  case 2233:

/* Line 1455 of yacc.c  */
#line 12475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or");
;}
    break;

  case 2234:

/* Line 1455 of yacc.c  */
#line 12479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("order");
;}
    break;

  case 2235:

/* Line 1455 of yacc.c  */
#line 12483 "preproc.y"
    { 
 (yyval.str) = mm_strdup("placing");
;}
    break;

  case 2236:

/* Line 1455 of yacc.c  */
#line 12487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("primary");
;}
    break;

  case 2237:

/* Line 1455 of yacc.c  */
#line 12491 "preproc.y"
    { 
 (yyval.str) = mm_strdup("references");
;}
    break;

  case 2238:

/* Line 1455 of yacc.c  */
#line 12495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returning");
;}
    break;

  case 2239:

/* Line 1455 of yacc.c  */
#line 12499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
;}
    break;

  case 2240:

/* Line 1455 of yacc.c  */
#line 12503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
;}
    break;

  case 2241:

/* Line 1455 of yacc.c  */
#line 12507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
;}
    break;

  case 2242:

/* Line 1455 of yacc.c  */
#line 12511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("symmetric");
;}
    break;

  case 2243:

/* Line 1455 of yacc.c  */
#line 12515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 2244:

/* Line 1455 of yacc.c  */
#line 12519 "preproc.y"
    { 
 (yyval.str) = mm_strdup("then");
;}
    break;

  case 2245:

/* Line 1455 of yacc.c  */
#line 12523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trailing");
;}
    break;

  case 2246:

/* Line 1455 of yacc.c  */
#line 12527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 2247:

/* Line 1455 of yacc.c  */
#line 12531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
;}
    break;

  case 2248:

/* Line 1455 of yacc.c  */
#line 12535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 2249:

/* Line 1455 of yacc.c  */
#line 12539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
;}
    break;

  case 2250:

/* Line 1455 of yacc.c  */
#line 12543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
;}
    break;

  case 2251:

/* Line 1455 of yacc.c  */
#line 12547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("when");
;}
    break;

  case 2252:

/* Line 1455 of yacc.c  */
#line 12551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("where");
;}
    break;

  case 2253:

/* Line 1455 of yacc.c  */
#line 12555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
;}
    break;

  case 2254:

/* Line 1455 of yacc.c  */
#line 12559 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
;}
    break;

  case 2257:

/* Line 1455 of yacc.c  */
#line 12572 "preproc.y"
    { connection = NULL; ;}
    break;

  case 2259:

/* Line 1455 of yacc.c  */
#line 12575 "preproc.y"
    {
					fprintf(yyout, "%s", (yyvsp[(2) - (2)].str));
					free((yyvsp[(2) - (2)].str));
					output_line_number();
				;}
    break;

  case 2261:

/* Line 1455 of yacc.c  */
#line 12581 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); ;}
    break;

  case 2262:

/* Line 1455 of yacc.c  */
#line 12582 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); ;}
    break;

  case 2263:

/* Line 1455 of yacc.c  */
#line 12583 "preproc.y"
    { braces_open++; fputs("{", yyout); ;}
    break;

  case 2264:

/* Line 1455 of yacc.c  */
#line 12585 "preproc.y"
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		;}
    break;

  case 2265:

/* Line 1455 of yacc.c  */
#line 12597 "preproc.y"
    {FoundInto = 0;;}
    break;

  case 2266:

/* Line 1455 of yacc.c  */
#line 12598 "preproc.y"
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[(2) - (8)].str), mm_strdup("table"), (yyvsp[(4) - (8)].str), mm_strdup("as"), (yyvsp[(7) - (8)].str));
		;}
    break;

  case 2267:

/* Line 1455 of yacc.c  */
#line 12607 "preproc.y"
    {
			connection = (yyvsp[(2) - (2)].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		;}
    break;

  case 2268:

/* Line 1455 of yacc.c  */
#line 12622 "preproc.y"
    { (yyval.str) = cat_str(5, (yyvsp[(3) - (5)].str), mm_strdup(","), (yyvsp[(5) - (5)].str), mm_strdup(","), (yyvsp[(4) - (5)].str)); ;}
    break;

  case 2269:

/* Line 1455 of yacc.c  */
#line 12624 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); ;}
    break;

  case 2270:

/* Line 1455 of yacc.c  */
#line 12627 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[(2) - (2)].str), mm_strdup(", NULL")); ;}
    break;

  case 2271:

/* Line 1455 of yacc.c  */
#line 12629 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(2) - (2)].str), mm_strdup(", NULL, NULL, NULL")); ;}
    break;

  case 2272:

/* Line 1455 of yacc.c  */
#line 12633 "preproc.y"
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[(2) - (3)].str)) > 0 && *((yyvsp[(2) - (3)].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[(2) - (3)].str));

			/* C strings need to be handled differently */
			if ((yyvsp[(1) - (3)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (3)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[(1) - (3)].str), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)), mm_strdup("\""));
		;}
    break;

  case 2273:

/* Line 1455 of yacc.c  */
#line 12645 "preproc.y"
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[(1) - (7)].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[(1) - (7)].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[(3) - (7)].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[(3) - (7)].str));

			if (strncmp((yyvsp[(1) - (7)].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[(3) - (7)].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[(1) - (7)].str), mm_strdup(":")), (yyvsp[(3) - (7)].str), make3_str(make3_str((yyvsp[(4) - (7)].str), mm_strdup("/"), (yyvsp[(6) - (7)].str)),	(yyvsp[(7) - (7)].str), mm_strdup("\"")));
		;}
    break;

  case 2274:

/* Line 1455 of yacc.c  */
#line 12661 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2275:

/* Line 1455 of yacc.c  */
#line 12665 "preproc.y"
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[(1) - (1)].str)[0] = '\"';
			(yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] = '\"';
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2276:

/* Line 1455 of yacc.c  */
#line 12675 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2277:

/* Line 1455 of yacc.c  */
#line 12676 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2278:

/* Line 1455 of yacc.c  */
#line 12680 "preproc.y"
    {
			if (strcmp((yyvsp[(2) - (2)].str), "postgresql") != 0 && strcmp((yyvsp[(2) - (2)].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[(2) - (2)].str));

			if (strcmp((yyvsp[(1) - (2)].str), "tcp") != 0 && strcmp((yyvsp[(1) - (2)].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[(1) - (2)].str));

			(yyval.str) = make3_str((yyvsp[(1) - (2)].str), mm_strdup(":"), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2279:

/* Line 1455 of yacc.c  */
#line 12692 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (2)].str), "@") != 0 && strcmp((yyvsp[(1) - (2)].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2280:

/* Line 1455 of yacc.c  */
#line 12700 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2281:

/* Line 1455 of yacc.c  */
#line 12701 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2282:

/* Line 1455 of yacc.c  */
#line 12704 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2283:

/* Line 1455 of yacc.c  */
#line 12705 "preproc.y"
    { (yyval.str) = make3_str((yyvsp[(1) - (3)].str), mm_strdup("."), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2284:

/* Line 1455 of yacc.c  */
#line 12706 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2285:

/* Line 1455 of yacc.c  */
#line 12709 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2286:

/* Line 1455 of yacc.c  */
#line 12710 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2287:

/* Line 1455 of yacc.c  */
#line 12713 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2288:

/* Line 1455 of yacc.c  */
#line 12714 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); ;}
    break;

  case 2289:

/* Line 1455 of yacc.c  */
#line 12717 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2290:

/* Line 1455 of yacc.c  */
#line 12718 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL"); ;}
    break;

  case 2291:

/* Line 1455 of yacc.c  */
#line 12722 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (1)].str), mm_strdup(", NULL")); ;}
    break;

  case 2292:

/* Line 1455 of yacc.c  */
#line 12724 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2293:

/* Line 1455 of yacc.c  */
#line 12726 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str)); ;}
    break;

  case 2294:

/* Line 1455 of yacc.c  */
#line 12728 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2295:

/* Line 1455 of yacc.c  */
#line 12732 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		;}
    break;

  case 2296:

/* Line 1455 of yacc.c  */
#line 12739 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		;}
    break;

  case 2297:

/* Line 1455 of yacc.c  */
#line 12746 "preproc.y"
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		;}
    break;

  case 2298:

/* Line 1455 of yacc.c  */
#line 12762 "preproc.y"
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[(1) - (1)].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[(1) - (1)].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
				}
			}
		;}
    break;

  case 2299:

/* Line 1455 of yacc.c  */
#line 12796 "preproc.y"
    {
			if (strlen((yyvsp[(1) - (2)].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[(1) - (2)].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2300:

/* Line 1455 of yacc.c  */
#line 12805 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2301:

/* Line 1455 of yacc.c  */
#line 12809 "preproc.y"
    {
				(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
			;}
    break;

  case 2302:

/* Line 1455 of yacc.c  */
#line 12813 "preproc.y"
    {
				if (strlen((yyvsp[(3) - (4)].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[(3) - (4)].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(3) - (4)].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[(1) - (4)].str), (yyvsp[(2) - (4)].str)), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
			;}
    break;

  case 2303:

/* Line 1455 of yacc.c  */
#line 12825 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2304:

/* Line 1455 of yacc.c  */
#line 12827 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2305:

/* Line 1455 of yacc.c  */
#line 12829 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2306:

/* Line 1455 of yacc.c  */
#line 12831 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2307:

/* Line 1455 of yacc.c  */
#line 12835 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"' && (yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[(1) - (1)].str)); i++)
					(yyvsp[(1) - (1)].str)[i] = tolower((unsigned char) (yyvsp[(1) - (1)].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
			}
		;}
    break;

  case 2308:

/* Line 1455 of yacc.c  */
#line 12848 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2309:

/* Line 1455 of yacc.c  */
#line 12856 "preproc.y"
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
			int (* strcmp_fn)(const char *, const char *) = ((yyvsp[(2) - (7)].str)[0] == ':' ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[(2) - (7)].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[(2) - (7)].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[(7) - (7)].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[(7) - (7)].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[(2) - (7)].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[(2) - (7)].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		;}
    break;

  case 2310:

/* Line 1455 of yacc.c  */
#line 12917 "preproc.y"
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[(3) - (3)].str);
			;}
    break;

  case 2312:

/* Line 1455 of yacc.c  */
#line 12927 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2313:

/* Line 1455 of yacc.c  */
#line 12928 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2314:

/* Line 1455 of yacc.c  */
#line 12931 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2315:

/* Line 1455 of yacc.c  */
#line 12933 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2316:

/* Line 1455 of yacc.c  */
#line 12934 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2317:

/* Line 1455 of yacc.c  */
#line 12937 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2318:

/* Line 1455 of yacc.c  */
#line 12938 "preproc.y"
    { (yyval.str) = mm_strdup("year to minute"); ;}
    break;

  case 2319:

/* Line 1455 of yacc.c  */
#line 12939 "preproc.y"
    { (yyval.str) = mm_strdup("year to second"); ;}
    break;

  case 2320:

/* Line 1455 of yacc.c  */
#line 12940 "preproc.y"
    { (yyval.str) = mm_strdup("day to day"); ;}
    break;

  case 2321:

/* Line 1455 of yacc.c  */
#line 12941 "preproc.y"
    { (yyval.str) = mm_strdup("month to month"); ;}
    break;

  case 2322:

/* Line 1455 of yacc.c  */
#line 12948 "preproc.y"
    { fputs("/* exec sql begin declare section */", yyout); ;}
    break;

  case 2323:

/* Line 1455 of yacc.c  */
#line 12950 "preproc.y"
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[(3) - (4)].str));
			free((yyvsp[(3) - (4)].str));
			output_line_number();
		;}
    break;

  case 2324:

/* Line 1455 of yacc.c  */
#line 12957 "preproc.y"
    {;}
    break;

  case 2325:

/* Line 1455 of yacc.c  */
#line 12959 "preproc.y"
    {;}
    break;

  case 2326:

/* Line 1455 of yacc.c  */
#line 12961 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2327:

/* Line 1455 of yacc.c  */
#line 12962 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2328:

/* Line 1455 of yacc.c  */
#line 12965 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2329:

/* Line 1455 of yacc.c  */
#line 12966 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2330:

/* Line 1455 of yacc.c  */
#line 12967 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2331:

/* Line 1455 of yacc.c  */
#line 12968 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2332:

/* Line 1455 of yacc.c  */
#line 12971 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2333:

/* Line 1455 of yacc.c  */
#line 12972 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2334:

/* Line 1455 of yacc.c  */
#line 12976 "preproc.y"
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	;}
    break;

  case 2335:

/* Line 1455 of yacc.c  */
#line 12982 "preproc.y"
    {
		add_typedef((yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(3) - (7)].type).type_enum, (yyvsp[(3) - (7)].type).type_dimension, (yyvsp[(3) - (7)].type).type_index, initializer, *(yyvsp[(4) - (7)].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[(3) - (7)].type).type_str, *(yyvsp[(4) - (7)].str) ? "*" : "", (yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	;}
    break;

  case 2336:

/* Line 1455 of yacc.c  */
#line 12992 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(2) - (2)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(2) - (2)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(2) - (2)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(2) - (2)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(2) - (2)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		;}
    break;

  case 2337:

/* Line 1455 of yacc.c  */
#line 13002 "preproc.y"
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[(1) - (5)].str), (yyvsp[(2) - (5)].type).type_str, (yyvsp[(4) - (5)].str), mm_strdup(";\n"));
		;}
    break;

  case 2338:

/* Line 1455 of yacc.c  */
#line 13006 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(1) - (1)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(1) - (1)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(1) - (1)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(1) - (1)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(1) - (1)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		;}
    break;

  case 2339:

/* Line 1455 of yacc.c  */
#line 13016 "preproc.y"
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[(1) - (4)].type).type_str, (yyvsp[(3) - (4)].str), mm_strdup(";\n"));
		;}
    break;

  case 2340:

/* Line 1455 of yacc.c  */
#line 13020 "preproc.y"
    {
			(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), mm_strdup(";"));
		;}
    break;

  case 2341:

/* Line 1455 of yacc.c  */
#line 13025 "preproc.y"
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2342:

/* Line 1455 of yacc.c  */
#line 13026 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2343:

/* Line 1455 of yacc.c  */
#line 13030 "preproc.y"
    {(yyval.str) = cat2_str ((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2344:

/* Line 1455 of yacc.c  */
#line 13031 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2345:

/* Line 1455 of yacc.c  */
#line 13032 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2346:

/* Line 1455 of yacc.c  */
#line 13035 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2347:

/* Line 1455 of yacc.c  */
#line 13036 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2348:

/* Line 1455 of yacc.c  */
#line 13037 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2349:

/* Line 1455 of yacc.c  */
#line 13038 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2350:

/* Line 1455 of yacc.c  */
#line 13041 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2351:

/* Line 1455 of yacc.c  */
#line 13042 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2352:

/* Line 1455 of yacc.c  */
#line 13046 "preproc.y"
    {
			(yyval.type).type_enum = (yyvsp[(1) - (1)].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[(1) - (1)].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2353:

/* Line 1455 of yacc.c  */
#line 13054 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[(1) - (1)].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		;}
    break;

  case 2354:

/* Line 1455 of yacc.c  */
#line 13071 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2355:

/* Line 1455 of yacc.c  */
#line 13079 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (5)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[(1) - (5)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2356:

/* Line 1455 of yacc.c  */
#line 13102 "preproc.y"
    {
			if (strlen((yyvsp[(2) - (2)].str)) != 0 && strcmp ((yyvsp[(1) - (2)].str), "datetime") != 0 && strcmp ((yyvsp[(1) - (2)].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[(1) - (2)].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[(1) - (2)].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[(1) - (2)].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		;}
    break;

  case 2357:

/* Line 1455 of yacc.c  */
#line 13208 "preproc.y"
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[(1) - (1)].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[(1) - (1)].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[(1) - (1)].struct_union).su, (yyvsp[(1) - (1)].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		;}
    break;

  case 2358:

/* Line 1455 of yacc.c  */
#line 13242 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2359:

/* Line 1455 of yacc.c  */
#line 13244 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2360:

/* Line 1455 of yacc.c  */
#line 13246 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2361:

/* Line 1455 of yacc.c  */
#line 13250 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); ;}
    break;

  case 2362:

/* Line 1455 of yacc.c  */
#line 13253 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[(1) - (1)].struct_union).symbol);
		;}
    break;

  case 2363:

/* Line 1455 of yacc.c  */
#line 13260 "preproc.y"
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[(1) - (5)].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[(1) - (5)].struct_union).su, (yyvsp[(1) - (5)].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		;}
    break;

  case 2364:

/* Line 1455 of yacc.c  */
#line 13303 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2365:

/* Line 1455 of yacc.c  */
#line 13305 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		;}
    break;

  case 2366:

/* Line 1455 of yacc.c  */
#line 13311 "preproc.y"
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[(1) - (5)].str), mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		;}
    break;

  case 2367:

/* Line 1455 of yacc.c  */
#line 13320 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		;}
    break;

  case 2368:

/* Line 1455 of yacc.c  */
#line 13326 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
		;}
    break;

  case 2369:

/* Line 1455 of yacc.c  */
#line 13333 "preproc.y"
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		;}
    break;

  case 2370:

/* Line 1455 of yacc.c  */
#line 13338 "preproc.y"
    {
			(yyval.str) = mm_strdup("union");
		;}
    break;

  case 2371:

/* Line 1455 of yacc.c  */
#line 13343 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(1) - (1)].type_enum); ;}
    break;

  case 2372:

/* Line 1455 of yacc.c  */
#line 13344 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(2) - (2)].type_enum); ;}
    break;

  case 2373:

/* Line 1455 of yacc.c  */
#line 13347 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; ;}
    break;

  case 2374:

/* Line 1455 of yacc.c  */
#line 13348 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; ;}
    break;

  case 2375:

/* Line 1455 of yacc.c  */
#line 13349 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; ;}
    break;

  case 2376:

/* Line 1455 of yacc.c  */
#line 13350 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; ;}
    break;

  case 2377:

/* Line 1455 of yacc.c  */
#line 13351 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; ;}
    break;

  case 2378:

/* Line 1455 of yacc.c  */
#line 13352 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; ;}
    break;

  case 2379:

/* Line 1455 of yacc.c  */
#line 13354 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		;}
    break;

  case 2380:

/* Line 1455 of yacc.c  */
#line 13362 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		;}
    break;

  case 2381:

/* Line 1455 of yacc.c  */
#line 13369 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_char; ;}
    break;

  case 2382:

/* Line 1455 of yacc.c  */
#line 13372 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; ;}
    break;

  case 2383:

/* Line 1455 of yacc.c  */
#line 13373 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; ;}
    break;

  case 2384:

/* Line 1455 of yacc.c  */
#line 13374 "preproc.y"
    { (yyval.type_enum) = ECPGt_int; ;}
    break;

  case 2385:

/* Line 1455 of yacc.c  */
#line 13375 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; ;}
    break;

  case 2386:

/* Line 1455 of yacc.c  */
#line 13376 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; ;}
    break;

  case 2387:

/* Line 1455 of yacc.c  */
#line 13378 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		;}
    break;

  case 2388:

/* Line 1455 of yacc.c  */
#line 13386 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		;}
    break;

  case 2389:

/* Line 1455 of yacc.c  */
#line 13393 "preproc.y"
    { (yyval.type_enum) = ECPGt_bool; ;}
    break;

  case 2390:

/* Line 1455 of yacc.c  */
#line 13394 "preproc.y"
    { (yyval.type_enum) = ECPGt_char; ;}
    break;

  case 2391:

/* Line 1455 of yacc.c  */
#line 13395 "preproc.y"
    { (yyval.type_enum) = ECPGt_double; ;}
    break;

  case 2394:

/* Line 1455 of yacc.c  */
#line 13403 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2395:

/* Line 1455 of yacc.c  */
#line 13405 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2396:

/* Line 1455 of yacc.c  */
#line 13409 "preproc.y"
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[(3) - (5)].index).index1;	/* dimension of array */
			char *length = (yyvsp[(3) - (5)].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[(1) - (5)].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[(2) - (5)].str)), dim_str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[(5) - (5)].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[(5) - (5)].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[(2) - (5)].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[(2) - (5)].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[(2) - (5)].str));
		;}
    break;

  case 2397:

/* Line 1455 of yacc.c  */
#line 13496 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2398:

/* Line 1455 of yacc.c  */
#line 13498 "preproc.y"
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2399:

/* Line 1455 of yacc.c  */
#line 13504 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2400:

/* Line 1455 of yacc.c  */
#line 13505 "preproc.y"
    { (yyval.str) = mm_strdup("*"); ;}
    break;

  case 2401:

/* Line 1455 of yacc.c  */
#line 13506 "preproc.y"
    { (yyval.str) = mm_strdup("**"); ;}
    break;

  case 2402:

/* Line 1455 of yacc.c  */
#line 13513 "preproc.y"
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[(3) - (3)].str), mm_strdup("*/"));
		;}
    break;

  case 2403:

/* Line 1455 of yacc.c  */
#line 13521 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2404:

/* Line 1455 of yacc.c  */
#line 13524 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2405:

/* Line 1455 of yacc.c  */
#line 13525 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); ;}
    break;

  case 2406:

/* Line 1455 of yacc.c  */
#line 13526 "preproc.y"
    { (yyval.str) = mm_strdup("\"ALL\""); ;}
    break;

  case 2407:

/* Line 1455 of yacc.c  */
#line 13527 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); ;}
    break;

  case 2408:

/* Line 1455 of yacc.c  */
#line 13530 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2409:

/* Line 1455 of yacc.c  */
#line 13531 "preproc.y"
    { (yyval.str) = mm_strdup("\"DEFAULT\""); ;}
    break;

  case 2410:

/* Line 1455 of yacc.c  */
#line 13532 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2411:

/* Line 1455 of yacc.c  */
#line 13536 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2412:

/* Line 1455 of yacc.c  */
#line 13538 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2413:

/* Line 1455 of yacc.c  */
#line 13545 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2414:

/* Line 1455 of yacc.c  */
#line 13546 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2415:

/* Line 1455 of yacc.c  */
#line 13553 "preproc.y"
    {
			if ((yyvsp[(2) - (3)].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[(2) - (3)].str) + 1));
			(yyval.str) = (yyvsp[(2) - (3)].str);
		;}
    break;

  case 2416:

/* Line 1455 of yacc.c  */
#line 13560 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2417:

/* Line 1455 of yacc.c  */
#line 13561 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2418:

/* Line 1455 of yacc.c  */
#line 13564 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2419:

/* Line 1455 of yacc.c  */
#line 13565 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2420:

/* Line 1455 of yacc.c  */
#line 13569 "preproc.y"
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[(4) - (4)].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2421:

/* Line 1455 of yacc.c  */
#line 13574 "preproc.y"
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2422:

/* Line 1455 of yacc.c  */
#line 13581 "preproc.y"
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[(4) - (4)].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2423:

/* Line 1455 of yacc.c  */
#line 13586 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2424:

/* Line 1455 of yacc.c  */
#line 13593 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(2) - (2)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2427:

/* Line 1455 of yacc.c  */
#line 13602 "preproc.y"
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		;}
    break;

  case 2428:

/* Line 1455 of yacc.c  */
#line 13608 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2429:

/* Line 1455 of yacc.c  */
#line 13609 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2430:

/* Line 1455 of yacc.c  */
#line 13612 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2431:

/* Line 1455 of yacc.c  */
#line 13613 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2432:

/* Line 1455 of yacc.c  */
#line 13614 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2433:

/* Line 1455 of yacc.c  */
#line 13615 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2434:

/* Line 1455 of yacc.c  */
#line 13616 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2435:

/* Line 1455 of yacc.c  */
#line 13617 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2436:

/* Line 1455 of yacc.c  */
#line 13618 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2437:

/* Line 1455 of yacc.c  */
#line 13619 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2438:

/* Line 1455 of yacc.c  */
#line 13620 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2439:

/* Line 1455 of yacc.c  */
#line 13627 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2440:

/* Line 1455 of yacc.c  */
#line 13634 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2441:

/* Line 1455 of yacc.c  */
#line 13646 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2442:

/* Line 1455 of yacc.c  */
#line 13652 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2443:

/* Line 1455 of yacc.c  */
#line 13659 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2444:

/* Line 1455 of yacc.c  */
#line 13666 "preproc.y"
    { (yyval.str) = mm_strdup("output"); ;}
    break;

  case 2445:

/* Line 1455 of yacc.c  */
#line 13667 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2446:

/* Line 1455 of yacc.c  */
#line 13680 "preproc.y"
    {
			add_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		;}
    break;

  case 2447:

/* Line 1455 of yacc.c  */
#line 13691 "preproc.y"
    {
			drop_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		;}
    break;

  case 2448:

/* Line 1455 of yacc.c  */
#line 13702 "preproc.y"
    {  (yyval.str) = (yyvsp[(3) - (4)].str); ;}
    break;

  case 2451:

/* Line 1455 of yacc.c  */
#line 13710 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); ;}
    break;

  case 2452:

/* Line 1455 of yacc.c  */
#line 13715 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (4)].str); ;}
    break;

  case 2455:

/* Line 1455 of yacc.c  */
#line 13723 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		;}
    break;

  case 2456:

/* Line 1455 of yacc.c  */
#line 13729 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2457:

/* Line 1455 of yacc.c  */
#line 13737 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2458:

/* Line 1455 of yacc.c  */
#line 13742 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_count; ;}
    break;

  case 2459:

/* Line 1455 of yacc.c  */
#line 13750 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); ;}
    break;

  case 2462:

/* Line 1455 of yacc.c  */
#line 13757 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); ;}
    break;

  case 2463:

/* Line 1455 of yacc.c  */
#line 13761 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); ;}
    break;

  case 2466:

/* Line 1455 of yacc.c  */
#line 13769 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		;}
    break;

  case 2467:

/* Line 1455 of yacc.c  */
#line 13775 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2468:

/* Line 1455 of yacc.c  */
#line 13784 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2469:

/* Line 1455 of yacc.c  */
#line 13789 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		;}
    break;

  case 2470:

/* Line 1455 of yacc.c  */
#line 13799 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		;}
    break;

  case 2471:

/* Line 1455 of yacc.c  */
#line 13809 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[(1) - (1)].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		;}
    break;

  case 2472:

/* Line 1455 of yacc.c  */
#line 13820 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_cardinality; ;}
    break;

  case 2473:

/* Line 1455 of yacc.c  */
#line 13821 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_data; ;}
    break;

  case 2474:

/* Line 1455 of yacc.c  */
#line 13822 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_code; ;}
    break;

  case 2475:

/* Line 1455 of yacc.c  */
#line 13823 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_precision; ;}
    break;

  case 2476:

/* Line 1455 of yacc.c  */
#line 13824 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_indicator; ;}
    break;

  case 2477:

/* Line 1455 of yacc.c  */
#line 13825 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_key_member; ;}
    break;

  case 2478:

/* Line 1455 of yacc.c  */
#line 13826 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; ;}
    break;

  case 2479:

/* Line 1455 of yacc.c  */
#line 13827 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_name; ;}
    break;

  case 2480:

/* Line 1455 of yacc.c  */
#line 13828 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_nullable; ;}
    break;

  case 2481:

/* Line 1455 of yacc.c  */
#line 13829 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_octet; ;}
    break;

  case 2482:

/* Line 1455 of yacc.c  */
#line 13830 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_precision; ;}
    break;

  case 2483:

/* Line 1455 of yacc.c  */
#line 13831 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; ;}
    break;

  case 2484:

/* Line 1455 of yacc.c  */
#line 13832 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_ret_octet; ;}
    break;

  case 2485:

/* Line 1455 of yacc.c  */
#line 13833 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_scale; ;}
    break;

  case 2486:

/* Line 1455 of yacc.c  */
#line 13834 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_type; ;}
    break;

  case 2487:

/* Line 1455 of yacc.c  */
#line 13841 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2488:

/* Line 1455 of yacc.c  */
#line 13842 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2489:

/* Line 1455 of yacc.c  */
#line 13845 "preproc.y"
    { (yyval.str) = mm_strdup("on"); ;}
    break;

  case 2490:

/* Line 1455 of yacc.c  */
#line 13846 "preproc.y"
    { (yyval.str) = mm_strdup("off"); ;}
    break;

  case 2491:

/* Line 1455 of yacc.c  */
#line 13853 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2492:

/* Line 1455 of yacc.c  */
#line 13854 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2493:

/* Line 1455 of yacc.c  */
#line 13855 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 2494:

/* Line 1455 of yacc.c  */
#line 13862 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		;}
    break;

  case 2495:

/* Line 1455 of yacc.c  */
#line 13868 "preproc.y"
    {
			add_typedef((yyvsp[(3) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, initializer, *(yyvsp[(7) - (7)].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[(5) - (7)].type).type_str), *(yyvsp[(7) - (7)].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[(6) - (7)].index).str), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup(";"));
		;}
    break;

  case 2496:

/* Line 1455 of yacc.c  */
#line 13878 "preproc.y"
    { (yyval.str) = mm_strdup("reference"); ;}
    break;

  case 2497:

/* Line 1455 of yacc.c  */
#line 13879 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2498:

/* Line 1455 of yacc.c  */
#line 13886 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		;}
    break;

  case 2499:

/* Line 1455 of yacc.c  */
#line 13892 "preproc.y"
    {
			struct variable *p = find_variable((yyvsp[(3) - (7)].str));
			char *dimension = (yyvsp[(6) - (7)].index).index1;
			char *length = (yyvsp[(6) - (7)].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[(5) - (7)].type).type_enum == ECPGt_struct ||
				 (yyvsp[(5) - (7)].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[(5) - (7)].type).type_enum, &dimension, &length, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, *(yyvsp[(7) - (7)].str)?1:0, false);

				switch ((yyvsp[(5) - (7)].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
		;}
    break;

  case 2500:

/* Line 1455 of yacc.c  */
#line 13956 "preproc.y"
    {
			when_error.code = (yyvsp[(3) - (3)].action).code;
			when_error.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2501:

/* Line 1455 of yacc.c  */
#line 13962 "preproc.y"
    {
			when_nf.code = (yyvsp[(4) - (4)].action).code;
			when_nf.command = (yyvsp[(4) - (4)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[(4) - (4)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2502:

/* Line 1455 of yacc.c  */
#line 13968 "preproc.y"
    {
			when_warn.code = (yyvsp[(3) - (3)].action).code;
			when_warn.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2503:

/* Line 1455 of yacc.c  */
#line 13976 "preproc.y"
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		;}
    break;

  case 2504:

/* Line 1455 of yacc.c  */
#line 13982 "preproc.y"
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		;}
    break;

  case 2505:

/* Line 1455 of yacc.c  */
#line 13988 "preproc.y"
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		;}
    break;

  case 2506:

/* Line 1455 of yacc.c  */
#line 13994 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(2) - (2)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2507:

/* Line 1455 of yacc.c  */
#line 14000 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(3) - (3)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(3) - (3)].str));
		;}
    break;

  case 2508:

/* Line 1455 of yacc.c  */
#line 14006 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2509:

/* Line 1455 of yacc.c  */
#line 14012 "preproc.y"
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		;}
    break;

  case 2510:

/* Line 1455 of yacc.c  */
#line 14018 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2511:

/* Line 1455 of yacc.c  */
#line 14024 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[(2) - (2)].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2512:

/* Line 1455 of yacc.c  */
#line 14034 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2513:

/* Line 1455 of yacc.c  */
#line 14035 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2514:

/* Line 1455 of yacc.c  */
#line 14038 "preproc.y"
    { (yyval.str) = mm_strdup("break"); ;}
    break;

  case 2515:

/* Line 1455 of yacc.c  */
#line 14039 "preproc.y"
    { (yyval.str) = mm_strdup("call"); ;}
    break;

  case 2516:

/* Line 1455 of yacc.c  */
#line 14040 "preproc.y"
    { (yyval.str) = mm_strdup("cardinality"); ;}
    break;

  case 2517:

/* Line 1455 of yacc.c  */
#line 14041 "preproc.y"
    { (yyval.str) = mm_strdup("count"); ;}
    break;

  case 2518:

/* Line 1455 of yacc.c  */
#line 14042 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_code"); ;}
    break;

  case 2519:

/* Line 1455 of yacc.c  */
#line 14043 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_precision"); ;}
    break;

  case 2520:

/* Line 1455 of yacc.c  */
#line 14044 "preproc.y"
    { (yyval.str) = mm_strdup("found"); ;}
    break;

  case 2521:

/* Line 1455 of yacc.c  */
#line 14045 "preproc.y"
    { (yyval.str) = mm_strdup("go"); ;}
    break;

  case 2522:

/* Line 1455 of yacc.c  */
#line 14046 "preproc.y"
    { (yyval.str) = mm_strdup("goto"); ;}
    break;

  case 2523:

/* Line 1455 of yacc.c  */
#line 14047 "preproc.y"
    { (yyval.str) = mm_strdup("identified"); ;}
    break;

  case 2524:

/* Line 1455 of yacc.c  */
#line 14048 "preproc.y"
    { (yyval.str) = mm_strdup("indicator"); ;}
    break;

  case 2525:

/* Line 1455 of yacc.c  */
#line 14049 "preproc.y"
    { (yyval.str) = mm_strdup("key_member"); ;}
    break;

  case 2526:

/* Line 1455 of yacc.c  */
#line 14050 "preproc.y"
    { (yyval.str) = mm_strdup("length"); ;}
    break;

  case 2527:

/* Line 1455 of yacc.c  */
#line 14051 "preproc.y"
    { (yyval.str) = mm_strdup("nullable"); ;}
    break;

  case 2528:

/* Line 1455 of yacc.c  */
#line 14052 "preproc.y"
    { (yyval.str) = mm_strdup("octet_length"); ;}
    break;

  case 2529:

/* Line 1455 of yacc.c  */
#line 14053 "preproc.y"
    { (yyval.str) = mm_strdup("returned_length"); ;}
    break;

  case 2530:

/* Line 1455 of yacc.c  */
#line 14054 "preproc.y"
    { (yyval.str) = mm_strdup("returned_octet_length"); ;}
    break;

  case 2531:

/* Line 1455 of yacc.c  */
#line 14055 "preproc.y"
    { (yyval.str) = mm_strdup("scale"); ;}
    break;

  case 2532:

/* Line 1455 of yacc.c  */
#line 14056 "preproc.y"
    { (yyval.str) = mm_strdup("section"); ;}
    break;

  case 2533:

/* Line 1455 of yacc.c  */
#line 14057 "preproc.y"
    { (yyval.str) = mm_strdup("sql"); ;}
    break;

  case 2534:

/* Line 1455 of yacc.c  */
#line 14058 "preproc.y"
    { (yyval.str) = mm_strdup("sqlerror"); ;}
    break;

  case 2535:

/* Line 1455 of yacc.c  */
#line 14059 "preproc.y"
    { (yyval.str) = mm_strdup("sqlprint"); ;}
    break;

  case 2536:

/* Line 1455 of yacc.c  */
#line 14060 "preproc.y"
    { (yyval.str) = mm_strdup("sqlwarning"); ;}
    break;

  case 2537:

/* Line 1455 of yacc.c  */
#line 14061 "preproc.y"
    { (yyval.str) = mm_strdup("stop"); ;}
    break;

  case 2538:

/* Line 1455 of yacc.c  */
#line 14064 "preproc.y"
    { (yyval.str) = mm_strdup("connect"); ;}
    break;

  case 2539:

/* Line 1455 of yacc.c  */
#line 14065 "preproc.y"
    { (yyval.str) = mm_strdup("describe"); ;}
    break;

  case 2540:

/* Line 1455 of yacc.c  */
#line 14066 "preproc.y"
    { (yyval.str) = mm_strdup("disconnect"); ;}
    break;

  case 2541:

/* Line 1455 of yacc.c  */
#line 14067 "preproc.y"
    { (yyval.str) = mm_strdup("open"); ;}
    break;

  case 2542:

/* Line 1455 of yacc.c  */
#line 14068 "preproc.y"
    { (yyval.str) = mm_strdup("var"); ;}
    break;

  case 2543:

/* Line 1455 of yacc.c  */
#line 14069 "preproc.y"
    { (yyval.str) = mm_strdup("whenever"); ;}
    break;

  case 2544:

/* Line 1455 of yacc.c  */
#line 14073 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); ;}
    break;

  case 2545:

/* Line 1455 of yacc.c  */
#line 14074 "preproc.y"
    { (yyval.str) = mm_strdup("long"); ;}
    break;

  case 2546:

/* Line 1455 of yacc.c  */
#line 14075 "preproc.y"
    { (yyval.str) = mm_strdup("output"); ;}
    break;

  case 2547:

/* Line 1455 of yacc.c  */
#line 14076 "preproc.y"
    { (yyval.str) = mm_strdup("short"); ;}
    break;

  case 2548:

/* Line 1455 of yacc.c  */
#line 14077 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); ;}
    break;

  case 2549:

/* Line 1455 of yacc.c  */
#line 14078 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); ;}
    break;

  case 2550:

/* Line 1455 of yacc.c  */
#line 14079 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); ;}
    break;

  case 2551:

/* Line 1455 of yacc.c  */
#line 14082 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2552:

/* Line 1455 of yacc.c  */
#line 14085 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2553:

/* Line 1455 of yacc.c  */
#line 14086 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2554:

/* Line 1455 of yacc.c  */
#line 14087 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2555:

/* Line 1455 of yacc.c  */
#line 14088 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2556:

/* Line 1455 of yacc.c  */
#line 14089 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2557:

/* Line 1455 of yacc.c  */
#line 14090 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2558:

/* Line 1455 of yacc.c  */
#line 14091 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2559:

/* Line 1455 of yacc.c  */
#line 14092 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2560:

/* Line 1455 of yacc.c  */
#line 14105 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2561:

/* Line 1455 of yacc.c  */
#line 14106 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2562:

/* Line 1455 of yacc.c  */
#line 14107 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2563:

/* Line 1455 of yacc.c  */
#line 14108 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2564:

/* Line 1455 of yacc.c  */
#line 14109 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2565:

/* Line 1455 of yacc.c  */
#line 14110 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2566:

/* Line 1455 of yacc.c  */
#line 14111 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2567:

/* Line 1455 of yacc.c  */
#line 14116 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2568:

/* Line 1455 of yacc.c  */
#line 14117 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2569:

/* Line 1455 of yacc.c  */
#line 14118 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2570:

/* Line 1455 of yacc.c  */
#line 14119 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2571:

/* Line 1455 of yacc.c  */
#line 14120 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2572:

/* Line 1455 of yacc.c  */
#line 14121 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2573:

/* Line 1455 of yacc.c  */
#line 14127 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2574:

/* Line 1455 of yacc.c  */
#line 14128 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2575:

/* Line 1455 of yacc.c  */
#line 14129 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2576:

/* Line 1455 of yacc.c  */
#line 14130 "preproc.y"
    { (yyval.str) = mm_strdup("current"); ;}
    break;

  case 2577:

/* Line 1455 of yacc.c  */
#line 14131 "preproc.y"
    { (yyval.str) = mm_strdup("input"); ;}
    break;

  case 2578:

/* Line 1455 of yacc.c  */
#line 14132 "preproc.y"
    { (yyval.str) = mm_strdup("int"); ;}
    break;

  case 2579:

/* Line 1455 of yacc.c  */
#line 14133 "preproc.y"
    { (yyval.str) = mm_strdup("to"); ;}
    break;

  case 2580:

/* Line 1455 of yacc.c  */
#line 14134 "preproc.y"
    { (yyval.str) = mm_strdup("union"); ;}
    break;

  case 2581:

/* Line 1455 of yacc.c  */
#line 14135 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2582:

/* Line 1455 of yacc.c  */
#line 14136 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2583:

/* Line 1455 of yacc.c  */
#line 14137 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2584:

/* Line 1455 of yacc.c  */
#line 14140 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2585:

/* Line 1455 of yacc.c  */
#line 14141 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2586:

/* Line 1455 of yacc.c  */
#line 14142 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2587:

/* Line 1455 of yacc.c  */
#line 14143 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2588:

/* Line 1455 of yacc.c  */
#line 14144 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); ;}
    break;

  case 2589:

/* Line 1455 of yacc.c  */
#line 14147 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2590:

/* Line 1455 of yacc.c  */
#line 14148 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2591:

/* Line 1455 of yacc.c  */
#line 14149 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2592:

/* Line 1455 of yacc.c  */
#line 14150 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2593:

/* Line 1455 of yacc.c  */
#line 14153 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2594:

/* Line 1455 of yacc.c  */
#line 14154 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2595:

/* Line 1455 of yacc.c  */
#line 14155 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2596:

/* Line 1455 of yacc.c  */
#line 14156 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2597:

/* Line 1455 of yacc.c  */
#line 14157 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2598:

/* Line 1455 of yacc.c  */
#line 14158 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); ;}
    break;

  case 2599:

/* Line 1455 of yacc.c  */
#line 14159 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2600:

/* Line 1455 of yacc.c  */
#line 14176 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2601:

/* Line 1455 of yacc.c  */
#line 14177 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2602:

/* Line 1455 of yacc.c  */
#line 14178 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); ;}
    break;

  case 2603:

/* Line 1455 of yacc.c  */
#line 14181 "preproc.y"
    { (yyval.str) = mm_strdup("day"); ;}
    break;

  case 2604:

/* Line 1455 of yacc.c  */
#line 14182 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); ;}
    break;

  case 2605:

/* Line 1455 of yacc.c  */
#line 14183 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); ;}
    break;

  case 2606:

/* Line 1455 of yacc.c  */
#line 14184 "preproc.y"
    { (yyval.str) = mm_strdup("month"); ;}
    break;

  case 2607:

/* Line 1455 of yacc.c  */
#line 14185 "preproc.y"
    { (yyval.str) = mm_strdup("second"); ;}
    break;

  case 2608:

/* Line 1455 of yacc.c  */
#line 14186 "preproc.y"
    { (yyval.str) = mm_strdup("year"); ;}
    break;

  case 2611:

/* Line 1455 of yacc.c  */
#line 14193 "preproc.y"
    {
				reset_variables();
				pacounter = 1;
			;}
    break;

  case 2612:

/* Line 1455 of yacc.c  */
#line 14199 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2613:

/* Line 1455 of yacc.c  */
#line 14200 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2614:

/* Line 1455 of yacc.c  */
#line 14204 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str))); ;}
    break;

  case 2615:

/* Line 1455 of yacc.c  */
#line 14206 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (1)].str)), &no_indicator); ;}
    break;

  case 2616:

/* Line 1455 of yacc.c  */
#line 14211 "preproc.y"
    {
			if (find_variable((yyvsp[(2) - (2)].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str)));
			(yyval.str) = create_questionmarks((yyvsp[(1) - (2)].str), false);
		;}
    break;

  case 2617:

/* Line 1455 of yacc.c  */
#line 14221 "preproc.y"
    {
			char *ptr = strstr((yyvsp[(1) - (1)].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2618:

/* Line 1455 of yacc.c  */
#line 14232 "preproc.y"
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[(1) - (1)].str), false);
		;}
    break;

  case 2619:

/* Line 1455 of yacc.c  */
#line 14238 "preproc.y"
    { check_indicator((find_variable((yyvsp[(1) - (1)].str)))->type); (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2620:

/* Line 1455 of yacc.c  */
#line 14239 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2621:

/* Line 1455 of yacc.c  */
#line 14240 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2622:

/* Line 1455 of yacc.c  */
#line 14244 "preproc.y"
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[(1) - (1)].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2623:

/* Line 1455 of yacc.c  */
#line 14276 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2624:

/* Line 1455 of yacc.c  */
#line 14278 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2625:

/* Line 1455 of yacc.c  */
#line 14280 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2626:

/* Line 1455 of yacc.c  */
#line 14284 "preproc.y"
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2627:

/* Line 1455 of yacc.c  */
#line 14294 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2628:

/* Line 1455 of yacc.c  */
#line 14304 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2629:

/* Line 1455 of yacc.c  */
#line 14313 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2630:

/* Line 1455 of yacc.c  */
#line 14314 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2631:

/* Line 1455 of yacc.c  */
#line 14317 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2632:

/* Line 1455 of yacc.c  */
#line 14319 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2633:

/* Line 1455 of yacc.c  */
#line 14320 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2634:

/* Line 1455 of yacc.c  */
#line 14321 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2635:

/* Line 1455 of yacc.c  */
#line 14325 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2636:

/* Line 1455 of yacc.c  */
#line 14327 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[(1) - (1)].str), mm_strdup(")")); ;}
    break;

  case 2637:

/* Line 1455 of yacc.c  */
#line 14334 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2638:

/* Line 1455 of yacc.c  */
#line 14335 "preproc.y"
    { (yyval.str) = mm_strdup("()"); ;}
    break;

  case 2639:

/* Line 1455 of yacc.c  */
#line 14337 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); ;}
    break;

  case 2640:

/* Line 1455 of yacc.c  */
#line 14340 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2641:

/* Line 1455 of yacc.c  */
#line 14342 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2642:

/* Line 1455 of yacc.c  */
#line 14345 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2643:

/* Line 1455 of yacc.c  */
#line 14346 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2644:

/* Line 1455 of yacc.c  */
#line 14349 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2645:

/* Line 1455 of yacc.c  */
#line 14350 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); ;}
    break;

  case 2646:

/* Line 1455 of yacc.c  */
#line 14353 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2647:

/* Line 1455 of yacc.c  */
#line 14354 "preproc.y"
    { (yyval.str) = mm_strdup("("); ;}
    break;

  case 2648:

/* Line 1455 of yacc.c  */
#line 14355 "preproc.y"
    { (yyval.str) = mm_strdup(")"); ;}
    break;

  case 2649:

/* Line 1455 of yacc.c  */
#line 14356 "preproc.y"
    { (yyval.str) = mm_strdup(","); ;}
    break;

  case 2650:

/* Line 1455 of yacc.c  */
#line 14357 "preproc.y"
    { (yyval.str) = mm_strdup(";"); ;}
    break;

  case 2651:

/* Line 1455 of yacc.c  */
#line 14360 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2652:

/* Line 1455 of yacc.c  */
#line 14361 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2653:

/* Line 1455 of yacc.c  */
#line 14362 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2654:

/* Line 1455 of yacc.c  */
#line 14363 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2655:

/* Line 1455 of yacc.c  */
#line 14364 "preproc.y"
    { (yyval.str) = mm_strdup("*"); ;}
    break;

  case 2656:

/* Line 1455 of yacc.c  */
#line 14365 "preproc.y"
    { (yyval.str) = mm_strdup("+"); ;}
    break;

  case 2657:

/* Line 1455 of yacc.c  */
#line 14366 "preproc.y"
    { (yyval.str) = mm_strdup("-"); ;}
    break;

  case 2658:

/* Line 1455 of yacc.c  */
#line 14367 "preproc.y"
    { (yyval.str) = mm_strdup("/"); ;}
    break;

  case 2659:

/* Line 1455 of yacc.c  */
#line 14368 "preproc.y"
    { (yyval.str) = mm_strdup("%"); ;}
    break;

  case 2660:

/* Line 1455 of yacc.c  */
#line 14369 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); ;}
    break;

  case 2661:

/* Line 1455 of yacc.c  */
#line 14370 "preproc.y"
    { (yyval.str) = mm_strdup("+="); ;}
    break;

  case 2662:

/* Line 1455 of yacc.c  */
#line 14371 "preproc.y"
    { (yyval.str) = mm_strdup("&&"); ;}
    break;

  case 2663:

/* Line 1455 of yacc.c  */
#line 14372 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2664:

/* Line 1455 of yacc.c  */
#line 14373 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2665:

/* Line 1455 of yacc.c  */
#line 14374 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2666:

/* Line 1455 of yacc.c  */
#line 14375 "preproc.y"
    { (yyval.str) = mm_strdup("--"); ;}
    break;

  case 2667:

/* Line 1455 of yacc.c  */
#line 14376 "preproc.y"
    { (yyval.str) = mm_strdup("/="); ;}
    break;

  case 2668:

/* Line 1455 of yacc.c  */
#line 14377 "preproc.y"
    { (yyval.str) = mm_strdup(".*"); ;}
    break;

  case 2669:

/* Line 1455 of yacc.c  */
#line 14378 "preproc.y"
    { (yyval.str) = mm_strdup("=="); ;}
    break;

  case 2670:

/* Line 1455 of yacc.c  */
#line 14379 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2671:

/* Line 1455 of yacc.c  */
#line 14380 "preproc.y"
    { (yyval.str) = mm_strdup("++"); ;}
    break;

  case 2672:

/* Line 1455 of yacc.c  */
#line 14381 "preproc.y"
    { (yyval.str) = mm_strdup("<<"); ;}
    break;

  case 2673:

/* Line 1455 of yacc.c  */
#line 14382 "preproc.y"
    { (yyval.str) = mm_strdup("->"); ;}
    break;

  case 2674:

/* Line 1455 of yacc.c  */
#line 14383 "preproc.y"
    { (yyval.str) = mm_strdup("->*"); ;}
    break;

  case 2675:

/* Line 1455 of yacc.c  */
#line 14384 "preproc.y"
    { (yyval.str) = mm_strdup("%="); ;}
    break;

  case 2676:

/* Line 1455 of yacc.c  */
#line 14385 "preproc.y"
    { (yyval.str) = mm_strdup("*="); ;}
    break;

  case 2677:

/* Line 1455 of yacc.c  */
#line 14386 "preproc.y"
    { (yyval.str) = mm_strdup("!="); ;}
    break;

  case 2678:

/* Line 1455 of yacc.c  */
#line 14387 "preproc.y"
    { (yyval.str) = mm_strdup("||"); ;}
    break;

  case 2679:

/* Line 1455 of yacc.c  */
#line 14388 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2680:

/* Line 1455 of yacc.c  */
#line 14389 "preproc.y"
    { (yyval.str) = mm_strdup(">>"); ;}
    break;

  case 2681:

/* Line 1455 of yacc.c  */
#line 14390 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2682:

/* Line 1455 of yacc.c  */
#line 14391 "preproc.y"
    { (yyval.str) = mm_strdup("-="); ;}
    break;

  case 2683:

/* Line 1455 of yacc.c  */
#line 14392 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); ;}
    break;

  case 2684:

/* Line 1455 of yacc.c  */
#line 14393 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2685:

/* Line 1455 of yacc.c  */
#line 14394 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); ;}
    break;

  case 2686:

/* Line 1455 of yacc.c  */
#line 14395 "preproc.y"
    { (yyval.str) = mm_strdup("enum"); ;}
    break;

  case 2687:

/* Line 1455 of yacc.c  */
#line 14396 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); ;}
    break;

  case 2688:

/* Line 1455 of yacc.c  */
#line 14397 "preproc.y"
    { (yyval.str) = mm_strdup("int"); ;}
    break;

  case 2689:

/* Line 1455 of yacc.c  */
#line 14398 "preproc.y"
    { (yyval.str) = mm_strdup("long"); ;}
    break;

  case 2690:

/* Line 1455 of yacc.c  */
#line 14399 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); ;}
    break;

  case 2691:

/* Line 1455 of yacc.c  */
#line 14400 "preproc.y"
    { (yyval.str) = mm_strdup("month"); ;}
    break;

  case 2692:

/* Line 1455 of yacc.c  */
#line 14401 "preproc.y"
    { (yyval.str) = mm_strdup("second"); ;}
    break;

  case 2693:

/* Line 1455 of yacc.c  */
#line 14402 "preproc.y"
    { (yyval.str) = mm_strdup("short"); ;}
    break;

  case 2694:

/* Line 1455 of yacc.c  */
#line 14403 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); ;}
    break;

  case 2695:

/* Line 1455 of yacc.c  */
#line 14404 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); ;}
    break;

  case 2696:

/* Line 1455 of yacc.c  */
#line 14405 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); ;}
    break;

  case 2697:

/* Line 1455 of yacc.c  */
#line 14406 "preproc.y"
    { (yyval.str) = mm_strdup("year"); ;}
    break;

  case 2698:

/* Line 1455 of yacc.c  */
#line 14407 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2699:

/* Line 1455 of yacc.c  */
#line 14408 "preproc.y"
    { (yyval.str) = mm_strdup("float"); ;}
    break;

  case 2700:

/* Line 1455 of yacc.c  */
#line 14409 "preproc.y"
    { (yyval.str) = mm_strdup("to"); ;}
    break;

  case 2701:

/* Line 1455 of yacc.c  */
#line 14410 "preproc.y"
    { (yyval.str) = mm_strdup("union"); ;}
    break;

  case 2702:

/* Line 1455 of yacc.c  */
#line 14411 "preproc.y"
    { (yyval.str) = mm_strdup("varchar"); ;}
    break;

  case 2703:

/* Line 1455 of yacc.c  */
#line 14412 "preproc.y"
    { (yyval.str) = mm_strdup("["); ;}
    break;

  case 2704:

/* Line 1455 of yacc.c  */
#line 14413 "preproc.y"
    { (yyval.str) = mm_strdup("]"); ;}
    break;

  case 2705:

/* Line 1455 of yacc.c  */
#line 14414 "preproc.y"
    { (yyval.str) = mm_strdup("="); ;}
    break;

  case 2706:

/* Line 1455 of yacc.c  */
#line 14415 "preproc.y"
    { (yyval.str) = mm_strdup(":"); ;}
    break;

  case 2707:

/* Line 1455 of yacc.c  */
#line 14418 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2708:

/* Line 1455 of yacc.c  */
#line 14419 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 2709:

/* Line 1455 of yacc.c  */
#line 14420 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2710:

/* Line 1455 of yacc.c  */
#line 14421 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2711:

/* Line 1455 of yacc.c  */
#line 14424 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2712:

/* Line 1455 of yacc.c  */
#line 14425 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); ;}
    break;

  case 2713:

/* Line 1455 of yacc.c  */
#line 14426 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("+"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2714:

/* Line 1455 of yacc.c  */
#line 14427 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("-"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2715:

/* Line 1455 of yacc.c  */
#line 14428 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("*"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2716:

/* Line 1455 of yacc.c  */
#line 14429 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("/"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2717:

/* Line 1455 of yacc.c  */
#line 14430 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("%"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2718:

/* Line 1455 of yacc.c  */
#line 14431 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2719:

/* Line 1455 of yacc.c  */
#line 14432 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2720:

/* Line 1455 of yacc.c  */
#line 14435 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2721:

/* Line 1455 of yacc.c  */
#line 14436 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2722:

/* Line 1455 of yacc.c  */
#line 14437 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2723:

/* Line 1455 of yacc.c  */
#line 14438 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2724:

/* Line 1455 of yacc.c  */
#line 14439 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2725:

/* Line 1455 of yacc.c  */
#line 14442 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2726:

/* Line 1455 of yacc.c  */
#line 14443 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2727:

/* Line 1455 of yacc.c  */
#line 14446 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2728:

/* Line 1455 of yacc.c  */
#line 14448 "preproc.y"
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[(1) - (1)].str);
	;}
    break;

  case 2729:

/* Line 1455 of yacc.c  */
#line 14458 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2730:

/* Line 1455 of yacc.c  */
#line 14459 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;



/* Line 1455 of yacc.c  */
#line 51465 "preproc.c"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (yymsg);
	  }
	else
	  {
	    yyerror (YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }

  yyerror_range[0] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[0] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[0] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[1] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, (yyerror_range - 1), 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval, &yylloc);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 1675 of yacc.c  */
#line 14462 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"

